#include "tree_sitter/parser.h"

#if defined(__GNUC__) || defined(__clang__)
#pragma GCC diagnostic ignored "-Wmissing-field-initializers"
#endif

#define LANGUAGE_VERSION 14
#define STATE_COUNT 5882
#define LARGE_STATE_COUNT 1193
#define SYMBOL_COUNT 381
#define ALIAS_COUNT 7
#define TOKEN_COUNT 169
#define EXTERNAL_TOKEN_COUNT 10
#define FIELD_COUNT 43
#define MAX_ALIAS_SEQUENCE_LENGTH 10
#define PRODUCTION_ID_COUNT 342

enum ts_symbol_identifiers {
  sym_identifier = 1,
  sym_hash_bang_line = 2,
  anon_sym_export = 3,
  anon_sym_STAR = 4,
  anon_sym_default = 5,
  anon_sym_type = 6,
  anon_sym_EQ = 7,
  anon_sym_as = 8,
  anon_sym_namespace = 9,
  anon_sym_LBRACE = 10,
  anon_sym_COMMA = 11,
  anon_sym_RBRACE = 12,
  anon_sym_typeof = 13,
  anon_sym_import = 14,
  anon_sym_from = 15,
  anon_sym_with = 16,
  anon_sym_assert = 17,
  anon_sym_var = 18,
  anon_sym_let = 19,
  anon_sym_const = 20,
  anon_sym_BANG = 21,
  anon_sym_else = 22,
  anon_sym_if = 23,
  anon_sym_switch = 24,
  anon_sym_for = 25,
  anon_sym_LPAREN = 26,
  anon_sym_SEMI = 27,
  anon_sym_RPAREN = 28,
  anon_sym_await = 29,
  anon_sym_in = 30,
  anon_sym_of = 31,
  anon_sym_while = 32,
  anon_sym_do = 33,
  anon_sym_try = 34,
  anon_sym_break = 35,
  anon_sym_continue = 36,
  anon_sym_debugger = 37,
  anon_sym_return = 38,
  anon_sym_throw = 39,
  anon_sym_COLON = 40,
  anon_sym_case = 41,
  anon_sym_catch = 42,
  anon_sym_finally = 43,
  anon_sym_yield = 44,
  anon_sym_LBRACK = 45,
  anon_sym_RBRACK = 46,
  sym__glimmer_template_content = 47,
  sym_glimmer_opening_tag = 48,
  sym_glimmer_closing_tag = 49,
  anon_sym_GT = 50,
  anon_sym_DOT = 51,
  anon_sym_DQUOTE = 52,
  anon_sym_SQUOTE = 53,
  anon_sym_class = 54,
  anon_sym_async = 55,
  anon_sym_function = 56,
  anon_sym_EQ_GT = 57,
  anon_sym_QMARK_DOT = 58,
  anon_sym_new = 59,
  anon_sym_using = 60,
  anon_sym_PLUS_EQ = 61,
  anon_sym_DASH_EQ = 62,
  anon_sym_STAR_EQ = 63,
  anon_sym_SLASH_EQ = 64,
  anon_sym_PERCENT_EQ = 65,
  anon_sym_CARET_EQ = 66,
  anon_sym_AMP_EQ = 67,
  anon_sym_PIPE_EQ = 68,
  anon_sym_GT_GT_EQ = 69,
  anon_sym_GT_GT_GT_EQ = 70,
  anon_sym_LT_LT_EQ = 71,
  anon_sym_STAR_STAR_EQ = 72,
  anon_sym_AMP_AMP_EQ = 73,
  anon_sym_PIPE_PIPE_EQ = 74,
  anon_sym_QMARK_QMARK_EQ = 75,
  anon_sym_DOT_DOT_DOT = 76,
  anon_sym_AMP_AMP = 77,
  anon_sym_PIPE_PIPE = 78,
  anon_sym_GT_GT = 79,
  anon_sym_GT_GT_GT = 80,
  anon_sym_LT_LT = 81,
  anon_sym_AMP = 82,
  anon_sym_CARET = 83,
  anon_sym_PIPE = 84,
  anon_sym_PLUS = 85,
  anon_sym_DASH = 86,
  anon_sym_SLASH = 87,
  anon_sym_PERCENT = 88,
  anon_sym_STAR_STAR = 89,
  anon_sym_LT = 90,
  anon_sym_LT_EQ = 91,
  anon_sym_EQ_EQ = 92,
  anon_sym_EQ_EQ_EQ = 93,
  anon_sym_BANG_EQ = 94,
  anon_sym_BANG_EQ_EQ = 95,
  anon_sym_GT_EQ = 96,
  anon_sym_QMARK_QMARK = 97,
  anon_sym_instanceof = 98,
  anon_sym_TILDE = 99,
  anon_sym_void = 100,
  anon_sym_delete = 101,
  anon_sym_PLUS_PLUS = 102,
  anon_sym_DASH_DASH = 103,
  sym_unescaped_double_string_fragment = 104,
  sym_unescaped_single_string_fragment = 105,
  sym_escape_sequence = 106,
  sym_comment = 107,
  anon_sym_BQUOTE = 108,
  anon_sym_DOLLAR_LBRACE = 109,
  anon_sym_SLASH2 = 110,
  sym_regex_pattern = 111,
  sym_regex_flags = 112,
  sym_number = 113,
  sym_private_property_identifier = 114,
  anon_sym_target = 115,
  anon_sym_meta = 116,
  sym_this = 117,
  sym_super = 118,
  sym_true = 119,
  sym_false = 120,
  sym_null = 121,
  sym_undefined = 122,
  anon_sym_AT = 123,
  anon_sym_static = 124,
  anon_sym_readonly = 125,
  anon_sym_get = 126,
  anon_sym_set = 127,
  anon_sym_QMARK = 128,
  anon_sym_declare = 129,
  anon_sym_public = 130,
  anon_sym_private = 131,
  anon_sym_protected = 132,
  anon_sym_override = 133,
  anon_sym_module = 134,
  anon_sym_any = 135,
  anon_sym_number = 136,
  anon_sym_boolean = 137,
  anon_sym_string = 138,
  anon_sym_symbol = 139,
  anon_sym_object = 140,
  anon_sym_abstract = 141,
  anon_sym_accessor = 142,
  anon_sym_satisfies = 143,
  anon_sym_require = 144,
  anon_sym_extends = 145,
  anon_sym_implements = 146,
  anon_sym_global = 147,
  anon_sym_interface = 148,
  anon_sym_enum = 149,
  anon_sym_DASH_QMARK_COLON = 150,
  anon_sym_PLUS_QMARK_COLON = 151,
  anon_sym_QMARK_COLON = 152,
  anon_sym_asserts = 153,
  anon_sym_infer = 154,
  anon_sym_is = 155,
  anon_sym_keyof = 156,
  anon_sym_unique = 157,
  anon_sym_unknown = 158,
  anon_sym_never = 159,
  anon_sym_LBRACE_PIPE = 160,
  anon_sym_PIPE_RBRACE = 161,
  sym__automatic_semicolon = 162,
  sym__template_chars = 163,
  sym__ternary_qmark = 164,
  sym_html_comment = 165,
  sym_jsx_text = 166,
  sym__function_signature_automatic_semicolon = 167,
  sym___error_recovery = 168,
  sym_program = 169,
  sym_export_statement = 170,
  sym_namespace_export = 171,
  sym_export_clause = 172,
  sym_export_specifier = 173,
  sym__module_export_name = 174,
  sym_declaration = 175,
  sym_import = 176,
  sym_import_statement = 177,
  sym_import_clause = 178,
  sym__from_clause = 179,
  sym_namespace_import = 180,
  sym_named_imports = 181,
  sym_import_specifier = 182,
  sym_import_attribute = 183,
  sym_statement = 184,
  sym_expression_statement = 185,
  sym_variable_declaration = 186,
  sym_lexical_declaration = 187,
  sym_variable_declarator = 188,
  sym_statement_block = 189,
  sym_else_clause = 190,
  sym_if_statement = 191,
  sym_switch_statement = 192,
  sym_for_statement = 193,
  sym_for_in_statement = 194,
  sym__for_header = 195,
  sym_while_statement = 196,
  sym_do_statement = 197,
  sym_try_statement = 198,
  sym_with_statement = 199,
  sym_break_statement = 200,
  sym_continue_statement = 201,
  sym_debugger_statement = 202,
  sym_return_statement = 203,
  sym_throw_statement = 204,
  sym_empty_statement = 205,
  sym_labeled_statement = 206,
  sym_switch_body = 207,
  sym_switch_case = 208,
  sym_switch_default = 209,
  sym_catch_clause = 210,
  sym_finally_clause = 211,
  sym_parenthesized_expression = 212,
  sym_expression = 213,
  sym_primary_expression = 214,
  sym_yield_expression = 215,
  sym_object = 216,
  sym_object_pattern = 217,
  sym_assignment_pattern = 218,
  sym_object_assignment_pattern = 219,
  sym_array = 220,
  sym_array_pattern = 221,
  sym_glimmer_template = 222,
  sym_nested_identifier = 223,
  sym_class = 224,
  sym_class_declaration = 225,
  sym_class_heritage = 226,
  sym_function_expression = 227,
  sym_function_declaration = 228,
  sym_generator_function = 229,
  sym_generator_function_declaration = 230,
  sym_arrow_function = 231,
  sym__call_signature = 232,
  sym__formal_parameter = 233,
  sym_optional_chain = 234,
  sym_call_expression = 235,
  sym_new_expression = 236,
  sym_await_expression = 237,
  sym_member_expression = 238,
  sym_subscript_expression = 239,
  sym_assignment_expression = 240,
  sym__augmented_assignment_lhs = 241,
  sym_augmented_assignment_expression = 242,
  sym__initializer = 243,
  sym__destructuring_pattern = 244,
  sym_spread_element = 245,
  sym_ternary_expression = 246,
  sym_binary_expression = 247,
  sym_unary_expression = 248,
  sym_update_expression = 249,
  sym_sequence_expression = 250,
  sym_string = 251,
  sym_template_string = 252,
  sym_template_substitution = 253,
  sym_regex = 254,
  sym_meta_property = 255,
  sym_arguments = 256,
  sym_decorator = 257,
  sym_decorator_member_expression = 258,
  sym_decorator_call_expression = 259,
  sym_class_body = 260,
  sym_formal_parameters = 261,
  sym_class_static_block = 262,
  sym_pattern = 263,
  sym_rest_pattern = 264,
  sym_method_definition = 265,
  sym_pair = 266,
  sym_pair_pattern = 267,
  sym__property_name = 268,
  sym_computed_property_name = 269,
  sym_public_field_definition = 270,
  sym__import_identifier = 271,
  sym_non_null_expression = 272,
  sym_method_signature = 273,
  sym_abstract_method_signature = 274,
  sym_function_signature = 275,
  sym_decorator_parenthesized_expression = 276,
  sym_type_assertion = 277,
  sym_as_expression = 278,
  sym_satisfies_expression = 279,
  sym_instantiation_expression = 280,
  sym_import_require_clause = 281,
  sym_extends_clause = 282,
  sym__extends_clause_single = 283,
  sym_implements_clause = 284,
  sym_ambient_declaration = 285,
  sym_abstract_class_declaration = 286,
  sym_module = 287,
  sym_internal_module = 288,
  sym__module = 289,
  sym_import_alias = 290,
  sym_nested_type_identifier = 291,
  sym_interface_declaration = 292,
  sym_extends_type_clause = 293,
  sym_enum_declaration = 294,
  sym_enum_body = 295,
  sym_enum_assignment = 296,
  sym_type_alias_declaration = 297,
  sym_accessibility_modifier = 298,
  sym_override_modifier = 299,
  sym_required_parameter = 300,
  sym_optional_parameter = 301,
  sym__parameter_name = 302,
  sym_omitting_type_annotation = 303,
  sym_adding_type_annotation = 304,
  sym_opting_type_annotation = 305,
  sym_type_annotation = 306,
  sym__type_query_member_expression_in_type_annotation = 307,
  sym__type_query_call_expression_in_type_annotation = 308,
  sym_asserts = 309,
  sym_asserts_annotation = 310,
  sym_type = 311,
  sym_tuple_parameter = 312,
  sym_optional_tuple_parameter = 313,
  sym_optional_type = 314,
  sym_rest_type = 315,
  sym__tuple_type_member = 316,
  sym_constructor_type = 317,
  sym_primary_type = 318,
  sym_template_type = 319,
  sym_template_literal_type = 320,
  sym_infer_type = 321,
  sym_conditional_type = 322,
  sym_generic_type = 323,
  sym_type_predicate = 324,
  sym_type_predicate_annotation = 325,
  sym__type_query_member_expression = 326,
  sym__type_query_subscript_expression = 327,
  sym__type_query_call_expression = 328,
  sym__type_query_instantiation_expression = 329,
  sym_type_query = 330,
  sym_index_type_query = 331,
  sym_lookup_type = 332,
  sym_mapped_type_clause = 333,
  sym_literal_type = 334,
  sym__number = 335,
  sym_existential_type = 336,
  sym_flow_maybe_type = 337,
  sym_parenthesized_type = 338,
  sym_predefined_type = 339,
  sym_type_arguments = 340,
  sym_object_type = 341,
  sym_call_signature = 342,
  sym_property_signature = 343,
  sym_type_parameters = 344,
  sym_type_parameter = 345,
  sym_default_type = 346,
  sym_constraint = 347,
  sym_construct_signature = 348,
  sym_index_signature = 349,
  sym_array_type = 350,
  sym_tuple_type = 351,
  sym_readonly_type = 352,
  sym_union_type = 353,
  sym_intersection_type = 354,
  sym_function_type = 355,
  aux_sym_program_repeat1 = 356,
  aux_sym_export_statement_repeat1 = 357,
  aux_sym_export_clause_repeat1 = 358,
  aux_sym_named_imports_repeat1 = 359,
  aux_sym_variable_declaration_repeat1 = 360,
  aux_sym_switch_body_repeat1 = 361,
  aux_sym_object_repeat1 = 362,
  aux_sym_object_pattern_repeat1 = 363,
  aux_sym_array_repeat1 = 364,
  aux_sym_array_pattern_repeat1 = 365,
  aux_sym_glimmer_template_repeat1 = 366,
  aux_sym_sequence_expression_repeat1 = 367,
  aux_sym_string_repeat1 = 368,
  aux_sym_string_repeat2 = 369,
  aux_sym_template_string_repeat1 = 370,
  aux_sym_class_body_repeat1 = 371,
  aux_sym_formal_parameters_repeat1 = 372,
  aux_sym_extends_clause_repeat1 = 373,
  aux_sym_implements_clause_repeat1 = 374,
  aux_sym_extends_type_clause_repeat1 = 375,
  aux_sym_enum_body_repeat1 = 376,
  aux_sym_template_literal_type_repeat1 = 377,
  aux_sym_object_type_repeat1 = 378,
  aux_sym_type_parameters_repeat1 = 379,
  aux_sym_tuple_type_repeat1 = 380,
  alias_sym_interface_body = 381,
  alias_sym_property_identifier = 382,
  alias_sym_shorthand_property_identifier = 383,
  alias_sym_shorthand_property_identifier_pattern = 384,
  alias_sym_statement_identifier = 385,
  alias_sym_this_type = 386,
  alias_sym_type_identifier = 387,
};

static const char * const ts_symbol_names[] = {
  [ts_builtin_sym_end] = "end",
  [sym_identifier] = "identifier",
  [sym_hash_bang_line] = "hash_bang_line",
  [anon_sym_export] = "export",
  [anon_sym_STAR] = "*",
  [anon_sym_default] = "default",
  [anon_sym_type] = "type",
  [anon_sym_EQ] = "=",
  [anon_sym_as] = "as",
  [anon_sym_namespace] = "namespace",
  [anon_sym_LBRACE] = "{",
  [anon_sym_COMMA] = ",",
  [anon_sym_RBRACE] = "}",
  [anon_sym_typeof] = "typeof",
  [anon_sym_import] = "import",
  [anon_sym_from] = "from",
  [anon_sym_with] = "with",
  [anon_sym_assert] = "assert",
  [anon_sym_var] = "var",
  [anon_sym_let] = "let",
  [anon_sym_const] = "const",
  [anon_sym_BANG] = "!",
  [anon_sym_else] = "else",
  [anon_sym_if] = "if",
  [anon_sym_switch] = "switch",
  [anon_sym_for] = "for",
  [anon_sym_LPAREN] = "(",
  [anon_sym_SEMI] = ";",
  [anon_sym_RPAREN] = ")",
  [anon_sym_await] = "await",
  [anon_sym_in] = "in",
  [anon_sym_of] = "of",
  [anon_sym_while] = "while",
  [anon_sym_do] = "do",
  [anon_sym_try] = "try",
  [anon_sym_break] = "break",
  [anon_sym_continue] = "continue",
  [anon_sym_debugger] = "debugger",
  [anon_sym_return] = "return",
  [anon_sym_throw] = "throw",
  [anon_sym_COLON] = ":",
  [anon_sym_case] = "case",
  [anon_sym_catch] = "catch",
  [anon_sym_finally] = "finally",
  [anon_sym_yield] = "yield",
  [anon_sym_LBRACK] = "[",
  [anon_sym_RBRACK] = "]",
  [sym__glimmer_template_content] = "_glimmer_template_content",
  [sym_glimmer_opening_tag] = "glimmer_opening_tag",
  [sym_glimmer_closing_tag] = "glimmer_closing_tag",
  [anon_sym_GT] = ">",
  [anon_sym_DOT] = ".",
  [anon_sym_DQUOTE] = "\"",
  [anon_sym_SQUOTE] = "'",
  [anon_sym_class] = "class",
  [anon_sym_async] = "async",
  [anon_sym_function] = "function",
  [anon_sym_EQ_GT] = "=>",
  [anon_sym_QMARK_DOT] = "\?.",
  [anon_sym_new] = "new",
  [anon_sym_using] = "using",
  [anon_sym_PLUS_EQ] = "+=",
  [anon_sym_DASH_EQ] = "-=",
  [anon_sym_STAR_EQ] = "*=",
  [anon_sym_SLASH_EQ] = "/=",
  [anon_sym_PERCENT_EQ] = "%=",
  [anon_sym_CARET_EQ] = "^=",
  [anon_sym_AMP_EQ] = "&=",
  [anon_sym_PIPE_EQ] = "|=",
  [anon_sym_GT_GT_EQ] = ">>=",
  [anon_sym_GT_GT_GT_EQ] = ">>>=",
  [anon_sym_LT_LT_EQ] = "<<=",
  [anon_sym_STAR_STAR_EQ] = "**=",
  [anon_sym_AMP_AMP_EQ] = "&&=",
  [anon_sym_PIPE_PIPE_EQ] = "||=",
  [anon_sym_QMARK_QMARK_EQ] = "\?\?=",
  [anon_sym_DOT_DOT_DOT] = "...",
  [anon_sym_AMP_AMP] = "&&",
  [anon_sym_PIPE_PIPE] = "||",
  [anon_sym_GT_GT] = ">>",
  [anon_sym_GT_GT_GT] = ">>>",
  [anon_sym_LT_LT] = "<<",
  [anon_sym_AMP] = "&",
  [anon_sym_CARET] = "^",
  [anon_sym_PIPE] = "|",
  [anon_sym_PLUS] = "+",
  [anon_sym_DASH] = "-",
  [anon_sym_SLASH] = "/",
  [anon_sym_PERCENT] = "%",
  [anon_sym_STAR_STAR] = "**",
  [anon_sym_LT] = "<",
  [anon_sym_LT_EQ] = "<=",
  [anon_sym_EQ_EQ] = "==",
  [anon_sym_EQ_EQ_EQ] = "===",
  [anon_sym_BANG_EQ] = "!=",
  [anon_sym_BANG_EQ_EQ] = "!==",
  [anon_sym_GT_EQ] = ">=",
  [anon_sym_QMARK_QMARK] = "\?\?",
  [anon_sym_instanceof] = "instanceof",
  [anon_sym_TILDE] = "~",
  [anon_sym_void] = "void",
  [anon_sym_delete] = "delete",
  [anon_sym_PLUS_PLUS] = "++",
  [anon_sym_DASH_DASH] = "--",
  [sym_unescaped_double_string_fragment] = "string_fragment",
  [sym_unescaped_single_string_fragment] = "string_fragment",
  [sym_escape_sequence] = "escape_sequence",
  [sym_comment] = "comment",
  [anon_sym_BQUOTE] = "`",
  [anon_sym_DOLLAR_LBRACE] = "${",
  [anon_sym_SLASH2] = "/",
  [sym_regex_pattern] = "regex_pattern",
  [sym_regex_flags] = "regex_flags",
  [sym_number] = "number",
  [sym_private_property_identifier] = "private_property_identifier",
  [anon_sym_target] = "target",
  [anon_sym_meta] = "meta",
  [sym_this] = "this",
  [sym_super] = "super",
  [sym_true] = "true",
  [sym_false] = "false",
  [sym_null] = "null",
  [sym_undefined] = "undefined",
  [anon_sym_AT] = "@",
  [anon_sym_static] = "static",
  [anon_sym_readonly] = "readonly",
  [anon_sym_get] = "get",
  [anon_sym_set] = "set",
  [anon_sym_QMARK] = "\?",
  [anon_sym_declare] = "declare",
  [anon_sym_public] = "public",
  [anon_sym_private] = "private",
  [anon_sym_protected] = "protected",
  [anon_sym_override] = "override",
  [anon_sym_module] = "module",
  [anon_sym_any] = "any",
  [anon_sym_number] = "number",
  [anon_sym_boolean] = "boolean",
  [anon_sym_string] = "string",
  [anon_sym_symbol] = "symbol",
  [anon_sym_object] = "object",
  [anon_sym_abstract] = "abstract",
  [anon_sym_accessor] = "accessor",
  [anon_sym_satisfies] = "satisfies",
  [anon_sym_require] = "require",
  [anon_sym_extends] = "extends",
  [anon_sym_implements] = "implements",
  [anon_sym_global] = "global",
  [anon_sym_interface] = "interface",
  [anon_sym_enum] = "enum",
  [anon_sym_DASH_QMARK_COLON] = "-\?:",
  [anon_sym_PLUS_QMARK_COLON] = "+\?:",
  [anon_sym_QMARK_COLON] = "\?:",
  [anon_sym_asserts] = "asserts",
  [anon_sym_infer] = "infer",
  [anon_sym_is] = "is",
  [anon_sym_keyof] = "keyof",
  [anon_sym_unique] = "unique symbol",
  [anon_sym_unknown] = "unknown",
  [anon_sym_never] = "never",
  [anon_sym_LBRACE_PIPE] = "{|",
  [anon_sym_PIPE_RBRACE] = "|}",
  [sym__automatic_semicolon] = "_automatic_semicolon",
  [sym__template_chars] = "string_fragment",
  [sym__ternary_qmark] = "\?",
  [sym_html_comment] = "html_comment",
  [sym_jsx_text] = "jsx_text",
  [sym__function_signature_automatic_semicolon] = "_function_signature_automatic_semicolon",
  [sym___error_recovery] = "__error_recovery",
  [sym_program] = "program",
  [sym_export_statement] = "export_statement",
  [sym_namespace_export] = "namespace_export",
  [sym_export_clause] = "export_clause",
  [sym_export_specifier] = "export_specifier",
  [sym__module_export_name] = "_module_export_name",
  [sym_declaration] = "declaration",
  [sym_import] = "import",
  [sym_import_statement] = "import_statement",
  [sym_import_clause] = "import_clause",
  [sym__from_clause] = "_from_clause",
  [sym_namespace_import] = "namespace_import",
  [sym_named_imports] = "named_imports",
  [sym_import_specifier] = "import_specifier",
  [sym_import_attribute] = "import_attribute",
  [sym_statement] = "statement",
  [sym_expression_statement] = "expression_statement",
  [sym_variable_declaration] = "variable_declaration",
  [sym_lexical_declaration] = "lexical_declaration",
  [sym_variable_declarator] = "variable_declarator",
  [sym_statement_block] = "statement_block",
  [sym_else_clause] = "else_clause",
  [sym_if_statement] = "if_statement",
  [sym_switch_statement] = "switch_statement",
  [sym_for_statement] = "for_statement",
  [sym_for_in_statement] = "for_in_statement",
  [sym__for_header] = "_for_header",
  [sym_while_statement] = "while_statement",
  [sym_do_statement] = "do_statement",
  [sym_try_statement] = "try_statement",
  [sym_with_statement] = "with_statement",
  [sym_break_statement] = "break_statement",
  [sym_continue_statement] = "continue_statement",
  [sym_debugger_statement] = "debugger_statement",
  [sym_return_statement] = "return_statement",
  [sym_throw_statement] = "throw_statement",
  [sym_empty_statement] = "empty_statement",
  [sym_labeled_statement] = "labeled_statement",
  [sym_switch_body] = "switch_body",
  [sym_switch_case] = "switch_case",
  [sym_switch_default] = "switch_default",
  [sym_catch_clause] = "catch_clause",
  [sym_finally_clause] = "finally_clause",
  [sym_parenthesized_expression] = "parenthesized_expression",
  [sym_expression] = "expression",
  [sym_primary_expression] = "primary_expression",
  [sym_yield_expression] = "yield_expression",
  [sym_object] = "object",
  [sym_object_pattern] = "object_pattern",
  [sym_assignment_pattern] = "assignment_pattern",
  [sym_object_assignment_pattern] = "object_assignment_pattern",
  [sym_array] = "array",
  [sym_array_pattern] = "array_pattern",
  [sym_glimmer_template] = "glimmer_template",
  [sym_nested_identifier] = "nested_identifier",
  [sym_class] = "class",
  [sym_class_declaration] = "class_declaration",
  [sym_class_heritage] = "class_heritage",
  [sym_function_expression] = "function_expression",
  [sym_function_declaration] = "function_declaration",
  [sym_generator_function] = "generator_function",
  [sym_generator_function_declaration] = "generator_function_declaration",
  [sym_arrow_function] = "arrow_function",
  [sym__call_signature] = "_call_signature",
  [sym__formal_parameter] = "_formal_parameter",
  [sym_optional_chain] = "optional_chain",
  [sym_call_expression] = "call_expression",
  [sym_new_expression] = "new_expression",
  [sym_await_expression] = "await_expression",
  [sym_member_expression] = "member_expression",
  [sym_subscript_expression] = "subscript_expression",
  [sym_assignment_expression] = "assignment_expression",
  [sym__augmented_assignment_lhs] = "_augmented_assignment_lhs",
  [sym_augmented_assignment_expression] = "augmented_assignment_expression",
  [sym__initializer] = "_initializer",
  [sym__destructuring_pattern] = "_destructuring_pattern",
  [sym_spread_element] = "spread_element",
  [sym_ternary_expression] = "ternary_expression",
  [sym_binary_expression] = "binary_expression",
  [sym_unary_expression] = "unary_expression",
  [sym_update_expression] = "update_expression",
  [sym_sequence_expression] = "sequence_expression",
  [sym_string] = "string",
  [sym_template_string] = "template_string",
  [sym_template_substitution] = "template_substitution",
  [sym_regex] = "regex",
  [sym_meta_property] = "meta_property",
  [sym_arguments] = "arguments",
  [sym_decorator] = "decorator",
  [sym_decorator_member_expression] = "member_expression",
  [sym_decorator_call_expression] = "call_expression",
  [sym_class_body] = "class_body",
  [sym_formal_parameters] = "formal_parameters",
  [sym_class_static_block] = "class_static_block",
  [sym_pattern] = "pattern",
  [sym_rest_pattern] = "rest_pattern",
  [sym_method_definition] = "method_definition",
  [sym_pair] = "pair",
  [sym_pair_pattern] = "pair_pattern",
  [sym__property_name] = "_property_name",
  [sym_computed_property_name] = "computed_property_name",
  [sym_public_field_definition] = "public_field_definition",
  [sym__import_identifier] = "_import_identifier",
  [sym_non_null_expression] = "non_null_expression",
  [sym_method_signature] = "method_signature",
  [sym_abstract_method_signature] = "abstract_method_signature",
  [sym_function_signature] = "function_signature",
  [sym_decorator_parenthesized_expression] = "parenthesized_expression",
  [sym_type_assertion] = "type_assertion",
  [sym_as_expression] = "as_expression",
  [sym_satisfies_expression] = "satisfies_expression",
  [sym_instantiation_expression] = "instantiation_expression",
  [sym_import_require_clause] = "import_require_clause",
  [sym_extends_clause] = "extends_clause",
  [sym__extends_clause_single] = "_extends_clause_single",
  [sym_implements_clause] = "implements_clause",
  [sym_ambient_declaration] = "ambient_declaration",
  [sym_abstract_class_declaration] = "abstract_class_declaration",
  [sym_module] = "module",
  [sym_internal_module] = "internal_module",
  [sym__module] = "_module",
  [sym_import_alias] = "import_alias",
  [sym_nested_type_identifier] = "nested_type_identifier",
  [sym_interface_declaration] = "interface_declaration",
  [sym_extends_type_clause] = "extends_type_clause",
  [sym_enum_declaration] = "enum_declaration",
  [sym_enum_body] = "enum_body",
  [sym_enum_assignment] = "enum_assignment",
  [sym_type_alias_declaration] = "type_alias_declaration",
  [sym_accessibility_modifier] = "accessibility_modifier",
  [sym_override_modifier] = "override_modifier",
  [sym_required_parameter] = "required_parameter",
  [sym_optional_parameter] = "optional_parameter",
  [sym__parameter_name] = "_parameter_name",
  [sym_omitting_type_annotation] = "omitting_type_annotation",
  [sym_adding_type_annotation] = "adding_type_annotation",
  [sym_opting_type_annotation] = "opting_type_annotation",
  [sym_type_annotation] = "type_annotation",
  [sym__type_query_member_expression_in_type_annotation] = "member_expression",
  [sym__type_query_call_expression_in_type_annotation] = "call_expression",
  [sym_asserts] = "asserts",
  [sym_asserts_annotation] = "asserts_annotation",
  [sym_type] = "type",
  [sym_tuple_parameter] = "required_parameter",
  [sym_optional_tuple_parameter] = "optional_parameter",
  [sym_optional_type] = "optional_type",
  [sym_rest_type] = "rest_type",
  [sym__tuple_type_member] = "_tuple_type_member",
  [sym_constructor_type] = "constructor_type",
  [sym_primary_type] = "primary_type",
  [sym_template_type] = "template_type",
  [sym_template_literal_type] = "template_literal_type",
  [sym_infer_type] = "infer_type",
  [sym_conditional_type] = "conditional_type",
  [sym_generic_type] = "generic_type",
  [sym_type_predicate] = "type_predicate",
  [sym_type_predicate_annotation] = "type_predicate_annotation",
  [sym__type_query_member_expression] = "member_expression",
  [sym__type_query_subscript_expression] = "subscript_expression",
  [sym__type_query_call_expression] = "call_expression",
  [sym__type_query_instantiation_expression] = "instantiation_expression",
  [sym_type_query] = "type_query",
  [sym_index_type_query] = "index_type_query",
  [sym_lookup_type] = "lookup_type",
  [sym_mapped_type_clause] = "mapped_type_clause",
  [sym_literal_type] = "literal_type",
  [sym__number] = "unary_expression",
  [sym_existential_type] = "existential_type",
  [sym_flow_maybe_type] = "flow_maybe_type",
  [sym_parenthesized_type] = "parenthesized_type",
  [sym_predefined_type] = "predefined_type",
  [sym_type_arguments] = "type_arguments",
  [sym_object_type] = "object_type",
  [sym_call_signature] = "call_signature",
  [sym_property_signature] = "property_signature",
  [sym_type_parameters] = "type_parameters",
  [sym_type_parameter] = "type_parameter",
  [sym_default_type] = "default_type",
  [sym_constraint] = "constraint",
  [sym_construct_signature] = "construct_signature",
  [sym_index_signature] = "index_signature",
  [sym_array_type] = "array_type",
  [sym_tuple_type] = "tuple_type",
  [sym_readonly_type] = "readonly_type",
  [sym_union_type] = "union_type",
  [sym_intersection_type] = "intersection_type",
  [sym_function_type] = "function_type",
  [aux_sym_program_repeat1] = "program_repeat1",
  [aux_sym_export_statement_repeat1] = "export_statement_repeat1",
  [aux_sym_export_clause_repeat1] = "export_clause_repeat1",
  [aux_sym_named_imports_repeat1] = "named_imports_repeat1",
  [aux_sym_variable_declaration_repeat1] = "variable_declaration_repeat1",
  [aux_sym_switch_body_repeat1] = "switch_body_repeat1",
  [aux_sym_object_repeat1] = "object_repeat1",
  [aux_sym_object_pattern_repeat1] = "object_pattern_repeat1",
  [aux_sym_array_repeat1] = "array_repeat1",
  [aux_sym_array_pattern_repeat1] = "array_pattern_repeat1",
  [aux_sym_glimmer_template_repeat1] = "glimmer_template_repeat1",
  [aux_sym_sequence_expression_repeat1] = "sequence_expression_repeat1",
  [aux_sym_string_repeat1] = "string_repeat1",
  [aux_sym_string_repeat2] = "string_repeat2",
  [aux_sym_template_string_repeat1] = "template_string_repeat1",
  [aux_sym_class_body_repeat1] = "class_body_repeat1",
  [aux_sym_formal_parameters_repeat1] = "formal_parameters_repeat1",
  [aux_sym_extends_clause_repeat1] = "extends_clause_repeat1",
  [aux_sym_implements_clause_repeat1] = "implements_clause_repeat1",
  [aux_sym_extends_type_clause_repeat1] = "extends_type_clause_repeat1",
  [aux_sym_enum_body_repeat1] = "enum_body_repeat1",
  [aux_sym_template_literal_type_repeat1] = "template_literal_type_repeat1",
  [aux_sym_object_type_repeat1] = "object_type_repeat1",
  [aux_sym_type_parameters_repeat1] = "type_parameters_repeat1",
  [aux_sym_tuple_type_repeat1] = "tuple_type_repeat1",
  [alias_sym_interface_body] = "interface_body",
  [alias_sym_property_identifier] = "property_identifier",
  [alias_sym_shorthand_property_identifier] = "shorthand_property_identifier",
  [alias_sym_shorthand_property_identifier_pattern] = "shorthand_property_identifier_pattern",
  [alias_sym_statement_identifier] = "statement_identifier",
  [alias_sym_this_type] = "this_type",
  [alias_sym_type_identifier] = "type_identifier",
};

static const TSSymbol ts_symbol_map[] = {
  [ts_builtin_sym_end] = ts_builtin_sym_end,
  [sym_identifier] = sym_identifier,
  [sym_hash_bang_line] = sym_hash_bang_line,
  [anon_sym_export] = anon_sym_export,
  [anon_sym_STAR] = anon_sym_STAR,
  [anon_sym_default] = anon_sym_default,
  [anon_sym_type] = anon_sym_type,
  [anon_sym_EQ] = anon_sym_EQ,
  [anon_sym_as] = anon_sym_as,
  [anon_sym_namespace] = anon_sym_namespace,
  [anon_sym_LBRACE] = anon_sym_LBRACE,
  [anon_sym_COMMA] = anon_sym_COMMA,
  [anon_sym_RBRACE] = anon_sym_RBRACE,
  [anon_sym_typeof] = anon_sym_typeof,
  [anon_sym_import] = anon_sym_import,
  [anon_sym_from] = anon_sym_from,
  [anon_sym_with] = anon_sym_with,
  [anon_sym_assert] = anon_sym_assert,
  [anon_sym_var] = anon_sym_var,
  [anon_sym_let] = anon_sym_let,
  [anon_sym_const] = anon_sym_const,
  [anon_sym_BANG] = anon_sym_BANG,
  [anon_sym_else] = anon_sym_else,
  [anon_sym_if] = anon_sym_if,
  [anon_sym_switch] = anon_sym_switch,
  [anon_sym_for] = anon_sym_for,
  [anon_sym_LPAREN] = anon_sym_LPAREN,
  [anon_sym_SEMI] = anon_sym_SEMI,
  [anon_sym_RPAREN] = anon_sym_RPAREN,
  [anon_sym_await] = anon_sym_await,
  [anon_sym_in] = anon_sym_in,
  [anon_sym_of] = anon_sym_of,
  [anon_sym_while] = anon_sym_while,
  [anon_sym_do] = anon_sym_do,
  [anon_sym_try] = anon_sym_try,
  [anon_sym_break] = anon_sym_break,
  [anon_sym_continue] = anon_sym_continue,
  [anon_sym_debugger] = anon_sym_debugger,
  [anon_sym_return] = anon_sym_return,
  [anon_sym_throw] = anon_sym_throw,
  [anon_sym_COLON] = anon_sym_COLON,
  [anon_sym_case] = anon_sym_case,
  [anon_sym_catch] = anon_sym_catch,
  [anon_sym_finally] = anon_sym_finally,
  [anon_sym_yield] = anon_sym_yield,
  [anon_sym_LBRACK] = anon_sym_LBRACK,
  [anon_sym_RBRACK] = anon_sym_RBRACK,
  [sym__glimmer_template_content] = sym__glimmer_template_content,
  [sym_glimmer_opening_tag] = sym_glimmer_opening_tag,
  [sym_glimmer_closing_tag] = sym_glimmer_closing_tag,
  [anon_sym_GT] = anon_sym_GT,
  [anon_sym_DOT] = anon_sym_DOT,
  [anon_sym_DQUOTE] = anon_sym_DQUOTE,
  [anon_sym_SQUOTE] = anon_sym_SQUOTE,
  [anon_sym_class] = anon_sym_class,
  [anon_sym_async] = anon_sym_async,
  [anon_sym_function] = anon_sym_function,
  [anon_sym_EQ_GT] = anon_sym_EQ_GT,
  [anon_sym_QMARK_DOT] = anon_sym_QMARK_DOT,
  [anon_sym_new] = anon_sym_new,
  [anon_sym_using] = anon_sym_using,
  [anon_sym_PLUS_EQ] = anon_sym_PLUS_EQ,
  [anon_sym_DASH_EQ] = anon_sym_DASH_EQ,
  [anon_sym_STAR_EQ] = anon_sym_STAR_EQ,
  [anon_sym_SLASH_EQ] = anon_sym_SLASH_EQ,
  [anon_sym_PERCENT_EQ] = anon_sym_PERCENT_EQ,
  [anon_sym_CARET_EQ] = anon_sym_CARET_EQ,
  [anon_sym_AMP_EQ] = anon_sym_AMP_EQ,
  [anon_sym_PIPE_EQ] = anon_sym_PIPE_EQ,
  [anon_sym_GT_GT_EQ] = anon_sym_GT_GT_EQ,
  [anon_sym_GT_GT_GT_EQ] = anon_sym_GT_GT_GT_EQ,
  [anon_sym_LT_LT_EQ] = anon_sym_LT_LT_EQ,
  [anon_sym_STAR_STAR_EQ] = anon_sym_STAR_STAR_EQ,
  [anon_sym_AMP_AMP_EQ] = anon_sym_AMP_AMP_EQ,
  [anon_sym_PIPE_PIPE_EQ] = anon_sym_PIPE_PIPE_EQ,
  [anon_sym_QMARK_QMARK_EQ] = anon_sym_QMARK_QMARK_EQ,
  [anon_sym_DOT_DOT_DOT] = anon_sym_DOT_DOT_DOT,
  [anon_sym_AMP_AMP] = anon_sym_AMP_AMP,
  [anon_sym_PIPE_PIPE] = anon_sym_PIPE_PIPE,
  [anon_sym_GT_GT] = anon_sym_GT_GT,
  [anon_sym_GT_GT_GT] = anon_sym_GT_GT_GT,
  [anon_sym_LT_LT] = anon_sym_LT_LT,
  [anon_sym_AMP] = anon_sym_AMP,
  [anon_sym_CARET] = anon_sym_CARET,
  [anon_sym_PIPE] = anon_sym_PIPE,
  [anon_sym_PLUS] = anon_sym_PLUS,
  [anon_sym_DASH] = anon_sym_DASH,
  [anon_sym_SLASH] = anon_sym_SLASH,
  [anon_sym_PERCENT] = anon_sym_PERCENT,
  [anon_sym_STAR_STAR] = anon_sym_STAR_STAR,
  [anon_sym_LT] = anon_sym_LT,
  [anon_sym_LT_EQ] = anon_sym_LT_EQ,
  [anon_sym_EQ_EQ] = anon_sym_EQ_EQ,
  [anon_sym_EQ_EQ_EQ] = anon_sym_EQ_EQ_EQ,
  [anon_sym_BANG_EQ] = anon_sym_BANG_EQ,
  [anon_sym_BANG_EQ_EQ] = anon_sym_BANG_EQ_EQ,
  [anon_sym_GT_EQ] = anon_sym_GT_EQ,
  [anon_sym_QMARK_QMARK] = anon_sym_QMARK_QMARK,
  [anon_sym_instanceof] = anon_sym_instanceof,
  [anon_sym_TILDE] = anon_sym_TILDE,
  [anon_sym_void] = anon_sym_void,
  [anon_sym_delete] = anon_sym_delete,
  [anon_sym_PLUS_PLUS] = anon_sym_PLUS_PLUS,
  [anon_sym_DASH_DASH] = anon_sym_DASH_DASH,
  [sym_unescaped_double_string_fragment] = sym__template_chars,
  [sym_unescaped_single_string_fragment] = sym__template_chars,
  [sym_escape_sequence] = sym_escape_sequence,
  [sym_comment] = sym_comment,
  [anon_sym_BQUOTE] = anon_sym_BQUOTE,
  [anon_sym_DOLLAR_LBRACE] = anon_sym_DOLLAR_LBRACE,
  [anon_sym_SLASH2] = anon_sym_SLASH,
  [sym_regex_pattern] = sym_regex_pattern,
  [sym_regex_flags] = sym_regex_flags,
  [sym_number] = sym_number,
  [sym_private_property_identifier] = sym_private_property_identifier,
  [anon_sym_target] = anon_sym_target,
  [anon_sym_meta] = anon_sym_meta,
  [sym_this] = sym_this,
  [sym_super] = sym_super,
  [sym_true] = sym_true,
  [sym_false] = sym_false,
  [sym_null] = sym_null,
  [sym_undefined] = sym_undefined,
  [anon_sym_AT] = anon_sym_AT,
  [anon_sym_static] = anon_sym_static,
  [anon_sym_readonly] = anon_sym_readonly,
  [anon_sym_get] = anon_sym_get,
  [anon_sym_set] = anon_sym_set,
  [anon_sym_QMARK] = anon_sym_QMARK,
  [anon_sym_declare] = anon_sym_declare,
  [anon_sym_public] = anon_sym_public,
  [anon_sym_private] = anon_sym_private,
  [anon_sym_protected] = anon_sym_protected,
  [anon_sym_override] = anon_sym_override,
  [anon_sym_module] = anon_sym_module,
  [anon_sym_any] = anon_sym_any,
  [anon_sym_number] = anon_sym_number,
  [anon_sym_boolean] = anon_sym_boolean,
  [anon_sym_string] = anon_sym_string,
  [anon_sym_symbol] = anon_sym_symbol,
  [anon_sym_object] = anon_sym_object,
  [anon_sym_abstract] = anon_sym_abstract,
  [anon_sym_accessor] = anon_sym_accessor,
  [anon_sym_satisfies] = anon_sym_satisfies,
  [anon_sym_require] = anon_sym_require,
  [anon_sym_extends] = anon_sym_extends,
  [anon_sym_implements] = anon_sym_implements,
  [anon_sym_global] = anon_sym_global,
  [anon_sym_interface] = anon_sym_interface,
  [anon_sym_enum] = anon_sym_enum,
  [anon_sym_DASH_QMARK_COLON] = anon_sym_DASH_QMARK_COLON,
  [anon_sym_PLUS_QMARK_COLON] = anon_sym_PLUS_QMARK_COLON,
  [anon_sym_QMARK_COLON] = anon_sym_QMARK_COLON,
  [anon_sym_asserts] = anon_sym_asserts,
  [anon_sym_infer] = anon_sym_infer,
  [anon_sym_is] = anon_sym_is,
  [anon_sym_keyof] = anon_sym_keyof,
  [anon_sym_unique] = anon_sym_unique,
  [anon_sym_unknown] = anon_sym_unknown,
  [anon_sym_never] = anon_sym_never,
  [anon_sym_LBRACE_PIPE] = anon_sym_LBRACE_PIPE,
  [anon_sym_PIPE_RBRACE] = anon_sym_PIPE_RBRACE,
  [sym__automatic_semicolon] = sym__automatic_semicolon,
  [sym__template_chars] = sym__template_chars,
  [sym__ternary_qmark] = anon_sym_QMARK,
  [sym_html_comment] = sym_html_comment,
  [sym_jsx_text] = sym_jsx_text,
  [sym__function_signature_automatic_semicolon] = sym__function_signature_automatic_semicolon,
  [sym___error_recovery] = sym___error_recovery,
  [sym_program] = sym_program,
  [sym_export_statement] = sym_export_statement,
  [sym_namespace_export] = sym_namespace_export,
  [sym_export_clause] = sym_export_clause,
  [sym_export_specifier] = sym_export_specifier,
  [sym__module_export_name] = sym__module_export_name,
  [sym_declaration] = sym_declaration,
  [sym_import] = sym_import,
  [sym_import_statement] = sym_import_statement,
  [sym_import_clause] = sym_import_clause,
  [sym__from_clause] = sym__from_clause,
  [sym_namespace_import] = sym_namespace_import,
  [sym_named_imports] = sym_named_imports,
  [sym_import_specifier] = sym_import_specifier,
  [sym_import_attribute] = sym_import_attribute,
  [sym_statement] = sym_statement,
  [sym_expression_statement] = sym_expression_statement,
  [sym_variable_declaration] = sym_variable_declaration,
  [sym_lexical_declaration] = sym_lexical_declaration,
  [sym_variable_declarator] = sym_variable_declarator,
  [sym_statement_block] = sym_statement_block,
  [sym_else_clause] = sym_else_clause,
  [sym_if_statement] = sym_if_statement,
  [sym_switch_statement] = sym_switch_statement,
  [sym_for_statement] = sym_for_statement,
  [sym_for_in_statement] = sym_for_in_statement,
  [sym__for_header] = sym__for_header,
  [sym_while_statement] = sym_while_statement,
  [sym_do_statement] = sym_do_statement,
  [sym_try_statement] = sym_try_statement,
  [sym_with_statement] = sym_with_statement,
  [sym_break_statement] = sym_break_statement,
  [sym_continue_statement] = sym_continue_statement,
  [sym_debugger_statement] = sym_debugger_statement,
  [sym_return_statement] = sym_return_statement,
  [sym_throw_statement] = sym_throw_statement,
  [sym_empty_statement] = sym_empty_statement,
  [sym_labeled_statement] = sym_labeled_statement,
  [sym_switch_body] = sym_switch_body,
  [sym_switch_case] = sym_switch_case,
  [sym_switch_default] = sym_switch_default,
  [sym_catch_clause] = sym_catch_clause,
  [sym_finally_clause] = sym_finally_clause,
  [sym_parenthesized_expression] = sym_parenthesized_expression,
  [sym_expression] = sym_expression,
  [sym_primary_expression] = sym_primary_expression,
  [sym_yield_expression] = sym_yield_expression,
  [sym_object] = sym_object,
  [sym_object_pattern] = sym_object_pattern,
  [sym_assignment_pattern] = sym_assignment_pattern,
  [sym_object_assignment_pattern] = sym_object_assignment_pattern,
  [sym_array] = sym_array,
  [sym_array_pattern] = sym_array_pattern,
  [sym_glimmer_template] = sym_glimmer_template,
  [sym_nested_identifier] = sym_nested_identifier,
  [sym_class] = sym_class,
  [sym_class_declaration] = sym_class_declaration,
  [sym_class_heritage] = sym_class_heritage,
  [sym_function_expression] = sym_function_expression,
  [sym_function_declaration] = sym_function_declaration,
  [sym_generator_function] = sym_generator_function,
  [sym_generator_function_declaration] = sym_generator_function_declaration,
  [sym_arrow_function] = sym_arrow_function,
  [sym__call_signature] = sym__call_signature,
  [sym__formal_parameter] = sym__formal_parameter,
  [sym_optional_chain] = sym_optional_chain,
  [sym_call_expression] = sym_call_expression,
  [sym_new_expression] = sym_new_expression,
  [sym_await_expression] = sym_await_expression,
  [sym_member_expression] = sym_member_expression,
  [sym_subscript_expression] = sym_subscript_expression,
  [sym_assignment_expression] = sym_assignment_expression,
  [sym__augmented_assignment_lhs] = sym__augmented_assignment_lhs,
  [sym_augmented_assignment_expression] = sym_augmented_assignment_expression,
  [sym__initializer] = sym__initializer,
  [sym__destructuring_pattern] = sym__destructuring_pattern,
  [sym_spread_element] = sym_spread_element,
  [sym_ternary_expression] = sym_ternary_expression,
  [sym_binary_expression] = sym_binary_expression,
  [sym_unary_expression] = sym_unary_expression,
  [sym_update_expression] = sym_update_expression,
  [sym_sequence_expression] = sym_sequence_expression,
  [sym_string] = sym_string,
  [sym_template_string] = sym_template_string,
  [sym_template_substitution] = sym_template_substitution,
  [sym_regex] = sym_regex,
  [sym_meta_property] = sym_meta_property,
  [sym_arguments] = sym_arguments,
  [sym_decorator] = sym_decorator,
  [sym_decorator_member_expression] = sym_member_expression,
  [sym_decorator_call_expression] = sym_call_expression,
  [sym_class_body] = sym_class_body,
  [sym_formal_parameters] = sym_formal_parameters,
  [sym_class_static_block] = sym_class_static_block,
  [sym_pattern] = sym_pattern,
  [sym_rest_pattern] = sym_rest_pattern,
  [sym_method_definition] = sym_method_definition,
  [sym_pair] = sym_pair,
  [sym_pair_pattern] = sym_pair_pattern,
  [sym__property_name] = sym__property_name,
  [sym_computed_property_name] = sym_computed_property_name,
  [sym_public_field_definition] = sym_public_field_definition,
  [sym__import_identifier] = sym__import_identifier,
  [sym_non_null_expression] = sym_non_null_expression,
  [sym_method_signature] = sym_method_signature,
  [sym_abstract_method_signature] = sym_abstract_method_signature,
  [sym_function_signature] = sym_function_signature,
  [sym_decorator_parenthesized_expression] = sym_parenthesized_expression,
  [sym_type_assertion] = sym_type_assertion,
  [sym_as_expression] = sym_as_expression,
  [sym_satisfies_expression] = sym_satisfies_expression,
  [sym_instantiation_expression] = sym_instantiation_expression,
  [sym_import_require_clause] = sym_import_require_clause,
  [sym_extends_clause] = sym_extends_clause,
  [sym__extends_clause_single] = sym__extends_clause_single,
  [sym_implements_clause] = sym_implements_clause,
  [sym_ambient_declaration] = sym_ambient_declaration,
  [sym_abstract_class_declaration] = sym_abstract_class_declaration,
  [sym_module] = sym_module,
  [sym_internal_module] = sym_internal_module,
  [sym__module] = sym__module,
  [sym_import_alias] = sym_import_alias,
  [sym_nested_type_identifier] = sym_nested_type_identifier,
  [sym_interface_declaration] = sym_interface_declaration,
  [sym_extends_type_clause] = sym_extends_type_clause,
  [sym_enum_declaration] = sym_enum_declaration,
  [sym_enum_body] = sym_enum_body,
  [sym_enum_assignment] = sym_enum_assignment,
  [sym_type_alias_declaration] = sym_type_alias_declaration,
  [sym_accessibility_modifier] = sym_accessibility_modifier,
  [sym_override_modifier] = sym_override_modifier,
  [sym_required_parameter] = sym_required_parameter,
  [sym_optional_parameter] = sym_optional_parameter,
  [sym__parameter_name] = sym__parameter_name,
  [sym_omitting_type_annotation] = sym_omitting_type_annotation,
  [sym_adding_type_annotation] = sym_adding_type_annotation,
  [sym_opting_type_annotation] = sym_opting_type_annotation,
  [sym_type_annotation] = sym_type_annotation,
  [sym__type_query_member_expression_in_type_annotation] = sym_member_expression,
  [sym__type_query_call_expression_in_type_annotation] = sym_call_expression,
  [sym_asserts] = sym_asserts,
  [sym_asserts_annotation] = sym_asserts_annotation,
  [sym_type] = sym_type,
  [sym_tuple_parameter] = sym_required_parameter,
  [sym_optional_tuple_parameter] = sym_optional_parameter,
  [sym_optional_type] = sym_optional_type,
  [sym_rest_type] = sym_rest_type,
  [sym__tuple_type_member] = sym__tuple_type_member,
  [sym_constructor_type] = sym_constructor_type,
  [sym_primary_type] = sym_primary_type,
  [sym_template_type] = sym_template_type,
  [sym_template_literal_type] = sym_template_literal_type,
  [sym_infer_type] = sym_infer_type,
  [sym_conditional_type] = sym_conditional_type,
  [sym_generic_type] = sym_generic_type,
  [sym_type_predicate] = sym_type_predicate,
  [sym_type_predicate_annotation] = sym_type_predicate_annotation,
  [sym__type_query_member_expression] = sym_member_expression,
  [sym__type_query_subscript_expression] = sym_subscript_expression,
  [sym__type_query_call_expression] = sym_call_expression,
  [sym__type_query_instantiation_expression] = sym_instantiation_expression,
  [sym_type_query] = sym_type_query,
  [sym_index_type_query] = sym_index_type_query,
  [sym_lookup_type] = sym_lookup_type,
  [sym_mapped_type_clause] = sym_mapped_type_clause,
  [sym_literal_type] = sym_literal_type,
  [sym__number] = sym_unary_expression,
  [sym_existential_type] = sym_existential_type,
  [sym_flow_maybe_type] = sym_flow_maybe_type,
  [sym_parenthesized_type] = sym_parenthesized_type,
  [sym_predefined_type] = sym_predefined_type,
  [sym_type_arguments] = sym_type_arguments,
  [sym_object_type] = sym_object_type,
  [sym_call_signature] = sym_call_signature,
  [sym_property_signature] = sym_property_signature,
  [sym_type_parameters] = sym_type_parameters,
  [sym_type_parameter] = sym_type_parameter,
  [sym_default_type] = sym_default_type,
  [sym_constraint] = sym_constraint,
  [sym_construct_signature] = sym_construct_signature,
  [sym_index_signature] = sym_index_signature,
  [sym_array_type] = sym_array_type,
  [sym_tuple_type] = sym_tuple_type,
  [sym_readonly_type] = sym_readonly_type,
  [sym_union_type] = sym_union_type,
  [sym_intersection_type] = sym_intersection_type,
  [sym_function_type] = sym_function_type,
  [aux_sym_program_repeat1] = aux_sym_program_repeat1,
  [aux_sym_export_statement_repeat1] = aux_sym_export_statement_repeat1,
  [aux_sym_export_clause_repeat1] = aux_sym_export_clause_repeat1,
  [aux_sym_named_imports_repeat1] = aux_sym_named_imports_repeat1,
  [aux_sym_variable_declaration_repeat1] = aux_sym_variable_declaration_repeat1,
  [aux_sym_switch_body_repeat1] = aux_sym_switch_body_repeat1,
  [aux_sym_object_repeat1] = aux_sym_object_repeat1,
  [aux_sym_object_pattern_repeat1] = aux_sym_object_pattern_repeat1,
  [aux_sym_array_repeat1] = aux_sym_array_repeat1,
  [aux_sym_array_pattern_repeat1] = aux_sym_array_pattern_repeat1,
  [aux_sym_glimmer_template_repeat1] = aux_sym_glimmer_template_repeat1,
  [aux_sym_sequence_expression_repeat1] = aux_sym_sequence_expression_repeat1,
  [aux_sym_string_repeat1] = aux_sym_string_repeat1,
  [aux_sym_string_repeat2] = aux_sym_string_repeat2,
  [aux_sym_template_string_repeat1] = aux_sym_template_string_repeat1,
  [aux_sym_class_body_repeat1] = aux_sym_class_body_repeat1,
  [aux_sym_formal_parameters_repeat1] = aux_sym_formal_parameters_repeat1,
  [aux_sym_extends_clause_repeat1] = aux_sym_extends_clause_repeat1,
  [aux_sym_implements_clause_repeat1] = aux_sym_implements_clause_repeat1,
  [aux_sym_extends_type_clause_repeat1] = aux_sym_extends_type_clause_repeat1,
  [aux_sym_enum_body_repeat1] = aux_sym_enum_body_repeat1,
  [aux_sym_template_literal_type_repeat1] = aux_sym_template_literal_type_repeat1,
  [aux_sym_object_type_repeat1] = aux_sym_object_type_repeat1,
  [aux_sym_type_parameters_repeat1] = aux_sym_type_parameters_repeat1,
  [aux_sym_tuple_type_repeat1] = aux_sym_tuple_type_repeat1,
  [alias_sym_interface_body] = alias_sym_interface_body,
  [alias_sym_property_identifier] = alias_sym_property_identifier,
  [alias_sym_shorthand_property_identifier] = alias_sym_shorthand_property_identifier,
  [alias_sym_shorthand_property_identifier_pattern] = alias_sym_shorthand_property_identifier_pattern,
  [alias_sym_statement_identifier] = alias_sym_statement_identifier,
  [alias_sym_this_type] = alias_sym_this_type,
  [alias_sym_type_identifier] = alias_sym_type_identifier,
};

static const TSSymbolMetadata ts_symbol_metadata[] = {
  [ts_builtin_sym_end] = {
    .visible = false,
    .named = true,
  },
  [sym_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_hash_bang_line] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_export] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_default] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_type] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_as] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_namespace] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COMMA] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_typeof] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_import] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_from] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_with] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_assert] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_var] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_let] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_const] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_else] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_if] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_switch] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_for] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SEMI] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_await] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_in] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_of] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_while] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_do] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_try] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_break] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_continue] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_debugger] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_return] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_throw] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_case] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_catch] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_finally] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_yield] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [sym__glimmer_template_content] = {
    .visible = false,
    .named = true,
  },
  [sym_glimmer_opening_tag] = {
    .visible = true,
    .named = true,
  },
  [sym_glimmer_closing_tag] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_class] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_async] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_function] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_new] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_using] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_STAR_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_AMP_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_PIPE_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK_QMARK_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT_DOT_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK_QMARK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_instanceof] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_TILDE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_void] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_delete] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_DASH] = {
    .visible = true,
    .named = false,
  },
  [sym_unescaped_double_string_fragment] = {
    .visible = true,
    .named = true,
  },
  [sym_unescaped_single_string_fragment] = {
    .visible = true,
    .named = true,
  },
  [sym_escape_sequence] = {
    .visible = true,
    .named = true,
  },
  [sym_comment] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_BQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOLLAR_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH2] = {
    .visible = true,
    .named = false,
  },
  [sym_regex_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_regex_flags] = {
    .visible = true,
    .named = true,
  },
  [sym_number] = {
    .visible = true,
    .named = true,
  },
  [sym_private_property_identifier] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_target] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_meta] = {
    .visible = true,
    .named = false,
  },
  [sym_this] = {
    .visible = true,
    .named = true,
  },
  [sym_super] = {
    .visible = true,
    .named = true,
  },
  [sym_true] = {
    .visible = true,
    .named = true,
  },
  [sym_false] = {
    .visible = true,
    .named = true,
  },
  [sym_null] = {
    .visible = true,
    .named = true,
  },
  [sym_undefined] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_AT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_static] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_readonly] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_get] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_set] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_declare] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_public] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_private] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_protected] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_override] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_module] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_any] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_number] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_boolean] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_string] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_symbol] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_object] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_abstract] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_accessor] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_satisfies] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_require] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_extends] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_implements] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_global] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_interface] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_enum] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_QMARK_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_QMARK_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_asserts] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_infer] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_is] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_keyof] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_unique] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_unknown] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_never] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACE_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_RBRACE] = {
    .visible = true,
    .named = false,
  },
  [sym__automatic_semicolon] = {
    .visible = false,
    .named = true,
  },
  [sym__template_chars] = {
    .visible = true,
    .named = true,
  },
  [sym__ternary_qmark] = {
    .visible = true,
    .named = false,
  },
  [sym_html_comment] = {
    .visible = true,
    .named = true,
  },
  [sym_jsx_text] = {
    .visible = true,
    .named = true,
  },
  [sym__function_signature_automatic_semicolon] = {
    .visible = false,
    .named = true,
  },
  [sym___error_recovery] = {
    .visible = false,
    .named = true,
  },
  [sym_program] = {
    .visible = true,
    .named = true,
  },
  [sym_export_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_namespace_export] = {
    .visible = true,
    .named = true,
  },
  [sym_export_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_export_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym__module_export_name] = {
    .visible = false,
    .named = true,
  },
  [sym_declaration] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_import] = {
    .visible = true,
    .named = true,
  },
  [sym_import_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_import_clause] = {
    .visible = true,
    .named = true,
  },
  [sym__from_clause] = {
    .visible = false,
    .named = true,
  },
  [sym_namespace_import] = {
    .visible = true,
    .named = true,
  },
  [sym_named_imports] = {
    .visible = true,
    .named = true,
  },
  [sym_import_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_import_attribute] = {
    .visible = true,
    .named = true,
  },
  [sym_statement] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_expression_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_variable_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_lexical_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_variable_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_statement_block] = {
    .visible = true,
    .named = true,
  },
  [sym_else_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_if_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_for_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_for_in_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__for_header] = {
    .visible = false,
    .named = true,
  },
  [sym_while_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_do_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_try_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_with_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_break_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_continue_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_debugger_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_return_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_throw_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_empty_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_labeled_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_body] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_case] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_default] = {
    .visible = true,
    .named = true,
  },
  [sym_catch_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_finally_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_primary_expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_yield_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_object] = {
    .visible = true,
    .named = true,
  },
  [sym_object_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_assignment_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_object_assignment_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_array] = {
    .visible = true,
    .named = true,
  },
  [sym_array_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_glimmer_template] = {
    .visible = true,
    .named = true,
  },
  [sym_nested_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_class] = {
    .visible = true,
    .named = true,
  },
  [sym_class_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_class_heritage] = {
    .visible = true,
    .named = true,
  },
  [sym_function_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_function_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_generator_function] = {
    .visible = true,
    .named = true,
  },
  [sym_generator_function_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_arrow_function] = {
    .visible = true,
    .named = true,
  },
  [sym__call_signature] = {
    .visible = false,
    .named = true,
  },
  [sym__formal_parameter] = {
    .visible = false,
    .named = true,
  },
  [sym_optional_chain] = {
    .visible = true,
    .named = true,
  },
  [sym_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_new_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_await_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_member_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_subscript_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_assignment_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__augmented_assignment_lhs] = {
    .visible = false,
    .named = true,
  },
  [sym_augmented_assignment_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__initializer] = {
    .visible = false,
    .named = true,
  },
  [sym__destructuring_pattern] = {
    .visible = false,
    .named = true,
  },
  [sym_spread_element] = {
    .visible = true,
    .named = true,
  },
  [sym_ternary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_binary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_unary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_update_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_sequence_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_string] = {
    .visible = true,
    .named = true,
  },
  [sym_template_string] = {
    .visible = true,
    .named = true,
  },
  [sym_template_substitution] = {
    .visible = true,
    .named = true,
  },
  [sym_regex] = {
    .visible = true,
    .named = true,
  },
  [sym_meta_property] = {
    .visible = true,
    .named = true,
  },
  [sym_arguments] = {
    .visible = true,
    .named = true,
  },
  [sym_decorator] = {
    .visible = true,
    .named = true,
  },
  [sym_decorator_member_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_decorator_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_class_body] = {
    .visible = true,
    .named = true,
  },
  [sym_formal_parameters] = {
    .visible = true,
    .named = true,
  },
  [sym_class_static_block] = {
    .visible = true,
    .named = true,
  },
  [sym_pattern] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_rest_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_method_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_pair] = {
    .visible = true,
    .named = true,
  },
  [sym_pair_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym__property_name] = {
    .visible = false,
    .named = true,
  },
  [sym_computed_property_name] = {
    .visible = true,
    .named = true,
  },
  [sym_public_field_definition] = {
    .visible = true,
    .named = true,
  },
  [sym__import_identifier] = {
    .visible = false,
    .named = true,
  },
  [sym_non_null_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_method_signature] = {
    .visible = true,
    .named = true,
  },
  [sym_abstract_method_signature] = {
    .visible = true,
    .named = true,
  },
  [sym_function_signature] = {
    .visible = true,
    .named = true,
  },
  [sym_decorator_parenthesized_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_type_assertion] = {
    .visible = true,
    .named = true,
  },
  [sym_as_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_satisfies_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_instantiation_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_import_require_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_extends_clause] = {
    .visible = true,
    .named = true,
  },
  [sym__extends_clause_single] = {
    .visible = false,
    .named = true,
  },
  [sym_implements_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_ambient_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_abstract_class_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_module] = {
    .visible = true,
    .named = true,
  },
  [sym_internal_module] = {
    .visible = true,
    .named = true,
  },
  [sym__module] = {
    .visible = false,
    .named = true,
  },
  [sym_import_alias] = {
    .visible = true,
    .named = true,
  },
  [sym_nested_type_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_interface_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_extends_type_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_enum_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_enum_body] = {
    .visible = true,
    .named = true,
  },
  [sym_enum_assignment] = {
    .visible = true,
    .named = true,
  },
  [sym_type_alias_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_accessibility_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_override_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_required_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_optional_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym__parameter_name] = {
    .visible = false,
    .named = true,
  },
  [sym_omitting_type_annotation] = {
    .visible = true,
    .named = true,
  },
  [sym_adding_type_annotation] = {
    .visible = true,
    .named = true,
  },
  [sym_opting_type_annotation] = {
    .visible = true,
    .named = true,
  },
  [sym_type_annotation] = {
    .visible = true,
    .named = true,
  },
  [sym__type_query_member_expression_in_type_annotation] = {
    .visible = true,
    .named = true,
  },
  [sym__type_query_call_expression_in_type_annotation] = {
    .visible = true,
    .named = true,
  },
  [sym_asserts] = {
    .visible = true,
    .named = true,
  },
  [sym_asserts_annotation] = {
    .visible = true,
    .named = true,
  },
  [sym_type] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_tuple_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_optional_tuple_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_optional_type] = {
    .visible = true,
    .named = true,
  },
  [sym_rest_type] = {
    .visible = true,
    .named = true,
  },
  [sym__tuple_type_member] = {
    .visible = false,
    .named = true,
  },
  [sym_constructor_type] = {
    .visible = true,
    .named = true,
  },
  [sym_primary_type] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_template_type] = {
    .visible = true,
    .named = true,
  },
  [sym_template_literal_type] = {
    .visible = true,
    .named = true,
  },
  [sym_infer_type] = {
    .visible = true,
    .named = true,
  },
  [sym_conditional_type] = {
    .visible = true,
    .named = true,
  },
  [sym_generic_type] = {
    .visible = true,
    .named = true,
  },
  [sym_type_predicate] = {
    .visible = true,
    .named = true,
  },
  [sym_type_predicate_annotation] = {
    .visible = true,
    .named = true,
  },
  [sym__type_query_member_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__type_query_subscript_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__type_query_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__type_query_instantiation_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_type_query] = {
    .visible = true,
    .named = true,
  },
  [sym_index_type_query] = {
    .visible = true,
    .named = true,
  },
  [sym_lookup_type] = {
    .visible = true,
    .named = true,
  },
  [sym_mapped_type_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_literal_type] = {
    .visible = true,
    .named = true,
  },
  [sym__number] = {
    .visible = true,
    .named = true,
  },
  [sym_existential_type] = {
    .visible = true,
    .named = true,
  },
  [sym_flow_maybe_type] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_type] = {
    .visible = true,
    .named = true,
  },
  [sym_predefined_type] = {
    .visible = true,
    .named = true,
  },
  [sym_type_arguments] = {
    .visible = true,
    .named = true,
  },
  [sym_object_type] = {
    .visible = true,
    .named = true,
  },
  [sym_call_signature] = {
    .visible = true,
    .named = true,
  },
  [sym_property_signature] = {
    .visible = true,
    .named = true,
  },
  [sym_type_parameters] = {
    .visible = true,
    .named = true,
  },
  [sym_type_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_default_type] = {
    .visible = true,
    .named = true,
  },
  [sym_constraint] = {
    .visible = true,
    .named = true,
  },
  [sym_construct_signature] = {
    .visible = true,
    .named = true,
  },
  [sym_index_signature] = {
    .visible = true,
    .named = true,
  },
  [sym_array_type] = {
    .visible = true,
    .named = true,
  },
  [sym_tuple_type] = {
    .visible = true,
    .named = true,
  },
  [sym_readonly_type] = {
    .visible = true,
    .named = true,
  },
  [sym_union_type] = {
    .visible = true,
    .named = true,
  },
  [sym_intersection_type] = {
    .visible = true,
    .named = true,
  },
  [sym_function_type] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_program_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_export_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_export_clause_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_named_imports_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_variable_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_switch_body_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_object_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_object_pattern_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_array_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_array_pattern_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_glimmer_template_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_sequence_expression_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_template_string_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_class_body_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_formal_parameters_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_extends_clause_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_implements_clause_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_extends_type_clause_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_enum_body_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_template_literal_type_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_object_type_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_type_parameters_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_tuple_type_repeat1] = {
    .visible = false,
    .named = false,
  },
  [alias_sym_interface_body] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_property_identifier] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_shorthand_property_identifier] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_shorthand_property_identifier_pattern] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_statement_identifier] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_this_type] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_type_identifier] = {
    .visible = true,
    .named = true,
  },
};

enum ts_field_identifiers {
  field_alias = 1,
  field_alternative = 2,
  field_argument = 3,
  field_arguments = 4,
  field_body = 5,
  field_close_tag = 6,
  field_condition = 7,
  field_consequence = 8,
  field_constraint = 9,
  field_constructor = 10,
  field_content = 11,
  field_declaration = 12,
  field_decorator = 13,
  field_finalizer = 14,
  field_flags = 15,
  field_function = 16,
  field_handler = 17,
  field_increment = 18,
  field_index = 19,
  field_index_type = 20,
  field_initializer = 21,
  field_key = 22,
  field_kind = 23,
  field_label = 24,
  field_left = 25,
  field_module = 26,
  field_name = 27,
  field_object = 28,
  field_open_tag = 29,
  field_operator = 30,
  field_optional_chain = 31,
  field_parameter = 32,
  field_parameters = 33,
  field_pattern = 34,
  field_property = 35,
  field_return_type = 36,
  field_right = 37,
  field_sign = 38,
  field_source = 39,
  field_type = 40,
  field_type_arguments = 41,
  field_type_parameters = 42,
  field_value = 43,
};

static const char * const ts_field_names[] = {
  [0] = NULL,
  [field_alias] = "alias",
  [field_alternative] = "alternative",
  [field_argument] = "argument",
  [field_arguments] = "arguments",
  [field_body] = "body",
  [field_close_tag] = "close_tag",
  [field_condition] = "condition",
  [field_consequence] = "consequence",
  [field_constraint] = "constraint",
  [field_constructor] = "constructor",
  [field_content] = "content",
  [field_declaration] = "declaration",
  [field_decorator] = "decorator",
  [field_finalizer] = "finalizer",
  [field_flags] = "flags",
  [field_function] = "function",
  [field_handler] = "handler",
  [field_increment] = "increment",
  [field_index] = "index",
  [field_index_type] = "index_type",
  [field_initializer] = "initializer",
  [field_key] = "key",
  [field_kind] = "kind",
  [field_label] = "label",
  [field_left] = "left",
  [field_module] = "module",
  [field_name] = "name",
  [field_object] = "object",
  [field_open_tag] = "open_tag",
  [field_operator] = "operator",
  [field_optional_chain] = "optional_chain",
  [field_parameter] = "parameter",
  [field_parameters] = "parameters",
  [field_pattern] = "pattern",
  [field_property] = "property",
  [field_return_type] = "return_type",
  [field_right] = "right",
  [field_sign] = "sign",
  [field_source] = "source",
  [field_type] = "type",
  [field_type_arguments] = "type_arguments",
  [field_type_parameters] = "type_parameters",
  [field_value] = "value",
};

static const TSFieldMapSlice ts_field_map_slices[PRODUCTION_ID_COUNT] = {
  [2] = {.index = 0, .length = 1},
  [3] = {.index = 1, .length = 1},
  [4] = {.index = 2, .length = 1},
  [5] = {.index = 3, .length = 1},
  [6] = {.index = 4, .length = 2},
  [8] = {.index = 6, .length = 2},
  [9] = {.index = 8, .length = 1},
  [10] = {.index = 9, .length = 2},
  [11] = {.index = 11, .length = 1},
  [12] = {.index = 12, .length = 2},
  [13] = {.index = 14, .length = 1},
  [15] = {.index = 3, .length = 1},
  [17] = {.index = 15, .length = 2},
  [18] = {.index = 17, .length = 2},
  [19] = {.index = 19, .length = 2},
  [20] = {.index = 21, .length = 2},
  [21] = {.index = 23, .length = 2},
  [22] = {.index = 25, .length = 1},
  [23] = {.index = 26, .length = 2},
  [24] = {.index = 28, .length = 2},
  [25] = {.index = 30, .length = 2},
  [26] = {.index = 32, .length = 1},
  [27] = {.index = 33, .length = 2},
  [28] = {.index = 35, .length = 2},
  [29] = {.index = 37, .length = 2},
  [30] = {.index = 39, .length = 2},
  [34] = {.index = 41, .length = 1},
  [35] = {.index = 42, .length = 2},
  [36] = {.index = 44, .length = 2},
  [37] = {.index = 46, .length = 2},
  [38] = {.index = 48, .length = 1},
  [39] = {.index = 49, .length = 2},
  [40] = {.index = 51, .length = 2},
  [41] = {.index = 53, .length = 6},
  [42] = {.index = 59, .length = 1},
  [43] = {.index = 60, .length = 3},
  [44] = {.index = 63, .length = 3},
  [45] = {.index = 66, .length = 2},
  [46] = {.index = 68, .length = 2},
  [47] = {.index = 70, .length = 2},
  [48] = {.index = 72, .length = 2},
  [49] = {.index = 74, .length = 1},
  [50] = {.index = 75, .length = 3},
  [51] = {.index = 78, .length = 2},
  [52] = {.index = 80, .length = 1},
  [53] = {.index = 81, .length = 2},
  [54] = {.index = 83, .length = 1},
  [55] = {.index = 84, .length = 2},
  [56] = {.index = 86, .length = 4},
  [57] = {.index = 90, .length = 2},
  [58] = {.index = 92, .length = 2},
  [59] = {.index = 94, .length = 3},
  [60] = {.index = 97, .length = 2},
  [61] = {.index = 99, .length = 2},
  [62] = {.index = 101, .length = 2},
  [63] = {.index = 103, .length = 2},
  [64] = {.index = 105, .length = 1},
  [65] = {.index = 106, .length = 2},
  [66] = {.index = 108, .length = 2},
  [67] = {.index = 110, .length = 2},
  [70] = {.index = 106, .length = 2},
  [71] = {.index = 112, .length = 4},
  [72] = {.index = 33, .length = 2},
  [73] = {.index = 37, .length = 2},
  [74] = {.index = 116, .length = 3},
  [75] = {.index = 78, .length = 2},
  [76] = {.index = 78, .length = 2},
  [77] = {.index = 119, .length = 2},
  [78] = {.index = 119, .length = 2},
  [79] = {.index = 121, .length = 3},
  [80] = {.index = 121, .length = 3},
  [81] = {.index = 124, .length = 3},
  [82] = {.index = 127, .length = 2},
  [83] = {.index = 129, .length = 4},
  [84] = {.index = 133, .length = 3},
  [85] = {.index = 136, .length = 2},
  [86] = {.index = 138, .length = 2},
  [87] = {.index = 140, .length = 1},
  [88] = {.index = 141, .length = 1},
  [89] = {.index = 105, .length = 1},
  [90] = {.index = 119, .length = 2},
  [91] = {.index = 33, .length = 2},
  [92] = {.index = 142, .length = 2},
  [93] = {.index = 144, .length = 5},
  [94] = {.index = 149, .length = 1},
  [95] = {.index = 150, .length = 1},
  [96] = {.index = 151, .length = 2},
  [97] = {.index = 153, .length = 3},
  [98] = {.index = 156, .length = 2},
  [99] = {.index = 158, .length = 3},
  [100] = {.index = 161, .length = 6},
  [101] = {.index = 167, .length = 1},
  [102] = {.index = 168, .length = 1},
  [103] = {.index = 169, .length = 3},
  [104] = {.index = 172, .length = 3},
  [105] = {.index = 175, .length = 4},
  [106] = {.index = 179, .length = 2},
  [107] = {.index = 181, .length = 2},
  [108] = {.index = 183, .length = 3},
  [109] = {.index = 186, .length = 4},
  [110] = {.index = 190, .length = 1},
  [111] = {.index = 191, .length = 2},
  [112] = {.index = 193, .length = 1},
  [113] = {.index = 194, .length = 2},
  [114] = {.index = 196, .length = 3},
  [115] = {.index = 199, .length = 2},
  [116] = {.index = 201, .length = 4},
  [117] = {.index = 205, .length = 2},
  [118] = {.index = 207, .length = 2},
  [119] = {.index = 209, .length = 4},
  [120] = {.index = 207, .length = 2},
  [121] = {.index = 213, .length = 4},
  [122] = {.index = 217, .length = 4},
  [123] = {.index = 221, .length = 5},
  [124] = {.index = 226, .length = 3},
  [125] = {.index = 229, .length = 2},
  [126] = {.index = 229, .length = 2},
  [127] = {.index = 231, .length = 2},
  [128] = {.index = 233, .length = 1},
  [129] = {.index = 234, .length = 2},
  [130] = {.index = 236, .length = 4},
  [131] = {.index = 240, .length = 4},
  [132] = {.index = 244, .length = 4},
  [133] = {.index = 248, .length = 2},
  [134] = {.index = 250, .length = 2},
  [135] = {.index = 252, .length = 2},
  [136] = {.index = 254, .length = 3},
  [137] = {.index = 257, .length = 2},
  [138] = {.index = 259, .length = 4},
  [139] = {.index = 259, .length = 4},
  [140] = {.index = 263, .length = 4},
  [141] = {.index = 263, .length = 4},
  [142] = {.index = 156, .length = 2},
  [143] = {.index = 267, .length = 1},
  [144] = {.index = 267, .length = 1},
  [145] = {.index = 194, .length = 2},
  [146] = {.index = 196, .length = 3},
  [147] = {.index = 268, .length = 2},
  [148] = {.index = 270, .length = 3},
  [149] = {.index = 273, .length = 2},
  [150] = {.index = 275, .length = 3},
  [151] = {.index = 278, .length = 2},
  [152] = {.index = 280, .length = 3},
  [153] = {.index = 283, .length = 1},
  [154] = {.index = 284, .length = 2},
  [155] = {.index = 286, .length = 2},
  [156] = {.index = 288, .length = 5},
  [157] = {.index = 284, .length = 2},
  [158] = {.index = 293, .length = 1},
  [159] = {.index = 294, .length = 4},
  [160] = {.index = 298, .length = 2},
  [161] = {.index = 300, .length = 1},
  [162] = {.index = 301, .length = 2},
  [163] = {.index = 303, .length = 2},
  [164] = {.index = 305, .length = 2},
  [165] = {.index = 307, .length = 4},
  [166] = {.index = 311, .length = 2},
  [167] = {.index = 313, .length = 3},
  [168] = {.index = 316, .length = 3},
  [169] = {.index = 319, .length = 3},
  [170] = {.index = 322, .length = 4},
  [171] = {.index = 326, .length = 4},
  [172] = {.index = 330, .length = 4},
  [173] = {.index = 334, .length = 5},
  [174] = {.index = 339, .length = 2},
  [175] = {.index = 341, .length = 2},
  [176] = {.index = 343, .length = 1},
  [177] = {.index = 344, .length = 4},
  [178] = {.index = 344, .length = 4},
  [179] = {.index = 348, .length = 3},
  [180] = {.index = 351, .length = 2},
  [181] = {.index = 353, .length = 3},
  [182] = {.index = 356, .length = 2},
  [183] = {.index = 358, .length = 3},
  [184] = {.index = 361, .length = 2},
  [185] = {.index = 361, .length = 2},
  [186] = {.index = 319, .length = 3},
  [187] = {.index = 363, .length = 3},
  [188] = {.index = 366, .length = 3},
  [189] = {.index = 151, .length = 2},
  [190] = {.index = 369, .length = 2},
  [191] = {.index = 371, .length = 3},
  [192] = {.index = 374, .length = 4},
  [193] = {.index = 378, .length = 3},
  [194] = {.index = 381, .length = 3},
  [195] = {.index = 384, .length = 2},
  [196] = {.index = 386, .length = 3},
  [197] = {.index = 389, .length = 5},
  [198] = {.index = 384, .length = 2},
  [199] = {.index = 394, .length = 3},
  [200] = {.index = 394, .length = 3},
  [201] = {.index = 397, .length = 3},
  [202] = {.index = 400, .length = 2},
  [203] = {.index = 402, .length = 4},
  [204] = {.index = 151, .length = 2},
  [205] = {.index = 406, .length = 1},
  [206] = {.index = 407, .length = 2},
  [207] = {.index = 409, .length = 2},
  [208] = {.index = 411, .length = 2},
  [209] = {.index = 413, .length = 2},
  [210] = {.index = 415, .length = 3},
  [211] = {.index = 418, .length = 1},
  [212] = {.index = 419, .length = 3},
  [213] = {.index = 422, .length = 2},
  [214] = {.index = 424, .length = 3},
  [215] = {.index = 427, .length = 3},
  [216] = {.index = 430, .length = 3},
  [217] = {.index = 433, .length = 3},
  [218] = {.index = 436, .length = 4},
  [219] = {.index = 440, .length = 5},
  [220] = {.index = 445, .length = 3},
  [221] = {.index = 448, .length = 2},
  [222] = {.index = 450, .length = 2},
  [223] = {.index = 452, .length = 4},
  [224] = {.index = 456, .length = 4},
  [225] = {.index = 460, .length = 4},
  [226] = {.index = 464, .length = 3},
  [227] = {.index = 467, .length = 2},
  [228] = {.index = 469, .length = 3},
  [229] = {.index = 472, .length = 2},
  [230] = {.index = 474, .length = 2},
  [231] = {.index = 476, .length = 2},
  [232] = {.index = 478, .length = 1},
  [233] = {.index = 479, .length = 4},
  [234] = {.index = 483, .length = 3},
  [235] = {.index = 486, .length = 4},
  [236] = {.index = 490, .length = 5},
  [237] = {.index = 495, .length = 1},
  [238] = {.index = 496, .length = 2},
  [239] = {.index = 498, .length = 4},
  [240] = {.index = 502, .length = 4},
  [241] = {.index = 506, .length = 4},
  [242] = {.index = 510, .length = 3},
  [243] = {.index = 513, .length = 2},
  [244] = {.index = 515, .length = 4},
  [245] = {.index = 519, .length = 4},
  [246] = {.index = 523, .length = 2},
  [247] = {.index = 525, .length = 2},
  [248] = {.index = 527, .length = 3},
  [249] = {.index = 530, .length = 3},
  [250] = {.index = 533, .length = 2},
  [251] = {.index = 535, .length = 2},
  [252] = {.index = 537, .length = 1},
  [253] = {.index = 538, .length = 1},
  [254] = {.index = 539, .length = 3},
  [255] = {.index = 542, .length = 3},
  [256] = {.index = 545, .length = 3},
  [257] = {.index = 548, .length = 3},
  [258] = {.index = 551, .length = 4},
  [259] = {.index = 555, .length = 2},
  [260] = {.index = 557, .length = 4},
  [261] = {.index = 561, .length = 3},
  [262] = {.index = 564, .length = 2},
  [263] = {.index = 566, .length = 4},
  [264] = {.index = 570, .length = 4},
  [265] = {.index = 574, .length = 4},
  [266] = {.index = 578, .length = 3},
  [268] = {.index = 581, .length = 4},
  [269] = {.index = 585, .length = 5},
  [270] = {.index = 590, .length = 5},
  [271] = {.index = 595, .length = 5},
  [272] = {.index = 600, .length = 4},
  [273] = {.index = 604, .length = 5},
  [274] = {.index = 609, .length = 4},
  [275] = {.index = 613, .length = 4},
  [276] = {.index = 617, .length = 3},
  [277] = {.index = 620, .length = 3},
  [278] = {.index = 623, .length = 3},
  [279] = {.index = 620, .length = 3},
  [280] = {.index = 626, .length = 2},
  [281] = {.index = 628, .length = 4},
  [282] = {.index = 632, .length = 4},
  [283] = {.index = 636, .length = 3},
  [284] = {.index = 639, .length = 2},
  [285] = {.index = 641, .length = 2},
  [286] = {.index = 643, .length = 3},
  [287] = {.index = 646, .length = 2},
  [288] = {.index = 648, .length = 2},
  [289] = {.index = 650, .length = 1},
  [290] = {.index = 651, .length = 3},
  [291] = {.index = 654, .length = 3},
  [292] = {.index = 657, .length = 4},
  [293] = {.index = 661, .length = 4},
  [294] = {.index = 665, .length = 3},
  [295] = {.index = 668, .length = 3},
  [296] = {.index = 671, .length = 2},
  [297] = {.index = 673, .length = 4},
  [298] = {.index = 677, .length = 5},
  [299] = {.index = 682, .length = 5},
  [300] = {.index = 687, .length = 5},
  [301] = {.index = 692, .length = 4},
  [302] = {.index = 696, .length = 4},
  [303] = {.index = 700, .length = 3},
  [304] = {.index = 703, .length = 3},
  [305] = {.index = 703, .length = 3},
  [306] = {.index = 706, .length = 2},
  [307] = {.index = 708, .length = 2},
  [308] = {.index = 710, .length = 3},
  [309] = {.index = 713, .length = 2},
  [310] = {.index = 715, .length = 2},
  [311] = {.index = 717, .length = 4},
  [312] = {.index = 721, .length = 3},
  [313] = {.index = 724, .length = 3},
  [314] = {.index = 727, .length = 4},
  [315] = {.index = 731, .length = 3},
  [316] = {.index = 734, .length = 3},
  [317] = {.index = 737, .length = 2},
  [318] = {.index = 739, .length = 5},
  [319] = {.index = 744, .length = 5},
  [320] = {.index = 749, .length = 4},
  [321] = {.index = 749, .length = 4},
  [322] = {.index = 753, .length = 4},
  [323] = {.index = 757, .length = 3},
  [324] = {.index = 760, .length = 2},
  [325] = {.index = 762, .length = 2},
  [326] = {.index = 764, .length = 3},
  [327] = {.index = 767, .length = 4},
  [328] = {.index = 771, .length = 4},
  [329] = {.index = 775, .length = 3},
  [330] = {.index = 778, .length = 3},
  [331] = {.index = 781, .length = 4},
  [332] = {.index = 785, .length = 3},
  [333] = {.index = 788, .length = 3},
  [334] = {.index = 791, .length = 5},
  [335] = {.index = 796, .length = 3},
  [336] = {.index = 799, .length = 4},
  [337] = {.index = 803, .length = 4},
  [338] = {.index = 807, .length = 3},
  [339] = {.index = 810, .length = 3},
  [340] = {.index = 813, .length = 4},
  [341] = {.index = 817, .length = 4},
};

static const TSFieldMapEntry ts_field_map_entries[] = {
  [0] =
    {field_decorator, 0},
  [1] =
    {field_parameters, 0},
  [2] =
    {field_declaration, 1},
  [3] =
    {field_name, 0},
  [4] =
    {field_body, 1, .inherited = true},
    {field_name, 1, .inherited = true},
  [6] =
    {field_argument, 1},
    {field_operator, 0},
  [8] =
    {field_pattern, 0},
  [9] =
    {field_decorator, 0, .inherited = true},
    {field_pattern, 0, .inherited = true},
  [11] =
    {field_body, 1},
  [12] =
    {field_close_tag, 1},
    {field_open_tag, 0},
  [14] =
    {field_constructor, 1},
  [15] =
    {field_object, 0, .inherited = true},
    {field_property, 0, .inherited = true},
  [17] =
    {field_arguments, 0, .inherited = true},
    {field_function, 0, .inherited = true},
  [19] =
    {field_argument, 0, .inherited = true},
    {field_operator, 0, .inherited = true},
  [21] =
    {field_arguments, 1},
    {field_function, 0},
  [23] =
    {field_argument, 0},
    {field_operator, 1},
  [25] =
    {field_type_arguments, 1},
  [26] =
    {field_parameters, 0},
    {field_return_type, 1},
  [28] =
    {field_parameters, 1},
    {field_type_parameters, 0},
  [30] =
    {field_decorator, 0, .inherited = true},
    {field_decorator, 1, .inherited = true},
  [32] =
    {field_declaration, 2},
  [33] =
    {field_left, 0},
    {field_right, 2},
  [35] =
    {field_body, 2},
    {field_label, 0},
  [37] =
    {field_body, 2},
    {field_parameter, 0},
  [39] =
    {field_body, 1},
    {field_name, 0},
  [41] =
    {field_source, 1},
  [42] =
    {field_body, 2},
    {field_object, 1},
  [44] =
    {field_name, 0},
    {field_value, 1, .inherited = true},
  [46] =
    {field_name, 0},
    {field_type, 1},
  [48] =
    {field_kind, 0},
  [49] =
    {field_condition, 1},
    {field_consequence, 2},
  [51] =
    {field_body, 2},
    {field_value, 1},
  [53] =
    {field_body, 2},
    {field_kind, 1, .inherited = true},
    {field_left, 1, .inherited = true},
    {field_operator, 1, .inherited = true},
    {field_right, 1, .inherited = true},
    {field_value, 1, .inherited = true},
  [59] =
    {field_pattern, 1},
  [60] =
    {field_decorator, 0, .inherited = true},
    {field_pattern, 0, .inherited = true},
    {field_value, 1, .inherited = true},
  [63] =
    {field_decorator, 0, .inherited = true},
    {field_pattern, 0, .inherited = true},
    {field_type, 1},
  [66] =
    {field_decorator, 0, .inherited = true},
    {field_pattern, 1},
  [68] =
    {field_body, 2},
    {field_condition, 1},
  [70] =
    {field_body, 1},
    {field_handler, 2},
  [72] =
    {field_body, 1},
    {field_finalizer, 2},
  [74] =
    {field_label, 1},
  [75] =
    {field_close_tag, 2},
    {field_content, 1},
    {field_open_tag, 0},
  [78] =
    {field_body, 2},
    {field_name, 1},
  [80] =
    {field_value, 0},
  [81] =
    {field_type_arguments, 1, .inherited = true},
    {field_value, 1, .inherited = true},
  [83] =
    {field_body, 2},
  [84] =
    {field_body, 2},
    {field_type_parameters, 1},
  [86] =
    {field_body, 2},
    {field_parameters, 1, .inherited = true},
    {field_return_type, 1, .inherited = true},
    {field_type_parameters, 1, .inherited = true},
  [90] =
    {field_arguments, 2},
    {field_constructor, 1},
  [92] =
    {field_constructor, 1},
    {field_type_arguments, 2},
  [94] =
    {field_parameters, 0, .inherited = true},
    {field_return_type, 0, .inherited = true},
    {field_type_parameters, 0, .inherited = true},
  [97] =
    {field_object, 1, .inherited = true},
    {field_property, 1, .inherited = true},
  [99] =
    {field_index, 1, .inherited = true},
    {field_object, 1, .inherited = true},
  [101] =
    {field_arguments, 1, .inherited = true},
    {field_function, 1, .inherited = true},
  [103] =
    {field_function, 1, .inherited = true},
    {field_type_arguments, 1, .inherited = true},
  [105] =
    {field_name, 1},
  [106] =
    {field_name, 0},
    {field_type_arguments, 1},
  [108] =
    {field_name, 0},
    {field_value, 1},
  [110] =
    {field_constraint, 1},
    {field_name, 0},
  [112] =
    {field_arguments, 1},
    {field_function, 0},
    {field_object, 0, .inherited = true},
    {field_property, 0, .inherited = true},
  [116] =
    {field_left, 0},
    {field_operator, 1},
    {field_right, 2},
  [119] =
    {field_object, 0},
    {field_property, 2},
  [121] =
    {field_object, 0},
    {field_optional_chain, 1},
    {field_property, 2},
  [124] =
    {field_arguments, 2},
    {field_function, 0},
    {field_type_arguments, 1},
  [127] =
    {field_arguments, 2},
    {field_function, 0},
  [129] =
    {field_body, 2},
    {field_parameters, 0, .inherited = true},
    {field_return_type, 0, .inherited = true},
    {field_type_parameters, 0, .inherited = true},
  [133] =
    {field_parameters, 1},
    {field_return_type, 2},
    {field_type_parameters, 0},
  [136] =
    {field_declaration, 2},
    {field_decorator, 0, .inherited = true},
  [138] =
    {field_body, 2},
    {field_decorator, 0, .inherited = true},
  [140] =
    {field_source, 2, .inherited = true},
  [141] =
    {field_value, 2},
  [142] =
    {field_key, 0},
    {field_value, 2},
  [144] =
    {field_body, 2},
    {field_name, 0},
    {field_parameters, 1, .inherited = true},
    {field_return_type, 1, .inherited = true},
    {field_type_parameters, 1, .inherited = true},
  [149] =
    {field_source, 2},
  [150] =
    {field_value, 1},
  [151] =
    {field_name, 0},
    {field_type, 2},
  [153] =
    {field_name, 0},
    {field_type, 1},
    {field_value, 2, .inherited = true},
  [156] =
    {field_body, 3},
    {field_name, 2},
  [158] =
    {field_alternative, 3},
    {field_condition, 1},
    {field_consequence, 2},
  [161] =
    {field_body, 3},
    {field_kind, 2, .inherited = true},
    {field_left, 2, .inherited = true},
    {field_operator, 2, .inherited = true},
    {field_right, 2, .inherited = true},
    {field_value, 2, .inherited = true},
  [167] =
    {field_type, 2},
  [168] =
    {field_pattern, 2},
  [169] =
    {field_decorator, 0, .inherited = true},
    {field_pattern, 0, .inherited = true},
    {field_value, 2, .inherited = true},
  [172] =
    {field_decorator, 0, .inherited = true},
    {field_pattern, 0, .inherited = true},
    {field_type, 2},
  [175] =
    {field_decorator, 0, .inherited = true},
    {field_pattern, 0, .inherited = true},
    {field_type, 1},
    {field_value, 2, .inherited = true},
  [179] =
    {field_decorator, 0, .inherited = true},
    {field_pattern, 2},
  [181] =
    {field_body, 1},
    {field_condition, 3},
  [183] =
    {field_body, 1},
    {field_finalizer, 3},
    {field_handler, 2},
  [186] =
    {field_name, 0},
    {field_parameters, 1, .inherited = true},
    {field_return_type, 1, .inherited = true},
    {field_type_parameters, 1, .inherited = true},
  [190] =
    {field_decorator, 0, .inherited = true},
  [191] =
    {field_decorator, 0, .inherited = true},
    {field_name, 1},
  [193] =
    {field_decorator, 1, .inherited = true},
  [194] =
    {field_body, 3},
    {field_name, 1},
  [196] =
    {field_body, 3},
    {field_name, 1},
    {field_type_parameters, 2},
  [199] =
    {field_type_arguments, 1},
    {field_value, 0},
  [201] =
    {field_type_arguments, 1, .inherited = true},
    {field_type_arguments, 2, .inherited = true},
    {field_value, 1, .inherited = true},
    {field_value, 2, .inherited = true},
  [205] =
    {field_body, 3},
    {field_type_parameters, 1},
  [207] =
    {field_body, 3},
    {field_parameter, 1},
  [209] =
    {field_body, 3},
    {field_parameters, 2, .inherited = true},
    {field_return_type, 2, .inherited = true},
    {field_type_parameters, 2, .inherited = true},
  [213] =
    {field_body, 3},
    {field_parameters, 1, .inherited = true},
    {field_return_type, 1, .inherited = true},
    {field_type_parameters, 1, .inherited = true},
  [217] =
    {field_name, 1},
    {field_parameters, 2, .inherited = true},
    {field_return_type, 2, .inherited = true},
    {field_type_parameters, 2, .inherited = true},
  [221] =
    {field_body, 3},
    {field_name, 1},
    {field_parameters, 2, .inherited = true},
    {field_return_type, 2, .inherited = true},
    {field_type_parameters, 2, .inherited = true},
  [226] =
    {field_arguments, 3},
    {field_constructor, 1},
    {field_type_arguments, 2},
  [229] =
    {field_left, 1},
    {field_right, 3},
  [231] =
    {field_flags, 3},
    {field_pattern, 1},
  [233] =
    {field_parameters, 1},
  [234] =
    {field_function, 0},
    {field_type_arguments, 1},
  [236] =
    {field_function, 0},
    {field_object, 0, .inherited = true},
    {field_property, 0, .inherited = true},
    {field_type_arguments, 1},
  [240] =
    {field_arguments, 1},
    {field_function, 0},
    {field_index, 0, .inherited = true},
    {field_object, 0, .inherited = true},
  [244] =
    {field_function, 0},
    {field_index, 0, .inherited = true},
    {field_object, 0, .inherited = true},
    {field_type_arguments, 1},
  [248] =
    {field_name, 1},
    {field_value, 2},
  [250] =
    {field_constraint, 2},
    {field_name, 1},
  [252] =
    {field_module, 0},
    {field_name, 2},
  [254] =
    {field_constraint, 1},
    {field_name, 0},
    {field_value, 2},
  [257] =
    {field_parameters, 0},
    {field_return_type, 2},
  [259] =
    {field_object, 0},
    {field_object, 0, .inherited = true},
    {field_property, 0, .inherited = true},
    {field_property, 2},
  [263] =
    {field_arguments, 0, .inherited = true},
    {field_function, 0, .inherited = true},
    {field_object, 0},
    {field_property, 2},
  [267] =
    {field_type, 1},
  [268] =
    {field_index, 2},
    {field_object, 0},
  [270] =
    {field_arguments, 3},
    {field_function, 0},
    {field_type_arguments, 2},
  [273] =
    {field_declaration, 3},
    {field_decorator, 0, .inherited = true},
  [275] =
    {field_body, 3},
    {field_decorator, 0, .inherited = true},
    {field_name, 2},
  [278] =
    {field_body, 3},
    {field_decorator, 0, .inherited = true},
  [280] =
    {field_body, 3},
    {field_decorator, 0, .inherited = true},
    {field_type_parameters, 2},
  [283] =
    {field_source, 3, .inherited = true},
  [284] =
    {field_alias, 2},
    {field_name, 0},
  [286] =
    {field_name, 1},
    {field_value, 3},
  [288] =
    {field_body, 3},
    {field_name, 0},
    {field_parameters, 2, .inherited = true},
    {field_return_type, 2, .inherited = true},
    {field_type_parameters, 2, .inherited = true},
  [293] =
    {field_pattern, 3},
  [294] =
    {field_decorator, 0, .inherited = true},
    {field_pattern, 0, .inherited = true},
    {field_type, 2},
    {field_value, 3, .inherited = true},
  [298] =
    {field_decorator, 0, .inherited = true},
    {field_pattern, 3},
  [300] =
    {field_name, 2},
  [301] =
    {field_name, 1},
    {field_value, 2, .inherited = true},
  [303] =
    {field_name, 1},
    {field_type, 2},
  [305] =
    {field_name, 0},
    {field_value, 2, .inherited = true},
  [307] =
    {field_name, 0},
    {field_parameters, 2, .inherited = true},
    {field_return_type, 2, .inherited = true},
    {field_type_parameters, 2, .inherited = true},
  [311] =
    {field_decorator, 0, .inherited = true},
    {field_name, 2},
  [313] =
    {field_decorator, 0, .inherited = true},
    {field_name, 1},
    {field_value, 2, .inherited = true},
  [316] =
    {field_decorator, 0, .inherited = true},
    {field_name, 1},
    {field_type, 2},
  [319] =
    {field_body, 4},
    {field_name, 1},
    {field_type_parameters, 2},
  [322] =
    {field_type_arguments, 0, .inherited = true},
    {field_type_arguments, 1, .inherited = true},
    {field_value, 0, .inherited = true},
    {field_value, 1, .inherited = true},
  [326] =
    {field_body, 4},
    {field_parameters, 3, .inherited = true},
    {field_return_type, 3, .inherited = true},
    {field_type_parameters, 3, .inherited = true},
  [330] =
    {field_name, 2},
    {field_parameters, 3, .inherited = true},
    {field_return_type, 3, .inherited = true},
    {field_type_parameters, 3, .inherited = true},
  [334] =
    {field_body, 4},
    {field_name, 2},
    {field_parameters, 3, .inherited = true},
    {field_return_type, 3, .inherited = true},
    {field_type_parameters, 3, .inherited = true},
  [339] =
    {field_parameters, 1},
    {field_type, 2},
  [341] =
    {field_parameters, 2},
    {field_type_parameters, 1},
  [343] =
    {field_parameters, 2},
  [344] =
    {field_index, 0, .inherited = true},
    {field_object, 0},
    {field_object, 0, .inherited = true},
    {field_property, 2},
  [348] =
    {field_constraint, 2},
    {field_name, 1},
    {field_value, 3},
  [351] =
    {field_parameters, 1},
    {field_type, 3},
  [353] =
    {field_parameters, 1},
    {field_return_type, 3},
    {field_type_parameters, 0},
  [356] =
    {field_body, 4},
    {field_name, 2},
  [358] =
    {field_body, 4},
    {field_name, 2},
    {field_type_parameters, 3},
  [361] =
    {field_type, 1},
    {field_type, 2, .inherited = true},
  [363] =
    {field_alternative, 4},
    {field_condition, 0},
    {field_consequence, 2},
  [366] =
    {field_index, 3},
    {field_object, 0},
    {field_optional_chain, 1},
  [369] =
    {field_decorator, 0, .inherited = true},
    {field_value, 3},
  [371] =
    {field_body, 4},
    {field_decorator, 0, .inherited = true},
    {field_name, 2},
  [374] =
    {field_body, 4},
    {field_decorator, 0, .inherited = true},
    {field_name, 2},
    {field_type_parameters, 3},
  [378] =
    {field_body, 4},
    {field_decorator, 0, .inherited = true},
    {field_type_parameters, 2},
  [381] =
    {field_body, 4},
    {field_decorator, 0, .inherited = true},
    {field_name, 3},
  [384] =
    {field_alias, 3},
    {field_name, 1},
  [386] =
    {field_name, 1},
    {field_type_parameters, 2},
    {field_value, 4},
  [389] =
    {field_body, 4},
    {field_name, 1},
    {field_parameters, 3, .inherited = true},
    {field_return_type, 3, .inherited = true},
    {field_type_parameters, 3, .inherited = true},
  [394] =
    {field_left, 1},
    {field_operator, 2},
    {field_right, 3},
  [397] =
    {field_body, 5},
    {field_condition, 3},
    {field_initializer, 2},
  [400] =
    {field_decorator, 0, .inherited = true},
    {field_pattern, 4},
  [402] =
    {field_name, 1},
    {field_parameters, 3, .inherited = true},
    {field_return_type, 3, .inherited = true},
    {field_type_parameters, 3, .inherited = true},
  [406] =
    {field_type, 3},
  [407] =
    {field_name, 2},
    {field_value, 3, .inherited = true},
  [409] =
    {field_name, 2},
    {field_type, 3},
  [411] =
    {field_name, 1},
    {field_value, 3, .inherited = true},
  [413] =
    {field_name, 1},
    {field_type, 3},
  [415] =
    {field_name, 1},
    {field_type, 2},
    {field_value, 3, .inherited = true},
  [418] =
    {field_name, 3},
  [419] =
    {field_name, 0},
    {field_type, 2},
    {field_value, 3, .inherited = true},
  [422] =
    {field_decorator, 0, .inherited = true},
    {field_name, 3},
  [424] =
    {field_decorator, 0, .inherited = true},
    {field_name, 2},
    {field_value, 3, .inherited = true},
  [427] =
    {field_decorator, 0, .inherited = true},
    {field_name, 2},
    {field_type, 3},
  [430] =
    {field_decorator, 0, .inherited = true},
    {field_name, 1},
    {field_value, 3, .inherited = true},
  [433] =
    {field_decorator, 0, .inherited = true},
    {field_name, 1},
    {field_type, 3},
  [436] =
    {field_decorator, 0, .inherited = true},
    {field_name, 1},
    {field_type, 2},
    {field_value, 3, .inherited = true},
  [440] =
    {field_body, 5},
    {field_name, 3},
    {field_parameters, 4, .inherited = true},
    {field_return_type, 4, .inherited = true},
    {field_type_parameters, 4, .inherited = true},
  [445] =
    {field_parameters, 2},
    {field_type, 3},
    {field_type_parameters, 1},
  [448] =
    {field_parameters, 2},
    {field_type, 3},
  [450] =
    {field_parameters, 3},
    {field_type_parameters, 2},
  [452] =
    {field_index, 2},
    {field_object, 0},
    {field_object, 0, .inherited = true},
    {field_property, 0, .inherited = true},
  [456] =
    {field_index, 0, .inherited = true},
    {field_index, 2},
    {field_object, 0},
    {field_object, 0, .inherited = true},
  [460] =
    {field_arguments, 0, .inherited = true},
    {field_function, 0, .inherited = true},
    {field_index, 2},
    {field_object, 0},
  [464] =
    {field_parameters, 2},
    {field_type, 4},
    {field_type_parameters, 1},
  [467] =
    {field_parameters, 2},
    {field_type, 4},
  [469] =
    {field_body, 5},
    {field_name, 2},
    {field_type_parameters, 3},
  [472] =
    {field_type, 0, .inherited = true},
    {field_type, 1, .inherited = true},
  [474] =
    {field_name, 1},
    {field_name, 2, .inherited = true},
  [476] =
    {field_name, 0, .inherited = true},
    {field_name, 1, .inherited = true},
  [478] =
    {field_name, 2, .inherited = true},
  [479] =
    {field_body, 5},
    {field_decorator, 0, .inherited = true},
    {field_name, 2},
    {field_type_parameters, 3},
  [483] =
    {field_body, 5},
    {field_decorator, 0, .inherited = true},
    {field_name, 3},
  [486] =
    {field_body, 5},
    {field_decorator, 0, .inherited = true},
    {field_name, 3},
    {field_type_parameters, 4},
  [490] =
    {field_body, 5},
    {field_name, 2},
    {field_parameters, 4, .inherited = true},
    {field_return_type, 4, .inherited = true},
    {field_type_parameters, 4, .inherited = true},
  [495] =
    {field_source, 4},
  [496] =
    {field_body, 3},
    {field_value, 1},
  [498] =
    {field_kind, 1},
    {field_left, 2},
    {field_operator, 3},
    {field_right, 4},
  [502] =
    {field_body, 6},
    {field_condition, 3},
    {field_increment, 4},
    {field_initializer, 2},
  [506] =
    {field_body, 6},
    {field_condition, 3},
    {field_condition, 4},
    {field_initializer, 2},
  [510] =
    {field_body, 6},
    {field_condition, 4},
    {field_initializer, 2},
  [513] =
    {field_body, 4},
    {field_parameter, 2},
  [515] =
    {field_name, 2},
    {field_parameters, 4, .inherited = true},
    {field_return_type, 4, .inherited = true},
    {field_type_parameters, 4, .inherited = true},
  [519] =
    {field_name, 3},
    {field_parameters, 4, .inherited = true},
    {field_return_type, 4, .inherited = true},
    {field_type_parameters, 4, .inherited = true},
  [523] =
    {field_name, 2},
    {field_value, 4, .inherited = true},
  [525] =
    {field_name, 2},
    {field_type, 4},
  [527] =
    {field_name, 2},
    {field_type, 3},
    {field_value, 4, .inherited = true},
  [530] =
    {field_name, 1},
    {field_type, 3},
    {field_value, 4, .inherited = true},
  [533] =
    {field_name, 3},
    {field_value, 4, .inherited = true},
  [535] =
    {field_name, 3},
    {field_type, 4},
  [537] =
    {field_type, 4},
  [538] =
    {field_name, 4},
  [539] =
    {field_decorator, 0, .inherited = true},
    {field_name, 3},
    {field_value, 4, .inherited = true},
  [542] =
    {field_decorator, 0, .inherited = true},
    {field_name, 3},
    {field_type, 4},
  [545] =
    {field_decorator, 0, .inherited = true},
    {field_name, 2},
    {field_value, 4, .inherited = true},
  [548] =
    {field_decorator, 0, .inherited = true},
    {field_name, 2},
    {field_type, 4},
  [551] =
    {field_decorator, 0, .inherited = true},
    {field_name, 2},
    {field_type, 3},
    {field_value, 4, .inherited = true},
  [555] =
    {field_decorator, 0, .inherited = true},
    {field_name, 4},
  [557] =
    {field_decorator, 0, .inherited = true},
    {field_name, 1},
    {field_type, 3},
    {field_value, 4, .inherited = true},
  [561] =
    {field_parameters, 3},
    {field_type, 4},
    {field_type_parameters, 2},
  [564] =
    {field_index, 3},
    {field_object, 0},
  [566] =
    {field_index, 3},
    {field_object, 0},
    {field_object, 0, .inherited = true},
    {field_property, 0, .inherited = true},
  [570] =
    {field_index, 0, .inherited = true},
    {field_index, 3},
    {field_object, 0},
    {field_object, 0, .inherited = true},
  [574] =
    {field_arguments, 0, .inherited = true},
    {field_function, 0, .inherited = true},
    {field_index, 3},
    {field_object, 0},
  [578] =
    {field_parameters, 3},
    {field_type, 5},
    {field_type_parameters, 2},
  [581] =
    {field_body, 6},
    {field_decorator, 0, .inherited = true},
    {field_name, 3},
    {field_type_parameters, 4},
  [585] =
    {field_body, 6},
    {field_name, 3},
    {field_parameters, 5, .inherited = true},
    {field_return_type, 5, .inherited = true},
    {field_type_parameters, 5, .inherited = true},
  [590] =
    {field_body, 6},
    {field_name, 4},
    {field_parameters, 5, .inherited = true},
    {field_return_type, 5, .inherited = true},
    {field_type_parameters, 5, .inherited = true},
  [595] =
    {field_kind, 1},
    {field_left, 2},
    {field_operator, 4},
    {field_right, 5},
    {field_value, 3, .inherited = true},
  [600] =
    {field_kind, 1},
    {field_left, 2},
    {field_operator, 4},
    {field_right, 5},
  [604] =
    {field_body, 7},
    {field_condition, 3},
    {field_condition, 4},
    {field_increment, 5},
    {field_initializer, 2},
  [609] =
    {field_body, 7},
    {field_condition, 4},
    {field_increment, 5},
    {field_initializer, 2},
  [613] =
    {field_body, 7},
    {field_condition, 4},
    {field_condition, 5},
    {field_initializer, 2},
  [617] =
    {field_body, 5},
    {field_parameter, 2},
    {field_type, 3},
  [620] =
    {field_index_type, 3},
    {field_name, 1},
    {field_type, 5},
  [623] =
    {field_alias, 4},
    {field_name, 0},
    {field_type, 2},
  [626] =
    {field_sign, 0},
    {field_type, 5},
  [628] =
    {field_name, 3},
    {field_parameters, 5, .inherited = true},
    {field_return_type, 5, .inherited = true},
    {field_type_parameters, 5, .inherited = true},
  [632] =
    {field_name, 4},
    {field_parameters, 5, .inherited = true},
    {field_return_type, 5, .inherited = true},
    {field_type_parameters, 5, .inherited = true},
  [636] =
    {field_name, 2},
    {field_type, 4},
    {field_value, 5, .inherited = true},
  [639] =
    {field_name, 3},
    {field_value, 5, .inherited = true},
  [641] =
    {field_name, 3},
    {field_type, 5},
  [643] =
    {field_name, 3},
    {field_type, 4},
    {field_value, 5, .inherited = true},
  [646] =
    {field_name, 4},
    {field_value, 5, .inherited = true},
  [648] =
    {field_name, 4},
    {field_type, 5},
  [650] =
    {field_name, 5},
  [651] =
    {field_decorator, 0, .inherited = true},
    {field_name, 3},
    {field_value, 5, .inherited = true},
  [654] =
    {field_decorator, 0, .inherited = true},
    {field_name, 3},
    {field_type, 5},
  [657] =
    {field_decorator, 0, .inherited = true},
    {field_name, 3},
    {field_type, 4},
    {field_value, 5, .inherited = true},
  [661] =
    {field_decorator, 0, .inherited = true},
    {field_name, 2},
    {field_type, 4},
    {field_value, 5, .inherited = true},
  [665] =
    {field_decorator, 0, .inherited = true},
    {field_name, 4},
    {field_value, 5, .inherited = true},
  [668] =
    {field_decorator, 0, .inherited = true},
    {field_name, 4},
    {field_type, 5},
  [671] =
    {field_decorator, 0, .inherited = true},
    {field_name, 5},
  [673] =
    {field_alternative, 6},
    {field_consequence, 4},
    {field_left, 0},
    {field_right, 2},
  [677] =
    {field_body, 7},
    {field_name, 4},
    {field_parameters, 6, .inherited = true},
    {field_return_type, 6, .inherited = true},
    {field_type_parameters, 6, .inherited = true},
  [682] =
    {field_body, 7},
    {field_name, 5},
    {field_parameters, 6, .inherited = true},
    {field_return_type, 6, .inherited = true},
    {field_type_parameters, 6, .inherited = true},
  [687] =
    {field_body, 8},
    {field_condition, 4},
    {field_condition, 5},
    {field_increment, 6},
    {field_initializer, 2},
  [692] =
    {field_name, 4},
    {field_parameters, 6, .inherited = true},
    {field_return_type, 6, .inherited = true},
    {field_type_parameters, 6, .inherited = true},
  [696] =
    {field_name, 5},
    {field_parameters, 6, .inherited = true},
    {field_return_type, 6, .inherited = true},
    {field_type_parameters, 6, .inherited = true},
  [700] =
    {field_name, 3},
    {field_type, 5},
    {field_value, 6, .inherited = true},
  [703] =
    {field_index_type, 4},
    {field_name, 2},
    {field_type, 6},
  [706] =
    {field_name, 4},
    {field_value, 6, .inherited = true},
  [708] =
    {field_name, 4},
    {field_type, 6},
  [710] =
    {field_name, 4},
    {field_type, 5},
    {field_value, 6, .inherited = true},
  [713] =
    {field_name, 5},
    {field_value, 6, .inherited = true},
  [715] =
    {field_name, 5},
    {field_type, 6},
  [717] =
    {field_decorator, 0, .inherited = true},
    {field_name, 3},
    {field_type, 5},
    {field_value, 6, .inherited = true},
  [721] =
    {field_decorator, 0, .inherited = true},
    {field_name, 4},
    {field_value, 6, .inherited = true},
  [724] =
    {field_decorator, 0, .inherited = true},
    {field_name, 4},
    {field_type, 6},
  [727] =
    {field_decorator, 0, .inherited = true},
    {field_name, 4},
    {field_type, 5},
    {field_value, 6, .inherited = true},
  [731] =
    {field_decorator, 0, .inherited = true},
    {field_name, 5},
    {field_value, 6, .inherited = true},
  [734] =
    {field_decorator, 0, .inherited = true},
    {field_name, 5},
    {field_type, 6},
  [737] =
    {field_decorator, 0, .inherited = true},
    {field_name, 6},
  [739] =
    {field_body, 8},
    {field_name, 5},
    {field_parameters, 7, .inherited = true},
    {field_return_type, 7, .inherited = true},
    {field_type_parameters, 7, .inherited = true},
  [744] =
    {field_body, 8},
    {field_name, 6},
    {field_parameters, 7, .inherited = true},
    {field_return_type, 7, .inherited = true},
    {field_type_parameters, 7, .inherited = true},
  [749] =
    {field_index_type, 5},
    {field_name, 3},
    {field_sign, 0},
    {field_type, 7},
  [753] =
    {field_name, 5},
    {field_parameters, 7, .inherited = true},
    {field_return_type, 7, .inherited = true},
    {field_type_parameters, 7, .inherited = true},
  [757] =
    {field_name, 4},
    {field_type, 6},
    {field_value, 7, .inherited = true},
  [760] =
    {field_name, 5},
    {field_value, 7, .inherited = true},
  [762] =
    {field_name, 5},
    {field_type, 7},
  [764] =
    {field_name, 5},
    {field_type, 6},
    {field_value, 7, .inherited = true},
  [767] =
    {field_name, 6},
    {field_parameters, 7, .inherited = true},
    {field_return_type, 7, .inherited = true},
    {field_type_parameters, 7, .inherited = true},
  [771] =
    {field_decorator, 0, .inherited = true},
    {field_name, 4},
    {field_type, 6},
    {field_value, 7, .inherited = true},
  [775] =
    {field_decorator, 0, .inherited = true},
    {field_name, 5},
    {field_value, 7, .inherited = true},
  [778] =
    {field_decorator, 0, .inherited = true},
    {field_name, 5},
    {field_type, 7},
  [781] =
    {field_decorator, 0, .inherited = true},
    {field_name, 5},
    {field_type, 6},
    {field_value, 7, .inherited = true},
  [785] =
    {field_decorator, 0, .inherited = true},
    {field_name, 6},
    {field_value, 7, .inherited = true},
  [788] =
    {field_decorator, 0, .inherited = true},
    {field_name, 6},
    {field_type, 7},
  [791] =
    {field_body, 9},
    {field_name, 6},
    {field_parameters, 8, .inherited = true},
    {field_return_type, 8, .inherited = true},
    {field_type_parameters, 8, .inherited = true},
  [796] =
    {field_name, 5},
    {field_type, 7},
    {field_value, 8, .inherited = true},
  [799] =
    {field_name, 6},
    {field_parameters, 8, .inherited = true},
    {field_return_type, 8, .inherited = true},
    {field_type_parameters, 8, .inherited = true},
  [803] =
    {field_decorator, 0, .inherited = true},
    {field_name, 5},
    {field_type, 7},
    {field_value, 8, .inherited = true},
  [807] =
    {field_decorator, 0, .inherited = true},
    {field_name, 6},
    {field_value, 8, .inherited = true},
  [810] =
    {field_decorator, 0, .inherited = true},
    {field_name, 6},
    {field_type, 8},
  [813] =
    {field_decorator, 0, .inherited = true},
    {field_name, 6},
    {field_type, 7},
    {field_value, 8, .inherited = true},
  [817] =
    {field_decorator, 0, .inherited = true},
    {field_name, 6},
    {field_type, 8},
    {field_value, 9, .inherited = true},
};

static const TSSymbol ts_alias_sequences[PRODUCTION_ID_COUNT][MAX_ALIAS_SEQUENCE_LENGTH] = {
  [0] = {0},
  [1] = {
    [0] = sym_identifier,
  },
  [7] = {
    [0] = alias_sym_property_identifier,
  },
  [14] = {
    [0] = alias_sym_type_identifier,
  },
  [15] = {
    [0] = alias_sym_type_identifier,
  },
  [16] = {
    [0] = alias_sym_this_type,
  },
  [27] = {
    [0] = sym_identifier,
  },
  [28] = {
    [0] = alias_sym_statement_identifier,
  },
  [29] = {
    [0] = sym_identifier,
  },
  [31] = {
    [1] = alias_sym_shorthand_property_identifier,
  },
  [32] = {
    [1] = alias_sym_shorthand_property_identifier_pattern,
  },
  [33] = {
    [1] = sym_identifier,
  },
  [49] = {
    [1] = alias_sym_statement_identifier,
  },
  [51] = {
    [1] = alias_sym_type_identifier,
  },
  [64] = {
    [1] = alias_sym_type_identifier,
  },
  [65] = {
    [0] = alias_sym_type_identifier,
  },
  [66] = {
    [0] = alias_sym_type_identifier,
  },
  [67] = {
    [0] = alias_sym_type_identifier,
  },
  [68] = {
    [1] = alias_sym_type_identifier,
  },
  [69] = {
    [1] = anon_sym_unique,
  },
  [75] = {
    [1] = alias_sym_type_identifier,
    [2] = alias_sym_interface_body,
  },
  [77] = {
    [2] = alias_sym_property_identifier,
  },
  [79] = {
    [2] = alias_sym_property_identifier,
  },
  [90] = {
    [0] = sym_member_expression,
    [2] = alias_sym_property_identifier,
  },
  [91] = {
    [0] = alias_sym_shorthand_property_identifier_pattern,
  },
  [113] = {
    [1] = alias_sym_type_identifier,
  },
  [114] = {
    [1] = alias_sym_type_identifier,
  },
  [118] = {
    [1] = sym_identifier,
  },
  [125] = {
    [1] = sym_identifier,
  },
  [133] = {
    [1] = alias_sym_type_identifier,
  },
  [134] = {
    [1] = alias_sym_type_identifier,
  },
  [135] = {
    [2] = alias_sym_type_identifier,
  },
  [136] = {
    [0] = alias_sym_type_identifier,
  },
  [138] = {
    [2] = alias_sym_property_identifier,
  },
  [140] = {
    [2] = alias_sym_property_identifier,
  },
  [142] = {
    [2] = alias_sym_type_identifier,
  },
  [143] = {
    [1] = alias_sym_type_identifier,
  },
  [145] = {
    [1] = alias_sym_type_identifier,
    [3] = alias_sym_interface_body,
  },
  [146] = {
    [1] = alias_sym_type_identifier,
    [3] = alias_sym_interface_body,
  },
  [150] = {
    [2] = alias_sym_type_identifier,
  },
  [155] = {
    [1] = alias_sym_type_identifier,
  },
  [157] = {
    [0] = sym_identifier,
  },
  [169] = {
    [1] = alias_sym_type_identifier,
  },
  [177] = {
    [2] = alias_sym_property_identifier,
  },
  [179] = {
    [1] = alias_sym_type_identifier,
  },
  [182] = {
    [2] = alias_sym_type_identifier,
  },
  [183] = {
    [2] = alias_sym_type_identifier,
  },
  [184] = {
    [1] = alias_sym_type_identifier,
  },
  [186] = {
    [1] = alias_sym_type_identifier,
    [4] = alias_sym_interface_body,
  },
  [189] = {
    [0] = sym_identifier,
  },
  [191] = {
    [2] = alias_sym_type_identifier,
  },
  [192] = {
    [2] = alias_sym_type_identifier,
  },
  [194] = {
    [3] = alias_sym_type_identifier,
  },
  [196] = {
    [1] = alias_sym_type_identifier,
  },
  [198] = {
    [1] = sym_identifier,
  },
  [199] = {
    [1] = sym_identifier,
  },
  [204] = {
    [0] = alias_sym_type_identifier,
  },
  [228] = {
    [2] = alias_sym_type_identifier,
  },
  [233] = {
    [2] = alias_sym_type_identifier,
  },
  [234] = {
    [3] = alias_sym_type_identifier,
  },
  [235] = {
    [3] = alias_sym_type_identifier,
  },
  [267] = {
    [3] = alias_sym_property_identifier,
  },
  [268] = {
    [3] = alias_sym_type_identifier,
  },
  [277] = {
    [1] = sym_identifier,
  },
  [278] = {
    [0] = alias_sym_type_identifier,
  },
  [304] = {
    [2] = sym_identifier,
  },
  [320] = {
    [3] = sym_identifier,
  },
};

static const uint16_t ts_non_terminal_alias_map[] = {
  sym_nested_identifier, 2,
    sym_nested_identifier,
    sym_member_expression,
  sym_predefined_type, 2,
    sym_predefined_type,
    sym_identifier,
  sym_object_type, 2,
    sym_object_type,
    alias_sym_interface_body,
  0,
};

static const TSStateId ts_primary_state_ids[STATE_COUNT] = {
  [0] = 0,
  [1] = 1,
  [2] = 2,
  [3] = 2,
  [4] = 4,
  [5] = 4,
  [6] = 4,
  [7] = 4,
  [8] = 4,
  [9] = 9,
  [10] = 10,
  [11] = 11,
  [12] = 12,
  [13] = 13,
  [14] = 14,
  [15] = 15,
  [16] = 16,
  [17] = 17,
  [18] = 14,
  [19] = 16,
  [20] = 14,
  [21] = 16,
  [22] = 16,
  [23] = 14,
  [24] = 14,
  [25] = 16,
  [26] = 14,
  [27] = 16,
  [28] = 16,
  [29] = 29,
  [30] = 14,
  [31] = 31,
  [32] = 32,
  [33] = 33,
  [34] = 34,
  [35] = 35,
  [36] = 34,
  [37] = 37,
  [38] = 38,
  [39] = 39,
  [40] = 40,
  [41] = 41,
  [42] = 42,
  [43] = 43,
  [44] = 44,
  [45] = 45,
  [46] = 46,
  [47] = 47,
  [48] = 40,
  [49] = 35,
  [50] = 50,
  [51] = 31,
  [52] = 41,
  [53] = 42,
  [54] = 43,
  [55] = 32,
  [56] = 38,
  [57] = 44,
  [58] = 45,
  [59] = 46,
  [60] = 38,
  [61] = 47,
  [62] = 37,
  [63] = 38,
  [64] = 38,
  [65] = 33,
  [66] = 38,
  [67] = 38,
  [68] = 38,
  [69] = 38,
  [70] = 50,
  [71] = 38,
  [72] = 72,
  [73] = 72,
  [74] = 72,
  [75] = 75,
  [76] = 76,
  [77] = 77,
  [78] = 78,
  [79] = 79,
  [80] = 80,
  [81] = 81,
  [82] = 77,
  [83] = 83,
  [84] = 83,
  [85] = 77,
  [86] = 86,
  [87] = 87,
  [88] = 86,
  [89] = 89,
  [90] = 86,
  [91] = 86,
  [92] = 86,
  [93] = 93,
  [94] = 94,
  [95] = 94,
  [96] = 96,
  [97] = 97,
  [98] = 97,
  [99] = 96,
  [100] = 93,
  [101] = 93,
  [102] = 94,
  [103] = 94,
  [104] = 94,
  [105] = 94,
  [106] = 87,
  [107] = 87,
  [108] = 94,
  [109] = 93,
  [110] = 89,
  [111] = 111,
  [112] = 112,
  [113] = 94,
  [114] = 114,
  [115] = 97,
  [116] = 87,
  [117] = 117,
  [118] = 93,
  [119] = 93,
  [120] = 94,
  [121] = 97,
  [122] = 122,
  [123] = 94,
  [124] = 94,
  [125] = 94,
  [126] = 114,
  [127] = 111,
  [128] = 93,
  [129] = 93,
  [130] = 94,
  [131] = 94,
  [132] = 93,
  [133] = 94,
  [134] = 94,
  [135] = 94,
  [136] = 94,
  [137] = 137,
  [138] = 137,
  [139] = 137,
  [140] = 137,
  [141] = 93,
  [142] = 137,
  [143] = 137,
  [144] = 137,
  [145] = 94,
  [146] = 137,
  [147] = 147,
  [148] = 137,
  [149] = 137,
  [150] = 150,
  [151] = 151,
  [152] = 151,
  [153] = 151,
  [154] = 154,
  [155] = 151,
  [156] = 151,
  [157] = 157,
  [158] = 151,
  [159] = 151,
  [160] = 151,
  [161] = 151,
  [162] = 151,
  [163] = 163,
  [164] = 163,
  [165] = 163,
  [166] = 163,
  [167] = 163,
  [168] = 163,
  [169] = 163,
  [170] = 163,
  [171] = 163,
  [172] = 163,
  [173] = 173,
  [174] = 174,
  [175] = 174,
  [176] = 176,
  [177] = 173,
  [178] = 176,
  [179] = 173,
  [180] = 176,
  [181] = 174,
  [182] = 182,
  [183] = 183,
  [184] = 173,
  [185] = 173,
  [186] = 183,
  [187] = 183,
  [188] = 173,
  [189] = 182,
  [190] = 173,
  [191] = 173,
  [192] = 173,
  [193] = 173,
  [194] = 194,
  [195] = 194,
  [196] = 196,
  [197] = 196,
  [198] = 198,
  [199] = 198,
  [200] = 200,
  [201] = 196,
  [202] = 200,
  [203] = 198,
  [204] = 200,
  [205] = 205,
  [206] = 205,
  [207] = 207,
  [208] = 205,
  [209] = 209,
  [210] = 205,
  [211] = 211,
  [212] = 212,
  [213] = 213,
  [214] = 214,
  [215] = 205,
  [216] = 205,
  [217] = 217,
  [218] = 218,
  [219] = 219,
  [220] = 220,
  [221] = 221,
  [222] = 222,
  [223] = 223,
  [224] = 224,
  [225] = 225,
  [226] = 226,
  [227] = 227,
  [228] = 228,
  [229] = 229,
  [230] = 230,
  [231] = 222,
  [232] = 232,
  [233] = 233,
  [234] = 234,
  [235] = 235,
  [236] = 236,
  [237] = 237,
  [238] = 238,
  [239] = 239,
  [240] = 240,
  [241] = 241,
  [242] = 242,
  [243] = 243,
  [244] = 244,
  [245] = 245,
  [246] = 246,
  [247] = 247,
  [248] = 248,
  [249] = 248,
  [250] = 250,
  [251] = 222,
  [252] = 250,
  [253] = 245,
  [254] = 222,
  [255] = 255,
  [256] = 256,
  [257] = 222,
  [258] = 222,
  [259] = 256,
  [260] = 260,
  [261] = 222,
  [262] = 262,
  [263] = 222,
  [264] = 256,
  [265] = 265,
  [266] = 256,
  [267] = 256,
  [268] = 260,
  [269] = 262,
  [270] = 222,
  [271] = 256,
  [272] = 222,
  [273] = 222,
  [274] = 256,
  [275] = 275,
  [276] = 275,
  [277] = 275,
  [278] = 278,
  [279] = 279,
  [280] = 280,
  [281] = 275,
  [282] = 275,
  [283] = 275,
  [284] = 275,
  [285] = 275,
  [286] = 275,
  [287] = 287,
  [288] = 288,
  [289] = 280,
  [290] = 275,
  [291] = 275,
  [292] = 275,
  [293] = 275,
  [294] = 275,
  [295] = 275,
  [296] = 275,
  [297] = 297,
  [298] = 298,
  [299] = 299,
  [300] = 300,
  [301] = 301,
  [302] = 302,
  [303] = 303,
  [304] = 299,
  [305] = 301,
  [306] = 306,
  [307] = 307,
  [308] = 308,
  [309] = 306,
  [310] = 307,
  [311] = 308,
  [312] = 312,
  [313] = 313,
  [314] = 313,
  [315] = 315,
  [316] = 316,
  [317] = 317,
  [318] = 318,
  [319] = 319,
  [320] = 320,
  [321] = 321,
  [322] = 322,
  [323] = 323,
  [324] = 324,
  [325] = 325,
  [326] = 315,
  [327] = 319,
  [328] = 328,
  [329] = 321,
  [330] = 330,
  [331] = 331,
  [332] = 318,
  [333] = 321,
  [334] = 334,
  [335] = 317,
  [336] = 324,
  [337] = 330,
  [338] = 318,
  [339] = 321,
  [340] = 324,
  [341] = 325,
  [342] = 325,
  [343] = 315,
  [344] = 324,
  [345] = 345,
  [346] = 330,
  [347] = 318,
  [348] = 321,
  [349] = 324,
  [350] = 325,
  [351] = 315,
  [352] = 325,
  [353] = 353,
  [354] = 330,
  [355] = 355,
  [356] = 318,
  [357] = 321,
  [358] = 324,
  [359] = 318,
  [360] = 315,
  [361] = 330,
  [362] = 331,
  [363] = 330,
  [364] = 318,
  [365] = 321,
  [366] = 324,
  [367] = 325,
  [368] = 315,
  [369] = 369,
  [370] = 330,
  [371] = 318,
  [372] = 321,
  [373] = 324,
  [374] = 325,
  [375] = 315,
  [376] = 330,
  [377] = 318,
  [378] = 321,
  [379] = 324,
  [380] = 325,
  [381] = 315,
  [382] = 330,
  [383] = 318,
  [384] = 321,
  [385] = 324,
  [386] = 325,
  [387] = 315,
  [388] = 315,
  [389] = 389,
  [390] = 390,
  [391] = 391,
  [392] = 392,
  [393] = 393,
  [394] = 330,
  [395] = 325,
  [396] = 396,
  [397] = 397,
  [398] = 398,
  [399] = 399,
  [400] = 400,
  [401] = 401,
  [402] = 402,
  [403] = 403,
  [404] = 404,
  [405] = 405,
  [406] = 406,
  [407] = 407,
  [408] = 408,
  [409] = 409,
  [410] = 410,
  [411] = 411,
  [412] = 412,
  [413] = 413,
  [414] = 414,
  [415] = 415,
  [416] = 416,
  [417] = 417,
  [418] = 418,
  [419] = 419,
  [420] = 420,
  [421] = 421,
  [422] = 422,
  [423] = 412,
  [424] = 424,
  [425] = 425,
  [426] = 396,
  [427] = 427,
  [428] = 412,
  [429] = 419,
  [430] = 430,
  [431] = 399,
  [432] = 400,
  [433] = 416,
  [434] = 417,
  [435] = 412,
  [436] = 425,
  [437] = 419,
  [438] = 438,
  [439] = 419,
  [440] = 440,
  [441] = 441,
  [442] = 419,
  [443] = 419,
  [444] = 444,
  [445] = 445,
  [446] = 446,
  [447] = 419,
  [448] = 448,
  [449] = 449,
  [450] = 427,
  [451] = 401,
  [452] = 444,
  [453] = 453,
  [454] = 397,
  [455] = 398,
  [456] = 398,
  [457] = 396,
  [458] = 399,
  [459] = 401,
  [460] = 402,
  [461] = 403,
  [462] = 404,
  [463] = 405,
  [464] = 406,
  [465] = 407,
  [466] = 408,
  [467] = 409,
  [468] = 410,
  [469] = 411,
  [470] = 414,
  [471] = 402,
  [472] = 403,
  [473] = 404,
  [474] = 416,
  [475] = 417,
  [476] = 419,
  [477] = 405,
  [478] = 440,
  [479] = 422,
  [480] = 424,
  [481] = 449,
  [482] = 427,
  [483] = 444,
  [484] = 448,
  [485] = 453,
  [486] = 397,
  [487] = 398,
  [488] = 399,
  [489] = 400,
  [490] = 401,
  [491] = 402,
  [492] = 403,
  [493] = 404,
  [494] = 405,
  [495] = 406,
  [496] = 407,
  [497] = 408,
  [498] = 409,
  [499] = 410,
  [500] = 411,
  [501] = 412,
  [502] = 406,
  [503] = 416,
  [504] = 417,
  [505] = 419,
  [506] = 422,
  [507] = 424,
  [508] = 425,
  [509] = 419,
  [510] = 448,
  [511] = 427,
  [512] = 407,
  [513] = 444,
  [514] = 453,
  [515] = 397,
  [516] = 398,
  [517] = 396,
  [518] = 399,
  [519] = 401,
  [520] = 402,
  [521] = 403,
  [522] = 404,
  [523] = 405,
  [524] = 397,
  [525] = 407,
  [526] = 408,
  [527] = 409,
  [528] = 410,
  [529] = 411,
  [530] = 408,
  [531] = 416,
  [532] = 417,
  [533] = 419,
  [534] = 409,
  [535] = 422,
  [536] = 449,
  [537] = 427,
  [538] = 444,
  [539] = 453,
  [540] = 397,
  [541] = 398,
  [542] = 399,
  [543] = 401,
  [544] = 402,
  [545] = 403,
  [546] = 404,
  [547] = 405,
  [548] = 406,
  [549] = 407,
  [550] = 408,
  [551] = 409,
  [552] = 410,
  [553] = 411,
  [554] = 416,
  [555] = 417,
  [556] = 419,
  [557] = 422,
  [558] = 424,
  [559] = 425,
  [560] = 560,
  [561] = 419,
  [562] = 448,
  [563] = 396,
  [564] = 427,
  [565] = 444,
  [566] = 453,
  [567] = 397,
  [568] = 398,
  [569] = 399,
  [570] = 401,
  [571] = 402,
  [572] = 403,
  [573] = 404,
  [574] = 405,
  [575] = 406,
  [576] = 407,
  [577] = 408,
  [578] = 409,
  [579] = 410,
  [580] = 411,
  [581] = 416,
  [582] = 417,
  [583] = 453,
  [584] = 449,
  [585] = 422,
  [586] = 424,
  [587] = 425,
  [588] = 419,
  [589] = 448,
  [590] = 396,
  [591] = 427,
  [592] = 444,
  [593] = 453,
  [594] = 397,
  [595] = 398,
  [596] = 399,
  [597] = 401,
  [598] = 402,
  [599] = 403,
  [600] = 404,
  [601] = 405,
  [602] = 406,
  [603] = 407,
  [604] = 408,
  [605] = 409,
  [606] = 410,
  [607] = 411,
  [608] = 410,
  [609] = 416,
  [610] = 417,
  [611] = 422,
  [612] = 424,
  [613] = 425,
  [614] = 419,
  [615] = 448,
  [616] = 396,
  [617] = 427,
  [618] = 444,
  [619] = 453,
  [620] = 397,
  [621] = 398,
  [622] = 399,
  [623] = 401,
  [624] = 402,
  [625] = 403,
  [626] = 404,
  [627] = 405,
  [628] = 406,
  [629] = 407,
  [630] = 408,
  [631] = 409,
  [632] = 410,
  [633] = 449,
  [634] = 411,
  [635] = 427,
  [636] = 444,
  [637] = 416,
  [638] = 417,
  [639] = 422,
  [640] = 422,
  [641] = 424,
  [642] = 425,
  [643] = 448,
  [644] = 427,
  [645] = 444,
  [646] = 453,
  [647] = 397,
  [648] = 398,
  [649] = 399,
  [650] = 401,
  [651] = 402,
  [652] = 403,
  [653] = 404,
  [654] = 405,
  [655] = 406,
  [656] = 407,
  [657] = 408,
  [658] = 409,
  [659] = 410,
  [660] = 411,
  [661] = 411,
  [662] = 416,
  [663] = 417,
  [664] = 422,
  [665] = 424,
  [666] = 425,
  [667] = 448,
  [668] = 396,
  [669] = 669,
  [670] = 424,
  [671] = 425,
  [672] = 449,
  [673] = 449,
  [674] = 674,
  [675] = 419,
  [676] = 424,
  [677] = 425,
  [678] = 449,
  [679] = 453,
  [680] = 449,
  [681] = 449,
  [682] = 448,
  [683] = 396,
  [684] = 448,
  [685] = 396,
  [686] = 406,
  [687] = 687,
  [688] = 687,
  [689] = 687,
  [690] = 690,
  [691] = 690,
  [692] = 690,
  [693] = 693,
  [694] = 693,
  [695] = 693,
  [696] = 696,
  [697] = 696,
  [698] = 698,
  [699] = 698,
  [700] = 698,
  [701] = 701,
  [702] = 702,
  [703] = 702,
  [704] = 701,
  [705] = 243,
  [706] = 244,
  [707] = 702,
  [708] = 701,
  [709] = 709,
  [710] = 710,
  [711] = 711,
  [712] = 712,
  [713] = 713,
  [714] = 714,
  [715] = 709,
  [716] = 716,
  [717] = 717,
  [718] = 718,
  [719] = 716,
  [720] = 716,
  [721] = 718,
  [722] = 717,
  [723] = 718,
  [724] = 724,
  [725] = 725,
  [726] = 726,
  [727] = 726,
  [728] = 728,
  [729] = 724,
  [730] = 725,
  [731] = 726,
  [732] = 726,
  [733] = 726,
  [734] = 728,
  [735] = 726,
  [736] = 229,
  [737] = 726,
  [738] = 738,
  [739] = 739,
  [740] = 740,
  [741] = 226,
  [742] = 726,
  [743] = 726,
  [744] = 724,
  [745] = 726,
  [746] = 225,
  [747] = 747,
  [748] = 726,
  [749] = 227,
  [750] = 234,
  [751] = 225,
  [752] = 229,
  [753] = 233,
  [754] = 226,
  [755] = 726,
  [756] = 756,
  [757] = 233,
  [758] = 756,
  [759] = 759,
  [760] = 756,
  [761] = 724,
  [762] = 725,
  [763] = 211,
  [764] = 213,
  [765] = 726,
  [766] = 726,
  [767] = 726,
  [768] = 726,
  [769] = 726,
  [770] = 726,
  [771] = 739,
  [772] = 772,
  [773] = 773,
  [774] = 774,
  [775] = 775,
  [776] = 776,
  [777] = 777,
  [778] = 778,
  [779] = 779,
  [780] = 780,
  [781] = 781,
  [782] = 775,
  [783] = 783,
  [784] = 775,
  [785] = 209,
  [786] = 786,
  [787] = 787,
  [788] = 788,
  [789] = 240,
  [790] = 790,
  [791] = 775,
  [792] = 792,
  [793] = 775,
  [794] = 794,
  [795] = 795,
  [796] = 796,
  [797] = 797,
  [798] = 775,
  [799] = 775,
  [800] = 726,
  [801] = 241,
  [802] = 802,
  [803] = 803,
  [804] = 775,
  [805] = 775,
  [806] = 775,
  [807] = 807,
  [808] = 808,
  [809] = 809,
  [810] = 810,
  [811] = 811,
  [812] = 812,
  [813] = 813,
  [814] = 814,
  [815] = 815,
  [816] = 816,
  [817] = 817,
  [818] = 818,
  [819] = 819,
  [820] = 820,
  [821] = 821,
  [822] = 822,
  [823] = 823,
  [824] = 824,
  [825] = 825,
  [826] = 826,
  [827] = 827,
  [828] = 828,
  [829] = 829,
  [830] = 830,
  [831] = 831,
  [832] = 832,
  [833] = 833,
  [834] = 834,
  [835] = 835,
  [836] = 836,
  [837] = 837,
  [838] = 838,
  [839] = 839,
  [840] = 814,
  [841] = 841,
  [842] = 842,
  [843] = 843,
  [844] = 844,
  [845] = 845,
  [846] = 846,
  [847] = 847,
  [848] = 848,
  [849] = 849,
  [850] = 850,
  [851] = 851,
  [852] = 852,
  [853] = 853,
  [854] = 854,
  [855] = 855,
  [856] = 856,
  [857] = 857,
  [858] = 858,
  [859] = 859,
  [860] = 860,
  [861] = 861,
  [862] = 862,
  [863] = 863,
  [864] = 864,
  [865] = 865,
  [866] = 866,
  [867] = 867,
  [868] = 868,
  [869] = 869,
  [870] = 870,
  [871] = 871,
  [872] = 872,
  [873] = 873,
  [874] = 227,
  [875] = 875,
  [876] = 876,
  [877] = 234,
  [878] = 878,
  [879] = 814,
  [880] = 880,
  [881] = 881,
  [882] = 882,
  [883] = 883,
  [884] = 884,
  [885] = 220,
  [886] = 886,
  [887] = 887,
  [888] = 888,
  [889] = 889,
  [890] = 890,
  [891] = 891,
  [892] = 892,
  [893] = 893,
  [894] = 894,
  [895] = 895,
  [896] = 896,
  [897] = 897,
  [898] = 236,
  [899] = 899,
  [900] = 900,
  [901] = 901,
  [902] = 902,
  [903] = 903,
  [904] = 904,
  [905] = 905,
  [906] = 906,
  [907] = 907,
  [908] = 908,
  [909] = 909,
  [910] = 910,
  [911] = 911,
  [912] = 912,
  [913] = 913,
  [914] = 914,
  [915] = 915,
  [916] = 916,
  [917] = 917,
  [918] = 918,
  [919] = 919,
  [920] = 920,
  [921] = 921,
  [922] = 814,
  [923] = 923,
  [924] = 924,
  [925] = 814,
  [926] = 926,
  [927] = 927,
  [928] = 928,
  [929] = 929,
  [930] = 930,
  [931] = 931,
  [932] = 932,
  [933] = 933,
  [934] = 934,
  [935] = 935,
  [936] = 936,
  [937] = 936,
  [938] = 935,
  [939] = 936,
  [940] = 936,
  [941] = 936,
  [942] = 935,
  [943] = 935,
  [944] = 935,
  [945] = 945,
  [946] = 790,
  [947] = 773,
  [948] = 948,
  [949] = 949,
  [950] = 950,
  [951] = 951,
  [952] = 952,
  [953] = 953,
  [954] = 954,
  [955] = 955,
  [956] = 956,
  [957] = 957,
  [958] = 958,
  [959] = 959,
  [960] = 960,
  [961] = 961,
  [962] = 962,
  [963] = 960,
  [964] = 960,
  [965] = 962,
  [966] = 960,
  [967] = 962,
  [968] = 960,
  [969] = 962,
  [970] = 962,
  [971] = 961,
  [972] = 960,
  [973] = 961,
  [974] = 960,
  [975] = 962,
  [976] = 962,
  [977] = 977,
  [978] = 978,
  [979] = 979,
  [980] = 980,
  [981] = 981,
  [982] = 982,
  [983] = 982,
  [984] = 981,
  [985] = 980,
  [986] = 981,
  [987] = 982,
  [988] = 980,
  [989] = 981,
  [990] = 980,
  [991] = 982,
  [992] = 992,
  [993] = 981,
  [994] = 980,
  [995] = 982,
  [996] = 982,
  [997] = 980,
  [998] = 998,
  [999] = 999,
  [1000] = 1000,
  [1001] = 1001,
  [1002] = 1002,
  [1003] = 1003,
  [1004] = 1004,
  [1005] = 1005,
  [1006] = 999,
  [1007] = 1007,
  [1008] = 1008,
  [1009] = 1009,
  [1010] = 1010,
  [1011] = 1011,
  [1012] = 1012,
  [1013] = 1013,
  [1014] = 999,
  [1015] = 1015,
  [1016] = 999,
  [1017] = 1017,
  [1018] = 1018,
  [1019] = 1019,
  [1020] = 1020,
  [1021] = 1021,
  [1022] = 998,
  [1023] = 1001,
  [1024] = 1003,
  [1025] = 1004,
  [1026] = 1026,
  [1027] = 1027,
  [1028] = 1028,
  [1029] = 1002,
  [1030] = 1030,
  [1031] = 1000,
  [1032] = 1009,
  [1033] = 1010,
  [1034] = 1011,
  [1035] = 1013,
  [1036] = 1015,
  [1037] = 1017,
  [1038] = 1038,
  [1039] = 1039,
  [1040] = 1040,
  [1041] = 1019,
  [1042] = 1020,
  [1043] = 1015,
  [1044] = 998,
  [1045] = 1001,
  [1046] = 1017,
  [1047] = 1047,
  [1048] = 1003,
  [1049] = 1004,
  [1050] = 1005,
  [1051] = 1007,
  [1052] = 1026,
  [1053] = 1027,
  [1054] = 1054,
  [1055] = 1055,
  [1056] = 1019,
  [1057] = 1020,
  [1058] = 1015,
  [1059] = 998,
  [1060] = 1001,
  [1061] = 1003,
  [1062] = 1004,
  [1063] = 1017,
  [1064] = 1026,
  [1065] = 1027,
  [1066] = 1000,
  [1067] = 1009,
  [1068] = 1010,
  [1069] = 1011,
  [1070] = 1013,
  [1071] = 1015,
  [1072] = 1017,
  [1073] = 1026,
  [1074] = 1008,
  [1075] = 1005,
  [1076] = 1019,
  [1077] = 1020,
  [1078] = 1003,
  [1079] = 1005,
  [1080] = 1008,
  [1081] = 1026,
  [1082] = 1027,
  [1083] = 999,
  [1084] = 1000,
  [1085] = 1009,
  [1086] = 1010,
  [1087] = 1011,
  [1088] = 1005,
  [1089] = 1013,
  [1090] = 1019,
  [1091] = 1020,
  [1092] = 1015,
  [1093] = 1017,
  [1094] = 1019,
  [1095] = 1020,
  [1096] = 1003,
  [1097] = 1004,
  [1098] = 1026,
  [1099] = 1027,
  [1100] = 1100,
  [1101] = 998,
  [1102] = 1001,
  [1103] = 1012,
  [1104] = 1104,
  [1105] = 1105,
  [1106] = 1106,
  [1107] = 1027,
  [1108] = 1000,
  [1109] = 1009,
  [1110] = 1010,
  [1111] = 1011,
  [1112] = 1013,
  [1113] = 999,
  [1114] = 1100,
  [1115] = 1115,
  [1116] = 1039,
  [1117] = 1117,
  [1118] = 1115,
  [1119] = 1015,
  [1120] = 1017,
  [1121] = 1121,
  [1122] = 1019,
  [1123] = 1020,
  [1124] = 1124,
  [1125] = 1125,
  [1126] = 998,
  [1127] = 1001,
  [1128] = 1003,
  [1129] = 1004,
  [1130] = 1026,
  [1131] = 1027,
  [1132] = 1000,
  [1133] = 1009,
  [1134] = 1010,
  [1135] = 1011,
  [1136] = 1013,
  [1137] = 1005,
  [1138] = 998,
  [1139] = 1001,
  [1140] = 1000,
  [1141] = 1009,
  [1142] = 1010,
  [1143] = 1011,
  [1144] = 1013,
  [1145] = 1008,
  [1146] = 1005,
  [1147] = 1008,
  [1148] = 1008,
  [1149] = 1008,
  [1150] = 1004,
  [1151] = 1151,
  [1152] = 1152,
  [1153] = 1151,
  [1154] = 1151,
  [1155] = 1151,
  [1156] = 1151,
  [1157] = 1151,
  [1158] = 1151,
  [1159] = 1151,
  [1160] = 1160,
  [1161] = 1151,
  [1162] = 1162,
  [1163] = 1151,
  [1164] = 1151,
  [1165] = 1151,
  [1166] = 1166,
  [1167] = 1167,
  [1168] = 1168,
  [1169] = 1168,
  [1170] = 1166,
  [1171] = 1167,
  [1172] = 1168,
  [1173] = 1167,
  [1174] = 1166,
  [1175] = 1175,
  [1176] = 1176,
  [1177] = 1177,
  [1178] = 1177,
  [1179] = 1179,
  [1180] = 1179,
  [1181] = 1177,
  [1182] = 1177,
  [1183] = 1177,
  [1184] = 1184,
  [1185] = 1184,
  [1186] = 1186,
  [1187] = 1187,
  [1188] = 1187,
  [1189] = 1175,
  [1190] = 1186,
  [1191] = 1177,
  [1192] = 1176,
  [1193] = 1193,
  [1194] = 1194,
  [1195] = 1195,
  [1196] = 1196,
  [1197] = 1197,
  [1198] = 1198,
  [1199] = 1199,
  [1200] = 1177,
  [1201] = 1177,
  [1202] = 1202,
  [1203] = 1176,
  [1204] = 1204,
  [1205] = 1205,
  [1206] = 1206,
  [1207] = 1177,
  [1208] = 1193,
  [1209] = 1193,
  [1210] = 1210,
  [1211] = 1177,
  [1212] = 1212,
  [1213] = 1213,
  [1214] = 1214,
  [1215] = 1215,
  [1216] = 790,
  [1217] = 1215,
  [1218] = 1218,
  [1219] = 1177,
  [1220] = 1220,
  [1221] = 773,
  [1222] = 1177,
  [1223] = 1218,
  [1224] = 1177,
  [1225] = 1220,
  [1226] = 1226,
  [1227] = 1215,
  [1228] = 1228,
  [1229] = 1226,
  [1230] = 1213,
  [1231] = 1176,
  [1232] = 1232,
  [1233] = 1226,
  [1234] = 1177,
  [1235] = 1235,
  [1236] = 1177,
  [1237] = 1213,
  [1238] = 1177,
  [1239] = 1177,
  [1240] = 1177,
  [1241] = 1177,
  [1242] = 1213,
  [1243] = 1175,
  [1244] = 1244,
  [1245] = 1196,
  [1246] = 1246,
  [1247] = 1247,
  [1248] = 1248,
  [1249] = 1213,
  [1250] = 1250,
  [1251] = 1250,
  [1252] = 1250,
  [1253] = 1253,
  [1254] = 1254,
  [1255] = 1255,
  [1256] = 1250,
  [1257] = 1257,
  [1258] = 1246,
  [1259] = 1259,
  [1260] = 1213,
  [1261] = 1250,
  [1262] = 1262,
  [1263] = 1263,
  [1264] = 1264,
  [1265] = 1213,
  [1266] = 1266,
  [1267] = 1250,
  [1268] = 1244,
  [1269] = 1213,
  [1270] = 1250,
  [1271] = 1177,
  [1272] = 1244,
  [1273] = 1250,
  [1274] = 1246,
  [1275] = 1250,
  [1276] = 1250,
  [1277] = 1213,
  [1278] = 1278,
  [1279] = 1213,
  [1280] = 1280,
  [1281] = 1281,
  [1282] = 1282,
  [1283] = 1206,
  [1284] = 1284,
  [1285] = 1246,
  [1286] = 1286,
  [1287] = 1205,
  [1288] = 1213,
  [1289] = 1289,
  [1290] = 1206,
  [1291] = 1278,
  [1292] = 1246,
  [1293] = 1280,
  [1294] = 1264,
  [1295] = 1289,
  [1296] = 1205,
  [1297] = 1297,
  [1298] = 1246,
  [1299] = 1299,
  [1300] = 1278,
  [1301] = 1213,
  [1302] = 1302,
  [1303] = 1264,
  [1304] = 1213,
  [1305] = 1305,
  [1306] = 1305,
  [1307] = 1213,
  [1308] = 1282,
  [1309] = 1264,
  [1310] = 1206,
  [1311] = 1210,
  [1312] = 1264,
  [1313] = 1313,
  [1314] = 1255,
  [1315] = 1278,
  [1316] = 1264,
  [1317] = 1204,
  [1318] = 1318,
  [1319] = 1194,
  [1320] = 1248,
  [1321] = 1321,
  [1322] = 1318,
  [1323] = 1289,
  [1324] = 1228,
  [1325] = 1228,
  [1326] = 1313,
  [1327] = 1321,
  [1328] = 1259,
  [1329] = 773,
  [1330] = 1305,
  [1331] = 1305,
  [1332] = 1212,
  [1333] = 1199,
  [1334] = 1305,
  [1335] = 790,
  [1336] = 1205,
  [1337] = 1246,
  [1338] = 1213,
  [1339] = 1198,
  [1340] = 1246,
  [1341] = 1289,
  [1342] = 1202,
  [1343] = 1305,
  [1344] = 1213,
  [1345] = 1289,
  [1346] = 1246,
  [1347] = 1289,
  [1348] = 1246,
  [1349] = 1349,
  [1350] = 1206,
  [1351] = 1281,
  [1352] = 1289,
  [1353] = 1228,
  [1354] = 1205,
  [1355] = 1355,
  [1356] = 1349,
  [1357] = 1302,
  [1358] = 1305,
  [1359] = 1264,
  [1360] = 1360,
  [1361] = 1289,
  [1362] = 1362,
  [1363] = 1263,
  [1364] = 1228,
  [1365] = 1205,
  [1366] = 1289,
  [1367] = 1289,
  [1368] = 1264,
  [1369] = 1369,
  [1370] = 1248,
  [1371] = 1264,
  [1372] = 1246,
  [1373] = 1305,
  [1374] = 1305,
  [1375] = 1259,
  [1376] = 1264,
  [1377] = 1305,
  [1378] = 1206,
  [1379] = 1379,
  [1380] = 1289,
  [1381] = 1228,
  [1382] = 1264,
  [1383] = 1383,
  [1384] = 1384,
  [1385] = 1205,
  [1386] = 1386,
  [1387] = 1379,
  [1388] = 1379,
  [1389] = 1379,
  [1390] = 1206,
  [1391] = 1228,
  [1392] = 1305,
  [1393] = 1259,
  [1394] = 1394,
  [1395] = 1248,
  [1396] = 1379,
  [1397] = 1397,
  [1398] = 1305,
  [1399] = 1302,
  [1400] = 1289,
  [1401] = 1379,
  [1402] = 1289,
  [1403] = 1289,
  [1404] = 1305,
  [1405] = 1305,
  [1406] = 1369,
  [1407] = 1305,
  [1408] = 1305,
  [1409] = 1305,
  [1410] = 1305,
  [1411] = 1255,
  [1412] = 1302,
  [1413] = 1289,
  [1414] = 1289,
  [1415] = 1289,
  [1416] = 1289,
  [1417] = 1228,
  [1418] = 1360,
  [1419] = 1419,
  [1420] = 1420,
  [1421] = 1420,
  [1422] = 1419,
  [1423] = 1423,
  [1424] = 1424,
  [1425] = 1425,
  [1426] = 1289,
  [1427] = 1420,
  [1428] = 1425,
  [1429] = 1425,
  [1430] = 1420,
  [1431] = 1423,
  [1432] = 1423,
  [1433] = 1424,
  [1434] = 1420,
  [1435] = 1424,
  [1436] = 1425,
  [1437] = 1420,
  [1438] = 1423,
  [1439] = 1423,
  [1440] = 1419,
  [1441] = 1424,
  [1442] = 1420,
  [1443] = 1423,
  [1444] = 1419,
  [1445] = 1425,
  [1446] = 1420,
  [1447] = 1423,
  [1448] = 1281,
  [1449] = 1383,
  [1450] = 1423,
  [1451] = 1420,
  [1452] = 1423,
  [1453] = 1420,
  [1454] = 1423,
  [1455] = 1425,
  [1456] = 1424,
  [1457] = 1228,
  [1458] = 1419,
  [1459] = 1228,
  [1460] = 1305,
  [1461] = 1228,
  [1462] = 1424,
  [1463] = 1419,
  [1464] = 1464,
  [1465] = 1464,
  [1466] = 1464,
  [1467] = 1464,
  [1468] = 1464,
  [1469] = 1464,
  [1470] = 1464,
  [1471] = 1464,
  [1472] = 1464,
  [1473] = 1464,
  [1474] = 1474,
  [1475] = 1474,
  [1476] = 1474,
  [1477] = 1474,
  [1478] = 1474,
  [1479] = 1479,
  [1480] = 1474,
  [1481] = 1481,
  [1482] = 1482,
  [1483] = 1482,
  [1484] = 1482,
  [1485] = 1485,
  [1486] = 1482,
  [1487] = 1487,
  [1488] = 1487,
  [1489] = 1481,
  [1490] = 1487,
  [1491] = 1487,
  [1492] = 1481,
  [1493] = 1482,
  [1494] = 1487,
  [1495] = 1481,
  [1496] = 1481,
  [1497] = 1497,
  [1498] = 1497,
  [1499] = 1497,
  [1500] = 1497,
  [1501] = 1497,
  [1502] = 1502,
  [1503] = 1497,
  [1504] = 243,
  [1505] = 1505,
  [1506] = 1506,
  [1507] = 1507,
  [1508] = 1508,
  [1509] = 1509,
  [1510] = 1510,
  [1511] = 244,
  [1512] = 1512,
  [1513] = 1513,
  [1514] = 1514,
  [1515] = 207,
  [1516] = 979,
  [1517] = 1517,
  [1518] = 243,
  [1519] = 1519,
  [1520] = 1520,
  [1521] = 1521,
  [1522] = 1522,
  [1523] = 1523,
  [1524] = 978,
  [1525] = 244,
  [1526] = 1526,
  [1527] = 977,
  [1528] = 1528,
  [1529] = 1529,
  [1530] = 1530,
  [1531] = 1531,
  [1532] = 1532,
  [1533] = 1533,
  [1534] = 1534,
  [1535] = 1535,
  [1536] = 1536,
  [1537] = 1537,
  [1538] = 1162,
  [1539] = 1539,
  [1540] = 1540,
  [1541] = 1541,
  [1542] = 1542,
  [1543] = 1543,
  [1544] = 1544,
  [1545] = 1545,
  [1546] = 1546,
  [1547] = 1547,
  [1548] = 1548,
  [1549] = 710,
  [1550] = 1550,
  [1551] = 1551,
  [1552] = 1552,
  [1553] = 1553,
  [1554] = 1554,
  [1555] = 1555,
  [1556] = 1556,
  [1557] = 713,
  [1558] = 1558,
  [1559] = 1559,
  [1560] = 1560,
  [1561] = 1561,
  [1562] = 1562,
  [1563] = 1563,
  [1564] = 1564,
  [1565] = 1565,
  [1566] = 1566,
  [1567] = 1567,
  [1568] = 1568,
  [1569] = 1569,
  [1570] = 711,
  [1571] = 1571,
  [1572] = 1572,
  [1573] = 1573,
  [1574] = 1574,
  [1575] = 1575,
  [1576] = 714,
  [1577] = 1577,
  [1578] = 1578,
  [1579] = 226,
  [1580] = 1580,
  [1581] = 1581,
  [1582] = 1582,
  [1583] = 1583,
  [1584] = 1584,
  [1585] = 1585,
  [1586] = 1586,
  [1587] = 1587,
  [1588] = 1588,
  [1589] = 1589,
  [1590] = 1590,
  [1591] = 1591,
  [1592] = 1592,
  [1593] = 1593,
  [1594] = 1594,
  [1595] = 1595,
  [1596] = 1596,
  [1597] = 1597,
  [1598] = 1598,
  [1599] = 1599,
  [1600] = 1600,
  [1601] = 1601,
  [1602] = 1602,
  [1603] = 211,
  [1604] = 211,
  [1605] = 213,
  [1606] = 209,
  [1607] = 1607,
  [1608] = 1608,
  [1609] = 229,
  [1610] = 1610,
  [1611] = 1611,
  [1612] = 1612,
  [1613] = 1613,
  [1614] = 1614,
  [1615] = 1615,
  [1616] = 1616,
  [1617] = 1617,
  [1618] = 1618,
  [1619] = 1619,
  [1620] = 712,
  [1621] = 1621,
  [1622] = 1622,
  [1623] = 1623,
  [1624] = 213,
  [1625] = 1625,
  [1626] = 209,
  [1627] = 1627,
  [1628] = 1628,
  [1629] = 1629,
  [1630] = 1630,
  [1631] = 1631,
  [1632] = 1632,
  [1633] = 1633,
  [1634] = 1634,
  [1635] = 1635,
  [1636] = 1152,
  [1637] = 1637,
  [1638] = 1638,
  [1639] = 1639,
  [1640] = 1640,
  [1641] = 1641,
  [1642] = 1642,
  [1643] = 1643,
  [1644] = 1644,
  [1645] = 1645,
  [1646] = 1646,
  [1647] = 1647,
  [1648] = 1648,
  [1649] = 1649,
  [1650] = 1160,
  [1651] = 1651,
  [1652] = 1652,
  [1653] = 1653,
  [1654] = 1654,
  [1655] = 1655,
  [1656] = 1656,
  [1657] = 1657,
  [1658] = 1658,
  [1659] = 1659,
  [1660] = 1660,
  [1661] = 1661,
  [1662] = 1662,
  [1663] = 1663,
  [1664] = 227,
  [1665] = 1665,
  [1666] = 1666,
  [1667] = 1667,
  [1668] = 1668,
  [1669] = 1669,
  [1670] = 1670,
  [1671] = 1671,
  [1672] = 1672,
  [1673] = 1673,
  [1674] = 1674,
  [1675] = 1675,
  [1676] = 1676,
  [1677] = 1677,
  [1678] = 1678,
  [1679] = 1679,
  [1680] = 234,
  [1681] = 1681,
  [1682] = 1682,
  [1683] = 1683,
  [1684] = 1684,
  [1685] = 1685,
  [1686] = 1686,
  [1687] = 1687,
  [1688] = 1688,
  [1689] = 1689,
  [1690] = 1690,
  [1691] = 1691,
  [1692] = 1692,
  [1693] = 1693,
  [1694] = 1694,
  [1695] = 1695,
  [1696] = 1696,
  [1697] = 1697,
  [1698] = 1698,
  [1699] = 1699,
  [1700] = 1700,
  [1701] = 1701,
  [1702] = 1702,
  [1703] = 1703,
  [1704] = 1704,
  [1705] = 1705,
  [1706] = 1706,
  [1707] = 1707,
  [1708] = 1708,
  [1709] = 1709,
  [1710] = 240,
  [1711] = 241,
  [1712] = 1502,
  [1713] = 220,
  [1714] = 236,
  [1715] = 225,
  [1716] = 240,
  [1717] = 241,
  [1718] = 233,
  [1719] = 1689,
  [1720] = 1689,
  [1721] = 1689,
  [1722] = 1689,
  [1723] = 1723,
  [1724] = 1724,
  [1725] = 1725,
  [1726] = 229,
  [1727] = 1707,
  [1728] = 225,
  [1729] = 1706,
  [1730] = 226,
  [1731] = 1708,
  [1732] = 1509,
  [1733] = 1733,
  [1734] = 1510,
  [1735] = 233,
  [1736] = 1724,
  [1737] = 1506,
  [1738] = 1733,
  [1739] = 1505,
  [1740] = 1724,
  [1741] = 1741,
  [1742] = 1742,
  [1743] = 1743,
  [1744] = 1744,
  [1745] = 1745,
  [1746] = 1746,
  [1747] = 1747,
  [1748] = 1748,
  [1749] = 1749,
  [1750] = 1750,
  [1751] = 1751,
  [1752] = 227,
  [1753] = 1753,
  [1754] = 1754,
  [1755] = 1755,
  [1756] = 1756,
  [1757] = 1757,
  [1758] = 1758,
  [1759] = 1759,
  [1760] = 1760,
  [1761] = 1761,
  [1762] = 1762,
  [1763] = 1763,
  [1764] = 1764,
  [1765] = 1765,
  [1766] = 1766,
  [1767] = 1767,
  [1768] = 234,
  [1769] = 1733,
  [1770] = 220,
  [1771] = 1771,
  [1772] = 1733,
  [1773] = 1773,
  [1774] = 1724,
  [1775] = 1733,
  [1776] = 236,
  [1777] = 1724,
  [1778] = 1778,
  [1779] = 1779,
  [1780] = 1780,
  [1781] = 1781,
  [1782] = 1760,
  [1783] = 1779,
  [1784] = 1780,
  [1785] = 1785,
  [1786] = 1786,
  [1787] = 1532,
  [1788] = 1520,
  [1789] = 1744,
  [1790] = 1517,
  [1791] = 1785,
  [1792] = 1745,
  [1793] = 1706,
  [1794] = 1746,
  [1795] = 1795,
  [1796] = 1747,
  [1797] = 1645,
  [1798] = 1707,
  [1799] = 1799,
  [1800] = 1708,
  [1801] = 977,
  [1802] = 1748,
  [1803] = 1803,
  [1804] = 1749,
  [1805] = 1750,
  [1806] = 1751,
  [1807] = 1781,
  [1808] = 1753,
  [1809] = 1754,
  [1810] = 1755,
  [1811] = 1756,
  [1812] = 1757,
  [1813] = 1813,
  [1814] = 1513,
  [1815] = 1514,
  [1816] = 1761,
  [1817] = 1817,
  [1818] = 1762,
  [1819] = 1763,
  [1820] = 1764,
  [1821] = 1765,
  [1822] = 1522,
  [1823] = 1521,
  [1824] = 1824,
  [1825] = 1785,
  [1826] = 1778,
  [1827] = 1817,
  [1828] = 1758,
  [1829] = 1759,
  [1830] = 1771,
  [1831] = 1785,
  [1832] = 1519,
  [1833] = 1512,
  [1834] = 1817,
  [1835] = 1785,
  [1836] = 1741,
  [1837] = 1741,
  [1838] = 1742,
  [1839] = 1743,
  [1840] = 1744,
  [1841] = 978,
  [1842] = 1745,
  [1843] = 1746,
  [1844] = 1747,
  [1845] = 1748,
  [1846] = 1749,
  [1847] = 1750,
  [1848] = 1751,
  [1849] = 1781,
  [1850] = 1753,
  [1851] = 1754,
  [1852] = 1755,
  [1853] = 1756,
  [1854] = 1757,
  [1855] = 1758,
  [1856] = 1759,
  [1857] = 1760,
  [1858] = 1761,
  [1859] = 1762,
  [1860] = 1763,
  [1861] = 1764,
  [1862] = 1765,
  [1863] = 1767,
  [1864] = 1645,
  [1865] = 1771,
  [1866] = 1817,
  [1867] = 1526,
  [1868] = 1868,
  [1869] = 1742,
  [1870] = 1743,
  [1871] = 1871,
  [1872] = 1872,
  [1873] = 979,
  [1874] = 1767,
  [1875] = 1778,
  [1876] = 1779,
  [1877] = 1780,
  [1878] = 1532,
  [1879] = 1879,
  [1880] = 1593,
  [1881] = 1594,
  [1882] = 1599,
  [1883] = 1152,
  [1884] = 207,
  [1885] = 1885,
  [1886] = 1803,
  [1887] = 1743,
  [1888] = 1745,
  [1889] = 1779,
  [1890] = 1746,
  [1891] = 1879,
  [1892] = 1747,
  [1893] = 1646,
  [1894] = 1780,
  [1895] = 1748,
  [1896] = 1896,
  [1897] = 1749,
  [1898] = 1750,
  [1899] = 1751,
  [1900] = 1781,
  [1901] = 1753,
  [1902] = 1754,
  [1903] = 1755,
  [1904] = 1756,
  [1905] = 1648,
  [1906] = 1757,
  [1907] = 1588,
  [1908] = 1758,
  [1909] = 1628,
  [1910] = 1595,
  [1911] = 1632,
  [1912] = 1637,
  [1913] = 1759,
  [1914] = 1760,
  [1915] = 1616,
  [1916] = 1916,
  [1917] = 1879,
  [1918] = 1647,
  [1919] = 1744,
  [1920] = 1771,
  [1921] = 1672,
  [1922] = 1868,
  [1923] = 1923,
  [1924] = 1778,
  [1925] = 207,
  [1926] = 1926,
  [1927] = 1761,
  [1928] = 1928,
  [1929] = 1614,
  [1930] = 1762,
  [1931] = 1617,
  [1932] = 1706,
  [1933] = 1763,
  [1934] = 1532,
  [1935] = 1643,
  [1936] = 1645,
  [1937] = 1592,
  [1938] = 1619,
  [1939] = 1634,
  [1940] = 1940,
  [1941] = 710,
  [1942] = 1639,
  [1943] = 1641,
  [1944] = 1944,
  [1945] = 1945,
  [1946] = 1946,
  [1947] = 1947,
  [1948] = 1879,
  [1949] = 1532,
  [1950] = 1645,
  [1951] = 1545,
  [1952] = 1622,
  [1953] = 1879,
  [1954] = 1532,
  [1955] = 1645,
  [1956] = 1709,
  [1957] = 1651,
  [1958] = 1672,
  [1959] = 1764,
  [1960] = 1765,
  [1961] = 1588,
  [1962] = 1962,
  [1963] = 1621,
  [1964] = 1964,
  [1965] = 711,
  [1966] = 1580,
  [1967] = 1587,
  [1968] = 1591,
  [1969] = 1608,
  [1970] = 1970,
  [1971] = 1971,
  [1972] = 1623,
  [1973] = 1629,
  [1974] = 1618,
  [1975] = 1741,
  [1976] = 1625,
  [1977] = 1977,
  [1978] = 1631,
  [1979] = 1633,
  [1980] = 1643,
  [1981] = 1709,
  [1982] = 1592,
  [1983] = 1651,
  [1984] = 1545,
  [1985] = 1535,
  [1986] = 1544,
  [1987] = 1550,
  [1988] = 1551,
  [1989] = 1574,
  [1990] = 1575,
  [1991] = 1597,
  [1992] = 1598,
  [1993] = 1601,
  [1994] = 1602,
  [1995] = 1995,
  [1996] = 1607,
  [1997] = 1610,
  [1998] = 1611,
  [1999] = 1162,
  [2000] = 1612,
  [2001] = 1613,
  [2002] = 1615,
  [2003] = 1885,
  [2004] = 1803,
  [2005] = 1531,
  [2006] = 1536,
  [2007] = 2007,
  [2008] = 1541,
  [2009] = 1542,
  [2010] = 1548,
  [2011] = 712,
  [2012] = 1627,
  [2013] = 1630,
  [2014] = 1635,
  [2015] = 1638,
  [2016] = 2016,
  [2017] = 1640,
  [2018] = 1644,
  [2019] = 1649,
  [2020] = 1529,
  [2021] = 1532,
  [2022] = 1530,
  [2023] = 1533,
  [2024] = 1534,
  [2025] = 1539,
  [2026] = 1645,
  [2027] = 1642,
  [2028] = 2028,
  [2029] = 1540,
  [2030] = 1543,
  [2031] = 1622,
  [2032] = 1546,
  [2033] = 1547,
  [2034] = 1553,
  [2035] = 1160,
  [2036] = 1554,
  [2037] = 1555,
  [2038] = 1964,
  [2039] = 1556,
  [2040] = 1767,
  [2041] = 1552,
  [2042] = 1558,
  [2043] = 1562,
  [2044] = 1563,
  [2045] = 1742,
  [2046] = 1581,
  [2047] = 713,
  [2048] = 1868,
  [2049] = 1559,
  [2050] = 1560,
  [2051] = 1561,
  [2052] = 1564,
  [2053] = 1565,
  [2054] = 1566,
  [2055] = 1567,
  [2056] = 1568,
  [2057] = 1569,
  [2058] = 1528,
  [2059] = 1571,
  [2060] = 1572,
  [2061] = 1573,
  [2062] = 1596,
  [2063] = 1600,
  [2064] = 714,
  [2065] = 1577,
  [2066] = 1707,
  [2067] = 2067,
  [2068] = 2068,
  [2069] = 1578,
  [2070] = 2070,
  [2071] = 1582,
  [2072] = 2072,
  [2073] = 2073,
  [2074] = 1583,
  [2075] = 1584,
  [2076] = 1708,
  [2077] = 1879,
  [2078] = 1585,
  [2079] = 1586,
  [2080] = 1589,
  [2081] = 1590,
  [2082] = 1741,
  [2083] = 1742,
  [2084] = 1743,
  [2085] = 1744,
  [2086] = 1745,
  [2087] = 1746,
  [2088] = 1747,
  [2089] = 1748,
  [2090] = 1749,
  [2091] = 1750,
  [2092] = 1751,
  [2093] = 1781,
  [2094] = 1753,
  [2095] = 1754,
  [2096] = 1755,
  [2097] = 1756,
  [2098] = 1757,
  [2099] = 1758,
  [2100] = 1759,
  [2101] = 1760,
  [2102] = 1761,
  [2103] = 1762,
  [2104] = 1763,
  [2105] = 1764,
  [2106] = 1765,
  [2107] = 1767,
  [2108] = 1778,
  [2109] = 1779,
  [2110] = 1780,
  [2111] = 1771,
  [2112] = 1537,
  [2113] = 2113,
  [2114] = 1666,
  [2115] = 1661,
  [2116] = 2116,
  [2117] = 1691,
  [2118] = 218,
  [2119] = 2119,
  [2120] = 1673,
  [2121] = 1674,
  [2122] = 2122,
  [2123] = 2123,
  [2124] = 1813,
  [2125] = 1704,
  [2126] = 1651,
  [2127] = 1675,
  [2128] = 2128,
  [2129] = 221,
  [2130] = 1652,
  [2131] = 1705,
  [2132] = 223,
  [2133] = 224,
  [2134] = 1676,
  [2135] = 2135,
  [2136] = 2136,
  [2137] = 1677,
  [2138] = 2138,
  [2139] = 2139,
  [2140] = 2140,
  [2141] = 1678,
  [2142] = 1709,
  [2143] = 2143,
  [2144] = 2144,
  [2145] = 1651,
  [2146] = 2146,
  [2147] = 2147,
  [2148] = 2138,
  [2149] = 2149,
  [2150] = 2140,
  [2151] = 2151,
  [2152] = 2152,
  [2153] = 1545,
  [2154] = 1622,
  [2155] = 2155,
  [2156] = 2151,
  [2157] = 2152,
  [2158] = 1532,
  [2159] = 1645,
  [2160] = 1667,
  [2161] = 1532,
  [2162] = 1645,
  [2163] = 2151,
  [2164] = 2152,
  [2165] = 2151,
  [2166] = 2152,
  [2167] = 1668,
  [2168] = 2151,
  [2169] = 2152,
  [2170] = 1896,
  [2171] = 1662,
  [2172] = 1654,
  [2173] = 1655,
  [2174] = 2174,
  [2175] = 2175,
  [2176] = 1824,
  [2177] = 2136,
  [2178] = 2178,
  [2179] = 2179,
  [2180] = 2180,
  [2181] = 1741,
  [2182] = 2182,
  [2183] = 1742,
  [2184] = 1743,
  [2185] = 1744,
  [2186] = 1679,
  [2187] = 2187,
  [2188] = 1656,
  [2189] = 1745,
  [2190] = 1746,
  [2191] = 1747,
  [2192] = 2192,
  [2193] = 1748,
  [2194] = 2194,
  [2195] = 1749,
  [2196] = 1750,
  [2197] = 1751,
  [2198] = 1781,
  [2199] = 1753,
  [2200] = 1754,
  [2201] = 1755,
  [2202] = 1756,
  [2203] = 1757,
  [2204] = 1758,
  [2205] = 1759,
  [2206] = 1760,
  [2207] = 1761,
  [2208] = 1762,
  [2209] = 1763,
  [2210] = 1764,
  [2211] = 1765,
  [2212] = 2212,
  [2213] = 2213,
  [2214] = 2214,
  [2215] = 1767,
  [2216] = 217,
  [2217] = 232,
  [2218] = 2218,
  [2219] = 2219,
  [2220] = 2220,
  [2221] = 1868,
  [2222] = 1663,
  [2223] = 235,
  [2224] = 2224,
  [2225] = 1653,
  [2226] = 2226,
  [2227] = 2227,
  [2228] = 2228,
  [2229] = 2229,
  [2230] = 2230,
  [2231] = 2231,
  [2232] = 237,
  [2233] = 2233,
  [2234] = 1681,
  [2235] = 1682,
  [2236] = 2236,
  [2237] = 1683,
  [2238] = 1684,
  [2239] = 1685,
  [2240] = 1686,
  [2241] = 2192,
  [2242] = 1687,
  [2243] = 219,
  [2244] = 230,
  [2245] = 1688,
  [2246] = 2246,
  [2247] = 2247,
  [2248] = 2192,
  [2249] = 1868,
  [2250] = 1643,
  [2251] = 2192,
  [2252] = 1592,
  [2253] = 1651,
  [2254] = 1658,
  [2255] = 1709,
  [2256] = 2192,
  [2257] = 2257,
  [2258] = 2192,
  [2259] = 1778,
  [2260] = 1779,
  [2261] = 1780,
  [2262] = 1771,
  [2263] = 238,
  [2264] = 2264,
  [2265] = 2214,
  [2266] = 1690,
  [2267] = 2138,
  [2268] = 2140,
  [2269] = 228,
  [2270] = 1803,
  [2271] = 1672,
  [2272] = 2138,
  [2273] = 1723,
  [2274] = 2212,
  [2275] = 2140,
  [2276] = 219,
  [2277] = 230,
  [2278] = 238,
  [2279] = 1692,
  [2280] = 2280,
  [2281] = 2281,
  [2282] = 2282,
  [2283] = 2283,
  [2284] = 2284,
  [2285] = 2285,
  [2286] = 2149,
  [2287] = 2174,
  [2288] = 218,
  [2289] = 221,
  [2290] = 223,
  [2291] = 1693,
  [2292] = 1694,
  [2293] = 1695,
  [2294] = 1696,
  [2295] = 224,
  [2296] = 1659,
  [2297] = 2297,
  [2298] = 2298,
  [2299] = 2299,
  [2300] = 2281,
  [2301] = 2301,
  [2302] = 2302,
  [2303] = 2303,
  [2304] = 2304,
  [2305] = 2305,
  [2306] = 217,
  [2307] = 2282,
  [2308] = 2308,
  [2309] = 1868,
  [2310] = 2310,
  [2311] = 232,
  [2312] = 235,
  [2313] = 237,
  [2314] = 2314,
  [2315] = 1697,
  [2316] = 2316,
  [2317] = 2317,
  [2318] = 2318,
  [2319] = 2319,
  [2320] = 1669,
  [2321] = 2321,
  [2322] = 2322,
  [2323] = 2323,
  [2324] = 2324,
  [2325] = 1670,
  [2326] = 1660,
  [2327] = 1698,
  [2328] = 2128,
  [2329] = 1699,
  [2330] = 1700,
  [2331] = 1701,
  [2332] = 1702,
  [2333] = 1703,
  [2334] = 2138,
  [2335] = 2140,
  [2336] = 2336,
  [2337] = 2283,
  [2338] = 2284,
  [2339] = 2339,
  [2340] = 1588,
  [2341] = 2175,
  [2342] = 2301,
  [2343] = 2285,
  [2344] = 228,
  [2345] = 2138,
  [2346] = 2140,
  [2347] = 2192,
  [2348] = 1824,
  [2349] = 2349,
  [2350] = 1671,
  [2351] = 1709,
  [2352] = 2352,
  [2353] = 2257,
  [2354] = 1795,
  [2355] = 2194,
  [2356] = 1665,
  [2357] = 2357,
  [2358] = 2358,
  [2359] = 1588,
  [2360] = 2360,
  [2361] = 2233,
  [2362] = 1657,
  [2363] = 1764,
  [2364] = 1741,
  [2365] = 1742,
  [2366] = 1743,
  [2367] = 1744,
  [2368] = 1745,
  [2369] = 1746,
  [2370] = 1747,
  [2371] = 1748,
  [2372] = 1749,
  [2373] = 1750,
  [2374] = 1751,
  [2375] = 1781,
  [2376] = 1753,
  [2377] = 1754,
  [2378] = 1755,
  [2379] = 1756,
  [2380] = 1757,
  [2381] = 1758,
  [2382] = 1759,
  [2383] = 1760,
  [2384] = 1761,
  [2385] = 1762,
  [2386] = 1763,
  [2387] = 1765,
  [2388] = 1767,
  [2389] = 1592,
  [2390] = 239,
  [2391] = 1741,
  [2392] = 1742,
  [2393] = 1743,
  [2394] = 1744,
  [2395] = 1745,
  [2396] = 1746,
  [2397] = 1747,
  [2398] = 1748,
  [2399] = 1749,
  [2400] = 1750,
  [2401] = 1751,
  [2402] = 1781,
  [2403] = 1753,
  [2404] = 1754,
  [2405] = 1755,
  [2406] = 1756,
  [2407] = 1757,
  [2408] = 1758,
  [2409] = 1759,
  [2410] = 1760,
  [2411] = 1761,
  [2412] = 1762,
  [2413] = 1763,
  [2414] = 1764,
  [2415] = 1765,
  [2416] = 1767,
  [2417] = 2417,
  [2418] = 2418,
  [2419] = 2419,
  [2420] = 2420,
  [2421] = 2421,
  [2422] = 2323,
  [2423] = 2423,
  [2424] = 1709,
  [2425] = 1672,
  [2426] = 2426,
  [2427] = 2427,
  [2428] = 2423,
  [2429] = 2429,
  [2430] = 2419,
  [2431] = 1651,
  [2432] = 1824,
  [2433] = 2417,
  [2434] = 2434,
  [2435] = 1707,
  [2436] = 2419,
  [2437] = 2437,
  [2438] = 1545,
  [2439] = 2439,
  [2440] = 2440,
  [2441] = 2441,
  [2442] = 2434,
  [2443] = 2443,
  [2444] = 1622,
  [2445] = 2445,
  [2446] = 2446,
  [2447] = 2447,
  [2448] = 2448,
  [2449] = 1706,
  [2450] = 1778,
  [2451] = 1643,
  [2452] = 1780,
  [2453] = 1771,
  [2454] = 1707,
  [2455] = 2455,
  [2456] = 2456,
  [2457] = 2457,
  [2458] = 1778,
  [2459] = 1779,
  [2460] = 1780,
  [2461] = 1771,
  [2462] = 2462,
  [2463] = 1708,
  [2464] = 1532,
  [2465] = 1799,
  [2466] = 1645,
  [2467] = 2467,
  [2468] = 1622,
  [2469] = 2469,
  [2470] = 239,
  [2471] = 2419,
  [2472] = 1896,
  [2473] = 2473,
  [2474] = 2474,
  [2475] = 2475,
  [2476] = 2476,
  [2477] = 2419,
  [2478] = 2420,
  [2479] = 2455,
  [2480] = 1813,
  [2481] = 2481,
  [2482] = 1868,
  [2483] = 2419,
  [2484] = 2481,
  [2485] = 2485,
  [2486] = 1896,
  [2487] = 1868,
  [2488] = 2488,
  [2489] = 1795,
  [2490] = 1741,
  [2491] = 1742,
  [2492] = 1743,
  [2493] = 1744,
  [2494] = 1745,
  [2495] = 1746,
  [2496] = 1747,
  [2497] = 1748,
  [2498] = 1749,
  [2499] = 1750,
  [2500] = 1751,
  [2501] = 1781,
  [2502] = 1753,
  [2503] = 1754,
  [2504] = 1755,
  [2505] = 1756,
  [2506] = 1757,
  [2507] = 1758,
  [2508] = 1759,
  [2509] = 1760,
  [2510] = 1761,
  [2511] = 1762,
  [2512] = 1763,
  [2513] = 1764,
  [2514] = 1765,
  [2515] = 1767,
  [2516] = 1545,
  [2517] = 1588,
  [2518] = 1778,
  [2519] = 1779,
  [2520] = 1780,
  [2521] = 1771,
  [2522] = 2522,
  [2523] = 2473,
  [2524] = 1672,
  [2525] = 1868,
  [2526] = 1588,
  [2527] = 1868,
  [2528] = 1779,
  [2529] = 1757,
  [2530] = 2530,
  [2531] = 2531,
  [2532] = 2532,
  [2533] = 2533,
  [2534] = 1545,
  [2535] = 2535,
  [2536] = 2536,
  [2537] = 2537,
  [2538] = 2538,
  [2539] = 1622,
  [2540] = 2540,
  [2541] = 2541,
  [2542] = 2542,
  [2543] = 1778,
  [2544] = 1779,
  [2545] = 1780,
  [2546] = 1771,
  [2547] = 1709,
  [2548] = 2548,
  [2549] = 2549,
  [2550] = 1741,
  [2551] = 2551,
  [2552] = 2552,
  [2553] = 2538,
  [2554] = 1742,
  [2555] = 1743,
  [2556] = 1744,
  [2557] = 1745,
  [2558] = 1746,
  [2559] = 2559,
  [2560] = 1747,
  [2561] = 1748,
  [2562] = 2562,
  [2563] = 1749,
  [2564] = 1651,
  [2565] = 2538,
  [2566] = 1750,
  [2567] = 1751,
  [2568] = 1781,
  [2569] = 1753,
  [2570] = 1754,
  [2571] = 1755,
  [2572] = 2538,
  [2573] = 2573,
  [2574] = 1707,
  [2575] = 2538,
  [2576] = 1708,
  [2577] = 1756,
  [2578] = 1758,
  [2579] = 2538,
  [2580] = 1759,
  [2581] = 2538,
  [2582] = 1588,
  [2583] = 2583,
  [2584] = 2584,
  [2585] = 2585,
  [2586] = 1760,
  [2587] = 1813,
  [2588] = 1761,
  [2589] = 2538,
  [2590] = 2590,
  [2591] = 2591,
  [2592] = 977,
  [2593] = 1896,
  [2594] = 1762,
  [2595] = 1763,
  [2596] = 2538,
  [2597] = 1672,
  [2598] = 1764,
  [2599] = 2599,
  [2600] = 2600,
  [2601] = 2601,
  [2602] = 978,
  [2603] = 1868,
  [2604] = 979,
  [2605] = 2600,
  [2606] = 1672,
  [2607] = 1765,
  [2608] = 1767,
  [2609] = 2609,
  [2610] = 2538,
  [2611] = 2611,
  [2612] = 1706,
  [2613] = 2613,
  [2614] = 2614,
  [2615] = 2615,
  [2616] = 2616,
  [2617] = 2617,
  [2618] = 2151,
  [2619] = 2151,
  [2620] = 2152,
  [2621] = 2151,
  [2622] = 2152,
  [2623] = 2623,
  [2624] = 2624,
  [2625] = 2475,
  [2626] = 2626,
  [2627] = 2627,
  [2628] = 2152,
  [2629] = 2629,
  [2630] = 2152,
  [2631] = 1824,
  [2632] = 2632,
  [2633] = 2633,
  [2634] = 2151,
  [2635] = 2152,
  [2636] = 2636,
  [2637] = 2637,
  [2638] = 2615,
  [2639] = 2639,
  [2640] = 2640,
  [2641] = 2151,
  [2642] = 2642,
  [2643] = 2643,
  [2644] = 2644,
  [2645] = 2645,
  [2646] = 1588,
  [2647] = 2647,
  [2648] = 1588,
  [2649] = 1588,
  [2650] = 2152,
  [2651] = 2151,
  [2652] = 2652,
  [2653] = 2653,
  [2654] = 2654,
  [2655] = 226,
  [2656] = 2656,
  [2657] = 226,
  [2658] = 2658,
  [2659] = 2659,
  [2660] = 2654,
  [2661] = 2661,
  [2662] = 229,
  [2663] = 1299,
  [2664] = 2664,
  [2665] = 2654,
  [2666] = 2654,
  [2667] = 2654,
  [2668] = 2668,
  [2669] = 2669,
  [2670] = 2670,
  [2671] = 2671,
  [2672] = 2672,
  [2673] = 2673,
  [2674] = 2674,
  [2675] = 2675,
  [2676] = 2676,
  [2677] = 2677,
  [2678] = 2678,
  [2679] = 2654,
  [2680] = 2680,
  [2681] = 2681,
  [2682] = 2682,
  [2683] = 2683,
  [2684] = 2684,
  [2685] = 2685,
  [2686] = 1621,
  [2687] = 2687,
  [2688] = 2688,
  [2689] = 2689,
  [2690] = 2690,
  [2691] = 2691,
  [2692] = 2692,
  [2693] = 2693,
  [2694] = 225,
  [2695] = 229,
  [2696] = 2696,
  [2697] = 2697,
  [2698] = 2698,
  [2699] = 2699,
  [2700] = 2654,
  [2701] = 233,
  [2702] = 2702,
  [2703] = 2703,
  [2704] = 2704,
  [2705] = 2705,
  [2706] = 2654,
  [2707] = 2707,
  [2708] = 1247,
  [2709] = 2709,
  [2710] = 2710,
  [2711] = 2711,
  [2712] = 2712,
  [2713] = 2654,
  [2714] = 2654,
  [2715] = 2715,
  [2716] = 2716,
  [2717] = 2717,
  [2718] = 2718,
  [2719] = 2535,
  [2720] = 1642,
  [2721] = 2721,
  [2722] = 2722,
  [2723] = 2723,
  [2724] = 2533,
  [2725] = 2725,
  [2726] = 233,
  [2727] = 225,
  [2728] = 2728,
  [2729] = 2729,
  [2730] = 2730,
  [2731] = 2264,
  [2732] = 2732,
  [2733] = 2733,
  [2734] = 2734,
  [2735] = 2220,
  [2736] = 2736,
  [2737] = 2231,
  [2738] = 2738,
  [2739] = 2122,
  [2740] = 2740,
  [2741] = 2741,
  [2742] = 2742,
  [2743] = 2462,
  [2744] = 2744,
  [2745] = 2473,
  [2746] = 2746,
  [2747] = 2429,
  [2748] = 1262,
  [2749] = 2488,
  [2750] = 2750,
  [2751] = 2751,
  [2752] = 2474,
  [2753] = 2753,
  [2754] = 2473,
  [2755] = 2455,
  [2756] = 2481,
  [2757] = 2750,
  [2758] = 2485,
  [2759] = 2420,
  [2760] = 2437,
  [2761] = 2761,
  [2762] = 2418,
  [2763] = 2481,
  [2764] = 2426,
  [2765] = 2447,
  [2766] = 2455,
  [2767] = 2426,
  [2768] = 2474,
  [2769] = 2485,
  [2770] = 2447,
  [2771] = 2751,
  [2772] = 2420,
  [2773] = 2773,
  [2774] = 2774,
  [2775] = 2775,
  [2776] = 2776,
  [2777] = 2777,
  [2778] = 2778,
  [2779] = 2775,
  [2780] = 2776,
  [2781] = 2781,
  [2782] = 2782,
  [2783] = 2783,
  [2784] = 2778,
  [2785] = 2785,
  [2786] = 2778,
  [2787] = 2787,
  [2788] = 2785,
  [2789] = 2774,
  [2790] = 2777,
  [2791] = 2791,
  [2792] = 2791,
  [2793] = 2793,
  [2794] = 2794,
  [2795] = 2795,
  [2796] = 1284,
  [2797] = 2797,
  [2798] = 2798,
  [2799] = 2799,
  [2800] = 2800,
  [2801] = 2801,
  [2802] = 1266,
  [2803] = 2427,
  [2804] = 2804,
  [2805] = 2805,
  [2806] = 2806,
  [2807] = 2807,
  [2808] = 1297,
  [2809] = 2809,
  [2810] = 2810,
  [2811] = 1286,
  [2812] = 1253,
  [2813] = 2813,
  [2814] = 2814,
  [2815] = 2815,
  [2816] = 2816,
  [2817] = 2817,
  [2818] = 2818,
  [2819] = 2819,
  [2820] = 2820,
  [2821] = 2821,
  [2822] = 2822,
  [2823] = 2823,
  [2824] = 2824,
  [2825] = 2825,
  [2826] = 2826,
  [2827] = 2823,
  [2828] = 2828,
  [2829] = 2829,
  [2830] = 2830,
  [2831] = 2818,
  [2832] = 2832,
  [2833] = 2833,
  [2834] = 2834,
  [2835] = 2835,
  [2836] = 2828,
  [2837] = 2837,
  [2838] = 2838,
  [2839] = 2839,
  [2840] = 2840,
  [2841] = 2841,
  [2842] = 2842,
  [2843] = 2843,
  [2844] = 2844,
  [2845] = 2845,
  [2846] = 2846,
  [2847] = 2847,
  [2848] = 2848,
  [2849] = 2849,
  [2850] = 2850,
  [2851] = 2851,
  [2852] = 2852,
  [2853] = 2839,
  [2854] = 2854,
  [2855] = 2850,
  [2856] = 2830,
  [2857] = 2857,
  [2858] = 2824,
  [2859] = 2826,
  [2860] = 2835,
  [2861] = 2834,
  [2862] = 2851,
  [2863] = 2863,
  [2864] = 2819,
  [2865] = 2865,
  [2866] = 2866,
  [2867] = 2867,
  [2868] = 2868,
  [2869] = 2869,
  [2870] = 2870,
  [2871] = 2871,
  [2872] = 2872,
  [2873] = 2873,
  [2874] = 2874,
  [2875] = 2875,
  [2876] = 2876,
  [2877] = 2877,
  [2878] = 2878,
  [2879] = 2879,
  [2880] = 1505,
  [2881] = 1509,
  [2882] = 1506,
  [2883] = 1640,
  [2884] = 1638,
  [2885] = 1644,
  [2886] = 1649,
  [2887] = 1529,
  [2888] = 1530,
  [2889] = 1533,
  [2890] = 1534,
  [2891] = 1539,
  [2892] = 1540,
  [2893] = 1543,
  [2894] = 1578,
  [2895] = 1569,
  [2896] = 1590,
  [2897] = 1593,
  [2898] = 1567,
  [2899] = 1582,
  [2900] = 1635,
  [2901] = 1583,
  [2902] = 1584,
  [2903] = 1568,
  [2904] = 1585,
  [2905] = 1559,
  [2906] = 1560,
  [2907] = 1577,
  [2908] = 1561,
  [2909] = 1564,
  [2910] = 1565,
  [2911] = 1586,
  [2912] = 1589,
  [2913] = 1566,
  [2914] = 1627,
  [2915] = 1630,
  [2916] = 1528,
  [2917] = 243,
  [2918] = 244,
  [2919] = 1580,
  [2920] = 1510,
  [2921] = 1607,
  [2922] = 1623,
  [2923] = 1610,
  [2924] = 1631,
  [2925] = 1611,
  [2926] = 1505,
  [2927] = 1618,
  [2928] = 2928,
  [2929] = 1575,
  [2930] = 1551,
  [2931] = 1506,
  [2932] = 1597,
  [2933] = 1574,
  [2934] = 1517,
  [2935] = 1591,
  [2936] = 1602,
  [2937] = 1509,
  [2938] = 1600,
  [2939] = 1522,
  [2940] = 1581,
  [2941] = 1521,
  [2942] = 1526,
  [2943] = 1520,
  [2944] = 1648,
  [2945] = 2945,
  [2946] = 1590,
  [2947] = 1593,
  [2948] = 1596,
  [2949] = 2949,
  [2950] = 2950,
  [2951] = 2945,
  [2952] = 2952,
  [2953] = 1614,
  [2954] = 1587,
  [2955] = 1509,
  [2956] = 1506,
  [2957] = 1505,
  [2958] = 2958,
  [2959] = 2949,
  [2960] = 2950,
  [2961] = 2952,
  [2962] = 1558,
  [2963] = 1627,
  [2964] = 1608,
  [2965] = 1630,
  [2966] = 1629,
  [2967] = 1635,
  [2968] = 1638,
  [2969] = 2958,
  [2970] = 1640,
  [2971] = 1644,
  [2972] = 1649,
  [2973] = 1529,
  [2974] = 1628,
  [2975] = 1530,
  [2976] = 1533,
  [2977] = 2949,
  [2978] = 2950,
  [2979] = 2945,
  [2980] = 2952,
  [2981] = 1534,
  [2982] = 1539,
  [2983] = 1540,
  [2984] = 2958,
  [2985] = 1633,
  [2986] = 1543,
  [2987] = 2949,
  [2988] = 2950,
  [2989] = 2945,
  [2990] = 2952,
  [2991] = 1594,
  [2992] = 2949,
  [2993] = 1563,
  [2994] = 2950,
  [2995] = 1548,
  [2996] = 2945,
  [2997] = 1571,
  [2998] = 1572,
  [2999] = 2952,
  [3000] = 1542,
  [3001] = 2958,
  [3002] = 1546,
  [3003] = 1547,
  [3004] = 1554,
  [3005] = 1555,
  [3006] = 2958,
  [3007] = 1559,
  [3008] = 1560,
  [3009] = 1561,
  [3010] = 2958,
  [3011] = 1564,
  [3012] = 2958,
  [3013] = 1619,
  [3014] = 1595,
  [3015] = 1625,
  [3016] = 1535,
  [3017] = 1544,
  [3018] = 1616,
  [3019] = 1565,
  [3020] = 1550,
  [3021] = 1566,
  [3022] = 1567,
  [3023] = 1568,
  [3024] = 1569,
  [3025] = 1598,
  [3026] = 1528,
  [3027] = 1510,
  [3028] = 1577,
  [3029] = 1531,
  [3030] = 1612,
  [3031] = 1647,
  [3032] = 1536,
  [3033] = 2958,
  [3034] = 1578,
  [3035] = 1615,
  [3036] = 2958,
  [3037] = 2958,
  [3038] = 1582,
  [3039] = 1583,
  [3040] = 1584,
  [3041] = 1541,
  [3042] = 1634,
  [3043] = 1585,
  [3044] = 1586,
  [3045] = 1589,
  [3046] = 1573,
  [3047] = 3047,
  [3048] = 3048,
  [3049] = 3048,
  [3050] = 3050,
  [3051] = 3051,
  [3052] = 3048,
  [3053] = 3053,
  [3054] = 3054,
  [3055] = 3055,
  [3056] = 3056,
  [3057] = 3053,
  [3058] = 3058,
  [3059] = 3059,
  [3060] = 1513,
  [3061] = 3048,
  [3062] = 1514,
  [3063] = 3063,
  [3064] = 3048,
  [3065] = 3048,
  [3066] = 3066,
  [3067] = 3067,
  [3068] = 3068,
  [3069] = 3053,
  [3070] = 3070,
  [3071] = 3071,
  [3072] = 3072,
  [3073] = 1526,
  [3074] = 3074,
  [3075] = 3053,
  [3076] = 3076,
  [3077] = 3077,
  [3078] = 3078,
  [3079] = 3079,
  [3080] = 3080,
  [3081] = 3053,
  [3082] = 1517,
  [3083] = 1519,
  [3084] = 3084,
  [3085] = 3085,
  [3086] = 3086,
  [3087] = 3048,
  [3088] = 1602,
  [3089] = 1584,
  [3090] = 1585,
  [3091] = 1586,
  [3092] = 1589,
  [3093] = 1590,
  [3094] = 1593,
  [3095] = 1627,
  [3096] = 1630,
  [3097] = 1635,
  [3098] = 3098,
  [3099] = 3099,
  [3100] = 1510,
  [3101] = 1638,
  [3102] = 1552,
  [3103] = 978,
  [3104] = 1597,
  [3105] = 1540,
  [3106] = 1591,
  [3107] = 3107,
  [3108] = 3108,
  [3109] = 1640,
  [3110] = 3110,
  [3111] = 1644,
  [3112] = 1553,
  [3113] = 1649,
  [3114] = 1529,
  [3115] = 1607,
  [3116] = 1560,
  [3117] = 3117,
  [3118] = 1561,
  [3119] = 1610,
  [3120] = 1611,
  [3121] = 1601,
  [3122] = 1564,
  [3123] = 1631,
  [3124] = 3124,
  [3125] = 1623,
  [3126] = 1530,
  [3127] = 1533,
  [3128] = 1580,
  [3129] = 1613,
  [3130] = 1539,
  [3131] = 1521,
  [3132] = 1565,
  [3133] = 3133,
  [3134] = 979,
  [3135] = 3135,
  [3136] = 1551,
  [3137] = 1566,
  [3138] = 1639,
  [3139] = 1641,
  [3140] = 1567,
  [3141] = 1574,
  [3142] = 1568,
  [3143] = 977,
  [3144] = 1569,
  [3145] = 1537,
  [3146] = 1575,
  [3147] = 1528,
  [3148] = 1543,
  [3149] = 1556,
  [3150] = 1559,
  [3151] = 1577,
  [3152] = 1578,
  [3153] = 1562,
  [3154] = 1618,
  [3155] = 1582,
  [3156] = 3156,
  [3157] = 1583,
  [3158] = 3158,
  [3159] = 1599,
  [3160] = 1534,
  [3161] = 243,
  [3162] = 3162,
  [3163] = 3163,
  [3164] = 1581,
  [3165] = 3165,
  [3166] = 3166,
  [3167] = 3167,
  [3168] = 1152,
  [3169] = 1600,
  [3170] = 3170,
  [3171] = 1509,
  [3172] = 1506,
  [3173] = 3173,
  [3174] = 1505,
  [3175] = 1513,
  [3176] = 3176,
  [3177] = 3177,
  [3178] = 3178,
  [3179] = 3179,
  [3180] = 3180,
  [3181] = 3181,
  [3182] = 1162,
  [3183] = 3183,
  [3184] = 1514,
  [3185] = 3185,
  [3186] = 1519,
  [3187] = 3187,
  [3188] = 3188,
  [3189] = 3189,
  [3190] = 1160,
  [3191] = 3191,
  [3192] = 3192,
  [3193] = 3193,
  [3194] = 3194,
  [3195] = 3195,
  [3196] = 3196,
  [3197] = 3197,
  [3198] = 3198,
  [3199] = 3199,
  [3200] = 1526,
  [3201] = 3201,
  [3202] = 3202,
  [3203] = 3203,
  [3204] = 3198,
  [3205] = 244,
  [3206] = 3206,
  [3207] = 3207,
  [3208] = 1522,
  [3209] = 1648,
  [3210] = 3198,
  [3211] = 3198,
  [3212] = 3198,
  [3213] = 1520,
  [3214] = 3214,
  [3215] = 3215,
  [3216] = 3216,
  [3217] = 1517,
  [3218] = 3218,
  [3219] = 3219,
  [3220] = 3220,
  [3221] = 1623,
  [3222] = 1633,
  [3223] = 1594,
  [3224] = 1599,
  [3225] = 1612,
  [3226] = 1613,
  [3227] = 1580,
  [3228] = 1615,
  [3229] = 1634,
  [3230] = 1551,
  [3231] = 1591,
  [3232] = 979,
  [3233] = 1536,
  [3234] = 1574,
  [3235] = 1639,
  [3236] = 3236,
  [3237] = 712,
  [3238] = 1537,
  [3239] = 1596,
  [3240] = 977,
  [3241] = 1575,
  [3242] = 1541,
  [3243] = 1597,
  [3244] = 711,
  [3245] = 1602,
  [3246] = 1607,
  [3247] = 1542,
  [3248] = 1587,
  [3249] = 1610,
  [3250] = 1510,
  [3251] = 1548,
  [3252] = 1521,
  [3253] = 3253,
  [3254] = 1552,
  [3255] = 1608,
  [3256] = 1558,
  [3257] = 1629,
  [3258] = 1562,
  [3259] = 1535,
  [3260] = 1546,
  [3261] = 978,
  [3262] = 1547,
  [3263] = 1544,
  [3264] = 1563,
  [3265] = 1614,
  [3266] = 1571,
  [3267] = 1572,
  [3268] = 1619,
  [3269] = 1625,
  [3270] = 1641,
  [3271] = 1573,
  [3272] = 1628,
  [3273] = 1595,
  [3274] = 1616,
  [3275] = 1647,
  [3276] = 1550,
  [3277] = 1553,
  [3278] = 3278,
  [3279] = 3279,
  [3280] = 1554,
  [3281] = 714,
  [3282] = 3220,
  [3283] = 1598,
  [3284] = 713,
  [3285] = 1555,
  [3286] = 1601,
  [3287] = 1618,
  [3288] = 1531,
  [3289] = 1556,
  [3290] = 1631,
  [3291] = 710,
  [3292] = 1611,
  [3293] = 3293,
  [3294] = 3294,
  [3295] = 1648,
  [3296] = 1520,
  [3297] = 1600,
  [3298] = 3298,
  [3299] = 3299,
  [3300] = 1581,
  [3301] = 3301,
  [3302] = 3302,
  [3303] = 3303,
  [3304] = 3304,
  [3305] = 1522,
  [3306] = 1513,
  [3307] = 3307,
  [3308] = 3308,
  [3309] = 3309,
  [3310] = 3310,
  [3311] = 3311,
  [3312] = 3312,
  [3313] = 3294,
  [3314] = 3310,
  [3315] = 1526,
  [3316] = 1519,
  [3317] = 1510,
  [3318] = 1514,
  [3319] = 3293,
  [3320] = 3302,
  [3321] = 3294,
  [3322] = 3322,
  [3323] = 3293,
  [3324] = 3324,
  [3325] = 3325,
  [3326] = 3326,
  [3327] = 3327,
  [3328] = 711,
  [3329] = 3329,
  [3330] = 3330,
  [3331] = 3331,
  [3332] = 1639,
  [3333] = 1162,
  [3334] = 1526,
  [3335] = 3335,
  [3336] = 1558,
  [3337] = 1641,
  [3338] = 3338,
  [3339] = 3339,
  [3340] = 3340,
  [3341] = 3341,
  [3342] = 1571,
  [3343] = 1612,
  [3344] = 1572,
  [3345] = 3345,
  [3346] = 1573,
  [3347] = 714,
  [3348] = 3348,
  [3349] = 3349,
  [3350] = 1613,
  [3351] = 3198,
  [3352] = 1615,
  [3353] = 3198,
  [3354] = 1596,
  [3355] = 3355,
  [3356] = 712,
  [3357] = 3357,
  [3358] = 1594,
  [3359] = 1599,
  [3360] = 3198,
  [3361] = 3361,
  [3362] = 243,
  [3363] = 3363,
  [3364] = 3364,
  [3365] = 3307,
  [3366] = 1614,
  [3367] = 3367,
  [3368] = 3368,
  [3369] = 1619,
  [3370] = 3370,
  [3371] = 1562,
  [3372] = 244,
  [3373] = 1517,
  [3374] = 1625,
  [3375] = 3312,
  [3376] = 3376,
  [3377] = 3377,
  [3378] = 1152,
  [3379] = 3379,
  [3380] = 1535,
  [3381] = 3381,
  [3382] = 3361,
  [3383] = 3301,
  [3384] = 1628,
  [3385] = 1595,
  [3386] = 3386,
  [3387] = 1152,
  [3388] = 1616,
  [3389] = 1647,
  [3390] = 3390,
  [3391] = 3381,
  [3392] = 3392,
  [3393] = 3393,
  [3394] = 1587,
  [3395] = 3395,
  [3396] = 1162,
  [3397] = 3397,
  [3398] = 3398,
  [3399] = 1160,
  [3400] = 3400,
  [3401] = 1544,
  [3402] = 1550,
  [3403] = 3403,
  [3404] = 1548,
  [3405] = 3405,
  [3406] = 3406,
  [3407] = 3198,
  [3408] = 3386,
  [3409] = 3409,
  [3410] = 3410,
  [3411] = 3411,
  [3412] = 1552,
  [3413] = 3413,
  [3414] = 3198,
  [3415] = 1608,
  [3416] = 3416,
  [3417] = 3417,
  [3418] = 3418,
  [3419] = 3381,
  [3420] = 3420,
  [3421] = 3421,
  [3422] = 1546,
  [3423] = 1547,
  [3424] = 3424,
  [3425] = 3425,
  [3426] = 1553,
  [3427] = 3427,
  [3428] = 3198,
  [3429] = 1160,
  [3430] = 3430,
  [3431] = 3431,
  [3432] = 1554,
  [3433] = 3433,
  [3434] = 1555,
  [3435] = 3435,
  [3436] = 3420,
  [3437] = 1563,
  [3438] = 3438,
  [3439] = 1629,
  [3440] = 3440,
  [3441] = 1247,
  [3442] = 1556,
  [3443] = 3392,
  [3444] = 3444,
  [3445] = 710,
  [3446] = 3446,
  [3447] = 1598,
  [3448] = 3420,
  [3449] = 1601,
  [3450] = 3450,
  [3451] = 1634,
  [3452] = 3395,
  [3453] = 3376,
  [3454] = 3454,
  [3455] = 3363,
  [3456] = 3456,
  [3457] = 3457,
  [3458] = 713,
  [3459] = 3459,
  [3460] = 3460,
  [3461] = 3461,
  [3462] = 1633,
  [3463] = 1531,
  [3464] = 1536,
  [3465] = 3465,
  [3466] = 1537,
  [3467] = 1541,
  [3468] = 3468,
  [3469] = 1542,
  [3470] = 3470,
  [3471] = 3471,
  [3472] = 3472,
  [3473] = 3473,
  [3474] = 3471,
  [3475] = 3475,
  [3476] = 3476,
  [3477] = 211,
  [3478] = 3478,
  [3479] = 3471,
  [3480] = 3220,
  [3481] = 3481,
  [3482] = 3482,
  [3483] = 3483,
  [3484] = 213,
  [3485] = 3485,
  [3486] = 1519,
  [3487] = 3487,
  [3488] = 3483,
  [3489] = 3483,
  [3490] = 3483,
  [3491] = 3483,
  [3492] = 3471,
  [3493] = 3493,
  [3494] = 1521,
  [3495] = 3483,
  [3496] = 1514,
  [3497] = 977,
  [3498] = 3498,
  [3499] = 3499,
  [3500] = 3483,
  [3501] = 3312,
  [3502] = 3502,
  [3503] = 3503,
  [3504] = 3471,
  [3505] = 3475,
  [3506] = 978,
  [3507] = 3483,
  [3508] = 3508,
  [3509] = 3471,
  [3510] = 979,
  [3511] = 1513,
  [3512] = 3512,
  [3513] = 3513,
  [3514] = 3514,
  [3515] = 3515,
  [3516] = 3516,
  [3517] = 3517,
  [3518] = 3518,
  [3519] = 3519,
  [3520] = 3520,
  [3521] = 3521,
  [3522] = 3522,
  [3523] = 3523,
  [3524] = 3524,
  [3525] = 3525,
  [3526] = 3526,
  [3527] = 3527,
  [3528] = 3528,
  [3529] = 3529,
  [3530] = 209,
  [3531] = 3531,
  [3532] = 3532,
  [3533] = 3533,
  [3534] = 240,
  [3535] = 241,
  [3536] = 3536,
  [3537] = 3537,
  [3538] = 3538,
  [3539] = 3539,
  [3540] = 3540,
  [3541] = 3541,
  [3542] = 3513,
  [3543] = 3543,
  [3544] = 3544,
  [3545] = 3545,
  [3546] = 3546,
  [3547] = 3547,
  [3548] = 3544,
  [3549] = 3512,
  [3550] = 3550,
  [3551] = 3551,
  [3552] = 3552,
  [3553] = 3553,
  [3554] = 3554,
  [3555] = 3555,
  [3556] = 3556,
  [3557] = 3557,
  [3558] = 3558,
  [3559] = 3559,
  [3560] = 3560,
  [3561] = 3518,
  [3562] = 3521,
  [3563] = 3533,
  [3564] = 3564,
  [3565] = 3565,
  [3566] = 3566,
  [3567] = 3567,
  [3568] = 3568,
  [3569] = 3569,
  [3570] = 3570,
  [3571] = 1519,
  [3572] = 3572,
  [3573] = 3573,
  [3574] = 3574,
  [3575] = 3575,
  [3576] = 3576,
  [3577] = 3577,
  [3578] = 3578,
  [3579] = 3335,
  [3580] = 3580,
  [3581] = 3581,
  [3582] = 3582,
  [3583] = 3379,
  [3584] = 3584,
  [3585] = 3585,
  [3586] = 3586,
  [3587] = 3553,
  [3588] = 3588,
  [3589] = 3589,
  [3590] = 3590,
  [3591] = 3591,
  [3592] = 3553,
  [3593] = 3593,
  [3594] = 3557,
  [3595] = 3595,
  [3596] = 3596,
  [3597] = 3566,
  [3598] = 3573,
  [3599] = 3599,
  [3600] = 3600,
  [3601] = 3601,
  [3602] = 3602,
  [3603] = 3557,
  [3604] = 3566,
  [3605] = 3605,
  [3606] = 3606,
  [3607] = 3607,
  [3608] = 3608,
  [3609] = 3330,
  [3610] = 3348,
  [3611] = 3611,
  [3612] = 3410,
  [3613] = 3613,
  [3614] = 3557,
  [3615] = 3566,
  [3616] = 3566,
  [3617] = 3551,
  [3618] = 3618,
  [3619] = 3619,
  [3620] = 3557,
  [3621] = 3621,
  [3622] = 3557,
  [3623] = 3566,
  [3624] = 3624,
  [3625] = 3625,
  [3626] = 3626,
  [3627] = 3593,
  [3628] = 3569,
  [3629] = 3629,
  [3630] = 3630,
  [3631] = 3631,
  [3632] = 3632,
  [3633] = 3624,
  [3634] = 3557,
  [3635] = 3635,
  [3636] = 3636,
  [3637] = 3637,
  [3638] = 3638,
  [3639] = 3573,
  [3640] = 3640,
  [3641] = 1513,
  [3642] = 3642,
  [3643] = 1514,
  [3644] = 3644,
  [3645] = 1601,
  [3646] = 1613,
  [3647] = 3647,
  [3648] = 3648,
  [3649] = 1553,
  [3650] = 1556,
  [3651] = 1639,
  [3652] = 1641,
  [3653] = 3653,
  [3654] = 3654,
  [3655] = 3655,
  [3656] = 1599,
  [3657] = 3574,
  [3658] = 3279,
  [3659] = 3545,
  [3660] = 3575,
  [3661] = 3661,
  [3662] = 3662,
  [3663] = 3663,
  [3664] = 3664,
  [3665] = 3665,
  [3666] = 3666,
  [3667] = 3667,
  [3668] = 3668,
  [3669] = 3669,
  [3670] = 3670,
  [3671] = 3671,
  [3672] = 3672,
  [3673] = 3673,
  [3674] = 3674,
  [3675] = 3675,
  [3676] = 3676,
  [3677] = 3677,
  [3678] = 3678,
  [3679] = 3679,
  [3680] = 3680,
  [3681] = 3681,
  [3682] = 3682,
  [3683] = 3683,
  [3684] = 3684,
  [3685] = 3685,
  [3686] = 3686,
  [3687] = 3687,
  [3688] = 3688,
  [3689] = 3689,
  [3690] = 3690,
  [3691] = 3691,
  [3692] = 3692,
  [3693] = 3693,
  [3694] = 3694,
  [3695] = 3299,
  [3696] = 3696,
  [3697] = 3697,
  [3698] = 3698,
  [3699] = 3699,
  [3700] = 3700,
  [3701] = 3701,
  [3702] = 3557,
  [3703] = 3703,
  [3704] = 3704,
  [3705] = 3705,
  [3706] = 3706,
  [3707] = 3707,
  [3708] = 3708,
  [3709] = 3709,
  [3710] = 3710,
  [3711] = 3711,
  [3712] = 3712,
  [3713] = 3713,
  [3714] = 3714,
  [3715] = 3715,
  [3716] = 3716,
  [3717] = 3717,
  [3718] = 3718,
  [3719] = 3626,
  [3720] = 3720,
  [3721] = 3576,
  [3722] = 3722,
  [3723] = 3630,
  [3724] = 3679,
  [3725] = 3685,
  [3726] = 3726,
  [3727] = 3727,
  [3728] = 1537,
  [3729] = 1552,
  [3730] = 1562,
  [3731] = 3731,
  [3732] = 3732,
  [3733] = 3733,
  [3734] = 3734,
  [3735] = 3735,
  [3736] = 3736,
  [3737] = 3737,
  [3738] = 3679,
  [3739] = 3739,
  [3740] = 3685,
  [3741] = 3741,
  [3742] = 3742,
  [3743] = 3743,
  [3744] = 3744,
  [3745] = 3745,
  [3746] = 3746,
  [3747] = 3747,
  [3748] = 3748,
  [3749] = 3749,
  [3750] = 3750,
  [3751] = 3751,
  [3752] = 3752,
  [3753] = 3753,
  [3754] = 3566,
  [3755] = 3755,
  [3756] = 3756,
  [3757] = 3757,
  [3758] = 3758,
  [3759] = 3759,
  [3760] = 3760,
  [3761] = 3755,
  [3762] = 3762,
  [3763] = 3756,
  [3764] = 3759,
  [3765] = 3765,
  [3766] = 3766,
  [3767] = 3756,
  [3768] = 3768,
  [3769] = 3769,
  [3770] = 3770,
  [3771] = 3771,
  [3772] = 3682,
  [3773] = 3773,
  [3774] = 3774,
  [3775] = 3775,
  [3776] = 3696,
  [3777] = 3777,
  [3778] = 3759,
  [3779] = 3779,
  [3780] = 3780,
  [3781] = 3781,
  [3782] = 1601,
  [3783] = 3756,
  [3784] = 3759,
  [3785] = 1613,
  [3786] = 3786,
  [3787] = 3766,
  [3788] = 3779,
  [3789] = 3789,
  [3790] = 3636,
  [3791] = 3791,
  [3792] = 3792,
  [3793] = 710,
  [3794] = 711,
  [3795] = 3638,
  [3796] = 3236,
  [3797] = 3797,
  [3798] = 3798,
  [3799] = 3799,
  [3800] = 3762,
  [3801] = 712,
  [3802] = 3722,
  [3803] = 3640,
  [3804] = 3779,
  [3805] = 3792,
  [3806] = 3766,
  [3807] = 3780,
  [3808] = 1553,
  [3809] = 3756,
  [3810] = 1556,
  [3811] = 3759,
  [3812] = 1639,
  [3813] = 3766,
  [3814] = 1641,
  [3815] = 3686,
  [3816] = 3687,
  [3817] = 3817,
  [3818] = 3689,
  [3819] = 713,
  [3820] = 3766,
  [3821] = 3821,
  [3822] = 3780,
  [3823] = 3779,
  [3824] = 3824,
  [3825] = 3825,
  [3826] = 3780,
  [3827] = 3680,
  [3828] = 3704,
  [3829] = 3829,
  [3830] = 3690,
  [3831] = 3756,
  [3832] = 3832,
  [3833] = 3759,
  [3834] = 3683,
  [3835] = 3760,
  [3836] = 3836,
  [3837] = 3766,
  [3838] = 3838,
  [3839] = 3817,
  [3840] = 3301,
  [3841] = 1599,
  [3842] = 3842,
  [3843] = 3843,
  [3844] = 3844,
  [3845] = 3845,
  [3846] = 714,
  [3847] = 3847,
  [3848] = 3848,
  [3849] = 1262,
  [3850] = 3698,
  [3851] = 3758,
  [3852] = 3852,
  [3853] = 3853,
  [3854] = 3854,
  [3855] = 3780,
  [3856] = 3856,
  [3857] = 3857,
  [3858] = 3797,
  [3859] = 3859,
  [3860] = 3714,
  [3861] = 3825,
  [3862] = 3668,
  [3863] = 3669,
  [3864] = 3824,
  [3865] = 3857,
  [3866] = 3866,
  [3867] = 3670,
  [3868] = 3868,
  [3869] = 3671,
  [3870] = 3870,
  [3871] = 3845,
  [3872] = 3838,
  [3873] = 3873,
  [3874] = 3691,
  [3875] = 3692,
  [3876] = 3870,
  [3877] = 1537,
  [3878] = 1552,
  [3879] = 3844,
  [3880] = 3693,
  [3881] = 1562,
  [3882] = 3681,
  [3883] = 3779,
  [3884] = 3732,
  [3885] = 3885,
  [3886] = 3694,
  [3887] = 3887,
  [3888] = 3888,
  [3889] = 3825,
  [3890] = 3843,
  [3891] = 3868,
  [3892] = 3892,
  [3893] = 3791,
  [3894] = 3894,
  [3895] = 3307,
  [3896] = 3887,
  [3897] = 3868,
  [3898] = 3798,
  [3899] = 3786,
  [3900] = 3779,
  [3901] = 3789,
  [3902] = 3780,
  [3903] = 3903,
  [3904] = 3768,
  [3905] = 3905,
  [3906] = 3613,
  [3907] = 892,
  [3908] = 3908,
  [3909] = 3909,
  [3910] = 3910,
  [3911] = 3911,
  [3912] = 836,
  [3913] = 3913,
  [3914] = 3914,
  [3915] = 923,
  [3916] = 824,
  [3917] = 3917,
  [3918] = 3918,
  [3919] = 3919,
  [3920] = 3920,
  [3921] = 3921,
  [3922] = 3922,
  [3923] = 3923,
  [3924] = 3924,
  [3925] = 3925,
  [3926] = 3926,
  [3927] = 3927,
  [3928] = 3928,
  [3929] = 3929,
  [3930] = 3930,
  [3931] = 3931,
  [3932] = 3932,
  [3933] = 3933,
  [3934] = 3934,
  [3935] = 3935,
  [3936] = 3922,
  [3937] = 3937,
  [3938] = 3938,
  [3939] = 3939,
  [3940] = 3940,
  [3941] = 3941,
  [3942] = 3942,
  [3943] = 3943,
  [3944] = 3944,
  [3945] = 3945,
  [3946] = 3946,
  [3947] = 869,
  [3948] = 3948,
  [3949] = 930,
  [3950] = 3950,
  [3951] = 3951,
  [3952] = 3952,
  [3953] = 3953,
  [3954] = 3954,
  [3955] = 3955,
  [3956] = 3956,
  [3957] = 3957,
  [3958] = 3958,
  [3959] = 3959,
  [3960] = 3960,
  [3961] = 3836,
  [3962] = 3962,
  [3963] = 3963,
  [3964] = 781,
  [3965] = 3965,
  [3966] = 3966,
  [3967] = 3967,
  [3968] = 3968,
  [3969] = 929,
  [3970] = 3970,
  [3971] = 3971,
  [3972] = 3972,
  [3973] = 878,
  [3974] = 3948,
  [3975] = 3975,
  [3976] = 3976,
  [3977] = 776,
  [3978] = 803,
  [3979] = 3979,
  [3980] = 3980,
  [3981] = 3981,
  [3982] = 3945,
  [3983] = 797,
  [3984] = 3950,
  [3985] = 3985,
  [3986] = 3986,
  [3987] = 3987,
  [3988] = 3988,
  [3989] = 3989,
  [3990] = 3990,
  [3991] = 3991,
  [3992] = 3992,
  [3993] = 3993,
  [3994] = 3994,
  [3995] = 3995,
  [3996] = 3930,
  [3997] = 3582,
  [3998] = 3584,
  [3999] = 859,
  [4000] = 860,
  [4001] = 4001,
  [4002] = 4002,
  [4003] = 4003,
  [4004] = 4004,
  [4005] = 4005,
  [4006] = 4006,
  [4007] = 3910,
  [4008] = 4008,
  [4009] = 4009,
  [4010] = 4010,
  [4011] = 4011,
  [4012] = 3952,
  [4013] = 4013,
  [4014] = 3922,
  [4015] = 4015,
  [4016] = 4016,
  [4017] = 4017,
  [4018] = 3932,
  [4019] = 4019,
  [4020] = 4020,
  [4021] = 3938,
  [4022] = 4022,
  [4023] = 4023,
  [4024] = 3952,
  [4025] = 4025,
  [4026] = 4026,
  [4027] = 4027,
  [4028] = 3910,
  [4029] = 4029,
  [4030] = 4030,
  [4031] = 4031,
  [4032] = 4032,
  [4033] = 4033,
  [4034] = 887,
  [4035] = 903,
  [4036] = 911,
  [4037] = 3932,
  [4038] = 4038,
  [4039] = 4039,
  [4040] = 4040,
  [4041] = 4041,
  [4042] = 4042,
  [4043] = 4043,
  [4044] = 4044,
  [4045] = 4045,
  [4046] = 4046,
  [4047] = 4047,
  [4048] = 4048,
  [4049] = 220,
  [4050] = 3922,
  [4051] = 4051,
  [4052] = 4052,
  [4053] = 4053,
  [4054] = 3938,
  [4055] = 4055,
  [4056] = 4056,
  [4057] = 4057,
  [4058] = 3852,
  [4059] = 4059,
  [4060] = 3853,
  [4061] = 3854,
  [4062] = 926,
  [4063] = 4063,
  [4064] = 928,
  [4065] = 809,
  [4066] = 810,
  [4067] = 811,
  [4068] = 780,
  [4069] = 813,
  [4070] = 815,
  [4071] = 817,
  [4072] = 823,
  [4073] = 4073,
  [4074] = 4074,
  [4075] = 236,
  [4076] = 3541,
  [4077] = 839,
  [4078] = 842,
  [4079] = 845,
  [4080] = 3922,
  [4081] = 4081,
  [4082] = 4082,
  [4083] = 3938,
  [4084] = 4084,
  [4085] = 4085,
  [4086] = 4086,
  [4087] = 4087,
  [4088] = 4088,
  [4089] = 4089,
  [4090] = 4090,
  [4091] = 900,
  [4092] = 901,
  [4093] = 902,
  [4094] = 4094,
  [4095] = 3988,
  [4096] = 4096,
  [4097] = 3739,
  [4098] = 4098,
  [4099] = 4099,
  [4100] = 4100,
  [4101] = 3956,
  [4102] = 4102,
  [4103] = 4103,
  [4104] = 4104,
  [4105] = 4105,
  [4106] = 4106,
  [4107] = 3957,
  [4108] = 4108,
  [4109] = 4109,
  [4110] = 4110,
  [4111] = 4111,
  [4112] = 4112,
  [4113] = 4113,
  [4114] = 4114,
  [4115] = 4115,
  [4116] = 4116,
  [4117] = 4117,
  [4118] = 4118,
  [4119] = 3990,
  [4120] = 4120,
  [4121] = 4121,
  [4122] = 4122,
  [4123] = 4123,
  [4124] = 847,
  [4125] = 4125,
  [4126] = 851,
  [4127] = 867,
  [4128] = 868,
  [4129] = 4129,
  [4130] = 4130,
  [4131] = 4131,
  [4132] = 4132,
  [4133] = 4133,
  [4134] = 4134,
  [4135] = 4135,
  [4136] = 4136,
  [4137] = 4137,
  [4138] = 3985,
  [4139] = 4139,
  [4140] = 4140,
  [4141] = 934,
  [4142] = 3958,
  [4143] = 4015,
  [4144] = 4032,
  [4145] = 4145,
  [4146] = 889,
  [4147] = 4147,
  [4148] = 4148,
  [4149] = 4149,
  [4150] = 4150,
  [4151] = 896,
  [4152] = 777,
  [4153] = 779,
  [4154] = 783,
  [4155] = 904,
  [4156] = 4156,
  [4157] = 4157,
  [4158] = 4158,
  [4159] = 4159,
  [4160] = 914,
  [4161] = 4135,
  [4162] = 4162,
  [4163] = 4163,
  [4164] = 3968,
  [4165] = 880,
  [4166] = 4003,
  [4167] = 4167,
  [4168] = 4132,
  [4169] = 4133,
  [4170] = 855,
  [4171] = 865,
  [4172] = 4011,
  [4173] = 852,
  [4174] = 4174,
  [4175] = 4175,
  [4176] = 4176,
  [4177] = 4177,
  [4178] = 4178,
  [4179] = 4179,
  [4180] = 4180,
  [4181] = 4181,
  [4182] = 4182,
  [4183] = 4183,
  [4184] = 4184,
  [4185] = 4185,
  [4186] = 4186,
  [4187] = 4187,
  [4188] = 4188,
  [4189] = 4189,
  [4190] = 4190,
  [4191] = 4191,
  [4192] = 4017,
  [4193] = 3963,
  [4194] = 4074,
  [4195] = 4195,
  [4196] = 4196,
  [4197] = 4197,
  [4198] = 3965,
  [4199] = 933,
  [4200] = 808,
  [4201] = 873,
  [4202] = 861,
  [4203] = 4178,
  [4204] = 829,
  [4205] = 4205,
  [4206] = 4206,
  [4207] = 4179,
  [4208] = 875,
  [4209] = 908,
  [4210] = 4210,
  [4211] = 4211,
  [4212] = 4136,
  [4213] = 812,
  [4214] = 778,
  [4215] = 787,
  [4216] = 794,
  [4217] = 927,
  [4218] = 4218,
  [4219] = 4219,
  [4220] = 4220,
  [4221] = 4221,
  [4222] = 4222,
  [4223] = 4125,
  [4224] = 4224,
  [4225] = 4225,
  [4226] = 4226,
  [4227] = 882,
  [4228] = 884,
  [4229] = 4135,
  [4230] = 4015,
  [4231] = 4032,
  [4232] = 4232,
  [4233] = 4233,
  [4234] = 4234,
  [4235] = 4235,
  [4236] = 4236,
  [4237] = 4011,
  [4238] = 3967,
  [4239] = 4239,
  [4240] = 4240,
  [4241] = 893,
  [4242] = 894,
  [4243] = 897,
  [4244] = 906,
  [4245] = 921,
  [4246] = 4246,
  [4247] = 4247,
  [4248] = 912,
  [4249] = 4249,
  [4250] = 850,
  [4251] = 795,
  [4252] = 4252,
  [4253] = 4253,
  [4254] = 4254,
  [4255] = 4255,
  [4256] = 4256,
  [4257] = 864,
  [4258] = 4258,
  [4259] = 4259,
  [4260] = 886,
  [4261] = 890,
  [4262] = 891,
  [4263] = 899,
  [4264] = 4264,
  [4265] = 4265,
  [4266] = 4266,
  [4267] = 4267,
  [4268] = 4268,
  [4269] = 4269,
  [4270] = 4270,
  [4271] = 4271,
  [4272] = 4272,
  [4273] = 4273,
  [4274] = 4274,
  [4275] = 4275,
  [4276] = 4276,
  [4277] = 4277,
  [4278] = 4278,
  [4279] = 4279,
  [4280] = 3937,
  [4281] = 4281,
  [4282] = 4282,
  [4283] = 4283,
  [4284] = 4284,
  [4285] = 4285,
  [4286] = 4125,
  [4287] = 4287,
  [4288] = 4288,
  [4289] = 4289,
  [4290] = 4290,
  [4291] = 4291,
  [4292] = 4292,
  [4293] = 4293,
  [4294] = 4294,
  [4295] = 4295,
  [4296] = 4296,
  [4297] = 4297,
  [4298] = 3971,
  [4299] = 4299,
  [4300] = 4300,
  [4301] = 4301,
  [4302] = 3727,
  [4303] = 4303,
  [4304] = 4304,
  [4305] = 4305,
  [4306] = 3938,
  [4307] = 4307,
  [4308] = 4308,
  [4309] = 4309,
  [4310] = 4310,
  [4311] = 4311,
  [4312] = 4312,
  [4313] = 4313,
  [4314] = 4188,
  [4315] = 4315,
  [4316] = 4316,
  [4317] = 4317,
  [4318] = 4318,
  [4319] = 1551,
  [4320] = 4139,
  [4321] = 1597,
  [4322] = 4084,
  [4323] = 4323,
  [4324] = 4324,
  [4325] = 4325,
  [4326] = 4326,
  [4327] = 4327,
  [4328] = 4328,
  [4329] = 4329,
  [4330] = 4330,
  [4331] = 4331,
  [4332] = 4332,
  [4333] = 4333,
  [4334] = 4334,
  [4335] = 3981,
  [4336] = 4336,
  [4337] = 4337,
  [4338] = 4338,
  [4339] = 4339,
  [4340] = 4340,
  [4341] = 4341,
  [4342] = 3937,
  [4343] = 4343,
  [4344] = 4197,
  [4345] = 3970,
  [4346] = 3956,
  [4347] = 3957,
  [4348] = 4191,
  [4349] = 3989,
  [4350] = 3971,
  [4351] = 4351,
  [4352] = 4352,
  [4353] = 4353,
  [4354] = 4354,
  [4355] = 4355,
  [4356] = 4356,
  [4357] = 4357,
  [4358] = 4358,
  [4359] = 4359,
  [4360] = 4360,
  [4361] = 4361,
  [4362] = 4362,
  [4363] = 4363,
  [4364] = 4364,
  [4365] = 4365,
  [4366] = 4366,
  [4367] = 4367,
  [4368] = 4368,
  [4369] = 4369,
  [4370] = 4370,
  [4371] = 4371,
  [4372] = 4372,
  [4373] = 4373,
  [4374] = 4374,
  [4375] = 4375,
  [4376] = 4376,
  [4377] = 4377,
  [4378] = 3940,
  [4379] = 4379,
  [4380] = 4380,
  [4381] = 4381,
  [4382] = 4382,
  [4383] = 4140,
  [4384] = 4384,
  [4385] = 4385,
  [4386] = 4386,
  [4387] = 4387,
  [4388] = 4388,
  [4389] = 4389,
  [4390] = 4388,
  [4391] = 4391,
  [4392] = 4392,
  [4393] = 4393,
  [4394] = 4394,
  [4395] = 4395,
  [4396] = 4396,
  [4397] = 4397,
  [4398] = 4393,
  [4399] = 4399,
  [4400] = 4394,
  [4401] = 4391,
  [4402] = 4402,
  [4403] = 4403,
  [4404] = 4404,
  [4405] = 4405,
  [4406] = 4406,
  [4407] = 4407,
  [4408] = 4408,
  [4409] = 4393,
  [4410] = 4410,
  [4411] = 4397,
  [4412] = 4392,
  [4413] = 4408,
  [4414] = 4388,
  [4415] = 4415,
  [4416] = 4416,
  [4417] = 4417,
  [4418] = 4418,
  [4419] = 4419,
  [4420] = 4420,
  [4421] = 4421,
  [4422] = 4422,
  [4423] = 4423,
  [4424] = 4424,
  [4425] = 4425,
  [4426] = 4426,
  [4427] = 4427,
  [4428] = 4428,
  [4429] = 4429,
  [4430] = 4399,
  [4431] = 4431,
  [4432] = 4432,
  [4433] = 4408,
  [4434] = 4434,
  [4435] = 4404,
  [4436] = 4436,
  [4437] = 4437,
  [4438] = 4438,
  [4439] = 4389,
  [4440] = 4440,
  [4441] = 4404,
  [4442] = 4429,
  [4443] = 4443,
  [4444] = 4444,
  [4445] = 4388,
  [4446] = 4394,
  [4447] = 4447,
  [4448] = 3739,
  [4449] = 4396,
  [4450] = 4397,
  [4451] = 4451,
  [4452] = 4452,
  [4453] = 4453,
  [4454] = 4393,
  [4455] = 4429,
  [4456] = 4456,
  [4457] = 4399,
  [4458] = 4394,
  [4459] = 4429,
  [4460] = 4389,
  [4461] = 4461,
  [4462] = 4396,
  [4463] = 3774,
  [4464] = 4422,
  [4465] = 4408,
  [4466] = 4396,
  [4467] = 4389,
  [4468] = 4388,
  [4469] = 4397,
  [4470] = 4470,
  [4471] = 4393,
  [4472] = 4424,
  [4473] = 4389,
  [4474] = 4396,
  [4475] = 4404,
  [4476] = 4404,
  [4477] = 4477,
  [4478] = 4393,
  [4479] = 3770,
  [4480] = 4417,
  [4481] = 4393,
  [4482] = 4482,
  [4483] = 4437,
  [4484] = 4484,
  [4485] = 4485,
  [4486] = 4399,
  [4487] = 4487,
  [4488] = 4456,
  [4489] = 4489,
  [4490] = 4429,
  [4491] = 4394,
  [4492] = 4399,
  [4493] = 4396,
  [4494] = 4389,
  [4495] = 4397,
  [4496] = 4496,
  [4497] = 4399,
  [4498] = 4394,
  [4499] = 4423,
  [4500] = 4424,
  [4501] = 4396,
  [4502] = 4502,
  [4503] = 4397,
  [4504] = 4504,
  [4505] = 4424,
  [4506] = 4399,
  [4507] = 4424,
  [4508] = 4508,
  [4509] = 4470,
  [4510] = 4394,
  [4511] = 4428,
  [4512] = 4429,
  [4513] = 4397,
  [4514] = 4429,
  [4515] = 4387,
  [4516] = 4389,
  [4517] = 4443,
  [4518] = 4424,
  [4519] = 4408,
  [4520] = 4408,
  [4521] = 4424,
  [4522] = 4522,
  [4523] = 4523,
  [4524] = 4524,
  [4525] = 4525,
  [4526] = 4526,
  [4527] = 4527,
  [4528] = 4528,
  [4529] = 4529,
  [4530] = 4530,
  [4531] = 4531,
  [4532] = 4532,
  [4533] = 4533,
  [4534] = 4534,
  [4535] = 4535,
  [4536] = 4536,
  [4537] = 4537,
  [4538] = 4538,
  [4539] = 4539,
  [4540] = 4540,
  [4541] = 4541,
  [4542] = 4527,
  [4543] = 4543,
  [4544] = 4529,
  [4545] = 4537,
  [4546] = 3774,
  [4547] = 4547,
  [4548] = 4548,
  [4549] = 4549,
  [4550] = 4550,
  [4551] = 4551,
  [4552] = 4552,
  [4553] = 4553,
  [4554] = 4548,
  [4555] = 4555,
  [4556] = 4556,
  [4557] = 4557,
  [4558] = 4558,
  [4559] = 4559,
  [4560] = 4560,
  [4561] = 4561,
  [4562] = 4562,
  [4563] = 4547,
  [4564] = 4548,
  [4565] = 4565,
  [4566] = 4566,
  [4567] = 4567,
  [4568] = 4568,
  [4569] = 4569,
  [4570] = 4570,
  [4571] = 4547,
  [4572] = 4572,
  [4573] = 4573,
  [4574] = 4574,
  [4575] = 4575,
  [4576] = 4576,
  [4577] = 4577,
  [4578] = 4578,
  [4579] = 4579,
  [4580] = 4580,
  [4581] = 4581,
  [4582] = 4582,
  [4583] = 4583,
  [4584] = 4535,
  [4585] = 4585,
  [4586] = 4586,
  [4587] = 4551,
  [4588] = 4588,
  [4589] = 4589,
  [4590] = 4590,
  [4591] = 4591,
  [4592] = 4527,
  [4593] = 4529,
  [4594] = 4537,
  [4595] = 4547,
  [4596] = 4548,
  [4597] = 4597,
  [4598] = 4598,
  [4599] = 4599,
  [4600] = 4539,
  [4601] = 4550,
  [4602] = 4558,
  [4603] = 4577,
  [4604] = 4604,
  [4605] = 4605,
  [4606] = 4556,
  [4607] = 4557,
  [4608] = 4608,
  [4609] = 4609,
  [4610] = 4610,
  [4611] = 4611,
  [4612] = 4612,
  [4613] = 4613,
  [4614] = 4614,
  [4615] = 4615,
  [4616] = 4616,
  [4617] = 4617,
  [4618] = 4618,
  [4619] = 4619,
  [4620] = 4620,
  [4621] = 4621,
  [4622] = 4622,
  [4623] = 4623,
  [4624] = 4624,
  [4625] = 4625,
  [4626] = 4626,
  [4627] = 4579,
  [4628] = 4628,
  [4629] = 4615,
  [4630] = 4630,
  [4631] = 4631,
  [4632] = 4632,
  [4633] = 4633,
  [4634] = 4634,
  [4635] = 4537,
  [4636] = 4636,
  [4637] = 4547,
  [4638] = 4548,
  [4639] = 4639,
  [4640] = 4557,
  [4641] = 3722,
  [4642] = 4642,
  [4643] = 4643,
  [4644] = 4556,
  [4645] = 3770,
  [4646] = 4646,
  [4647] = 4647,
  [4648] = 4547,
  [4649] = 4548,
  [4650] = 4650,
  [4651] = 4557,
  [4652] = 4652,
  [4653] = 4556,
  [4654] = 4654,
  [4655] = 4655,
  [4656] = 4656,
  [4657] = 4526,
  [4658] = 4658,
  [4659] = 4659,
  [4660] = 4660,
  [4661] = 4661,
  [4662] = 4662,
  [4663] = 4663,
  [4664] = 4664,
  [4665] = 4665,
  [4666] = 4666,
  [4667] = 4667,
  [4668] = 4668,
  [4669] = 4669,
  [4670] = 4670,
  [4671] = 4671,
  [4672] = 4672,
  [4673] = 4673,
  [4674] = 4674,
  [4675] = 4129,
  [4676] = 4557,
  [4677] = 4677,
  [4678] = 4678,
  [4679] = 4524,
  [4680] = 4535,
  [4681] = 4681,
  [4682] = 4682,
  [4683] = 4683,
  [4684] = 4684,
  [4685] = 4685,
  [4686] = 4686,
  [4687] = 4687,
  [4688] = 4688,
  [4689] = 4689,
  [4690] = 4690,
  [4691] = 4691,
  [4692] = 4670,
  [4693] = 4693,
  [4694] = 4694,
  [4695] = 4695,
  [4696] = 788,
  [4697] = 4697,
  [4698] = 4698,
  [4699] = 4699,
  [4700] = 4580,
  [4701] = 4701,
  [4702] = 4702,
  [4703] = 4673,
  [4704] = 4704,
  [4705] = 4557,
  [4706] = 4706,
  [4707] = 4529,
  [4708] = 4708,
  [4709] = 4709,
  [4710] = 4710,
  [4711] = 4711,
  [4712] = 4712,
  [4713] = 4713,
  [4714] = 4714,
  [4715] = 4715,
  [4716] = 4716,
  [4717] = 4717,
  [4718] = 4718,
  [4719] = 4719,
  [4720] = 4720,
  [4721] = 4721,
  [4722] = 4722,
  [4723] = 4723,
  [4724] = 4661,
  [4725] = 4725,
  [4726] = 4726,
  [4727] = 4727,
  [4728] = 4728,
  [4729] = 4729,
  [4730] = 4730,
  [4731] = 4731,
  [4732] = 4732,
  [4733] = 4733,
  [4734] = 4734,
  [4735] = 4735,
  [4736] = 4736,
  [4737] = 4737,
  [4738] = 4738,
  [4739] = 4739,
  [4740] = 4740,
  [4741] = 4741,
  [4742] = 4742,
  [4743] = 4743,
  [4744] = 4744,
  [4745] = 4745,
  [4746] = 4746,
  [4747] = 4747,
  [4748] = 4748,
  [4749] = 4749,
  [4750] = 4750,
  [4751] = 4751,
  [4752] = 4752,
  [4753] = 4753,
  [4754] = 4754,
  [4755] = 4755,
  [4756] = 4756,
  [4757] = 4757,
  [4758] = 4758,
  [4759] = 4759,
  [4760] = 4760,
  [4761] = 4761,
  [4762] = 4762,
  [4763] = 4763,
  [4764] = 4764,
  [4765] = 4765,
  [4766] = 4766,
  [4767] = 4767,
  [4768] = 4768,
  [4769] = 4769,
  [4770] = 4770,
  [4771] = 4303,
  [4772] = 4535,
  [4773] = 4773,
  [4774] = 4774,
  [4775] = 4775,
  [4776] = 4776,
  [4777] = 4777,
  [4778] = 4720,
  [4779] = 4779,
  [4780] = 4780,
  [4781] = 4667,
  [4782] = 4782,
  [4783] = 4783,
  [4784] = 4784,
  [4785] = 4785,
  [4786] = 4786,
  [4787] = 4787,
  [4788] = 4535,
  [4789] = 4789,
  [4790] = 4790,
  [4791] = 4791,
  [4792] = 4792,
  [4793] = 4793,
  [4794] = 4794,
  [4795] = 4795,
  [4796] = 4796,
  [4797] = 4797,
  [4798] = 4798,
  [4799] = 4799,
  [4800] = 4800,
  [4801] = 4801,
  [4802] = 4802,
  [4803] = 4535,
  [4804] = 4804,
  [4805] = 4805,
  [4806] = 4806,
  [4807] = 4807,
  [4808] = 4808,
  [4809] = 3732,
  [4810] = 3714,
  [4811] = 4811,
  [4812] = 4812,
  [4813] = 4813,
  [4814] = 4814,
  [4815] = 4815,
  [4816] = 4816,
  [4817] = 4632,
  [4818] = 4818,
  [4819] = 4819,
  [4820] = 4820,
  [4821] = 4821,
  [4822] = 4605,
  [4823] = 4823,
  [4824] = 4824,
  [4825] = 4825,
  [4826] = 4826,
  [4827] = 4827,
  [4828] = 4828,
  [4829] = 4829,
  [4830] = 4830,
  [4831] = 4831,
  [4832] = 4832,
  [4833] = 4833,
  [4834] = 4834,
  [4835] = 4835,
  [4836] = 4836,
  [4837] = 4837,
  [4838] = 4838,
  [4839] = 4839,
  [4840] = 4840,
  [4841] = 4841,
  [4842] = 4842,
  [4843] = 4843,
  [4844] = 4844,
  [4845] = 4845,
  [4846] = 4846,
  [4847] = 4847,
  [4848] = 4848,
  [4849] = 4849,
  [4850] = 4850,
  [4851] = 4851,
  [4852] = 4852,
  [4853] = 4853,
  [4854] = 4854,
  [4855] = 4855,
  [4856] = 4856,
  [4857] = 4857,
  [4858] = 4858,
  [4859] = 4859,
  [4860] = 4860,
  [4861] = 4861,
  [4862] = 4862,
  [4863] = 4863,
  [4864] = 4864,
  [4865] = 4865,
  [4866] = 4866,
  [4867] = 4867,
  [4868] = 4868,
  [4869] = 4869,
  [4870] = 4870,
  [4871] = 4871,
  [4872] = 4872,
  [4873] = 4873,
  [4874] = 4874,
  [4875] = 4875,
  [4876] = 4876,
  [4877] = 4877,
  [4878] = 4528,
  [4879] = 4879,
  [4880] = 4880,
  [4881] = 4881,
  [4882] = 4882,
  [4883] = 4883,
  [4884] = 4884,
  [4885] = 4610,
  [4886] = 4886,
  [4887] = 4887,
  [4888] = 4888,
  [4889] = 4889,
  [4890] = 4890,
  [4891] = 4891,
  [4892] = 4892,
  [4893] = 4893,
  [4894] = 4894,
  [4895] = 4895,
  [4896] = 4896,
  [4897] = 4897,
  [4898] = 4898,
  [4899] = 4899,
  [4900] = 4900,
  [4901] = 4704,
  [4902] = 4526,
  [4903] = 4903,
  [4904] = 4551,
  [4905] = 4824,
  [4906] = 4835,
  [4907] = 4907,
  [4908] = 4908,
  [4909] = 4909,
  [4910] = 4910,
  [4911] = 4911,
  [4912] = 4912,
  [4913] = 4913,
  [4914] = 4914,
  [4915] = 4527,
  [4916] = 4611,
  [4917] = 4917,
  [4918] = 4918,
  [4919] = 4919,
  [4920] = 4920,
  [4921] = 4921,
  [4922] = 4668,
  [4923] = 4923,
  [4924] = 4924,
  [4925] = 4925,
  [4926] = 4535,
  [4927] = 4927,
  [4928] = 4928,
  [4929] = 4929,
  [4930] = 4930,
  [4931] = 4931,
  [4932] = 4932,
  [4933] = 4933,
  [4934] = 4934,
  [4935] = 4879,
  [4936] = 4936,
  [4937] = 3704,
  [4938] = 4938,
  [4939] = 4939,
  [4940] = 4824,
  [4941] = 4910,
  [4942] = 4942,
  [4943] = 4943,
  [4944] = 1548,
  [4945] = 1596,
  [4946] = 4946,
  [4947] = 4894,
  [4948] = 4948,
  [4949] = 4949,
  [4950] = 4950,
  [4951] = 4951,
  [4952] = 4728,
  [4953] = 4953,
  [4954] = 4954,
  [4955] = 4955,
  [4956] = 4730,
  [4957] = 4957,
  [4958] = 4958,
  [4959] = 4959,
  [4960] = 4960,
  [4961] = 4908,
  [4962] = 4962,
  [4963] = 4963,
  [4964] = 4894,
  [4965] = 4910,
  [4966] = 4966,
  [4967] = 4967,
  [4968] = 4968,
  [4969] = 4527,
  [4970] = 4970,
  [4971] = 4971,
  [4972] = 4972,
  [4973] = 4973,
  [4974] = 4974,
  [4975] = 4975,
  [4976] = 4529,
  [4977] = 4977,
  [4978] = 4978,
  [4979] = 4979,
  [4980] = 4980,
  [4981] = 4981,
  [4982] = 4982,
  [4983] = 4529,
  [4984] = 4984,
  [4985] = 4985,
  [4986] = 4986,
  [4987] = 4987,
  [4988] = 4988,
  [4989] = 4989,
  [4990] = 4990,
  [4991] = 4537,
  [4992] = 4992,
  [4993] = 4993,
  [4994] = 4566,
  [4995] = 4525,
  [4996] = 4996,
  [4997] = 4547,
  [4998] = 4548,
  [4999] = 4999,
  [5000] = 4578,
  [5001] = 5001,
  [5002] = 5002,
  [5003] = 5003,
  [5004] = 5004,
  [5005] = 5005,
  [5006] = 5006,
  [5007] = 4539,
  [5008] = 4550,
  [5009] = 5009,
  [5010] = 4558,
  [5011] = 4577,
  [5012] = 5012,
  [5013] = 5013,
  [5014] = 5014,
  [5015] = 5015,
  [5016] = 4588,
  [5017] = 5017,
  [5018] = 5018,
  [5019] = 5019,
  [5020] = 4617,
  [5021] = 5021,
  [5022] = 4529,
  [5023] = 5023,
  [5024] = 5024,
  [5025] = 5025,
  [5026] = 5026,
  [5027] = 5027,
  [5028] = 5028,
  [5029] = 4556,
  [5030] = 5030,
  [5031] = 5031,
  [5032] = 5032,
  [5033] = 5033,
  [5034] = 4557,
  [5035] = 5035,
  [5036] = 5036,
  [5037] = 5037,
  [5038] = 5038,
  [5039] = 5039,
  [5040] = 5040,
  [5041] = 5041,
  [5042] = 5042,
  [5043] = 5043,
  [5044] = 5044,
  [5045] = 5045,
  [5046] = 5046,
  [5047] = 5047,
  [5048] = 5048,
  [5049] = 5049,
  [5050] = 5050,
  [5051] = 5051,
  [5052] = 5052,
  [5053] = 5053,
  [5054] = 5054,
  [5055] = 5055,
  [5056] = 4537,
  [5057] = 5057,
  [5058] = 5058,
  [5059] = 5059,
  [5060] = 5060,
  [5061] = 5061,
  [5062] = 5062,
  [5063] = 5063,
  [5064] = 5064,
  [5065] = 5065,
  [5066] = 5066,
  [5067] = 5067,
  [5068] = 5068,
  [5069] = 5069,
  [5070] = 5070,
  [5071] = 5071,
  [5072] = 5072,
  [5073] = 5073,
  [5074] = 5074,
  [5075] = 5075,
  [5076] = 5076,
  [5077] = 5077,
  [5078] = 5078,
  [5079] = 5079,
  [5080] = 5080,
  [5081] = 5081,
  [5082] = 5082,
  [5083] = 5083,
  [5084] = 5084,
  [5085] = 5085,
  [5086] = 5086,
  [5087] = 5087,
  [5088] = 5088,
  [5089] = 5089,
  [5090] = 5090,
  [5091] = 4541,
  [5092] = 5092,
  [5093] = 5093,
  [5094] = 5094,
  [5095] = 5095,
  [5096] = 5096,
  [5097] = 5097,
  [5098] = 5098,
  [5099] = 5099,
  [5100] = 5100,
  [5101] = 5101,
  [5102] = 5102,
  [5103] = 5103,
  [5104] = 5104,
  [5105] = 5105,
  [5106] = 3739,
  [5107] = 5107,
  [5108] = 5108,
  [5109] = 5109,
  [5110] = 4562,
  [5111] = 5111,
  [5112] = 5112,
  [5113] = 5113,
  [5114] = 5114,
  [5115] = 5115,
  [5116] = 4367,
  [5117] = 5117,
  [5118] = 5118,
  [5119] = 4622,
  [5120] = 5120,
  [5121] = 5121,
  [5122] = 5122,
  [5123] = 5123,
  [5124] = 5124,
  [5125] = 5125,
  [5126] = 5126,
  [5127] = 5127,
  [5128] = 5128,
  [5129] = 5129,
  [5130] = 5130,
  [5131] = 5131,
  [5132] = 4683,
  [5133] = 5133,
  [5134] = 4567,
  [5135] = 5135,
  [5136] = 4704,
  [5137] = 5137,
  [5138] = 5138,
  [5139] = 5139,
  [5140] = 5140,
  [5141] = 5141,
  [5142] = 5142,
  [5143] = 5143,
  [5144] = 5144,
  [5145] = 5145,
  [5146] = 5146,
  [5147] = 5147,
  [5148] = 5148,
  [5149] = 5149,
  [5150] = 5150,
  [5151] = 5151,
  [5152] = 5152,
  [5153] = 5153,
  [5154] = 5154,
  [5155] = 5155,
  [5156] = 5156,
  [5157] = 5157,
  [5158] = 5158,
  [5159] = 5159,
  [5160] = 5160,
  [5161] = 5161,
  [5162] = 5162,
  [5163] = 5163,
  [5164] = 2658,
  [5165] = 5165,
  [5166] = 5166,
  [5167] = 5167,
  [5168] = 5168,
  [5169] = 5169,
  [5170] = 5170,
  [5171] = 5171,
  [5172] = 5172,
  [5173] = 5173,
  [5174] = 5174,
  [5175] = 5175,
  [5176] = 5176,
  [5177] = 5177,
  [5178] = 5178,
  [5179] = 5179,
  [5180] = 2684,
  [5181] = 5146,
  [5182] = 2717,
  [5183] = 5183,
  [5184] = 5168,
  [5185] = 5185,
  [5186] = 5186,
  [5187] = 5187,
  [5188] = 5188,
  [5189] = 5189,
  [5190] = 5190,
  [5191] = 5168,
  [5192] = 3836,
  [5193] = 5193,
  [5194] = 5194,
  [5195] = 5195,
  [5196] = 5161,
  [5197] = 5197,
  [5198] = 5198,
  [5199] = 5199,
  [5200] = 5200,
  [5201] = 5201,
  [5202] = 2689,
  [5203] = 2696,
  [5204] = 5168,
  [5205] = 5205,
  [5206] = 2688,
  [5207] = 5207,
  [5208] = 2704,
  [5209] = 5157,
  [5210] = 5210,
  [5211] = 5211,
  [5212] = 5156,
  [5213] = 5211,
  [5214] = 5214,
  [5215] = 5215,
  [5216] = 2656,
  [5217] = 5217,
  [5218] = 5218,
  [5219] = 5219,
  [5220] = 5160,
  [5221] = 5221,
  [5222] = 5222,
  [5223] = 5176,
  [5224] = 2715,
  [5225] = 5178,
  [5226] = 5226,
  [5227] = 5227,
  [5228] = 5228,
  [5229] = 5178,
  [5230] = 2705,
  [5231] = 2716,
  [5232] = 5232,
  [5233] = 5233,
  [5234] = 5234,
  [5235] = 5235,
  [5236] = 2683,
  [5237] = 2711,
  [5238] = 5238,
  [5239] = 5239,
  [5240] = 5238,
  [5241] = 5241,
  [5242] = 5242,
  [5243] = 2677,
  [5244] = 5244,
  [5245] = 5245,
  [5246] = 5246,
  [5247] = 5247,
  [5248] = 5148,
  [5249] = 5151,
  [5250] = 5250,
  [5251] = 5251,
  [5252] = 5252,
  [5253] = 5251,
  [5254] = 5254,
  [5255] = 5255,
  [5256] = 5256,
  [5257] = 5257,
  [5258] = 5160,
  [5259] = 5259,
  [5260] = 5176,
  [5261] = 5178,
  [5262] = 5262,
  [5263] = 5263,
  [5264] = 5264,
  [5265] = 5265,
  [5266] = 5266,
  [5267] = 5267,
  [5268] = 5268,
  [5269] = 5269,
  [5270] = 5270,
  [5271] = 5160,
  [5272] = 5272,
  [5273] = 5273,
  [5274] = 5274,
  [5275] = 3852,
  [5276] = 5276,
  [5277] = 5277,
  [5278] = 5176,
  [5279] = 1660,
  [5280] = 5280,
  [5281] = 5222,
  [5282] = 5255,
  [5283] = 5283,
  [5284] = 5284,
  [5285] = 5254,
  [5286] = 5286,
  [5287] = 5232,
  [5288] = 5198,
  [5289] = 5289,
  [5290] = 5290,
  [5291] = 5291,
  [5292] = 5292,
  [5293] = 5293,
  [5294] = 5294,
  [5295] = 5295,
  [5296] = 5296,
  [5297] = 5297,
  [5298] = 5298,
  [5299] = 5299,
  [5300] = 5300,
  [5301] = 5301,
  [5302] = 5187,
  [5303] = 5303,
  [5304] = 5233,
  [5305] = 5165,
  [5306] = 5267,
  [5307] = 5147,
  [5308] = 5308,
  [5309] = 5309,
  [5310] = 5177,
  [5311] = 5311,
  [5312] = 5195,
  [5313] = 5269,
  [5314] = 5314,
  [5315] = 5158,
  [5316] = 5316,
  [5317] = 5242,
  [5318] = 5289,
  [5319] = 5297,
  [5320] = 5320,
  [5321] = 5321,
  [5322] = 5221,
  [5323] = 5323,
  [5324] = 5324,
  [5325] = 5325,
  [5326] = 5172,
  [5327] = 5327,
  [5328] = 2702,
  [5329] = 5329,
  [5330] = 2712,
  [5331] = 5331,
  [5332] = 5174,
  [5333] = 5262,
  [5334] = 5334,
  [5335] = 5335,
  [5336] = 5336,
  [5337] = 5176,
  [5338] = 5338,
  [5339] = 5339,
  [5340] = 5340,
  [5341] = 5341,
  [5342] = 5274,
  [5343] = 5343,
  [5344] = 1676,
  [5345] = 1677,
  [5346] = 5289,
  [5347] = 5297,
  [5348] = 5222,
  [5349] = 5274,
  [5350] = 5350,
  [5351] = 5351,
  [5352] = 5289,
  [5353] = 5190,
  [5354] = 5297,
  [5355] = 5355,
  [5356] = 5356,
  [5357] = 5357,
  [5358] = 5214,
  [5359] = 5359,
  [5360] = 5360,
  [5361] = 5361,
  [5362] = 5362,
  [5363] = 5270,
  [5364] = 5244,
  [5365] = 2670,
  [5366] = 5149,
  [5367] = 5147,
  [5368] = 5156,
  [5369] = 5187,
  [5370] = 5370,
  [5371] = 5274,
  [5372] = 5158,
  [5373] = 5156,
  [5374] = 5301,
  [5375] = 5158,
  [5376] = 5159,
  [5377] = 5377,
  [5378] = 5160,
  [5379] = 5156,
  [5380] = 5380,
  [5381] = 5381,
  [5382] = 5159,
  [5383] = 5161,
  [5384] = 5161,
  [5385] = 2693,
  [5386] = 5264,
  [5387] = 5158,
  [5388] = 3853,
  [5389] = 5159,
  [5390] = 5390,
  [5391] = 5161,
  [5392] = 5176,
  [5393] = 5272,
  [5394] = 5320,
  [5395] = 5321,
  [5396] = 5256,
  [5397] = 5274,
  [5398] = 2652,
  [5399] = 5143,
  [5400] = 5289,
  [5401] = 2680,
  [5402] = 5298,
  [5403] = 5145,
  [5404] = 5404,
  [5405] = 5405,
  [5406] = 5168,
  [5407] = 5168,
  [5408] = 5408,
  [5409] = 5178,
  [5410] = 5327,
  [5411] = 5152,
  [5412] = 5412,
  [5413] = 5329,
  [5414] = 5270,
  [5415] = 5297,
  [5416] = 5217,
  [5417] = 5178,
  [5418] = 5331,
  [5419] = 5419,
  [5420] = 5242,
  [5421] = 5335,
  [5422] = 5194,
  [5423] = 5150,
  [5424] = 5424,
  [5425] = 5425,
  [5426] = 5338,
  [5427] = 5427,
  [5428] = 5428,
  [5429] = 5429,
  [5430] = 5430,
  [5431] = 5431,
  [5432] = 5432,
  [5433] = 5433,
  [5434] = 5431,
  [5435] = 5435,
  [5436] = 5277,
  [5437] = 5325,
  [5438] = 5320,
  [5439] = 5168,
  [5440] = 5308,
  [5441] = 3854,
  [5442] = 5160,
  [5443] = 5443,
  [5444] = 5425,
  [5445] = 5445,
  [5446] = 5284,
  [5447] = 5189,
  [5448] = 5448,
  [5449] = 5290,
  [5450] = 5450,
  [5451] = 5451,
  [5452] = 5452,
  [5453] = 2691,
  [5454] = 5207,
  [5455] = 5408,
  [5456] = 5316,
  [5457] = 5291,
  [5458] = 5159,
  [5459] = 5452,
  [5460] = 5244,
  [5461] = 2697,
  [5462] = 5265,
  [5463] = 5294,
  [5464] = 5160,
  [5465] = 5262,
  [5466] = 5176,
  [5467] = 5295,
  [5468] = 5468,
  [5469] = 5152,
  [5470] = 5178,
  [5471] = 5296,
  [5472] = 5218,
  [5473] = 5300,
  [5474] = 5235,
  [5475] = 5475,
  [5476] = 5381,
  [5477] = 5273,
  [5478] = 5478,
  [5479] = 5479,
  [5480] = 5480,
  [5481] = 5481,
  [5482] = 5482,
  [5483] = 5483,
  [5484] = 5482,
  [5485] = 5485,
  [5486] = 5486,
  [5487] = 5487,
  [5488] = 5488,
  [5489] = 5478,
  [5490] = 5490,
  [5491] = 5491,
  [5492] = 5492,
  [5493] = 5493,
  [5494] = 5494,
  [5495] = 5495,
  [5496] = 5486,
  [5497] = 5497,
  [5498] = 5498,
  [5499] = 5499,
  [5500] = 5500,
  [5501] = 5501,
  [5502] = 5502,
  [5503] = 5503,
  [5504] = 5504,
  [5505] = 5505,
  [5506] = 5506,
  [5507] = 5507,
  [5508] = 5494,
  [5509] = 5509,
  [5510] = 5510,
  [5511] = 5511,
  [5512] = 5512,
  [5513] = 5513,
  [5514] = 5514,
  [5515] = 5515,
  [5516] = 5516,
  [5517] = 5486,
  [5518] = 5518,
  [5519] = 5519,
  [5520] = 5520,
  [5521] = 5521,
  [5522] = 5514,
  [5523] = 5515,
  [5524] = 5524,
  [5525] = 5478,
  [5526] = 5526,
  [5527] = 5527,
  [5528] = 5509,
  [5529] = 5529,
  [5530] = 5530,
  [5531] = 5531,
  [5532] = 5532,
  [5533] = 5533,
  [5534] = 5534,
  [5535] = 5515,
  [5536] = 5536,
  [5537] = 5504,
  [5538] = 5515,
  [5539] = 5539,
  [5540] = 5488,
  [5541] = 5478,
  [5542] = 5534,
  [5543] = 5491,
  [5544] = 5492,
  [5545] = 5493,
  [5546] = 5504,
  [5547] = 5547,
  [5548] = 5533,
  [5549] = 5549,
  [5550] = 5550,
  [5551] = 5551,
  [5552] = 5552,
  [5553] = 5501,
  [5554] = 5534,
  [5555] = 5506,
  [5556] = 5556,
  [5557] = 5557,
  [5558] = 5558,
  [5559] = 5504,
  [5560] = 5560,
  [5561] = 5561,
  [5562] = 5562,
  [5563] = 5530,
  [5564] = 5488,
  [5565] = 5478,
  [5566] = 5529,
  [5567] = 5491,
  [5568] = 5568,
  [5569] = 5569,
  [5570] = 5510,
  [5571] = 5514,
  [5572] = 5572,
  [5573] = 5504,
  [5574] = 5482,
  [5575] = 5536,
  [5576] = 5576,
  [5577] = 5577,
  [5578] = 5501,
  [5579] = 5579,
  [5580] = 5580,
  [5581] = 5581,
  [5582] = 5582,
  [5583] = 5495,
  [5584] = 5491,
  [5585] = 5585,
  [5586] = 5488,
  [5587] = 5514,
  [5588] = 5588,
  [5589] = 5558,
  [5590] = 5590,
  [5591] = 5591,
  [5592] = 5482,
  [5593] = 5593,
  [5594] = 5594,
  [5595] = 5595,
  [5596] = 5500,
  [5597] = 5510,
  [5598] = 5598,
  [5599] = 5492,
  [5600] = 5600,
  [5601] = 5493,
  [5602] = 5488,
  [5603] = 5478,
  [5604] = 5492,
  [5605] = 5510,
  [5606] = 5606,
  [5607] = 5491,
  [5608] = 5492,
  [5609] = 5493,
  [5610] = 5491,
  [5611] = 5581,
  [5612] = 5492,
  [5613] = 5493,
  [5614] = 5534,
  [5615] = 5615,
  [5616] = 5492,
  [5617] = 5504,
  [5618] = 5479,
  [5619] = 5493,
  [5620] = 5620,
  [5621] = 5501,
  [5622] = 5501,
  [5623] = 5623,
  [5624] = 5624,
  [5625] = 5625,
  [5626] = 5486,
  [5627] = 5524,
  [5628] = 5628,
  [5629] = 5629,
  [5630] = 5630,
  [5631] = 5623,
  [5632] = 5632,
  [5633] = 5495,
  [5634] = 5585,
  [5635] = 5635,
  [5636] = 5620,
  [5637] = 5637,
  [5638] = 5638,
  [5639] = 5527,
  [5640] = 5632,
  [5641] = 5514,
  [5642] = 5642,
  [5643] = 5493,
  [5644] = 5550,
  [5645] = 5645,
  [5646] = 5556,
  [5647] = 5591,
  [5648] = 5598,
  [5649] = 5649,
  [5650] = 5650,
  [5651] = 5494,
  [5652] = 5652,
  [5653] = 5645,
  [5654] = 5515,
  [5655] = 5655,
  [5656] = 5656,
  [5657] = 5628,
  [5658] = 5629,
  [5659] = 5534,
  [5660] = 5660,
  [5661] = 5534,
  [5662] = 5569,
  [5663] = 5635,
  [5664] = 5483,
  [5665] = 5519,
  [5666] = 5510,
  [5667] = 5667,
  [5668] = 5581,
  [5669] = 5581,
  [5670] = 5670,
  [5671] = 5486,
  [5672] = 5672,
  [5673] = 5526,
  [5674] = 5529,
  [5675] = 5530,
  [5676] = 5642,
  [5677] = 5495,
  [5678] = 5480,
  [5679] = 5623,
  [5680] = 5479,
  [5681] = 5480,
  [5682] = 5660,
  [5683] = 5511,
  [5684] = 5511,
  [5685] = 5494,
  [5686] = 5686,
  [5687] = 5569,
  [5688] = 5660,
  [5689] = 5550,
  [5690] = 5511,
  [5691] = 5691,
  [5692] = 5656,
  [5693] = 5551,
  [5694] = 5500,
  [5695] = 5506,
  [5696] = 5660,
  [5697] = 5511,
  [5698] = 5569,
  [5699] = 5534,
  [5700] = 5516,
  [5701] = 5701,
  [5702] = 5526,
  [5703] = 5703,
  [5704] = 5479,
  [5705] = 5502,
  [5706] = 5660,
  [5707] = 5531,
  [5708] = 5557,
  [5709] = 5511,
  [5710] = 5482,
  [5711] = 5561,
  [5712] = 5712,
  [5713] = 5572,
  [5714] = 5514,
  [5715] = 5569,
  [5716] = 5716,
  [5717] = 5480,
  [5718] = 5499,
  [5719] = 5551,
  [5720] = 5720,
  [5721] = 5569,
  [5722] = 5480,
  [5723] = 5723,
  [5724] = 5625,
  [5725] = 5519,
  [5726] = 5629,
  [5727] = 5488,
  [5728] = 5478,
  [5729] = 5729,
  [5730] = 5532,
  [5731] = 5731,
  [5732] = 5491,
  [5733] = 5733,
  [5734] = 5519,
  [5735] = 5526,
  [5736] = 5526,
  [5737] = 5510,
  [5738] = 5529,
  [5739] = 5529,
  [5740] = 5530,
  [5741] = 5550,
  [5742] = 5530,
  [5743] = 5492,
  [5744] = 5550,
  [5745] = 5500,
  [5746] = 5551,
  [5747] = 5483,
  [5748] = 5667,
  [5749] = 5493,
  [5750] = 5551,
  [5751] = 5576,
  [5752] = 5506,
  [5753] = 5506,
  [5754] = 5557,
  [5755] = 5524,
  [5756] = 5510,
  [5757] = 5561,
  [5758] = 5509,
  [5759] = 5572,
  [5760] = 5557,
  [5761] = 5561,
  [5762] = 5579,
  [5763] = 5533,
  [5764] = 5582,
  [5765] = 5500,
  [5766] = 5766,
  [5767] = 5536,
  [5768] = 5733,
  [5769] = 5572,
  [5770] = 5557,
  [5771] = 5558,
  [5772] = 5591,
  [5773] = 5598,
  [5774] = 5500,
  [5775] = 5561,
  [5776] = 5716,
  [5777] = 5777,
  [5778] = 5483,
  [5779] = 5667,
  [5780] = 5488,
  [5781] = 5781,
  [5782] = 5576,
  [5783] = 5478,
  [5784] = 5629,
  [5785] = 5482,
  [5786] = 5552,
  [5787] = 5623,
  [5788] = 5491,
  [5789] = 5524,
  [5790] = 5492,
  [5791] = 5493,
  [5792] = 5509,
  [5793] = 5533,
  [5794] = 5483,
  [5795] = 5536,
  [5796] = 5796,
  [5797] = 5501,
  [5798] = 5667,
  [5799] = 5558,
  [5800] = 5501,
  [5801] = 5628,
  [5802] = 5501,
  [5803] = 5629,
  [5804] = 5591,
  [5805] = 5598,
  [5806] = 5576,
  [5807] = 5524,
  [5808] = 5808,
  [5809] = 5733,
  [5810] = 5509,
  [5811] = 5495,
  [5812] = 5488,
  [5813] = 5533,
  [5814] = 5536,
  [5815] = 5482,
  [5816] = 5629,
  [5817] = 5628,
  [5818] = 5558,
  [5819] = 5686,
  [5820] = 5660,
  [5821] = 5691,
  [5822] = 5591,
  [5823] = 5808,
  [5824] = 5478,
  [5825] = 5825,
  [5826] = 5826,
  [5827] = 5482,
  [5828] = 5628,
  [5829] = 5598,
  [5830] = 5501,
  [5831] = 5660,
  [5832] = 5733,
  [5833] = 5488,
  [5834] = 5581,
  [5835] = 5482,
  [5836] = 5836,
  [5837] = 5593,
  [5838] = 5511,
  [5839] = 5482,
  [5840] = 5623,
  [5841] = 5491,
  [5842] = 5479,
  [5843] = 5492,
  [5844] = 5493,
  [5845] = 5733,
  [5846] = 5638,
  [5847] = 5701,
  [5848] = 5491,
  [5849] = 5623,
  [5850] = 5850,
  [5851] = 5485,
  [5852] = 5488,
  [5853] = 5569,
  [5854] = 5628,
  [5855] = 5629,
  [5856] = 5494,
  [5857] = 5502,
  [5858] = 5556,
  [5859] = 5590,
  [5860] = 5729,
  [5861] = 5507,
  [5862] = 5576,
  [5863] = 5572,
  [5864] = 5712,
  [5865] = 5478,
  [5866] = 5826,
  [5867] = 5481,
  [5868] = 5495,
  [5869] = 5500,
  [5870] = 5502,
  [5871] = 5871,
  [5872] = 5850,
  [5873] = 5520,
  [5874] = 5623,
  [5875] = 5519,
  [5876] = 5667,
  [5877] = 5628,
  [5878] = 5501,
  [5879] = 5879,
  [5880] = 5556,
  [5881] = 5588,
};

static TSCharacterRange extras_character_set_1[] = {
  {'\t', '\r'}, {' ', ' '}, {0xa0, 0xa0}, {0x1680, 0x1680}, {0x2000, 0x200b}, {0x2028, 0x2029}, {0x202f, 0x202f}, {0x205f, 0x2060},
  {0x3000, 0x3000}, {0xfeff, 0xfeff},
};

static TSCharacterRange sym_identifier_character_set_1[] = {
  {'$', '$'}, {'A', 'Z'}, {'\\', '\\'}, {'_', '_'}, {'a', 'z'}, {0x7f, 0x9f}, {0xa1, 0x167f}, {0x1681, 0x1fff},
  {0x200c, 0x2027}, {0x202a, 0x202e}, {0x2030, 0x205e}, {0x2061, 0x2fff}, {0x3001, 0xfefe}, {0xff00, 0x10ffff},
};

static TSCharacterRange sym_identifier_character_set_2[] = {
  {'$', '$'}, {'0', '9'}, {'A', 'Z'}, {'\\', '\\'}, {'_', '_'}, {'a', 'z'}, {0x7f, 0x9f}, {0xa1, 0x167f},
  {0x1681, 0x1fff}, {0x200c, 0x2027}, {0x202a, 0x202e}, {0x2030, 0x205e}, {0x2061, 0x2fff}, {0x3001, 0xfefe}, {0xff00, 0x10ffff},
};

static bool ts_lex(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (eof) ADVANCE(97);
      ADVANCE_MAP(
        '!', 110,
        '"', 129,
        '#', 10,
        '$', 236,
        '%', 181,
        '&', 160,
        '\'', 130,
        '(', 111,
        ')', 113,
        '*', 100,
        '+', 173,
        ',', 107,
        '-', 177,
        '.', 127,
        '/', 222,
        '0', 227,
        ':', 114,
        ';', 112,
        '<', 186,
        '=', 103,
        '>', 124,
        '?', 242,
        '@', 239,
        '[', 115,
        '\\', 55,
        ']', 116,
        '^', 163,
        '`', 220,
        '{', 106,
        '|', 166,
        '}', 108,
        '~', 198,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(228);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(94);
      if (lookahead > '@') ADVANCE(237);
      END_STATE();
    case 1:
      if (lookahead == '\n') SKIP(1);
      if (lookahead == '/') ADVANCE(118);
      if (lookahead == '<') ADVANCE(120);
      if (set_contains(extras_character_set_1, 10, lookahead)) ADVANCE(119);
      if (lookahead != 0) ADVANCE(117);
      END_STATE();
    case 2:
      if (lookahead == '\n') SKIP(29);
      if (lookahead == '/') ADVANCE(22);
      if (lookahead == '[') ADVANCE(39);
      if (lookahead == '\\') ADVANCE(93);
      if (set_contains(extras_character_set_1, 10, lookahead)) ADVANCE(223);
      if (lookahead != 0) ADVANCE(224);
      END_STATE();
    case 3:
      ADVANCE_MAP(
        '!', 110,
        '"', 129,
        '#', 38,
        '%', 181,
        '&', 160,
        '\'', 130,
        '(', 111,
        ')', 113,
        '*', 100,
        '+', 172,
        ',', 107,
        '-', 176,
        '.', 127,
        '/', 179,
        '0', 227,
        ':', 114,
        ';', 112,
        '<', 186,
        '=', 103,
        '>', 124,
        '?', 242,
        '@', 239,
        '[', 115,
        '\\', 57,
        ']', 116,
        '^', 163,
        '`', 220,
        '{', 105,
        '|', 165,
        '}', 108,
        '~', 198,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(228);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(3);
      if (lookahead > '#') ADVANCE(237);
      END_STATE();
    case 4:
      ADVANCE_MAP(
        '!', 110,
        '"', 129,
        '#', 38,
        '%', 181,
        '&', 160,
        '\'', 130,
        '(', 111,
        ')', 113,
        '*', 100,
        '+', 172,
        ',', 107,
        '-', 176,
        '.', 127,
        '/', 179,
        '0', 227,
        ':', 114,
        '<', 186,
        '=', 103,
        '>', 124,
        '?', 242,
        '@', 239,
        '[', 115,
        '\\', 57,
        '^', 163,
        '`', 220,
        '{', 106,
        '|', 165,
        '~', 198,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(228);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(4);
      if (lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(237);
      END_STATE();
    case 5:
      ADVANCE_MAP(
        '!', 110,
        '"', 129,
        '#', 38,
        '%', 181,
        '&', 160,
        '\'', 130,
        '(', 111,
        ')', 113,
        '*', 100,
        '+', 172,
        ',', 107,
        '-', 176,
        '.', 128,
        '/', 179,
        '0', 227,
        ':', 114,
        ';', 112,
        '<', 185,
        '=', 103,
        '>', 124,
        '?', 242,
        '@', 239,
        '[', 115,
        '\\', 57,
        ']', 116,
        '^', 163,
        '`', 220,
        '{', 106,
        '|', 166,
        '}', 108,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(228);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(5);
      if (lookahead > '#' &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(237);
      END_STATE();
    case 6:
      ADVANCE_MAP(
        '!', 110,
        '"', 129,
        '%', 181,
        '&', 160,
        '\'', 130,
        '(', 111,
        ')', 113,
        '*', 100,
        '+', 172,
        ',', 107,
        '-', 176,
        '.', 126,
        '/', 179,
        ':', 114,
        ';', 112,
        '<', 185,
        '=', 103,
        '>', 124,
        '?', 242,
        '@', 239,
        '[', 115,
        '\\', 57,
        ']', 116,
        '^', 163,
        '`', 220,
        '{', 105,
        '|', 165,
        '}', 108,
      );
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(6);
      if (lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(237);
      END_STATE();
    case 7:
      ADVANCE_MAP(
        '!', 110,
        '%', 180,
        '&', 161,
        '(', 111,
        ')', 113,
        '*', 101,
        '+', 171,
        ',', 107,
        '-', 175,
        '.', 126,
        '/', 178,
        ':', 114,
        ';', 112,
        '<', 187,
        '=', 102,
        '>', 125,
        '?', 243,
        '[', 115,
        '\\', 57,
        ']', 116,
        '^', 162,
        '`', 220,
        '{', 105,
        '|', 168,
        '}', 108,
      );
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(7);
      if (lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(237);
      END_STATE();
    case 8:
      ADVANCE_MAP(
        '!', 110,
        '%', 180,
        '&', 161,
        '(', 111,
        ')', 113,
        '*', 101,
        '+', 171,
        ',', 107,
        '-', 175,
        '.', 126,
        '/', 178,
        ':', 114,
        ';', 112,
        '<', 187,
        '=', 33,
        '>', 125,
        '?', 26,
        '[', 115,
        '\\', 57,
        ']', 116,
        '^', 162,
        '`', 220,
        '{', 105,
        '|', 167,
        '}', 108,
      );
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(225);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(9);
      if (lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '`' || '~' < lookahead)) ADVANCE(237);
      END_STATE();
    case 9:
      ADVANCE_MAP(
        '!', 110,
        '%', 180,
        '&', 161,
        '(', 111,
        ')', 113,
        '*', 101,
        '+', 171,
        ',', 107,
        '-', 175,
        '.', 126,
        '/', 178,
        ':', 114,
        ';', 112,
        '<', 187,
        '=', 33,
        '>', 125,
        '?', 26,
        '[', 115,
        '\\', 57,
        ']', 116,
        '^', 162,
        '`', 220,
        '{', 105,
        '|', 167,
        '}', 108,
      );
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(9);
      if (lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(237);
      END_STATE();
    case 10:
      if (lookahead == '!') ADVANCE(98);
      if (lookahead == '\\') ADVANCE(56);
      if (set_contains(sym_identifier_character_set_1, 14, lookahead)) ADVANCE(238);
      END_STATE();
    case 11:
      ADVANCE_MAP(
        '!', 109,
        '"', 129,
        '#', 38,
        '&', 159,
        '\'', 130,
        '(', 111,
        ')', 113,
        '*', 99,
        '+', 171,
        ',', 107,
        '-', 175,
        '.', 25,
        '/', 178,
        '0', 227,
        '<', 189,
        '?', 240,
        '@', 239,
        '[', 115,
        '\\', 57,
        ']', 116,
        '`', 220,
        '{', 106,
        '|', 164,
        '~', 198,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(228);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(11);
      if (lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(237);
      END_STATE();
    case 12:
      ADVANCE_MAP(
        '!', 109,
        '"', 129,
        '#', 38,
        '&', 159,
        '\'', 130,
        '(', 111,
        ')', 113,
        '*', 99,
        '+', 170,
        ',', 107,
        '-', 174,
        '.', 127,
        '/', 22,
        '0', 227,
        ':', 114,
        ';', 112,
        '<', 184,
        '=', 104,
        '>', 123,
        '?', 240,
        '@', 239,
        '[', 115,
        '\\', 57,
        ']', 116,
        '`', 220,
        '{', 106,
        '|', 169,
        '}', 108,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(228);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(12);
      if (lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(237);
      END_STATE();
    case 13:
      ADVANCE_MAP(
        '!', 109,
        '"', 129,
        '#', 38,
        '&', 159,
        '\'', 130,
        '(', 111,
        ')', 113,
        '*', 99,
        '+', 170,
        ',', 107,
        '-', 174,
        '.', 127,
        '/', 22,
        '0', 227,
        ':', 114,
        ';', 112,
        '<', 184,
        '=', 104,
        '>', 123,
        '?', 240,
        '@', 239,
        '[', 115,
        '\\', 57,
        ']', 116,
        '{', 105,
        '|', 169,
        '}', 108,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(228);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(13);
      if (lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(237);
      END_STATE();
    case 14:
      ADVANCE_MAP(
        '!', 109,
        '"', 129,
        '#', 38,
        '&', 159,
        '\'', 130,
        '(', 111,
        ')', 113,
        '+', 171,
        ',', 107,
        '-', 175,
        '.', 127,
        '/', 178,
        '0', 227,
        ':', 114,
        ';', 112,
        '<', 189,
        '=', 104,
        '>', 123,
        '?', 241,
        '@', 239,
        '[', 115,
        '\\', 57,
        ']', 116,
        '`', 220,
        '{', 105,
        '|', 169,
        '}', 108,
        '~', 198,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(228);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(14);
      if (lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead)) ADVANCE(237);
      END_STATE();
    case 15:
      ADVANCE_MAP(
        '"', 129,
        '&', 159,
        '\'', 130,
        '(', 111,
        ')', 113,
        '*', 99,
        ',', 107,
        '.', 126,
        '/', 22,
        ':', 114,
        ';', 112,
        '<', 184,
        '=', 104,
        '>', 123,
        '?', 241,
        '[', 115,
        '\\', 57,
        ']', 116,
        '{', 105,
        '|', 169,
        '}', 108,
      );
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(15);
      if (lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(237);
      END_STATE();
    case 16:
      if (lookahead == '"') ADVANCE(129);
      if (lookahead == '/') ADVANCE(22);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(16);
      END_STATE();
    case 17:
      if (lookahead == '"') ADVANCE(129);
      if (lookahead == '/') ADVANCE(201);
      if (lookahead == '\\') ADVANCE(58);
      if (lookahead == '\n' ||
          lookahead == '\r') SKIP(16);
      if (set_contains(extras_character_set_1, 10, lookahead)) ADVANCE(204);
      if (lookahead != 0) ADVANCE(206);
      END_STATE();
    case 18:
      ADVANCE_MAP(
        '$', 59,
        '+', 36,
        '-', 37,
        '/', 22,
        ':', 114,
        '?', 32,
        '\\', 58,
        '`', 220,
      );
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(19);
      END_STATE();
    case 19:
      if (lookahead == '$') ADVANCE(59);
      if (lookahead == '+') ADVANCE(36);
      if (lookahead == '-') ADVANCE(37);
      if (lookahead == '/') ADVANCE(22);
      if (lookahead == ':') ADVANCE(114);
      if (lookahead == '?') ADVANCE(32);
      if (lookahead == '`') ADVANCE(220);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(19);
      END_STATE();
    case 20:
      if (lookahead == '\'') ADVANCE(130);
      if (lookahead == '/') ADVANCE(22);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(20);
      END_STATE();
    case 21:
      if (lookahead == '\'') ADVANCE(130);
      if (lookahead == '/') ADVANCE(207);
      if (lookahead == '\\') ADVANCE(58);
      if (lookahead == '\n' ||
          lookahead == '\r') SKIP(20);
      if (set_contains(extras_character_set_1, 10, lookahead)) ADVANCE(210);
      if (lookahead != 0) ADVANCE(212);
      END_STATE();
    case 22:
      if (lookahead == '*') ADVANCE(24);
      if (lookahead == '/') ADVANCE(219);
      END_STATE();
    case 23:
      if (lookahead == '*') ADVANCE(23);
      if (lookahead == '/') ADVANCE(218);
      if (lookahead != 0) ADVANCE(24);
      END_STATE();
    case 24:
      if (lookahead == '*') ADVANCE(23);
      if (lookahead != 0) ADVANCE(24);
      END_STATE();
    case 25:
      if (lookahead == '.') ADVANCE(27);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(233);
      END_STATE();
    case 26:
      if (lookahead == '.') ADVANCE(132);
      if (lookahead == '?') ADVANCE(196);
      END_STATE();
    case 27:
      if (lookahead == '.') ADVANCE(148);
      END_STATE();
    case 28:
      if (lookahead == '/') ADVANCE(222);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(29);
      END_STATE();
    case 29:
      if (lookahead == '/') ADVANCE(22);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(29);
      END_STATE();
    case 30:
      if (lookahead == ':') ADVANCE(245);
      END_STATE();
    case 31:
      if (lookahead == ':') ADVANCE(244);
      END_STATE();
    case 32:
      if (lookahead == ':') ADVANCE(246);
      END_STATE();
    case 33:
      if (lookahead == '=') ADVANCE(191);
      END_STATE();
    case 34:
      if (lookahead == '>') ADVANCE(121);
      END_STATE();
    case 35:
      if (lookahead == '>') ADVANCE(122);
      END_STATE();
    case 36:
      if (lookahead == '?') ADVANCE(30);
      END_STATE();
    case 37:
      if (lookahead == '?') ADVANCE(31);
      END_STATE();
    case 38:
      if (lookahead == '\\') ADVANCE(56);
      if (set_contains(sym_identifier_character_set_1, 14, lookahead)) ADVANCE(238);
      END_STATE();
    case 39:
      if (lookahead == '\\') ADVANCE(92);
      if (lookahead == ']') ADVANCE(224);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(39);
      END_STATE();
    case 40:
      if (lookahead == 'a') ADVANCE(52);
      END_STATE();
    case 41:
      if (lookahead == 'a') ADVANCE(53);
      END_STATE();
    case 42:
      if (lookahead == 'e') ADVANCE(48);
      END_STATE();
    case 43:
      if (lookahead == 'e') ADVANCE(34);
      END_STATE();
    case 44:
      if (lookahead == 'e') ADVANCE(35);
      END_STATE();
    case 45:
      if (lookahead == 'e') ADVANCE(49);
      END_STATE();
    case 46:
      if (lookahead == 'l') ADVANCE(40);
      END_STATE();
    case 47:
      if (lookahead == 'l') ADVANCE(41);
      END_STATE();
    case 48:
      if (lookahead == 'm') ADVANCE(50);
      END_STATE();
    case 49:
      if (lookahead == 'm') ADVANCE(51);
      END_STATE();
    case 50:
      if (lookahead == 'p') ADVANCE(46);
      END_STATE();
    case 51:
      if (lookahead == 'p') ADVANCE(47);
      END_STATE();
    case 52:
      if (lookahead == 't') ADVANCE(43);
      END_STATE();
    case 53:
      if (lookahead == 't') ADVANCE(44);
      END_STATE();
    case 54:
      if (lookahead == 't') ADVANCE(45);
      END_STATE();
    case 55:
      if (lookahead == 'u') ADVANCE(60);
      if (lookahead == 'x') ADVANCE(84);
      if (lookahead == '\r' ||
          lookahead == '?') ADVANCE(215);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(217);
      if (lookahead != 0) ADVANCE(213);
      END_STATE();
    case 56:
      if (lookahead == 'u') ADVANCE(61);
      END_STATE();
    case 57:
      if (lookahead == 'u') ADVANCE(62);
      END_STATE();
    case 58:
      if (lookahead == 'u') ADVANCE(63);
      if (lookahead == 'x') ADVANCE(84);
      if (lookahead == '\r' ||
          lookahead == '?') ADVANCE(215);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(217);
      if (lookahead != 0) ADVANCE(213);
      END_STATE();
    case 59:
      if (lookahead == '{') ADVANCE(221);
      END_STATE();
    case 60:
      if (lookahead == '{') ADVANCE(79);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(89);
      END_STATE();
    case 61:
      if (lookahead == '{') ADVANCE(82);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(90);
      END_STATE();
    case 62:
      if (lookahead == '{') ADVANCE(83);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(91);
      END_STATE();
    case 63:
      if (lookahead == '{') ADVANCE(85);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(81);
      END_STATE();
    case 64:
      if (lookahead == '}') ADVANCE(237);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(64);
      END_STATE();
    case 65:
      if (lookahead == '}') ADVANCE(238);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(65);
      END_STATE();
    case 66:
      if (lookahead == '}') ADVANCE(213);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(66);
      END_STATE();
    case 67:
      if (lookahead == '}') ADVANCE(214);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(67);
      END_STATE();
    case 68:
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(74);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(234);
      END_STATE();
    case 69:
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(230);
      END_STATE();
    case 70:
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(231);
      END_STATE();
    case 71:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(228);
      END_STATE();
    case 72:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(233);
      END_STATE();
    case 73:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(229);
      END_STATE();
    case 74:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(234);
      END_STATE();
    case 75:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(237);
      END_STATE();
    case 76:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(238);
      END_STATE();
    case 77:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(213);
      END_STATE();
    case 78:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(232);
      END_STATE();
    case 79:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(67);
      END_STATE();
    case 80:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(214);
      END_STATE();
    case 81:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(84);
      END_STATE();
    case 82:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(65);
      END_STATE();
    case 83:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(64);
      END_STATE();
    case 84:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(77);
      END_STATE();
    case 85:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(66);
      END_STATE();
    case 86:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(80);
      END_STATE();
    case 87:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(76);
      END_STATE();
    case 88:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(75);
      END_STATE();
    case 89:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(86);
      END_STATE();
    case 90:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(87);
      END_STATE();
    case 91:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(88);
      END_STATE();
    case 92:
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(39);
      END_STATE();
    case 93:
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(224);
      END_STATE();
    case 94:
      if (eof) ADVANCE(97);
      ADVANCE_MAP(
        '!', 110,
        '"', 129,
        '#', 10,
        '$', 236,
        '%', 181,
        '&', 160,
        '\'', 130,
        '(', 111,
        ')', 113,
        '*', 100,
        '+', 173,
        ',', 107,
        '-', 177,
        '.', 127,
        '/', 179,
        '0', 227,
        ':', 114,
        ';', 112,
        '<', 186,
        '=', 103,
        '>', 124,
        '?', 242,
        '@', 239,
        '[', 115,
        '\\', 57,
        ']', 116,
        '^', 163,
        '`', 220,
        '{', 106,
        '|', 166,
        '}', 108,
        '~', 198,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(228);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(94);
      if (lookahead > '@') ADVANCE(237);
      END_STATE();
    case 95:
      if (eof) ADVANCE(97);
      ADVANCE_MAP(
        '!', 110,
        '"', 129,
        '#', 38,
        '%', 180,
        '&', 161,
        '\'', 130,
        '(', 111,
        ')', 113,
        '*', 101,
        '+', 171,
        ',', 107,
        '-', 175,
        '.', 128,
        '/', 178,
        '0', 227,
        ':', 114,
        ';', 112,
        '<', 188,
        '=', 102,
        '>', 125,
        '?', 26,
        '@', 239,
        '[', 115,
        '\\', 57,
        ']', 116,
        '^', 162,
        '`', 220,
        '{', 105,
        '|', 167,
        '}', 108,
        '~', 198,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(228);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(95);
      if (lookahead > '#') ADVANCE(237);
      END_STATE();
    case 96:
      if (eof) ADVANCE(97);
      ADVANCE_MAP(
        '!', 109,
        '"', 129,
        '#', 10,
        '&', 159,
        '\'', 130,
        '(', 111,
        ')', 113,
        '*', 99,
        '+', 171,
        ',', 107,
        '-', 175,
        '.', 127,
        '/', 178,
        '0', 227,
        ':', 114,
        ';', 112,
        '<', 189,
        '=', 104,
        '>', 123,
        '?', 240,
        '@', 239,
        '[', 115,
        '\\', 57,
        ']', 116,
        '`', 220,
        '{', 105,
        '|', 169,
        '}', 108,
        '~', 198,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(228);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(96);
      if (lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead)) ADVANCE(237);
      END_STATE();
    case 97:
      ACCEPT_TOKEN(ts_builtin_sym_end);
      END_STATE();
    case 98:
      ACCEPT_TOKEN(sym_hash_bang_line);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(98);
      END_STATE();
    case 99:
      ACCEPT_TOKEN(anon_sym_STAR);
      END_STATE();
    case 100:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '*') ADVANCE(183);
      if (lookahead == '=') ADVANCE(135);
      END_STATE();
    case 101:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '*') ADVANCE(182);
      END_STATE();
    case 102:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '=') ADVANCE(191);
      END_STATE();
    case 103:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '=') ADVANCE(191);
      if (lookahead == '>') ADVANCE(131);
      END_STATE();
    case 104:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '>') ADVANCE(131);
      END_STATE();
    case 105:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      END_STATE();
    case 106:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      if (lookahead == '|') ADVANCE(247);
      END_STATE();
    case 107:
      ACCEPT_TOKEN(anon_sym_COMMA);
      END_STATE();
    case 108:
      ACCEPT_TOKEN(anon_sym_RBRACE);
      END_STATE();
    case 109:
      ACCEPT_TOKEN(anon_sym_BANG);
      END_STATE();
    case 110:
      ACCEPT_TOKEN(anon_sym_BANG);
      if (lookahead == '=') ADVANCE(193);
      END_STATE();
    case 111:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      END_STATE();
    case 112:
      ACCEPT_TOKEN(anon_sym_SEMI);
      END_STATE();
    case 113:
      ACCEPT_TOKEN(anon_sym_RPAREN);
      END_STATE();
    case 114:
      ACCEPT_TOKEN(anon_sym_COLON);
      END_STATE();
    case 115:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      END_STATE();
    case 116:
      ACCEPT_TOKEN(anon_sym_RBRACK);
      END_STATE();
    case 117:
      ACCEPT_TOKEN(sym__glimmer_template_content);
      END_STATE();
    case 118:
      ACCEPT_TOKEN(sym__glimmer_template_content);
      if (lookahead == '*') ADVANCE(24);
      if (lookahead == '/') ADVANCE(219);
      END_STATE();
    case 119:
      ACCEPT_TOKEN(sym__glimmer_template_content);
      if (lookahead == '/') ADVANCE(118);
      if (lookahead == '<') ADVANCE(120);
      if ((set_contains(extras_character_set_1, 10, lookahead)) &&
          lookahead != '\n') ADVANCE(119);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead)) ADVANCE(117);
      END_STATE();
    case 120:
      ACCEPT_TOKEN(sym__glimmer_template_content);
      if (lookahead == '/') ADVANCE(54);
      END_STATE();
    case 121:
      ACCEPT_TOKEN(sym_glimmer_opening_tag);
      END_STATE();
    case 122:
      ACCEPT_TOKEN(sym_glimmer_closing_tag);
      END_STATE();
    case 123:
      ACCEPT_TOKEN(anon_sym_GT);
      END_STATE();
    case 124:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(195);
      if (lookahead == '>') ADVANCE(153);
      END_STATE();
    case 125:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(195);
      if (lookahead == '>') ADVANCE(154);
      END_STATE();
    case 126:
      ACCEPT_TOKEN(anon_sym_DOT);
      END_STATE();
    case 127:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '.') ADVANCE(27);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(233);
      END_STATE();
    case 128:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(233);
      END_STATE();
    case 129:
      ACCEPT_TOKEN(anon_sym_DQUOTE);
      END_STATE();
    case 130:
      ACCEPT_TOKEN(anon_sym_SQUOTE);
      END_STATE();
    case 131:
      ACCEPT_TOKEN(anon_sym_EQ_GT);
      END_STATE();
    case 132:
      ACCEPT_TOKEN(anon_sym_QMARK_DOT);
      END_STATE();
    case 133:
      ACCEPT_TOKEN(anon_sym_PLUS_EQ);
      END_STATE();
    case 134:
      ACCEPT_TOKEN(anon_sym_DASH_EQ);
      END_STATE();
    case 135:
      ACCEPT_TOKEN(anon_sym_STAR_EQ);
      END_STATE();
    case 136:
      ACCEPT_TOKEN(anon_sym_SLASH_EQ);
      END_STATE();
    case 137:
      ACCEPT_TOKEN(anon_sym_PERCENT_EQ);
      END_STATE();
    case 138:
      ACCEPT_TOKEN(anon_sym_CARET_EQ);
      END_STATE();
    case 139:
      ACCEPT_TOKEN(anon_sym_AMP_EQ);
      END_STATE();
    case 140:
      ACCEPT_TOKEN(anon_sym_PIPE_EQ);
      END_STATE();
    case 141:
      ACCEPT_TOKEN(anon_sym_GT_GT_EQ);
      END_STATE();
    case 142:
      ACCEPT_TOKEN(anon_sym_GT_GT_GT_EQ);
      END_STATE();
    case 143:
      ACCEPT_TOKEN(anon_sym_LT_LT_EQ);
      END_STATE();
    case 144:
      ACCEPT_TOKEN(anon_sym_STAR_STAR_EQ);
      END_STATE();
    case 145:
      ACCEPT_TOKEN(anon_sym_AMP_AMP_EQ);
      END_STATE();
    case 146:
      ACCEPT_TOKEN(anon_sym_PIPE_PIPE_EQ);
      END_STATE();
    case 147:
      ACCEPT_TOKEN(anon_sym_QMARK_QMARK_EQ);
      END_STATE();
    case 148:
      ACCEPT_TOKEN(anon_sym_DOT_DOT_DOT);
      END_STATE();
    case 149:
      ACCEPT_TOKEN(anon_sym_AMP_AMP);
      END_STATE();
    case 150:
      ACCEPT_TOKEN(anon_sym_AMP_AMP);
      if (lookahead == '=') ADVANCE(145);
      END_STATE();
    case 151:
      ACCEPT_TOKEN(anon_sym_PIPE_PIPE);
      END_STATE();
    case 152:
      ACCEPT_TOKEN(anon_sym_PIPE_PIPE);
      if (lookahead == '=') ADVANCE(146);
      END_STATE();
    case 153:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      if (lookahead == '=') ADVANCE(141);
      if (lookahead == '>') ADVANCE(156);
      END_STATE();
    case 154:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      if (lookahead == '>') ADVANCE(155);
      END_STATE();
    case 155:
      ACCEPT_TOKEN(anon_sym_GT_GT_GT);
      END_STATE();
    case 156:
      ACCEPT_TOKEN(anon_sym_GT_GT_GT);
      if (lookahead == '=') ADVANCE(142);
      END_STATE();
    case 157:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      END_STATE();
    case 158:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      if (lookahead == '=') ADVANCE(143);
      END_STATE();
    case 159:
      ACCEPT_TOKEN(anon_sym_AMP);
      END_STATE();
    case 160:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(150);
      if (lookahead == '=') ADVANCE(139);
      END_STATE();
    case 161:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(149);
      END_STATE();
    case 162:
      ACCEPT_TOKEN(anon_sym_CARET);
      END_STATE();
    case 163:
      ACCEPT_TOKEN(anon_sym_CARET);
      if (lookahead == '=') ADVANCE(138);
      END_STATE();
    case 164:
      ACCEPT_TOKEN(anon_sym_PIPE);
      END_STATE();
    case 165:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '=') ADVANCE(140);
      if (lookahead == '|') ADVANCE(152);
      END_STATE();
    case 166:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '=') ADVANCE(140);
      if (lookahead == '|') ADVANCE(152);
      if (lookahead == '}') ADVANCE(248);
      END_STATE();
    case 167:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '|') ADVANCE(151);
      END_STATE();
    case 168:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '|') ADVANCE(151);
      if (lookahead == '}') ADVANCE(248);
      END_STATE();
    case 169:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '}') ADVANCE(248);
      END_STATE();
    case 170:
      ACCEPT_TOKEN(anon_sym_PLUS);
      END_STATE();
    case 171:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(199);
      END_STATE();
    case 172:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(199);
      if (lookahead == '=') ADVANCE(133);
      END_STATE();
    case 173:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(199);
      if (lookahead == '=') ADVANCE(133);
      if (lookahead == '?') ADVANCE(30);
      END_STATE();
    case 174:
      ACCEPT_TOKEN(anon_sym_DASH);
      END_STATE();
    case 175:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(200);
      END_STATE();
    case 176:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(200);
      if (lookahead == '=') ADVANCE(134);
      END_STATE();
    case 177:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(200);
      if (lookahead == '=') ADVANCE(134);
      if (lookahead == '?') ADVANCE(31);
      END_STATE();
    case 178:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '*') ADVANCE(24);
      if (lookahead == '/') ADVANCE(219);
      END_STATE();
    case 179:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '*') ADVANCE(24);
      if (lookahead == '/') ADVANCE(219);
      if (lookahead == '=') ADVANCE(136);
      END_STATE();
    case 180:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      END_STATE();
    case 181:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      if (lookahead == '=') ADVANCE(137);
      END_STATE();
    case 182:
      ACCEPT_TOKEN(anon_sym_STAR_STAR);
      END_STATE();
    case 183:
      ACCEPT_TOKEN(anon_sym_STAR_STAR);
      if (lookahead == '=') ADVANCE(144);
      END_STATE();
    case 184:
      ACCEPT_TOKEN(anon_sym_LT);
      END_STATE();
    case 185:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(158);
      if (lookahead == '=') ADVANCE(190);
      END_STATE();
    case 186:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(158);
      if (lookahead == '=') ADVANCE(190);
      if (lookahead == 't') ADVANCE(42);
      END_STATE();
    case 187:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(157);
      if (lookahead == '=') ADVANCE(190);
      END_STATE();
    case 188:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(157);
      if (lookahead == '=') ADVANCE(190);
      if (lookahead == 't') ADVANCE(42);
      END_STATE();
    case 189:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == 't') ADVANCE(42);
      END_STATE();
    case 190:
      ACCEPT_TOKEN(anon_sym_LT_EQ);
      END_STATE();
    case 191:
      ACCEPT_TOKEN(anon_sym_EQ_EQ);
      if (lookahead == '=') ADVANCE(192);
      END_STATE();
    case 192:
      ACCEPT_TOKEN(anon_sym_EQ_EQ_EQ);
      END_STATE();
    case 193:
      ACCEPT_TOKEN(anon_sym_BANG_EQ);
      if (lookahead == '=') ADVANCE(194);
      END_STATE();
    case 194:
      ACCEPT_TOKEN(anon_sym_BANG_EQ_EQ);
      END_STATE();
    case 195:
      ACCEPT_TOKEN(anon_sym_GT_EQ);
      END_STATE();
    case 196:
      ACCEPT_TOKEN(anon_sym_QMARK_QMARK);
      END_STATE();
    case 197:
      ACCEPT_TOKEN(anon_sym_QMARK_QMARK);
      if (lookahead == '=') ADVANCE(147);
      END_STATE();
    case 198:
      ACCEPT_TOKEN(anon_sym_TILDE);
      END_STATE();
    case 199:
      ACCEPT_TOKEN(anon_sym_PLUS_PLUS);
      END_STATE();
    case 200:
      ACCEPT_TOKEN(anon_sym_DASH_DASH);
      END_STATE();
    case 201:
      ACCEPT_TOKEN(sym_unescaped_double_string_fragment);
      if (lookahead == '*') ADVANCE(203);
      if (lookahead == '/') ADVANCE(205);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(206);
      END_STATE();
    case 202:
      ACCEPT_TOKEN(sym_unescaped_double_string_fragment);
      if (lookahead == '*') ADVANCE(202);
      if (lookahead == '/') ADVANCE(206);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(203);
      END_STATE();
    case 203:
      ACCEPT_TOKEN(sym_unescaped_double_string_fragment);
      if (lookahead == '*') ADVANCE(202);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(203);
      END_STATE();
    case 204:
      ACCEPT_TOKEN(sym_unescaped_double_string_fragment);
      if (lookahead == '/') ADVANCE(201);
      if ((set_contains(extras_character_set_1, 10, lookahead)) &&
          lookahead != '\n' &&
          lookahead != '\r') ADVANCE(204);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(206);
      END_STATE();
    case 205:
      ACCEPT_TOKEN(sym_unescaped_double_string_fragment);
      if (lookahead == 0x2028 ||
          lookahead == 0x2029) ADVANCE(206);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(205);
      END_STATE();
    case 206:
      ACCEPT_TOKEN(sym_unescaped_double_string_fragment);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(206);
      END_STATE();
    case 207:
      ACCEPT_TOKEN(sym_unescaped_single_string_fragment);
      if (lookahead == '*') ADVANCE(209);
      if (lookahead == '/') ADVANCE(211);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(212);
      END_STATE();
    case 208:
      ACCEPT_TOKEN(sym_unescaped_single_string_fragment);
      if (lookahead == '*') ADVANCE(208);
      if (lookahead == '/') ADVANCE(212);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(209);
      END_STATE();
    case 209:
      ACCEPT_TOKEN(sym_unescaped_single_string_fragment);
      if (lookahead == '*') ADVANCE(208);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(209);
      END_STATE();
    case 210:
      ACCEPT_TOKEN(sym_unescaped_single_string_fragment);
      if (lookahead == '/') ADVANCE(207);
      if ((set_contains(extras_character_set_1, 10, lookahead)) &&
          lookahead != '\n' &&
          lookahead != '\r') ADVANCE(210);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(212);
      END_STATE();
    case 211:
      ACCEPT_TOKEN(sym_unescaped_single_string_fragment);
      if (lookahead == 0x2028 ||
          lookahead == 0x2029) ADVANCE(212);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(211);
      END_STATE();
    case 212:
      ACCEPT_TOKEN(sym_unescaped_single_string_fragment);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(212);
      END_STATE();
    case 213:
      ACCEPT_TOKEN(sym_escape_sequence);
      END_STATE();
    case 214:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (lookahead == '\\') ADVANCE(57);
      if (set_contains(sym_identifier_character_set_2, 15, lookahead)) ADVANCE(237);
      END_STATE();
    case 215:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (lookahead == '\n' ||
          lookahead == 0x2028 ||
          lookahead == 0x2029) ADVANCE(213);
      END_STATE();
    case 216:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(213);
      END_STATE();
    case 217:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(216);
      END_STATE();
    case 218:
      ACCEPT_TOKEN(sym_comment);
      END_STATE();
    case 219:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != 0x2028 &&
          lookahead != 0x2029) ADVANCE(219);
      END_STATE();
    case 220:
      ACCEPT_TOKEN(anon_sym_BQUOTE);
      END_STATE();
    case 221:
      ACCEPT_TOKEN(anon_sym_DOLLAR_LBRACE);
      END_STATE();
    case 222:
      ACCEPT_TOKEN(anon_sym_SLASH2);
      END_STATE();
    case 223:
      ACCEPT_TOKEN(sym_regex_pattern);
      if (lookahead == '\n') SKIP(29);
      if (lookahead == '/') ADVANCE(22);
      if (lookahead == '[') ADVANCE(39);
      if (lookahead == '\\') ADVANCE(93);
      if (set_contains(extras_character_set_1, 10, lookahead)) ADVANCE(223);
      if (lookahead != 0) ADVANCE(224);
      END_STATE();
    case 224:
      ACCEPT_TOKEN(sym_regex_pattern);
      if (lookahead == '[') ADVANCE(39);
      if (lookahead == '\\') ADVANCE(93);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '/') ADVANCE(224);
      END_STATE();
    case 225:
      ACCEPT_TOKEN(sym_regex_flags);
      if (lookahead == '\\') ADVANCE(57);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(225);
      if (set_contains(sym_identifier_character_set_2, 15, lookahead)) ADVANCE(237);
      END_STATE();
    case 226:
      ACCEPT_TOKEN(sym_number);
      END_STATE();
    case 227:
      ACCEPT_TOKEN(sym_number);
      ADVANCE_MAP(
        '.', 235,
        '0', 229,
        '_', 73,
        'n', 226,
        'B', 69,
        'b', 69,
        'E', 68,
        'e', 68,
        'O', 70,
        'o', 70,
        'X', 78,
        'x', 78,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(228);
      END_STATE();
    case 228:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '.') ADVANCE(235);
      if (lookahead == '_') ADVANCE(71);
      if (lookahead == 'n') ADVANCE(226);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(68);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(228);
      END_STATE();
    case 229:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '_') ADVANCE(73);
      if (lookahead == 'n') ADVANCE(226);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(229);
      END_STATE();
    case 230:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '_') ADVANCE(69);
      if (lookahead == 'n') ADVANCE(226);
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(230);
      END_STATE();
    case 231:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '_') ADVANCE(70);
      if (lookahead == 'n') ADVANCE(226);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(231);
      END_STATE();
    case 232:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '_') ADVANCE(78);
      if (lookahead == 'n') ADVANCE(226);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(232);
      END_STATE();
    case 233:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '_') ADVANCE(72);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(68);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(233);
      END_STATE();
    case 234:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '_') ADVANCE(74);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(234);
      END_STATE();
    case 235:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(68);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(233);
      END_STATE();
    case 236:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(57);
      if (lookahead == '{') ADVANCE(221);
      if (set_contains(sym_identifier_character_set_2, 15, lookahead)) ADVANCE(237);
      END_STATE();
    case 237:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(57);
      if (set_contains(sym_identifier_character_set_2, 15, lookahead)) ADVANCE(237);
      END_STATE();
    case 238:
      ACCEPT_TOKEN(sym_private_property_identifier);
      if (lookahead == '\\') ADVANCE(56);
      if (set_contains(sym_identifier_character_set_2, 15, lookahead)) ADVANCE(238);
      END_STATE();
    case 239:
      ACCEPT_TOKEN(anon_sym_AT);
      END_STATE();
    case 240:
      ACCEPT_TOKEN(anon_sym_QMARK);
      END_STATE();
    case 241:
      ACCEPT_TOKEN(anon_sym_QMARK);
      if (lookahead == '.') ADVANCE(132);
      END_STATE();
    case 242:
      ACCEPT_TOKEN(anon_sym_QMARK);
      if (lookahead == '.') ADVANCE(132);
      if (lookahead == '?') ADVANCE(197);
      END_STATE();
    case 243:
      ACCEPT_TOKEN(anon_sym_QMARK);
      if (lookahead == '.') ADVANCE(132);
      if (lookahead == '?') ADVANCE(196);
      END_STATE();
    case 244:
      ACCEPT_TOKEN(anon_sym_DASH_QMARK_COLON);
      END_STATE();
    case 245:
      ACCEPT_TOKEN(anon_sym_PLUS_QMARK_COLON);
      END_STATE();
    case 246:
      ACCEPT_TOKEN(anon_sym_QMARK_COLON);
      END_STATE();
    case 247:
      ACCEPT_TOKEN(anon_sym_LBRACE_PIPE);
      END_STATE();
    case 248:
      ACCEPT_TOKEN(anon_sym_PIPE_RBRACE);
      END_STATE();
    default:
      return false;
  }
}

static bool ts_lex_keywords(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      ADVANCE_MAP(
        'a', 1,
        'b', 2,
        'c', 3,
        'd', 4,
        'e', 5,
        'f', 6,
        'g', 7,
        'i', 8,
        'k', 9,
        'l', 10,
        'm', 11,
        'n', 12,
        'o', 13,
        'p', 14,
        'r', 15,
        's', 16,
        't', 17,
        'u', 18,
        'v', 19,
        'w', 20,
        'y', 21,
      );
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(0);
      END_STATE();
    case 1:
      if (lookahead == 'b') ADVANCE(22);
      if (lookahead == 'c') ADVANCE(23);
      if (lookahead == 'n') ADVANCE(24);
      if (lookahead == 's') ADVANCE(25);
      if (lookahead == 'w') ADVANCE(26);
      END_STATE();
    case 2:
      if (lookahead == 'o') ADVANCE(27);
      if (lookahead == 'r') ADVANCE(28);
      END_STATE();
    case 3:
      if (lookahead == 'a') ADVANCE(29);
      if (lookahead == 'l') ADVANCE(30);
      if (lookahead == 'o') ADVANCE(31);
      END_STATE();
    case 4:
      if (lookahead == 'e') ADVANCE(32);
      if (lookahead == 'o') ADVANCE(33);
      END_STATE();
    case 5:
      if (lookahead == 'l') ADVANCE(34);
      if (lookahead == 'n') ADVANCE(35);
      if (lookahead == 'x') ADVANCE(36);
      END_STATE();
    case 6:
      if (lookahead == 'a') ADVANCE(37);
      if (lookahead == 'i') ADVANCE(38);
      if (lookahead == 'o') ADVANCE(39);
      if (lookahead == 'r') ADVANCE(40);
      if (lookahead == 'u') ADVANCE(41);
      END_STATE();
    case 7:
      if (lookahead == 'e') ADVANCE(42);
      if (lookahead == 'l') ADVANCE(43);
      END_STATE();
    case 8:
      if (lookahead == 'f') ADVANCE(44);
      if (lookahead == 'm') ADVANCE(45);
      if (lookahead == 'n') ADVANCE(46);
      if (lookahead == 's') ADVANCE(47);
      END_STATE();
    case 9:
      if (lookahead == 'e') ADVANCE(48);
      END_STATE();
    case 10:
      if (lookahead == 'e') ADVANCE(49);
      END_STATE();
    case 11:
      if (lookahead == 'e') ADVANCE(50);
      if (lookahead == 'o') ADVANCE(51);
      END_STATE();
    case 12:
      if (lookahead == 'a') ADVANCE(52);
      if (lookahead == 'e') ADVANCE(53);
      if (lookahead == 'u') ADVANCE(54);
      END_STATE();
    case 13:
      if (lookahead == 'b') ADVANCE(55);
      if (lookahead == 'f') ADVANCE(56);
      if (lookahead == 'v') ADVANCE(57);
      END_STATE();
    case 14:
      if (lookahead == 'r') ADVANCE(58);
      if (lookahead == 'u') ADVANCE(59);
      END_STATE();
    case 15:
      if (lookahead == 'e') ADVANCE(60);
      END_STATE();
    case 16:
      if (lookahead == 'a') ADVANCE(61);
      if (lookahead == 'e') ADVANCE(62);
      if (lookahead == 't') ADVANCE(63);
      if (lookahead == 'u') ADVANCE(64);
      if (lookahead == 'w') ADVANCE(65);
      if (lookahead == 'y') ADVANCE(66);
      END_STATE();
    case 17:
      if (lookahead == 'a') ADVANCE(67);
      if (lookahead == 'h') ADVANCE(68);
      if (lookahead == 'r') ADVANCE(69);
      if (lookahead == 'y') ADVANCE(70);
      END_STATE();
    case 18:
      if (lookahead == 'n') ADVANCE(71);
      if (lookahead == 's') ADVANCE(72);
      END_STATE();
    case 19:
      if (lookahead == 'a') ADVANCE(73);
      if (lookahead == 'o') ADVANCE(74);
      END_STATE();
    case 20:
      if (lookahead == 'h') ADVANCE(75);
      if (lookahead == 'i') ADVANCE(76);
      END_STATE();
    case 21:
      if (lookahead == 'i') ADVANCE(77);
      END_STATE();
    case 22:
      if (lookahead == 's') ADVANCE(78);
      END_STATE();
    case 23:
      if (lookahead == 'c') ADVANCE(79);
      END_STATE();
    case 24:
      if (lookahead == 'y') ADVANCE(80);
      END_STATE();
    case 25:
      ACCEPT_TOKEN(anon_sym_as);
      if (lookahead == 's') ADVANCE(81);
      if (lookahead == 'y') ADVANCE(82);
      END_STATE();
    case 26:
      if (lookahead == 'a') ADVANCE(83);
      END_STATE();
    case 27:
      if (lookahead == 'o') ADVANCE(84);
      END_STATE();
    case 28:
      if (lookahead == 'e') ADVANCE(85);
      END_STATE();
    case 29:
      if (lookahead == 's') ADVANCE(86);
      if (lookahead == 't') ADVANCE(87);
      END_STATE();
    case 30:
      if (lookahead == 'a') ADVANCE(88);
      END_STATE();
    case 31:
      if (lookahead == 'n') ADVANCE(89);
      END_STATE();
    case 32:
      if (lookahead == 'b') ADVANCE(90);
      if (lookahead == 'c') ADVANCE(91);
      if (lookahead == 'f') ADVANCE(92);
      if (lookahead == 'l') ADVANCE(93);
      END_STATE();
    case 33:
      ACCEPT_TOKEN(anon_sym_do);
      END_STATE();
    case 34:
      if (lookahead == 's') ADVANCE(94);
      END_STATE();
    case 35:
      if (lookahead == 'u') ADVANCE(95);
      END_STATE();
    case 36:
      if (lookahead == 'p') ADVANCE(96);
      if (lookahead == 't') ADVANCE(97);
      END_STATE();
    case 37:
      if (lookahead == 'l') ADVANCE(98);
      END_STATE();
    case 38:
      if (lookahead == 'n') ADVANCE(99);
      END_STATE();
    case 39:
      if (lookahead == 'r') ADVANCE(100);
      END_STATE();
    case 40:
      if (lookahead == 'o') ADVANCE(101);
      END_STATE();
    case 41:
      if (lookahead == 'n') ADVANCE(102);
      END_STATE();
    case 42:
      if (lookahead == 't') ADVANCE(103);
      END_STATE();
    case 43:
      if (lookahead == 'o') ADVANCE(104);
      END_STATE();
    case 44:
      ACCEPT_TOKEN(anon_sym_if);
      END_STATE();
    case 45:
      if (lookahead == 'p') ADVANCE(105);
      END_STATE();
    case 46:
      ACCEPT_TOKEN(anon_sym_in);
      if (lookahead == 'f') ADVANCE(106);
      if (lookahead == 's') ADVANCE(107);
      if (lookahead == 't') ADVANCE(108);
      END_STATE();
    case 47:
      ACCEPT_TOKEN(anon_sym_is);
      END_STATE();
    case 48:
      if (lookahead == 'y') ADVANCE(109);
      END_STATE();
    case 49:
      if (lookahead == 't') ADVANCE(110);
      END_STATE();
    case 50:
      if (lookahead == 't') ADVANCE(111);
      END_STATE();
    case 51:
      if (lookahead == 'd') ADVANCE(112);
      END_STATE();
    case 52:
      if (lookahead == 'm') ADVANCE(113);
      END_STATE();
    case 53:
      if (lookahead == 'v') ADVANCE(114);
      if (lookahead == 'w') ADVANCE(115);
      END_STATE();
    case 54:
      if (lookahead == 'l') ADVANCE(116);
      if (lookahead == 'm') ADVANCE(117);
      END_STATE();
    case 55:
      if (lookahead == 'j') ADVANCE(118);
      END_STATE();
    case 56:
      ACCEPT_TOKEN(anon_sym_of);
      END_STATE();
    case 57:
      if (lookahead == 'e') ADVANCE(119);
      END_STATE();
    case 58:
      if (lookahead == 'i') ADVANCE(120);
      if (lookahead == 'o') ADVANCE(121);
      END_STATE();
    case 59:
      if (lookahead == 'b') ADVANCE(122);
      END_STATE();
    case 60:
      if (lookahead == 'a') ADVANCE(123);
      if (lookahead == 'q') ADVANCE(124);
      if (lookahead == 't') ADVANCE(125);
      END_STATE();
    case 61:
      if (lookahead == 't') ADVANCE(126);
      END_STATE();
    case 62:
      if (lookahead == 't') ADVANCE(127);
      END_STATE();
    case 63:
      if (lookahead == 'a') ADVANCE(128);
      if (lookahead == 'r') ADVANCE(129);
      END_STATE();
    case 64:
      if (lookahead == 'p') ADVANCE(130);
      END_STATE();
    case 65:
      if (lookahead == 'i') ADVANCE(131);
      END_STATE();
    case 66:
      if (lookahead == 'm') ADVANCE(132);
      END_STATE();
    case 67:
      if (lookahead == 'r') ADVANCE(133);
      END_STATE();
    case 68:
      if (lookahead == 'i') ADVANCE(134);
      if (lookahead == 'r') ADVANCE(135);
      END_STATE();
    case 69:
      if (lookahead == 'u') ADVANCE(136);
      if (lookahead == 'y') ADVANCE(137);
      END_STATE();
    case 70:
      if (lookahead == 'p') ADVANCE(138);
      END_STATE();
    case 71:
      if (lookahead == 'd') ADVANCE(139);
      if (lookahead == 'i') ADVANCE(140);
      if (lookahead == 'k') ADVANCE(141);
      END_STATE();
    case 72:
      if (lookahead == 'i') ADVANCE(142);
      END_STATE();
    case 73:
      if (lookahead == 'r') ADVANCE(143);
      END_STATE();
    case 74:
      if (lookahead == 'i') ADVANCE(144);
      END_STATE();
    case 75:
      if (lookahead == 'i') ADVANCE(145);
      END_STATE();
    case 76:
      if (lookahead == 't') ADVANCE(146);
      END_STATE();
    case 77:
      if (lookahead == 'e') ADVANCE(147);
      END_STATE();
    case 78:
      if (lookahead == 't') ADVANCE(148);
      END_STATE();
    case 79:
      if (lookahead == 'e') ADVANCE(149);
      END_STATE();
    case 80:
      ACCEPT_TOKEN(anon_sym_any);
      END_STATE();
    case 81:
      if (lookahead == 'e') ADVANCE(150);
      END_STATE();
    case 82:
      if (lookahead == 'n') ADVANCE(151);
      END_STATE();
    case 83:
      if (lookahead == 'i') ADVANCE(152);
      END_STATE();
    case 84:
      if (lookahead == 'l') ADVANCE(153);
      END_STATE();
    case 85:
      if (lookahead == 'a') ADVANCE(154);
      END_STATE();
    case 86:
      if (lookahead == 'e') ADVANCE(155);
      END_STATE();
    case 87:
      if (lookahead == 'c') ADVANCE(156);
      END_STATE();
    case 88:
      if (lookahead == 's') ADVANCE(157);
      END_STATE();
    case 89:
      if (lookahead == 's') ADVANCE(158);
      if (lookahead == 't') ADVANCE(159);
      END_STATE();
    case 90:
      if (lookahead == 'u') ADVANCE(160);
      END_STATE();
    case 91:
      if (lookahead == 'l') ADVANCE(161);
      END_STATE();
    case 92:
      if (lookahead == 'a') ADVANCE(162);
      END_STATE();
    case 93:
      if (lookahead == 'e') ADVANCE(163);
      END_STATE();
    case 94:
      if (lookahead == 'e') ADVANCE(164);
      END_STATE();
    case 95:
      if (lookahead == 'm') ADVANCE(165);
      END_STATE();
    case 96:
      if (lookahead == 'o') ADVANCE(166);
      END_STATE();
    case 97:
      if (lookahead == 'e') ADVANCE(167);
      END_STATE();
    case 98:
      if (lookahead == 's') ADVANCE(168);
      END_STATE();
    case 99:
      if (lookahead == 'a') ADVANCE(169);
      END_STATE();
    case 100:
      ACCEPT_TOKEN(anon_sym_for);
      END_STATE();
    case 101:
      if (lookahead == 'm') ADVANCE(170);
      END_STATE();
    case 102:
      if (lookahead == 'c') ADVANCE(171);
      END_STATE();
    case 103:
      ACCEPT_TOKEN(anon_sym_get);
      END_STATE();
    case 104:
      if (lookahead == 'b') ADVANCE(172);
      END_STATE();
    case 105:
      if (lookahead == 'l') ADVANCE(173);
      if (lookahead == 'o') ADVANCE(174);
      END_STATE();
    case 106:
      if (lookahead == 'e') ADVANCE(175);
      END_STATE();
    case 107:
      if (lookahead == 't') ADVANCE(176);
      END_STATE();
    case 108:
      if (lookahead == 'e') ADVANCE(177);
      END_STATE();
    case 109:
      if (lookahead == 'o') ADVANCE(178);
      END_STATE();
    case 110:
      ACCEPT_TOKEN(anon_sym_let);
      END_STATE();
    case 111:
      if (lookahead == 'a') ADVANCE(179);
      END_STATE();
    case 112:
      if (lookahead == 'u') ADVANCE(180);
      END_STATE();
    case 113:
      if (lookahead == 'e') ADVANCE(181);
      END_STATE();
    case 114:
      if (lookahead == 'e') ADVANCE(182);
      END_STATE();
    case 115:
      ACCEPT_TOKEN(anon_sym_new);
      END_STATE();
    case 116:
      if (lookahead == 'l') ADVANCE(183);
      END_STATE();
    case 117:
      if (lookahead == 'b') ADVANCE(184);
      END_STATE();
    case 118:
      if (lookahead == 'e') ADVANCE(185);
      END_STATE();
    case 119:
      if (lookahead == 'r') ADVANCE(186);
      END_STATE();
    case 120:
      if (lookahead == 'v') ADVANCE(187);
      END_STATE();
    case 121:
      if (lookahead == 't') ADVANCE(188);
      END_STATE();
    case 122:
      if (lookahead == 'l') ADVANCE(189);
      END_STATE();
    case 123:
      if (lookahead == 'd') ADVANCE(190);
      END_STATE();
    case 124:
      if (lookahead == 'u') ADVANCE(191);
      END_STATE();
    case 125:
      if (lookahead == 'u') ADVANCE(192);
      END_STATE();
    case 126:
      if (lookahead == 'i') ADVANCE(193);
      END_STATE();
    case 127:
      ACCEPT_TOKEN(anon_sym_set);
      END_STATE();
    case 128:
      if (lookahead == 't') ADVANCE(194);
      END_STATE();
    case 129:
      if (lookahead == 'i') ADVANCE(195);
      END_STATE();
    case 130:
      if (lookahead == 'e') ADVANCE(196);
      END_STATE();
    case 131:
      if (lookahead == 't') ADVANCE(197);
      END_STATE();
    case 132:
      if (lookahead == 'b') ADVANCE(198);
      END_STATE();
    case 133:
      if (lookahead == 'g') ADVANCE(199);
      END_STATE();
    case 134:
      if (lookahead == 's') ADVANCE(200);
      END_STATE();
    case 135:
      if (lookahead == 'o') ADVANCE(201);
      END_STATE();
    case 136:
      if (lookahead == 'e') ADVANCE(202);
      END_STATE();
    case 137:
      ACCEPT_TOKEN(anon_sym_try);
      END_STATE();
    case 138:
      if (lookahead == 'e') ADVANCE(203);
      END_STATE();
    case 139:
      if (lookahead == 'e') ADVANCE(204);
      END_STATE();
    case 140:
      if (lookahead == 'q') ADVANCE(205);
      END_STATE();
    case 141:
      if (lookahead == 'n') ADVANCE(206);
      END_STATE();
    case 142:
      if (lookahead == 'n') ADVANCE(207);
      END_STATE();
    case 143:
      ACCEPT_TOKEN(anon_sym_var);
      END_STATE();
    case 144:
      if (lookahead == 'd') ADVANCE(208);
      END_STATE();
    case 145:
      if (lookahead == 'l') ADVANCE(209);
      END_STATE();
    case 146:
      if (lookahead == 'h') ADVANCE(210);
      END_STATE();
    case 147:
      if (lookahead == 'l') ADVANCE(211);
      END_STATE();
    case 148:
      if (lookahead == 'r') ADVANCE(212);
      END_STATE();
    case 149:
      if (lookahead == 's') ADVANCE(213);
      END_STATE();
    case 150:
      if (lookahead == 'r') ADVANCE(214);
      END_STATE();
    case 151:
      if (lookahead == 'c') ADVANCE(215);
      END_STATE();
    case 152:
      if (lookahead == 't') ADVANCE(216);
      END_STATE();
    case 153:
      if (lookahead == 'e') ADVANCE(217);
      END_STATE();
    case 154:
      if (lookahead == 'k') ADVANCE(218);
      END_STATE();
    case 155:
      ACCEPT_TOKEN(anon_sym_case);
      END_STATE();
    case 156:
      if (lookahead == 'h') ADVANCE(219);
      END_STATE();
    case 157:
      if (lookahead == 's') ADVANCE(220);
      END_STATE();
    case 158:
      if (lookahead == 't') ADVANCE(221);
      END_STATE();
    case 159:
      if (lookahead == 'i') ADVANCE(222);
      END_STATE();
    case 160:
      if (lookahead == 'g') ADVANCE(223);
      END_STATE();
    case 161:
      if (lookahead == 'a') ADVANCE(224);
      END_STATE();
    case 162:
      if (lookahead == 'u') ADVANCE(225);
      END_STATE();
    case 163:
      if (lookahead == 't') ADVANCE(226);
      END_STATE();
    case 164:
      ACCEPT_TOKEN(anon_sym_else);
      END_STATE();
    case 165:
      ACCEPT_TOKEN(anon_sym_enum);
      END_STATE();
    case 166:
      if (lookahead == 'r') ADVANCE(227);
      END_STATE();
    case 167:
      if (lookahead == 'n') ADVANCE(228);
      END_STATE();
    case 168:
      if (lookahead == 'e') ADVANCE(229);
      END_STATE();
    case 169:
      if (lookahead == 'l') ADVANCE(230);
      END_STATE();
    case 170:
      ACCEPT_TOKEN(anon_sym_from);
      END_STATE();
    case 171:
      if (lookahead == 't') ADVANCE(231);
      END_STATE();
    case 172:
      if (lookahead == 'a') ADVANCE(232);
      END_STATE();
    case 173:
      if (lookahead == 'e') ADVANCE(233);
      END_STATE();
    case 174:
      if (lookahead == 'r') ADVANCE(234);
      END_STATE();
    case 175:
      if (lookahead == 'r') ADVANCE(235);
      END_STATE();
    case 176:
      if (lookahead == 'a') ADVANCE(236);
      END_STATE();
    case 177:
      if (lookahead == 'r') ADVANCE(237);
      END_STATE();
    case 178:
      if (lookahead == 'f') ADVANCE(238);
      END_STATE();
    case 179:
      ACCEPT_TOKEN(anon_sym_meta);
      END_STATE();
    case 180:
      if (lookahead == 'l') ADVANCE(239);
      END_STATE();
    case 181:
      if (lookahead == 's') ADVANCE(240);
      END_STATE();
    case 182:
      if (lookahead == 'r') ADVANCE(241);
      END_STATE();
    case 183:
      ACCEPT_TOKEN(sym_null);
      END_STATE();
    case 184:
      if (lookahead == 'e') ADVANCE(242);
      END_STATE();
    case 185:
      if (lookahead == 'c') ADVANCE(243);
      END_STATE();
    case 186:
      if (lookahead == 'r') ADVANCE(244);
      END_STATE();
    case 187:
      if (lookahead == 'a') ADVANCE(245);
      END_STATE();
    case 188:
      if (lookahead == 'e') ADVANCE(246);
      END_STATE();
    case 189:
      if (lookahead == 'i') ADVANCE(247);
      END_STATE();
    case 190:
      if (lookahead == 'o') ADVANCE(248);
      END_STATE();
    case 191:
      if (lookahead == 'i') ADVANCE(249);
      END_STATE();
    case 192:
      if (lookahead == 'r') ADVANCE(250);
      END_STATE();
    case 193:
      if (lookahead == 's') ADVANCE(251);
      END_STATE();
    case 194:
      if (lookahead == 'i') ADVANCE(252);
      END_STATE();
    case 195:
      if (lookahead == 'n') ADVANCE(253);
      END_STATE();
    case 196:
      if (lookahead == 'r') ADVANCE(254);
      END_STATE();
    case 197:
      if (lookahead == 'c') ADVANCE(255);
      END_STATE();
    case 198:
      if (lookahead == 'o') ADVANCE(256);
      END_STATE();
    case 199:
      if (lookahead == 'e') ADVANCE(257);
      END_STATE();
    case 200:
      ACCEPT_TOKEN(sym_this);
      END_STATE();
    case 201:
      if (lookahead == 'w') ADVANCE(258);
      END_STATE();
    case 202:
      ACCEPT_TOKEN(sym_true);
      END_STATE();
    case 203:
      ACCEPT_TOKEN(anon_sym_type);
      if (lookahead == 'o') ADVANCE(259);
      END_STATE();
    case 204:
      if (lookahead == 'f') ADVANCE(260);
      END_STATE();
    case 205:
      if (lookahead == 'u') ADVANCE(261);
      END_STATE();
    case 206:
      if (lookahead == 'o') ADVANCE(262);
      END_STATE();
    case 207:
      if (lookahead == 'g') ADVANCE(263);
      END_STATE();
    case 208:
      ACCEPT_TOKEN(anon_sym_void);
      END_STATE();
    case 209:
      if (lookahead == 'e') ADVANCE(264);
      END_STATE();
    case 210:
      ACCEPT_TOKEN(anon_sym_with);
      END_STATE();
    case 211:
      if (lookahead == 'd') ADVANCE(265);
      END_STATE();
    case 212:
      if (lookahead == 'a') ADVANCE(266);
      END_STATE();
    case 213:
      if (lookahead == 's') ADVANCE(267);
      END_STATE();
    case 214:
      if (lookahead == 't') ADVANCE(268);
      END_STATE();
    case 215:
      ACCEPT_TOKEN(anon_sym_async);
      END_STATE();
    case 216:
      ACCEPT_TOKEN(anon_sym_await);
      END_STATE();
    case 217:
      if (lookahead == 'a') ADVANCE(269);
      END_STATE();
    case 218:
      ACCEPT_TOKEN(anon_sym_break);
      END_STATE();
    case 219:
      ACCEPT_TOKEN(anon_sym_catch);
      END_STATE();
    case 220:
      ACCEPT_TOKEN(anon_sym_class);
      END_STATE();
    case 221:
      ACCEPT_TOKEN(anon_sym_const);
      END_STATE();
    case 222:
      if (lookahead == 'n') ADVANCE(270);
      END_STATE();
    case 223:
      if (lookahead == 'g') ADVANCE(271);
      END_STATE();
    case 224:
      if (lookahead == 'r') ADVANCE(272);
      END_STATE();
    case 225:
      if (lookahead == 'l') ADVANCE(273);
      END_STATE();
    case 226:
      if (lookahead == 'e') ADVANCE(274);
      END_STATE();
    case 227:
      if (lookahead == 't') ADVANCE(275);
      END_STATE();
    case 228:
      if (lookahead == 'd') ADVANCE(276);
      END_STATE();
    case 229:
      ACCEPT_TOKEN(sym_false);
      END_STATE();
    case 230:
      if (lookahead == 'l') ADVANCE(277);
      END_STATE();
    case 231:
      if (lookahead == 'i') ADVANCE(278);
      END_STATE();
    case 232:
      if (lookahead == 'l') ADVANCE(279);
      END_STATE();
    case 233:
      if (lookahead == 'm') ADVANCE(280);
      END_STATE();
    case 234:
      if (lookahead == 't') ADVANCE(281);
      END_STATE();
    case 235:
      ACCEPT_TOKEN(anon_sym_infer);
      END_STATE();
    case 236:
      if (lookahead == 'n') ADVANCE(282);
      END_STATE();
    case 237:
      if (lookahead == 'f') ADVANCE(283);
      END_STATE();
    case 238:
      ACCEPT_TOKEN(anon_sym_keyof);
      END_STATE();
    case 239:
      if (lookahead == 'e') ADVANCE(284);
      END_STATE();
    case 240:
      if (lookahead == 'p') ADVANCE(285);
      END_STATE();
    case 241:
      ACCEPT_TOKEN(anon_sym_never);
      END_STATE();
    case 242:
      if (lookahead == 'r') ADVANCE(286);
      END_STATE();
    case 243:
      if (lookahead == 't') ADVANCE(287);
      END_STATE();
    case 244:
      if (lookahead == 'i') ADVANCE(288);
      END_STATE();
    case 245:
      if (lookahead == 't') ADVANCE(289);
      END_STATE();
    case 246:
      if (lookahead == 'c') ADVANCE(290);
      END_STATE();
    case 247:
      if (lookahead == 'c') ADVANCE(291);
      END_STATE();
    case 248:
      if (lookahead == 'n') ADVANCE(292);
      END_STATE();
    case 249:
      if (lookahead == 'r') ADVANCE(293);
      END_STATE();
    case 250:
      if (lookahead == 'n') ADVANCE(294);
      END_STATE();
    case 251:
      if (lookahead == 'f') ADVANCE(295);
      END_STATE();
    case 252:
      if (lookahead == 'c') ADVANCE(296);
      END_STATE();
    case 253:
      if (lookahead == 'g') ADVANCE(297);
      END_STATE();
    case 254:
      ACCEPT_TOKEN(sym_super);
      END_STATE();
    case 255:
      if (lookahead == 'h') ADVANCE(298);
      END_STATE();
    case 256:
      if (lookahead == 'l') ADVANCE(299);
      END_STATE();
    case 257:
      if (lookahead == 't') ADVANCE(300);
      END_STATE();
    case 258:
      ACCEPT_TOKEN(anon_sym_throw);
      END_STATE();
    case 259:
      if (lookahead == 'f') ADVANCE(301);
      END_STATE();
    case 260:
      if (lookahead == 'i') ADVANCE(302);
      END_STATE();
    case 261:
      if (lookahead == 'e') ADVANCE(303);
      END_STATE();
    case 262:
      if (lookahead == 'w') ADVANCE(304);
      END_STATE();
    case 263:
      ACCEPT_TOKEN(anon_sym_using);
      END_STATE();
    case 264:
      ACCEPT_TOKEN(anon_sym_while);
      END_STATE();
    case 265:
      ACCEPT_TOKEN(anon_sym_yield);
      END_STATE();
    case 266:
      if (lookahead == 'c') ADVANCE(305);
      END_STATE();
    case 267:
      if (lookahead == 'o') ADVANCE(306);
      END_STATE();
    case 268:
      ACCEPT_TOKEN(anon_sym_assert);
      if (lookahead == 's') ADVANCE(307);
      END_STATE();
    case 269:
      if (lookahead == 'n') ADVANCE(308);
      END_STATE();
    case 270:
      if (lookahead == 'u') ADVANCE(309);
      END_STATE();
    case 271:
      if (lookahead == 'e') ADVANCE(310);
      END_STATE();
    case 272:
      if (lookahead == 'e') ADVANCE(311);
      END_STATE();
    case 273:
      if (lookahead == 't') ADVANCE(312);
      END_STATE();
    case 274:
      ACCEPT_TOKEN(anon_sym_delete);
      END_STATE();
    case 275:
      ACCEPT_TOKEN(anon_sym_export);
      END_STATE();
    case 276:
      if (lookahead == 's') ADVANCE(313);
      END_STATE();
    case 277:
      if (lookahead == 'y') ADVANCE(314);
      END_STATE();
    case 278:
      if (lookahead == 'o') ADVANCE(315);
      END_STATE();
    case 279:
      ACCEPT_TOKEN(anon_sym_global);
      END_STATE();
    case 280:
      if (lookahead == 'e') ADVANCE(316);
      END_STATE();
    case 281:
      ACCEPT_TOKEN(anon_sym_import);
      END_STATE();
    case 282:
      if (lookahead == 'c') ADVANCE(317);
      END_STATE();
    case 283:
      if (lookahead == 'a') ADVANCE(318);
      END_STATE();
    case 284:
      ACCEPT_TOKEN(anon_sym_module);
      END_STATE();
    case 285:
      if (lookahead == 'a') ADVANCE(319);
      END_STATE();
    case 286:
      ACCEPT_TOKEN(anon_sym_number);
      END_STATE();
    case 287:
      ACCEPT_TOKEN(anon_sym_object);
      END_STATE();
    case 288:
      if (lookahead == 'd') ADVANCE(320);
      END_STATE();
    case 289:
      if (lookahead == 'e') ADVANCE(321);
      END_STATE();
    case 290:
      if (lookahead == 't') ADVANCE(322);
      END_STATE();
    case 291:
      ACCEPT_TOKEN(anon_sym_public);
      END_STATE();
    case 292:
      if (lookahead == 'l') ADVANCE(323);
      END_STATE();
    case 293:
      if (lookahead == 'e') ADVANCE(324);
      END_STATE();
    case 294:
      ACCEPT_TOKEN(anon_sym_return);
      END_STATE();
    case 295:
      if (lookahead == 'i') ADVANCE(325);
      END_STATE();
    case 296:
      ACCEPT_TOKEN(anon_sym_static);
      END_STATE();
    case 297:
      ACCEPT_TOKEN(anon_sym_string);
      END_STATE();
    case 298:
      ACCEPT_TOKEN(anon_sym_switch);
      END_STATE();
    case 299:
      ACCEPT_TOKEN(anon_sym_symbol);
      END_STATE();
    case 300:
      ACCEPT_TOKEN(anon_sym_target);
      END_STATE();
    case 301:
      ACCEPT_TOKEN(anon_sym_typeof);
      END_STATE();
    case 302:
      if (lookahead == 'n') ADVANCE(326);
      END_STATE();
    case 303:
      ACCEPT_TOKEN(anon_sym_unique);
      END_STATE();
    case 304:
      if (lookahead == 'n') ADVANCE(327);
      END_STATE();
    case 305:
      if (lookahead == 't') ADVANCE(328);
      END_STATE();
    case 306:
      if (lookahead == 'r') ADVANCE(329);
      END_STATE();
    case 307:
      ACCEPT_TOKEN(anon_sym_asserts);
      END_STATE();
    case 308:
      ACCEPT_TOKEN(anon_sym_boolean);
      END_STATE();
    case 309:
      if (lookahead == 'e') ADVANCE(330);
      END_STATE();
    case 310:
      if (lookahead == 'r') ADVANCE(331);
      END_STATE();
    case 311:
      ACCEPT_TOKEN(anon_sym_declare);
      END_STATE();
    case 312:
      ACCEPT_TOKEN(anon_sym_default);
      END_STATE();
    case 313:
      ACCEPT_TOKEN(anon_sym_extends);
      END_STATE();
    case 314:
      ACCEPT_TOKEN(anon_sym_finally);
      END_STATE();
    case 315:
      if (lookahead == 'n') ADVANCE(332);
      END_STATE();
    case 316:
      if (lookahead == 'n') ADVANCE(333);
      END_STATE();
    case 317:
      if (lookahead == 'e') ADVANCE(334);
      END_STATE();
    case 318:
      if (lookahead == 'c') ADVANCE(335);
      END_STATE();
    case 319:
      if (lookahead == 'c') ADVANCE(336);
      END_STATE();
    case 320:
      if (lookahead == 'e') ADVANCE(337);
      END_STATE();
    case 321:
      ACCEPT_TOKEN(anon_sym_private);
      END_STATE();
    case 322:
      if (lookahead == 'e') ADVANCE(338);
      END_STATE();
    case 323:
      if (lookahead == 'y') ADVANCE(339);
      END_STATE();
    case 324:
      ACCEPT_TOKEN(anon_sym_require);
      END_STATE();
    case 325:
      if (lookahead == 'e') ADVANCE(340);
      END_STATE();
    case 326:
      if (lookahead == 'e') ADVANCE(341);
      END_STATE();
    case 327:
      ACCEPT_TOKEN(anon_sym_unknown);
      END_STATE();
    case 328:
      ACCEPT_TOKEN(anon_sym_abstract);
      END_STATE();
    case 329:
      ACCEPT_TOKEN(anon_sym_accessor);
      END_STATE();
    case 330:
      ACCEPT_TOKEN(anon_sym_continue);
      END_STATE();
    case 331:
      ACCEPT_TOKEN(anon_sym_debugger);
      END_STATE();
    case 332:
      ACCEPT_TOKEN(anon_sym_function);
      END_STATE();
    case 333:
      if (lookahead == 't') ADVANCE(342);
      END_STATE();
    case 334:
      if (lookahead == 'o') ADVANCE(343);
      END_STATE();
    case 335:
      if (lookahead == 'e') ADVANCE(344);
      END_STATE();
    case 336:
      if (lookahead == 'e') ADVANCE(345);
      END_STATE();
    case 337:
      ACCEPT_TOKEN(anon_sym_override);
      END_STATE();
    case 338:
      if (lookahead == 'd') ADVANCE(346);
      END_STATE();
    case 339:
      ACCEPT_TOKEN(anon_sym_readonly);
      END_STATE();
    case 340:
      if (lookahead == 's') ADVANCE(347);
      END_STATE();
    case 341:
      if (lookahead == 'd') ADVANCE(348);
      END_STATE();
    case 342:
      if (lookahead == 's') ADVANCE(349);
      END_STATE();
    case 343:
      if (lookahead == 'f') ADVANCE(350);
      END_STATE();
    case 344:
      ACCEPT_TOKEN(anon_sym_interface);
      END_STATE();
    case 345:
      ACCEPT_TOKEN(anon_sym_namespace);
      END_STATE();
    case 346:
      ACCEPT_TOKEN(anon_sym_protected);
      END_STATE();
    case 347:
      ACCEPT_TOKEN(anon_sym_satisfies);
      END_STATE();
    case 348:
      ACCEPT_TOKEN(sym_undefined);
      END_STATE();
    case 349:
      ACCEPT_TOKEN(anon_sym_implements);
      END_STATE();
    case 350:
      ACCEPT_TOKEN(anon_sym_instanceof);
      END_STATE();
    default:
      return false;
  }
}

static const TSLexMode ts_lex_modes[STATE_COUNT] = {
  [0] = {.lex_state = 0, .external_lex_state = 1},
  [1] = {.lex_state = 96, .external_lex_state = 2},
  [2] = {.lex_state = 4, .external_lex_state = 3},
  [3] = {.lex_state = 4, .external_lex_state = 3},
  [4] = {.lex_state = 96, .external_lex_state = 2},
  [5] = {.lex_state = 96, .external_lex_state = 2},
  [6] = {.lex_state = 96, .external_lex_state = 2},
  [7] = {.lex_state = 96, .external_lex_state = 2},
  [8] = {.lex_state = 96, .external_lex_state = 2},
  [9] = {.lex_state = 96, .external_lex_state = 2},
  [10] = {.lex_state = 96, .external_lex_state = 2},
  [11] = {.lex_state = 96, .external_lex_state = 2},
  [12] = {.lex_state = 96, .external_lex_state = 2},
  [13] = {.lex_state = 96, .external_lex_state = 2},
  [14] = {.lex_state = 96, .external_lex_state = 2},
  [15] = {.lex_state = 96, .external_lex_state = 2},
  [16] = {.lex_state = 96, .external_lex_state = 2},
  [17] = {.lex_state = 96, .external_lex_state = 2},
  [18] = {.lex_state = 96, .external_lex_state = 2},
  [19] = {.lex_state = 96, .external_lex_state = 2},
  [20] = {.lex_state = 96, .external_lex_state = 2},
  [21] = {.lex_state = 96, .external_lex_state = 2},
  [22] = {.lex_state = 96, .external_lex_state = 2},
  [23] = {.lex_state = 96, .external_lex_state = 2},
  [24] = {.lex_state = 96, .external_lex_state = 2},
  [25] = {.lex_state = 96, .external_lex_state = 2},
  [26] = {.lex_state = 96, .external_lex_state = 2},
  [27] = {.lex_state = 96, .external_lex_state = 2},
  [28] = {.lex_state = 96, .external_lex_state = 2},
  [29] = {.lex_state = 96, .external_lex_state = 2},
  [30] = {.lex_state = 96, .external_lex_state = 2},
  [31] = {.lex_state = 96, .external_lex_state = 2},
  [32] = {.lex_state = 96, .external_lex_state = 2},
  [33] = {.lex_state = 96, .external_lex_state = 2},
  [34] = {.lex_state = 96, .external_lex_state = 2},
  [35] = {.lex_state = 96, .external_lex_state = 2},
  [36] = {.lex_state = 96, .external_lex_state = 2},
  [37] = {.lex_state = 96, .external_lex_state = 2},
  [38] = {.lex_state = 11, .external_lex_state = 2},
  [39] = {.lex_state = 96, .external_lex_state = 2},
  [40] = {.lex_state = 96, .external_lex_state = 2},
  [41] = {.lex_state = 96, .external_lex_state = 2},
  [42] = {.lex_state = 96, .external_lex_state = 2},
  [43] = {.lex_state = 96, .external_lex_state = 2},
  [44] = {.lex_state = 96, .external_lex_state = 2},
  [45] = {.lex_state = 96, .external_lex_state = 2},
  [46] = {.lex_state = 96, .external_lex_state = 2},
  [47] = {.lex_state = 96, .external_lex_state = 2},
  [48] = {.lex_state = 96, .external_lex_state = 2},
  [49] = {.lex_state = 96, .external_lex_state = 2},
  [50] = {.lex_state = 96, .external_lex_state = 2},
  [51] = {.lex_state = 96, .external_lex_state = 2},
  [52] = {.lex_state = 96, .external_lex_state = 2},
  [53] = {.lex_state = 96, .external_lex_state = 2},
  [54] = {.lex_state = 96, .external_lex_state = 2},
  [55] = {.lex_state = 96, .external_lex_state = 2},
  [56] = {.lex_state = 11, .external_lex_state = 2},
  [57] = {.lex_state = 96, .external_lex_state = 2},
  [58] = {.lex_state = 96, .external_lex_state = 2},
  [59] = {.lex_state = 96, .external_lex_state = 2},
  [60] = {.lex_state = 11, .external_lex_state = 2},
  [61] = {.lex_state = 96, .external_lex_state = 2},
  [62] = {.lex_state = 96, .external_lex_state = 2},
  [63] = {.lex_state = 11, .external_lex_state = 2},
  [64] = {.lex_state = 11, .external_lex_state = 2},
  [65] = {.lex_state = 96, .external_lex_state = 2},
  [66] = {.lex_state = 11, .external_lex_state = 2},
  [67] = {.lex_state = 11, .external_lex_state = 2},
  [68] = {.lex_state = 11, .external_lex_state = 2},
  [69] = {.lex_state = 11, .external_lex_state = 2},
  [70] = {.lex_state = 96, .external_lex_state = 2},
  [71] = {.lex_state = 11, .external_lex_state = 2},
  [72] = {.lex_state = 3, .external_lex_state = 4},
  [73] = {.lex_state = 3, .external_lex_state = 4},
  [74] = {.lex_state = 3, .external_lex_state = 4},
  [75] = {.lex_state = 3, .external_lex_state = 3},
  [76] = {.lex_state = 3, .external_lex_state = 3},
  [77] = {.lex_state = 11, .external_lex_state = 2},
  [78] = {.lex_state = 3, .external_lex_state = 3},
  [79] = {.lex_state = 3, .external_lex_state = 3},
  [80] = {.lex_state = 3, .external_lex_state = 3},
  [81] = {.lex_state = 3, .external_lex_state = 3},
  [82] = {.lex_state = 11, .external_lex_state = 2},
  [83] = {.lex_state = 3, .external_lex_state = 3},
  [84] = {.lex_state = 3, .external_lex_state = 3},
  [85] = {.lex_state = 11, .external_lex_state = 2},
  [86] = {.lex_state = 11, .external_lex_state = 2},
  [87] = {.lex_state = 3, .external_lex_state = 3},
  [88] = {.lex_state = 11, .external_lex_state = 2},
  [89] = {.lex_state = 3, .external_lex_state = 3},
  [90] = {.lex_state = 11, .external_lex_state = 2},
  [91] = {.lex_state = 11, .external_lex_state = 2},
  [92] = {.lex_state = 11, .external_lex_state = 2},
  [93] = {.lex_state = 3, .external_lex_state = 3},
  [94] = {.lex_state = 3, .external_lex_state = 3},
  [95] = {.lex_state = 3, .external_lex_state = 3},
  [96] = {.lex_state = 3, .external_lex_state = 4},
  [97] = {.lex_state = 3, .external_lex_state = 3},
  [98] = {.lex_state = 3, .external_lex_state = 3},
  [99] = {.lex_state = 3, .external_lex_state = 4},
  [100] = {.lex_state = 3, .external_lex_state = 4},
  [101] = {.lex_state = 3, .external_lex_state = 4},
  [102] = {.lex_state = 3, .external_lex_state = 4},
  [103] = {.lex_state = 3, .external_lex_state = 4},
  [104] = {.lex_state = 3, .external_lex_state = 4},
  [105] = {.lex_state = 3, .external_lex_state = 4},
  [106] = {.lex_state = 3, .external_lex_state = 3},
  [107] = {.lex_state = 3, .external_lex_state = 3},
  [108] = {.lex_state = 3, .external_lex_state = 3},
  [109] = {.lex_state = 3, .external_lex_state = 3},
  [110] = {.lex_state = 3, .external_lex_state = 3},
  [111] = {.lex_state = 3, .external_lex_state = 3},
  [112] = {.lex_state = 3, .external_lex_state = 3},
  [113] = {.lex_state = 3, .external_lex_state = 3},
  [114] = {.lex_state = 3, .external_lex_state = 3},
  [115] = {.lex_state = 3, .external_lex_state = 3},
  [116] = {.lex_state = 3, .external_lex_state = 3},
  [117] = {.lex_state = 3, .external_lex_state = 3},
  [118] = {.lex_state = 3, .external_lex_state = 4},
  [119] = {.lex_state = 3, .external_lex_state = 3},
  [120] = {.lex_state = 3, .external_lex_state = 4},
  [121] = {.lex_state = 3, .external_lex_state = 3},
  [122] = {.lex_state = 3, .external_lex_state = 3},
  [123] = {.lex_state = 3, .external_lex_state = 3},
  [124] = {.lex_state = 3, .external_lex_state = 3},
  [125] = {.lex_state = 3, .external_lex_state = 4},
  [126] = {.lex_state = 3, .external_lex_state = 3},
  [127] = {.lex_state = 3, .external_lex_state = 3},
  [128] = {.lex_state = 3, .external_lex_state = 3},
  [129] = {.lex_state = 3, .external_lex_state = 3},
  [130] = {.lex_state = 3, .external_lex_state = 3},
  [131] = {.lex_state = 3, .external_lex_state = 3},
  [132] = {.lex_state = 3, .external_lex_state = 3},
  [133] = {.lex_state = 3, .external_lex_state = 3},
  [134] = {.lex_state = 3, .external_lex_state = 3},
  [135] = {.lex_state = 3, .external_lex_state = 3},
  [136] = {.lex_state = 3, .external_lex_state = 3},
  [137] = {.lex_state = 3, .external_lex_state = 3},
  [138] = {.lex_state = 3, .external_lex_state = 3},
  [139] = {.lex_state = 3, .external_lex_state = 3},
  [140] = {.lex_state = 3, .external_lex_state = 3},
  [141] = {.lex_state = 3, .external_lex_state = 3},
  [142] = {.lex_state = 3, .external_lex_state = 3},
  [143] = {.lex_state = 3, .external_lex_state = 3},
  [144] = {.lex_state = 3, .external_lex_state = 3},
  [145] = {.lex_state = 3, .external_lex_state = 3},
  [146] = {.lex_state = 3, .external_lex_state = 3},
  [147] = {.lex_state = 11, .external_lex_state = 2},
  [148] = {.lex_state = 3, .external_lex_state = 3},
  [149] = {.lex_state = 3, .external_lex_state = 3},
  [150] = {.lex_state = 11, .external_lex_state = 2},
  [151] = {.lex_state = 11, .external_lex_state = 2},
  [152] = {.lex_state = 11, .external_lex_state = 2},
  [153] = {.lex_state = 11, .external_lex_state = 2},
  [154] = {.lex_state = 11, .external_lex_state = 2},
  [155] = {.lex_state = 11, .external_lex_state = 2},
  [156] = {.lex_state = 11, .external_lex_state = 2},
  [157] = {.lex_state = 11, .external_lex_state = 2},
  [158] = {.lex_state = 11, .external_lex_state = 2},
  [159] = {.lex_state = 11, .external_lex_state = 2},
  [160] = {.lex_state = 11, .external_lex_state = 2},
  [161] = {.lex_state = 11, .external_lex_state = 2},
  [162] = {.lex_state = 11, .external_lex_state = 2},
  [163] = {.lex_state = 95, .external_lex_state = 3},
  [164] = {.lex_state = 95, .external_lex_state = 4},
  [165] = {.lex_state = 95, .external_lex_state = 4},
  [166] = {.lex_state = 95, .external_lex_state = 3},
  [167] = {.lex_state = 95, .external_lex_state = 4},
  [168] = {.lex_state = 95, .external_lex_state = 3},
  [169] = {.lex_state = 95, .external_lex_state = 3},
  [170] = {.lex_state = 95, .external_lex_state = 3},
  [171] = {.lex_state = 95, .external_lex_state = 3},
  [172] = {.lex_state = 95, .external_lex_state = 3},
  [173] = {.lex_state = 5, .external_lex_state = 3},
  [174] = {.lex_state = 96, .external_lex_state = 2},
  [175] = {.lex_state = 96, .external_lex_state = 2},
  [176] = {.lex_state = 96, .external_lex_state = 2},
  [177] = {.lex_state = 5, .external_lex_state = 4},
  [178] = {.lex_state = 96, .external_lex_state = 2},
  [179] = {.lex_state = 5, .external_lex_state = 4},
  [180] = {.lex_state = 96, .external_lex_state = 2},
  [181] = {.lex_state = 96, .external_lex_state = 2},
  [182] = {.lex_state = 5, .external_lex_state = 3},
  [183] = {.lex_state = 5, .external_lex_state = 3},
  [184] = {.lex_state = 5, .external_lex_state = 3},
  [185] = {.lex_state = 5, .external_lex_state = 4},
  [186] = {.lex_state = 5, .external_lex_state = 3},
  [187] = {.lex_state = 5, .external_lex_state = 3},
  [188] = {.lex_state = 5, .external_lex_state = 3},
  [189] = {.lex_state = 5, .external_lex_state = 3},
  [190] = {.lex_state = 5, .external_lex_state = 3},
  [191] = {.lex_state = 5, .external_lex_state = 3},
  [192] = {.lex_state = 5, .external_lex_state = 3},
  [193] = {.lex_state = 5, .external_lex_state = 3},
  [194] = {.lex_state = 96, .external_lex_state = 2},
  [195] = {.lex_state = 96, .external_lex_state = 2},
  [196] = {.lex_state = 96, .external_lex_state = 2},
  [197] = {.lex_state = 96, .external_lex_state = 2},
  [198] = {.lex_state = 96, .external_lex_state = 2},
  [199] = {.lex_state = 96, .external_lex_state = 2},
  [200] = {.lex_state = 96, .external_lex_state = 2},
  [201] = {.lex_state = 96, .external_lex_state = 2},
  [202] = {.lex_state = 96, .external_lex_state = 2},
  [203] = {.lex_state = 96, .external_lex_state = 2},
  [204] = {.lex_state = 96, .external_lex_state = 2},
  [205] = {.lex_state = 96, .external_lex_state = 2},
  [206] = {.lex_state = 96, .external_lex_state = 2},
  [207] = {.lex_state = 95, .external_lex_state = 4},
  [208] = {.lex_state = 96, .external_lex_state = 2},
  [209] = {.lex_state = 95, .external_lex_state = 4},
  [210] = {.lex_state = 96, .external_lex_state = 2},
  [211] = {.lex_state = 95, .external_lex_state = 4},
  [212] = {.lex_state = 96, .external_lex_state = 2},
  [213] = {.lex_state = 95, .external_lex_state = 4},
  [214] = {.lex_state = 96, .external_lex_state = 2},
  [215] = {.lex_state = 96, .external_lex_state = 2},
  [216] = {.lex_state = 96, .external_lex_state = 2},
  [217] = {.lex_state = 95, .external_lex_state = 4},
  [218] = {.lex_state = 95, .external_lex_state = 4},
  [219] = {.lex_state = 95, .external_lex_state = 4},
  [220] = {.lex_state = 95, .external_lex_state = 4},
  [221] = {.lex_state = 95, .external_lex_state = 4},
  [222] = {.lex_state = 96, .external_lex_state = 2},
  [223] = {.lex_state = 95, .external_lex_state = 4},
  [224] = {.lex_state = 95, .external_lex_state = 4},
  [225] = {.lex_state = 95, .external_lex_state = 4},
  [226] = {.lex_state = 95, .external_lex_state = 4},
  [227] = {.lex_state = 95, .external_lex_state = 4},
  [228] = {.lex_state = 95, .external_lex_state = 4},
  [229] = {.lex_state = 95, .external_lex_state = 4},
  [230] = {.lex_state = 95, .external_lex_state = 4},
  [231] = {.lex_state = 96, .external_lex_state = 5},
  [232] = {.lex_state = 95, .external_lex_state = 4},
  [233] = {.lex_state = 95, .external_lex_state = 4},
  [234] = {.lex_state = 95, .external_lex_state = 4},
  [235] = {.lex_state = 95, .external_lex_state = 4},
  [236] = {.lex_state = 95, .external_lex_state = 4},
  [237] = {.lex_state = 95, .external_lex_state = 4},
  [238] = {.lex_state = 95, .external_lex_state = 4},
  [239] = {.lex_state = 95, .external_lex_state = 4},
  [240] = {.lex_state = 95, .external_lex_state = 4},
  [241] = {.lex_state = 95, .external_lex_state = 4},
  [242] = {.lex_state = 96, .external_lex_state = 2},
  [243] = {.lex_state = 95, .external_lex_state = 4},
  [244] = {.lex_state = 95, .external_lex_state = 4},
  [245] = {.lex_state = 96, .external_lex_state = 2},
  [246] = {.lex_state = 96, .external_lex_state = 2},
  [247] = {.lex_state = 96, .external_lex_state = 2},
  [248] = {.lex_state = 96, .external_lex_state = 2},
  [249] = {.lex_state = 96, .external_lex_state = 2},
  [250] = {.lex_state = 96, .external_lex_state = 2},
  [251] = {.lex_state = 96, .external_lex_state = 2},
  [252] = {.lex_state = 96, .external_lex_state = 2},
  [253] = {.lex_state = 96, .external_lex_state = 2},
  [254] = {.lex_state = 96, .external_lex_state = 2},
  [255] = {.lex_state = 96, .external_lex_state = 2},
  [256] = {.lex_state = 96, .external_lex_state = 2},
  [257] = {.lex_state = 96, .external_lex_state = 2},
  [258] = {.lex_state = 96, .external_lex_state = 2},
  [259] = {.lex_state = 96, .external_lex_state = 2},
  [260] = {.lex_state = 3, .external_lex_state = 3},
  [261] = {.lex_state = 96, .external_lex_state = 2},
  [262] = {.lex_state = 3, .external_lex_state = 3},
  [263] = {.lex_state = 96, .external_lex_state = 2},
  [264] = {.lex_state = 96, .external_lex_state = 2},
  [265] = {.lex_state = 96, .external_lex_state = 2},
  [266] = {.lex_state = 96, .external_lex_state = 2},
  [267] = {.lex_state = 96, .external_lex_state = 2},
  [268] = {.lex_state = 3, .external_lex_state = 3},
  [269] = {.lex_state = 3, .external_lex_state = 3},
  [270] = {.lex_state = 96, .external_lex_state = 2},
  [271] = {.lex_state = 96, .external_lex_state = 2},
  [272] = {.lex_state = 96, .external_lex_state = 2},
  [273] = {.lex_state = 96, .external_lex_state = 2},
  [274] = {.lex_state = 96, .external_lex_state = 2},
  [275] = {.lex_state = 96, .external_lex_state = 2},
  [276] = {.lex_state = 96, .external_lex_state = 2},
  [277] = {.lex_state = 96, .external_lex_state = 2},
  [278] = {.lex_state = 96, .external_lex_state = 2},
  [279] = {.lex_state = 96, .external_lex_state = 2},
  [280] = {.lex_state = 96, .external_lex_state = 2},
  [281] = {.lex_state = 96, .external_lex_state = 2},
  [282] = {.lex_state = 96, .external_lex_state = 2},
  [283] = {.lex_state = 96, .external_lex_state = 2},
  [284] = {.lex_state = 96, .external_lex_state = 2},
  [285] = {.lex_state = 96, .external_lex_state = 2},
  [286] = {.lex_state = 96, .external_lex_state = 2},
  [287] = {.lex_state = 96, .external_lex_state = 2},
  [288] = {.lex_state = 96, .external_lex_state = 2},
  [289] = {.lex_state = 96, .external_lex_state = 2},
  [290] = {.lex_state = 96, .external_lex_state = 2},
  [291] = {.lex_state = 96, .external_lex_state = 2},
  [292] = {.lex_state = 96, .external_lex_state = 2},
  [293] = {.lex_state = 96, .external_lex_state = 2},
  [294] = {.lex_state = 96, .external_lex_state = 2},
  [295] = {.lex_state = 96, .external_lex_state = 2},
  [296] = {.lex_state = 96, .external_lex_state = 2},
  [297] = {.lex_state = 96, .external_lex_state = 5},
  [298] = {.lex_state = 96, .external_lex_state = 2},
  [299] = {.lex_state = 96, .external_lex_state = 2},
  [300] = {.lex_state = 96, .external_lex_state = 2},
  [301] = {.lex_state = 96, .external_lex_state = 2},
  [302] = {.lex_state = 96, .external_lex_state = 2},
  [303] = {.lex_state = 96, .external_lex_state = 2},
  [304] = {.lex_state = 96, .external_lex_state = 2},
  [305] = {.lex_state = 96, .external_lex_state = 2},
  [306] = {.lex_state = 96, .external_lex_state = 2},
  [307] = {.lex_state = 96, .external_lex_state = 2},
  [308] = {.lex_state = 96, .external_lex_state = 2},
  [309] = {.lex_state = 96, .external_lex_state = 2},
  [310] = {.lex_state = 96, .external_lex_state = 2},
  [311] = {.lex_state = 96, .external_lex_state = 2},
  [312] = {.lex_state = 96, .external_lex_state = 2},
  [313] = {.lex_state = 96, .external_lex_state = 2},
  [314] = {.lex_state = 96, .external_lex_state = 2},
  [315] = {.lex_state = 96, .external_lex_state = 2},
  [316] = {.lex_state = 96, .external_lex_state = 2},
  [317] = {.lex_state = 96, .external_lex_state = 2},
  [318] = {.lex_state = 96, .external_lex_state = 2},
  [319] = {.lex_state = 96, .external_lex_state = 2},
  [320] = {.lex_state = 96, .external_lex_state = 2},
  [321] = {.lex_state = 96, .external_lex_state = 2},
  [322] = {.lex_state = 96, .external_lex_state = 2},
  [323] = {.lex_state = 96, .external_lex_state = 2},
  [324] = {.lex_state = 96, .external_lex_state = 2},
  [325] = {.lex_state = 96, .external_lex_state = 2},
  [326] = {.lex_state = 96, .external_lex_state = 2},
  [327] = {.lex_state = 96, .external_lex_state = 2},
  [328] = {.lex_state = 96, .external_lex_state = 2},
  [329] = {.lex_state = 96, .external_lex_state = 2},
  [330] = {.lex_state = 96, .external_lex_state = 2},
  [331] = {.lex_state = 96, .external_lex_state = 2},
  [332] = {.lex_state = 96, .external_lex_state = 2},
  [333] = {.lex_state = 96, .external_lex_state = 2},
  [334] = {.lex_state = 96, .external_lex_state = 2},
  [335] = {.lex_state = 96, .external_lex_state = 2},
  [336] = {.lex_state = 96, .external_lex_state = 2},
  [337] = {.lex_state = 96, .external_lex_state = 2},
  [338] = {.lex_state = 96, .external_lex_state = 2},
  [339] = {.lex_state = 96, .external_lex_state = 2},
  [340] = {.lex_state = 96, .external_lex_state = 2},
  [341] = {.lex_state = 96, .external_lex_state = 2},
  [342] = {.lex_state = 96, .external_lex_state = 2},
  [343] = {.lex_state = 96, .external_lex_state = 2},
  [344] = {.lex_state = 96, .external_lex_state = 2},
  [345] = {.lex_state = 96, .external_lex_state = 2},
  [346] = {.lex_state = 96, .external_lex_state = 2},
  [347] = {.lex_state = 96, .external_lex_state = 2},
  [348] = {.lex_state = 96, .external_lex_state = 2},
  [349] = {.lex_state = 96, .external_lex_state = 2},
  [350] = {.lex_state = 96, .external_lex_state = 2},
  [351] = {.lex_state = 96, .external_lex_state = 2},
  [352] = {.lex_state = 96, .external_lex_state = 2},
  [353] = {.lex_state = 96, .external_lex_state = 2},
  [354] = {.lex_state = 96, .external_lex_state = 2},
  [355] = {.lex_state = 96, .external_lex_state = 2},
  [356] = {.lex_state = 96, .external_lex_state = 2},
  [357] = {.lex_state = 96, .external_lex_state = 2},
  [358] = {.lex_state = 96, .external_lex_state = 2},
  [359] = {.lex_state = 96, .external_lex_state = 2},
  [360] = {.lex_state = 96, .external_lex_state = 2},
  [361] = {.lex_state = 96, .external_lex_state = 2},
  [362] = {.lex_state = 96, .external_lex_state = 2},
  [363] = {.lex_state = 96, .external_lex_state = 2},
  [364] = {.lex_state = 96, .external_lex_state = 2},
  [365] = {.lex_state = 96, .external_lex_state = 2},
  [366] = {.lex_state = 96, .external_lex_state = 2},
  [367] = {.lex_state = 96, .external_lex_state = 2},
  [368] = {.lex_state = 96, .external_lex_state = 2},
  [369] = {.lex_state = 96, .external_lex_state = 2},
  [370] = {.lex_state = 96, .external_lex_state = 2},
  [371] = {.lex_state = 96, .external_lex_state = 2},
  [372] = {.lex_state = 96, .external_lex_state = 2},
  [373] = {.lex_state = 96, .external_lex_state = 2},
  [374] = {.lex_state = 96, .external_lex_state = 2},
  [375] = {.lex_state = 96, .external_lex_state = 2},
  [376] = {.lex_state = 96, .external_lex_state = 2},
  [377] = {.lex_state = 96, .external_lex_state = 2},
  [378] = {.lex_state = 96, .external_lex_state = 2},
  [379] = {.lex_state = 96, .external_lex_state = 2},
  [380] = {.lex_state = 96, .external_lex_state = 2},
  [381] = {.lex_state = 96, .external_lex_state = 2},
  [382] = {.lex_state = 96, .external_lex_state = 2},
  [383] = {.lex_state = 96, .external_lex_state = 2},
  [384] = {.lex_state = 96, .external_lex_state = 2},
  [385] = {.lex_state = 96, .external_lex_state = 2},
  [386] = {.lex_state = 96, .external_lex_state = 2},
  [387] = {.lex_state = 96, .external_lex_state = 2},
  [388] = {.lex_state = 96, .external_lex_state = 2},
  [389] = {.lex_state = 96, .external_lex_state = 2},
  [390] = {.lex_state = 96, .external_lex_state = 2},
  [391] = {.lex_state = 96, .external_lex_state = 2},
  [392] = {.lex_state = 96, .external_lex_state = 2},
  [393] = {.lex_state = 96, .external_lex_state = 2},
  [394] = {.lex_state = 96, .external_lex_state = 2},
  [395] = {.lex_state = 96, .external_lex_state = 2},
  [396] = {.lex_state = 96, .external_lex_state = 2},
  [397] = {.lex_state = 96, .external_lex_state = 2},
  [398] = {.lex_state = 96, .external_lex_state = 2},
  [399] = {.lex_state = 96, .external_lex_state = 2},
  [400] = {.lex_state = 96, .external_lex_state = 2},
  [401] = {.lex_state = 96, .external_lex_state = 2},
  [402] = {.lex_state = 96, .external_lex_state = 2},
  [403] = {.lex_state = 96, .external_lex_state = 2},
  [404] = {.lex_state = 96, .external_lex_state = 2},
  [405] = {.lex_state = 96, .external_lex_state = 2},
  [406] = {.lex_state = 96, .external_lex_state = 2},
  [407] = {.lex_state = 96, .external_lex_state = 2},
  [408] = {.lex_state = 96, .external_lex_state = 2},
  [409] = {.lex_state = 96, .external_lex_state = 2},
  [410] = {.lex_state = 96, .external_lex_state = 2},
  [411] = {.lex_state = 96, .external_lex_state = 2},
  [412] = {.lex_state = 96, .external_lex_state = 2},
  [413] = {.lex_state = 96, .external_lex_state = 2},
  [414] = {.lex_state = 96, .external_lex_state = 2},
  [415] = {.lex_state = 96, .external_lex_state = 2},
  [416] = {.lex_state = 96, .external_lex_state = 2},
  [417] = {.lex_state = 96, .external_lex_state = 2},
  [418] = {.lex_state = 96, .external_lex_state = 2},
  [419] = {.lex_state = 96, .external_lex_state = 2},
  [420] = {.lex_state = 96, .external_lex_state = 2},
  [421] = {.lex_state = 96, .external_lex_state = 2},
  [422] = {.lex_state = 96, .external_lex_state = 2},
  [423] = {.lex_state = 96, .external_lex_state = 2},
  [424] = {.lex_state = 96, .external_lex_state = 2},
  [425] = {.lex_state = 96, .external_lex_state = 2},
  [426] = {.lex_state = 96, .external_lex_state = 2},
  [427] = {.lex_state = 96, .external_lex_state = 2},
  [428] = {.lex_state = 96, .external_lex_state = 2},
  [429] = {.lex_state = 96, .external_lex_state = 2},
  [430] = {.lex_state = 96, .external_lex_state = 2},
  [431] = {.lex_state = 96, .external_lex_state = 2},
  [432] = {.lex_state = 96, .external_lex_state = 2},
  [433] = {.lex_state = 96, .external_lex_state = 2},
  [434] = {.lex_state = 96, .external_lex_state = 2},
  [435] = {.lex_state = 96, .external_lex_state = 2},
  [436] = {.lex_state = 96, .external_lex_state = 2},
  [437] = {.lex_state = 96, .external_lex_state = 2},
  [438] = {.lex_state = 96, .external_lex_state = 2},
  [439] = {.lex_state = 96, .external_lex_state = 2},
  [440] = {.lex_state = 96, .external_lex_state = 2},
  [441] = {.lex_state = 96, .external_lex_state = 2},
  [442] = {.lex_state = 96, .external_lex_state = 2},
  [443] = {.lex_state = 96, .external_lex_state = 2},
  [444] = {.lex_state = 96, .external_lex_state = 2},
  [445] = {.lex_state = 96, .external_lex_state = 2},
  [446] = {.lex_state = 96, .external_lex_state = 2},
  [447] = {.lex_state = 96, .external_lex_state = 2},
  [448] = {.lex_state = 96, .external_lex_state = 2},
  [449] = {.lex_state = 96, .external_lex_state = 2},
  [450] = {.lex_state = 96, .external_lex_state = 2},
  [451] = {.lex_state = 96, .external_lex_state = 2},
  [452] = {.lex_state = 96, .external_lex_state = 2},
  [453] = {.lex_state = 96, .external_lex_state = 2},
  [454] = {.lex_state = 96, .external_lex_state = 2},
  [455] = {.lex_state = 96, .external_lex_state = 2},
  [456] = {.lex_state = 96, .external_lex_state = 2},
  [457] = {.lex_state = 96, .external_lex_state = 2},
  [458] = {.lex_state = 96, .external_lex_state = 2},
  [459] = {.lex_state = 96, .external_lex_state = 2},
  [460] = {.lex_state = 96, .external_lex_state = 2},
  [461] = {.lex_state = 96, .external_lex_state = 2},
  [462] = {.lex_state = 96, .external_lex_state = 2},
  [463] = {.lex_state = 96, .external_lex_state = 2},
  [464] = {.lex_state = 96, .external_lex_state = 2},
  [465] = {.lex_state = 96, .external_lex_state = 2},
  [466] = {.lex_state = 96, .external_lex_state = 2},
  [467] = {.lex_state = 96, .external_lex_state = 2},
  [468] = {.lex_state = 96, .external_lex_state = 2},
  [469] = {.lex_state = 96, .external_lex_state = 2},
  [470] = {.lex_state = 96, .external_lex_state = 2},
  [471] = {.lex_state = 96, .external_lex_state = 2},
  [472] = {.lex_state = 96, .external_lex_state = 2},
  [473] = {.lex_state = 96, .external_lex_state = 2},
  [474] = {.lex_state = 96, .external_lex_state = 2},
  [475] = {.lex_state = 96, .external_lex_state = 2},
  [476] = {.lex_state = 96, .external_lex_state = 2},
  [477] = {.lex_state = 96, .external_lex_state = 2},
  [478] = {.lex_state = 96, .external_lex_state = 2},
  [479] = {.lex_state = 96, .external_lex_state = 2},
  [480] = {.lex_state = 96, .external_lex_state = 2},
  [481] = {.lex_state = 96, .external_lex_state = 2},
  [482] = {.lex_state = 96, .external_lex_state = 2},
  [483] = {.lex_state = 96, .external_lex_state = 2},
  [484] = {.lex_state = 96, .external_lex_state = 2},
  [485] = {.lex_state = 96, .external_lex_state = 2},
  [486] = {.lex_state = 96, .external_lex_state = 2},
  [487] = {.lex_state = 96, .external_lex_state = 2},
  [488] = {.lex_state = 96, .external_lex_state = 2},
  [489] = {.lex_state = 96, .external_lex_state = 2},
  [490] = {.lex_state = 96, .external_lex_state = 2},
  [491] = {.lex_state = 96, .external_lex_state = 2},
  [492] = {.lex_state = 96, .external_lex_state = 2},
  [493] = {.lex_state = 96, .external_lex_state = 2},
  [494] = {.lex_state = 96, .external_lex_state = 2},
  [495] = {.lex_state = 96, .external_lex_state = 2},
  [496] = {.lex_state = 96, .external_lex_state = 2},
  [497] = {.lex_state = 96, .external_lex_state = 2},
  [498] = {.lex_state = 96, .external_lex_state = 2},
  [499] = {.lex_state = 96, .external_lex_state = 2},
  [500] = {.lex_state = 96, .external_lex_state = 2},
  [501] = {.lex_state = 96, .external_lex_state = 2},
  [502] = {.lex_state = 96, .external_lex_state = 2},
  [503] = {.lex_state = 96, .external_lex_state = 2},
  [504] = {.lex_state = 96, .external_lex_state = 2},
  [505] = {.lex_state = 96, .external_lex_state = 2},
  [506] = {.lex_state = 96, .external_lex_state = 2},
  [507] = {.lex_state = 96, .external_lex_state = 2},
  [508] = {.lex_state = 96, .external_lex_state = 2},
  [509] = {.lex_state = 96, .external_lex_state = 2},
  [510] = {.lex_state = 96, .external_lex_state = 2},
  [511] = {.lex_state = 96, .external_lex_state = 2},
  [512] = {.lex_state = 96, .external_lex_state = 2},
  [513] = {.lex_state = 96, .external_lex_state = 2},
  [514] = {.lex_state = 96, .external_lex_state = 2},
  [515] = {.lex_state = 96, .external_lex_state = 2},
  [516] = {.lex_state = 96, .external_lex_state = 2},
  [517] = {.lex_state = 96, .external_lex_state = 2},
  [518] = {.lex_state = 96, .external_lex_state = 2},
  [519] = {.lex_state = 96, .external_lex_state = 2},
  [520] = {.lex_state = 96, .external_lex_state = 2},
  [521] = {.lex_state = 96, .external_lex_state = 2},
  [522] = {.lex_state = 96, .external_lex_state = 2},
  [523] = {.lex_state = 96, .external_lex_state = 2},
  [524] = {.lex_state = 96, .external_lex_state = 2},
  [525] = {.lex_state = 96, .external_lex_state = 2},
  [526] = {.lex_state = 96, .external_lex_state = 2},
  [527] = {.lex_state = 96, .external_lex_state = 2},
  [528] = {.lex_state = 96, .external_lex_state = 2},
  [529] = {.lex_state = 96, .external_lex_state = 2},
  [530] = {.lex_state = 96, .external_lex_state = 2},
  [531] = {.lex_state = 96, .external_lex_state = 2},
  [532] = {.lex_state = 96, .external_lex_state = 2},
  [533] = {.lex_state = 96, .external_lex_state = 2},
  [534] = {.lex_state = 96, .external_lex_state = 2},
  [535] = {.lex_state = 96, .external_lex_state = 2},
  [536] = {.lex_state = 96, .external_lex_state = 2},
  [537] = {.lex_state = 96, .external_lex_state = 2},
  [538] = {.lex_state = 96, .external_lex_state = 2},
  [539] = {.lex_state = 96, .external_lex_state = 2},
  [540] = {.lex_state = 96, .external_lex_state = 2},
  [541] = {.lex_state = 96, .external_lex_state = 2},
  [542] = {.lex_state = 96, .external_lex_state = 2},
  [543] = {.lex_state = 96, .external_lex_state = 2},
  [544] = {.lex_state = 96, .external_lex_state = 2},
  [545] = {.lex_state = 96, .external_lex_state = 2},
  [546] = {.lex_state = 96, .external_lex_state = 2},
  [547] = {.lex_state = 96, .external_lex_state = 2},
  [548] = {.lex_state = 96, .external_lex_state = 2},
  [549] = {.lex_state = 96, .external_lex_state = 2},
  [550] = {.lex_state = 96, .external_lex_state = 2},
  [551] = {.lex_state = 96, .external_lex_state = 2},
  [552] = {.lex_state = 96, .external_lex_state = 2},
  [553] = {.lex_state = 96, .external_lex_state = 2},
  [554] = {.lex_state = 96, .external_lex_state = 2},
  [555] = {.lex_state = 96, .external_lex_state = 2},
  [556] = {.lex_state = 96, .external_lex_state = 2},
  [557] = {.lex_state = 96, .external_lex_state = 2},
  [558] = {.lex_state = 96, .external_lex_state = 2},
  [559] = {.lex_state = 96, .external_lex_state = 2},
  [560] = {.lex_state = 96, .external_lex_state = 2},
  [561] = {.lex_state = 96, .external_lex_state = 2},
  [562] = {.lex_state = 96, .external_lex_state = 2},
  [563] = {.lex_state = 96, .external_lex_state = 2},
  [564] = {.lex_state = 96, .external_lex_state = 2},
  [565] = {.lex_state = 96, .external_lex_state = 2},
  [566] = {.lex_state = 96, .external_lex_state = 2},
  [567] = {.lex_state = 96, .external_lex_state = 2},
  [568] = {.lex_state = 96, .external_lex_state = 2},
  [569] = {.lex_state = 96, .external_lex_state = 2},
  [570] = {.lex_state = 96, .external_lex_state = 2},
  [571] = {.lex_state = 96, .external_lex_state = 2},
  [572] = {.lex_state = 96, .external_lex_state = 2},
  [573] = {.lex_state = 96, .external_lex_state = 2},
  [574] = {.lex_state = 96, .external_lex_state = 2},
  [575] = {.lex_state = 96, .external_lex_state = 2},
  [576] = {.lex_state = 96, .external_lex_state = 2},
  [577] = {.lex_state = 96, .external_lex_state = 2},
  [578] = {.lex_state = 96, .external_lex_state = 2},
  [579] = {.lex_state = 96, .external_lex_state = 2},
  [580] = {.lex_state = 96, .external_lex_state = 2},
  [581] = {.lex_state = 96, .external_lex_state = 2},
  [582] = {.lex_state = 96, .external_lex_state = 2},
  [583] = {.lex_state = 96, .external_lex_state = 2},
  [584] = {.lex_state = 96, .external_lex_state = 2},
  [585] = {.lex_state = 96, .external_lex_state = 2},
  [586] = {.lex_state = 96, .external_lex_state = 2},
  [587] = {.lex_state = 96, .external_lex_state = 2},
  [588] = {.lex_state = 96, .external_lex_state = 2},
  [589] = {.lex_state = 96, .external_lex_state = 2},
  [590] = {.lex_state = 96, .external_lex_state = 2},
  [591] = {.lex_state = 96, .external_lex_state = 2},
  [592] = {.lex_state = 96, .external_lex_state = 2},
  [593] = {.lex_state = 96, .external_lex_state = 2},
  [594] = {.lex_state = 96, .external_lex_state = 2},
  [595] = {.lex_state = 96, .external_lex_state = 2},
  [596] = {.lex_state = 96, .external_lex_state = 2},
  [597] = {.lex_state = 96, .external_lex_state = 2},
  [598] = {.lex_state = 96, .external_lex_state = 2},
  [599] = {.lex_state = 96, .external_lex_state = 2},
  [600] = {.lex_state = 96, .external_lex_state = 2},
  [601] = {.lex_state = 96, .external_lex_state = 2},
  [602] = {.lex_state = 96, .external_lex_state = 2},
  [603] = {.lex_state = 96, .external_lex_state = 2},
  [604] = {.lex_state = 96, .external_lex_state = 2},
  [605] = {.lex_state = 96, .external_lex_state = 2},
  [606] = {.lex_state = 96, .external_lex_state = 2},
  [607] = {.lex_state = 96, .external_lex_state = 2},
  [608] = {.lex_state = 96, .external_lex_state = 2},
  [609] = {.lex_state = 96, .external_lex_state = 2},
  [610] = {.lex_state = 96, .external_lex_state = 2},
  [611] = {.lex_state = 96, .external_lex_state = 2},
  [612] = {.lex_state = 96, .external_lex_state = 2},
  [613] = {.lex_state = 96, .external_lex_state = 2},
  [614] = {.lex_state = 96, .external_lex_state = 2},
  [615] = {.lex_state = 96, .external_lex_state = 2},
  [616] = {.lex_state = 96, .external_lex_state = 2},
  [617] = {.lex_state = 96, .external_lex_state = 2},
  [618] = {.lex_state = 96, .external_lex_state = 2},
  [619] = {.lex_state = 96, .external_lex_state = 2},
  [620] = {.lex_state = 96, .external_lex_state = 2},
  [621] = {.lex_state = 96, .external_lex_state = 2},
  [622] = {.lex_state = 96, .external_lex_state = 2},
  [623] = {.lex_state = 96, .external_lex_state = 2},
  [624] = {.lex_state = 96, .external_lex_state = 2},
  [625] = {.lex_state = 96, .external_lex_state = 2},
  [626] = {.lex_state = 96, .external_lex_state = 2},
  [627] = {.lex_state = 96, .external_lex_state = 2},
  [628] = {.lex_state = 96, .external_lex_state = 2},
  [629] = {.lex_state = 96, .external_lex_state = 2},
  [630] = {.lex_state = 96, .external_lex_state = 2},
  [631] = {.lex_state = 96, .external_lex_state = 2},
  [632] = {.lex_state = 96, .external_lex_state = 2},
  [633] = {.lex_state = 96, .external_lex_state = 2},
  [634] = {.lex_state = 96, .external_lex_state = 2},
  [635] = {.lex_state = 96, .external_lex_state = 2},
  [636] = {.lex_state = 96, .external_lex_state = 2},
  [637] = {.lex_state = 96, .external_lex_state = 2},
  [638] = {.lex_state = 96, .external_lex_state = 2},
  [639] = {.lex_state = 96, .external_lex_state = 2},
  [640] = {.lex_state = 96, .external_lex_state = 2},
  [641] = {.lex_state = 96, .external_lex_state = 2},
  [642] = {.lex_state = 96, .external_lex_state = 2},
  [643] = {.lex_state = 96, .external_lex_state = 2},
  [644] = {.lex_state = 96, .external_lex_state = 2},
  [645] = {.lex_state = 96, .external_lex_state = 2},
  [646] = {.lex_state = 96, .external_lex_state = 2},
  [647] = {.lex_state = 96, .external_lex_state = 2},
  [648] = {.lex_state = 96, .external_lex_state = 2},
  [649] = {.lex_state = 96, .external_lex_state = 2},
  [650] = {.lex_state = 96, .external_lex_state = 2},
  [651] = {.lex_state = 96, .external_lex_state = 2},
  [652] = {.lex_state = 96, .external_lex_state = 2},
  [653] = {.lex_state = 96, .external_lex_state = 2},
  [654] = {.lex_state = 96, .external_lex_state = 2},
  [655] = {.lex_state = 96, .external_lex_state = 2},
  [656] = {.lex_state = 96, .external_lex_state = 2},
  [657] = {.lex_state = 96, .external_lex_state = 2},
  [658] = {.lex_state = 96, .external_lex_state = 2},
  [659] = {.lex_state = 96, .external_lex_state = 2},
  [660] = {.lex_state = 96, .external_lex_state = 2},
  [661] = {.lex_state = 96, .external_lex_state = 2},
  [662] = {.lex_state = 96, .external_lex_state = 2},
  [663] = {.lex_state = 96, .external_lex_state = 2},
  [664] = {.lex_state = 96, .external_lex_state = 2},
  [665] = {.lex_state = 96, .external_lex_state = 2},
  [666] = {.lex_state = 96, .external_lex_state = 2},
  [667] = {.lex_state = 96, .external_lex_state = 2},
  [668] = {.lex_state = 96, .external_lex_state = 2},
  [669] = {.lex_state = 96, .external_lex_state = 2},
  [670] = {.lex_state = 96, .external_lex_state = 2},
  [671] = {.lex_state = 96, .external_lex_state = 2},
  [672] = {.lex_state = 96, .external_lex_state = 2},
  [673] = {.lex_state = 96, .external_lex_state = 2},
  [674] = {.lex_state = 96, .external_lex_state = 2},
  [675] = {.lex_state = 96, .external_lex_state = 2},
  [676] = {.lex_state = 96, .external_lex_state = 2},
  [677] = {.lex_state = 96, .external_lex_state = 2},
  [678] = {.lex_state = 96, .external_lex_state = 2},
  [679] = {.lex_state = 96, .external_lex_state = 2},
  [680] = {.lex_state = 96, .external_lex_state = 2},
  [681] = {.lex_state = 96, .external_lex_state = 2},
  [682] = {.lex_state = 96, .external_lex_state = 2},
  [683] = {.lex_state = 96, .external_lex_state = 2},
  [684] = {.lex_state = 96, .external_lex_state = 2},
  [685] = {.lex_state = 96, .external_lex_state = 2},
  [686] = {.lex_state = 96, .external_lex_state = 2},
  [687] = {.lex_state = 6, .external_lex_state = 4},
  [688] = {.lex_state = 6, .external_lex_state = 4},
  [689] = {.lex_state = 6, .external_lex_state = 4},
  [690] = {.lex_state = 5, .external_lex_state = 4},
  [691] = {.lex_state = 5, .external_lex_state = 4},
  [692] = {.lex_state = 5, .external_lex_state = 4},
  [693] = {.lex_state = 5, .external_lex_state = 4},
  [694] = {.lex_state = 5, .external_lex_state = 4},
  [695] = {.lex_state = 5, .external_lex_state = 4},
  [696] = {.lex_state = 6, .external_lex_state = 4},
  [697] = {.lex_state = 6, .external_lex_state = 4},
  [698] = {.lex_state = 5, .external_lex_state = 4},
  [699] = {.lex_state = 5, .external_lex_state = 4},
  [700] = {.lex_state = 5, .external_lex_state = 4},
  [701] = {.lex_state = 5, .external_lex_state = 4},
  [702] = {.lex_state = 5, .external_lex_state = 4},
  [703] = {.lex_state = 5, .external_lex_state = 4},
  [704] = {.lex_state = 5, .external_lex_state = 4},
  [705] = {.lex_state = 96, .external_lex_state = 2},
  [706] = {.lex_state = 96, .external_lex_state = 2},
  [707] = {.lex_state = 5, .external_lex_state = 4},
  [708] = {.lex_state = 5, .external_lex_state = 4},
  [709] = {.lex_state = 5, .external_lex_state = 4},
  [710] = {.lex_state = 96, .external_lex_state = 2},
  [711] = {.lex_state = 96, .external_lex_state = 2},
  [712] = {.lex_state = 96, .external_lex_state = 2},
  [713] = {.lex_state = 96, .external_lex_state = 2},
  [714] = {.lex_state = 96, .external_lex_state = 2},
  [715] = {.lex_state = 5, .external_lex_state = 4},
  [716] = {.lex_state = 5, .external_lex_state = 4},
  [717] = {.lex_state = 5, .external_lex_state = 4},
  [718] = {.lex_state = 5, .external_lex_state = 4},
  [719] = {.lex_state = 5, .external_lex_state = 4},
  [720] = {.lex_state = 5, .external_lex_state = 4},
  [721] = {.lex_state = 5, .external_lex_state = 4},
  [722] = {.lex_state = 5, .external_lex_state = 4},
  [723] = {.lex_state = 5, .external_lex_state = 4},
  [724] = {.lex_state = 5, .external_lex_state = 3},
  [725] = {.lex_state = 5, .external_lex_state = 3},
  [726] = {.lex_state = 5, .external_lex_state = 3},
  [727] = {.lex_state = 5, .external_lex_state = 3},
  [728] = {.lex_state = 5, .external_lex_state = 4},
  [729] = {.lex_state = 5, .external_lex_state = 3},
  [730] = {.lex_state = 5, .external_lex_state = 3},
  [731] = {.lex_state = 5, .external_lex_state = 4},
  [732] = {.lex_state = 5, .external_lex_state = 4},
  [733] = {.lex_state = 5, .external_lex_state = 4},
  [734] = {.lex_state = 5, .external_lex_state = 4},
  [735] = {.lex_state = 5, .external_lex_state = 4},
  [736] = {.lex_state = 96, .external_lex_state = 5},
  [737] = {.lex_state = 6, .external_lex_state = 3},
  [738] = {.lex_state = 5, .external_lex_state = 3},
  [739] = {.lex_state = 5, .external_lex_state = 3},
  [740] = {.lex_state = 96, .external_lex_state = 2},
  [741] = {.lex_state = 96, .external_lex_state = 5},
  [742] = {.lex_state = 6, .external_lex_state = 3},
  [743] = {.lex_state = 5, .external_lex_state = 3},
  [744] = {.lex_state = 5, .external_lex_state = 3},
  [745] = {.lex_state = 5, .external_lex_state = 3},
  [746] = {.lex_state = 96, .external_lex_state = 2},
  [747] = {.lex_state = 5, .external_lex_state = 3},
  [748] = {.lex_state = 5, .external_lex_state = 4},
  [749] = {.lex_state = 96, .external_lex_state = 5},
  [750] = {.lex_state = 96, .external_lex_state = 5},
  [751] = {.lex_state = 96, .external_lex_state = 5},
  [752] = {.lex_state = 96, .external_lex_state = 5},
  [753] = {.lex_state = 96, .external_lex_state = 5},
  [754] = {.lex_state = 96, .external_lex_state = 5},
  [755] = {.lex_state = 5, .external_lex_state = 4},
  [756] = {.lex_state = 5, .external_lex_state = 4},
  [757] = {.lex_state = 96, .external_lex_state = 2},
  [758] = {.lex_state = 5, .external_lex_state = 4},
  [759] = {.lex_state = 5, .external_lex_state = 3},
  [760] = {.lex_state = 5, .external_lex_state = 4},
  [761] = {.lex_state = 5, .external_lex_state = 3},
  [762] = {.lex_state = 5, .external_lex_state = 3},
  [763] = {.lex_state = 96, .external_lex_state = 2},
  [764] = {.lex_state = 96, .external_lex_state = 2},
  [765] = {.lex_state = 5, .external_lex_state = 3},
  [766] = {.lex_state = 5, .external_lex_state = 3},
  [767] = {.lex_state = 5, .external_lex_state = 3},
  [768] = {.lex_state = 5, .external_lex_state = 3},
  [769] = {.lex_state = 5, .external_lex_state = 3},
  [770] = {.lex_state = 5, .external_lex_state = 3},
  [771] = {.lex_state = 5, .external_lex_state = 3},
  [772] = {.lex_state = 96, .external_lex_state = 2},
  [773] = {.lex_state = 96, .external_lex_state = 5},
  [774] = {.lex_state = 96, .external_lex_state = 2},
  [775] = {.lex_state = 5, .external_lex_state = 3},
  [776] = {.lex_state = 96, .external_lex_state = 5},
  [777] = {.lex_state = 96, .external_lex_state = 5},
  [778] = {.lex_state = 96, .external_lex_state = 5},
  [779] = {.lex_state = 96, .external_lex_state = 5},
  [780] = {.lex_state = 96, .external_lex_state = 5},
  [781] = {.lex_state = 96, .external_lex_state = 5},
  [782] = {.lex_state = 5, .external_lex_state = 3},
  [783] = {.lex_state = 96, .external_lex_state = 5},
  [784] = {.lex_state = 5, .external_lex_state = 3},
  [785] = {.lex_state = 96, .external_lex_state = 2},
  [786] = {.lex_state = 96, .external_lex_state = 2},
  [787] = {.lex_state = 96, .external_lex_state = 5},
  [788] = {.lex_state = 96, .external_lex_state = 2},
  [789] = {.lex_state = 96, .external_lex_state = 2},
  [790] = {.lex_state = 96, .external_lex_state = 5},
  [791] = {.lex_state = 5, .external_lex_state = 3},
  [792] = {.lex_state = 96, .external_lex_state = 2},
  [793] = {.lex_state = 5, .external_lex_state = 3},
  [794] = {.lex_state = 96, .external_lex_state = 5},
  [795] = {.lex_state = 96, .external_lex_state = 5},
  [796] = {.lex_state = 96, .external_lex_state = 5},
  [797] = {.lex_state = 96, .external_lex_state = 5},
  [798] = {.lex_state = 5, .external_lex_state = 3},
  [799] = {.lex_state = 5, .external_lex_state = 3},
  [800] = {.lex_state = 5, .external_lex_state = 3},
  [801] = {.lex_state = 96, .external_lex_state = 2},
  [802] = {.lex_state = 96, .external_lex_state = 2},
  [803] = {.lex_state = 96, .external_lex_state = 5},
  [804] = {.lex_state = 5, .external_lex_state = 3},
  [805] = {.lex_state = 5, .external_lex_state = 3},
  [806] = {.lex_state = 5, .external_lex_state = 3},
  [807] = {.lex_state = 96, .external_lex_state = 2},
  [808] = {.lex_state = 96, .external_lex_state = 2},
  [809] = {.lex_state = 96, .external_lex_state = 2},
  [810] = {.lex_state = 96, .external_lex_state = 2},
  [811] = {.lex_state = 96, .external_lex_state = 2},
  [812] = {.lex_state = 96, .external_lex_state = 2},
  [813] = {.lex_state = 96, .external_lex_state = 2},
  [814] = {.lex_state = 12, .external_lex_state = 2},
  [815] = {.lex_state = 96, .external_lex_state = 2},
  [816] = {.lex_state = 96, .external_lex_state = 2},
  [817] = {.lex_state = 96, .external_lex_state = 2},
  [818] = {.lex_state = 96, .external_lex_state = 2},
  [819] = {.lex_state = 96, .external_lex_state = 2},
  [820] = {.lex_state = 96, .external_lex_state = 2},
  [821] = {.lex_state = 96, .external_lex_state = 2},
  [822] = {.lex_state = 96, .external_lex_state = 2},
  [823] = {.lex_state = 96, .external_lex_state = 2},
  [824] = {.lex_state = 96, .external_lex_state = 2},
  [825] = {.lex_state = 96, .external_lex_state = 2},
  [826] = {.lex_state = 96, .external_lex_state = 2},
  [827] = {.lex_state = 96, .external_lex_state = 2},
  [828] = {.lex_state = 96, .external_lex_state = 2},
  [829] = {.lex_state = 96, .external_lex_state = 2},
  [830] = {.lex_state = 96, .external_lex_state = 2},
  [831] = {.lex_state = 96, .external_lex_state = 2},
  [832] = {.lex_state = 96, .external_lex_state = 2},
  [833] = {.lex_state = 96, .external_lex_state = 2},
  [834] = {.lex_state = 96, .external_lex_state = 2},
  [835] = {.lex_state = 96, .external_lex_state = 2},
  [836] = {.lex_state = 96, .external_lex_state = 2},
  [837] = {.lex_state = 96, .external_lex_state = 2},
  [838] = {.lex_state = 96, .external_lex_state = 2},
  [839] = {.lex_state = 96, .external_lex_state = 2},
  [840] = {.lex_state = 12, .external_lex_state = 2},
  [841] = {.lex_state = 96, .external_lex_state = 2},
  [842] = {.lex_state = 96, .external_lex_state = 2},
  [843] = {.lex_state = 96, .external_lex_state = 2},
  [844] = {.lex_state = 96, .external_lex_state = 2},
  [845] = {.lex_state = 96, .external_lex_state = 2},
  [846] = {.lex_state = 96, .external_lex_state = 2},
  [847] = {.lex_state = 96, .external_lex_state = 2},
  [848] = {.lex_state = 96, .external_lex_state = 2},
  [849] = {.lex_state = 96, .external_lex_state = 2},
  [850] = {.lex_state = 96, .external_lex_state = 2},
  [851] = {.lex_state = 96, .external_lex_state = 2},
  [852] = {.lex_state = 96, .external_lex_state = 2},
  [853] = {.lex_state = 96, .external_lex_state = 2},
  [854] = {.lex_state = 96, .external_lex_state = 2},
  [855] = {.lex_state = 96, .external_lex_state = 2},
  [856] = {.lex_state = 96, .external_lex_state = 2},
  [857] = {.lex_state = 96, .external_lex_state = 2},
  [858] = {.lex_state = 96, .external_lex_state = 2},
  [859] = {.lex_state = 96, .external_lex_state = 2},
  [860] = {.lex_state = 96, .external_lex_state = 2},
  [861] = {.lex_state = 96, .external_lex_state = 2},
  [862] = {.lex_state = 96, .external_lex_state = 2},
  [863] = {.lex_state = 96, .external_lex_state = 2},
  [864] = {.lex_state = 96, .external_lex_state = 2},
  [865] = {.lex_state = 96, .external_lex_state = 2},
  [866] = {.lex_state = 96, .external_lex_state = 2},
  [867] = {.lex_state = 96, .external_lex_state = 2},
  [868] = {.lex_state = 96, .external_lex_state = 2},
  [869] = {.lex_state = 96, .external_lex_state = 2},
  [870] = {.lex_state = 96, .external_lex_state = 2},
  [871] = {.lex_state = 96, .external_lex_state = 2},
  [872] = {.lex_state = 96, .external_lex_state = 2},
  [873] = {.lex_state = 96, .external_lex_state = 2},
  [874] = {.lex_state = 96, .external_lex_state = 2},
  [875] = {.lex_state = 96, .external_lex_state = 2},
  [876] = {.lex_state = 96, .external_lex_state = 2},
  [877] = {.lex_state = 96, .external_lex_state = 2},
  [878] = {.lex_state = 96, .external_lex_state = 2},
  [879] = {.lex_state = 12, .external_lex_state = 2},
  [880] = {.lex_state = 96, .external_lex_state = 2},
  [881] = {.lex_state = 96, .external_lex_state = 2},
  [882] = {.lex_state = 96, .external_lex_state = 2},
  [883] = {.lex_state = 96, .external_lex_state = 2},
  [884] = {.lex_state = 96, .external_lex_state = 2},
  [885] = {.lex_state = 96, .external_lex_state = 2},
  [886] = {.lex_state = 96, .external_lex_state = 2},
  [887] = {.lex_state = 96, .external_lex_state = 2},
  [888] = {.lex_state = 96, .external_lex_state = 2},
  [889] = {.lex_state = 96, .external_lex_state = 2},
  [890] = {.lex_state = 96, .external_lex_state = 2},
  [891] = {.lex_state = 96, .external_lex_state = 2},
  [892] = {.lex_state = 96, .external_lex_state = 2},
  [893] = {.lex_state = 96, .external_lex_state = 2},
  [894] = {.lex_state = 96, .external_lex_state = 2},
  [895] = {.lex_state = 96, .external_lex_state = 2},
  [896] = {.lex_state = 96, .external_lex_state = 2},
  [897] = {.lex_state = 96, .external_lex_state = 2},
  [898] = {.lex_state = 96, .external_lex_state = 2},
  [899] = {.lex_state = 96, .external_lex_state = 2},
  [900] = {.lex_state = 96, .external_lex_state = 2},
  [901] = {.lex_state = 96, .external_lex_state = 2},
  [902] = {.lex_state = 96, .external_lex_state = 2},
  [903] = {.lex_state = 96, .external_lex_state = 2},
  [904] = {.lex_state = 96, .external_lex_state = 2},
  [905] = {.lex_state = 96, .external_lex_state = 2},
  [906] = {.lex_state = 96, .external_lex_state = 2},
  [907] = {.lex_state = 96, .external_lex_state = 2},
  [908] = {.lex_state = 96, .external_lex_state = 2},
  [909] = {.lex_state = 96, .external_lex_state = 2},
  [910] = {.lex_state = 96, .external_lex_state = 2},
  [911] = {.lex_state = 96, .external_lex_state = 2},
  [912] = {.lex_state = 96, .external_lex_state = 2},
  [913] = {.lex_state = 96, .external_lex_state = 2},
  [914] = {.lex_state = 96, .external_lex_state = 2},
  [915] = {.lex_state = 96, .external_lex_state = 2},
  [916] = {.lex_state = 96, .external_lex_state = 2},
  [917] = {.lex_state = 96, .external_lex_state = 2},
  [918] = {.lex_state = 96, .external_lex_state = 2},
  [919] = {.lex_state = 96, .external_lex_state = 2},
  [920] = {.lex_state = 96, .external_lex_state = 2},
  [921] = {.lex_state = 96, .external_lex_state = 2},
  [922] = {.lex_state = 12, .external_lex_state = 2},
  [923] = {.lex_state = 96, .external_lex_state = 2},
  [924] = {.lex_state = 96, .external_lex_state = 2},
  [925] = {.lex_state = 12, .external_lex_state = 2},
  [926] = {.lex_state = 96, .external_lex_state = 2},
  [927] = {.lex_state = 96, .external_lex_state = 2},
  [928] = {.lex_state = 96, .external_lex_state = 2},
  [929] = {.lex_state = 96, .external_lex_state = 2},
  [930] = {.lex_state = 96, .external_lex_state = 2},
  [931] = {.lex_state = 96, .external_lex_state = 2},
  [932] = {.lex_state = 96, .external_lex_state = 2},
  [933] = {.lex_state = 96, .external_lex_state = 2},
  [934] = {.lex_state = 96, .external_lex_state = 2},
  [935] = {.lex_state = 12, .external_lex_state = 2},
  [936] = {.lex_state = 12, .external_lex_state = 2},
  [937] = {.lex_state = 12, .external_lex_state = 2},
  [938] = {.lex_state = 12, .external_lex_state = 2},
  [939] = {.lex_state = 12, .external_lex_state = 2},
  [940] = {.lex_state = 12, .external_lex_state = 2},
  [941] = {.lex_state = 12, .external_lex_state = 2},
  [942] = {.lex_state = 12, .external_lex_state = 2},
  [943] = {.lex_state = 12, .external_lex_state = 2},
  [944] = {.lex_state = 12, .external_lex_state = 2},
  [945] = {.lex_state = 12, .external_lex_state = 2},
  [946] = {.lex_state = 96, .external_lex_state = 2},
  [947] = {.lex_state = 96, .external_lex_state = 2},
  [948] = {.lex_state = 96, .external_lex_state = 2},
  [949] = {.lex_state = 96, .external_lex_state = 2},
  [950] = {.lex_state = 96, .external_lex_state = 2},
  [951] = {.lex_state = 96, .external_lex_state = 2},
  [952] = {.lex_state = 96, .external_lex_state = 2},
  [953] = {.lex_state = 96, .external_lex_state = 2},
  [954] = {.lex_state = 96, .external_lex_state = 2},
  [955] = {.lex_state = 96, .external_lex_state = 2},
  [956] = {.lex_state = 96, .external_lex_state = 2},
  [957] = {.lex_state = 96, .external_lex_state = 2},
  [958] = {.lex_state = 96, .external_lex_state = 2},
  [959] = {.lex_state = 96, .external_lex_state = 2},
  [960] = {.lex_state = 12, .external_lex_state = 2},
  [961] = {.lex_state = 12, .external_lex_state = 2},
  [962] = {.lex_state = 12, .external_lex_state = 2},
  [963] = {.lex_state = 12, .external_lex_state = 2},
  [964] = {.lex_state = 12, .external_lex_state = 2},
  [965] = {.lex_state = 12, .external_lex_state = 2},
  [966] = {.lex_state = 12, .external_lex_state = 2},
  [967] = {.lex_state = 12, .external_lex_state = 2},
  [968] = {.lex_state = 12, .external_lex_state = 2},
  [969] = {.lex_state = 12, .external_lex_state = 2},
  [970] = {.lex_state = 12, .external_lex_state = 2},
  [971] = {.lex_state = 12, .external_lex_state = 2},
  [972] = {.lex_state = 12, .external_lex_state = 2},
  [973] = {.lex_state = 12, .external_lex_state = 2},
  [974] = {.lex_state = 12, .external_lex_state = 2},
  [975] = {.lex_state = 12, .external_lex_state = 2},
  [976] = {.lex_state = 12, .external_lex_state = 2},
  [977] = {.lex_state = 14, .external_lex_state = 2},
  [978] = {.lex_state = 14, .external_lex_state = 2},
  [979] = {.lex_state = 14, .external_lex_state = 2},
  [980] = {.lex_state = 12, .external_lex_state = 2},
  [981] = {.lex_state = 12, .external_lex_state = 2},
  [982] = {.lex_state = 12, .external_lex_state = 2},
  [983] = {.lex_state = 12, .external_lex_state = 2},
  [984] = {.lex_state = 12, .external_lex_state = 2},
  [985] = {.lex_state = 12, .external_lex_state = 2},
  [986] = {.lex_state = 12, .external_lex_state = 2},
  [987] = {.lex_state = 12, .external_lex_state = 2},
  [988] = {.lex_state = 12, .external_lex_state = 2},
  [989] = {.lex_state = 12, .external_lex_state = 2},
  [990] = {.lex_state = 12, .external_lex_state = 2},
  [991] = {.lex_state = 12, .external_lex_state = 2},
  [992] = {.lex_state = 12, .external_lex_state = 2},
  [993] = {.lex_state = 12, .external_lex_state = 2},
  [994] = {.lex_state = 12, .external_lex_state = 2},
  [995] = {.lex_state = 12, .external_lex_state = 2},
  [996] = {.lex_state = 12, .external_lex_state = 2},
  [997] = {.lex_state = 12, .external_lex_state = 2},
  [998] = {.lex_state = 12, .external_lex_state = 2},
  [999] = {.lex_state = 12, .external_lex_state = 2},
  [1000] = {.lex_state = 12, .external_lex_state = 2},
  [1001] = {.lex_state = 12, .external_lex_state = 2},
  [1002] = {.lex_state = 12, .external_lex_state = 2},
  [1003] = {.lex_state = 12, .external_lex_state = 2},
  [1004] = {.lex_state = 12, .external_lex_state = 2},
  [1005] = {.lex_state = 12, .external_lex_state = 2},
  [1006] = {.lex_state = 12, .external_lex_state = 2},
  [1007] = {.lex_state = 12, .external_lex_state = 2},
  [1008] = {.lex_state = 12, .external_lex_state = 2},
  [1009] = {.lex_state = 12, .external_lex_state = 2},
  [1010] = {.lex_state = 12, .external_lex_state = 2},
  [1011] = {.lex_state = 12, .external_lex_state = 2},
  [1012] = {.lex_state = 12, .external_lex_state = 2},
  [1013] = {.lex_state = 12, .external_lex_state = 2},
  [1014] = {.lex_state = 12, .external_lex_state = 2},
  [1015] = {.lex_state = 12, .external_lex_state = 2},
  [1016] = {.lex_state = 12, .external_lex_state = 2},
  [1017] = {.lex_state = 12, .external_lex_state = 2},
  [1018] = {.lex_state = 12, .external_lex_state = 2},
  [1019] = {.lex_state = 12, .external_lex_state = 2},
  [1020] = {.lex_state = 12, .external_lex_state = 2},
  [1021] = {.lex_state = 12, .external_lex_state = 2},
  [1022] = {.lex_state = 12, .external_lex_state = 2},
  [1023] = {.lex_state = 12, .external_lex_state = 2},
  [1024] = {.lex_state = 12, .external_lex_state = 2},
  [1025] = {.lex_state = 12, .external_lex_state = 2},
  [1026] = {.lex_state = 12, .external_lex_state = 2},
  [1027] = {.lex_state = 12, .external_lex_state = 2},
  [1028] = {.lex_state = 12, .external_lex_state = 2},
  [1029] = {.lex_state = 12, .external_lex_state = 2},
  [1030] = {.lex_state = 12, .external_lex_state = 2},
  [1031] = {.lex_state = 12, .external_lex_state = 2},
  [1032] = {.lex_state = 12, .external_lex_state = 2},
  [1033] = {.lex_state = 12, .external_lex_state = 2},
  [1034] = {.lex_state = 12, .external_lex_state = 2},
  [1035] = {.lex_state = 12, .external_lex_state = 2},
  [1036] = {.lex_state = 12, .external_lex_state = 2},
  [1037] = {.lex_state = 12, .external_lex_state = 2},
  [1038] = {.lex_state = 12, .external_lex_state = 2},
  [1039] = {.lex_state = 12, .external_lex_state = 2},
  [1040] = {.lex_state = 12, .external_lex_state = 2},
  [1041] = {.lex_state = 12, .external_lex_state = 2},
  [1042] = {.lex_state = 12, .external_lex_state = 2},
  [1043] = {.lex_state = 12, .external_lex_state = 2},
  [1044] = {.lex_state = 12, .external_lex_state = 2},
  [1045] = {.lex_state = 12, .external_lex_state = 2},
  [1046] = {.lex_state = 12, .external_lex_state = 2},
  [1047] = {.lex_state = 12, .external_lex_state = 2},
  [1048] = {.lex_state = 12, .external_lex_state = 2},
  [1049] = {.lex_state = 12, .external_lex_state = 2},
  [1050] = {.lex_state = 12, .external_lex_state = 2},
  [1051] = {.lex_state = 12, .external_lex_state = 2},
  [1052] = {.lex_state = 12, .external_lex_state = 2},
  [1053] = {.lex_state = 12, .external_lex_state = 2},
  [1054] = {.lex_state = 12, .external_lex_state = 2},
  [1055] = {.lex_state = 12, .external_lex_state = 2},
  [1056] = {.lex_state = 12, .external_lex_state = 2},
  [1057] = {.lex_state = 12, .external_lex_state = 2},
  [1058] = {.lex_state = 12, .external_lex_state = 2},
  [1059] = {.lex_state = 12, .external_lex_state = 2},
  [1060] = {.lex_state = 12, .external_lex_state = 2},
  [1061] = {.lex_state = 12, .external_lex_state = 2},
  [1062] = {.lex_state = 12, .external_lex_state = 2},
  [1063] = {.lex_state = 12, .external_lex_state = 2},
  [1064] = {.lex_state = 12, .external_lex_state = 2},
  [1065] = {.lex_state = 12, .external_lex_state = 2},
  [1066] = {.lex_state = 12, .external_lex_state = 2},
  [1067] = {.lex_state = 12, .external_lex_state = 2},
  [1068] = {.lex_state = 12, .external_lex_state = 2},
  [1069] = {.lex_state = 12, .external_lex_state = 2},
  [1070] = {.lex_state = 12, .external_lex_state = 2},
  [1071] = {.lex_state = 12, .external_lex_state = 2},
  [1072] = {.lex_state = 12, .external_lex_state = 2},
  [1073] = {.lex_state = 12, .external_lex_state = 2},
  [1074] = {.lex_state = 12, .external_lex_state = 2},
  [1075] = {.lex_state = 12, .external_lex_state = 2},
  [1076] = {.lex_state = 12, .external_lex_state = 2},
  [1077] = {.lex_state = 12, .external_lex_state = 2},
  [1078] = {.lex_state = 12, .external_lex_state = 2},
  [1079] = {.lex_state = 12, .external_lex_state = 2},
  [1080] = {.lex_state = 12, .external_lex_state = 2},
  [1081] = {.lex_state = 12, .external_lex_state = 2},
  [1082] = {.lex_state = 12, .external_lex_state = 2},
  [1083] = {.lex_state = 12, .external_lex_state = 2},
  [1084] = {.lex_state = 12, .external_lex_state = 2},
  [1085] = {.lex_state = 12, .external_lex_state = 2},
  [1086] = {.lex_state = 12, .external_lex_state = 2},
  [1087] = {.lex_state = 12, .external_lex_state = 2},
  [1088] = {.lex_state = 12, .external_lex_state = 2},
  [1089] = {.lex_state = 12, .external_lex_state = 2},
  [1090] = {.lex_state = 12, .external_lex_state = 2},
  [1091] = {.lex_state = 12, .external_lex_state = 2},
  [1092] = {.lex_state = 12, .external_lex_state = 2},
  [1093] = {.lex_state = 12, .external_lex_state = 2},
  [1094] = {.lex_state = 12, .external_lex_state = 2},
  [1095] = {.lex_state = 12, .external_lex_state = 2},
  [1096] = {.lex_state = 12, .external_lex_state = 2},
  [1097] = {.lex_state = 12, .external_lex_state = 2},
  [1098] = {.lex_state = 12, .external_lex_state = 2},
  [1099] = {.lex_state = 12, .external_lex_state = 2},
  [1100] = {.lex_state = 12, .external_lex_state = 2},
  [1101] = {.lex_state = 12, .external_lex_state = 2},
  [1102] = {.lex_state = 12, .external_lex_state = 2},
  [1103] = {.lex_state = 12, .external_lex_state = 2},
  [1104] = {.lex_state = 12, .external_lex_state = 2},
  [1105] = {.lex_state = 12, .external_lex_state = 2},
  [1106] = {.lex_state = 12, .external_lex_state = 2},
  [1107] = {.lex_state = 12, .external_lex_state = 2},
  [1108] = {.lex_state = 12, .external_lex_state = 2},
  [1109] = {.lex_state = 12, .external_lex_state = 2},
  [1110] = {.lex_state = 12, .external_lex_state = 2},
  [1111] = {.lex_state = 12, .external_lex_state = 2},
  [1112] = {.lex_state = 12, .external_lex_state = 2},
  [1113] = {.lex_state = 12, .external_lex_state = 2},
  [1114] = {.lex_state = 12, .external_lex_state = 2},
  [1115] = {.lex_state = 12, .external_lex_state = 2},
  [1116] = {.lex_state = 12, .external_lex_state = 2},
  [1117] = {.lex_state = 12, .external_lex_state = 2},
  [1118] = {.lex_state = 12, .external_lex_state = 2},
  [1119] = {.lex_state = 12, .external_lex_state = 2},
  [1120] = {.lex_state = 12, .external_lex_state = 2},
  [1121] = {.lex_state = 12, .external_lex_state = 2},
  [1122] = {.lex_state = 12, .external_lex_state = 2},
  [1123] = {.lex_state = 12, .external_lex_state = 2},
  [1124] = {.lex_state = 12, .external_lex_state = 2},
  [1125] = {.lex_state = 12, .external_lex_state = 2},
  [1126] = {.lex_state = 12, .external_lex_state = 2},
  [1127] = {.lex_state = 12, .external_lex_state = 2},
  [1128] = {.lex_state = 12, .external_lex_state = 2},
  [1129] = {.lex_state = 12, .external_lex_state = 2},
  [1130] = {.lex_state = 12, .external_lex_state = 2},
  [1131] = {.lex_state = 12, .external_lex_state = 2},
  [1132] = {.lex_state = 12, .external_lex_state = 2},
  [1133] = {.lex_state = 12, .external_lex_state = 2},
  [1134] = {.lex_state = 12, .external_lex_state = 2},
  [1135] = {.lex_state = 12, .external_lex_state = 2},
  [1136] = {.lex_state = 12, .external_lex_state = 2},
  [1137] = {.lex_state = 12, .external_lex_state = 2},
  [1138] = {.lex_state = 12, .external_lex_state = 2},
  [1139] = {.lex_state = 12, .external_lex_state = 2},
  [1140] = {.lex_state = 12, .external_lex_state = 2},
  [1141] = {.lex_state = 12, .external_lex_state = 2},
  [1142] = {.lex_state = 12, .external_lex_state = 2},
  [1143] = {.lex_state = 12, .external_lex_state = 2},
  [1144] = {.lex_state = 12, .external_lex_state = 2},
  [1145] = {.lex_state = 12, .external_lex_state = 2},
  [1146] = {.lex_state = 12, .external_lex_state = 2},
  [1147] = {.lex_state = 12, .external_lex_state = 2},
  [1148] = {.lex_state = 12, .external_lex_state = 2},
  [1149] = {.lex_state = 12, .external_lex_state = 2},
  [1150] = {.lex_state = 12, .external_lex_state = 2},
  [1151] = {.lex_state = 13, .external_lex_state = 2},
  [1152] = {.lex_state = 96, .external_lex_state = 2},
  [1153] = {.lex_state = 13, .external_lex_state = 2},
  [1154] = {.lex_state = 13, .external_lex_state = 2},
  [1155] = {.lex_state = 13, .external_lex_state = 2},
  [1156] = {.lex_state = 13, .external_lex_state = 2},
  [1157] = {.lex_state = 13, .external_lex_state = 2},
  [1158] = {.lex_state = 13, .external_lex_state = 2},
  [1159] = {.lex_state = 13, .external_lex_state = 2},
  [1160] = {.lex_state = 96, .external_lex_state = 2},
  [1161] = {.lex_state = 13, .external_lex_state = 2},
  [1162] = {.lex_state = 96, .external_lex_state = 2},
  [1163] = {.lex_state = 13, .external_lex_state = 2},
  [1164] = {.lex_state = 13, .external_lex_state = 2},
  [1165] = {.lex_state = 13, .external_lex_state = 2},
  [1166] = {.lex_state = 6, .external_lex_state = 4},
  [1167] = {.lex_state = 5, .external_lex_state = 4},
  [1168] = {.lex_state = 5, .external_lex_state = 4},
  [1169] = {.lex_state = 5, .external_lex_state = 4},
  [1170] = {.lex_state = 6, .external_lex_state = 4},
  [1171] = {.lex_state = 5, .external_lex_state = 4},
  [1172] = {.lex_state = 5, .external_lex_state = 4},
  [1173] = {.lex_state = 5, .external_lex_state = 4},
  [1174] = {.lex_state = 6, .external_lex_state = 4},
  [1175] = {.lex_state = 5, .external_lex_state = 3},
  [1176] = {.lex_state = 5, .external_lex_state = 3},
  [1177] = {.lex_state = 5, .external_lex_state = 3},
  [1178] = {.lex_state = 5, .external_lex_state = 3},
  [1179] = {.lex_state = 13, .external_lex_state = 2},
  [1180] = {.lex_state = 13, .external_lex_state = 2},
  [1181] = {.lex_state = 5, .external_lex_state = 4},
  [1182] = {.lex_state = 5, .external_lex_state = 4},
  [1183] = {.lex_state = 5, .external_lex_state = 4},
  [1184] = {.lex_state = 5, .external_lex_state = 4},
  [1185] = {.lex_state = 5, .external_lex_state = 4},
  [1186] = {.lex_state = 5, .external_lex_state = 4},
  [1187] = {.lex_state = 6, .external_lex_state = 4},
  [1188] = {.lex_state = 6, .external_lex_state = 4},
  [1189] = {.lex_state = 5, .external_lex_state = 3},
  [1190] = {.lex_state = 5, .external_lex_state = 4},
  [1191] = {.lex_state = 5, .external_lex_state = 4},
  [1192] = {.lex_state = 5, .external_lex_state = 3},
  [1193] = {.lex_state = 5, .external_lex_state = 4},
  [1194] = {.lex_state = 6, .external_lex_state = 3},
  [1195] = {.lex_state = 5, .external_lex_state = 3},
  [1196] = {.lex_state = 5, .external_lex_state = 3},
  [1197] = {.lex_state = 6, .external_lex_state = 3},
  [1198] = {.lex_state = 6, .external_lex_state = 3},
  [1199] = {.lex_state = 6, .external_lex_state = 3},
  [1200] = {.lex_state = 6, .external_lex_state = 3},
  [1201] = {.lex_state = 6, .external_lex_state = 3},
  [1202] = {.lex_state = 6, .external_lex_state = 3},
  [1203] = {.lex_state = 5, .external_lex_state = 3},
  [1204] = {.lex_state = 6, .external_lex_state = 3},
  [1205] = {.lex_state = 6, .external_lex_state = 3},
  [1206] = {.lex_state = 6, .external_lex_state = 3},
  [1207] = {.lex_state = 5, .external_lex_state = 3},
  [1208] = {.lex_state = 5, .external_lex_state = 4},
  [1209] = {.lex_state = 5, .external_lex_state = 4},
  [1210] = {.lex_state = 6, .external_lex_state = 3},
  [1211] = {.lex_state = 5, .external_lex_state = 3},
  [1212] = {.lex_state = 6, .external_lex_state = 3},
  [1213] = {.lex_state = 5, .external_lex_state = 4},
  [1214] = {.lex_state = 5, .external_lex_state = 3},
  [1215] = {.lex_state = 5, .external_lex_state = 4},
  [1216] = {.lex_state = 6, .external_lex_state = 3},
  [1217] = {.lex_state = 5, .external_lex_state = 4},
  [1218] = {.lex_state = 6, .external_lex_state = 4},
  [1219] = {.lex_state = 5, .external_lex_state = 4},
  [1220] = {.lex_state = 5, .external_lex_state = 4},
  [1221] = {.lex_state = 6, .external_lex_state = 3},
  [1222] = {.lex_state = 5, .external_lex_state = 4},
  [1223] = {.lex_state = 6, .external_lex_state = 4},
  [1224] = {.lex_state = 5, .external_lex_state = 4},
  [1225] = {.lex_state = 5, .external_lex_state = 4},
  [1226] = {.lex_state = 5, .external_lex_state = 4},
  [1227] = {.lex_state = 5, .external_lex_state = 4},
  [1228] = {.lex_state = 6, .external_lex_state = 3},
  [1229] = {.lex_state = 5, .external_lex_state = 4},
  [1230] = {.lex_state = 5, .external_lex_state = 3},
  [1231] = {.lex_state = 5, .external_lex_state = 3},
  [1232] = {.lex_state = 5, .external_lex_state = 3},
  [1233] = {.lex_state = 5, .external_lex_state = 4},
  [1234] = {.lex_state = 5, .external_lex_state = 3},
  [1235] = {.lex_state = 5, .external_lex_state = 3},
  [1236] = {.lex_state = 5, .external_lex_state = 3},
  [1237] = {.lex_state = 5, .external_lex_state = 4},
  [1238] = {.lex_state = 5, .external_lex_state = 3},
  [1239] = {.lex_state = 5, .external_lex_state = 3},
  [1240] = {.lex_state = 5, .external_lex_state = 3},
  [1241] = {.lex_state = 5, .external_lex_state = 3},
  [1242] = {.lex_state = 5, .external_lex_state = 4},
  [1243] = {.lex_state = 5, .external_lex_state = 3},
  [1244] = {.lex_state = 5, .external_lex_state = 4},
  [1245] = {.lex_state = 5, .external_lex_state = 3},
  [1246] = {.lex_state = 5, .external_lex_state = 3},
  [1247] = {.lex_state = 96, .external_lex_state = 2},
  [1248] = {.lex_state = 5, .external_lex_state = 3},
  [1249] = {.lex_state = 6, .external_lex_state = 3},
  [1250] = {.lex_state = 5, .external_lex_state = 3},
  [1251] = {.lex_state = 5, .external_lex_state = 3},
  [1252] = {.lex_state = 5, .external_lex_state = 3},
  [1253] = {.lex_state = 96, .external_lex_state = 2},
  [1254] = {.lex_state = 6, .external_lex_state = 3},
  [1255] = {.lex_state = 5, .external_lex_state = 3},
  [1256] = {.lex_state = 5, .external_lex_state = 3},
  [1257] = {.lex_state = 96, .external_lex_state = 2},
  [1258] = {.lex_state = 5, .external_lex_state = 4},
  [1259] = {.lex_state = 5, .external_lex_state = 3},
  [1260] = {.lex_state = 5, .external_lex_state = 3},
  [1261] = {.lex_state = 5, .external_lex_state = 3},
  [1262] = {.lex_state = 96, .external_lex_state = 2},
  [1263] = {.lex_state = 5, .external_lex_state = 3},
  [1264] = {.lex_state = 5, .external_lex_state = 3},
  [1265] = {.lex_state = 5, .external_lex_state = 4},
  [1266] = {.lex_state = 96, .external_lex_state = 2},
  [1267] = {.lex_state = 5, .external_lex_state = 3},
  [1268] = {.lex_state = 5, .external_lex_state = 3},
  [1269] = {.lex_state = 5, .external_lex_state = 3},
  [1270] = {.lex_state = 5, .external_lex_state = 3},
  [1271] = {.lex_state = 5, .external_lex_state = 3},
  [1272] = {.lex_state = 5, .external_lex_state = 3},
  [1273] = {.lex_state = 5, .external_lex_state = 3},
  [1274] = {.lex_state = 5, .external_lex_state = 4},
  [1275] = {.lex_state = 5, .external_lex_state = 3},
  [1276] = {.lex_state = 5, .external_lex_state = 3},
  [1277] = {.lex_state = 5, .external_lex_state = 3},
  [1278] = {.lex_state = 5, .external_lex_state = 4},
  [1279] = {.lex_state = 5, .external_lex_state = 3},
  [1280] = {.lex_state = 5, .external_lex_state = 3},
  [1281] = {.lex_state = 5, .external_lex_state = 3},
  [1282] = {.lex_state = 5, .external_lex_state = 4},
  [1283] = {.lex_state = 5, .external_lex_state = 4},
  [1284] = {.lex_state = 96, .external_lex_state = 2},
  [1285] = {.lex_state = 5, .external_lex_state = 4},
  [1286] = {.lex_state = 96, .external_lex_state = 2},
  [1287] = {.lex_state = 5, .external_lex_state = 4},
  [1288] = {.lex_state = 5, .external_lex_state = 3},
  [1289] = {.lex_state = 5, .external_lex_state = 3},
  [1290] = {.lex_state = 5, .external_lex_state = 4},
  [1291] = {.lex_state = 5, .external_lex_state = 3},
  [1292] = {.lex_state = 6, .external_lex_state = 3},
  [1293] = {.lex_state = 5, .external_lex_state = 3},
  [1294] = {.lex_state = 5, .external_lex_state = 4},
  [1295] = {.lex_state = 5, .external_lex_state = 3},
  [1296] = {.lex_state = 5, .external_lex_state = 4},
  [1297] = {.lex_state = 96, .external_lex_state = 2},
  [1298] = {.lex_state = 5, .external_lex_state = 3},
  [1299] = {.lex_state = 96, .external_lex_state = 2},
  [1300] = {.lex_state = 5, .external_lex_state = 3},
  [1301] = {.lex_state = 5, .external_lex_state = 3},
  [1302] = {.lex_state = 5, .external_lex_state = 3},
  [1303] = {.lex_state = 5, .external_lex_state = 4},
  [1304] = {.lex_state = 5, .external_lex_state = 3},
  [1305] = {.lex_state = 5, .external_lex_state = 3},
  [1306] = {.lex_state = 5, .external_lex_state = 3},
  [1307] = {.lex_state = 5, .external_lex_state = 3},
  [1308] = {.lex_state = 5, .external_lex_state = 4},
  [1309] = {.lex_state = 5, .external_lex_state = 3},
  [1310] = {.lex_state = 5, .external_lex_state = 3},
  [1311] = {.lex_state = 5, .external_lex_state = 4},
  [1312] = {.lex_state = 6, .external_lex_state = 3},
  [1313] = {.lex_state = 5, .external_lex_state = 3},
  [1314] = {.lex_state = 5, .external_lex_state = 3},
  [1315] = {.lex_state = 5, .external_lex_state = 3},
  [1316] = {.lex_state = 5, .external_lex_state = 4},
  [1317] = {.lex_state = 5, .external_lex_state = 4},
  [1318] = {.lex_state = 5, .external_lex_state = 4},
  [1319] = {.lex_state = 5, .external_lex_state = 4},
  [1320] = {.lex_state = 5, .external_lex_state = 3},
  [1321] = {.lex_state = 5, .external_lex_state = 4},
  [1322] = {.lex_state = 5, .external_lex_state = 4},
  [1323] = {.lex_state = 5, .external_lex_state = 4},
  [1324] = {.lex_state = 5, .external_lex_state = 3},
  [1325] = {.lex_state = 5, .external_lex_state = 4},
  [1326] = {.lex_state = 5, .external_lex_state = 3},
  [1327] = {.lex_state = 5, .external_lex_state = 4},
  [1328] = {.lex_state = 5, .external_lex_state = 3},
  [1329] = {.lex_state = 5, .external_lex_state = 4},
  [1330] = {.lex_state = 5, .external_lex_state = 4},
  [1331] = {.lex_state = 5, .external_lex_state = 4},
  [1332] = {.lex_state = 5, .external_lex_state = 4},
  [1333] = {.lex_state = 5, .external_lex_state = 4},
  [1334] = {.lex_state = 5, .external_lex_state = 4},
  [1335] = {.lex_state = 5, .external_lex_state = 4},
  [1336] = {.lex_state = 5, .external_lex_state = 3},
  [1337] = {.lex_state = 5, .external_lex_state = 3},
  [1338] = {.lex_state = 5, .external_lex_state = 3},
  [1339] = {.lex_state = 5, .external_lex_state = 4},
  [1340] = {.lex_state = 5, .external_lex_state = 3},
  [1341] = {.lex_state = 5, .external_lex_state = 4},
  [1342] = {.lex_state = 5, .external_lex_state = 4},
  [1343] = {.lex_state = 5, .external_lex_state = 4},
  [1344] = {.lex_state = 5, .external_lex_state = 3},
  [1345] = {.lex_state = 5, .external_lex_state = 4},
  [1346] = {.lex_state = 5, .external_lex_state = 3},
  [1347] = {.lex_state = 5, .external_lex_state = 4},
  [1348] = {.lex_state = 5, .external_lex_state = 3},
  [1349] = {.lex_state = 5, .external_lex_state = 4},
  [1350] = {.lex_state = 5, .external_lex_state = 4},
  [1351] = {.lex_state = 5, .external_lex_state = 3},
  [1352] = {.lex_state = 6, .external_lex_state = 3},
  [1353] = {.lex_state = 5, .external_lex_state = 4},
  [1354] = {.lex_state = 5, .external_lex_state = 3},
  [1355] = {.lex_state = 5, .external_lex_state = 3},
  [1356] = {.lex_state = 5, .external_lex_state = 4},
  [1357] = {.lex_state = 5, .external_lex_state = 3},
  [1358] = {.lex_state = 5, .external_lex_state = 3},
  [1359] = {.lex_state = 5, .external_lex_state = 3},
  [1360] = {.lex_state = 5, .external_lex_state = 3},
  [1361] = {.lex_state = 5, .external_lex_state = 3},
  [1362] = {.lex_state = 5, .external_lex_state = 3},
  [1363] = {.lex_state = 5, .external_lex_state = 3},
  [1364] = {.lex_state = 5, .external_lex_state = 4},
  [1365] = {.lex_state = 5, .external_lex_state = 4},
  [1366] = {.lex_state = 5, .external_lex_state = 3},
  [1367] = {.lex_state = 6, .external_lex_state = 3},
  [1368] = {.lex_state = 5, .external_lex_state = 3},
  [1369] = {.lex_state = 5, .external_lex_state = 3},
  [1370] = {.lex_state = 5, .external_lex_state = 3},
  [1371] = {.lex_state = 5, .external_lex_state = 3},
  [1372] = {.lex_state = 5, .external_lex_state = 3},
  [1373] = {.lex_state = 6, .external_lex_state = 3},
  [1374] = {.lex_state = 6, .external_lex_state = 3},
  [1375] = {.lex_state = 5, .external_lex_state = 3},
  [1376] = {.lex_state = 5, .external_lex_state = 3},
  [1377] = {.lex_state = 5, .external_lex_state = 3},
  [1378] = {.lex_state = 5, .external_lex_state = 3},
  [1379] = {.lex_state = 12, .external_lex_state = 2},
  [1380] = {.lex_state = 5, .external_lex_state = 4},
  [1381] = {.lex_state = 5, .external_lex_state = 3},
  [1382] = {.lex_state = 5, .external_lex_state = 3},
  [1383] = {.lex_state = 5, .external_lex_state = 3},
  [1384] = {.lex_state = 5, .external_lex_state = 3},
  [1385] = {.lex_state = 5, .external_lex_state = 3},
  [1386] = {.lex_state = 5, .external_lex_state = 3},
  [1387] = {.lex_state = 12, .external_lex_state = 2},
  [1388] = {.lex_state = 12, .external_lex_state = 2},
  [1389] = {.lex_state = 12, .external_lex_state = 2},
  [1390] = {.lex_state = 5, .external_lex_state = 3},
  [1391] = {.lex_state = 6, .external_lex_state = 3},
  [1392] = {.lex_state = 5, .external_lex_state = 4},
  [1393] = {.lex_state = 5, .external_lex_state = 3},
  [1394] = {.lex_state = 5, .external_lex_state = 3},
  [1395] = {.lex_state = 5, .external_lex_state = 3},
  [1396] = {.lex_state = 12, .external_lex_state = 2},
  [1397] = {.lex_state = 5, .external_lex_state = 3},
  [1398] = {.lex_state = 5, .external_lex_state = 4},
  [1399] = {.lex_state = 5, .external_lex_state = 3},
  [1400] = {.lex_state = 5, .external_lex_state = 4},
  [1401] = {.lex_state = 12, .external_lex_state = 2},
  [1402] = {.lex_state = 5, .external_lex_state = 3},
  [1403] = {.lex_state = 5, .external_lex_state = 3},
  [1404] = {.lex_state = 5, .external_lex_state = 3},
  [1405] = {.lex_state = 5, .external_lex_state = 3},
  [1406] = {.lex_state = 5, .external_lex_state = 3},
  [1407] = {.lex_state = 5, .external_lex_state = 3},
  [1408] = {.lex_state = 5, .external_lex_state = 3},
  [1409] = {.lex_state = 5, .external_lex_state = 3},
  [1410] = {.lex_state = 5, .external_lex_state = 3},
  [1411] = {.lex_state = 5, .external_lex_state = 3},
  [1412] = {.lex_state = 5, .external_lex_state = 3},
  [1413] = {.lex_state = 5, .external_lex_state = 3},
  [1414] = {.lex_state = 5, .external_lex_state = 3},
  [1415] = {.lex_state = 5, .external_lex_state = 3},
  [1416] = {.lex_state = 5, .external_lex_state = 3},
  [1417] = {.lex_state = 5, .external_lex_state = 4},
  [1418] = {.lex_state = 5, .external_lex_state = 3},
  [1419] = {.lex_state = 12, .external_lex_state = 2},
  [1420] = {.lex_state = 5, .external_lex_state = 3},
  [1421] = {.lex_state = 5, .external_lex_state = 3},
  [1422] = {.lex_state = 12, .external_lex_state = 2},
  [1423] = {.lex_state = 5, .external_lex_state = 3},
  [1424] = {.lex_state = 12, .external_lex_state = 2},
  [1425] = {.lex_state = 12, .external_lex_state = 2},
  [1426] = {.lex_state = 5, .external_lex_state = 3},
  [1427] = {.lex_state = 5, .external_lex_state = 3},
  [1428] = {.lex_state = 12, .external_lex_state = 2},
  [1429] = {.lex_state = 12, .external_lex_state = 2},
  [1430] = {.lex_state = 5, .external_lex_state = 3},
  [1431] = {.lex_state = 5, .external_lex_state = 3},
  [1432] = {.lex_state = 5, .external_lex_state = 3},
  [1433] = {.lex_state = 12, .external_lex_state = 2},
  [1434] = {.lex_state = 5, .external_lex_state = 3},
  [1435] = {.lex_state = 12, .external_lex_state = 2},
  [1436] = {.lex_state = 12, .external_lex_state = 2},
  [1437] = {.lex_state = 5, .external_lex_state = 3},
  [1438] = {.lex_state = 5, .external_lex_state = 3},
  [1439] = {.lex_state = 5, .external_lex_state = 3},
  [1440] = {.lex_state = 12, .external_lex_state = 2},
  [1441] = {.lex_state = 12, .external_lex_state = 2},
  [1442] = {.lex_state = 5, .external_lex_state = 3},
  [1443] = {.lex_state = 5, .external_lex_state = 3},
  [1444] = {.lex_state = 12, .external_lex_state = 2},
  [1445] = {.lex_state = 12, .external_lex_state = 2},
  [1446] = {.lex_state = 5, .external_lex_state = 3},
  [1447] = {.lex_state = 5, .external_lex_state = 3},
  [1448] = {.lex_state = 5, .external_lex_state = 3},
  [1449] = {.lex_state = 5, .external_lex_state = 3},
  [1450] = {.lex_state = 5, .external_lex_state = 3},
  [1451] = {.lex_state = 5, .external_lex_state = 3},
  [1452] = {.lex_state = 5, .external_lex_state = 3},
  [1453] = {.lex_state = 5, .external_lex_state = 3},
  [1454] = {.lex_state = 5, .external_lex_state = 3},
  [1455] = {.lex_state = 12, .external_lex_state = 2},
  [1456] = {.lex_state = 12, .external_lex_state = 2},
  [1457] = {.lex_state = 5, .external_lex_state = 3},
  [1458] = {.lex_state = 12, .external_lex_state = 2},
  [1459] = {.lex_state = 5, .external_lex_state = 3},
  [1460] = {.lex_state = 5, .external_lex_state = 3},
  [1461] = {.lex_state = 5, .external_lex_state = 3},
  [1462] = {.lex_state = 12, .external_lex_state = 2},
  [1463] = {.lex_state = 12, .external_lex_state = 2},
  [1464] = {.lex_state = 5, .external_lex_state = 3},
  [1465] = {.lex_state = 5, .external_lex_state = 3},
  [1466] = {.lex_state = 5, .external_lex_state = 3},
  [1467] = {.lex_state = 5, .external_lex_state = 3},
  [1468] = {.lex_state = 5, .external_lex_state = 3},
  [1469] = {.lex_state = 5, .external_lex_state = 3},
  [1470] = {.lex_state = 5, .external_lex_state = 3},
  [1471] = {.lex_state = 5, .external_lex_state = 3},
  [1472] = {.lex_state = 5, .external_lex_state = 3},
  [1473] = {.lex_state = 5, .external_lex_state = 3},
  [1474] = {.lex_state = 12, .external_lex_state = 2},
  [1475] = {.lex_state = 12, .external_lex_state = 2},
  [1476] = {.lex_state = 12, .external_lex_state = 2},
  [1477] = {.lex_state = 12, .external_lex_state = 2},
  [1478] = {.lex_state = 12, .external_lex_state = 2},
  [1479] = {.lex_state = 12, .external_lex_state = 2},
  [1480] = {.lex_state = 12, .external_lex_state = 2},
  [1481] = {.lex_state = 12, .external_lex_state = 2},
  [1482] = {.lex_state = 13, .external_lex_state = 5},
  [1483] = {.lex_state = 13, .external_lex_state = 5},
  [1484] = {.lex_state = 13, .external_lex_state = 5},
  [1485] = {.lex_state = 12, .external_lex_state = 2},
  [1486] = {.lex_state = 13, .external_lex_state = 5},
  [1487] = {.lex_state = 12, .external_lex_state = 2},
  [1488] = {.lex_state = 12, .external_lex_state = 2},
  [1489] = {.lex_state = 12, .external_lex_state = 2},
  [1490] = {.lex_state = 12, .external_lex_state = 2},
  [1491] = {.lex_state = 12, .external_lex_state = 2},
  [1492] = {.lex_state = 12, .external_lex_state = 2},
  [1493] = {.lex_state = 13, .external_lex_state = 5},
  [1494] = {.lex_state = 12, .external_lex_state = 2},
  [1495] = {.lex_state = 12, .external_lex_state = 2},
  [1496] = {.lex_state = 12, .external_lex_state = 2},
  [1497] = {.lex_state = 96, .external_lex_state = 2},
  [1498] = {.lex_state = 96, .external_lex_state = 2},
  [1499] = {.lex_state = 96, .external_lex_state = 2},
  [1500] = {.lex_state = 96, .external_lex_state = 2},
  [1501] = {.lex_state = 96, .external_lex_state = 2},
  [1502] = {.lex_state = 7, .external_lex_state = 3},
  [1503] = {.lex_state = 96, .external_lex_state = 2},
  [1504] = {.lex_state = 7, .external_lex_state = 4},
  [1505] = {.lex_state = 7, .external_lex_state = 3},
  [1506] = {.lex_state = 7, .external_lex_state = 3},
  [1507] = {.lex_state = 13, .external_lex_state = 5},
  [1508] = {.lex_state = 13, .external_lex_state = 5},
  [1509] = {.lex_state = 7, .external_lex_state = 3},
  [1510] = {.lex_state = 7, .external_lex_state = 3},
  [1511] = {.lex_state = 7, .external_lex_state = 4},
  [1512] = {.lex_state = 7, .external_lex_state = 3},
  [1513] = {.lex_state = 7, .external_lex_state = 3},
  [1514] = {.lex_state = 7, .external_lex_state = 3},
  [1515] = {.lex_state = 7, .external_lex_state = 4},
  [1516] = {.lex_state = 7, .external_lex_state = 3},
  [1517] = {.lex_state = 7, .external_lex_state = 3},
  [1518] = {.lex_state = 7, .external_lex_state = 3},
  [1519] = {.lex_state = 7, .external_lex_state = 3},
  [1520] = {.lex_state = 7, .external_lex_state = 3},
  [1521] = {.lex_state = 7, .external_lex_state = 3},
  [1522] = {.lex_state = 7, .external_lex_state = 3},
  [1523] = {.lex_state = 96, .external_lex_state = 2},
  [1524] = {.lex_state = 7, .external_lex_state = 3},
  [1525] = {.lex_state = 7, .external_lex_state = 3},
  [1526] = {.lex_state = 7, .external_lex_state = 3},
  [1527] = {.lex_state = 7, .external_lex_state = 3},
  [1528] = {.lex_state = 7, .external_lex_state = 3},
  [1529] = {.lex_state = 7, .external_lex_state = 3},
  [1530] = {.lex_state = 7, .external_lex_state = 3},
  [1531] = {.lex_state = 7, .external_lex_state = 3},
  [1532] = {.lex_state = 7, .external_lex_state = 3},
  [1533] = {.lex_state = 7, .external_lex_state = 3},
  [1534] = {.lex_state = 7, .external_lex_state = 3},
  [1535] = {.lex_state = 7, .external_lex_state = 3},
  [1536] = {.lex_state = 7, .external_lex_state = 3},
  [1537] = {.lex_state = 7, .external_lex_state = 3},
  [1538] = {.lex_state = 7, .external_lex_state = 3},
  [1539] = {.lex_state = 7, .external_lex_state = 3},
  [1540] = {.lex_state = 7, .external_lex_state = 3},
  [1541] = {.lex_state = 7, .external_lex_state = 3},
  [1542] = {.lex_state = 7, .external_lex_state = 3},
  [1543] = {.lex_state = 7, .external_lex_state = 3},
  [1544] = {.lex_state = 7, .external_lex_state = 3},
  [1545] = {.lex_state = 7, .external_lex_state = 3},
  [1546] = {.lex_state = 7, .external_lex_state = 3},
  [1547] = {.lex_state = 7, .external_lex_state = 3},
  [1548] = {.lex_state = 7, .external_lex_state = 3},
  [1549] = {.lex_state = 7, .external_lex_state = 3},
  [1550] = {.lex_state = 7, .external_lex_state = 3},
  [1551] = {.lex_state = 7, .external_lex_state = 3},
  [1552] = {.lex_state = 7, .external_lex_state = 3},
  [1553] = {.lex_state = 7, .external_lex_state = 3},
  [1554] = {.lex_state = 7, .external_lex_state = 3},
  [1555] = {.lex_state = 7, .external_lex_state = 3},
  [1556] = {.lex_state = 7, .external_lex_state = 3},
  [1557] = {.lex_state = 7, .external_lex_state = 3},
  [1558] = {.lex_state = 7, .external_lex_state = 3},
  [1559] = {.lex_state = 7, .external_lex_state = 3},
  [1560] = {.lex_state = 7, .external_lex_state = 3},
  [1561] = {.lex_state = 7, .external_lex_state = 3},
  [1562] = {.lex_state = 7, .external_lex_state = 3},
  [1563] = {.lex_state = 7, .external_lex_state = 3},
  [1564] = {.lex_state = 7, .external_lex_state = 3},
  [1565] = {.lex_state = 7, .external_lex_state = 3},
  [1566] = {.lex_state = 7, .external_lex_state = 3},
  [1567] = {.lex_state = 7, .external_lex_state = 3},
  [1568] = {.lex_state = 7, .external_lex_state = 3},
  [1569] = {.lex_state = 7, .external_lex_state = 3},
  [1570] = {.lex_state = 7, .external_lex_state = 3},
  [1571] = {.lex_state = 7, .external_lex_state = 3},
  [1572] = {.lex_state = 7, .external_lex_state = 3},
  [1573] = {.lex_state = 7, .external_lex_state = 3},
  [1574] = {.lex_state = 7, .external_lex_state = 3},
  [1575] = {.lex_state = 7, .external_lex_state = 3},
  [1576] = {.lex_state = 7, .external_lex_state = 3},
  [1577] = {.lex_state = 7, .external_lex_state = 3},
  [1578] = {.lex_state = 7, .external_lex_state = 3},
  [1579] = {.lex_state = 7, .external_lex_state = 4},
  [1580] = {.lex_state = 7, .external_lex_state = 3},
  [1581] = {.lex_state = 7, .external_lex_state = 3},
  [1582] = {.lex_state = 7, .external_lex_state = 3},
  [1583] = {.lex_state = 7, .external_lex_state = 3},
  [1584] = {.lex_state = 7, .external_lex_state = 3},
  [1585] = {.lex_state = 7, .external_lex_state = 3},
  [1586] = {.lex_state = 7, .external_lex_state = 3},
  [1587] = {.lex_state = 7, .external_lex_state = 3},
  [1588] = {.lex_state = 7, .external_lex_state = 3},
  [1589] = {.lex_state = 7, .external_lex_state = 3},
  [1590] = {.lex_state = 7, .external_lex_state = 3},
  [1591] = {.lex_state = 7, .external_lex_state = 3},
  [1592] = {.lex_state = 7, .external_lex_state = 3},
  [1593] = {.lex_state = 7, .external_lex_state = 3},
  [1594] = {.lex_state = 7, .external_lex_state = 3},
  [1595] = {.lex_state = 7, .external_lex_state = 3},
  [1596] = {.lex_state = 7, .external_lex_state = 3},
  [1597] = {.lex_state = 7, .external_lex_state = 3},
  [1598] = {.lex_state = 7, .external_lex_state = 3},
  [1599] = {.lex_state = 7, .external_lex_state = 3},
  [1600] = {.lex_state = 7, .external_lex_state = 3},
  [1601] = {.lex_state = 7, .external_lex_state = 3},
  [1602] = {.lex_state = 7, .external_lex_state = 3},
  [1603] = {.lex_state = 7, .external_lex_state = 3},
  [1604] = {.lex_state = 7, .external_lex_state = 4},
  [1605] = {.lex_state = 7, .external_lex_state = 3},
  [1606] = {.lex_state = 7, .external_lex_state = 3},
  [1607] = {.lex_state = 7, .external_lex_state = 3},
  [1608] = {.lex_state = 7, .external_lex_state = 3},
  [1609] = {.lex_state = 7, .external_lex_state = 4},
  [1610] = {.lex_state = 7, .external_lex_state = 3},
  [1611] = {.lex_state = 7, .external_lex_state = 3},
  [1612] = {.lex_state = 7, .external_lex_state = 3},
  [1613] = {.lex_state = 7, .external_lex_state = 3},
  [1614] = {.lex_state = 7, .external_lex_state = 3},
  [1615] = {.lex_state = 7, .external_lex_state = 3},
  [1616] = {.lex_state = 7, .external_lex_state = 3},
  [1617] = {.lex_state = 7, .external_lex_state = 3},
  [1618] = {.lex_state = 7, .external_lex_state = 3},
  [1619] = {.lex_state = 7, .external_lex_state = 3},
  [1620] = {.lex_state = 7, .external_lex_state = 3},
  [1621] = {.lex_state = 7, .external_lex_state = 3},
  [1622] = {.lex_state = 7, .external_lex_state = 3},
  [1623] = {.lex_state = 7, .external_lex_state = 3},
  [1624] = {.lex_state = 7, .external_lex_state = 4},
  [1625] = {.lex_state = 7, .external_lex_state = 3},
  [1626] = {.lex_state = 7, .external_lex_state = 4},
  [1627] = {.lex_state = 7, .external_lex_state = 3},
  [1628] = {.lex_state = 7, .external_lex_state = 3},
  [1629] = {.lex_state = 7, .external_lex_state = 3},
  [1630] = {.lex_state = 7, .external_lex_state = 3},
  [1631] = {.lex_state = 7, .external_lex_state = 3},
  [1632] = {.lex_state = 7, .external_lex_state = 3},
  [1633] = {.lex_state = 7, .external_lex_state = 3},
  [1634] = {.lex_state = 7, .external_lex_state = 3},
  [1635] = {.lex_state = 7, .external_lex_state = 3},
  [1636] = {.lex_state = 7, .external_lex_state = 3},
  [1637] = {.lex_state = 7, .external_lex_state = 3},
  [1638] = {.lex_state = 7, .external_lex_state = 3},
  [1639] = {.lex_state = 7, .external_lex_state = 3},
  [1640] = {.lex_state = 7, .external_lex_state = 3},
  [1641] = {.lex_state = 7, .external_lex_state = 3},
  [1642] = {.lex_state = 7, .external_lex_state = 3},
  [1643] = {.lex_state = 7, .external_lex_state = 3},
  [1644] = {.lex_state = 7, .external_lex_state = 3},
  [1645] = {.lex_state = 7, .external_lex_state = 3},
  [1646] = {.lex_state = 7, .external_lex_state = 3},
  [1647] = {.lex_state = 7, .external_lex_state = 3},
  [1648] = {.lex_state = 7, .external_lex_state = 3},
  [1649] = {.lex_state = 7, .external_lex_state = 3},
  [1650] = {.lex_state = 7, .external_lex_state = 3},
  [1651] = {.lex_state = 7, .external_lex_state = 3},
  [1652] = {.lex_state = 7, .external_lex_state = 3},
  [1653] = {.lex_state = 7, .external_lex_state = 3},
  [1654] = {.lex_state = 7, .external_lex_state = 3},
  [1655] = {.lex_state = 7, .external_lex_state = 3},
  [1656] = {.lex_state = 7, .external_lex_state = 3},
  [1657] = {.lex_state = 7, .external_lex_state = 3},
  [1658] = {.lex_state = 7, .external_lex_state = 3},
  [1659] = {.lex_state = 7, .external_lex_state = 3},
  [1660] = {.lex_state = 7, .external_lex_state = 3},
  [1661] = {.lex_state = 7, .external_lex_state = 3},
  [1662] = {.lex_state = 7, .external_lex_state = 3},
  [1663] = {.lex_state = 7, .external_lex_state = 3},
  [1664] = {.lex_state = 7, .external_lex_state = 3},
  [1665] = {.lex_state = 7, .external_lex_state = 3},
  [1666] = {.lex_state = 7, .external_lex_state = 3},
  [1667] = {.lex_state = 7, .external_lex_state = 3},
  [1668] = {.lex_state = 7, .external_lex_state = 3},
  [1669] = {.lex_state = 7, .external_lex_state = 3},
  [1670] = {.lex_state = 7, .external_lex_state = 3},
  [1671] = {.lex_state = 7, .external_lex_state = 3},
  [1672] = {.lex_state = 7, .external_lex_state = 3},
  [1673] = {.lex_state = 7, .external_lex_state = 3},
  [1674] = {.lex_state = 7, .external_lex_state = 3},
  [1675] = {.lex_state = 7, .external_lex_state = 3},
  [1676] = {.lex_state = 7, .external_lex_state = 3},
  [1677] = {.lex_state = 7, .external_lex_state = 3},
  [1678] = {.lex_state = 7, .external_lex_state = 3},
  [1679] = {.lex_state = 7, .external_lex_state = 3},
  [1680] = {.lex_state = 7, .external_lex_state = 3},
  [1681] = {.lex_state = 7, .external_lex_state = 3},
  [1682] = {.lex_state = 7, .external_lex_state = 3},
  [1683] = {.lex_state = 7, .external_lex_state = 3},
  [1684] = {.lex_state = 7, .external_lex_state = 3},
  [1685] = {.lex_state = 7, .external_lex_state = 3},
  [1686] = {.lex_state = 7, .external_lex_state = 3},
  [1687] = {.lex_state = 7, .external_lex_state = 3},
  [1688] = {.lex_state = 7, .external_lex_state = 3},
  [1689] = {.lex_state = 12, .external_lex_state = 5},
  [1690] = {.lex_state = 7, .external_lex_state = 3},
  [1691] = {.lex_state = 7, .external_lex_state = 3},
  [1692] = {.lex_state = 7, .external_lex_state = 3},
  [1693] = {.lex_state = 7, .external_lex_state = 3},
  [1694] = {.lex_state = 7, .external_lex_state = 3},
  [1695] = {.lex_state = 7, .external_lex_state = 3},
  [1696] = {.lex_state = 7, .external_lex_state = 3},
  [1697] = {.lex_state = 7, .external_lex_state = 3},
  [1698] = {.lex_state = 7, .external_lex_state = 3},
  [1699] = {.lex_state = 7, .external_lex_state = 3},
  [1700] = {.lex_state = 7, .external_lex_state = 3},
  [1701] = {.lex_state = 7, .external_lex_state = 3},
  [1702] = {.lex_state = 7, .external_lex_state = 3},
  [1703] = {.lex_state = 7, .external_lex_state = 3},
  [1704] = {.lex_state = 7, .external_lex_state = 3},
  [1705] = {.lex_state = 7, .external_lex_state = 3},
  [1706] = {.lex_state = 7, .external_lex_state = 3},
  [1707] = {.lex_state = 7, .external_lex_state = 3},
  [1708] = {.lex_state = 7, .external_lex_state = 3},
  [1709] = {.lex_state = 7, .external_lex_state = 3},
  [1710] = {.lex_state = 7, .external_lex_state = 4},
  [1711] = {.lex_state = 7, .external_lex_state = 4},
  [1712] = {.lex_state = 7, .external_lex_state = 4},
  [1713] = {.lex_state = 7, .external_lex_state = 3},
  [1714] = {.lex_state = 7, .external_lex_state = 3},
  [1715] = {.lex_state = 7, .external_lex_state = 3},
  [1716] = {.lex_state = 7, .external_lex_state = 3},
  [1717] = {.lex_state = 7, .external_lex_state = 3},
  [1718] = {.lex_state = 7, .external_lex_state = 3},
  [1719] = {.lex_state = 12, .external_lex_state = 5},
  [1720] = {.lex_state = 12, .external_lex_state = 5},
  [1721] = {.lex_state = 12, .external_lex_state = 5},
  [1722] = {.lex_state = 12, .external_lex_state = 5},
  [1723] = {.lex_state = 7, .external_lex_state = 3},
  [1724] = {.lex_state = 12, .external_lex_state = 5},
  [1725] = {.lex_state = 13, .external_lex_state = 5},
  [1726] = {.lex_state = 7, .external_lex_state = 4},
  [1727] = {.lex_state = 7, .external_lex_state = 3},
  [1728] = {.lex_state = 7, .external_lex_state = 4},
  [1729] = {.lex_state = 7, .external_lex_state = 3},
  [1730] = {.lex_state = 7, .external_lex_state = 4},
  [1731] = {.lex_state = 7, .external_lex_state = 3},
  [1732] = {.lex_state = 7, .external_lex_state = 4},
  [1733] = {.lex_state = 12, .external_lex_state = 5},
  [1734] = {.lex_state = 7, .external_lex_state = 4},
  [1735] = {.lex_state = 7, .external_lex_state = 4},
  [1736] = {.lex_state = 12, .external_lex_state = 5},
  [1737] = {.lex_state = 7, .external_lex_state = 4},
  [1738] = {.lex_state = 12, .external_lex_state = 5},
  [1739] = {.lex_state = 7, .external_lex_state = 4},
  [1740] = {.lex_state = 12, .external_lex_state = 5},
  [1741] = {.lex_state = 7, .external_lex_state = 3},
  [1742] = {.lex_state = 7, .external_lex_state = 3},
  [1743] = {.lex_state = 7, .external_lex_state = 3},
  [1744] = {.lex_state = 7, .external_lex_state = 3},
  [1745] = {.lex_state = 7, .external_lex_state = 3},
  [1746] = {.lex_state = 7, .external_lex_state = 3},
  [1747] = {.lex_state = 7, .external_lex_state = 3},
  [1748] = {.lex_state = 7, .external_lex_state = 3},
  [1749] = {.lex_state = 7, .external_lex_state = 3},
  [1750] = {.lex_state = 7, .external_lex_state = 3},
  [1751] = {.lex_state = 7, .external_lex_state = 3},
  [1752] = {.lex_state = 7, .external_lex_state = 4},
  [1753] = {.lex_state = 7, .external_lex_state = 3},
  [1754] = {.lex_state = 7, .external_lex_state = 3},
  [1755] = {.lex_state = 7, .external_lex_state = 3},
  [1756] = {.lex_state = 7, .external_lex_state = 3},
  [1757] = {.lex_state = 7, .external_lex_state = 3},
  [1758] = {.lex_state = 7, .external_lex_state = 3},
  [1759] = {.lex_state = 7, .external_lex_state = 3},
  [1760] = {.lex_state = 7, .external_lex_state = 3},
  [1761] = {.lex_state = 7, .external_lex_state = 3},
  [1762] = {.lex_state = 7, .external_lex_state = 3},
  [1763] = {.lex_state = 7, .external_lex_state = 3},
  [1764] = {.lex_state = 7, .external_lex_state = 3},
  [1765] = {.lex_state = 7, .external_lex_state = 3},
  [1766] = {.lex_state = 12, .external_lex_state = 5},
  [1767] = {.lex_state = 7, .external_lex_state = 3},
  [1768] = {.lex_state = 7, .external_lex_state = 4},
  [1769] = {.lex_state = 12, .external_lex_state = 5},
  [1770] = {.lex_state = 7, .external_lex_state = 4},
  [1771] = {.lex_state = 7, .external_lex_state = 3},
  [1772] = {.lex_state = 12, .external_lex_state = 5},
  [1773] = {.lex_state = 12, .external_lex_state = 5},
  [1774] = {.lex_state = 12, .external_lex_state = 5},
  [1775] = {.lex_state = 12, .external_lex_state = 5},
  [1776] = {.lex_state = 7, .external_lex_state = 4},
  [1777] = {.lex_state = 12, .external_lex_state = 5},
  [1778] = {.lex_state = 7, .external_lex_state = 3},
  [1779] = {.lex_state = 7, .external_lex_state = 3},
  [1780] = {.lex_state = 7, .external_lex_state = 3},
  [1781] = {.lex_state = 7, .external_lex_state = 3},
  [1782] = {.lex_state = 7, .external_lex_state = 4},
  [1783] = {.lex_state = 7, .external_lex_state = 4},
  [1784] = {.lex_state = 7, .external_lex_state = 4},
  [1785] = {.lex_state = 12, .external_lex_state = 5},
  [1786] = {.lex_state = 12, .external_lex_state = 5},
  [1787] = {.lex_state = 7, .external_lex_state = 4},
  [1788] = {.lex_state = 7, .external_lex_state = 4},
  [1789] = {.lex_state = 7, .external_lex_state = 4},
  [1790] = {.lex_state = 7, .external_lex_state = 4},
  [1791] = {.lex_state = 12, .external_lex_state = 5},
  [1792] = {.lex_state = 7, .external_lex_state = 4},
  [1793] = {.lex_state = 7, .external_lex_state = 3},
  [1794] = {.lex_state = 7, .external_lex_state = 4},
  [1795] = {.lex_state = 7, .external_lex_state = 3},
  [1796] = {.lex_state = 7, .external_lex_state = 4},
  [1797] = {.lex_state = 7, .external_lex_state = 4},
  [1798] = {.lex_state = 7, .external_lex_state = 3},
  [1799] = {.lex_state = 7, .external_lex_state = 3},
  [1800] = {.lex_state = 7, .external_lex_state = 3},
  [1801] = {.lex_state = 7, .external_lex_state = 4},
  [1802] = {.lex_state = 7, .external_lex_state = 4},
  [1803] = {.lex_state = 7, .external_lex_state = 4},
  [1804] = {.lex_state = 7, .external_lex_state = 4},
  [1805] = {.lex_state = 7, .external_lex_state = 4},
  [1806] = {.lex_state = 7, .external_lex_state = 4},
  [1807] = {.lex_state = 7, .external_lex_state = 4},
  [1808] = {.lex_state = 7, .external_lex_state = 4},
  [1809] = {.lex_state = 7, .external_lex_state = 4},
  [1810] = {.lex_state = 7, .external_lex_state = 4},
  [1811] = {.lex_state = 7, .external_lex_state = 4},
  [1812] = {.lex_state = 7, .external_lex_state = 4},
  [1813] = {.lex_state = 7, .external_lex_state = 3},
  [1814] = {.lex_state = 7, .external_lex_state = 4},
  [1815] = {.lex_state = 7, .external_lex_state = 4},
  [1816] = {.lex_state = 7, .external_lex_state = 4},
  [1817] = {.lex_state = 7, .external_lex_state = 3},
  [1818] = {.lex_state = 7, .external_lex_state = 4},
  [1819] = {.lex_state = 7, .external_lex_state = 4},
  [1820] = {.lex_state = 7, .external_lex_state = 4},
  [1821] = {.lex_state = 7, .external_lex_state = 4},
  [1822] = {.lex_state = 7, .external_lex_state = 4},
  [1823] = {.lex_state = 7, .external_lex_state = 4},
  [1824] = {.lex_state = 8, .external_lex_state = 3},
  [1825] = {.lex_state = 12, .external_lex_state = 5},
  [1826] = {.lex_state = 7, .external_lex_state = 4},
  [1827] = {.lex_state = 7, .external_lex_state = 3},
  [1828] = {.lex_state = 7, .external_lex_state = 4},
  [1829] = {.lex_state = 7, .external_lex_state = 4},
  [1830] = {.lex_state = 7, .external_lex_state = 4},
  [1831] = {.lex_state = 12, .external_lex_state = 5},
  [1832] = {.lex_state = 7, .external_lex_state = 4},
  [1833] = {.lex_state = 7, .external_lex_state = 4},
  [1834] = {.lex_state = 7, .external_lex_state = 3},
  [1835] = {.lex_state = 12, .external_lex_state = 5},
  [1836] = {.lex_state = 7, .external_lex_state = 4},
  [1837] = {.lex_state = 7, .external_lex_state = 4},
  [1838] = {.lex_state = 7, .external_lex_state = 4},
  [1839] = {.lex_state = 7, .external_lex_state = 4},
  [1840] = {.lex_state = 7, .external_lex_state = 4},
  [1841] = {.lex_state = 7, .external_lex_state = 4},
  [1842] = {.lex_state = 7, .external_lex_state = 4},
  [1843] = {.lex_state = 7, .external_lex_state = 4},
  [1844] = {.lex_state = 7, .external_lex_state = 4},
  [1845] = {.lex_state = 7, .external_lex_state = 4},
  [1846] = {.lex_state = 7, .external_lex_state = 4},
  [1847] = {.lex_state = 7, .external_lex_state = 4},
  [1848] = {.lex_state = 7, .external_lex_state = 4},
  [1849] = {.lex_state = 7, .external_lex_state = 4},
  [1850] = {.lex_state = 7, .external_lex_state = 4},
  [1851] = {.lex_state = 7, .external_lex_state = 4},
  [1852] = {.lex_state = 7, .external_lex_state = 4},
  [1853] = {.lex_state = 7, .external_lex_state = 4},
  [1854] = {.lex_state = 7, .external_lex_state = 4},
  [1855] = {.lex_state = 7, .external_lex_state = 4},
  [1856] = {.lex_state = 7, .external_lex_state = 4},
  [1857] = {.lex_state = 7, .external_lex_state = 4},
  [1858] = {.lex_state = 7, .external_lex_state = 4},
  [1859] = {.lex_state = 7, .external_lex_state = 4},
  [1860] = {.lex_state = 7, .external_lex_state = 4},
  [1861] = {.lex_state = 7, .external_lex_state = 4},
  [1862] = {.lex_state = 7, .external_lex_state = 4},
  [1863] = {.lex_state = 7, .external_lex_state = 4},
  [1864] = {.lex_state = 7, .external_lex_state = 4},
  [1865] = {.lex_state = 7, .external_lex_state = 4},
  [1866] = {.lex_state = 7, .external_lex_state = 3},
  [1867] = {.lex_state = 7, .external_lex_state = 4},
  [1868] = {.lex_state = 7, .external_lex_state = 3},
  [1869] = {.lex_state = 7, .external_lex_state = 4},
  [1870] = {.lex_state = 7, .external_lex_state = 4},
  [1871] = {.lex_state = 12, .external_lex_state = 5},
  [1872] = {.lex_state = 12, .external_lex_state = 5},
  [1873] = {.lex_state = 7, .external_lex_state = 4},
  [1874] = {.lex_state = 7, .external_lex_state = 4},
  [1875] = {.lex_state = 7, .external_lex_state = 4},
  [1876] = {.lex_state = 7, .external_lex_state = 4},
  [1877] = {.lex_state = 7, .external_lex_state = 4},
  [1878] = {.lex_state = 7, .external_lex_state = 4},
  [1879] = {.lex_state = 12, .external_lex_state = 2},
  [1880] = {.lex_state = 7, .external_lex_state = 4},
  [1881] = {.lex_state = 7, .external_lex_state = 4},
  [1882] = {.lex_state = 7, .external_lex_state = 4},
  [1883] = {.lex_state = 7, .external_lex_state = 4},
  [1884] = {.lex_state = 7, .external_lex_state = 4},
  [1885] = {.lex_state = 7, .external_lex_state = 3},
  [1886] = {.lex_state = 7, .external_lex_state = 3},
  [1887] = {.lex_state = 7, .external_lex_state = 3},
  [1888] = {.lex_state = 7, .external_lex_state = 3},
  [1889] = {.lex_state = 7, .external_lex_state = 3},
  [1890] = {.lex_state = 7, .external_lex_state = 3},
  [1891] = {.lex_state = 12, .external_lex_state = 2},
  [1892] = {.lex_state = 7, .external_lex_state = 3},
  [1893] = {.lex_state = 7, .external_lex_state = 4},
  [1894] = {.lex_state = 7, .external_lex_state = 3},
  [1895] = {.lex_state = 7, .external_lex_state = 3},
  [1896] = {.lex_state = 7, .external_lex_state = 4},
  [1897] = {.lex_state = 7, .external_lex_state = 3},
  [1898] = {.lex_state = 7, .external_lex_state = 3},
  [1899] = {.lex_state = 7, .external_lex_state = 3},
  [1900] = {.lex_state = 7, .external_lex_state = 3},
  [1901] = {.lex_state = 7, .external_lex_state = 3},
  [1902] = {.lex_state = 7, .external_lex_state = 3},
  [1903] = {.lex_state = 7, .external_lex_state = 3},
  [1904] = {.lex_state = 7, .external_lex_state = 3},
  [1905] = {.lex_state = 7, .external_lex_state = 4},
  [1906] = {.lex_state = 7, .external_lex_state = 3},
  [1907] = {.lex_state = 7, .external_lex_state = 3},
  [1908] = {.lex_state = 7, .external_lex_state = 3},
  [1909] = {.lex_state = 7, .external_lex_state = 4},
  [1910] = {.lex_state = 7, .external_lex_state = 4},
  [1911] = {.lex_state = 7, .external_lex_state = 4},
  [1912] = {.lex_state = 7, .external_lex_state = 4},
  [1913] = {.lex_state = 7, .external_lex_state = 3},
  [1914] = {.lex_state = 7, .external_lex_state = 3},
  [1915] = {.lex_state = 7, .external_lex_state = 4},
  [1916] = {.lex_state = 12, .external_lex_state = 5},
  [1917] = {.lex_state = 12, .external_lex_state = 2},
  [1918] = {.lex_state = 7, .external_lex_state = 4},
  [1919] = {.lex_state = 7, .external_lex_state = 3},
  [1920] = {.lex_state = 7, .external_lex_state = 3},
  [1921] = {.lex_state = 7, .external_lex_state = 4},
  [1922] = {.lex_state = 7, .external_lex_state = 4},
  [1923] = {.lex_state = 7, .external_lex_state = 4},
  [1924] = {.lex_state = 7, .external_lex_state = 3},
  [1925] = {.lex_state = 7, .external_lex_state = 4},
  [1926] = {.lex_state = 7, .external_lex_state = 4},
  [1927] = {.lex_state = 7, .external_lex_state = 3},
  [1928] = {.lex_state = 12, .external_lex_state = 5},
  [1929] = {.lex_state = 7, .external_lex_state = 4},
  [1930] = {.lex_state = 7, .external_lex_state = 3},
  [1931] = {.lex_state = 7, .external_lex_state = 4},
  [1932] = {.lex_state = 7, .external_lex_state = 4},
  [1933] = {.lex_state = 7, .external_lex_state = 3},
  [1934] = {.lex_state = 7, .external_lex_state = 3},
  [1935] = {.lex_state = 7, .external_lex_state = 4},
  [1936] = {.lex_state = 7, .external_lex_state = 3},
  [1937] = {.lex_state = 7, .external_lex_state = 4},
  [1938] = {.lex_state = 7, .external_lex_state = 4},
  [1939] = {.lex_state = 7, .external_lex_state = 4},
  [1940] = {.lex_state = 7, .external_lex_state = 4},
  [1941] = {.lex_state = 7, .external_lex_state = 4},
  [1942] = {.lex_state = 7, .external_lex_state = 4},
  [1943] = {.lex_state = 7, .external_lex_state = 4},
  [1944] = {.lex_state = 7, .external_lex_state = 4},
  [1945] = {.lex_state = 7, .external_lex_state = 4},
  [1946] = {.lex_state = 7, .external_lex_state = 4},
  [1947] = {.lex_state = 7, .external_lex_state = 4},
  [1948] = {.lex_state = 12, .external_lex_state = 2},
  [1949] = {.lex_state = 7, .external_lex_state = 3},
  [1950] = {.lex_state = 7, .external_lex_state = 3},
  [1951] = {.lex_state = 7, .external_lex_state = 4},
  [1952] = {.lex_state = 7, .external_lex_state = 4},
  [1953] = {.lex_state = 12, .external_lex_state = 2},
  [1954] = {.lex_state = 7, .external_lex_state = 3},
  [1955] = {.lex_state = 7, .external_lex_state = 3},
  [1956] = {.lex_state = 7, .external_lex_state = 4},
  [1957] = {.lex_state = 7, .external_lex_state = 4},
  [1958] = {.lex_state = 7, .external_lex_state = 4},
  [1959] = {.lex_state = 7, .external_lex_state = 3},
  [1960] = {.lex_state = 7, .external_lex_state = 3},
  [1961] = {.lex_state = 7, .external_lex_state = 4},
  [1962] = {.lex_state = 12, .external_lex_state = 5},
  [1963] = {.lex_state = 7, .external_lex_state = 4},
  [1964] = {.lex_state = 96, .external_lex_state = 2},
  [1965] = {.lex_state = 7, .external_lex_state = 4},
  [1966] = {.lex_state = 7, .external_lex_state = 4},
  [1967] = {.lex_state = 7, .external_lex_state = 4},
  [1968] = {.lex_state = 7, .external_lex_state = 4},
  [1969] = {.lex_state = 7, .external_lex_state = 4},
  [1970] = {.lex_state = 12, .external_lex_state = 5},
  [1971] = {.lex_state = 12, .external_lex_state = 5},
  [1972] = {.lex_state = 7, .external_lex_state = 4},
  [1973] = {.lex_state = 7, .external_lex_state = 4},
  [1974] = {.lex_state = 7, .external_lex_state = 4},
  [1975] = {.lex_state = 7, .external_lex_state = 3},
  [1976] = {.lex_state = 7, .external_lex_state = 4},
  [1977] = {.lex_state = 12, .external_lex_state = 5},
  [1978] = {.lex_state = 7, .external_lex_state = 4},
  [1979] = {.lex_state = 7, .external_lex_state = 4},
  [1980] = {.lex_state = 7, .external_lex_state = 4},
  [1981] = {.lex_state = 7, .external_lex_state = 4},
  [1982] = {.lex_state = 7, .external_lex_state = 4},
  [1983] = {.lex_state = 7, .external_lex_state = 4},
  [1984] = {.lex_state = 7, .external_lex_state = 4},
  [1985] = {.lex_state = 7, .external_lex_state = 4},
  [1986] = {.lex_state = 7, .external_lex_state = 4},
  [1987] = {.lex_state = 7, .external_lex_state = 4},
  [1988] = {.lex_state = 7, .external_lex_state = 4},
  [1989] = {.lex_state = 7, .external_lex_state = 4},
  [1990] = {.lex_state = 7, .external_lex_state = 4},
  [1991] = {.lex_state = 7, .external_lex_state = 4},
  [1992] = {.lex_state = 7, .external_lex_state = 4},
  [1993] = {.lex_state = 7, .external_lex_state = 4},
  [1994] = {.lex_state = 7, .external_lex_state = 4},
  [1995] = {.lex_state = 12, .external_lex_state = 5},
  [1996] = {.lex_state = 7, .external_lex_state = 4},
  [1997] = {.lex_state = 7, .external_lex_state = 4},
  [1998] = {.lex_state = 7, .external_lex_state = 4},
  [1999] = {.lex_state = 7, .external_lex_state = 4},
  [2000] = {.lex_state = 7, .external_lex_state = 4},
  [2001] = {.lex_state = 7, .external_lex_state = 4},
  [2002] = {.lex_state = 7, .external_lex_state = 4},
  [2003] = {.lex_state = 7, .external_lex_state = 3},
  [2004] = {.lex_state = 7, .external_lex_state = 3},
  [2005] = {.lex_state = 7, .external_lex_state = 4},
  [2006] = {.lex_state = 7, .external_lex_state = 4},
  [2007] = {.lex_state = 7, .external_lex_state = 4},
  [2008] = {.lex_state = 7, .external_lex_state = 4},
  [2009] = {.lex_state = 7, .external_lex_state = 4},
  [2010] = {.lex_state = 7, .external_lex_state = 4},
  [2011] = {.lex_state = 7, .external_lex_state = 4},
  [2012] = {.lex_state = 7, .external_lex_state = 4},
  [2013] = {.lex_state = 7, .external_lex_state = 4},
  [2014] = {.lex_state = 7, .external_lex_state = 4},
  [2015] = {.lex_state = 7, .external_lex_state = 4},
  [2016] = {.lex_state = 12, .external_lex_state = 5},
  [2017] = {.lex_state = 7, .external_lex_state = 4},
  [2018] = {.lex_state = 7, .external_lex_state = 4},
  [2019] = {.lex_state = 7, .external_lex_state = 4},
  [2020] = {.lex_state = 7, .external_lex_state = 4},
  [2021] = {.lex_state = 7, .external_lex_state = 3},
  [2022] = {.lex_state = 7, .external_lex_state = 4},
  [2023] = {.lex_state = 7, .external_lex_state = 4},
  [2024] = {.lex_state = 7, .external_lex_state = 4},
  [2025] = {.lex_state = 7, .external_lex_state = 4},
  [2026] = {.lex_state = 7, .external_lex_state = 3},
  [2027] = {.lex_state = 7, .external_lex_state = 4},
  [2028] = {.lex_state = 7, .external_lex_state = 3},
  [2029] = {.lex_state = 7, .external_lex_state = 4},
  [2030] = {.lex_state = 7, .external_lex_state = 4},
  [2031] = {.lex_state = 7, .external_lex_state = 4},
  [2032] = {.lex_state = 7, .external_lex_state = 4},
  [2033] = {.lex_state = 7, .external_lex_state = 4},
  [2034] = {.lex_state = 7, .external_lex_state = 4},
  [2035] = {.lex_state = 7, .external_lex_state = 4},
  [2036] = {.lex_state = 7, .external_lex_state = 4},
  [2037] = {.lex_state = 7, .external_lex_state = 4},
  [2038] = {.lex_state = 96, .external_lex_state = 2},
  [2039] = {.lex_state = 7, .external_lex_state = 4},
  [2040] = {.lex_state = 7, .external_lex_state = 3},
  [2041] = {.lex_state = 7, .external_lex_state = 4},
  [2042] = {.lex_state = 7, .external_lex_state = 4},
  [2043] = {.lex_state = 7, .external_lex_state = 4},
  [2044] = {.lex_state = 7, .external_lex_state = 4},
  [2045] = {.lex_state = 7, .external_lex_state = 3},
  [2046] = {.lex_state = 7, .external_lex_state = 4},
  [2047] = {.lex_state = 7, .external_lex_state = 4},
  [2048] = {.lex_state = 7, .external_lex_state = 4},
  [2049] = {.lex_state = 7, .external_lex_state = 4},
  [2050] = {.lex_state = 7, .external_lex_state = 4},
  [2051] = {.lex_state = 7, .external_lex_state = 4},
  [2052] = {.lex_state = 7, .external_lex_state = 4},
  [2053] = {.lex_state = 7, .external_lex_state = 4},
  [2054] = {.lex_state = 7, .external_lex_state = 4},
  [2055] = {.lex_state = 7, .external_lex_state = 4},
  [2056] = {.lex_state = 7, .external_lex_state = 4},
  [2057] = {.lex_state = 7, .external_lex_state = 4},
  [2058] = {.lex_state = 7, .external_lex_state = 4},
  [2059] = {.lex_state = 7, .external_lex_state = 4},
  [2060] = {.lex_state = 7, .external_lex_state = 4},
  [2061] = {.lex_state = 7, .external_lex_state = 4},
  [2062] = {.lex_state = 7, .external_lex_state = 4},
  [2063] = {.lex_state = 7, .external_lex_state = 4},
  [2064] = {.lex_state = 7, .external_lex_state = 4},
  [2065] = {.lex_state = 7, .external_lex_state = 4},
  [2066] = {.lex_state = 7, .external_lex_state = 4},
  [2067] = {.lex_state = 12, .external_lex_state = 5},
  [2068] = {.lex_state = 12, .external_lex_state = 5},
  [2069] = {.lex_state = 7, .external_lex_state = 4},
  [2070] = {.lex_state = 12, .external_lex_state = 5},
  [2071] = {.lex_state = 7, .external_lex_state = 4},
  [2072] = {.lex_state = 12, .external_lex_state = 5},
  [2073] = {.lex_state = 12, .external_lex_state = 5},
  [2074] = {.lex_state = 7, .external_lex_state = 4},
  [2075] = {.lex_state = 7, .external_lex_state = 4},
  [2076] = {.lex_state = 7, .external_lex_state = 4},
  [2077] = {.lex_state = 12, .external_lex_state = 2},
  [2078] = {.lex_state = 7, .external_lex_state = 4},
  [2079] = {.lex_state = 7, .external_lex_state = 4},
  [2080] = {.lex_state = 7, .external_lex_state = 4},
  [2081] = {.lex_state = 7, .external_lex_state = 4},
  [2082] = {.lex_state = 7, .external_lex_state = 3},
  [2083] = {.lex_state = 7, .external_lex_state = 3},
  [2084] = {.lex_state = 7, .external_lex_state = 3},
  [2085] = {.lex_state = 7, .external_lex_state = 3},
  [2086] = {.lex_state = 7, .external_lex_state = 3},
  [2087] = {.lex_state = 7, .external_lex_state = 3},
  [2088] = {.lex_state = 7, .external_lex_state = 3},
  [2089] = {.lex_state = 7, .external_lex_state = 3},
  [2090] = {.lex_state = 7, .external_lex_state = 3},
  [2091] = {.lex_state = 7, .external_lex_state = 3},
  [2092] = {.lex_state = 7, .external_lex_state = 3},
  [2093] = {.lex_state = 7, .external_lex_state = 3},
  [2094] = {.lex_state = 7, .external_lex_state = 3},
  [2095] = {.lex_state = 7, .external_lex_state = 3},
  [2096] = {.lex_state = 7, .external_lex_state = 3},
  [2097] = {.lex_state = 7, .external_lex_state = 3},
  [2098] = {.lex_state = 7, .external_lex_state = 3},
  [2099] = {.lex_state = 7, .external_lex_state = 3},
  [2100] = {.lex_state = 7, .external_lex_state = 3},
  [2101] = {.lex_state = 7, .external_lex_state = 3},
  [2102] = {.lex_state = 7, .external_lex_state = 3},
  [2103] = {.lex_state = 7, .external_lex_state = 3},
  [2104] = {.lex_state = 7, .external_lex_state = 3},
  [2105] = {.lex_state = 7, .external_lex_state = 3},
  [2106] = {.lex_state = 7, .external_lex_state = 3},
  [2107] = {.lex_state = 7, .external_lex_state = 3},
  [2108] = {.lex_state = 7, .external_lex_state = 3},
  [2109] = {.lex_state = 7, .external_lex_state = 3},
  [2110] = {.lex_state = 7, .external_lex_state = 3},
  [2111] = {.lex_state = 7, .external_lex_state = 3},
  [2112] = {.lex_state = 7, .external_lex_state = 4},
  [2113] = {.lex_state = 7, .external_lex_state = 3},
  [2114] = {.lex_state = 7, .external_lex_state = 4},
  [2115] = {.lex_state = 7, .external_lex_state = 4},
  [2116] = {.lex_state = 7, .external_lex_state = 3},
  [2117] = {.lex_state = 7, .external_lex_state = 4},
  [2118] = {.lex_state = 7, .external_lex_state = 4},
  [2119] = {.lex_state = 12, .external_lex_state = 5},
  [2120] = {.lex_state = 7, .external_lex_state = 4},
  [2121] = {.lex_state = 7, .external_lex_state = 4},
  [2122] = {.lex_state = 12, .external_lex_state = 5},
  [2123] = {.lex_state = 12, .external_lex_state = 5},
  [2124] = {.lex_state = 7, .external_lex_state = 3},
  [2125] = {.lex_state = 7, .external_lex_state = 4},
  [2126] = {.lex_state = 7, .external_lex_state = 3},
  [2127] = {.lex_state = 7, .external_lex_state = 4},
  [2128] = {.lex_state = 7, .external_lex_state = 3},
  [2129] = {.lex_state = 7, .external_lex_state = 4},
  [2130] = {.lex_state = 7, .external_lex_state = 4},
  [2131] = {.lex_state = 7, .external_lex_state = 4},
  [2132] = {.lex_state = 7, .external_lex_state = 4},
  [2133] = {.lex_state = 7, .external_lex_state = 4},
  [2134] = {.lex_state = 7, .external_lex_state = 4},
  [2135] = {.lex_state = 7, .external_lex_state = 4},
  [2136] = {.lex_state = 7, .external_lex_state = 3},
  [2137] = {.lex_state = 7, .external_lex_state = 4},
  [2138] = {.lex_state = 12, .external_lex_state = 2},
  [2139] = {.lex_state = 7, .external_lex_state = 3},
  [2140] = {.lex_state = 12, .external_lex_state = 2},
  [2141] = {.lex_state = 7, .external_lex_state = 4},
  [2142] = {.lex_state = 7, .external_lex_state = 3},
  [2143] = {.lex_state = 7, .external_lex_state = 3},
  [2144] = {.lex_state = 7, .external_lex_state = 3},
  [2145] = {.lex_state = 7, .external_lex_state = 3},
  [2146] = {.lex_state = 7, .external_lex_state = 3},
  [2147] = {.lex_state = 7, .external_lex_state = 3},
  [2148] = {.lex_state = 12, .external_lex_state = 2},
  [2149] = {.lex_state = 7, .external_lex_state = 3},
  [2150] = {.lex_state = 12, .external_lex_state = 2},
  [2151] = {.lex_state = 12, .external_lex_state = 5},
  [2152] = {.lex_state = 12, .external_lex_state = 5},
  [2153] = {.lex_state = 7, .external_lex_state = 3},
  [2154] = {.lex_state = 7, .external_lex_state = 3},
  [2155] = {.lex_state = 96, .external_lex_state = 2},
  [2156] = {.lex_state = 12, .external_lex_state = 5},
  [2157] = {.lex_state = 12, .external_lex_state = 5},
  [2158] = {.lex_state = 7, .external_lex_state = 3},
  [2159] = {.lex_state = 7, .external_lex_state = 3},
  [2160] = {.lex_state = 7, .external_lex_state = 4},
  [2161] = {.lex_state = 7, .external_lex_state = 4},
  [2162] = {.lex_state = 7, .external_lex_state = 4},
  [2163] = {.lex_state = 12, .external_lex_state = 5},
  [2164] = {.lex_state = 12, .external_lex_state = 5},
  [2165] = {.lex_state = 12, .external_lex_state = 5},
  [2166] = {.lex_state = 12, .external_lex_state = 5},
  [2167] = {.lex_state = 7, .external_lex_state = 4},
  [2168] = {.lex_state = 12, .external_lex_state = 5},
  [2169] = {.lex_state = 12, .external_lex_state = 5},
  [2170] = {.lex_state = 7, .external_lex_state = 4},
  [2171] = {.lex_state = 7, .external_lex_state = 4},
  [2172] = {.lex_state = 7, .external_lex_state = 4},
  [2173] = {.lex_state = 7, .external_lex_state = 4},
  [2174] = {.lex_state = 12, .external_lex_state = 5},
  [2175] = {.lex_state = 7, .external_lex_state = 3},
  [2176] = {.lex_state = 8, .external_lex_state = 4},
  [2177] = {.lex_state = 7, .external_lex_state = 3},
  [2178] = {.lex_state = 7, .external_lex_state = 3},
  [2179] = {.lex_state = 7, .external_lex_state = 3},
  [2180] = {.lex_state = 7, .external_lex_state = 3},
  [2181] = {.lex_state = 7, .external_lex_state = 4},
  [2182] = {.lex_state = 7, .external_lex_state = 3},
  [2183] = {.lex_state = 7, .external_lex_state = 4},
  [2184] = {.lex_state = 7, .external_lex_state = 4},
  [2185] = {.lex_state = 7, .external_lex_state = 4},
  [2186] = {.lex_state = 7, .external_lex_state = 4},
  [2187] = {.lex_state = 7, .external_lex_state = 3},
  [2188] = {.lex_state = 7, .external_lex_state = 4},
  [2189] = {.lex_state = 7, .external_lex_state = 4},
  [2190] = {.lex_state = 7, .external_lex_state = 4},
  [2191] = {.lex_state = 7, .external_lex_state = 4},
  [2192] = {.lex_state = 7, .external_lex_state = 3},
  [2193] = {.lex_state = 7, .external_lex_state = 4},
  [2194] = {.lex_state = 7, .external_lex_state = 3},
  [2195] = {.lex_state = 7, .external_lex_state = 4},
  [2196] = {.lex_state = 7, .external_lex_state = 4},
  [2197] = {.lex_state = 7, .external_lex_state = 4},
  [2198] = {.lex_state = 7, .external_lex_state = 4},
  [2199] = {.lex_state = 7, .external_lex_state = 4},
  [2200] = {.lex_state = 7, .external_lex_state = 4},
  [2201] = {.lex_state = 7, .external_lex_state = 4},
  [2202] = {.lex_state = 7, .external_lex_state = 4},
  [2203] = {.lex_state = 7, .external_lex_state = 4},
  [2204] = {.lex_state = 7, .external_lex_state = 4},
  [2205] = {.lex_state = 7, .external_lex_state = 4},
  [2206] = {.lex_state = 7, .external_lex_state = 4},
  [2207] = {.lex_state = 7, .external_lex_state = 4},
  [2208] = {.lex_state = 7, .external_lex_state = 4},
  [2209] = {.lex_state = 7, .external_lex_state = 4},
  [2210] = {.lex_state = 7, .external_lex_state = 4},
  [2211] = {.lex_state = 7, .external_lex_state = 4},
  [2212] = {.lex_state = 12, .external_lex_state = 5},
  [2213] = {.lex_state = 12, .external_lex_state = 5},
  [2214] = {.lex_state = 7, .external_lex_state = 3},
  [2215] = {.lex_state = 7, .external_lex_state = 4},
  [2216] = {.lex_state = 7, .external_lex_state = 4},
  [2217] = {.lex_state = 7, .external_lex_state = 4},
  [2218] = {.lex_state = 12, .external_lex_state = 5},
  [2219] = {.lex_state = 12, .external_lex_state = 5},
  [2220] = {.lex_state = 12, .external_lex_state = 5},
  [2221] = {.lex_state = 7, .external_lex_state = 3},
  [2222] = {.lex_state = 7, .external_lex_state = 4},
  [2223] = {.lex_state = 7, .external_lex_state = 4},
  [2224] = {.lex_state = 12, .external_lex_state = 5},
  [2225] = {.lex_state = 7, .external_lex_state = 4},
  [2226] = {.lex_state = 12, .external_lex_state = 5},
  [2227] = {.lex_state = 12, .external_lex_state = 5},
  [2228] = {.lex_state = 12, .external_lex_state = 5},
  [2229] = {.lex_state = 12, .external_lex_state = 5},
  [2230] = {.lex_state = 12, .external_lex_state = 5},
  [2231] = {.lex_state = 12, .external_lex_state = 5},
  [2232] = {.lex_state = 7, .external_lex_state = 4},
  [2233] = {.lex_state = 7, .external_lex_state = 3},
  [2234] = {.lex_state = 7, .external_lex_state = 4},
  [2235] = {.lex_state = 7, .external_lex_state = 4},
  [2236] = {.lex_state = 7, .external_lex_state = 3},
  [2237] = {.lex_state = 7, .external_lex_state = 4},
  [2238] = {.lex_state = 7, .external_lex_state = 4},
  [2239] = {.lex_state = 7, .external_lex_state = 4},
  [2240] = {.lex_state = 7, .external_lex_state = 4},
  [2241] = {.lex_state = 7, .external_lex_state = 3},
  [2242] = {.lex_state = 7, .external_lex_state = 4},
  [2243] = {.lex_state = 7, .external_lex_state = 4},
  [2244] = {.lex_state = 7, .external_lex_state = 4},
  [2245] = {.lex_state = 7, .external_lex_state = 4},
  [2246] = {.lex_state = 12, .external_lex_state = 5},
  [2247] = {.lex_state = 12, .external_lex_state = 5},
  [2248] = {.lex_state = 7, .external_lex_state = 3},
  [2249] = {.lex_state = 7, .external_lex_state = 4},
  [2250] = {.lex_state = 7, .external_lex_state = 3},
  [2251] = {.lex_state = 7, .external_lex_state = 3},
  [2252] = {.lex_state = 7, .external_lex_state = 3},
  [2253] = {.lex_state = 7, .external_lex_state = 3},
  [2254] = {.lex_state = 7, .external_lex_state = 4},
  [2255] = {.lex_state = 7, .external_lex_state = 3},
  [2256] = {.lex_state = 7, .external_lex_state = 3},
  [2257] = {.lex_state = 7, .external_lex_state = 3},
  [2258] = {.lex_state = 7, .external_lex_state = 3},
  [2259] = {.lex_state = 7, .external_lex_state = 4},
  [2260] = {.lex_state = 7, .external_lex_state = 4},
  [2261] = {.lex_state = 7, .external_lex_state = 4},
  [2262] = {.lex_state = 7, .external_lex_state = 4},
  [2263] = {.lex_state = 7, .external_lex_state = 4},
  [2264] = {.lex_state = 12, .external_lex_state = 5},
  [2265] = {.lex_state = 7, .external_lex_state = 3},
  [2266] = {.lex_state = 7, .external_lex_state = 4},
  [2267] = {.lex_state = 12, .external_lex_state = 2},
  [2268] = {.lex_state = 12, .external_lex_state = 2},
  [2269] = {.lex_state = 7, .external_lex_state = 4},
  [2270] = {.lex_state = 7, .external_lex_state = 3},
  [2271] = {.lex_state = 7, .external_lex_state = 3},
  [2272] = {.lex_state = 12, .external_lex_state = 2},
  [2273] = {.lex_state = 7, .external_lex_state = 4},
  [2274] = {.lex_state = 12, .external_lex_state = 5},
  [2275] = {.lex_state = 12, .external_lex_state = 2},
  [2276] = {.lex_state = 7, .external_lex_state = 4},
  [2277] = {.lex_state = 7, .external_lex_state = 4},
  [2278] = {.lex_state = 7, .external_lex_state = 4},
  [2279] = {.lex_state = 7, .external_lex_state = 4},
  [2280] = {.lex_state = 7, .external_lex_state = 4},
  [2281] = {.lex_state = 7, .external_lex_state = 3},
  [2282] = {.lex_state = 12, .external_lex_state = 5},
  [2283] = {.lex_state = 7, .external_lex_state = 3},
  [2284] = {.lex_state = 7, .external_lex_state = 3},
  [2285] = {.lex_state = 12, .external_lex_state = 5},
  [2286] = {.lex_state = 7, .external_lex_state = 3},
  [2287] = {.lex_state = 12, .external_lex_state = 5},
  [2288] = {.lex_state = 7, .external_lex_state = 4},
  [2289] = {.lex_state = 7, .external_lex_state = 4},
  [2290] = {.lex_state = 7, .external_lex_state = 4},
  [2291] = {.lex_state = 7, .external_lex_state = 4},
  [2292] = {.lex_state = 7, .external_lex_state = 4},
  [2293] = {.lex_state = 7, .external_lex_state = 4},
  [2294] = {.lex_state = 7, .external_lex_state = 4},
  [2295] = {.lex_state = 7, .external_lex_state = 4},
  [2296] = {.lex_state = 7, .external_lex_state = 4},
  [2297] = {.lex_state = 7, .external_lex_state = 3},
  [2298] = {.lex_state = 7, .external_lex_state = 3},
  [2299] = {.lex_state = 7, .external_lex_state = 3},
  [2300] = {.lex_state = 7, .external_lex_state = 3},
  [2301] = {.lex_state = 7, .external_lex_state = 3},
  [2302] = {.lex_state = 7, .external_lex_state = 3},
  [2303] = {.lex_state = 7, .external_lex_state = 3},
  [2304] = {.lex_state = 7, .external_lex_state = 3},
  [2305] = {.lex_state = 7, .external_lex_state = 3},
  [2306] = {.lex_state = 7, .external_lex_state = 4},
  [2307] = {.lex_state = 12, .external_lex_state = 5},
  [2308] = {.lex_state = 12, .external_lex_state = 5},
  [2309] = {.lex_state = 7, .external_lex_state = 3},
  [2310] = {.lex_state = 12, .external_lex_state = 5},
  [2311] = {.lex_state = 7, .external_lex_state = 4},
  [2312] = {.lex_state = 7, .external_lex_state = 4},
  [2313] = {.lex_state = 7, .external_lex_state = 4},
  [2314] = {.lex_state = 12, .external_lex_state = 5},
  [2315] = {.lex_state = 7, .external_lex_state = 4},
  [2316] = {.lex_state = 12, .external_lex_state = 5},
  [2317] = {.lex_state = 12, .external_lex_state = 5},
  [2318] = {.lex_state = 12, .external_lex_state = 5},
  [2319] = {.lex_state = 7, .external_lex_state = 3},
  [2320] = {.lex_state = 7, .external_lex_state = 4},
  [2321] = {.lex_state = 12, .external_lex_state = 5},
  [2322] = {.lex_state = 12, .external_lex_state = 5},
  [2323] = {.lex_state = 7, .external_lex_state = 3},
  [2324] = {.lex_state = 96, .external_lex_state = 2},
  [2325] = {.lex_state = 7, .external_lex_state = 4},
  [2326] = {.lex_state = 7, .external_lex_state = 4},
  [2327] = {.lex_state = 7, .external_lex_state = 4},
  [2328] = {.lex_state = 7, .external_lex_state = 3},
  [2329] = {.lex_state = 7, .external_lex_state = 4},
  [2330] = {.lex_state = 7, .external_lex_state = 4},
  [2331] = {.lex_state = 7, .external_lex_state = 4},
  [2332] = {.lex_state = 7, .external_lex_state = 4},
  [2333] = {.lex_state = 7, .external_lex_state = 4},
  [2334] = {.lex_state = 12, .external_lex_state = 2},
  [2335] = {.lex_state = 12, .external_lex_state = 2},
  [2336] = {.lex_state = 7, .external_lex_state = 3},
  [2337] = {.lex_state = 7, .external_lex_state = 3},
  [2338] = {.lex_state = 7, .external_lex_state = 3},
  [2339] = {.lex_state = 7, .external_lex_state = 3},
  [2340] = {.lex_state = 7, .external_lex_state = 4},
  [2341] = {.lex_state = 7, .external_lex_state = 3},
  [2342] = {.lex_state = 7, .external_lex_state = 3},
  [2343] = {.lex_state = 12, .external_lex_state = 5},
  [2344] = {.lex_state = 7, .external_lex_state = 4},
  [2345] = {.lex_state = 12, .external_lex_state = 2},
  [2346] = {.lex_state = 12, .external_lex_state = 2},
  [2347] = {.lex_state = 7, .external_lex_state = 3},
  [2348] = {.lex_state = 8, .external_lex_state = 4},
  [2349] = {.lex_state = 7, .external_lex_state = 4},
  [2350] = {.lex_state = 7, .external_lex_state = 4},
  [2351] = {.lex_state = 7, .external_lex_state = 3},
  [2352] = {.lex_state = 7, .external_lex_state = 3},
  [2353] = {.lex_state = 7, .external_lex_state = 3},
  [2354] = {.lex_state = 7, .external_lex_state = 4},
  [2355] = {.lex_state = 7, .external_lex_state = 3},
  [2356] = {.lex_state = 7, .external_lex_state = 4},
  [2357] = {.lex_state = 12, .external_lex_state = 5},
  [2358] = {.lex_state = 12, .external_lex_state = 5},
  [2359] = {.lex_state = 7, .external_lex_state = 4},
  [2360] = {.lex_state = 12, .external_lex_state = 5},
  [2361] = {.lex_state = 7, .external_lex_state = 3},
  [2362] = {.lex_state = 7, .external_lex_state = 4},
  [2363] = {.lex_state = 7, .external_lex_state = 3},
  [2364] = {.lex_state = 7, .external_lex_state = 3},
  [2365] = {.lex_state = 7, .external_lex_state = 3},
  [2366] = {.lex_state = 7, .external_lex_state = 3},
  [2367] = {.lex_state = 7, .external_lex_state = 3},
  [2368] = {.lex_state = 7, .external_lex_state = 3},
  [2369] = {.lex_state = 7, .external_lex_state = 3},
  [2370] = {.lex_state = 7, .external_lex_state = 3},
  [2371] = {.lex_state = 7, .external_lex_state = 3},
  [2372] = {.lex_state = 7, .external_lex_state = 3},
  [2373] = {.lex_state = 7, .external_lex_state = 3},
  [2374] = {.lex_state = 7, .external_lex_state = 3},
  [2375] = {.lex_state = 7, .external_lex_state = 3},
  [2376] = {.lex_state = 7, .external_lex_state = 3},
  [2377] = {.lex_state = 7, .external_lex_state = 3},
  [2378] = {.lex_state = 7, .external_lex_state = 3},
  [2379] = {.lex_state = 7, .external_lex_state = 3},
  [2380] = {.lex_state = 7, .external_lex_state = 3},
  [2381] = {.lex_state = 7, .external_lex_state = 3},
  [2382] = {.lex_state = 7, .external_lex_state = 3},
  [2383] = {.lex_state = 7, .external_lex_state = 3},
  [2384] = {.lex_state = 7, .external_lex_state = 3},
  [2385] = {.lex_state = 7, .external_lex_state = 3},
  [2386] = {.lex_state = 7, .external_lex_state = 3},
  [2387] = {.lex_state = 7, .external_lex_state = 3},
  [2388] = {.lex_state = 7, .external_lex_state = 3},
  [2389] = {.lex_state = 7, .external_lex_state = 3},
  [2390] = {.lex_state = 7, .external_lex_state = 4},
  [2391] = {.lex_state = 7, .external_lex_state = 3},
  [2392] = {.lex_state = 7, .external_lex_state = 3},
  [2393] = {.lex_state = 7, .external_lex_state = 3},
  [2394] = {.lex_state = 7, .external_lex_state = 3},
  [2395] = {.lex_state = 7, .external_lex_state = 3},
  [2396] = {.lex_state = 7, .external_lex_state = 3},
  [2397] = {.lex_state = 7, .external_lex_state = 3},
  [2398] = {.lex_state = 7, .external_lex_state = 3},
  [2399] = {.lex_state = 7, .external_lex_state = 3},
  [2400] = {.lex_state = 7, .external_lex_state = 3},
  [2401] = {.lex_state = 7, .external_lex_state = 3},
  [2402] = {.lex_state = 7, .external_lex_state = 3},
  [2403] = {.lex_state = 7, .external_lex_state = 3},
  [2404] = {.lex_state = 7, .external_lex_state = 3},
  [2405] = {.lex_state = 7, .external_lex_state = 3},
  [2406] = {.lex_state = 7, .external_lex_state = 3},
  [2407] = {.lex_state = 7, .external_lex_state = 3},
  [2408] = {.lex_state = 7, .external_lex_state = 3},
  [2409] = {.lex_state = 7, .external_lex_state = 3},
  [2410] = {.lex_state = 7, .external_lex_state = 3},
  [2411] = {.lex_state = 7, .external_lex_state = 3},
  [2412] = {.lex_state = 7, .external_lex_state = 3},
  [2413] = {.lex_state = 7, .external_lex_state = 3},
  [2414] = {.lex_state = 7, .external_lex_state = 3},
  [2415] = {.lex_state = 7, .external_lex_state = 3},
  [2416] = {.lex_state = 7, .external_lex_state = 3},
  [2417] = {.lex_state = 7, .external_lex_state = 4},
  [2418] = {.lex_state = 12, .external_lex_state = 5},
  [2419] = {.lex_state = 12, .external_lex_state = 2},
  [2420] = {.lex_state = 12, .external_lex_state = 5},
  [2421] = {.lex_state = 96, .external_lex_state = 2},
  [2422] = {.lex_state = 7, .external_lex_state = 3},
  [2423] = {.lex_state = 7, .external_lex_state = 3},
  [2424] = {.lex_state = 7, .external_lex_state = 4},
  [2425] = {.lex_state = 7, .external_lex_state = 4},
  [2426] = {.lex_state = 12, .external_lex_state = 5},
  [2427] = {.lex_state = 12, .external_lex_state = 5},
  [2428] = {.lex_state = 7, .external_lex_state = 3},
  [2429] = {.lex_state = 12, .external_lex_state = 5},
  [2430] = {.lex_state = 12, .external_lex_state = 2},
  [2431] = {.lex_state = 7, .external_lex_state = 4},
  [2432] = {.lex_state = 8, .external_lex_state = 3},
  [2433] = {.lex_state = 7, .external_lex_state = 4},
  [2434] = {.lex_state = 7, .external_lex_state = 4},
  [2435] = {.lex_state = 7, .external_lex_state = 3},
  [2436] = {.lex_state = 12, .external_lex_state = 2},
  [2437] = {.lex_state = 12, .external_lex_state = 5},
  [2438] = {.lex_state = 7, .external_lex_state = 3},
  [2439] = {.lex_state = 7, .external_lex_state = 3},
  [2440] = {.lex_state = 7, .external_lex_state = 3},
  [2441] = {.lex_state = 7, .external_lex_state = 3},
  [2442] = {.lex_state = 7, .external_lex_state = 4},
  [2443] = {.lex_state = 12, .external_lex_state = 5},
  [2444] = {.lex_state = 7, .external_lex_state = 3},
  [2445] = {.lex_state = 12, .external_lex_state = 2},
  [2446] = {.lex_state = 12, .external_lex_state = 5},
  [2447] = {.lex_state = 12, .external_lex_state = 5},
  [2448] = {.lex_state = 12, .external_lex_state = 5},
  [2449] = {.lex_state = 7, .external_lex_state = 3},
  [2450] = {.lex_state = 7, .external_lex_state = 3},
  [2451] = {.lex_state = 7, .external_lex_state = 3},
  [2452] = {.lex_state = 7, .external_lex_state = 3},
  [2453] = {.lex_state = 7, .external_lex_state = 3},
  [2454] = {.lex_state = 7, .external_lex_state = 3},
  [2455] = {.lex_state = 12, .external_lex_state = 5},
  [2456] = {.lex_state = 12, .external_lex_state = 2},
  [2457] = {.lex_state = 7, .external_lex_state = 4},
  [2458] = {.lex_state = 7, .external_lex_state = 3},
  [2459] = {.lex_state = 7, .external_lex_state = 3},
  [2460] = {.lex_state = 7, .external_lex_state = 3},
  [2461] = {.lex_state = 7, .external_lex_state = 3},
  [2462] = {.lex_state = 12, .external_lex_state = 5},
  [2463] = {.lex_state = 7, .external_lex_state = 3},
  [2464] = {.lex_state = 7, .external_lex_state = 3},
  [2465] = {.lex_state = 7, .external_lex_state = 3},
  [2466] = {.lex_state = 7, .external_lex_state = 3},
  [2467] = {.lex_state = 12, .external_lex_state = 5},
  [2468] = {.lex_state = 7, .external_lex_state = 4},
  [2469] = {.lex_state = 96, .external_lex_state = 2},
  [2470] = {.lex_state = 7, .external_lex_state = 4},
  [2471] = {.lex_state = 12, .external_lex_state = 2},
  [2472] = {.lex_state = 7, .external_lex_state = 3},
  [2473] = {.lex_state = 12, .external_lex_state = 5},
  [2474] = {.lex_state = 12, .external_lex_state = 5},
  [2475] = {.lex_state = 7, .external_lex_state = 3},
  [2476] = {.lex_state = 12, .external_lex_state = 5},
  [2477] = {.lex_state = 12, .external_lex_state = 2},
  [2478] = {.lex_state = 12, .external_lex_state = 5},
  [2479] = {.lex_state = 12, .external_lex_state = 5},
  [2480] = {.lex_state = 7, .external_lex_state = 3},
  [2481] = {.lex_state = 12, .external_lex_state = 5},
  [2482] = {.lex_state = 7, .external_lex_state = 3},
  [2483] = {.lex_state = 12, .external_lex_state = 2},
  [2484] = {.lex_state = 12, .external_lex_state = 5},
  [2485] = {.lex_state = 12, .external_lex_state = 5},
  [2486] = {.lex_state = 7, .external_lex_state = 3},
  [2487] = {.lex_state = 7, .external_lex_state = 3},
  [2488] = {.lex_state = 12, .external_lex_state = 5},
  [2489] = {.lex_state = 7, .external_lex_state = 3},
  [2490] = {.lex_state = 7, .external_lex_state = 3},
  [2491] = {.lex_state = 7, .external_lex_state = 3},
  [2492] = {.lex_state = 7, .external_lex_state = 3},
  [2493] = {.lex_state = 7, .external_lex_state = 3},
  [2494] = {.lex_state = 7, .external_lex_state = 3},
  [2495] = {.lex_state = 7, .external_lex_state = 3},
  [2496] = {.lex_state = 7, .external_lex_state = 3},
  [2497] = {.lex_state = 7, .external_lex_state = 3},
  [2498] = {.lex_state = 7, .external_lex_state = 3},
  [2499] = {.lex_state = 7, .external_lex_state = 3},
  [2500] = {.lex_state = 7, .external_lex_state = 3},
  [2501] = {.lex_state = 7, .external_lex_state = 3},
  [2502] = {.lex_state = 7, .external_lex_state = 3},
  [2503] = {.lex_state = 7, .external_lex_state = 3},
  [2504] = {.lex_state = 7, .external_lex_state = 3},
  [2505] = {.lex_state = 7, .external_lex_state = 3},
  [2506] = {.lex_state = 7, .external_lex_state = 3},
  [2507] = {.lex_state = 7, .external_lex_state = 3},
  [2508] = {.lex_state = 7, .external_lex_state = 3},
  [2509] = {.lex_state = 7, .external_lex_state = 3},
  [2510] = {.lex_state = 7, .external_lex_state = 3},
  [2511] = {.lex_state = 7, .external_lex_state = 3},
  [2512] = {.lex_state = 7, .external_lex_state = 3},
  [2513] = {.lex_state = 7, .external_lex_state = 3},
  [2514] = {.lex_state = 7, .external_lex_state = 3},
  [2515] = {.lex_state = 7, .external_lex_state = 3},
  [2516] = {.lex_state = 7, .external_lex_state = 4},
  [2517] = {.lex_state = 7, .external_lex_state = 3},
  [2518] = {.lex_state = 7, .external_lex_state = 3},
  [2519] = {.lex_state = 7, .external_lex_state = 3},
  [2520] = {.lex_state = 7, .external_lex_state = 3},
  [2521] = {.lex_state = 7, .external_lex_state = 3},
  [2522] = {.lex_state = 12, .external_lex_state = 5},
  [2523] = {.lex_state = 12, .external_lex_state = 5},
  [2524] = {.lex_state = 7, .external_lex_state = 3},
  [2525] = {.lex_state = 7, .external_lex_state = 3},
  [2526] = {.lex_state = 7, .external_lex_state = 3},
  [2527] = {.lex_state = 7, .external_lex_state = 3},
  [2528] = {.lex_state = 7, .external_lex_state = 3},
  [2529] = {.lex_state = 7, .external_lex_state = 3},
  [2530] = {.lex_state = 96, .external_lex_state = 5},
  [2531] = {.lex_state = 96, .external_lex_state = 5},
  [2532] = {.lex_state = 96, .external_lex_state = 5},
  [2533] = {.lex_state = 12, .external_lex_state = 5},
  [2534] = {.lex_state = 7, .external_lex_state = 3},
  [2535] = {.lex_state = 12, .external_lex_state = 5},
  [2536] = {.lex_state = 12, .external_lex_state = 2},
  [2537] = {.lex_state = 12, .external_lex_state = 2},
  [2538] = {.lex_state = 7, .external_lex_state = 3},
  [2539] = {.lex_state = 7, .external_lex_state = 3},
  [2540] = {.lex_state = 7, .external_lex_state = 3},
  [2541] = {.lex_state = 7, .external_lex_state = 3},
  [2542] = {.lex_state = 7, .external_lex_state = 3},
  [2543] = {.lex_state = 7, .external_lex_state = 3},
  [2544] = {.lex_state = 7, .external_lex_state = 3},
  [2545] = {.lex_state = 7, .external_lex_state = 3},
  [2546] = {.lex_state = 7, .external_lex_state = 3},
  [2547] = {.lex_state = 7, .external_lex_state = 3},
  [2548] = {.lex_state = 96, .external_lex_state = 5},
  [2549] = {.lex_state = 96, .external_lex_state = 5},
  [2550] = {.lex_state = 7, .external_lex_state = 3},
  [2551] = {.lex_state = 96, .external_lex_state = 5},
  [2552] = {.lex_state = 96, .external_lex_state = 5},
  [2553] = {.lex_state = 7, .external_lex_state = 3},
  [2554] = {.lex_state = 7, .external_lex_state = 3},
  [2555] = {.lex_state = 7, .external_lex_state = 3},
  [2556] = {.lex_state = 7, .external_lex_state = 3},
  [2557] = {.lex_state = 7, .external_lex_state = 3},
  [2558] = {.lex_state = 7, .external_lex_state = 3},
  [2559] = {.lex_state = 12, .external_lex_state = 2},
  [2560] = {.lex_state = 7, .external_lex_state = 3},
  [2561] = {.lex_state = 7, .external_lex_state = 3},
  [2562] = {.lex_state = 12, .external_lex_state = 2},
  [2563] = {.lex_state = 7, .external_lex_state = 3},
  [2564] = {.lex_state = 7, .external_lex_state = 3},
  [2565] = {.lex_state = 7, .external_lex_state = 3},
  [2566] = {.lex_state = 7, .external_lex_state = 3},
  [2567] = {.lex_state = 7, .external_lex_state = 3},
  [2568] = {.lex_state = 7, .external_lex_state = 3},
  [2569] = {.lex_state = 7, .external_lex_state = 3},
  [2570] = {.lex_state = 7, .external_lex_state = 3},
  [2571] = {.lex_state = 7, .external_lex_state = 3},
  [2572] = {.lex_state = 7, .external_lex_state = 3},
  [2573] = {.lex_state = 96, .external_lex_state = 5},
  [2574] = {.lex_state = 7, .external_lex_state = 3},
  [2575] = {.lex_state = 7, .external_lex_state = 3},
  [2576] = {.lex_state = 7, .external_lex_state = 3},
  [2577] = {.lex_state = 7, .external_lex_state = 3},
  [2578] = {.lex_state = 7, .external_lex_state = 3},
  [2579] = {.lex_state = 7, .external_lex_state = 3},
  [2580] = {.lex_state = 7, .external_lex_state = 3},
  [2581] = {.lex_state = 7, .external_lex_state = 3},
  [2582] = {.lex_state = 7, .external_lex_state = 4},
  [2583] = {.lex_state = 7, .external_lex_state = 3},
  [2584] = {.lex_state = 7, .external_lex_state = 3},
  [2585] = {.lex_state = 7, .external_lex_state = 3},
  [2586] = {.lex_state = 7, .external_lex_state = 3},
  [2587] = {.lex_state = 7, .external_lex_state = 3},
  [2588] = {.lex_state = 7, .external_lex_state = 3},
  [2589] = {.lex_state = 7, .external_lex_state = 3},
  [2590] = {.lex_state = 96, .external_lex_state = 5},
  [2591] = {.lex_state = 7, .external_lex_state = 3},
  [2592] = {.lex_state = 96, .external_lex_state = 2},
  [2593] = {.lex_state = 7, .external_lex_state = 3},
  [2594] = {.lex_state = 7, .external_lex_state = 3},
  [2595] = {.lex_state = 7, .external_lex_state = 3},
  [2596] = {.lex_state = 7, .external_lex_state = 3},
  [2597] = {.lex_state = 7, .external_lex_state = 3},
  [2598] = {.lex_state = 7, .external_lex_state = 3},
  [2599] = {.lex_state = 7, .external_lex_state = 3},
  [2600] = {.lex_state = 7, .external_lex_state = 3},
  [2601] = {.lex_state = 12, .external_lex_state = 2},
  [2602] = {.lex_state = 96, .external_lex_state = 2},
  [2603] = {.lex_state = 7, .external_lex_state = 3},
  [2604] = {.lex_state = 96, .external_lex_state = 2},
  [2605] = {.lex_state = 7, .external_lex_state = 3},
  [2606] = {.lex_state = 7, .external_lex_state = 3},
  [2607] = {.lex_state = 7, .external_lex_state = 3},
  [2608] = {.lex_state = 7, .external_lex_state = 3},
  [2609] = {.lex_state = 7, .external_lex_state = 3},
  [2610] = {.lex_state = 7, .external_lex_state = 3},
  [2611] = {.lex_state = 96, .external_lex_state = 5},
  [2612] = {.lex_state = 7, .external_lex_state = 3},
  [2613] = {.lex_state = 96, .external_lex_state = 5},
  [2614] = {.lex_state = 96, .external_lex_state = 5},
  [2615] = {.lex_state = 7, .external_lex_state = 3},
  [2616] = {.lex_state = 12, .external_lex_state = 2},
  [2617] = {.lex_state = 96, .external_lex_state = 5},
  [2618] = {.lex_state = 12, .external_lex_state = 2},
  [2619] = {.lex_state = 12, .external_lex_state = 2},
  [2620] = {.lex_state = 12, .external_lex_state = 2},
  [2621] = {.lex_state = 12, .external_lex_state = 2},
  [2622] = {.lex_state = 12, .external_lex_state = 2},
  [2623] = {.lex_state = 96, .external_lex_state = 5},
  [2624] = {.lex_state = 96, .external_lex_state = 5},
  [2625] = {.lex_state = 7, .external_lex_state = 3},
  [2626] = {.lex_state = 12, .external_lex_state = 2},
  [2627] = {.lex_state = 96, .external_lex_state = 5},
  [2628] = {.lex_state = 12, .external_lex_state = 2},
  [2629] = {.lex_state = 96, .external_lex_state = 5},
  [2630] = {.lex_state = 12, .external_lex_state = 2},
  [2631] = {.lex_state = 8, .external_lex_state = 3},
  [2632] = {.lex_state = 96, .external_lex_state = 5},
  [2633] = {.lex_state = 96, .external_lex_state = 5},
  [2634] = {.lex_state = 12, .external_lex_state = 2},
  [2635] = {.lex_state = 12, .external_lex_state = 2},
  [2636] = {.lex_state = 96, .external_lex_state = 5},
  [2637] = {.lex_state = 96, .external_lex_state = 5},
  [2638] = {.lex_state = 7, .external_lex_state = 3},
  [2639] = {.lex_state = 96, .external_lex_state = 5},
  [2640] = {.lex_state = 12, .external_lex_state = 2},
  [2641] = {.lex_state = 12, .external_lex_state = 2},
  [2642] = {.lex_state = 12, .external_lex_state = 2},
  [2643] = {.lex_state = 96, .external_lex_state = 5},
  [2644] = {.lex_state = 96, .external_lex_state = 5},
  [2645] = {.lex_state = 96, .external_lex_state = 5},
  [2646] = {.lex_state = 7, .external_lex_state = 3},
  [2647] = {.lex_state = 96, .external_lex_state = 5},
  [2648] = {.lex_state = 7, .external_lex_state = 3},
  [2649] = {.lex_state = 7, .external_lex_state = 3},
  [2650] = {.lex_state = 12, .external_lex_state = 2},
  [2651] = {.lex_state = 12, .external_lex_state = 2},
  [2652] = {.lex_state = 12, .external_lex_state = 5},
  [2653] = {.lex_state = 12, .external_lex_state = 5},
  [2654] = {.lex_state = 7, .external_lex_state = 3},
  [2655] = {.lex_state = 12, .external_lex_state = 5},
  [2656] = {.lex_state = 12, .external_lex_state = 5},
  [2657] = {.lex_state = 12, .external_lex_state = 5},
  [2658] = {.lex_state = 12, .external_lex_state = 5},
  [2659] = {.lex_state = 12, .external_lex_state = 5},
  [2660] = {.lex_state = 7, .external_lex_state = 3},
  [2661] = {.lex_state = 12, .external_lex_state = 5},
  [2662] = {.lex_state = 12, .external_lex_state = 5},
  [2663] = {.lex_state = 12, .external_lex_state = 2},
  [2664] = {.lex_state = 12, .external_lex_state = 5},
  [2665] = {.lex_state = 7, .external_lex_state = 3},
  [2666] = {.lex_state = 7, .external_lex_state = 3},
  [2667] = {.lex_state = 7, .external_lex_state = 3},
  [2668] = {.lex_state = 12, .external_lex_state = 5},
  [2669] = {.lex_state = 12, .external_lex_state = 5},
  [2670] = {.lex_state = 12, .external_lex_state = 5},
  [2671] = {.lex_state = 12, .external_lex_state = 5},
  [2672] = {.lex_state = 12, .external_lex_state = 5},
  [2673] = {.lex_state = 12, .external_lex_state = 5},
  [2674] = {.lex_state = 12, .external_lex_state = 5},
  [2675] = {.lex_state = 12, .external_lex_state = 5},
  [2676] = {.lex_state = 12, .external_lex_state = 5},
  [2677] = {.lex_state = 12, .external_lex_state = 5},
  [2678] = {.lex_state = 12, .external_lex_state = 5},
  [2679] = {.lex_state = 7, .external_lex_state = 3},
  [2680] = {.lex_state = 12, .external_lex_state = 5},
  [2681] = {.lex_state = 12, .external_lex_state = 5},
  [2682] = {.lex_state = 12, .external_lex_state = 5},
  [2683] = {.lex_state = 12, .external_lex_state = 5},
  [2684] = {.lex_state = 12, .external_lex_state = 5},
  [2685] = {.lex_state = 12, .external_lex_state = 5},
  [2686] = {.lex_state = 7, .external_lex_state = 3},
  [2687] = {.lex_state = 12, .external_lex_state = 5},
  [2688] = {.lex_state = 12, .external_lex_state = 5},
  [2689] = {.lex_state = 12, .external_lex_state = 5},
  [2690] = {.lex_state = 12, .external_lex_state = 2},
  [2691] = {.lex_state = 12, .external_lex_state = 5},
  [2692] = {.lex_state = 12, .external_lex_state = 5},
  [2693] = {.lex_state = 12, .external_lex_state = 5},
  [2694] = {.lex_state = 12, .external_lex_state = 5},
  [2695] = {.lex_state = 12, .external_lex_state = 5},
  [2696] = {.lex_state = 12, .external_lex_state = 5},
  [2697] = {.lex_state = 12, .external_lex_state = 5},
  [2698] = {.lex_state = 12, .external_lex_state = 5},
  [2699] = {.lex_state = 12, .external_lex_state = 5},
  [2700] = {.lex_state = 7, .external_lex_state = 3},
  [2701] = {.lex_state = 12, .external_lex_state = 5},
  [2702] = {.lex_state = 12, .external_lex_state = 5},
  [2703] = {.lex_state = 12, .external_lex_state = 5},
  [2704] = {.lex_state = 12, .external_lex_state = 5},
  [2705] = {.lex_state = 12, .external_lex_state = 5},
  [2706] = {.lex_state = 7, .external_lex_state = 3},
  [2707] = {.lex_state = 12, .external_lex_state = 5},
  [2708] = {.lex_state = 12, .external_lex_state = 2},
  [2709] = {.lex_state = 12, .external_lex_state = 5},
  [2710] = {.lex_state = 12, .external_lex_state = 5},
  [2711] = {.lex_state = 12, .external_lex_state = 5},
  [2712] = {.lex_state = 12, .external_lex_state = 5},
  [2713] = {.lex_state = 7, .external_lex_state = 3},
  [2714] = {.lex_state = 7, .external_lex_state = 3},
  [2715] = {.lex_state = 12, .external_lex_state = 5},
  [2716] = {.lex_state = 12, .external_lex_state = 5},
  [2717] = {.lex_state = 12, .external_lex_state = 5},
  [2718] = {.lex_state = 12, .external_lex_state = 2},
  [2719] = {.lex_state = 12, .external_lex_state = 2},
  [2720] = {.lex_state = 7, .external_lex_state = 3},
  [2721] = {.lex_state = 12, .external_lex_state = 2},
  [2722] = {.lex_state = 12, .external_lex_state = 2},
  [2723] = {.lex_state = 12, .external_lex_state = 2},
  [2724] = {.lex_state = 12, .external_lex_state = 2},
  [2725] = {.lex_state = 12, .external_lex_state = 2},
  [2726] = {.lex_state = 12, .external_lex_state = 2},
  [2727] = {.lex_state = 12, .external_lex_state = 2},
  [2728] = {.lex_state = 12, .external_lex_state = 2},
  [2729] = {.lex_state = 12, .external_lex_state = 2},
  [2730] = {.lex_state = 12, .external_lex_state = 2},
  [2731] = {.lex_state = 12, .external_lex_state = 2},
  [2732] = {.lex_state = 96, .external_lex_state = 2},
  [2733] = {.lex_state = 12, .external_lex_state = 2},
  [2734] = {.lex_state = 12, .external_lex_state = 2},
  [2735] = {.lex_state = 12, .external_lex_state = 2},
  [2736] = {.lex_state = 12, .external_lex_state = 2},
  [2737] = {.lex_state = 12, .external_lex_state = 2},
  [2738] = {.lex_state = 12, .external_lex_state = 2},
  [2739] = {.lex_state = 12, .external_lex_state = 2},
  [2740] = {.lex_state = 12, .external_lex_state = 2},
  [2741] = {.lex_state = 12, .external_lex_state = 2},
  [2742] = {.lex_state = 96, .external_lex_state = 2},
  [2743] = {.lex_state = 12, .external_lex_state = 2},
  [2744] = {.lex_state = 12, .external_lex_state = 2},
  [2745] = {.lex_state = 12, .external_lex_state = 2},
  [2746] = {.lex_state = 96, .external_lex_state = 2},
  [2747] = {.lex_state = 12, .external_lex_state = 2},
  [2748] = {.lex_state = 96, .external_lex_state = 2},
  [2749] = {.lex_state = 12, .external_lex_state = 2},
  [2750] = {.lex_state = 12, .external_lex_state = 2},
  [2751] = {.lex_state = 12, .external_lex_state = 2},
  [2752] = {.lex_state = 12, .external_lex_state = 2},
  [2753] = {.lex_state = 12, .external_lex_state = 2},
  [2754] = {.lex_state = 12, .external_lex_state = 2},
  [2755] = {.lex_state = 12, .external_lex_state = 2},
  [2756] = {.lex_state = 12, .external_lex_state = 2},
  [2757] = {.lex_state = 12, .external_lex_state = 2},
  [2758] = {.lex_state = 12, .external_lex_state = 2},
  [2759] = {.lex_state = 12, .external_lex_state = 2},
  [2760] = {.lex_state = 12, .external_lex_state = 2},
  [2761] = {.lex_state = 96, .external_lex_state = 2},
  [2762] = {.lex_state = 12, .external_lex_state = 2},
  [2763] = {.lex_state = 12, .external_lex_state = 2},
  [2764] = {.lex_state = 12, .external_lex_state = 2},
  [2765] = {.lex_state = 12, .external_lex_state = 2},
  [2766] = {.lex_state = 12, .external_lex_state = 2},
  [2767] = {.lex_state = 12, .external_lex_state = 2},
  [2768] = {.lex_state = 12, .external_lex_state = 2},
  [2769] = {.lex_state = 12, .external_lex_state = 2},
  [2770] = {.lex_state = 12, .external_lex_state = 2},
  [2771] = {.lex_state = 12, .external_lex_state = 2},
  [2772] = {.lex_state = 12, .external_lex_state = 2},
  [2773] = {.lex_state = 96, .external_lex_state = 2},
  [2774] = {.lex_state = 96, .external_lex_state = 2},
  [2775] = {.lex_state = 96, .external_lex_state = 2},
  [2776] = {.lex_state = 96, .external_lex_state = 2},
  [2777] = {.lex_state = 96, .external_lex_state = 2},
  [2778] = {.lex_state = 96, .external_lex_state = 2},
  [2779] = {.lex_state = 96, .external_lex_state = 2},
  [2780] = {.lex_state = 96, .external_lex_state = 2},
  [2781] = {.lex_state = 96, .external_lex_state = 2},
  [2782] = {.lex_state = 96, .external_lex_state = 2},
  [2783] = {.lex_state = 96, .external_lex_state = 2},
  [2784] = {.lex_state = 96, .external_lex_state = 2},
  [2785] = {.lex_state = 96, .external_lex_state = 2},
  [2786] = {.lex_state = 96, .external_lex_state = 2},
  [2787] = {.lex_state = 96, .external_lex_state = 2},
  [2788] = {.lex_state = 96, .external_lex_state = 2},
  [2789] = {.lex_state = 96, .external_lex_state = 2},
  [2790] = {.lex_state = 96, .external_lex_state = 2},
  [2791] = {.lex_state = 96, .external_lex_state = 2},
  [2792] = {.lex_state = 96, .external_lex_state = 2},
  [2793] = {.lex_state = 96, .external_lex_state = 2},
  [2794] = {.lex_state = 96, .external_lex_state = 2},
  [2795] = {.lex_state = 96, .external_lex_state = 2},
  [2796] = {.lex_state = 96, .external_lex_state = 2},
  [2797] = {.lex_state = 96, .external_lex_state = 2},
  [2798] = {.lex_state = 96, .external_lex_state = 2},
  [2799] = {.lex_state = 96, .external_lex_state = 2},
  [2800] = {.lex_state = 96, .external_lex_state = 2},
  [2801] = {.lex_state = 96, .external_lex_state = 2},
  [2802] = {.lex_state = 96, .external_lex_state = 2},
  [2803] = {.lex_state = 12, .external_lex_state = 2},
  [2804] = {.lex_state = 96, .external_lex_state = 2},
  [2805] = {.lex_state = 96, .external_lex_state = 2},
  [2806] = {.lex_state = 96, .external_lex_state = 2},
  [2807] = {.lex_state = 96, .external_lex_state = 2},
  [2808] = {.lex_state = 96, .external_lex_state = 2},
  [2809] = {.lex_state = 96, .external_lex_state = 2},
  [2810] = {.lex_state = 96, .external_lex_state = 2},
  [2811] = {.lex_state = 96, .external_lex_state = 2},
  [2812] = {.lex_state = 96, .external_lex_state = 2},
  [2813] = {.lex_state = 96, .external_lex_state = 2},
  [2814] = {.lex_state = 96, .external_lex_state = 2},
  [2815] = {.lex_state = 96, .external_lex_state = 2},
  [2816] = {.lex_state = 96, .external_lex_state = 2},
  [2817] = {.lex_state = 96, .external_lex_state = 2},
  [2818] = {.lex_state = 96, .external_lex_state = 2},
  [2819] = {.lex_state = 96, .external_lex_state = 2},
  [2820] = {.lex_state = 96, .external_lex_state = 2},
  [2821] = {.lex_state = 96, .external_lex_state = 2},
  [2822] = {.lex_state = 96, .external_lex_state = 2},
  [2823] = {.lex_state = 96, .external_lex_state = 2},
  [2824] = {.lex_state = 96, .external_lex_state = 2},
  [2825] = {.lex_state = 96, .external_lex_state = 2},
  [2826] = {.lex_state = 96, .external_lex_state = 2},
  [2827] = {.lex_state = 96, .external_lex_state = 2},
  [2828] = {.lex_state = 96, .external_lex_state = 2},
  [2829] = {.lex_state = 96, .external_lex_state = 2},
  [2830] = {.lex_state = 96, .external_lex_state = 2},
  [2831] = {.lex_state = 96, .external_lex_state = 2},
  [2832] = {.lex_state = 96, .external_lex_state = 2},
  [2833] = {.lex_state = 96, .external_lex_state = 2},
  [2834] = {.lex_state = 96, .external_lex_state = 2},
  [2835] = {.lex_state = 96, .external_lex_state = 2},
  [2836] = {.lex_state = 96, .external_lex_state = 2},
  [2837] = {.lex_state = 96, .external_lex_state = 2},
  [2838] = {.lex_state = 96, .external_lex_state = 2},
  [2839] = {.lex_state = 96, .external_lex_state = 2},
  [2840] = {.lex_state = 96, .external_lex_state = 2},
  [2841] = {.lex_state = 96, .external_lex_state = 2},
  [2842] = {.lex_state = 96, .external_lex_state = 2},
  [2843] = {.lex_state = 96, .external_lex_state = 2},
  [2844] = {.lex_state = 96, .external_lex_state = 2},
  [2845] = {.lex_state = 96, .external_lex_state = 2},
  [2846] = {.lex_state = 96, .external_lex_state = 2},
  [2847] = {.lex_state = 96, .external_lex_state = 2},
  [2848] = {.lex_state = 96, .external_lex_state = 2},
  [2849] = {.lex_state = 96, .external_lex_state = 2},
  [2850] = {.lex_state = 96, .external_lex_state = 2},
  [2851] = {.lex_state = 96, .external_lex_state = 2},
  [2852] = {.lex_state = 96, .external_lex_state = 2},
  [2853] = {.lex_state = 96, .external_lex_state = 2},
  [2854] = {.lex_state = 96, .external_lex_state = 2},
  [2855] = {.lex_state = 96, .external_lex_state = 2},
  [2856] = {.lex_state = 96, .external_lex_state = 2},
  [2857] = {.lex_state = 96, .external_lex_state = 2},
  [2858] = {.lex_state = 96, .external_lex_state = 2},
  [2859] = {.lex_state = 96, .external_lex_state = 2},
  [2860] = {.lex_state = 96, .external_lex_state = 2},
  [2861] = {.lex_state = 96, .external_lex_state = 2},
  [2862] = {.lex_state = 96, .external_lex_state = 2},
  [2863] = {.lex_state = 96, .external_lex_state = 2},
  [2864] = {.lex_state = 96, .external_lex_state = 2},
  [2865] = {.lex_state = 96, .external_lex_state = 2},
  [2866] = {.lex_state = 96, .external_lex_state = 2},
  [2867] = {.lex_state = 96, .external_lex_state = 2},
  [2868] = {.lex_state = 96, .external_lex_state = 2},
  [2869] = {.lex_state = 96, .external_lex_state = 2},
  [2870] = {.lex_state = 96, .external_lex_state = 2},
  [2871] = {.lex_state = 96, .external_lex_state = 2},
  [2872] = {.lex_state = 96, .external_lex_state = 2},
  [2873] = {.lex_state = 96, .external_lex_state = 2},
  [2874] = {.lex_state = 96, .external_lex_state = 2},
  [2875] = {.lex_state = 96, .external_lex_state = 2},
  [2876] = {.lex_state = 96, .external_lex_state = 2},
  [2877] = {.lex_state = 96, .external_lex_state = 2},
  [2878] = {.lex_state = 96, .external_lex_state = 2},
  [2879] = {.lex_state = 96, .external_lex_state = 2},
  [2880] = {.lex_state = 15, .external_lex_state = 2},
  [2881] = {.lex_state = 15, .external_lex_state = 2},
  [2882] = {.lex_state = 15, .external_lex_state = 2},
  [2883] = {.lex_state = 15, .external_lex_state = 2},
  [2884] = {.lex_state = 15, .external_lex_state = 2},
  [2885] = {.lex_state = 15, .external_lex_state = 2},
  [2886] = {.lex_state = 15, .external_lex_state = 2},
  [2887] = {.lex_state = 15, .external_lex_state = 2},
  [2888] = {.lex_state = 15, .external_lex_state = 2},
  [2889] = {.lex_state = 15, .external_lex_state = 2},
  [2890] = {.lex_state = 15, .external_lex_state = 2},
  [2891] = {.lex_state = 15, .external_lex_state = 2},
  [2892] = {.lex_state = 15, .external_lex_state = 2},
  [2893] = {.lex_state = 15, .external_lex_state = 2},
  [2894] = {.lex_state = 15, .external_lex_state = 2},
  [2895] = {.lex_state = 15, .external_lex_state = 2},
  [2896] = {.lex_state = 15, .external_lex_state = 2},
  [2897] = {.lex_state = 15, .external_lex_state = 2},
  [2898] = {.lex_state = 15, .external_lex_state = 2},
  [2899] = {.lex_state = 15, .external_lex_state = 2},
  [2900] = {.lex_state = 15, .external_lex_state = 2},
  [2901] = {.lex_state = 15, .external_lex_state = 2},
  [2902] = {.lex_state = 15, .external_lex_state = 2},
  [2903] = {.lex_state = 15, .external_lex_state = 2},
  [2904] = {.lex_state = 15, .external_lex_state = 2},
  [2905] = {.lex_state = 15, .external_lex_state = 2},
  [2906] = {.lex_state = 15, .external_lex_state = 2},
  [2907] = {.lex_state = 15, .external_lex_state = 2},
  [2908] = {.lex_state = 15, .external_lex_state = 2},
  [2909] = {.lex_state = 15, .external_lex_state = 2},
  [2910] = {.lex_state = 15, .external_lex_state = 2},
  [2911] = {.lex_state = 15, .external_lex_state = 2},
  [2912] = {.lex_state = 15, .external_lex_state = 2},
  [2913] = {.lex_state = 15, .external_lex_state = 2},
  [2914] = {.lex_state = 15, .external_lex_state = 2},
  [2915] = {.lex_state = 15, .external_lex_state = 2},
  [2916] = {.lex_state = 15, .external_lex_state = 2},
  [2917] = {.lex_state = 13, .external_lex_state = 5},
  [2918] = {.lex_state = 13, .external_lex_state = 5},
  [2919] = {.lex_state = 14, .external_lex_state = 2},
  [2920] = {.lex_state = 13, .external_lex_state = 2},
  [2921] = {.lex_state = 96, .external_lex_state = 2},
  [2922] = {.lex_state = 14, .external_lex_state = 2},
  [2923] = {.lex_state = 96, .external_lex_state = 2},
  [2924] = {.lex_state = 14, .external_lex_state = 2},
  [2925] = {.lex_state = 96, .external_lex_state = 2},
  [2926] = {.lex_state = 15, .external_lex_state = 5},
  [2927] = {.lex_state = 14, .external_lex_state = 2},
  [2928] = {.lex_state = 15, .external_lex_state = 2},
  [2929] = {.lex_state = 96, .external_lex_state = 2},
  [2930] = {.lex_state = 13, .external_lex_state = 2},
  [2931] = {.lex_state = 15, .external_lex_state = 5},
  [2932] = {.lex_state = 13, .external_lex_state = 2},
  [2933] = {.lex_state = 96, .external_lex_state = 2},
  [2934] = {.lex_state = 13, .external_lex_state = 2},
  [2935] = {.lex_state = 14, .external_lex_state = 2},
  [2936] = {.lex_state = 96, .external_lex_state = 2},
  [2937] = {.lex_state = 15, .external_lex_state = 5},
  [2938] = {.lex_state = 96, .external_lex_state = 2},
  [2939] = {.lex_state = 96, .external_lex_state = 2},
  [2940] = {.lex_state = 96, .external_lex_state = 2},
  [2941] = {.lex_state = 13, .external_lex_state = 2},
  [2942] = {.lex_state = 96, .external_lex_state = 2},
  [2943] = {.lex_state = 96, .external_lex_state = 2},
  [2944] = {.lex_state = 96, .external_lex_state = 2},
  [2945] = {.lex_state = 96, .external_lex_state = 2},
  [2946] = {.lex_state = 15, .external_lex_state = 5},
  [2947] = {.lex_state = 15, .external_lex_state = 5},
  [2948] = {.lex_state = 96, .external_lex_state = 2},
  [2949] = {.lex_state = 96, .external_lex_state = 2},
  [2950] = {.lex_state = 96, .external_lex_state = 2},
  [2951] = {.lex_state = 96, .external_lex_state = 2},
  [2952] = {.lex_state = 96, .external_lex_state = 2},
  [2953] = {.lex_state = 96, .external_lex_state = 2},
  [2954] = {.lex_state = 96, .external_lex_state = 2},
  [2955] = {.lex_state = 15, .external_lex_state = 6},
  [2956] = {.lex_state = 15, .external_lex_state = 6},
  [2957] = {.lex_state = 15, .external_lex_state = 6},
  [2958] = {.lex_state = 4, .external_lex_state = 2},
  [2959] = {.lex_state = 96, .external_lex_state = 2},
  [2960] = {.lex_state = 96, .external_lex_state = 2},
  [2961] = {.lex_state = 96, .external_lex_state = 2},
  [2962] = {.lex_state = 96, .external_lex_state = 2},
  [2963] = {.lex_state = 15, .external_lex_state = 5},
  [2964] = {.lex_state = 96, .external_lex_state = 2},
  [2965] = {.lex_state = 15, .external_lex_state = 5},
  [2966] = {.lex_state = 96, .external_lex_state = 2},
  [2967] = {.lex_state = 15, .external_lex_state = 5},
  [2968] = {.lex_state = 15, .external_lex_state = 5},
  [2969] = {.lex_state = 4, .external_lex_state = 2},
  [2970] = {.lex_state = 15, .external_lex_state = 5},
  [2971] = {.lex_state = 15, .external_lex_state = 5},
  [2972] = {.lex_state = 15, .external_lex_state = 5},
  [2973] = {.lex_state = 15, .external_lex_state = 5},
  [2974] = {.lex_state = 96, .external_lex_state = 2},
  [2975] = {.lex_state = 15, .external_lex_state = 5},
  [2976] = {.lex_state = 15, .external_lex_state = 5},
  [2977] = {.lex_state = 96, .external_lex_state = 2},
  [2978] = {.lex_state = 96, .external_lex_state = 2},
  [2979] = {.lex_state = 96, .external_lex_state = 2},
  [2980] = {.lex_state = 96, .external_lex_state = 2},
  [2981] = {.lex_state = 15, .external_lex_state = 5},
  [2982] = {.lex_state = 15, .external_lex_state = 5},
  [2983] = {.lex_state = 15, .external_lex_state = 5},
  [2984] = {.lex_state = 4, .external_lex_state = 2},
  [2985] = {.lex_state = 96, .external_lex_state = 2},
  [2986] = {.lex_state = 15, .external_lex_state = 5},
  [2987] = {.lex_state = 96, .external_lex_state = 2},
  [2988] = {.lex_state = 96, .external_lex_state = 2},
  [2989] = {.lex_state = 96, .external_lex_state = 2},
  [2990] = {.lex_state = 96, .external_lex_state = 2},
  [2991] = {.lex_state = 96, .external_lex_state = 2},
  [2992] = {.lex_state = 96, .external_lex_state = 2},
  [2993] = {.lex_state = 96, .external_lex_state = 2},
  [2994] = {.lex_state = 96, .external_lex_state = 2},
  [2995] = {.lex_state = 96, .external_lex_state = 2},
  [2996] = {.lex_state = 96, .external_lex_state = 2},
  [2997] = {.lex_state = 96, .external_lex_state = 2},
  [2998] = {.lex_state = 96, .external_lex_state = 2},
  [2999] = {.lex_state = 96, .external_lex_state = 2},
  [3000] = {.lex_state = 96, .external_lex_state = 2},
  [3001] = {.lex_state = 4, .external_lex_state = 2},
  [3002] = {.lex_state = 96, .external_lex_state = 2},
  [3003] = {.lex_state = 96, .external_lex_state = 2},
  [3004] = {.lex_state = 96, .external_lex_state = 2},
  [3005] = {.lex_state = 96, .external_lex_state = 2},
  [3006] = {.lex_state = 4, .external_lex_state = 2},
  [3007] = {.lex_state = 15, .external_lex_state = 5},
  [3008] = {.lex_state = 15, .external_lex_state = 5},
  [3009] = {.lex_state = 15, .external_lex_state = 5},
  [3010] = {.lex_state = 4, .external_lex_state = 2},
  [3011] = {.lex_state = 15, .external_lex_state = 5},
  [3012] = {.lex_state = 4, .external_lex_state = 2},
  [3013] = {.lex_state = 96, .external_lex_state = 2},
  [3014] = {.lex_state = 96, .external_lex_state = 2},
  [3015] = {.lex_state = 96, .external_lex_state = 2},
  [3016] = {.lex_state = 96, .external_lex_state = 2},
  [3017] = {.lex_state = 96, .external_lex_state = 2},
  [3018] = {.lex_state = 96, .external_lex_state = 2},
  [3019] = {.lex_state = 15, .external_lex_state = 5},
  [3020] = {.lex_state = 96, .external_lex_state = 2},
  [3021] = {.lex_state = 15, .external_lex_state = 5},
  [3022] = {.lex_state = 15, .external_lex_state = 5},
  [3023] = {.lex_state = 15, .external_lex_state = 5},
  [3024] = {.lex_state = 15, .external_lex_state = 5},
  [3025] = {.lex_state = 96, .external_lex_state = 2},
  [3026] = {.lex_state = 15, .external_lex_state = 5},
  [3027] = {.lex_state = 13, .external_lex_state = 5},
  [3028] = {.lex_state = 15, .external_lex_state = 5},
  [3029] = {.lex_state = 96, .external_lex_state = 2},
  [3030] = {.lex_state = 96, .external_lex_state = 2},
  [3031] = {.lex_state = 96, .external_lex_state = 2},
  [3032] = {.lex_state = 96, .external_lex_state = 2},
  [3033] = {.lex_state = 4, .external_lex_state = 2},
  [3034] = {.lex_state = 15, .external_lex_state = 5},
  [3035] = {.lex_state = 96, .external_lex_state = 2},
  [3036] = {.lex_state = 4, .external_lex_state = 2},
  [3037] = {.lex_state = 4, .external_lex_state = 2},
  [3038] = {.lex_state = 15, .external_lex_state = 5},
  [3039] = {.lex_state = 15, .external_lex_state = 5},
  [3040] = {.lex_state = 15, .external_lex_state = 5},
  [3041] = {.lex_state = 96, .external_lex_state = 2},
  [3042] = {.lex_state = 96, .external_lex_state = 2},
  [3043] = {.lex_state = 15, .external_lex_state = 5},
  [3044] = {.lex_state = 15, .external_lex_state = 5},
  [3045] = {.lex_state = 15, .external_lex_state = 5},
  [3046] = {.lex_state = 96, .external_lex_state = 2},
  [3047] = {.lex_state = 12, .external_lex_state = 5},
  [3048] = {.lex_state = 96, .external_lex_state = 2},
  [3049] = {.lex_state = 96, .external_lex_state = 2},
  [3050] = {.lex_state = 12, .external_lex_state = 5},
  [3051] = {.lex_state = 12, .external_lex_state = 5},
  [3052] = {.lex_state = 96, .external_lex_state = 2},
  [3053] = {.lex_state = 12, .external_lex_state = 5},
  [3054] = {.lex_state = 12, .external_lex_state = 5},
  [3055] = {.lex_state = 12, .external_lex_state = 5},
  [3056] = {.lex_state = 12, .external_lex_state = 5},
  [3057] = {.lex_state = 12, .external_lex_state = 5},
  [3058] = {.lex_state = 12, .external_lex_state = 5},
  [3059] = {.lex_state = 12, .external_lex_state = 5},
  [3060] = {.lex_state = 96, .external_lex_state = 2},
  [3061] = {.lex_state = 96, .external_lex_state = 2},
  [3062] = {.lex_state = 96, .external_lex_state = 2},
  [3063] = {.lex_state = 12, .external_lex_state = 5},
  [3064] = {.lex_state = 96, .external_lex_state = 2},
  [3065] = {.lex_state = 96, .external_lex_state = 2},
  [3066] = {.lex_state = 12, .external_lex_state = 5},
  [3067] = {.lex_state = 12, .external_lex_state = 5},
  [3068] = {.lex_state = 12, .external_lex_state = 5},
  [3069] = {.lex_state = 12, .external_lex_state = 5},
  [3070] = {.lex_state = 12, .external_lex_state = 5},
  [3071] = {.lex_state = 12, .external_lex_state = 5},
  [3072] = {.lex_state = 12, .external_lex_state = 5},
  [3073] = {.lex_state = 96, .external_lex_state = 5},
  [3074] = {.lex_state = 12, .external_lex_state = 5},
  [3075] = {.lex_state = 12, .external_lex_state = 5},
  [3076] = {.lex_state = 12, .external_lex_state = 5},
  [3077] = {.lex_state = 12, .external_lex_state = 5},
  [3078] = {.lex_state = 96, .external_lex_state = 2},
  [3079] = {.lex_state = 12, .external_lex_state = 5},
  [3080] = {.lex_state = 12, .external_lex_state = 5},
  [3081] = {.lex_state = 12, .external_lex_state = 5},
  [3082] = {.lex_state = 13, .external_lex_state = 5},
  [3083] = {.lex_state = 96, .external_lex_state = 2},
  [3084] = {.lex_state = 12, .external_lex_state = 5},
  [3085] = {.lex_state = 12, .external_lex_state = 5},
  [3086] = {.lex_state = 12, .external_lex_state = 5},
  [3087] = {.lex_state = 96, .external_lex_state = 2},
  [3088] = {.lex_state = 96, .external_lex_state = 5},
  [3089] = {.lex_state = 15, .external_lex_state = 6},
  [3090] = {.lex_state = 15, .external_lex_state = 6},
  [3091] = {.lex_state = 15, .external_lex_state = 6},
  [3092] = {.lex_state = 15, .external_lex_state = 6},
  [3093] = {.lex_state = 15, .external_lex_state = 6},
  [3094] = {.lex_state = 15, .external_lex_state = 6},
  [3095] = {.lex_state = 15, .external_lex_state = 6},
  [3096] = {.lex_state = 15, .external_lex_state = 6},
  [3097] = {.lex_state = 15, .external_lex_state = 6},
  [3098] = {.lex_state = 12, .external_lex_state = 5},
  [3099] = {.lex_state = 12, .external_lex_state = 2},
  [3100] = {.lex_state = 13, .external_lex_state = 6},
  [3101] = {.lex_state = 15, .external_lex_state = 6},
  [3102] = {.lex_state = 96, .external_lex_state = 2},
  [3103] = {.lex_state = 14, .external_lex_state = 5},
  [3104] = {.lex_state = 13, .external_lex_state = 5},
  [3105] = {.lex_state = 15, .external_lex_state = 6},
  [3106] = {.lex_state = 14, .external_lex_state = 5},
  [3107] = {.lex_state = 12, .external_lex_state = 5},
  [3108] = {.lex_state = 12, .external_lex_state = 5},
  [3109] = {.lex_state = 15, .external_lex_state = 6},
  [3110] = {.lex_state = 12, .external_lex_state = 5},
  [3111] = {.lex_state = 15, .external_lex_state = 6},
  [3112] = {.lex_state = 96, .external_lex_state = 2},
  [3113] = {.lex_state = 15, .external_lex_state = 6},
  [3114] = {.lex_state = 15, .external_lex_state = 6},
  [3115] = {.lex_state = 96, .external_lex_state = 5},
  [3116] = {.lex_state = 15, .external_lex_state = 6},
  [3117] = {.lex_state = 12, .external_lex_state = 5},
  [3118] = {.lex_state = 15, .external_lex_state = 6},
  [3119] = {.lex_state = 96, .external_lex_state = 5},
  [3120] = {.lex_state = 96, .external_lex_state = 5},
  [3121] = {.lex_state = 96, .external_lex_state = 2},
  [3122] = {.lex_state = 15, .external_lex_state = 6},
  [3123] = {.lex_state = 14, .external_lex_state = 5},
  [3124] = {.lex_state = 12, .external_lex_state = 5},
  [3125] = {.lex_state = 14, .external_lex_state = 5},
  [3126] = {.lex_state = 15, .external_lex_state = 6},
  [3127] = {.lex_state = 15, .external_lex_state = 6},
  [3128] = {.lex_state = 14, .external_lex_state = 5},
  [3129] = {.lex_state = 96, .external_lex_state = 2},
  [3130] = {.lex_state = 15, .external_lex_state = 6},
  [3131] = {.lex_state = 13, .external_lex_state = 5},
  [3132] = {.lex_state = 15, .external_lex_state = 6},
  [3133] = {.lex_state = 12, .external_lex_state = 5},
  [3134] = {.lex_state = 14, .external_lex_state = 5},
  [3135] = {.lex_state = 12, .external_lex_state = 5},
  [3136] = {.lex_state = 13, .external_lex_state = 5},
  [3137] = {.lex_state = 15, .external_lex_state = 6},
  [3138] = {.lex_state = 96, .external_lex_state = 2},
  [3139] = {.lex_state = 96, .external_lex_state = 2},
  [3140] = {.lex_state = 15, .external_lex_state = 6},
  [3141] = {.lex_state = 96, .external_lex_state = 5},
  [3142] = {.lex_state = 15, .external_lex_state = 6},
  [3143] = {.lex_state = 14, .external_lex_state = 5},
  [3144] = {.lex_state = 15, .external_lex_state = 6},
  [3145] = {.lex_state = 96, .external_lex_state = 2},
  [3146] = {.lex_state = 96, .external_lex_state = 5},
  [3147] = {.lex_state = 15, .external_lex_state = 6},
  [3148] = {.lex_state = 15, .external_lex_state = 6},
  [3149] = {.lex_state = 96, .external_lex_state = 2},
  [3150] = {.lex_state = 15, .external_lex_state = 6},
  [3151] = {.lex_state = 15, .external_lex_state = 6},
  [3152] = {.lex_state = 15, .external_lex_state = 6},
  [3153] = {.lex_state = 96, .external_lex_state = 2},
  [3154] = {.lex_state = 14, .external_lex_state = 5},
  [3155] = {.lex_state = 15, .external_lex_state = 6},
  [3156] = {.lex_state = 12, .external_lex_state = 5},
  [3157] = {.lex_state = 15, .external_lex_state = 6},
  [3158] = {.lex_state = 12, .external_lex_state = 5},
  [3159] = {.lex_state = 96, .external_lex_state = 2},
  [3160] = {.lex_state = 15, .external_lex_state = 6},
  [3161] = {.lex_state = 12, .external_lex_state = 2},
  [3162] = {.lex_state = 12, .external_lex_state = 5},
  [3163] = {.lex_state = 12, .external_lex_state = 5},
  [3164] = {.lex_state = 96, .external_lex_state = 5},
  [3165] = {.lex_state = 12, .external_lex_state = 5},
  [3166] = {.lex_state = 12, .external_lex_state = 5},
  [3167] = {.lex_state = 12, .external_lex_state = 5},
  [3168] = {.lex_state = 96, .external_lex_state = 5},
  [3169] = {.lex_state = 96, .external_lex_state = 5},
  [3170] = {.lex_state = 12, .external_lex_state = 5},
  [3171] = {.lex_state = 15, .external_lex_state = 2},
  [3172] = {.lex_state = 15, .external_lex_state = 2},
  [3173] = {.lex_state = 96, .external_lex_state = 2},
  [3174] = {.lex_state = 15, .external_lex_state = 2},
  [3175] = {.lex_state = 96, .external_lex_state = 5},
  [3176] = {.lex_state = 12, .external_lex_state = 5},
  [3177] = {.lex_state = 12, .external_lex_state = 5},
  [3178] = {.lex_state = 12, .external_lex_state = 5},
  [3179] = {.lex_state = 12, .external_lex_state = 5},
  [3180] = {.lex_state = 12, .external_lex_state = 5},
  [3181] = {.lex_state = 12, .external_lex_state = 5},
  [3182] = {.lex_state = 96, .external_lex_state = 5},
  [3183] = {.lex_state = 12, .external_lex_state = 5},
  [3184] = {.lex_state = 96, .external_lex_state = 5},
  [3185] = {.lex_state = 12, .external_lex_state = 5},
  [3186] = {.lex_state = 96, .external_lex_state = 5},
  [3187] = {.lex_state = 12, .external_lex_state = 5},
  [3188] = {.lex_state = 12, .external_lex_state = 5},
  [3189] = {.lex_state = 12, .external_lex_state = 5},
  [3190] = {.lex_state = 96, .external_lex_state = 5},
  [3191] = {.lex_state = 12, .external_lex_state = 5},
  [3192] = {.lex_state = 12, .external_lex_state = 5},
  [3193] = {.lex_state = 12, .external_lex_state = 5},
  [3194] = {.lex_state = 12, .external_lex_state = 5},
  [3195] = {.lex_state = 12, .external_lex_state = 5},
  [3196] = {.lex_state = 12, .external_lex_state = 5},
  [3197] = {.lex_state = 12, .external_lex_state = 5},
  [3198] = {.lex_state = 12, .external_lex_state = 5},
  [3199] = {.lex_state = 12, .external_lex_state = 5},
  [3200] = {.lex_state = 96, .external_lex_state = 6},
  [3201] = {.lex_state = 12, .external_lex_state = 5},
  [3202] = {.lex_state = 12, .external_lex_state = 5},
  [3203] = {.lex_state = 12, .external_lex_state = 5},
  [3204] = {.lex_state = 12, .external_lex_state = 5},
  [3205] = {.lex_state = 12, .external_lex_state = 2},
  [3206] = {.lex_state = 12, .external_lex_state = 5},
  [3207] = {.lex_state = 12, .external_lex_state = 2},
  [3208] = {.lex_state = 96, .external_lex_state = 5},
  [3209] = {.lex_state = 96, .external_lex_state = 5},
  [3210] = {.lex_state = 12, .external_lex_state = 5},
  [3211] = {.lex_state = 12, .external_lex_state = 5},
  [3212] = {.lex_state = 12, .external_lex_state = 5},
  [3213] = {.lex_state = 96, .external_lex_state = 5},
  [3214] = {.lex_state = 12, .external_lex_state = 5},
  [3215] = {.lex_state = 12, .external_lex_state = 5},
  [3216] = {.lex_state = 12, .external_lex_state = 5},
  [3217] = {.lex_state = 13, .external_lex_state = 6},
  [3218] = {.lex_state = 12, .external_lex_state = 5},
  [3219] = {.lex_state = 12, .external_lex_state = 5},
  [3220] = {.lex_state = 96, .external_lex_state = 2},
  [3221] = {.lex_state = 14, .external_lex_state = 6},
  [3222] = {.lex_state = 96, .external_lex_state = 5},
  [3223] = {.lex_state = 96, .external_lex_state = 5},
  [3224] = {.lex_state = 96, .external_lex_state = 5},
  [3225] = {.lex_state = 96, .external_lex_state = 5},
  [3226] = {.lex_state = 96, .external_lex_state = 5},
  [3227] = {.lex_state = 14, .external_lex_state = 6},
  [3228] = {.lex_state = 96, .external_lex_state = 5},
  [3229] = {.lex_state = 96, .external_lex_state = 5},
  [3230] = {.lex_state = 13, .external_lex_state = 6},
  [3231] = {.lex_state = 14, .external_lex_state = 6},
  [3232] = {.lex_state = 14, .external_lex_state = 6},
  [3233] = {.lex_state = 96, .external_lex_state = 5},
  [3234] = {.lex_state = 96, .external_lex_state = 6},
  [3235] = {.lex_state = 96, .external_lex_state = 5},
  [3236] = {.lex_state = 12, .external_lex_state = 5},
  [3237] = {.lex_state = 96, .external_lex_state = 5},
  [3238] = {.lex_state = 96, .external_lex_state = 5},
  [3239] = {.lex_state = 96, .external_lex_state = 5},
  [3240] = {.lex_state = 14, .external_lex_state = 6},
  [3241] = {.lex_state = 96, .external_lex_state = 6},
  [3242] = {.lex_state = 96, .external_lex_state = 5},
  [3243] = {.lex_state = 13, .external_lex_state = 6},
  [3244] = {.lex_state = 96, .external_lex_state = 5},
  [3245] = {.lex_state = 96, .external_lex_state = 6},
  [3246] = {.lex_state = 96, .external_lex_state = 6},
  [3247] = {.lex_state = 96, .external_lex_state = 5},
  [3248] = {.lex_state = 96, .external_lex_state = 5},
  [3249] = {.lex_state = 96, .external_lex_state = 6},
  [3250] = {.lex_state = 12, .external_lex_state = 2},
  [3251] = {.lex_state = 96, .external_lex_state = 5},
  [3252] = {.lex_state = 13, .external_lex_state = 6},
  [3253] = {.lex_state = 12, .external_lex_state = 5},
  [3254] = {.lex_state = 96, .external_lex_state = 5},
  [3255] = {.lex_state = 96, .external_lex_state = 5},
  [3256] = {.lex_state = 96, .external_lex_state = 5},
  [3257] = {.lex_state = 96, .external_lex_state = 5},
  [3258] = {.lex_state = 96, .external_lex_state = 5},
  [3259] = {.lex_state = 96, .external_lex_state = 5},
  [3260] = {.lex_state = 96, .external_lex_state = 5},
  [3261] = {.lex_state = 14, .external_lex_state = 6},
  [3262] = {.lex_state = 96, .external_lex_state = 5},
  [3263] = {.lex_state = 96, .external_lex_state = 5},
  [3264] = {.lex_state = 96, .external_lex_state = 5},
  [3265] = {.lex_state = 96, .external_lex_state = 5},
  [3266] = {.lex_state = 96, .external_lex_state = 5},
  [3267] = {.lex_state = 96, .external_lex_state = 5},
  [3268] = {.lex_state = 96, .external_lex_state = 5},
  [3269] = {.lex_state = 96, .external_lex_state = 5},
  [3270] = {.lex_state = 96, .external_lex_state = 5},
  [3271] = {.lex_state = 96, .external_lex_state = 5},
  [3272] = {.lex_state = 96, .external_lex_state = 5},
  [3273] = {.lex_state = 96, .external_lex_state = 5},
  [3274] = {.lex_state = 96, .external_lex_state = 5},
  [3275] = {.lex_state = 96, .external_lex_state = 5},
  [3276] = {.lex_state = 96, .external_lex_state = 5},
  [3277] = {.lex_state = 96, .external_lex_state = 5},
  [3278] = {.lex_state = 96, .external_lex_state = 2},
  [3279] = {.lex_state = 12, .external_lex_state = 5},
  [3280] = {.lex_state = 96, .external_lex_state = 5},
  [3281] = {.lex_state = 96, .external_lex_state = 5},
  [3282] = {.lex_state = 96, .external_lex_state = 5},
  [3283] = {.lex_state = 96, .external_lex_state = 5},
  [3284] = {.lex_state = 96, .external_lex_state = 5},
  [3285] = {.lex_state = 96, .external_lex_state = 5},
  [3286] = {.lex_state = 96, .external_lex_state = 5},
  [3287] = {.lex_state = 14, .external_lex_state = 6},
  [3288] = {.lex_state = 96, .external_lex_state = 5},
  [3289] = {.lex_state = 96, .external_lex_state = 5},
  [3290] = {.lex_state = 14, .external_lex_state = 6},
  [3291] = {.lex_state = 96, .external_lex_state = 5},
  [3292] = {.lex_state = 96, .external_lex_state = 6},
  [3293] = {.lex_state = 13, .external_lex_state = 2},
  [3294] = {.lex_state = 13, .external_lex_state = 2},
  [3295] = {.lex_state = 96, .external_lex_state = 6},
  [3296] = {.lex_state = 96, .external_lex_state = 6},
  [3297] = {.lex_state = 96, .external_lex_state = 6},
  [3298] = {.lex_state = 96, .external_lex_state = 2},
  [3299] = {.lex_state = 12, .external_lex_state = 5},
  [3300] = {.lex_state = 96, .external_lex_state = 6},
  [3301] = {.lex_state = 96, .external_lex_state = 5},
  [3302] = {.lex_state = 13, .external_lex_state = 2},
  [3303] = {.lex_state = 96, .external_lex_state = 2},
  [3304] = {.lex_state = 13, .external_lex_state = 2},
  [3305] = {.lex_state = 96, .external_lex_state = 6},
  [3306] = {.lex_state = 96, .external_lex_state = 6},
  [3307] = {.lex_state = 96, .external_lex_state = 5},
  [3308] = {.lex_state = 96, .external_lex_state = 5},
  [3309] = {.lex_state = 96, .external_lex_state = 5},
  [3310] = {.lex_state = 13, .external_lex_state = 2},
  [3311] = {.lex_state = 96, .external_lex_state = 2},
  [3312] = {.lex_state = 96, .external_lex_state = 5},
  [3313] = {.lex_state = 13, .external_lex_state = 2},
  [3314] = {.lex_state = 13, .external_lex_state = 2},
  [3315] = {.lex_state = 96, .external_lex_state = 2},
  [3316] = {.lex_state = 96, .external_lex_state = 6},
  [3317] = {.lex_state = 12, .external_lex_state = 2},
  [3318] = {.lex_state = 96, .external_lex_state = 6},
  [3319] = {.lex_state = 13, .external_lex_state = 2},
  [3320] = {.lex_state = 13, .external_lex_state = 2},
  [3321] = {.lex_state = 13, .external_lex_state = 2},
  [3322] = {.lex_state = 96, .external_lex_state = 2},
  [3323] = {.lex_state = 13, .external_lex_state = 2},
  [3324] = {.lex_state = 96, .external_lex_state = 5},
  [3325] = {.lex_state = 96, .external_lex_state = 5},
  [3326] = {.lex_state = 96, .external_lex_state = 5},
  [3327] = {.lex_state = 96, .external_lex_state = 5},
  [3328] = {.lex_state = 96, .external_lex_state = 6},
  [3329] = {.lex_state = 96, .external_lex_state = 5},
  [3330] = {.lex_state = 96, .external_lex_state = 2},
  [3331] = {.lex_state = 96, .external_lex_state = 5},
  [3332] = {.lex_state = 96, .external_lex_state = 6},
  [3333] = {.lex_state = 11, .external_lex_state = 2},
  [3334] = {.lex_state = 96, .external_lex_state = 2},
  [3335] = {.lex_state = 96, .external_lex_state = 2},
  [3336] = {.lex_state = 96, .external_lex_state = 6},
  [3337] = {.lex_state = 96, .external_lex_state = 6},
  [3338] = {.lex_state = 96, .external_lex_state = 5},
  [3339] = {.lex_state = 96, .external_lex_state = 5},
  [3340] = {.lex_state = 96, .external_lex_state = 5},
  [3341] = {.lex_state = 96, .external_lex_state = 5},
  [3342] = {.lex_state = 96, .external_lex_state = 6},
  [3343] = {.lex_state = 96, .external_lex_state = 6},
  [3344] = {.lex_state = 96, .external_lex_state = 6},
  [3345] = {.lex_state = 96, .external_lex_state = 5},
  [3346] = {.lex_state = 96, .external_lex_state = 6},
  [3347] = {.lex_state = 96, .external_lex_state = 6},
  [3348] = {.lex_state = 96, .external_lex_state = 2},
  [3349] = {.lex_state = 96, .external_lex_state = 5},
  [3350] = {.lex_state = 96, .external_lex_state = 6},
  [3351] = {.lex_state = 12, .external_lex_state = 2},
  [3352] = {.lex_state = 96, .external_lex_state = 6},
  [3353] = {.lex_state = 12, .external_lex_state = 2},
  [3354] = {.lex_state = 96, .external_lex_state = 6},
  [3355] = {.lex_state = 96, .external_lex_state = 2},
  [3356] = {.lex_state = 96, .external_lex_state = 6},
  [3357] = {.lex_state = 96, .external_lex_state = 5},
  [3358] = {.lex_state = 96, .external_lex_state = 6},
  [3359] = {.lex_state = 96, .external_lex_state = 6},
  [3360] = {.lex_state = 12, .external_lex_state = 2},
  [3361] = {.lex_state = 13, .external_lex_state = 2},
  [3362] = {.lex_state = 96, .external_lex_state = 6},
  [3363] = {.lex_state = 13, .external_lex_state = 2},
  [3364] = {.lex_state = 96, .external_lex_state = 5},
  [3365] = {.lex_state = 96, .external_lex_state = 6},
  [3366] = {.lex_state = 96, .external_lex_state = 6},
  [3367] = {.lex_state = 96, .external_lex_state = 5},
  [3368] = {.lex_state = 96, .external_lex_state = 5},
  [3369] = {.lex_state = 96, .external_lex_state = 6},
  [3370] = {.lex_state = 96, .external_lex_state = 5},
  [3371] = {.lex_state = 96, .external_lex_state = 6},
  [3372] = {.lex_state = 96, .external_lex_state = 6},
  [3373] = {.lex_state = 12, .external_lex_state = 2},
  [3374] = {.lex_state = 96, .external_lex_state = 6},
  [3375] = {.lex_state = 96, .external_lex_state = 2},
  [3376] = {.lex_state = 13, .external_lex_state = 2},
  [3377] = {.lex_state = 96, .external_lex_state = 5},
  [3378] = {.lex_state = 96, .external_lex_state = 6},
  [3379] = {.lex_state = 96, .external_lex_state = 2},
  [3380] = {.lex_state = 96, .external_lex_state = 6},
  [3381] = {.lex_state = 13, .external_lex_state = 2},
  [3382] = {.lex_state = 13, .external_lex_state = 2},
  [3383] = {.lex_state = 96, .external_lex_state = 6},
  [3384] = {.lex_state = 96, .external_lex_state = 6},
  [3385] = {.lex_state = 96, .external_lex_state = 6},
  [3386] = {.lex_state = 13, .external_lex_state = 2},
  [3387] = {.lex_state = 11, .external_lex_state = 2},
  [3388] = {.lex_state = 96, .external_lex_state = 6},
  [3389] = {.lex_state = 96, .external_lex_state = 6},
  [3390] = {.lex_state = 96, .external_lex_state = 2},
  [3391] = {.lex_state = 13, .external_lex_state = 2},
  [3392] = {.lex_state = 13, .external_lex_state = 2},
  [3393] = {.lex_state = 96, .external_lex_state = 5},
  [3394] = {.lex_state = 96, .external_lex_state = 6},
  [3395] = {.lex_state = 13, .external_lex_state = 2},
  [3396] = {.lex_state = 96, .external_lex_state = 6},
  [3397] = {.lex_state = 96, .external_lex_state = 5},
  [3398] = {.lex_state = 96, .external_lex_state = 2},
  [3399] = {.lex_state = 96, .external_lex_state = 6},
  [3400] = {.lex_state = 96, .external_lex_state = 5},
  [3401] = {.lex_state = 96, .external_lex_state = 6},
  [3402] = {.lex_state = 96, .external_lex_state = 6},
  [3403] = {.lex_state = 96, .external_lex_state = 5},
  [3404] = {.lex_state = 96, .external_lex_state = 6},
  [3405] = {.lex_state = 96, .external_lex_state = 5},
  [3406] = {.lex_state = 96, .external_lex_state = 5},
  [3407] = {.lex_state = 12, .external_lex_state = 2},
  [3408] = {.lex_state = 13, .external_lex_state = 2},
  [3409] = {.lex_state = 96, .external_lex_state = 5},
  [3410] = {.lex_state = 96, .external_lex_state = 2},
  [3411] = {.lex_state = 96, .external_lex_state = 5},
  [3412] = {.lex_state = 96, .external_lex_state = 6},
  [3413] = {.lex_state = 96, .external_lex_state = 5},
  [3414] = {.lex_state = 12, .external_lex_state = 2},
  [3415] = {.lex_state = 96, .external_lex_state = 6},
  [3416] = {.lex_state = 96, .external_lex_state = 5},
  [3417] = {.lex_state = 96, .external_lex_state = 5},
  [3418] = {.lex_state = 96, .external_lex_state = 5},
  [3419] = {.lex_state = 13, .external_lex_state = 2},
  [3420] = {.lex_state = 13, .external_lex_state = 2},
  [3421] = {.lex_state = 96, .external_lex_state = 5},
  [3422] = {.lex_state = 96, .external_lex_state = 6},
  [3423] = {.lex_state = 96, .external_lex_state = 6},
  [3424] = {.lex_state = 96, .external_lex_state = 5},
  [3425] = {.lex_state = 96, .external_lex_state = 5},
  [3426] = {.lex_state = 96, .external_lex_state = 6},
  [3427] = {.lex_state = 96, .external_lex_state = 5},
  [3428] = {.lex_state = 12, .external_lex_state = 2},
  [3429] = {.lex_state = 11, .external_lex_state = 2},
  [3430] = {.lex_state = 96, .external_lex_state = 5},
  [3431] = {.lex_state = 96, .external_lex_state = 5},
  [3432] = {.lex_state = 96, .external_lex_state = 6},
  [3433] = {.lex_state = 96, .external_lex_state = 5},
  [3434] = {.lex_state = 96, .external_lex_state = 6},
  [3435] = {.lex_state = 96, .external_lex_state = 5},
  [3436] = {.lex_state = 13, .external_lex_state = 2},
  [3437] = {.lex_state = 96, .external_lex_state = 6},
  [3438] = {.lex_state = 96, .external_lex_state = 5},
  [3439] = {.lex_state = 96, .external_lex_state = 6},
  [3440] = {.lex_state = 96, .external_lex_state = 5},
  [3441] = {.lex_state = 12, .external_lex_state = 2},
  [3442] = {.lex_state = 96, .external_lex_state = 6},
  [3443] = {.lex_state = 13, .external_lex_state = 2},
  [3444] = {.lex_state = 96, .external_lex_state = 5},
  [3445] = {.lex_state = 96, .external_lex_state = 6},
  [3446] = {.lex_state = 96, .external_lex_state = 5},
  [3447] = {.lex_state = 96, .external_lex_state = 6},
  [3448] = {.lex_state = 13, .external_lex_state = 2},
  [3449] = {.lex_state = 96, .external_lex_state = 6},
  [3450] = {.lex_state = 96, .external_lex_state = 5},
  [3451] = {.lex_state = 96, .external_lex_state = 6},
  [3452] = {.lex_state = 13, .external_lex_state = 2},
  [3453] = {.lex_state = 13, .external_lex_state = 2},
  [3454] = {.lex_state = 96, .external_lex_state = 5},
  [3455] = {.lex_state = 13, .external_lex_state = 2},
  [3456] = {.lex_state = 96, .external_lex_state = 5},
  [3457] = {.lex_state = 13, .external_lex_state = 2},
  [3458] = {.lex_state = 96, .external_lex_state = 6},
  [3459] = {.lex_state = 96, .external_lex_state = 5},
  [3460] = {.lex_state = 96, .external_lex_state = 5},
  [3461] = {.lex_state = 96, .external_lex_state = 5},
  [3462] = {.lex_state = 96, .external_lex_state = 6},
  [3463] = {.lex_state = 96, .external_lex_state = 6},
  [3464] = {.lex_state = 96, .external_lex_state = 6},
  [3465] = {.lex_state = 96, .external_lex_state = 5},
  [3466] = {.lex_state = 96, .external_lex_state = 6},
  [3467] = {.lex_state = 96, .external_lex_state = 6},
  [3468] = {.lex_state = 96, .external_lex_state = 5},
  [3469] = {.lex_state = 96, .external_lex_state = 6},
  [3470] = {.lex_state = 96, .external_lex_state = 5},
  [3471] = {.lex_state = 96, .external_lex_state = 2},
  [3472] = {.lex_state = 96, .external_lex_state = 2},
  [3473] = {.lex_state = 18, .external_lex_state = 2},
  [3474] = {.lex_state = 96, .external_lex_state = 2},
  [3475] = {.lex_state = 96, .external_lex_state = 2},
  [3476] = {.lex_state = 18, .external_lex_state = 2},
  [3477] = {.lex_state = 96, .external_lex_state = 5},
  [3478] = {.lex_state = 96, .external_lex_state = 5},
  [3479] = {.lex_state = 96, .external_lex_state = 2},
  [3480] = {.lex_state = 96, .external_lex_state = 2},
  [3481] = {.lex_state = 96, .external_lex_state = 5},
  [3482] = {.lex_state = 18, .external_lex_state = 2},
  [3483] = {.lex_state = 18, .external_lex_state = 7},
  [3484] = {.lex_state = 96, .external_lex_state = 5},
  [3485] = {.lex_state = 18, .external_lex_state = 2},
  [3486] = {.lex_state = 96, .external_lex_state = 2},
  [3487] = {.lex_state = 18, .external_lex_state = 2},
  [3488] = {.lex_state = 18, .external_lex_state = 7},
  [3489] = {.lex_state = 18, .external_lex_state = 7},
  [3490] = {.lex_state = 18, .external_lex_state = 7},
  [3491] = {.lex_state = 18, .external_lex_state = 7},
  [3492] = {.lex_state = 96, .external_lex_state = 2},
  [3493] = {.lex_state = 18, .external_lex_state = 2},
  [3494] = {.lex_state = 12, .external_lex_state = 2},
  [3495] = {.lex_state = 18, .external_lex_state = 7},
  [3496] = {.lex_state = 96, .external_lex_state = 2},
  [3497] = {.lex_state = 14, .external_lex_state = 2},
  [3498] = {.lex_state = 18, .external_lex_state = 2},
  [3499] = {.lex_state = 18, .external_lex_state = 2},
  [3500] = {.lex_state = 18, .external_lex_state = 7},
  [3501] = {.lex_state = 96, .external_lex_state = 6},
  [3502] = {.lex_state = 96, .external_lex_state = 5},
  [3503] = {.lex_state = 96, .external_lex_state = 5},
  [3504] = {.lex_state = 96, .external_lex_state = 2},
  [3505] = {.lex_state = 96, .external_lex_state = 2},
  [3506] = {.lex_state = 14, .external_lex_state = 2},
  [3507] = {.lex_state = 18, .external_lex_state = 7},
  [3508] = {.lex_state = 18, .external_lex_state = 2},
  [3509] = {.lex_state = 96, .external_lex_state = 2},
  [3510] = {.lex_state = 14, .external_lex_state = 2},
  [3511] = {.lex_state = 96, .external_lex_state = 2},
  [3512] = {.lex_state = 12, .external_lex_state = 2},
  [3513] = {.lex_state = 15, .external_lex_state = 2},
  [3514] = {.lex_state = 96, .external_lex_state = 2},
  [3515] = {.lex_state = 96, .external_lex_state = 5},
  [3516] = {.lex_state = 96, .external_lex_state = 5},
  [3517] = {.lex_state = 96, .external_lex_state = 5},
  [3518] = {.lex_state = 96, .external_lex_state = 2},
  [3519] = {.lex_state = 96, .external_lex_state = 5},
  [3520] = {.lex_state = 96, .external_lex_state = 5},
  [3521] = {.lex_state = 96, .external_lex_state = 2},
  [3522] = {.lex_state = 96, .external_lex_state = 5},
  [3523] = {.lex_state = 96, .external_lex_state = 5},
  [3524] = {.lex_state = 96, .external_lex_state = 5},
  [3525] = {.lex_state = 96, .external_lex_state = 5},
  [3526] = {.lex_state = 96, .external_lex_state = 5},
  [3527] = {.lex_state = 96, .external_lex_state = 5},
  [3528] = {.lex_state = 12, .external_lex_state = 2},
  [3529] = {.lex_state = 96, .external_lex_state = 5},
  [3530] = {.lex_state = 96, .external_lex_state = 5},
  [3531] = {.lex_state = 96, .external_lex_state = 5},
  [3532] = {.lex_state = 96, .external_lex_state = 5},
  [3533] = {.lex_state = 96, .external_lex_state = 2},
  [3534] = {.lex_state = 96, .external_lex_state = 5},
  [3535] = {.lex_state = 96, .external_lex_state = 5},
  [3536] = {.lex_state = 96, .external_lex_state = 5},
  [3537] = {.lex_state = 96, .external_lex_state = 5},
  [3538] = {.lex_state = 96, .external_lex_state = 5},
  [3539] = {.lex_state = 96, .external_lex_state = 5},
  [3540] = {.lex_state = 96, .external_lex_state = 5},
  [3541] = {.lex_state = 96, .external_lex_state = 5},
  [3542] = {.lex_state = 15, .external_lex_state = 2},
  [3543] = {.lex_state = 96, .external_lex_state = 5},
  [3544] = {.lex_state = 96, .external_lex_state = 2},
  [3545] = {.lex_state = 96, .external_lex_state = 2},
  [3546] = {.lex_state = 96, .external_lex_state = 2},
  [3547] = {.lex_state = 96, .external_lex_state = 5},
  [3548] = {.lex_state = 96, .external_lex_state = 2},
  [3549] = {.lex_state = 12, .external_lex_state = 2},
  [3550] = {.lex_state = 96, .external_lex_state = 5},
  [3551] = {.lex_state = 12, .external_lex_state = 2},
  [3552] = {.lex_state = 12, .external_lex_state = 2},
  [3553] = {.lex_state = 96, .external_lex_state = 2},
  [3554] = {.lex_state = 96, .external_lex_state = 5},
  [3555] = {.lex_state = 96, .external_lex_state = 5},
  [3556] = {.lex_state = 96, .external_lex_state = 5},
  [3557] = {.lex_state = 15, .external_lex_state = 2},
  [3558] = {.lex_state = 96, .external_lex_state = 5},
  [3559] = {.lex_state = 96, .external_lex_state = 5},
  [3560] = {.lex_state = 96, .external_lex_state = 5},
  [3561] = {.lex_state = 96, .external_lex_state = 2},
  [3562] = {.lex_state = 96, .external_lex_state = 2},
  [3563] = {.lex_state = 96, .external_lex_state = 2},
  [3564] = {.lex_state = 96, .external_lex_state = 5},
  [3565] = {.lex_state = 96, .external_lex_state = 5},
  [3566] = {.lex_state = 15, .external_lex_state = 2},
  [3567] = {.lex_state = 96, .external_lex_state = 5},
  [3568] = {.lex_state = 96, .external_lex_state = 5},
  [3569] = {.lex_state = 96, .external_lex_state = 2},
  [3570] = {.lex_state = 96, .external_lex_state = 5},
  [3571] = {.lex_state = 96, .external_lex_state = 2},
  [3572] = {.lex_state = 96, .external_lex_state = 5},
  [3573] = {.lex_state = 96, .external_lex_state = 2},
  [3574] = {.lex_state = 96, .external_lex_state = 2},
  [3575] = {.lex_state = 96, .external_lex_state = 2},
  [3576] = {.lex_state = 96, .external_lex_state = 2},
  [3577] = {.lex_state = 96, .external_lex_state = 5},
  [3578] = {.lex_state = 96, .external_lex_state = 5},
  [3579] = {.lex_state = 96, .external_lex_state = 5},
  [3580] = {.lex_state = 96, .external_lex_state = 5},
  [3581] = {.lex_state = 96, .external_lex_state = 2},
  [3582] = {.lex_state = 96, .external_lex_state = 5},
  [3583] = {.lex_state = 96, .external_lex_state = 5},
  [3584] = {.lex_state = 96, .external_lex_state = 5},
  [3585] = {.lex_state = 96, .external_lex_state = 5},
  [3586] = {.lex_state = 96, .external_lex_state = 5},
  [3587] = {.lex_state = 96, .external_lex_state = 2},
  [3588] = {.lex_state = 96, .external_lex_state = 5},
  [3589] = {.lex_state = 96, .external_lex_state = 5},
  [3590] = {.lex_state = 96, .external_lex_state = 5},
  [3591] = {.lex_state = 96, .external_lex_state = 5},
  [3592] = {.lex_state = 96, .external_lex_state = 2},
  [3593] = {.lex_state = 12, .external_lex_state = 2},
  [3594] = {.lex_state = 15, .external_lex_state = 2},
  [3595] = {.lex_state = 96, .external_lex_state = 5},
  [3596] = {.lex_state = 96, .external_lex_state = 5},
  [3597] = {.lex_state = 15, .external_lex_state = 2},
  [3598] = {.lex_state = 96, .external_lex_state = 2},
  [3599] = {.lex_state = 96, .external_lex_state = 5},
  [3600] = {.lex_state = 96, .external_lex_state = 5},
  [3601] = {.lex_state = 96, .external_lex_state = 5},
  [3602] = {.lex_state = 96, .external_lex_state = 5},
  [3603] = {.lex_state = 15, .external_lex_state = 2},
  [3604] = {.lex_state = 15, .external_lex_state = 2},
  [3605] = {.lex_state = 96, .external_lex_state = 2},
  [3606] = {.lex_state = 96, .external_lex_state = 2},
  [3607] = {.lex_state = 96, .external_lex_state = 2},
  [3608] = {.lex_state = 96, .external_lex_state = 2},
  [3609] = {.lex_state = 96, .external_lex_state = 5},
  [3610] = {.lex_state = 96, .external_lex_state = 5},
  [3611] = {.lex_state = 96, .external_lex_state = 2},
  [3612] = {.lex_state = 96, .external_lex_state = 5},
  [3613] = {.lex_state = 96, .external_lex_state = 5},
  [3614] = {.lex_state = 15, .external_lex_state = 2},
  [3615] = {.lex_state = 15, .external_lex_state = 2},
  [3616] = {.lex_state = 15, .external_lex_state = 2},
  [3617] = {.lex_state = 12, .external_lex_state = 2},
  [3618] = {.lex_state = 96, .external_lex_state = 5},
  [3619] = {.lex_state = 96, .external_lex_state = 2},
  [3620] = {.lex_state = 15, .external_lex_state = 2},
  [3621] = {.lex_state = 96, .external_lex_state = 5},
  [3622] = {.lex_state = 15, .external_lex_state = 2},
  [3623] = {.lex_state = 15, .external_lex_state = 2},
  [3624] = {.lex_state = 96, .external_lex_state = 2},
  [3625] = {.lex_state = 96, .external_lex_state = 5},
  [3626] = {.lex_state = 96, .external_lex_state = 2},
  [3627] = {.lex_state = 12, .external_lex_state = 2},
  [3628] = {.lex_state = 96, .external_lex_state = 2},
  [3629] = {.lex_state = 12, .external_lex_state = 2},
  [3630] = {.lex_state = 12, .external_lex_state = 2},
  [3631] = {.lex_state = 96, .external_lex_state = 5},
  [3632] = {.lex_state = 96, .external_lex_state = 5},
  [3633] = {.lex_state = 96, .external_lex_state = 2},
  [3634] = {.lex_state = 15, .external_lex_state = 2},
  [3635] = {.lex_state = 96, .external_lex_state = 5},
  [3636] = {.lex_state = 96, .external_lex_state = 5},
  [3637] = {.lex_state = 96, .external_lex_state = 5},
  [3638] = {.lex_state = 96, .external_lex_state = 5},
  [3639] = {.lex_state = 96, .external_lex_state = 2},
  [3640] = {.lex_state = 96, .external_lex_state = 5},
  [3641] = {.lex_state = 96, .external_lex_state = 2},
  [3642] = {.lex_state = 96, .external_lex_state = 5},
  [3643] = {.lex_state = 96, .external_lex_state = 2},
  [3644] = {.lex_state = 96, .external_lex_state = 5},
  [3645] = {.lex_state = 96, .external_lex_state = 2},
  [3646] = {.lex_state = 96, .external_lex_state = 2},
  [3647] = {.lex_state = 96, .external_lex_state = 5},
  [3648] = {.lex_state = 96, .external_lex_state = 5},
  [3649] = {.lex_state = 96, .external_lex_state = 2},
  [3650] = {.lex_state = 96, .external_lex_state = 2},
  [3651] = {.lex_state = 96, .external_lex_state = 2},
  [3652] = {.lex_state = 96, .external_lex_state = 2},
  [3653] = {.lex_state = 96, .external_lex_state = 2},
  [3654] = {.lex_state = 96, .external_lex_state = 5},
  [3655] = {.lex_state = 96, .external_lex_state = 5},
  [3656] = {.lex_state = 96, .external_lex_state = 2},
  [3657] = {.lex_state = 96, .external_lex_state = 2},
  [3658] = {.lex_state = 12, .external_lex_state = 2},
  [3659] = {.lex_state = 96, .external_lex_state = 2},
  [3660] = {.lex_state = 96, .external_lex_state = 2},
  [3661] = {.lex_state = 96, .external_lex_state = 5},
  [3662] = {.lex_state = 96, .external_lex_state = 5},
  [3663] = {.lex_state = 12, .external_lex_state = 2},
  [3664] = {.lex_state = 96, .external_lex_state = 5},
  [3665] = {.lex_state = 96, .external_lex_state = 5},
  [3666] = {.lex_state = 96, .external_lex_state = 5},
  [3667] = {.lex_state = 96, .external_lex_state = 5},
  [3668] = {.lex_state = 96, .external_lex_state = 5},
  [3669] = {.lex_state = 96, .external_lex_state = 5},
  [3670] = {.lex_state = 96, .external_lex_state = 5},
  [3671] = {.lex_state = 96, .external_lex_state = 5},
  [3672] = {.lex_state = 96, .external_lex_state = 2},
  [3673] = {.lex_state = 96, .external_lex_state = 5},
  [3674] = {.lex_state = 96, .external_lex_state = 5},
  [3675] = {.lex_state = 96, .external_lex_state = 5},
  [3676] = {.lex_state = 96, .external_lex_state = 5},
  [3677] = {.lex_state = 96, .external_lex_state = 5},
  [3678] = {.lex_state = 96, .external_lex_state = 5},
  [3679] = {.lex_state = 12, .external_lex_state = 2},
  [3680] = {.lex_state = 96, .external_lex_state = 5},
  [3681] = {.lex_state = 96, .external_lex_state = 5},
  [3682] = {.lex_state = 96, .external_lex_state = 5},
  [3683] = {.lex_state = 96, .external_lex_state = 5},
  [3684] = {.lex_state = 96, .external_lex_state = 5},
  [3685] = {.lex_state = 12, .external_lex_state = 2},
  [3686] = {.lex_state = 96, .external_lex_state = 5},
  [3687] = {.lex_state = 96, .external_lex_state = 5},
  [3688] = {.lex_state = 96, .external_lex_state = 5},
  [3689] = {.lex_state = 96, .external_lex_state = 5},
  [3690] = {.lex_state = 96, .external_lex_state = 5},
  [3691] = {.lex_state = 96, .external_lex_state = 5},
  [3692] = {.lex_state = 96, .external_lex_state = 5},
  [3693] = {.lex_state = 96, .external_lex_state = 5},
  [3694] = {.lex_state = 96, .external_lex_state = 5},
  [3695] = {.lex_state = 12, .external_lex_state = 2},
  [3696] = {.lex_state = 96, .external_lex_state = 5},
  [3697] = {.lex_state = 96, .external_lex_state = 5},
  [3698] = {.lex_state = 96, .external_lex_state = 5},
  [3699] = {.lex_state = 96, .external_lex_state = 5},
  [3700] = {.lex_state = 96, .external_lex_state = 5},
  [3701] = {.lex_state = 96, .external_lex_state = 5},
  [3702] = {.lex_state = 15, .external_lex_state = 2},
  [3703] = {.lex_state = 96, .external_lex_state = 5},
  [3704] = {.lex_state = 96, .external_lex_state = 5},
  [3705] = {.lex_state = 96, .external_lex_state = 5},
  [3706] = {.lex_state = 96, .external_lex_state = 5},
  [3707] = {.lex_state = 96, .external_lex_state = 5},
  [3708] = {.lex_state = 96, .external_lex_state = 5},
  [3709] = {.lex_state = 96, .external_lex_state = 5},
  [3710] = {.lex_state = 96, .external_lex_state = 5},
  [3711] = {.lex_state = 96, .external_lex_state = 5},
  [3712] = {.lex_state = 96, .external_lex_state = 5},
  [3713] = {.lex_state = 96, .external_lex_state = 5},
  [3714] = {.lex_state = 96, .external_lex_state = 5},
  [3715] = {.lex_state = 96, .external_lex_state = 5},
  [3716] = {.lex_state = 96, .external_lex_state = 5},
  [3717] = {.lex_state = 96, .external_lex_state = 5},
  [3718] = {.lex_state = 96, .external_lex_state = 5},
  [3719] = {.lex_state = 96, .external_lex_state = 2},
  [3720] = {.lex_state = 96, .external_lex_state = 5},
  [3721] = {.lex_state = 96, .external_lex_state = 2},
  [3722] = {.lex_state = 96, .external_lex_state = 5},
  [3723] = {.lex_state = 12, .external_lex_state = 2},
  [3724] = {.lex_state = 12, .external_lex_state = 2},
  [3725] = {.lex_state = 12, .external_lex_state = 2},
  [3726] = {.lex_state = 96, .external_lex_state = 5},
  [3727] = {.lex_state = 96, .external_lex_state = 2},
  [3728] = {.lex_state = 96, .external_lex_state = 2},
  [3729] = {.lex_state = 96, .external_lex_state = 2},
  [3730] = {.lex_state = 96, .external_lex_state = 2},
  [3731] = {.lex_state = 96, .external_lex_state = 5},
  [3732] = {.lex_state = 96, .external_lex_state = 5},
  [3733] = {.lex_state = 96, .external_lex_state = 5},
  [3734] = {.lex_state = 96, .external_lex_state = 5},
  [3735] = {.lex_state = 96, .external_lex_state = 5},
  [3736] = {.lex_state = 96, .external_lex_state = 5},
  [3737] = {.lex_state = 96, .external_lex_state = 5},
  [3738] = {.lex_state = 12, .external_lex_state = 2},
  [3739] = {.lex_state = 96, .external_lex_state = 2},
  [3740] = {.lex_state = 12, .external_lex_state = 2},
  [3741] = {.lex_state = 96, .external_lex_state = 5},
  [3742] = {.lex_state = 96, .external_lex_state = 5},
  [3743] = {.lex_state = 96, .external_lex_state = 5},
  [3744] = {.lex_state = 96, .external_lex_state = 5},
  [3745] = {.lex_state = 96, .external_lex_state = 5},
  [3746] = {.lex_state = 96, .external_lex_state = 5},
  [3747] = {.lex_state = 96, .external_lex_state = 5},
  [3748] = {.lex_state = 96, .external_lex_state = 5},
  [3749] = {.lex_state = 96, .external_lex_state = 5},
  [3750] = {.lex_state = 96, .external_lex_state = 5},
  [3751] = {.lex_state = 96, .external_lex_state = 5},
  [3752] = {.lex_state = 96, .external_lex_state = 5},
  [3753] = {.lex_state = 96, .external_lex_state = 5},
  [3754] = {.lex_state = 15, .external_lex_state = 2},
  [3755] = {.lex_state = 12, .external_lex_state = 2},
  [3756] = {.lex_state = 96, .external_lex_state = 5},
  [3757] = {.lex_state = 96, .external_lex_state = 2},
  [3758] = {.lex_state = 12, .external_lex_state = 2},
  [3759] = {.lex_state = 96, .external_lex_state = 5},
  [3760] = {.lex_state = 12, .external_lex_state = 2},
  [3761] = {.lex_state = 12, .external_lex_state = 2},
  [3762] = {.lex_state = 12, .external_lex_state = 2},
  [3763] = {.lex_state = 96, .external_lex_state = 5},
  [3764] = {.lex_state = 96, .external_lex_state = 5},
  [3765] = {.lex_state = 12, .external_lex_state = 2},
  [3766] = {.lex_state = 96, .external_lex_state = 5},
  [3767] = {.lex_state = 96, .external_lex_state = 5},
  [3768] = {.lex_state = 12, .external_lex_state = 2},
  [3769] = {.lex_state = 96, .external_lex_state = 2},
  [3770] = {.lex_state = 96, .external_lex_state = 2},
  [3771] = {.lex_state = 12, .external_lex_state = 2},
  [3772] = {.lex_state = 96, .external_lex_state = 6},
  [3773] = {.lex_state = 96, .external_lex_state = 2},
  [3774] = {.lex_state = 96, .external_lex_state = 2},
  [3775] = {.lex_state = 12, .external_lex_state = 2},
  [3776] = {.lex_state = 96, .external_lex_state = 6},
  [3777] = {.lex_state = 12, .external_lex_state = 2},
  [3778] = {.lex_state = 96, .external_lex_state = 5},
  [3779] = {.lex_state = 96, .external_lex_state = 2},
  [3780] = {.lex_state = 96, .external_lex_state = 5},
  [3781] = {.lex_state = 96, .external_lex_state = 2},
  [3782] = {.lex_state = 96, .external_lex_state = 2},
  [3783] = {.lex_state = 96, .external_lex_state = 5},
  [3784] = {.lex_state = 96, .external_lex_state = 5},
  [3785] = {.lex_state = 96, .external_lex_state = 2},
  [3786] = {.lex_state = 12, .external_lex_state = 2},
  [3787] = {.lex_state = 96, .external_lex_state = 5},
  [3788] = {.lex_state = 96, .external_lex_state = 2},
  [3789] = {.lex_state = 18, .external_lex_state = 7},
  [3790] = {.lex_state = 96, .external_lex_state = 6},
  [3791] = {.lex_state = 96, .external_lex_state = 2},
  [3792] = {.lex_state = 12, .external_lex_state = 2},
  [3793] = {.lex_state = 96, .external_lex_state = 2},
  [3794] = {.lex_state = 96, .external_lex_state = 2},
  [3795] = {.lex_state = 96, .external_lex_state = 6},
  [3796] = {.lex_state = 12, .external_lex_state = 2},
  [3797] = {.lex_state = 12, .external_lex_state = 2},
  [3798] = {.lex_state = 12, .external_lex_state = 2},
  [3799] = {.lex_state = 12, .external_lex_state = 2},
  [3800] = {.lex_state = 12, .external_lex_state = 2},
  [3801] = {.lex_state = 96, .external_lex_state = 2},
  [3802] = {.lex_state = 96, .external_lex_state = 6},
  [3803] = {.lex_state = 96, .external_lex_state = 6},
  [3804] = {.lex_state = 96, .external_lex_state = 2},
  [3805] = {.lex_state = 12, .external_lex_state = 2},
  [3806] = {.lex_state = 96, .external_lex_state = 5},
  [3807] = {.lex_state = 96, .external_lex_state = 5},
  [3808] = {.lex_state = 96, .external_lex_state = 2},
  [3809] = {.lex_state = 96, .external_lex_state = 5},
  [3810] = {.lex_state = 96, .external_lex_state = 2},
  [3811] = {.lex_state = 96, .external_lex_state = 5},
  [3812] = {.lex_state = 96, .external_lex_state = 2},
  [3813] = {.lex_state = 96, .external_lex_state = 5},
  [3814] = {.lex_state = 96, .external_lex_state = 2},
  [3815] = {.lex_state = 96, .external_lex_state = 6},
  [3816] = {.lex_state = 96, .external_lex_state = 6},
  [3817] = {.lex_state = 12, .external_lex_state = 2},
  [3818] = {.lex_state = 96, .external_lex_state = 6},
  [3819] = {.lex_state = 96, .external_lex_state = 2},
  [3820] = {.lex_state = 96, .external_lex_state = 5},
  [3821] = {.lex_state = 12, .external_lex_state = 2},
  [3822] = {.lex_state = 96, .external_lex_state = 5},
  [3823] = {.lex_state = 96, .external_lex_state = 2},
  [3824] = {.lex_state = 12, .external_lex_state = 2},
  [3825] = {.lex_state = 12, .external_lex_state = 2},
  [3826] = {.lex_state = 96, .external_lex_state = 5},
  [3827] = {.lex_state = 96, .external_lex_state = 6},
  [3828] = {.lex_state = 96, .external_lex_state = 6},
  [3829] = {.lex_state = 96, .external_lex_state = 5},
  [3830] = {.lex_state = 96, .external_lex_state = 6},
  [3831] = {.lex_state = 96, .external_lex_state = 5},
  [3832] = {.lex_state = 96, .external_lex_state = 2},
  [3833] = {.lex_state = 96, .external_lex_state = 5},
  [3834] = {.lex_state = 96, .external_lex_state = 6},
  [3835] = {.lex_state = 12, .external_lex_state = 2},
  [3836] = {.lex_state = 96, .external_lex_state = 5},
  [3837] = {.lex_state = 96, .external_lex_state = 5},
  [3838] = {.lex_state = 12, .external_lex_state = 2},
  [3839] = {.lex_state = 12, .external_lex_state = 2},
  [3840] = {.lex_state = 96, .external_lex_state = 2},
  [3841] = {.lex_state = 96, .external_lex_state = 2},
  [3842] = {.lex_state = 96, .external_lex_state = 2},
  [3843] = {.lex_state = 96, .external_lex_state = 2},
  [3844] = {.lex_state = 12, .external_lex_state = 2},
  [3845] = {.lex_state = 96, .external_lex_state = 2},
  [3846] = {.lex_state = 96, .external_lex_state = 2},
  [3847] = {.lex_state = 96, .external_lex_state = 2},
  [3848] = {.lex_state = 96, .external_lex_state = 2},
  [3849] = {.lex_state = 96, .external_lex_state = 2},
  [3850] = {.lex_state = 96, .external_lex_state = 6},
  [3851] = {.lex_state = 12, .external_lex_state = 2},
  [3852] = {.lex_state = 96, .external_lex_state = 5},
  [3853] = {.lex_state = 96, .external_lex_state = 5},
  [3854] = {.lex_state = 96, .external_lex_state = 5},
  [3855] = {.lex_state = 96, .external_lex_state = 5},
  [3856] = {.lex_state = 12, .external_lex_state = 2},
  [3857] = {.lex_state = 12, .external_lex_state = 2},
  [3858] = {.lex_state = 12, .external_lex_state = 2},
  [3859] = {.lex_state = 12, .external_lex_state = 2},
  [3860] = {.lex_state = 96, .external_lex_state = 6},
  [3861] = {.lex_state = 12, .external_lex_state = 2},
  [3862] = {.lex_state = 96, .external_lex_state = 6},
  [3863] = {.lex_state = 96, .external_lex_state = 6},
  [3864] = {.lex_state = 12, .external_lex_state = 2},
  [3865] = {.lex_state = 12, .external_lex_state = 2},
  [3866] = {.lex_state = 12, .external_lex_state = 2},
  [3867] = {.lex_state = 96, .external_lex_state = 6},
  [3868] = {.lex_state = 12, .external_lex_state = 2},
  [3869] = {.lex_state = 96, .external_lex_state = 6},
  [3870] = {.lex_state = 18, .external_lex_state = 7},
  [3871] = {.lex_state = 96, .external_lex_state = 2},
  [3872] = {.lex_state = 12, .external_lex_state = 2},
  [3873] = {.lex_state = 12, .external_lex_state = 2},
  [3874] = {.lex_state = 96, .external_lex_state = 6},
  [3875] = {.lex_state = 96, .external_lex_state = 6},
  [3876] = {.lex_state = 18, .external_lex_state = 7},
  [3877] = {.lex_state = 96, .external_lex_state = 2},
  [3878] = {.lex_state = 96, .external_lex_state = 2},
  [3879] = {.lex_state = 12, .external_lex_state = 2},
  [3880] = {.lex_state = 96, .external_lex_state = 6},
  [3881] = {.lex_state = 96, .external_lex_state = 2},
  [3882] = {.lex_state = 96, .external_lex_state = 6},
  [3883] = {.lex_state = 96, .external_lex_state = 2},
  [3884] = {.lex_state = 96, .external_lex_state = 6},
  [3885] = {.lex_state = 12, .external_lex_state = 2},
  [3886] = {.lex_state = 96, .external_lex_state = 6},
  [3887] = {.lex_state = 12, .external_lex_state = 2},
  [3888] = {.lex_state = 96, .external_lex_state = 2},
  [3889] = {.lex_state = 12, .external_lex_state = 2},
  [3890] = {.lex_state = 96, .external_lex_state = 2},
  [3891] = {.lex_state = 12, .external_lex_state = 2},
  [3892] = {.lex_state = 18, .external_lex_state = 7},
  [3893] = {.lex_state = 96, .external_lex_state = 2},
  [3894] = {.lex_state = 12, .external_lex_state = 2},
  [3895] = {.lex_state = 96, .external_lex_state = 2},
  [3896] = {.lex_state = 12, .external_lex_state = 2},
  [3897] = {.lex_state = 12, .external_lex_state = 2},
  [3898] = {.lex_state = 12, .external_lex_state = 2},
  [3899] = {.lex_state = 12, .external_lex_state = 2},
  [3900] = {.lex_state = 96, .external_lex_state = 2},
  [3901] = {.lex_state = 18, .external_lex_state = 7},
  [3902] = {.lex_state = 96, .external_lex_state = 5},
  [3903] = {.lex_state = 96, .external_lex_state = 2},
  [3904] = {.lex_state = 12, .external_lex_state = 2},
  [3905] = {.lex_state = 96, .external_lex_state = 2},
  [3906] = {.lex_state = 96, .external_lex_state = 6},
  [3907] = {.lex_state = 96, .external_lex_state = 5},
  [3908] = {.lex_state = 96, .external_lex_state = 5},
  [3909] = {.lex_state = 96, .external_lex_state = 5},
  [3910] = {.lex_state = 96, .external_lex_state = 2},
  [3911] = {.lex_state = 96, .external_lex_state = 5},
  [3912] = {.lex_state = 96, .external_lex_state = 5},
  [3913] = {.lex_state = 96, .external_lex_state = 5},
  [3914] = {.lex_state = 96, .external_lex_state = 5},
  [3915] = {.lex_state = 96, .external_lex_state = 5},
  [3916] = {.lex_state = 96, .external_lex_state = 5},
  [3917] = {.lex_state = 96, .external_lex_state = 5},
  [3918] = {.lex_state = 96, .external_lex_state = 5},
  [3919] = {.lex_state = 96, .external_lex_state = 5},
  [3920] = {.lex_state = 96, .external_lex_state = 2},
  [3921] = {.lex_state = 96, .external_lex_state = 2},
  [3922] = {.lex_state = 18, .external_lex_state = 8},
  [3923] = {.lex_state = 96, .external_lex_state = 5},
  [3924] = {.lex_state = 96, .external_lex_state = 5},
  [3925] = {.lex_state = 96, .external_lex_state = 5},
  [3926] = {.lex_state = 96, .external_lex_state = 2},
  [3927] = {.lex_state = 96, .external_lex_state = 2},
  [3928] = {.lex_state = 96, .external_lex_state = 2},
  [3929] = {.lex_state = 96, .external_lex_state = 5},
  [3930] = {.lex_state = 96, .external_lex_state = 2},
  [3931] = {.lex_state = 96, .external_lex_state = 5},
  [3932] = {.lex_state = 96, .external_lex_state = 6},
  [3933] = {.lex_state = 96, .external_lex_state = 5},
  [3934] = {.lex_state = 96, .external_lex_state = 5},
  [3935] = {.lex_state = 96, .external_lex_state = 5},
  [3936] = {.lex_state = 18, .external_lex_state = 8},
  [3937] = {.lex_state = 96, .external_lex_state = 2},
  [3938] = {.lex_state = 18, .external_lex_state = 8},
  [3939] = {.lex_state = 96, .external_lex_state = 5},
  [3940] = {.lex_state = 4, .external_lex_state = 2},
  [3941] = {.lex_state = 96, .external_lex_state = 5},
  [3942] = {.lex_state = 96, .external_lex_state = 5},
  [3943] = {.lex_state = 96, .external_lex_state = 5},
  [3944] = {.lex_state = 96, .external_lex_state = 5},
  [3945] = {.lex_state = 96, .external_lex_state = 5},
  [3946] = {.lex_state = 96, .external_lex_state = 5},
  [3947] = {.lex_state = 96, .external_lex_state = 5},
  [3948] = {.lex_state = 96, .external_lex_state = 6},
  [3949] = {.lex_state = 96, .external_lex_state = 5},
  [3950] = {.lex_state = 96, .external_lex_state = 5},
  [3951] = {.lex_state = 12, .external_lex_state = 2},
  [3952] = {.lex_state = 96, .external_lex_state = 6},
  [3953] = {.lex_state = 96, .external_lex_state = 5},
  [3954] = {.lex_state = 96, .external_lex_state = 5},
  [3955] = {.lex_state = 96, .external_lex_state = 5},
  [3956] = {.lex_state = 96, .external_lex_state = 2},
  [3957] = {.lex_state = 96, .external_lex_state = 2},
  [3958] = {.lex_state = 96, .external_lex_state = 2},
  [3959] = {.lex_state = 96, .external_lex_state = 5},
  [3960] = {.lex_state = 96, .external_lex_state = 2},
  [3961] = {.lex_state = 96, .external_lex_state = 6},
  [3962] = {.lex_state = 96, .external_lex_state = 5},
  [3963] = {.lex_state = 96, .external_lex_state = 6},
  [3964] = {.lex_state = 96, .external_lex_state = 5},
  [3965] = {.lex_state = 96, .external_lex_state = 5},
  [3966] = {.lex_state = 96, .external_lex_state = 5},
  [3967] = {.lex_state = 12, .external_lex_state = 2},
  [3968] = {.lex_state = 12, .external_lex_state = 2},
  [3969] = {.lex_state = 96, .external_lex_state = 5},
  [3970] = {.lex_state = 12, .external_lex_state = 2},
  [3971] = {.lex_state = 96, .external_lex_state = 2},
  [3972] = {.lex_state = 96, .external_lex_state = 5},
  [3973] = {.lex_state = 96, .external_lex_state = 5},
  [3974] = {.lex_state = 96, .external_lex_state = 6},
  [3975] = {.lex_state = 96, .external_lex_state = 5},
  [3976] = {.lex_state = 96, .external_lex_state = 5},
  [3977] = {.lex_state = 96, .external_lex_state = 5},
  [3978] = {.lex_state = 96, .external_lex_state = 5},
  [3979] = {.lex_state = 96, .external_lex_state = 5},
  [3980] = {.lex_state = 96, .external_lex_state = 5},
  [3981] = {.lex_state = 12, .external_lex_state = 2},
  [3982] = {.lex_state = 96, .external_lex_state = 5},
  [3983] = {.lex_state = 96, .external_lex_state = 5},
  [3984] = {.lex_state = 96, .external_lex_state = 5},
  [3985] = {.lex_state = 12, .external_lex_state = 2},
  [3986] = {.lex_state = 96, .external_lex_state = 5},
  [3987] = {.lex_state = 96, .external_lex_state = 5},
  [3988] = {.lex_state = 12, .external_lex_state = 2},
  [3989] = {.lex_state = 12, .external_lex_state = 2},
  [3990] = {.lex_state = 12, .external_lex_state = 2},
  [3991] = {.lex_state = 96, .external_lex_state = 5},
  [3992] = {.lex_state = 96, .external_lex_state = 5},
  [3993] = {.lex_state = 96, .external_lex_state = 5},
  [3994] = {.lex_state = 96, .external_lex_state = 5},
  [3995] = {.lex_state = 96, .external_lex_state = 5},
  [3996] = {.lex_state = 96, .external_lex_state = 2},
  [3997] = {.lex_state = 96, .external_lex_state = 2},
  [3998] = {.lex_state = 96, .external_lex_state = 2},
  [3999] = {.lex_state = 96, .external_lex_state = 5},
  [4000] = {.lex_state = 96, .external_lex_state = 5},
  [4001] = {.lex_state = 96, .external_lex_state = 5},
  [4002] = {.lex_state = 96, .external_lex_state = 5},
  [4003] = {.lex_state = 12, .external_lex_state = 2},
  [4004] = {.lex_state = 96, .external_lex_state = 5},
  [4005] = {.lex_state = 96, .external_lex_state = 5},
  [4006] = {.lex_state = 96, .external_lex_state = 5},
  [4007] = {.lex_state = 96, .external_lex_state = 2},
  [4008] = {.lex_state = 96, .external_lex_state = 5},
  [4009] = {.lex_state = 96, .external_lex_state = 5},
  [4010] = {.lex_state = 96, .external_lex_state = 5},
  [4011] = {.lex_state = 12, .external_lex_state = 2},
  [4012] = {.lex_state = 96, .external_lex_state = 6},
  [4013] = {.lex_state = 96, .external_lex_state = 5},
  [4014] = {.lex_state = 18, .external_lex_state = 8},
  [4015] = {.lex_state = 12, .external_lex_state = 2},
  [4016] = {.lex_state = 96, .external_lex_state = 5},
  [4017] = {.lex_state = 12, .external_lex_state = 2},
  [4018] = {.lex_state = 96, .external_lex_state = 6},
  [4019] = {.lex_state = 96, .external_lex_state = 5},
  [4020] = {.lex_state = 96, .external_lex_state = 5},
  [4021] = {.lex_state = 18, .external_lex_state = 8},
  [4022] = {.lex_state = 96, .external_lex_state = 5},
  [4023] = {.lex_state = 96, .external_lex_state = 5},
  [4024] = {.lex_state = 96, .external_lex_state = 6},
  [4025] = {.lex_state = 96, .external_lex_state = 5},
  [4026] = {.lex_state = 96, .external_lex_state = 5},
  [4027] = {.lex_state = 96, .external_lex_state = 5},
  [4028] = {.lex_state = 96, .external_lex_state = 2},
  [4029] = {.lex_state = 96, .external_lex_state = 5},
  [4030] = {.lex_state = 96, .external_lex_state = 5},
  [4031] = {.lex_state = 96, .external_lex_state = 5},
  [4032] = {.lex_state = 12, .external_lex_state = 2},
  [4033] = {.lex_state = 96, .external_lex_state = 5},
  [4034] = {.lex_state = 96, .external_lex_state = 5},
  [4035] = {.lex_state = 96, .external_lex_state = 5},
  [4036] = {.lex_state = 96, .external_lex_state = 5},
  [4037] = {.lex_state = 96, .external_lex_state = 6},
  [4038] = {.lex_state = 96, .external_lex_state = 5},
  [4039] = {.lex_state = 12, .external_lex_state = 2},
  [4040] = {.lex_state = 96, .external_lex_state = 5},
  [4041] = {.lex_state = 96, .external_lex_state = 5},
  [4042] = {.lex_state = 96, .external_lex_state = 5},
  [4043] = {.lex_state = 96, .external_lex_state = 5},
  [4044] = {.lex_state = 96, .external_lex_state = 5},
  [4045] = {.lex_state = 96, .external_lex_state = 5},
  [4046] = {.lex_state = 96, .external_lex_state = 5},
  [4047] = {.lex_state = 96, .external_lex_state = 5},
  [4048] = {.lex_state = 96, .external_lex_state = 5},
  [4049] = {.lex_state = 96, .external_lex_state = 5},
  [4050] = {.lex_state = 18, .external_lex_state = 8},
  [4051] = {.lex_state = 96, .external_lex_state = 5},
  [4052] = {.lex_state = 96, .external_lex_state = 5},
  [4053] = {.lex_state = 96, .external_lex_state = 5},
  [4054] = {.lex_state = 18, .external_lex_state = 8},
  [4055] = {.lex_state = 96, .external_lex_state = 5},
  [4056] = {.lex_state = 96, .external_lex_state = 5},
  [4057] = {.lex_state = 96, .external_lex_state = 2},
  [4058] = {.lex_state = 96, .external_lex_state = 6},
  [4059] = {.lex_state = 96, .external_lex_state = 5},
  [4060] = {.lex_state = 96, .external_lex_state = 6},
  [4061] = {.lex_state = 96, .external_lex_state = 6},
  [4062] = {.lex_state = 96, .external_lex_state = 5},
  [4063] = {.lex_state = 96, .external_lex_state = 5},
  [4064] = {.lex_state = 96, .external_lex_state = 5},
  [4065] = {.lex_state = 96, .external_lex_state = 5},
  [4066] = {.lex_state = 96, .external_lex_state = 5},
  [4067] = {.lex_state = 96, .external_lex_state = 5},
  [4068] = {.lex_state = 96, .external_lex_state = 5},
  [4069] = {.lex_state = 96, .external_lex_state = 5},
  [4070] = {.lex_state = 96, .external_lex_state = 5},
  [4071] = {.lex_state = 96, .external_lex_state = 5},
  [4072] = {.lex_state = 96, .external_lex_state = 5},
  [4073] = {.lex_state = 96, .external_lex_state = 5},
  [4074] = {.lex_state = 12, .external_lex_state = 2},
  [4075] = {.lex_state = 96, .external_lex_state = 5},
  [4076] = {.lex_state = 96, .external_lex_state = 2},
  [4077] = {.lex_state = 96, .external_lex_state = 5},
  [4078] = {.lex_state = 96, .external_lex_state = 5},
  [4079] = {.lex_state = 96, .external_lex_state = 5},
  [4080] = {.lex_state = 18, .external_lex_state = 8},
  [4081] = {.lex_state = 96, .external_lex_state = 5},
  [4082] = {.lex_state = 96, .external_lex_state = 5},
  [4083] = {.lex_state = 18, .external_lex_state = 8},
  [4084] = {.lex_state = 96, .external_lex_state = 2},
  [4085] = {.lex_state = 96, .external_lex_state = 2},
  [4086] = {.lex_state = 96, .external_lex_state = 5},
  [4087] = {.lex_state = 96, .external_lex_state = 5},
  [4088] = {.lex_state = 12, .external_lex_state = 2},
  [4089] = {.lex_state = 96, .external_lex_state = 2},
  [4090] = {.lex_state = 96, .external_lex_state = 5},
  [4091] = {.lex_state = 96, .external_lex_state = 5},
  [4092] = {.lex_state = 96, .external_lex_state = 5},
  [4093] = {.lex_state = 96, .external_lex_state = 5},
  [4094] = {.lex_state = 96, .external_lex_state = 5},
  [4095] = {.lex_state = 12, .external_lex_state = 2},
  [4096] = {.lex_state = 96, .external_lex_state = 5},
  [4097] = {.lex_state = 96, .external_lex_state = 2},
  [4098] = {.lex_state = 96, .external_lex_state = 5},
  [4099] = {.lex_state = 12, .external_lex_state = 2},
  [4100] = {.lex_state = 96, .external_lex_state = 5},
  [4101] = {.lex_state = 96, .external_lex_state = 2},
  [4102] = {.lex_state = 96, .external_lex_state = 5},
  [4103] = {.lex_state = 96, .external_lex_state = 5},
  [4104] = {.lex_state = 96, .external_lex_state = 5},
  [4105] = {.lex_state = 96, .external_lex_state = 5},
  [4106] = {.lex_state = 96, .external_lex_state = 5},
  [4107] = {.lex_state = 96, .external_lex_state = 2},
  [4108] = {.lex_state = 96, .external_lex_state = 5},
  [4109] = {.lex_state = 96, .external_lex_state = 5},
  [4110] = {.lex_state = 12, .external_lex_state = 2},
  [4111] = {.lex_state = 96, .external_lex_state = 5},
  [4112] = {.lex_state = 96, .external_lex_state = 2},
  [4113] = {.lex_state = 96, .external_lex_state = 5},
  [4114] = {.lex_state = 96, .external_lex_state = 2},
  [4115] = {.lex_state = 18, .external_lex_state = 8},
  [4116] = {.lex_state = 96, .external_lex_state = 2},
  [4117] = {.lex_state = 96, .external_lex_state = 5},
  [4118] = {.lex_state = 96, .external_lex_state = 5},
  [4119] = {.lex_state = 12, .external_lex_state = 2},
  [4120] = {.lex_state = 96, .external_lex_state = 5},
  [4121] = {.lex_state = 96, .external_lex_state = 5},
  [4122] = {.lex_state = 96, .external_lex_state = 5},
  [4123] = {.lex_state = 96, .external_lex_state = 5},
  [4124] = {.lex_state = 96, .external_lex_state = 5},
  [4125] = {.lex_state = 12, .external_lex_state = 2},
  [4126] = {.lex_state = 96, .external_lex_state = 5},
  [4127] = {.lex_state = 96, .external_lex_state = 5},
  [4128] = {.lex_state = 96, .external_lex_state = 5},
  [4129] = {.lex_state = 96, .external_lex_state = 2},
  [4130] = {.lex_state = 96, .external_lex_state = 2},
  [4131] = {.lex_state = 96, .external_lex_state = 5},
  [4132] = {.lex_state = 12, .external_lex_state = 2},
  [4133] = {.lex_state = 12, .external_lex_state = 2},
  [4134] = {.lex_state = 96, .external_lex_state = 5},
  [4135] = {.lex_state = 96, .external_lex_state = 2},
  [4136] = {.lex_state = 12, .external_lex_state = 2},
  [4137] = {.lex_state = 96, .external_lex_state = 5},
  [4138] = {.lex_state = 12, .external_lex_state = 2},
  [4139] = {.lex_state = 12, .external_lex_state = 2},
  [4140] = {.lex_state = 15, .external_lex_state = 2},
  [4141] = {.lex_state = 96, .external_lex_state = 5},
  [4142] = {.lex_state = 96, .external_lex_state = 2},
  [4143] = {.lex_state = 12, .external_lex_state = 2},
  [4144] = {.lex_state = 12, .external_lex_state = 2},
  [4145] = {.lex_state = 96, .external_lex_state = 5},
  [4146] = {.lex_state = 96, .external_lex_state = 5},
  [4147] = {.lex_state = 96, .external_lex_state = 5},
  [4148] = {.lex_state = 96, .external_lex_state = 5},
  [4149] = {.lex_state = 96, .external_lex_state = 5},
  [4150] = {.lex_state = 96, .external_lex_state = 5},
  [4151] = {.lex_state = 96, .external_lex_state = 5},
  [4152] = {.lex_state = 96, .external_lex_state = 5},
  [4153] = {.lex_state = 96, .external_lex_state = 5},
  [4154] = {.lex_state = 96, .external_lex_state = 5},
  [4155] = {.lex_state = 96, .external_lex_state = 5},
  [4156] = {.lex_state = 96, .external_lex_state = 5},
  [4157] = {.lex_state = 96, .external_lex_state = 5},
  [4158] = {.lex_state = 96, .external_lex_state = 5},
  [4159] = {.lex_state = 96, .external_lex_state = 5},
  [4160] = {.lex_state = 96, .external_lex_state = 5},
  [4161] = {.lex_state = 96, .external_lex_state = 2},
  [4162] = {.lex_state = 96, .external_lex_state = 5},
  [4163] = {.lex_state = 96, .external_lex_state = 5},
  [4164] = {.lex_state = 12, .external_lex_state = 2},
  [4165] = {.lex_state = 96, .external_lex_state = 5},
  [4166] = {.lex_state = 12, .external_lex_state = 2},
  [4167] = {.lex_state = 96, .external_lex_state = 5},
  [4168] = {.lex_state = 12, .external_lex_state = 2},
  [4169] = {.lex_state = 12, .external_lex_state = 2},
  [4170] = {.lex_state = 96, .external_lex_state = 5},
  [4171] = {.lex_state = 96, .external_lex_state = 5},
  [4172] = {.lex_state = 12, .external_lex_state = 2},
  [4173] = {.lex_state = 96, .external_lex_state = 5},
  [4174] = {.lex_state = 96, .external_lex_state = 5},
  [4175] = {.lex_state = 96, .external_lex_state = 5},
  [4176] = {.lex_state = 96, .external_lex_state = 5},
  [4177] = {.lex_state = 96, .external_lex_state = 2},
  [4178] = {.lex_state = 12, .external_lex_state = 2},
  [4179] = {.lex_state = 12, .external_lex_state = 2},
  [4180] = {.lex_state = 96, .external_lex_state = 5},
  [4181] = {.lex_state = 96, .external_lex_state = 5},
  [4182] = {.lex_state = 96, .external_lex_state = 5},
  [4183] = {.lex_state = 96, .external_lex_state = 5},
  [4184] = {.lex_state = 96, .external_lex_state = 2},
  [4185] = {.lex_state = 96, .external_lex_state = 5},
  [4186] = {.lex_state = 96, .external_lex_state = 5},
  [4187] = {.lex_state = 96, .external_lex_state = 5},
  [4188] = {.lex_state = 12, .external_lex_state = 2},
  [4189] = {.lex_state = 96, .external_lex_state = 5},
  [4190] = {.lex_state = 96, .external_lex_state = 5},
  [4191] = {.lex_state = 12, .external_lex_state = 2},
  [4192] = {.lex_state = 12, .external_lex_state = 2},
  [4193] = {.lex_state = 96, .external_lex_state = 6},
  [4194] = {.lex_state = 12, .external_lex_state = 2},
  [4195] = {.lex_state = 96, .external_lex_state = 5},
  [4196] = {.lex_state = 96, .external_lex_state = 5},
  [4197] = {.lex_state = 12, .external_lex_state = 2},
  [4198] = {.lex_state = 96, .external_lex_state = 5},
  [4199] = {.lex_state = 96, .external_lex_state = 5},
  [4200] = {.lex_state = 96, .external_lex_state = 5},
  [4201] = {.lex_state = 96, .external_lex_state = 5},
  [4202] = {.lex_state = 96, .external_lex_state = 5},
  [4203] = {.lex_state = 12, .external_lex_state = 2},
  [4204] = {.lex_state = 96, .external_lex_state = 5},
  [4205] = {.lex_state = 96, .external_lex_state = 5},
  [4206] = {.lex_state = 96, .external_lex_state = 5},
  [4207] = {.lex_state = 12, .external_lex_state = 2},
  [4208] = {.lex_state = 96, .external_lex_state = 5},
  [4209] = {.lex_state = 96, .external_lex_state = 5},
  [4210] = {.lex_state = 96, .external_lex_state = 5},
  [4211] = {.lex_state = 96, .external_lex_state = 5},
  [4212] = {.lex_state = 12, .external_lex_state = 2},
  [4213] = {.lex_state = 96, .external_lex_state = 5},
  [4214] = {.lex_state = 96, .external_lex_state = 5},
  [4215] = {.lex_state = 96, .external_lex_state = 5},
  [4216] = {.lex_state = 96, .external_lex_state = 5},
  [4217] = {.lex_state = 96, .external_lex_state = 5},
  [4218] = {.lex_state = 96, .external_lex_state = 5},
  [4219] = {.lex_state = 96, .external_lex_state = 5},
  [4220] = {.lex_state = 96, .external_lex_state = 5},
  [4221] = {.lex_state = 96, .external_lex_state = 5},
  [4222] = {.lex_state = 96, .external_lex_state = 5},
  [4223] = {.lex_state = 12, .external_lex_state = 2},
  [4224] = {.lex_state = 96, .external_lex_state = 5},
  [4225] = {.lex_state = 96, .external_lex_state = 5},
  [4226] = {.lex_state = 96, .external_lex_state = 2},
  [4227] = {.lex_state = 96, .external_lex_state = 5},
  [4228] = {.lex_state = 96, .external_lex_state = 5},
  [4229] = {.lex_state = 96, .external_lex_state = 2},
  [4230] = {.lex_state = 12, .external_lex_state = 2},
  [4231] = {.lex_state = 12, .external_lex_state = 2},
  [4232] = {.lex_state = 96, .external_lex_state = 5},
  [4233] = {.lex_state = 96, .external_lex_state = 2},
  [4234] = {.lex_state = 96, .external_lex_state = 5},
  [4235] = {.lex_state = 96, .external_lex_state = 2},
  [4236] = {.lex_state = 96, .external_lex_state = 2},
  [4237] = {.lex_state = 12, .external_lex_state = 2},
  [4238] = {.lex_state = 12, .external_lex_state = 2},
  [4239] = {.lex_state = 96, .external_lex_state = 5},
  [4240] = {.lex_state = 96, .external_lex_state = 5},
  [4241] = {.lex_state = 96, .external_lex_state = 5},
  [4242] = {.lex_state = 96, .external_lex_state = 5},
  [4243] = {.lex_state = 96, .external_lex_state = 5},
  [4244] = {.lex_state = 96, .external_lex_state = 5},
  [4245] = {.lex_state = 96, .external_lex_state = 5},
  [4246] = {.lex_state = 96, .external_lex_state = 5},
  [4247] = {.lex_state = 96, .external_lex_state = 5},
  [4248] = {.lex_state = 96, .external_lex_state = 5},
  [4249] = {.lex_state = 96, .external_lex_state = 5},
  [4250] = {.lex_state = 96, .external_lex_state = 5},
  [4251] = {.lex_state = 96, .external_lex_state = 5},
  [4252] = {.lex_state = 96, .external_lex_state = 5},
  [4253] = {.lex_state = 96, .external_lex_state = 5},
  [4254] = {.lex_state = 96, .external_lex_state = 5},
  [4255] = {.lex_state = 96, .external_lex_state = 5},
  [4256] = {.lex_state = 96, .external_lex_state = 5},
  [4257] = {.lex_state = 96, .external_lex_state = 5},
  [4258] = {.lex_state = 96, .external_lex_state = 5},
  [4259] = {.lex_state = 96, .external_lex_state = 5},
  [4260] = {.lex_state = 96, .external_lex_state = 5},
  [4261] = {.lex_state = 96, .external_lex_state = 5},
  [4262] = {.lex_state = 96, .external_lex_state = 5},
  [4263] = {.lex_state = 96, .external_lex_state = 5},
  [4264] = {.lex_state = 96, .external_lex_state = 5},
  [4265] = {.lex_state = 96, .external_lex_state = 5},
  [4266] = {.lex_state = 96, .external_lex_state = 5},
  [4267] = {.lex_state = 96, .external_lex_state = 5},
  [4268] = {.lex_state = 96, .external_lex_state = 5},
  [4269] = {.lex_state = 96, .external_lex_state = 5},
  [4270] = {.lex_state = 96, .external_lex_state = 5},
  [4271] = {.lex_state = 12, .external_lex_state = 2},
  [4272] = {.lex_state = 96, .external_lex_state = 5},
  [4273] = {.lex_state = 96, .external_lex_state = 5},
  [4274] = {.lex_state = 96, .external_lex_state = 5},
  [4275] = {.lex_state = 96, .external_lex_state = 5},
  [4276] = {.lex_state = 96, .external_lex_state = 5},
  [4277] = {.lex_state = 96, .external_lex_state = 5},
  [4278] = {.lex_state = 96, .external_lex_state = 5},
  [4279] = {.lex_state = 96, .external_lex_state = 5},
  [4280] = {.lex_state = 96, .external_lex_state = 2},
  [4281] = {.lex_state = 96, .external_lex_state = 5},
  [4282] = {.lex_state = 96, .external_lex_state = 5},
  [4283] = {.lex_state = 96, .external_lex_state = 5},
  [4284] = {.lex_state = 96, .external_lex_state = 5},
  [4285] = {.lex_state = 96, .external_lex_state = 5},
  [4286] = {.lex_state = 12, .external_lex_state = 2},
  [4287] = {.lex_state = 96, .external_lex_state = 5},
  [4288] = {.lex_state = 96, .external_lex_state = 5},
  [4289] = {.lex_state = 96, .external_lex_state = 5},
  [4290] = {.lex_state = 96, .external_lex_state = 5},
  [4291] = {.lex_state = 96, .external_lex_state = 5},
  [4292] = {.lex_state = 96, .external_lex_state = 5},
  [4293] = {.lex_state = 96, .external_lex_state = 5},
  [4294] = {.lex_state = 96, .external_lex_state = 5},
  [4295] = {.lex_state = 96, .external_lex_state = 5},
  [4296] = {.lex_state = 96, .external_lex_state = 5},
  [4297] = {.lex_state = 96, .external_lex_state = 5},
  [4298] = {.lex_state = 96, .external_lex_state = 2},
  [4299] = {.lex_state = 12, .external_lex_state = 2},
  [4300] = {.lex_state = 96, .external_lex_state = 5},
  [4301] = {.lex_state = 96, .external_lex_state = 5},
  [4302] = {.lex_state = 96, .external_lex_state = 2},
  [4303] = {.lex_state = 96, .external_lex_state = 2},
  [4304] = {.lex_state = 96, .external_lex_state = 5},
  [4305] = {.lex_state = 96, .external_lex_state = 5},
  [4306] = {.lex_state = 18, .external_lex_state = 8},
  [4307] = {.lex_state = 96, .external_lex_state = 5},
  [4308] = {.lex_state = 96, .external_lex_state = 5},
  [4309] = {.lex_state = 96, .external_lex_state = 5},
  [4310] = {.lex_state = 96, .external_lex_state = 5},
  [4311] = {.lex_state = 96, .external_lex_state = 5},
  [4312] = {.lex_state = 12, .external_lex_state = 2},
  [4313] = {.lex_state = 96, .external_lex_state = 5},
  [4314] = {.lex_state = 12, .external_lex_state = 2},
  [4315] = {.lex_state = 96, .external_lex_state = 5},
  [4316] = {.lex_state = 96, .external_lex_state = 5},
  [4317] = {.lex_state = 96, .external_lex_state = 5},
  [4318] = {.lex_state = 96, .external_lex_state = 5},
  [4319] = {.lex_state = 12, .external_lex_state = 2},
  [4320] = {.lex_state = 12, .external_lex_state = 2},
  [4321] = {.lex_state = 12, .external_lex_state = 2},
  [4322] = {.lex_state = 96, .external_lex_state = 2},
  [4323] = {.lex_state = 96, .external_lex_state = 5},
  [4324] = {.lex_state = 12, .external_lex_state = 2},
  [4325] = {.lex_state = 96, .external_lex_state = 5},
  [4326] = {.lex_state = 96, .external_lex_state = 5},
  [4327] = {.lex_state = 96, .external_lex_state = 2},
  [4328] = {.lex_state = 96, .external_lex_state = 5},
  [4329] = {.lex_state = 12, .external_lex_state = 2},
  [4330] = {.lex_state = 96, .external_lex_state = 5},
  [4331] = {.lex_state = 96, .external_lex_state = 2},
  [4332] = {.lex_state = 96, .external_lex_state = 5},
  [4333] = {.lex_state = 96, .external_lex_state = 5},
  [4334] = {.lex_state = 96, .external_lex_state = 5},
  [4335] = {.lex_state = 12, .external_lex_state = 2},
  [4336] = {.lex_state = 12, .external_lex_state = 2},
  [4337] = {.lex_state = 96, .external_lex_state = 5},
  [4338] = {.lex_state = 96, .external_lex_state = 5},
  [4339] = {.lex_state = 96, .external_lex_state = 5},
  [4340] = {.lex_state = 96, .external_lex_state = 5},
  [4341] = {.lex_state = 96, .external_lex_state = 5},
  [4342] = {.lex_state = 96, .external_lex_state = 2},
  [4343] = {.lex_state = 96, .external_lex_state = 5},
  [4344] = {.lex_state = 12, .external_lex_state = 2},
  [4345] = {.lex_state = 12, .external_lex_state = 2},
  [4346] = {.lex_state = 96, .external_lex_state = 2},
  [4347] = {.lex_state = 96, .external_lex_state = 2},
  [4348] = {.lex_state = 12, .external_lex_state = 2},
  [4349] = {.lex_state = 12, .external_lex_state = 2},
  [4350] = {.lex_state = 96, .external_lex_state = 2},
  [4351] = {.lex_state = 96, .external_lex_state = 5},
  [4352] = {.lex_state = 96, .external_lex_state = 5},
  [4353] = {.lex_state = 96, .external_lex_state = 5},
  [4354] = {.lex_state = 96, .external_lex_state = 5},
  [4355] = {.lex_state = 96, .external_lex_state = 5},
  [4356] = {.lex_state = 96, .external_lex_state = 5},
  [4357] = {.lex_state = 96, .external_lex_state = 5},
  [4358] = {.lex_state = 96, .external_lex_state = 5},
  [4359] = {.lex_state = 96, .external_lex_state = 5},
  [4360] = {.lex_state = 12, .external_lex_state = 2},
  [4361] = {.lex_state = 96, .external_lex_state = 5},
  [4362] = {.lex_state = 96, .external_lex_state = 5},
  [4363] = {.lex_state = 96, .external_lex_state = 5},
  [4364] = {.lex_state = 96, .external_lex_state = 5},
  [4365] = {.lex_state = 96, .external_lex_state = 5},
  [4366] = {.lex_state = 96, .external_lex_state = 5},
  [4367] = {.lex_state = 96, .external_lex_state = 2},
  [4368] = {.lex_state = 96, .external_lex_state = 5},
  [4369] = {.lex_state = 96, .external_lex_state = 5},
  [4370] = {.lex_state = 96, .external_lex_state = 5},
  [4371] = {.lex_state = 96, .external_lex_state = 5},
  [4372] = {.lex_state = 96, .external_lex_state = 5},
  [4373] = {.lex_state = 96, .external_lex_state = 5},
  [4374] = {.lex_state = 96, .external_lex_state = 5},
  [4375] = {.lex_state = 96, .external_lex_state = 5},
  [4376] = {.lex_state = 96, .external_lex_state = 5},
  [4377] = {.lex_state = 96, .external_lex_state = 5},
  [4378] = {.lex_state = 4, .external_lex_state = 2},
  [4379] = {.lex_state = 96, .external_lex_state = 5},
  [4380] = {.lex_state = 96, .external_lex_state = 5},
  [4381] = {.lex_state = 96, .external_lex_state = 5},
  [4382] = {.lex_state = 96, .external_lex_state = 5},
  [4383] = {.lex_state = 15, .external_lex_state = 2},
  [4384] = {.lex_state = 96, .external_lex_state = 5},
  [4385] = {.lex_state = 96, .external_lex_state = 5},
  [4386] = {.lex_state = 96, .external_lex_state = 5},
  [4387] = {.lex_state = 96, .external_lex_state = 5},
  [4388] = {.lex_state = 96, .external_lex_state = 2},
  [4389] = {.lex_state = 12, .external_lex_state = 2},
  [4390] = {.lex_state = 96, .external_lex_state = 2},
  [4391] = {.lex_state = 96, .external_lex_state = 5},
  [4392] = {.lex_state = 96, .external_lex_state = 5},
  [4393] = {.lex_state = 96, .external_lex_state = 2},
  [4394] = {.lex_state = 21, .external_lex_state = 9},
  [4395] = {.lex_state = 96, .external_lex_state = 2},
  [4396] = {.lex_state = 17, .external_lex_state = 9},
  [4397] = {.lex_state = 21, .external_lex_state = 9},
  [4398] = {.lex_state = 96, .external_lex_state = 2},
  [4399] = {.lex_state = 17, .external_lex_state = 9},
  [4400] = {.lex_state = 21, .external_lex_state = 9},
  [4401] = {.lex_state = 96, .external_lex_state = 5},
  [4402] = {.lex_state = 96, .external_lex_state = 2},
  [4403] = {.lex_state = 12, .external_lex_state = 2},
  [4404] = {.lex_state = 96, .external_lex_state = 2},
  [4405] = {.lex_state = 12, .external_lex_state = 2},
  [4406] = {.lex_state = 96, .external_lex_state = 2},
  [4407] = {.lex_state = 96, .external_lex_state = 2},
  [4408] = {.lex_state = 12, .external_lex_state = 2},
  [4409] = {.lex_state = 96, .external_lex_state = 2},
  [4410] = {.lex_state = 96, .external_lex_state = 2},
  [4411] = {.lex_state = 21, .external_lex_state = 9},
  [4412] = {.lex_state = 96, .external_lex_state = 5},
  [4413] = {.lex_state = 12, .external_lex_state = 2},
  [4414] = {.lex_state = 96, .external_lex_state = 2},
  [4415] = {.lex_state = 96, .external_lex_state = 5},
  [4416] = {.lex_state = 96, .external_lex_state = 2},
  [4417] = {.lex_state = 15, .external_lex_state = 2},
  [4418] = {.lex_state = 96, .external_lex_state = 2},
  [4419] = {.lex_state = 4, .external_lex_state = 2},
  [4420] = {.lex_state = 4, .external_lex_state = 2},
  [4421] = {.lex_state = 4, .external_lex_state = 2},
  [4422] = {.lex_state = 96, .external_lex_state = 5},
  [4423] = {.lex_state = 96, .external_lex_state = 2},
  [4424] = {.lex_state = 96, .external_lex_state = 2},
  [4425] = {.lex_state = 96, .external_lex_state = 5},
  [4426] = {.lex_state = 96, .external_lex_state = 2},
  [4427] = {.lex_state = 96, .external_lex_state = 2},
  [4428] = {.lex_state = 96, .external_lex_state = 2},
  [4429] = {.lex_state = 12, .external_lex_state = 2},
  [4430] = {.lex_state = 17, .external_lex_state = 9},
  [4431] = {.lex_state = 17, .external_lex_state = 9},
  [4432] = {.lex_state = 96, .external_lex_state = 2},
  [4433] = {.lex_state = 12, .external_lex_state = 2},
  [4434] = {.lex_state = 96, .external_lex_state = 2},
  [4435] = {.lex_state = 96, .external_lex_state = 2},
  [4436] = {.lex_state = 21, .external_lex_state = 9},
  [4437] = {.lex_state = 96, .external_lex_state = 2},
  [4438] = {.lex_state = 18, .external_lex_state = 7},
  [4439] = {.lex_state = 12, .external_lex_state = 2},
  [4440] = {.lex_state = 4, .external_lex_state = 2},
  [4441] = {.lex_state = 96, .external_lex_state = 2},
  [4442] = {.lex_state = 12, .external_lex_state = 2},
  [4443] = {.lex_state = 96, .external_lex_state = 5},
  [4444] = {.lex_state = 96, .external_lex_state = 2},
  [4445] = {.lex_state = 96, .external_lex_state = 2},
  [4446] = {.lex_state = 21, .external_lex_state = 9},
  [4447] = {.lex_state = 4, .external_lex_state = 2},
  [4448] = {.lex_state = 96, .external_lex_state = 2},
  [4449] = {.lex_state = 17, .external_lex_state = 9},
  [4450] = {.lex_state = 21, .external_lex_state = 9},
  [4451] = {.lex_state = 96, .external_lex_state = 2},
  [4452] = {.lex_state = 96, .external_lex_state = 2},
  [4453] = {.lex_state = 96, .external_lex_state = 2},
  [4454] = {.lex_state = 96, .external_lex_state = 2},
  [4455] = {.lex_state = 12, .external_lex_state = 2},
  [4456] = {.lex_state = 96, .external_lex_state = 2},
  [4457] = {.lex_state = 17, .external_lex_state = 9},
  [4458] = {.lex_state = 21, .external_lex_state = 9},
  [4459] = {.lex_state = 12, .external_lex_state = 2},
  [4460] = {.lex_state = 12, .external_lex_state = 2},
  [4461] = {.lex_state = 96, .external_lex_state = 2},
  [4462] = {.lex_state = 17, .external_lex_state = 9},
  [4463] = {.lex_state = 96, .external_lex_state = 5},
  [4464] = {.lex_state = 96, .external_lex_state = 5},
  [4465] = {.lex_state = 12, .external_lex_state = 2},
  [4466] = {.lex_state = 17, .external_lex_state = 9},
  [4467] = {.lex_state = 12, .external_lex_state = 2},
  [4468] = {.lex_state = 96, .external_lex_state = 2},
  [4469] = {.lex_state = 21, .external_lex_state = 9},
  [4470] = {.lex_state = 96, .external_lex_state = 5},
  [4471] = {.lex_state = 96, .external_lex_state = 2},
  [4472] = {.lex_state = 96, .external_lex_state = 2},
  [4473] = {.lex_state = 12, .external_lex_state = 2},
  [4474] = {.lex_state = 17, .external_lex_state = 9},
  [4475] = {.lex_state = 96, .external_lex_state = 2},
  [4476] = {.lex_state = 96, .external_lex_state = 2},
  [4477] = {.lex_state = 96, .external_lex_state = 2},
  [4478] = {.lex_state = 96, .external_lex_state = 2},
  [4479] = {.lex_state = 96, .external_lex_state = 5},
  [4480] = {.lex_state = 15, .external_lex_state = 2},
  [4481] = {.lex_state = 96, .external_lex_state = 2},
  [4482] = {.lex_state = 96, .external_lex_state = 2},
  [4483] = {.lex_state = 96, .external_lex_state = 2},
  [4484] = {.lex_state = 96, .external_lex_state = 5},
  [4485] = {.lex_state = 96, .external_lex_state = 6},
  [4486] = {.lex_state = 17, .external_lex_state = 9},
  [4487] = {.lex_state = 96, .external_lex_state = 2},
  [4488] = {.lex_state = 96, .external_lex_state = 2},
  [4489] = {.lex_state = 96, .external_lex_state = 2},
  [4490] = {.lex_state = 12, .external_lex_state = 2},
  [4491] = {.lex_state = 21, .external_lex_state = 9},
  [4492] = {.lex_state = 17, .external_lex_state = 9},
  [4493] = {.lex_state = 17, .external_lex_state = 9},
  [4494] = {.lex_state = 12, .external_lex_state = 2},
  [4495] = {.lex_state = 21, .external_lex_state = 9},
  [4496] = {.lex_state = 12, .external_lex_state = 2},
  [4497] = {.lex_state = 17, .external_lex_state = 9},
  [4498] = {.lex_state = 21, .external_lex_state = 9},
  [4499] = {.lex_state = 96, .external_lex_state = 2},
  [4500] = {.lex_state = 96, .external_lex_state = 2},
  [4501] = {.lex_state = 17, .external_lex_state = 9},
  [4502] = {.lex_state = 96, .external_lex_state = 2},
  [4503] = {.lex_state = 21, .external_lex_state = 9},
  [4504] = {.lex_state = 18, .external_lex_state = 7},
  [4505] = {.lex_state = 96, .external_lex_state = 2},
  [4506] = {.lex_state = 17, .external_lex_state = 9},
  [4507] = {.lex_state = 96, .external_lex_state = 2},
  [4508] = {.lex_state = 96, .external_lex_state = 2},
  [4509] = {.lex_state = 96, .external_lex_state = 5},
  [4510] = {.lex_state = 21, .external_lex_state = 9},
  [4511] = {.lex_state = 96, .external_lex_state = 2},
  [4512] = {.lex_state = 12, .external_lex_state = 2},
  [4513] = {.lex_state = 21, .external_lex_state = 9},
  [4514] = {.lex_state = 12, .external_lex_state = 2},
  [4515] = {.lex_state = 96, .external_lex_state = 5},
  [4516] = {.lex_state = 12, .external_lex_state = 2},
  [4517] = {.lex_state = 96, .external_lex_state = 5},
  [4518] = {.lex_state = 96, .external_lex_state = 2},
  [4519] = {.lex_state = 12, .external_lex_state = 2},
  [4520] = {.lex_state = 12, .external_lex_state = 2},
  [4521] = {.lex_state = 96, .external_lex_state = 2},
  [4522] = {.lex_state = 96, .external_lex_state = 2},
  [4523] = {.lex_state = 96, .external_lex_state = 2},
  [4524] = {.lex_state = 96, .external_lex_state = 2},
  [4525] = {.lex_state = 12, .external_lex_state = 2},
  [4526] = {.lex_state = 96, .external_lex_state = 2},
  [4527] = {.lex_state = 96, .external_lex_state = 2},
  [4528] = {.lex_state = 96, .external_lex_state = 2},
  [4529] = {.lex_state = 96, .external_lex_state = 2},
  [4530] = {.lex_state = 96, .external_lex_state = 5},
  [4531] = {.lex_state = 96, .external_lex_state = 5},
  [4532] = {.lex_state = 96, .external_lex_state = 5},
  [4533] = {.lex_state = 96, .external_lex_state = 5},
  [4534] = {.lex_state = 96, .external_lex_state = 2},
  [4535] = {.lex_state = 96, .external_lex_state = 2},
  [4536] = {.lex_state = 96, .external_lex_state = 5},
  [4537] = {.lex_state = 96, .external_lex_state = 2},
  [4538] = {.lex_state = 96, .external_lex_state = 5},
  [4539] = {.lex_state = 96, .external_lex_state = 2},
  [4540] = {.lex_state = 96, .external_lex_state = 5},
  [4541] = {.lex_state = 96, .external_lex_state = 2},
  [4542] = {.lex_state = 96, .external_lex_state = 2},
  [4543] = {.lex_state = 96, .external_lex_state = 5},
  [4544] = {.lex_state = 96, .external_lex_state = 2},
  [4545] = {.lex_state = 96, .external_lex_state = 2},
  [4546] = {.lex_state = 96, .external_lex_state = 2},
  [4547] = {.lex_state = 96, .external_lex_state = 2},
  [4548] = {.lex_state = 96, .external_lex_state = 2},
  [4549] = {.lex_state = 96, .external_lex_state = 2},
  [4550] = {.lex_state = 96, .external_lex_state = 2},
  [4551] = {.lex_state = 96, .external_lex_state = 2},
  [4552] = {.lex_state = 96, .external_lex_state = 5},
  [4553] = {.lex_state = 96, .external_lex_state = 2},
  [4554] = {.lex_state = 96, .external_lex_state = 2},
  [4555] = {.lex_state = 96, .external_lex_state = 5},
  [4556] = {.lex_state = 96, .external_lex_state = 2},
  [4557] = {.lex_state = 96, .external_lex_state = 2},
  [4558] = {.lex_state = 96, .external_lex_state = 2},
  [4559] = {.lex_state = 96, .external_lex_state = 5},
  [4560] = {.lex_state = 96, .external_lex_state = 5},
  [4561] = {.lex_state = 96, .external_lex_state = 5},
  [4562] = {.lex_state = 4, .external_lex_state = 2},
  [4563] = {.lex_state = 96, .external_lex_state = 2},
  [4564] = {.lex_state = 96, .external_lex_state = 2},
  [4565] = {.lex_state = 96, .external_lex_state = 5},
  [4566] = {.lex_state = 96, .external_lex_state = 2},
  [4567] = {.lex_state = 96, .external_lex_state = 2},
  [4568] = {.lex_state = 96, .external_lex_state = 5},
  [4569] = {.lex_state = 96, .external_lex_state = 5},
  [4570] = {.lex_state = 96, .external_lex_state = 5},
  [4571] = {.lex_state = 96, .external_lex_state = 2},
  [4572] = {.lex_state = 96, .external_lex_state = 5},
  [4573] = {.lex_state = 96, .external_lex_state = 5},
  [4574] = {.lex_state = 96, .external_lex_state = 5},
  [4575] = {.lex_state = 96, .external_lex_state = 5},
  [4576] = {.lex_state = 96, .external_lex_state = 5},
  [4577] = {.lex_state = 96, .external_lex_state = 2},
  [4578] = {.lex_state = 96, .external_lex_state = 2},
  [4579] = {.lex_state = 96, .external_lex_state = 2},
  [4580] = {.lex_state = 96, .external_lex_state = 2},
  [4581] = {.lex_state = 96, .external_lex_state = 5},
  [4582] = {.lex_state = 96, .external_lex_state = 5},
  [4583] = {.lex_state = 96, .external_lex_state = 5},
  [4584] = {.lex_state = 96, .external_lex_state = 2},
  [4585] = {.lex_state = 96, .external_lex_state = 5},
  [4586] = {.lex_state = 96, .external_lex_state = 5},
  [4587] = {.lex_state = 96, .external_lex_state = 2},
  [4588] = {.lex_state = 96, .external_lex_state = 2},
  [4589] = {.lex_state = 96, .external_lex_state = 5},
  [4590] = {.lex_state = 96, .external_lex_state = 5},
  [4591] = {.lex_state = 96, .external_lex_state = 5},
  [4592] = {.lex_state = 96, .external_lex_state = 2},
  [4593] = {.lex_state = 96, .external_lex_state = 2},
  [4594] = {.lex_state = 96, .external_lex_state = 2},
  [4595] = {.lex_state = 96, .external_lex_state = 2},
  [4596] = {.lex_state = 96, .external_lex_state = 2},
  [4597] = {.lex_state = 96, .external_lex_state = 5},
  [4598] = {.lex_state = 96, .external_lex_state = 5},
  [4599] = {.lex_state = 96, .external_lex_state = 5},
  [4600] = {.lex_state = 96, .external_lex_state = 2},
  [4601] = {.lex_state = 96, .external_lex_state = 2},
  [4602] = {.lex_state = 96, .external_lex_state = 2},
  [4603] = {.lex_state = 96, .external_lex_state = 2},
  [4604] = {.lex_state = 96, .external_lex_state = 5},
  [4605] = {.lex_state = 96, .external_lex_state = 2},
  [4606] = {.lex_state = 96, .external_lex_state = 2},
  [4607] = {.lex_state = 96, .external_lex_state = 2},
  [4608] = {.lex_state = 96, .external_lex_state = 5},
  [4609] = {.lex_state = 96, .external_lex_state = 2},
  [4610] = {.lex_state = 96, .external_lex_state = 5},
  [4611] = {.lex_state = 96, .external_lex_state = 5},
  [4612] = {.lex_state = 4, .external_lex_state = 2},
  [4613] = {.lex_state = 1, .external_lex_state = 2},
  [4614] = {.lex_state = 96, .external_lex_state = 5},
  [4615] = {.lex_state = 96, .external_lex_state = 2},
  [4616] = {.lex_state = 96, .external_lex_state = 5},
  [4617] = {.lex_state = 96, .external_lex_state = 2},
  [4618] = {.lex_state = 96, .external_lex_state = 5},
  [4619] = {.lex_state = 96, .external_lex_state = 5},
  [4620] = {.lex_state = 96, .external_lex_state = 5},
  [4621] = {.lex_state = 96, .external_lex_state = 5},
  [4622] = {.lex_state = 96, .external_lex_state = 2},
  [4623] = {.lex_state = 96, .external_lex_state = 5},
  [4624] = {.lex_state = 96, .external_lex_state = 5},
  [4625] = {.lex_state = 96, .external_lex_state = 5},
  [4626] = {.lex_state = 96, .external_lex_state = 5},
  [4627] = {.lex_state = 96, .external_lex_state = 2},
  [4628] = {.lex_state = 96, .external_lex_state = 5},
  [4629] = {.lex_state = 96, .external_lex_state = 2},
  [4630] = {.lex_state = 96, .external_lex_state = 5},
  [4631] = {.lex_state = 96, .external_lex_state = 5},
  [4632] = {.lex_state = 1, .external_lex_state = 2},
  [4633] = {.lex_state = 96, .external_lex_state = 5},
  [4634] = {.lex_state = 96, .external_lex_state = 5},
  [4635] = {.lex_state = 96, .external_lex_state = 2},
  [4636] = {.lex_state = 96, .external_lex_state = 5},
  [4637] = {.lex_state = 96, .external_lex_state = 2},
  [4638] = {.lex_state = 96, .external_lex_state = 2},
  [4639] = {.lex_state = 96, .external_lex_state = 2},
  [4640] = {.lex_state = 96, .external_lex_state = 2},
  [4641] = {.lex_state = 96, .external_lex_state = 2},
  [4642] = {.lex_state = 96, .external_lex_state = 5},
  [4643] = {.lex_state = 96, .external_lex_state = 5},
  [4644] = {.lex_state = 96, .external_lex_state = 2},
  [4645] = {.lex_state = 96, .external_lex_state = 2},
  [4646] = {.lex_state = 96, .external_lex_state = 5},
  [4647] = {.lex_state = 96, .external_lex_state = 5},
  [4648] = {.lex_state = 96, .external_lex_state = 2},
  [4649] = {.lex_state = 96, .external_lex_state = 2},
  [4650] = {.lex_state = 96, .external_lex_state = 5},
  [4651] = {.lex_state = 96, .external_lex_state = 2},
  [4652] = {.lex_state = 96, .external_lex_state = 5},
  [4653] = {.lex_state = 96, .external_lex_state = 2},
  [4654] = {.lex_state = 96, .external_lex_state = 2},
  [4655] = {.lex_state = 96, .external_lex_state = 5},
  [4656] = {.lex_state = 96, .external_lex_state = 5},
  [4657] = {.lex_state = 96, .external_lex_state = 2},
  [4658] = {.lex_state = 96, .external_lex_state = 5},
  [4659] = {.lex_state = 96, .external_lex_state = 5},
  [4660] = {.lex_state = 96, .external_lex_state = 5},
  [4661] = {.lex_state = 96, .external_lex_state = 2},
  [4662] = {.lex_state = 96, .external_lex_state = 5},
  [4663] = {.lex_state = 96, .external_lex_state = 5},
  [4664] = {.lex_state = 96, .external_lex_state = 5},
  [4665] = {.lex_state = 96, .external_lex_state = 5},
  [4666] = {.lex_state = 96, .external_lex_state = 2},
  [4667] = {.lex_state = 96, .external_lex_state = 2},
  [4668] = {.lex_state = 96, .external_lex_state = 2},
  [4669] = {.lex_state = 96, .external_lex_state = 5},
  [4670] = {.lex_state = 4, .external_lex_state = 2},
  [4671] = {.lex_state = 96, .external_lex_state = 5},
  [4672] = {.lex_state = 96, .external_lex_state = 5},
  [4673] = {.lex_state = 96, .external_lex_state = 2},
  [4674] = {.lex_state = 96, .external_lex_state = 5},
  [4675] = {.lex_state = 4, .external_lex_state = 2},
  [4676] = {.lex_state = 96, .external_lex_state = 2},
  [4677] = {.lex_state = 96, .external_lex_state = 2},
  [4678] = {.lex_state = 96, .external_lex_state = 5},
  [4679] = {.lex_state = 96, .external_lex_state = 2},
  [4680] = {.lex_state = 96, .external_lex_state = 2},
  [4681] = {.lex_state = 96, .external_lex_state = 5},
  [4682] = {.lex_state = 96, .external_lex_state = 5},
  [4683] = {.lex_state = 96, .external_lex_state = 2},
  [4684] = {.lex_state = 96, .external_lex_state = 5},
  [4685] = {.lex_state = 96, .external_lex_state = 2},
  [4686] = {.lex_state = 12, .external_lex_state = 2},
  [4687] = {.lex_state = 96, .external_lex_state = 2},
  [4688] = {.lex_state = 96, .external_lex_state = 5},
  [4689] = {.lex_state = 96, .external_lex_state = 5},
  [4690] = {.lex_state = 96, .external_lex_state = 5},
  [4691] = {.lex_state = 96, .external_lex_state = 5},
  [4692] = {.lex_state = 4, .external_lex_state = 2},
  [4693] = {.lex_state = 96, .external_lex_state = 5},
  [4694] = {.lex_state = 96, .external_lex_state = 5},
  [4695] = {.lex_state = 96, .external_lex_state = 2},
  [4696] = {.lex_state = 96, .external_lex_state = 2},
  [4697] = {.lex_state = 96, .external_lex_state = 5},
  [4698] = {.lex_state = 96, .external_lex_state = 5},
  [4699] = {.lex_state = 96, .external_lex_state = 5},
  [4700] = {.lex_state = 96, .external_lex_state = 2},
  [4701] = {.lex_state = 96, .external_lex_state = 5},
  [4702] = {.lex_state = 96, .external_lex_state = 5},
  [4703] = {.lex_state = 96, .external_lex_state = 2},
  [4704] = {.lex_state = 96, .external_lex_state = 2},
  [4705] = {.lex_state = 96, .external_lex_state = 2},
  [4706] = {.lex_state = 96, .external_lex_state = 5},
  [4707] = {.lex_state = 96, .external_lex_state = 2},
  [4708] = {.lex_state = 96, .external_lex_state = 5},
  [4709] = {.lex_state = 96, .external_lex_state = 5},
  [4710] = {.lex_state = 96, .external_lex_state = 5},
  [4711] = {.lex_state = 96, .external_lex_state = 5},
  [4712] = {.lex_state = 96, .external_lex_state = 5},
  [4713] = {.lex_state = 96, .external_lex_state = 5},
  [4714] = {.lex_state = 96, .external_lex_state = 5},
  [4715] = {.lex_state = 96, .external_lex_state = 5},
  [4716] = {.lex_state = 96, .external_lex_state = 5},
  [4717] = {.lex_state = 96, .external_lex_state = 5},
  [4718] = {.lex_state = 96, .external_lex_state = 5},
  [4719] = {.lex_state = 96, .external_lex_state = 5},
  [4720] = {.lex_state = 96, .external_lex_state = 2},
  [4721] = {.lex_state = 96, .external_lex_state = 5},
  [4722] = {.lex_state = 96, .external_lex_state = 5},
  [4723] = {.lex_state = 96, .external_lex_state = 5},
  [4724] = {.lex_state = 96, .external_lex_state = 2},
  [4725] = {.lex_state = 96, .external_lex_state = 5},
  [4726] = {.lex_state = 96, .external_lex_state = 5},
  [4727] = {.lex_state = 96, .external_lex_state = 5},
  [4728] = {.lex_state = 96, .external_lex_state = 2},
  [4729] = {.lex_state = 96, .external_lex_state = 5},
  [4730] = {.lex_state = 96, .external_lex_state = 2},
  [4731] = {.lex_state = 96, .external_lex_state = 5},
  [4732] = {.lex_state = 96, .external_lex_state = 5},
  [4733] = {.lex_state = 96, .external_lex_state = 5},
  [4734] = {.lex_state = 96, .external_lex_state = 5},
  [4735] = {.lex_state = 96, .external_lex_state = 5},
  [4736] = {.lex_state = 96, .external_lex_state = 5},
  [4737] = {.lex_state = 96, .external_lex_state = 5},
  [4738] = {.lex_state = 96, .external_lex_state = 5},
  [4739] = {.lex_state = 96, .external_lex_state = 5},
  [4740] = {.lex_state = 96, .external_lex_state = 5},
  [4741] = {.lex_state = 96, .external_lex_state = 5},
  [4742] = {.lex_state = 96, .external_lex_state = 5},
  [4743] = {.lex_state = 96, .external_lex_state = 5},
  [4744] = {.lex_state = 96, .external_lex_state = 5},
  [4745] = {.lex_state = 96, .external_lex_state = 5},
  [4746] = {.lex_state = 96, .external_lex_state = 5},
  [4747] = {.lex_state = 96, .external_lex_state = 5},
  [4748] = {.lex_state = 96, .external_lex_state = 5},
  [4749] = {.lex_state = 96, .external_lex_state = 5},
  [4750] = {.lex_state = 96, .external_lex_state = 2},
  [4751] = {.lex_state = 96, .external_lex_state = 5},
  [4752] = {.lex_state = 96, .external_lex_state = 5},
  [4753] = {.lex_state = 96, .external_lex_state = 5},
  [4754] = {.lex_state = 96, .external_lex_state = 5},
  [4755] = {.lex_state = 96, .external_lex_state = 5},
  [4756] = {.lex_state = 96, .external_lex_state = 5},
  [4757] = {.lex_state = 96, .external_lex_state = 5},
  [4758] = {.lex_state = 96, .external_lex_state = 2},
  [4759] = {.lex_state = 96, .external_lex_state = 5},
  [4760] = {.lex_state = 96, .external_lex_state = 5},
  [4761] = {.lex_state = 96, .external_lex_state = 5},
  [4762] = {.lex_state = 96, .external_lex_state = 5},
  [4763] = {.lex_state = 96, .external_lex_state = 5},
  [4764] = {.lex_state = 96, .external_lex_state = 5},
  [4765] = {.lex_state = 96, .external_lex_state = 5},
  [4766] = {.lex_state = 96, .external_lex_state = 5},
  [4767] = {.lex_state = 96, .external_lex_state = 2},
  [4768] = {.lex_state = 96, .external_lex_state = 5},
  [4769] = {.lex_state = 96, .external_lex_state = 2},
  [4770] = {.lex_state = 96, .external_lex_state = 5},
  [4771] = {.lex_state = 4, .external_lex_state = 2},
  [4772] = {.lex_state = 96, .external_lex_state = 2},
  [4773] = {.lex_state = 96, .external_lex_state = 5},
  [4774] = {.lex_state = 96, .external_lex_state = 5},
  [4775] = {.lex_state = 96, .external_lex_state = 2},
  [4776] = {.lex_state = 96, .external_lex_state = 5},
  [4777] = {.lex_state = 96, .external_lex_state = 5},
  [4778] = {.lex_state = 96, .external_lex_state = 2},
  [4779] = {.lex_state = 96, .external_lex_state = 2},
  [4780] = {.lex_state = 96, .external_lex_state = 5},
  [4781] = {.lex_state = 96, .external_lex_state = 2},
  [4782] = {.lex_state = 96, .external_lex_state = 5},
  [4783] = {.lex_state = 96, .external_lex_state = 2},
  [4784] = {.lex_state = 96, .external_lex_state = 2},
  [4785] = {.lex_state = 96, .external_lex_state = 5},
  [4786] = {.lex_state = 96, .external_lex_state = 5},
  [4787] = {.lex_state = 96, .external_lex_state = 2},
  [4788] = {.lex_state = 96, .external_lex_state = 2},
  [4789] = {.lex_state = 96, .external_lex_state = 2},
  [4790] = {.lex_state = 96, .external_lex_state = 5},
  [4791] = {.lex_state = 96, .external_lex_state = 5},
  [4792] = {.lex_state = 96, .external_lex_state = 5},
  [4793] = {.lex_state = 96, .external_lex_state = 5},
  [4794] = {.lex_state = 96, .external_lex_state = 5},
  [4795] = {.lex_state = 96, .external_lex_state = 5},
  [4796] = {.lex_state = 96, .external_lex_state = 5},
  [4797] = {.lex_state = 96, .external_lex_state = 5},
  [4798] = {.lex_state = 96, .external_lex_state = 5},
  [4799] = {.lex_state = 96, .external_lex_state = 5},
  [4800] = {.lex_state = 96, .external_lex_state = 5},
  [4801] = {.lex_state = 96, .external_lex_state = 5},
  [4802] = {.lex_state = 96, .external_lex_state = 5},
  [4803] = {.lex_state = 96, .external_lex_state = 2},
  [4804] = {.lex_state = 96, .external_lex_state = 5},
  [4805] = {.lex_state = 96, .external_lex_state = 5},
  [4806] = {.lex_state = 96, .external_lex_state = 5},
  [4807] = {.lex_state = 96, .external_lex_state = 2},
  [4808] = {.lex_state = 96, .external_lex_state = 5},
  [4809] = {.lex_state = 96, .external_lex_state = 2},
  [4810] = {.lex_state = 96, .external_lex_state = 2},
  [4811] = {.lex_state = 96, .external_lex_state = 5},
  [4812] = {.lex_state = 96, .external_lex_state = 5},
  [4813] = {.lex_state = 96, .external_lex_state = 5},
  [4814] = {.lex_state = 96, .external_lex_state = 5},
  [4815] = {.lex_state = 96, .external_lex_state = 5},
  [4816] = {.lex_state = 96, .external_lex_state = 5},
  [4817] = {.lex_state = 1, .external_lex_state = 2},
  [4818] = {.lex_state = 96, .external_lex_state = 5},
  [4819] = {.lex_state = 96, .external_lex_state = 5},
  [4820] = {.lex_state = 96, .external_lex_state = 2},
  [4821] = {.lex_state = 96, .external_lex_state = 5},
  [4822] = {.lex_state = 96, .external_lex_state = 2},
  [4823] = {.lex_state = 96, .external_lex_state = 5},
  [4824] = {.lex_state = 96, .external_lex_state = 2},
  [4825] = {.lex_state = 96, .external_lex_state = 2},
  [4826] = {.lex_state = 96, .external_lex_state = 5},
  [4827] = {.lex_state = 96, .external_lex_state = 5},
  [4828] = {.lex_state = 96, .external_lex_state = 5},
  [4829] = {.lex_state = 96, .external_lex_state = 5},
  [4830] = {.lex_state = 96, .external_lex_state = 5},
  [4831] = {.lex_state = 96, .external_lex_state = 5},
  [4832] = {.lex_state = 96, .external_lex_state = 5},
  [4833] = {.lex_state = 96, .external_lex_state = 5},
  [4834] = {.lex_state = 96, .external_lex_state = 5},
  [4835] = {.lex_state = 96, .external_lex_state = 2},
  [4836] = {.lex_state = 96, .external_lex_state = 5},
  [4837] = {.lex_state = 96, .external_lex_state = 5},
  [4838] = {.lex_state = 96, .external_lex_state = 5},
  [4839] = {.lex_state = 96, .external_lex_state = 5},
  [4840] = {.lex_state = 96, .external_lex_state = 5},
  [4841] = {.lex_state = 96, .external_lex_state = 5},
  [4842] = {.lex_state = 96, .external_lex_state = 5},
  [4843] = {.lex_state = 96, .external_lex_state = 5},
  [4844] = {.lex_state = 96, .external_lex_state = 5},
  [4845] = {.lex_state = 96, .external_lex_state = 2},
  [4846] = {.lex_state = 96, .external_lex_state = 5},
  [4847] = {.lex_state = 96, .external_lex_state = 5},
  [4848] = {.lex_state = 96, .external_lex_state = 5},
  [4849] = {.lex_state = 96, .external_lex_state = 5},
  [4850] = {.lex_state = 96, .external_lex_state = 5},
  [4851] = {.lex_state = 96, .external_lex_state = 5},
  [4852] = {.lex_state = 96, .external_lex_state = 5},
  [4853] = {.lex_state = 96, .external_lex_state = 5},
  [4854] = {.lex_state = 96, .external_lex_state = 5},
  [4855] = {.lex_state = 96, .external_lex_state = 5},
  [4856] = {.lex_state = 96, .external_lex_state = 5},
  [4857] = {.lex_state = 96, .external_lex_state = 5},
  [4858] = {.lex_state = 96, .external_lex_state = 5},
  [4859] = {.lex_state = 96, .external_lex_state = 5},
  [4860] = {.lex_state = 96, .external_lex_state = 5},
  [4861] = {.lex_state = 96, .external_lex_state = 5},
  [4862] = {.lex_state = 96, .external_lex_state = 5},
  [4863] = {.lex_state = 96, .external_lex_state = 5},
  [4864] = {.lex_state = 96, .external_lex_state = 5},
  [4865] = {.lex_state = 96, .external_lex_state = 5},
  [4866] = {.lex_state = 96, .external_lex_state = 5},
  [4867] = {.lex_state = 96, .external_lex_state = 5},
  [4868] = {.lex_state = 96, .external_lex_state = 5},
  [4869] = {.lex_state = 96, .external_lex_state = 5},
  [4870] = {.lex_state = 96, .external_lex_state = 5},
  [4871] = {.lex_state = 96, .external_lex_state = 5},
  [4872] = {.lex_state = 96, .external_lex_state = 5},
  [4873] = {.lex_state = 96, .external_lex_state = 5},
  [4874] = {.lex_state = 96, .external_lex_state = 5},
  [4875] = {.lex_state = 96, .external_lex_state = 5},
  [4876] = {.lex_state = 96, .external_lex_state = 5},
  [4877] = {.lex_state = 96, .external_lex_state = 5},
  [4878] = {.lex_state = 96, .external_lex_state = 2},
  [4879] = {.lex_state = 1, .external_lex_state = 2},
  [4880] = {.lex_state = 96, .external_lex_state = 5},
  [4881] = {.lex_state = 96, .external_lex_state = 5},
  [4882] = {.lex_state = 96, .external_lex_state = 5},
  [4883] = {.lex_state = 96, .external_lex_state = 5},
  [4884] = {.lex_state = 96, .external_lex_state = 5},
  [4885] = {.lex_state = 96, .external_lex_state = 5},
  [4886] = {.lex_state = 96, .external_lex_state = 5},
  [4887] = {.lex_state = 96, .external_lex_state = 5},
  [4888] = {.lex_state = 96, .external_lex_state = 2},
  [4889] = {.lex_state = 96, .external_lex_state = 5},
  [4890] = {.lex_state = 96, .external_lex_state = 5},
  [4891] = {.lex_state = 96, .external_lex_state = 5},
  [4892] = {.lex_state = 96, .external_lex_state = 5},
  [4893] = {.lex_state = 96, .external_lex_state = 5},
  [4894] = {.lex_state = 96, .external_lex_state = 2},
  [4895] = {.lex_state = 96, .external_lex_state = 5},
  [4896] = {.lex_state = 96, .external_lex_state = 5},
  [4897] = {.lex_state = 96, .external_lex_state = 2},
  [4898] = {.lex_state = 96, .external_lex_state = 5},
  [4899] = {.lex_state = 96, .external_lex_state = 5},
  [4900] = {.lex_state = 96, .external_lex_state = 5},
  [4901] = {.lex_state = 96, .external_lex_state = 2},
  [4902] = {.lex_state = 96, .external_lex_state = 2},
  [4903] = {.lex_state = 96, .external_lex_state = 5},
  [4904] = {.lex_state = 96, .external_lex_state = 2},
  [4905] = {.lex_state = 96, .external_lex_state = 2},
  [4906] = {.lex_state = 96, .external_lex_state = 2},
  [4907] = {.lex_state = 96, .external_lex_state = 5},
  [4908] = {.lex_state = 96, .external_lex_state = 2},
  [4909] = {.lex_state = 96, .external_lex_state = 5},
  [4910] = {.lex_state = 96, .external_lex_state = 2},
  [4911] = {.lex_state = 96, .external_lex_state = 5},
  [4912] = {.lex_state = 96, .external_lex_state = 5},
  [4913] = {.lex_state = 96, .external_lex_state = 5},
  [4914] = {.lex_state = 96, .external_lex_state = 5},
  [4915] = {.lex_state = 96, .external_lex_state = 2},
  [4916] = {.lex_state = 96, .external_lex_state = 5},
  [4917] = {.lex_state = 96, .external_lex_state = 5},
  [4918] = {.lex_state = 96, .external_lex_state = 5},
  [4919] = {.lex_state = 96, .external_lex_state = 5},
  [4920] = {.lex_state = 96, .external_lex_state = 5},
  [4921] = {.lex_state = 96, .external_lex_state = 5},
  [4922] = {.lex_state = 96, .external_lex_state = 2},
  [4923] = {.lex_state = 96, .external_lex_state = 5},
  [4924] = {.lex_state = 96, .external_lex_state = 5},
  [4925] = {.lex_state = 96, .external_lex_state = 5},
  [4926] = {.lex_state = 96, .external_lex_state = 2},
  [4927] = {.lex_state = 96, .external_lex_state = 5},
  [4928] = {.lex_state = 96, .external_lex_state = 5},
  [4929] = {.lex_state = 96, .external_lex_state = 5},
  [4930] = {.lex_state = 96, .external_lex_state = 5},
  [4931] = {.lex_state = 96, .external_lex_state = 5},
  [4932] = {.lex_state = 96, .external_lex_state = 5},
  [4933] = {.lex_state = 96, .external_lex_state = 5},
  [4934] = {.lex_state = 96, .external_lex_state = 5},
  [4935] = {.lex_state = 1, .external_lex_state = 2},
  [4936] = {.lex_state = 96, .external_lex_state = 5},
  [4937] = {.lex_state = 96, .external_lex_state = 2},
  [4938] = {.lex_state = 96, .external_lex_state = 5},
  [4939] = {.lex_state = 96, .external_lex_state = 2},
  [4940] = {.lex_state = 96, .external_lex_state = 2},
  [4941] = {.lex_state = 96, .external_lex_state = 2},
  [4942] = {.lex_state = 18, .external_lex_state = 8},
  [4943] = {.lex_state = 96, .external_lex_state = 5},
  [4944] = {.lex_state = 4, .external_lex_state = 2},
  [4945] = {.lex_state = 4, .external_lex_state = 2},
  [4946] = {.lex_state = 96, .external_lex_state = 5},
  [4947] = {.lex_state = 96, .external_lex_state = 2},
  [4948] = {.lex_state = 96, .external_lex_state = 2},
  [4949] = {.lex_state = 96, .external_lex_state = 5},
  [4950] = {.lex_state = 96, .external_lex_state = 5},
  [4951] = {.lex_state = 96, .external_lex_state = 5},
  [4952] = {.lex_state = 96, .external_lex_state = 2},
  [4953] = {.lex_state = 96, .external_lex_state = 5},
  [4954] = {.lex_state = 96, .external_lex_state = 5},
  [4955] = {.lex_state = 96, .external_lex_state = 5},
  [4956] = {.lex_state = 96, .external_lex_state = 2},
  [4957] = {.lex_state = 96, .external_lex_state = 5},
  [4958] = {.lex_state = 96, .external_lex_state = 5},
  [4959] = {.lex_state = 96, .external_lex_state = 5},
  [4960] = {.lex_state = 96, .external_lex_state = 5},
  [4961] = {.lex_state = 96, .external_lex_state = 2},
  [4962] = {.lex_state = 96, .external_lex_state = 5},
  [4963] = {.lex_state = 96, .external_lex_state = 2},
  [4964] = {.lex_state = 96, .external_lex_state = 2},
  [4965] = {.lex_state = 96, .external_lex_state = 2},
  [4966] = {.lex_state = 96, .external_lex_state = 5},
  [4967] = {.lex_state = 96, .external_lex_state = 5},
  [4968] = {.lex_state = 96, .external_lex_state = 5},
  [4969] = {.lex_state = 96, .external_lex_state = 2},
  [4970] = {.lex_state = 96, .external_lex_state = 2},
  [4971] = {.lex_state = 96, .external_lex_state = 2},
  [4972] = {.lex_state = 96, .external_lex_state = 5},
  [4973] = {.lex_state = 96, .external_lex_state = 5},
  [4974] = {.lex_state = 96, .external_lex_state = 2},
  [4975] = {.lex_state = 96, .external_lex_state = 5},
  [4976] = {.lex_state = 96, .external_lex_state = 2},
  [4977] = {.lex_state = 96, .external_lex_state = 5},
  [4978] = {.lex_state = 96, .external_lex_state = 5},
  [4979] = {.lex_state = 96, .external_lex_state = 5},
  [4980] = {.lex_state = 96, .external_lex_state = 5},
  [4981] = {.lex_state = 96, .external_lex_state = 5},
  [4982] = {.lex_state = 96, .external_lex_state = 5},
  [4983] = {.lex_state = 96, .external_lex_state = 2},
  [4984] = {.lex_state = 96, .external_lex_state = 5},
  [4985] = {.lex_state = 96, .external_lex_state = 5},
  [4986] = {.lex_state = 96, .external_lex_state = 5},
  [4987] = {.lex_state = 96, .external_lex_state = 2},
  [4988] = {.lex_state = 96, .external_lex_state = 2},
  [4989] = {.lex_state = 96, .external_lex_state = 5},
  [4990] = {.lex_state = 96, .external_lex_state = 2},
  [4991] = {.lex_state = 96, .external_lex_state = 2},
  [4992] = {.lex_state = 96, .external_lex_state = 5},
  [4993] = {.lex_state = 96, .external_lex_state = 5},
  [4994] = {.lex_state = 96, .external_lex_state = 2},
  [4995] = {.lex_state = 12, .external_lex_state = 2},
  [4996] = {.lex_state = 96, .external_lex_state = 5},
  [4997] = {.lex_state = 96, .external_lex_state = 2},
  [4998] = {.lex_state = 96, .external_lex_state = 2},
  [4999] = {.lex_state = 96, .external_lex_state = 5},
  [5000] = {.lex_state = 96, .external_lex_state = 2},
  [5001] = {.lex_state = 96, .external_lex_state = 5},
  [5002] = {.lex_state = 96, .external_lex_state = 5},
  [5003] = {.lex_state = 96, .external_lex_state = 5},
  [5004] = {.lex_state = 96, .external_lex_state = 5},
  [5005] = {.lex_state = 96, .external_lex_state = 5},
  [5006] = {.lex_state = 96, .external_lex_state = 5},
  [5007] = {.lex_state = 96, .external_lex_state = 2},
  [5008] = {.lex_state = 96, .external_lex_state = 2},
  [5009] = {.lex_state = 96, .external_lex_state = 5},
  [5010] = {.lex_state = 96, .external_lex_state = 2},
  [5011] = {.lex_state = 96, .external_lex_state = 2},
  [5012] = {.lex_state = 96, .external_lex_state = 5},
  [5013] = {.lex_state = 96, .external_lex_state = 5},
  [5014] = {.lex_state = 96, .external_lex_state = 5},
  [5015] = {.lex_state = 96, .external_lex_state = 5},
  [5016] = {.lex_state = 96, .external_lex_state = 2},
  [5017] = {.lex_state = 96, .external_lex_state = 5},
  [5018] = {.lex_state = 96, .external_lex_state = 5},
  [5019] = {.lex_state = 96, .external_lex_state = 5},
  [5020] = {.lex_state = 96, .external_lex_state = 2},
  [5021] = {.lex_state = 96, .external_lex_state = 5},
  [5022] = {.lex_state = 96, .external_lex_state = 2},
  [5023] = {.lex_state = 96, .external_lex_state = 5},
  [5024] = {.lex_state = 96, .external_lex_state = 5},
  [5025] = {.lex_state = 96, .external_lex_state = 5},
  [5026] = {.lex_state = 96, .external_lex_state = 5},
  [5027] = {.lex_state = 96, .external_lex_state = 5},
  [5028] = {.lex_state = 96, .external_lex_state = 5},
  [5029] = {.lex_state = 96, .external_lex_state = 2},
  [5030] = {.lex_state = 96, .external_lex_state = 5},
  [5031] = {.lex_state = 96, .external_lex_state = 5},
  [5032] = {.lex_state = 96, .external_lex_state = 5},
  [5033] = {.lex_state = 96, .external_lex_state = 5},
  [5034] = {.lex_state = 96, .external_lex_state = 2},
  [5035] = {.lex_state = 96, .external_lex_state = 5},
  [5036] = {.lex_state = 96, .external_lex_state = 5},
  [5037] = {.lex_state = 96, .external_lex_state = 5},
  [5038] = {.lex_state = 96, .external_lex_state = 5},
  [5039] = {.lex_state = 96, .external_lex_state = 5},
  [5040] = {.lex_state = 96, .external_lex_state = 5},
  [5041] = {.lex_state = 96, .external_lex_state = 5},
  [5042] = {.lex_state = 96, .external_lex_state = 5},
  [5043] = {.lex_state = 96, .external_lex_state = 5},
  [5044] = {.lex_state = 96, .external_lex_state = 5},
  [5045] = {.lex_state = 96, .external_lex_state = 5},
  [5046] = {.lex_state = 96, .external_lex_state = 5},
  [5047] = {.lex_state = 96, .external_lex_state = 5},
  [5048] = {.lex_state = 96, .external_lex_state = 5},
  [5049] = {.lex_state = 96, .external_lex_state = 5},
  [5050] = {.lex_state = 96, .external_lex_state = 5},
  [5051] = {.lex_state = 96, .external_lex_state = 5},
  [5052] = {.lex_state = 96, .external_lex_state = 5},
  [5053] = {.lex_state = 96, .external_lex_state = 5},
  [5054] = {.lex_state = 96, .external_lex_state = 5},
  [5055] = {.lex_state = 96, .external_lex_state = 5},
  [5056] = {.lex_state = 96, .external_lex_state = 2},
  [5057] = {.lex_state = 96, .external_lex_state = 5},
  [5058] = {.lex_state = 96, .external_lex_state = 5},
  [5059] = {.lex_state = 96, .external_lex_state = 5},
  [5060] = {.lex_state = 96, .external_lex_state = 5},
  [5061] = {.lex_state = 96, .external_lex_state = 5},
  [5062] = {.lex_state = 96, .external_lex_state = 5},
  [5063] = {.lex_state = 96, .external_lex_state = 5},
  [5064] = {.lex_state = 96, .external_lex_state = 5},
  [5065] = {.lex_state = 96, .external_lex_state = 5},
  [5066] = {.lex_state = 96, .external_lex_state = 5},
  [5067] = {.lex_state = 96, .external_lex_state = 5},
  [5068] = {.lex_state = 96, .external_lex_state = 5},
  [5069] = {.lex_state = 96, .external_lex_state = 5},
  [5070] = {.lex_state = 96, .external_lex_state = 5},
  [5071] = {.lex_state = 96, .external_lex_state = 5},
  [5072] = {.lex_state = 96, .external_lex_state = 5},
  [5073] = {.lex_state = 96, .external_lex_state = 5},
  [5074] = {.lex_state = 96, .external_lex_state = 5},
  [5075] = {.lex_state = 96, .external_lex_state = 5},
  [5076] = {.lex_state = 96, .external_lex_state = 5},
  [5077] = {.lex_state = 96, .external_lex_state = 5},
  [5078] = {.lex_state = 96, .external_lex_state = 5},
  [5079] = {.lex_state = 96, .external_lex_state = 5},
  [5080] = {.lex_state = 96, .external_lex_state = 5},
  [5081] = {.lex_state = 96, .external_lex_state = 5},
  [5082] = {.lex_state = 96, .external_lex_state = 5},
  [5083] = {.lex_state = 96, .external_lex_state = 5},
  [5084] = {.lex_state = 96, .external_lex_state = 5},
  [5085] = {.lex_state = 96, .external_lex_state = 5},
  [5086] = {.lex_state = 96, .external_lex_state = 5},
  [5087] = {.lex_state = 96, .external_lex_state = 5},
  [5088] = {.lex_state = 96, .external_lex_state = 5},
  [5089] = {.lex_state = 96, .external_lex_state = 5},
  [5090] = {.lex_state = 96, .external_lex_state = 5},
  [5091] = {.lex_state = 96, .external_lex_state = 2},
  [5092] = {.lex_state = 96, .external_lex_state = 5},
  [5093] = {.lex_state = 96, .external_lex_state = 5},
  [5094] = {.lex_state = 96, .external_lex_state = 5},
  [5095] = {.lex_state = 96, .external_lex_state = 5},
  [5096] = {.lex_state = 96, .external_lex_state = 5},
  [5097] = {.lex_state = 96, .external_lex_state = 5},
  [5098] = {.lex_state = 96, .external_lex_state = 5},
  [5099] = {.lex_state = 96, .external_lex_state = 5},
  [5100] = {.lex_state = 96, .external_lex_state = 5},
  [5101] = {.lex_state = 96, .external_lex_state = 5},
  [5102] = {.lex_state = 96, .external_lex_state = 5},
  [5103] = {.lex_state = 96, .external_lex_state = 5},
  [5104] = {.lex_state = 96, .external_lex_state = 5},
  [5105] = {.lex_state = 96, .external_lex_state = 5},
  [5106] = {.lex_state = 96, .external_lex_state = 2},
  [5107] = {.lex_state = 96, .external_lex_state = 5},
  [5108] = {.lex_state = 96, .external_lex_state = 5},
  [5109] = {.lex_state = 96, .external_lex_state = 5},
  [5110] = {.lex_state = 4, .external_lex_state = 2},
  [5111] = {.lex_state = 96, .external_lex_state = 5},
  [5112] = {.lex_state = 96, .external_lex_state = 5},
  [5113] = {.lex_state = 96, .external_lex_state = 5},
  [5114] = {.lex_state = 96, .external_lex_state = 5},
  [5115] = {.lex_state = 96, .external_lex_state = 5},
  [5116] = {.lex_state = 4, .external_lex_state = 2},
  [5117] = {.lex_state = 96, .external_lex_state = 5},
  [5118] = {.lex_state = 96, .external_lex_state = 5},
  [5119] = {.lex_state = 96, .external_lex_state = 2},
  [5120] = {.lex_state = 96, .external_lex_state = 5},
  [5121] = {.lex_state = 96, .external_lex_state = 5},
  [5122] = {.lex_state = 96, .external_lex_state = 5},
  [5123] = {.lex_state = 96, .external_lex_state = 5},
  [5124] = {.lex_state = 96, .external_lex_state = 5},
  [5125] = {.lex_state = 96, .external_lex_state = 5},
  [5126] = {.lex_state = 96, .external_lex_state = 5},
  [5127] = {.lex_state = 96, .external_lex_state = 5},
  [5128] = {.lex_state = 96, .external_lex_state = 5},
  [5129] = {.lex_state = 96, .external_lex_state = 5},
  [5130] = {.lex_state = 96, .external_lex_state = 5},
  [5131] = {.lex_state = 96, .external_lex_state = 5},
  [5132] = {.lex_state = 96, .external_lex_state = 2},
  [5133] = {.lex_state = 96, .external_lex_state = 5},
  [5134] = {.lex_state = 96, .external_lex_state = 2},
  [5135] = {.lex_state = 96, .external_lex_state = 5},
  [5136] = {.lex_state = 96, .external_lex_state = 2},
  [5137] = {.lex_state = 96, .external_lex_state = 5},
  [5138] = {.lex_state = 96, .external_lex_state = 2},
  [5139] = {.lex_state = 96, .external_lex_state = 2},
  [5140] = {.lex_state = 96, .external_lex_state = 2},
  [5141] = {.lex_state = 96, .external_lex_state = 2},
  [5142] = {.lex_state = 96, .external_lex_state = 2},
  [5143] = {.lex_state = 96, .external_lex_state = 2},
  [5144] = {.lex_state = 96, .external_lex_state = 5},
  [5145] = {.lex_state = 96, .external_lex_state = 2},
  [5146] = {.lex_state = 96, .external_lex_state = 2},
  [5147] = {.lex_state = 96, .external_lex_state = 2},
  [5148] = {.lex_state = 96, .external_lex_state = 5},
  [5149] = {.lex_state = 96, .external_lex_state = 2},
  [5150] = {.lex_state = 96, .external_lex_state = 2},
  [5151] = {.lex_state = 96, .external_lex_state = 5},
  [5152] = {.lex_state = 96, .external_lex_state = 2},
  [5153] = {.lex_state = 96, .external_lex_state = 5},
  [5154] = {.lex_state = 96, .external_lex_state = 2},
  [5155] = {.lex_state = 96, .external_lex_state = 2},
  [5156] = {.lex_state = 96, .external_lex_state = 2},
  [5157] = {.lex_state = 96, .external_lex_state = 2},
  [5158] = {.lex_state = 96, .external_lex_state = 2},
  [5159] = {.lex_state = 96, .external_lex_state = 2},
  [5160] = {.lex_state = 96, .external_lex_state = 2},
  [5161] = {.lex_state = 96, .external_lex_state = 2},
  [5162] = {.lex_state = 96, .external_lex_state = 2},
  [5163] = {.lex_state = 96, .external_lex_state = 5},
  [5164] = {.lex_state = 96, .external_lex_state = 2},
  [5165] = {.lex_state = 96, .external_lex_state = 2},
  [5166] = {.lex_state = 96, .external_lex_state = 2},
  [5167] = {.lex_state = 96, .external_lex_state = 2},
  [5168] = {.lex_state = 96, .external_lex_state = 2},
  [5169] = {.lex_state = 96, .external_lex_state = 2},
  [5170] = {.lex_state = 96, .external_lex_state = 2},
  [5171] = {.lex_state = 96, .external_lex_state = 2},
  [5172] = {.lex_state = 96, .external_lex_state = 2},
  [5173] = {.lex_state = 96, .external_lex_state = 5},
  [5174] = {.lex_state = 96, .external_lex_state = 2},
  [5175] = {.lex_state = 96, .external_lex_state = 2},
  [5176] = {.lex_state = 96, .external_lex_state = 2},
  [5177] = {.lex_state = 96, .external_lex_state = 5},
  [5178] = {.lex_state = 96, .external_lex_state = 2},
  [5179] = {.lex_state = 96, .external_lex_state = 2},
  [5180] = {.lex_state = 96, .external_lex_state = 2},
  [5181] = {.lex_state = 96, .external_lex_state = 2},
  [5182] = {.lex_state = 96, .external_lex_state = 2},
  [5183] = {.lex_state = 96, .external_lex_state = 2},
  [5184] = {.lex_state = 96, .external_lex_state = 2},
  [5185] = {.lex_state = 96, .external_lex_state = 2},
  [5186] = {.lex_state = 96, .external_lex_state = 5},
  [5187] = {.lex_state = 96, .external_lex_state = 2},
  [5188] = {.lex_state = 96, .external_lex_state = 2},
  [5189] = {.lex_state = 96, .external_lex_state = 2},
  [5190] = {.lex_state = 96, .external_lex_state = 2},
  [5191] = {.lex_state = 96, .external_lex_state = 2},
  [5192] = {.lex_state = 96, .external_lex_state = 2},
  [5193] = {.lex_state = 96, .external_lex_state = 2},
  [5194] = {.lex_state = 96, .external_lex_state = 2},
  [5195] = {.lex_state = 96, .external_lex_state = 5},
  [5196] = {.lex_state = 96, .external_lex_state = 2},
  [5197] = {.lex_state = 96, .external_lex_state = 2},
  [5198] = {.lex_state = 96, .external_lex_state = 5},
  [5199] = {.lex_state = 96, .external_lex_state = 2},
  [5200] = {.lex_state = 96, .external_lex_state = 2},
  [5201] = {.lex_state = 96, .external_lex_state = 2},
  [5202] = {.lex_state = 96, .external_lex_state = 2},
  [5203] = {.lex_state = 96, .external_lex_state = 2},
  [5204] = {.lex_state = 96, .external_lex_state = 2},
  [5205] = {.lex_state = 96, .external_lex_state = 2},
  [5206] = {.lex_state = 96, .external_lex_state = 2},
  [5207] = {.lex_state = 96, .external_lex_state = 2},
  [5208] = {.lex_state = 96, .external_lex_state = 2},
  [5209] = {.lex_state = 96, .external_lex_state = 2},
  [5210] = {.lex_state = 96, .external_lex_state = 2},
  [5211] = {.lex_state = 96, .external_lex_state = 2},
  [5212] = {.lex_state = 96, .external_lex_state = 2},
  [5213] = {.lex_state = 96, .external_lex_state = 2},
  [5214] = {.lex_state = 96, .external_lex_state = 2},
  [5215] = {.lex_state = 96, .external_lex_state = 2},
  [5216] = {.lex_state = 96, .external_lex_state = 2},
  [5217] = {.lex_state = 96, .external_lex_state = 2},
  [5218] = {.lex_state = 96, .external_lex_state = 2},
  [5219] = {.lex_state = 96, .external_lex_state = 2},
  [5220] = {.lex_state = 96, .external_lex_state = 2},
  [5221] = {.lex_state = 96, .external_lex_state = 2},
  [5222] = {.lex_state = 96, .external_lex_state = 2},
  [5223] = {.lex_state = 96, .external_lex_state = 2},
  [5224] = {.lex_state = 96, .external_lex_state = 2},
  [5225] = {.lex_state = 96, .external_lex_state = 2},
  [5226] = {.lex_state = 96, .external_lex_state = 2},
  [5227] = {.lex_state = 96, .external_lex_state = 2},
  [5228] = {.lex_state = 96, .external_lex_state = 2},
  [5229] = {.lex_state = 96, .external_lex_state = 2},
  [5230] = {.lex_state = 96, .external_lex_state = 2},
  [5231] = {.lex_state = 96, .external_lex_state = 2},
  [5232] = {.lex_state = 96, .external_lex_state = 2},
  [5233] = {.lex_state = 96, .external_lex_state = 2},
  [5234] = {.lex_state = 96, .external_lex_state = 2},
  [5235] = {.lex_state = 96, .external_lex_state = 2},
  [5236] = {.lex_state = 96, .external_lex_state = 2},
  [5237] = {.lex_state = 96, .external_lex_state = 2},
  [5238] = {.lex_state = 96, .external_lex_state = 2},
  [5239] = {.lex_state = 96, .external_lex_state = 2},
  [5240] = {.lex_state = 96, .external_lex_state = 2},
  [5241] = {.lex_state = 96, .external_lex_state = 2},
  [5242] = {.lex_state = 96, .external_lex_state = 2},
  [5243] = {.lex_state = 96, .external_lex_state = 2},
  [5244] = {.lex_state = 96, .external_lex_state = 2},
  [5245] = {.lex_state = 96, .external_lex_state = 2},
  [5246] = {.lex_state = 96, .external_lex_state = 2},
  [5247] = {.lex_state = 96, .external_lex_state = 2},
  [5248] = {.lex_state = 96, .external_lex_state = 5},
  [5249] = {.lex_state = 96, .external_lex_state = 5},
  [5250] = {.lex_state = 96, .external_lex_state = 2},
  [5251] = {.lex_state = 96, .external_lex_state = 2},
  [5252] = {.lex_state = 96, .external_lex_state = 2},
  [5253] = {.lex_state = 96, .external_lex_state = 2},
  [5254] = {.lex_state = 96, .external_lex_state = 2},
  [5255] = {.lex_state = 96, .external_lex_state = 2},
  [5256] = {.lex_state = 96, .external_lex_state = 2},
  [5257] = {.lex_state = 96, .external_lex_state = 2},
  [5258] = {.lex_state = 96, .external_lex_state = 2},
  [5259] = {.lex_state = 96, .external_lex_state = 2},
  [5260] = {.lex_state = 96, .external_lex_state = 2},
  [5261] = {.lex_state = 96, .external_lex_state = 2},
  [5262] = {.lex_state = 96, .external_lex_state = 2},
  [5263] = {.lex_state = 96, .external_lex_state = 2},
  [5264] = {.lex_state = 96, .external_lex_state = 2},
  [5265] = {.lex_state = 96, .external_lex_state = 2},
  [5266] = {.lex_state = 96, .external_lex_state = 2},
  [5267] = {.lex_state = 96, .external_lex_state = 2},
  [5268] = {.lex_state = 96, .external_lex_state = 2},
  [5269] = {.lex_state = 96, .external_lex_state = 2},
  [5270] = {.lex_state = 96, .external_lex_state = 2},
  [5271] = {.lex_state = 96, .external_lex_state = 2},
  [5272] = {.lex_state = 96, .external_lex_state = 2},
  [5273] = {.lex_state = 96, .external_lex_state = 2},
  [5274] = {.lex_state = 96, .external_lex_state = 2},
  [5275] = {.lex_state = 96, .external_lex_state = 2},
  [5276] = {.lex_state = 96, .external_lex_state = 2},
  [5277] = {.lex_state = 96, .external_lex_state = 2},
  [5278] = {.lex_state = 96, .external_lex_state = 2},
  [5279] = {.lex_state = 96, .external_lex_state = 5},
  [5280] = {.lex_state = 96, .external_lex_state = 2},
  [5281] = {.lex_state = 96, .external_lex_state = 2},
  [5282] = {.lex_state = 96, .external_lex_state = 2},
  [5283] = {.lex_state = 96, .external_lex_state = 2},
  [5284] = {.lex_state = 96, .external_lex_state = 2},
  [5285] = {.lex_state = 96, .external_lex_state = 2},
  [5286] = {.lex_state = 96, .external_lex_state = 2},
  [5287] = {.lex_state = 96, .external_lex_state = 2},
  [5288] = {.lex_state = 96, .external_lex_state = 5},
  [5289] = {.lex_state = 96, .external_lex_state = 2},
  [5290] = {.lex_state = 96, .external_lex_state = 2},
  [5291] = {.lex_state = 96, .external_lex_state = 2},
  [5292] = {.lex_state = 96, .external_lex_state = 2},
  [5293] = {.lex_state = 96, .external_lex_state = 2},
  [5294] = {.lex_state = 96, .external_lex_state = 2},
  [5295] = {.lex_state = 96, .external_lex_state = 2},
  [5296] = {.lex_state = 96, .external_lex_state = 2},
  [5297] = {.lex_state = 96, .external_lex_state = 2},
  [5298] = {.lex_state = 96, .external_lex_state = 2},
  [5299] = {.lex_state = 96, .external_lex_state = 2},
  [5300] = {.lex_state = 96, .external_lex_state = 2},
  [5301] = {.lex_state = 96, .external_lex_state = 2},
  [5302] = {.lex_state = 96, .external_lex_state = 2},
  [5303] = {.lex_state = 96, .external_lex_state = 5},
  [5304] = {.lex_state = 96, .external_lex_state = 2},
  [5305] = {.lex_state = 96, .external_lex_state = 2},
  [5306] = {.lex_state = 96, .external_lex_state = 2},
  [5307] = {.lex_state = 96, .external_lex_state = 2},
  [5308] = {.lex_state = 96, .external_lex_state = 2},
  [5309] = {.lex_state = 96, .external_lex_state = 2},
  [5310] = {.lex_state = 96, .external_lex_state = 5},
  [5311] = {.lex_state = 96, .external_lex_state = 2},
  [5312] = {.lex_state = 96, .external_lex_state = 5},
  [5313] = {.lex_state = 96, .external_lex_state = 2},
  [5314] = {.lex_state = 96, .external_lex_state = 2},
  [5315] = {.lex_state = 96, .external_lex_state = 2},
  [5316] = {.lex_state = 96, .external_lex_state = 2},
  [5317] = {.lex_state = 96, .external_lex_state = 2},
  [5318] = {.lex_state = 96, .external_lex_state = 2},
  [5319] = {.lex_state = 96, .external_lex_state = 2},
  [5320] = {.lex_state = 96, .external_lex_state = 2},
  [5321] = {.lex_state = 96, .external_lex_state = 2},
  [5322] = {.lex_state = 96, .external_lex_state = 2},
  [5323] = {.lex_state = 96, .external_lex_state = 2},
  [5324] = {.lex_state = 96, .external_lex_state = 2},
  [5325] = {.lex_state = 96, .external_lex_state = 2},
  [5326] = {.lex_state = 96, .external_lex_state = 2},
  [5327] = {.lex_state = 96, .external_lex_state = 2},
  [5328] = {.lex_state = 96, .external_lex_state = 2},
  [5329] = {.lex_state = 96, .external_lex_state = 2},
  [5330] = {.lex_state = 96, .external_lex_state = 2},
  [5331] = {.lex_state = 96, .external_lex_state = 2},
  [5332] = {.lex_state = 96, .external_lex_state = 2},
  [5333] = {.lex_state = 96, .external_lex_state = 2},
  [5334] = {.lex_state = 96, .external_lex_state = 2},
  [5335] = {.lex_state = 96, .external_lex_state = 2},
  [5336] = {.lex_state = 96, .external_lex_state = 2},
  [5337] = {.lex_state = 96, .external_lex_state = 2},
  [5338] = {.lex_state = 96, .external_lex_state = 2},
  [5339] = {.lex_state = 96, .external_lex_state = 2},
  [5340] = {.lex_state = 96, .external_lex_state = 2},
  [5341] = {.lex_state = 96, .external_lex_state = 5},
  [5342] = {.lex_state = 96, .external_lex_state = 2},
  [5343] = {.lex_state = 96, .external_lex_state = 2},
  [5344] = {.lex_state = 96, .external_lex_state = 5},
  [5345] = {.lex_state = 96, .external_lex_state = 5},
  [5346] = {.lex_state = 96, .external_lex_state = 2},
  [5347] = {.lex_state = 96, .external_lex_state = 2},
  [5348] = {.lex_state = 96, .external_lex_state = 2},
  [5349] = {.lex_state = 96, .external_lex_state = 2},
  [5350] = {.lex_state = 96, .external_lex_state = 2},
  [5351] = {.lex_state = 96, .external_lex_state = 2},
  [5352] = {.lex_state = 96, .external_lex_state = 2},
  [5353] = {.lex_state = 96, .external_lex_state = 2},
  [5354] = {.lex_state = 96, .external_lex_state = 2},
  [5355] = {.lex_state = 96, .external_lex_state = 2},
  [5356] = {.lex_state = 96, .external_lex_state = 2},
  [5357] = {.lex_state = 96, .external_lex_state = 2},
  [5358] = {.lex_state = 96, .external_lex_state = 2},
  [5359] = {.lex_state = 96, .external_lex_state = 2},
  [5360] = {.lex_state = 96, .external_lex_state = 2},
  [5361] = {.lex_state = 96, .external_lex_state = 2},
  [5362] = {.lex_state = 96, .external_lex_state = 2},
  [5363] = {.lex_state = 96, .external_lex_state = 2},
  [5364] = {.lex_state = 96, .external_lex_state = 2},
  [5365] = {.lex_state = 96, .external_lex_state = 2},
  [5366] = {.lex_state = 96, .external_lex_state = 2},
  [5367] = {.lex_state = 96, .external_lex_state = 2},
  [5368] = {.lex_state = 96, .external_lex_state = 2},
  [5369] = {.lex_state = 96, .external_lex_state = 2},
  [5370] = {.lex_state = 96, .external_lex_state = 2},
  [5371] = {.lex_state = 96, .external_lex_state = 2},
  [5372] = {.lex_state = 96, .external_lex_state = 2},
  [5373] = {.lex_state = 96, .external_lex_state = 2},
  [5374] = {.lex_state = 96, .external_lex_state = 2},
  [5375] = {.lex_state = 96, .external_lex_state = 2},
  [5376] = {.lex_state = 96, .external_lex_state = 2},
  [5377] = {.lex_state = 96, .external_lex_state = 5},
  [5378] = {.lex_state = 96, .external_lex_state = 2},
  [5379] = {.lex_state = 96, .external_lex_state = 2},
  [5380] = {.lex_state = 96, .external_lex_state = 2},
  [5381] = {.lex_state = 96, .external_lex_state = 2},
  [5382] = {.lex_state = 96, .external_lex_state = 2},
  [5383] = {.lex_state = 96, .external_lex_state = 2},
  [5384] = {.lex_state = 96, .external_lex_state = 2},
  [5385] = {.lex_state = 96, .external_lex_state = 2},
  [5386] = {.lex_state = 96, .external_lex_state = 2},
  [5387] = {.lex_state = 96, .external_lex_state = 2},
  [5388] = {.lex_state = 96, .external_lex_state = 2},
  [5389] = {.lex_state = 96, .external_lex_state = 2},
  [5390] = {.lex_state = 96, .external_lex_state = 2},
  [5391] = {.lex_state = 96, .external_lex_state = 2},
  [5392] = {.lex_state = 96, .external_lex_state = 2},
  [5393] = {.lex_state = 96, .external_lex_state = 2},
  [5394] = {.lex_state = 96, .external_lex_state = 2},
  [5395] = {.lex_state = 96, .external_lex_state = 2},
  [5396] = {.lex_state = 96, .external_lex_state = 2},
  [5397] = {.lex_state = 96, .external_lex_state = 2},
  [5398] = {.lex_state = 96, .external_lex_state = 2},
  [5399] = {.lex_state = 96, .external_lex_state = 2},
  [5400] = {.lex_state = 96, .external_lex_state = 2},
  [5401] = {.lex_state = 96, .external_lex_state = 2},
  [5402] = {.lex_state = 96, .external_lex_state = 2},
  [5403] = {.lex_state = 96, .external_lex_state = 2},
  [5404] = {.lex_state = 96, .external_lex_state = 5},
  [5405] = {.lex_state = 96, .external_lex_state = 2},
  [5406] = {.lex_state = 96, .external_lex_state = 2},
  [5407] = {.lex_state = 96, .external_lex_state = 2},
  [5408] = {.lex_state = 96, .external_lex_state = 2},
  [5409] = {.lex_state = 96, .external_lex_state = 2},
  [5410] = {.lex_state = 96, .external_lex_state = 2},
  [5411] = {.lex_state = 96, .external_lex_state = 2},
  [5412] = {.lex_state = 96, .external_lex_state = 2},
  [5413] = {.lex_state = 96, .external_lex_state = 2},
  [5414] = {.lex_state = 96, .external_lex_state = 2},
  [5415] = {.lex_state = 96, .external_lex_state = 2},
  [5416] = {.lex_state = 96, .external_lex_state = 2},
  [5417] = {.lex_state = 96, .external_lex_state = 2},
  [5418] = {.lex_state = 96, .external_lex_state = 2},
  [5419] = {.lex_state = 96, .external_lex_state = 5},
  [5420] = {.lex_state = 96, .external_lex_state = 2},
  [5421] = {.lex_state = 96, .external_lex_state = 2},
  [5422] = {.lex_state = 96, .external_lex_state = 2},
  [5423] = {.lex_state = 96, .external_lex_state = 2},
  [5424] = {.lex_state = 96, .external_lex_state = 2},
  [5425] = {.lex_state = 96, .external_lex_state = 2},
  [5426] = {.lex_state = 96, .external_lex_state = 2},
  [5427] = {.lex_state = 96, .external_lex_state = 5},
  [5428] = {.lex_state = 96, .external_lex_state = 2},
  [5429] = {.lex_state = 96, .external_lex_state = 2},
  [5430] = {.lex_state = 96, .external_lex_state = 2},
  [5431] = {.lex_state = 96, .external_lex_state = 2},
  [5432] = {.lex_state = 96, .external_lex_state = 2},
  [5433] = {.lex_state = 96, .external_lex_state = 5},
  [5434] = {.lex_state = 96, .external_lex_state = 2},
  [5435] = {.lex_state = 96, .external_lex_state = 2},
  [5436] = {.lex_state = 96, .external_lex_state = 2},
  [5437] = {.lex_state = 96, .external_lex_state = 2},
  [5438] = {.lex_state = 96, .external_lex_state = 2},
  [5439] = {.lex_state = 96, .external_lex_state = 2},
  [5440] = {.lex_state = 96, .external_lex_state = 2},
  [5441] = {.lex_state = 96, .external_lex_state = 2},
  [5442] = {.lex_state = 96, .external_lex_state = 2},
  [5443] = {.lex_state = 96, .external_lex_state = 5},
  [5444] = {.lex_state = 96, .external_lex_state = 2},
  [5445] = {.lex_state = 96, .external_lex_state = 2},
  [5446] = {.lex_state = 96, .external_lex_state = 2},
  [5447] = {.lex_state = 96, .external_lex_state = 2},
  [5448] = {.lex_state = 96, .external_lex_state = 5},
  [5449] = {.lex_state = 96, .external_lex_state = 2},
  [5450] = {.lex_state = 96, .external_lex_state = 2},
  [5451] = {.lex_state = 96, .external_lex_state = 2},
  [5452] = {.lex_state = 96, .external_lex_state = 2},
  [5453] = {.lex_state = 96, .external_lex_state = 2},
  [5454] = {.lex_state = 96, .external_lex_state = 2},
  [5455] = {.lex_state = 96, .external_lex_state = 2},
  [5456] = {.lex_state = 96, .external_lex_state = 2},
  [5457] = {.lex_state = 96, .external_lex_state = 2},
  [5458] = {.lex_state = 96, .external_lex_state = 2},
  [5459] = {.lex_state = 96, .external_lex_state = 2},
  [5460] = {.lex_state = 96, .external_lex_state = 2},
  [5461] = {.lex_state = 96, .external_lex_state = 2},
  [5462] = {.lex_state = 96, .external_lex_state = 2},
  [5463] = {.lex_state = 96, .external_lex_state = 2},
  [5464] = {.lex_state = 96, .external_lex_state = 2},
  [5465] = {.lex_state = 96, .external_lex_state = 2},
  [5466] = {.lex_state = 96, .external_lex_state = 2},
  [5467] = {.lex_state = 96, .external_lex_state = 2},
  [5468] = {.lex_state = 96, .external_lex_state = 2},
  [5469] = {.lex_state = 96, .external_lex_state = 2},
  [5470] = {.lex_state = 96, .external_lex_state = 2},
  [5471] = {.lex_state = 96, .external_lex_state = 2},
  [5472] = {.lex_state = 96, .external_lex_state = 2},
  [5473] = {.lex_state = 96, .external_lex_state = 2},
  [5474] = {.lex_state = 96, .external_lex_state = 2},
  [5475] = {.lex_state = 96, .external_lex_state = 5},
  [5476] = {.lex_state = 96, .external_lex_state = 2},
  [5477] = {.lex_state = 96, .external_lex_state = 2},
  [5478] = {.lex_state = 96, .external_lex_state = 2},
  [5479] = {.lex_state = 96, .external_lex_state = 2},
  [5480] = {.lex_state = 96, .external_lex_state = 2},
  [5481] = {.lex_state = 96, .external_lex_state = 2},
  [5482] = {.lex_state = 96, .external_lex_state = 2},
  [5483] = {.lex_state = 96, .external_lex_state = 2},
  [5484] = {.lex_state = 96, .external_lex_state = 2},
  [5485] = {.lex_state = 96, .external_lex_state = 2},
  [5486] = {.lex_state = 2, .external_lex_state = 10},
  [5487] = {.lex_state = 96, .external_lex_state = 2},
  [5488] = {.lex_state = 96, .external_lex_state = 2},
  [5489] = {.lex_state = 96, .external_lex_state = 2},
  [5490] = {.lex_state = 96, .external_lex_state = 2},
  [5491] = {.lex_state = 96, .external_lex_state = 2},
  [5492] = {.lex_state = 96, .external_lex_state = 2},
  [5493] = {.lex_state = 96, .external_lex_state = 2},
  [5494] = {.lex_state = 96, .external_lex_state = 2},
  [5495] = {.lex_state = 96, .external_lex_state = 2},
  [5496] = {.lex_state = 2, .external_lex_state = 10},
  [5497] = {.lex_state = 96, .external_lex_state = 2},
  [5498] = {.lex_state = 96, .external_lex_state = 2},
  [5499] = {.lex_state = 96, .external_lex_state = 2},
  [5500] = {.lex_state = 96, .external_lex_state = 2},
  [5501] = {.lex_state = 96, .external_lex_state = 2},
  [5502] = {.lex_state = 96, .external_lex_state = 2},
  [5503] = {.lex_state = 96, .external_lex_state = 2},
  [5504] = {.lex_state = 96, .external_lex_state = 2},
  [5505] = {.lex_state = 96, .external_lex_state = 2},
  [5506] = {.lex_state = 96, .external_lex_state = 2},
  [5507] = {.lex_state = 96, .external_lex_state = 2},
  [5508] = {.lex_state = 96, .external_lex_state = 2},
  [5509] = {.lex_state = 96, .external_lex_state = 2},
  [5510] = {.lex_state = 96, .external_lex_state = 2},
  [5511] = {.lex_state = 96, .external_lex_state = 2},
  [5512] = {.lex_state = 96, .external_lex_state = 2},
  [5513] = {.lex_state = 96, .external_lex_state = 2},
  [5514] = {.lex_state = 96, .external_lex_state = 2},
  [5515] = {.lex_state = 96, .external_lex_state = 2},
  [5516] = {.lex_state = 96, .external_lex_state = 2},
  [5517] = {.lex_state = 2, .external_lex_state = 10},
  [5518] = {.lex_state = 96, .external_lex_state = 2},
  [5519] = {.lex_state = 96, .external_lex_state = 2},
  [5520] = {.lex_state = 96, .external_lex_state = 2},
  [5521] = {.lex_state = 96, .external_lex_state = 2},
  [5522] = {.lex_state = 96, .external_lex_state = 2},
  [5523] = {.lex_state = 96, .external_lex_state = 2},
  [5524] = {.lex_state = 96, .external_lex_state = 2},
  [5525] = {.lex_state = 96, .external_lex_state = 2},
  [5526] = {.lex_state = 96, .external_lex_state = 2},
  [5527] = {.lex_state = 96, .external_lex_state = 2},
  [5528] = {.lex_state = 96, .external_lex_state = 2},
  [5529] = {.lex_state = 96, .external_lex_state = 2},
  [5530] = {.lex_state = 96, .external_lex_state = 2},
  [5531] = {.lex_state = 96, .external_lex_state = 2},
  [5532] = {.lex_state = 96, .external_lex_state = 2},
  [5533] = {.lex_state = 96, .external_lex_state = 2},
  [5534] = {.lex_state = 96, .external_lex_state = 2},
  [5535] = {.lex_state = 96, .external_lex_state = 2},
  [5536] = {.lex_state = 96, .external_lex_state = 2},
  [5537] = {.lex_state = 96, .external_lex_state = 2},
  [5538] = {.lex_state = 96, .external_lex_state = 2},
  [5539] = {.lex_state = 96, .external_lex_state = 2},
  [5540] = {.lex_state = 96, .external_lex_state = 2},
  [5541] = {.lex_state = 96, .external_lex_state = 2},
  [5542] = {.lex_state = 96, .external_lex_state = 2},
  [5543] = {.lex_state = 96, .external_lex_state = 2},
  [5544] = {.lex_state = 96, .external_lex_state = 2},
  [5545] = {.lex_state = 96, .external_lex_state = 2},
  [5546] = {.lex_state = 96, .external_lex_state = 2},
  [5547] = {.lex_state = 96, .external_lex_state = 2},
  [5548] = {.lex_state = 96, .external_lex_state = 2},
  [5549] = {.lex_state = 96, .external_lex_state = 2},
  [5550] = {.lex_state = 96, .external_lex_state = 2},
  [5551] = {.lex_state = 96, .external_lex_state = 2},
  [5552] = {.lex_state = 96, .external_lex_state = 2},
  [5553] = {.lex_state = 96, .external_lex_state = 2},
  [5554] = {.lex_state = 96, .external_lex_state = 2},
  [5555] = {.lex_state = 96, .external_lex_state = 2},
  [5556] = {.lex_state = 96, .external_lex_state = 2},
  [5557] = {.lex_state = 96, .external_lex_state = 2},
  [5558] = {.lex_state = 96, .external_lex_state = 2},
  [5559] = {.lex_state = 96, .external_lex_state = 2},
  [5560] = {.lex_state = 96, .external_lex_state = 2},
  [5561] = {.lex_state = 96, .external_lex_state = 2},
  [5562] = {.lex_state = 96, .external_lex_state = 2},
  [5563] = {.lex_state = 96, .external_lex_state = 2},
  [5564] = {.lex_state = 96, .external_lex_state = 2},
  [5565] = {.lex_state = 96, .external_lex_state = 2},
  [5566] = {.lex_state = 96, .external_lex_state = 2},
  [5567] = {.lex_state = 96, .external_lex_state = 2},
  [5568] = {.lex_state = 96, .external_lex_state = 2},
  [5569] = {.lex_state = 96, .external_lex_state = 2},
  [5570] = {.lex_state = 96, .external_lex_state = 2},
  [5571] = {.lex_state = 96, .external_lex_state = 2},
  [5572] = {.lex_state = 96, .external_lex_state = 2},
  [5573] = {.lex_state = 96, .external_lex_state = 2},
  [5574] = {.lex_state = 96, .external_lex_state = 2},
  [5575] = {.lex_state = 96, .external_lex_state = 2},
  [5576] = {.lex_state = 96, .external_lex_state = 2},
  [5577] = {.lex_state = 96, .external_lex_state = 2},
  [5578] = {.lex_state = 96, .external_lex_state = 2},
  [5579] = {.lex_state = 96, .external_lex_state = 2},
  [5580] = {.lex_state = 96, .external_lex_state = 2},
  [5581] = {.lex_state = 28, .external_lex_state = 2},
  [5582] = {.lex_state = 96, .external_lex_state = 2},
  [5583] = {.lex_state = 96, .external_lex_state = 2},
  [5584] = {.lex_state = 96, .external_lex_state = 2},
  [5585] = {.lex_state = 96, .external_lex_state = 2},
  [5586] = {.lex_state = 96, .external_lex_state = 2},
  [5587] = {.lex_state = 96, .external_lex_state = 2},
  [5588] = {.lex_state = 96, .external_lex_state = 2},
  [5589] = {.lex_state = 96, .external_lex_state = 2},
  [5590] = {.lex_state = 96, .external_lex_state = 2},
  [5591] = {.lex_state = 96, .external_lex_state = 2},
  [5592] = {.lex_state = 96, .external_lex_state = 2},
  [5593] = {.lex_state = 96, .external_lex_state = 2},
  [5594] = {.lex_state = 96, .external_lex_state = 2},
  [5595] = {.lex_state = 96, .external_lex_state = 2},
  [5596] = {.lex_state = 96, .external_lex_state = 2},
  [5597] = {.lex_state = 96, .external_lex_state = 2},
  [5598] = {.lex_state = 96, .external_lex_state = 2},
  [5599] = {.lex_state = 96, .external_lex_state = 2},
  [5600] = {.lex_state = 96, .external_lex_state = 2},
  [5601] = {.lex_state = 96, .external_lex_state = 2},
  [5602] = {.lex_state = 96, .external_lex_state = 2},
  [5603] = {.lex_state = 96, .external_lex_state = 2},
  [5604] = {.lex_state = 96, .external_lex_state = 2},
  [5605] = {.lex_state = 96, .external_lex_state = 2},
  [5606] = {.lex_state = 96, .external_lex_state = 2},
  [5607] = {.lex_state = 96, .external_lex_state = 2},
  [5608] = {.lex_state = 96, .external_lex_state = 2},
  [5609] = {.lex_state = 96, .external_lex_state = 2},
  [5610] = {.lex_state = 96, .external_lex_state = 2},
  [5611] = {.lex_state = 28, .external_lex_state = 2},
  [5612] = {.lex_state = 96, .external_lex_state = 2},
  [5613] = {.lex_state = 96, .external_lex_state = 2},
  [5614] = {.lex_state = 96, .external_lex_state = 2},
  [5615] = {.lex_state = 96, .external_lex_state = 2},
  [5616] = {.lex_state = 96, .external_lex_state = 2},
  [5617] = {.lex_state = 96, .external_lex_state = 2},
  [5618] = {.lex_state = 96, .external_lex_state = 2},
  [5619] = {.lex_state = 96, .external_lex_state = 2},
  [5620] = {.lex_state = 96, .external_lex_state = 2},
  [5621] = {.lex_state = 96, .external_lex_state = 2},
  [5622] = {.lex_state = 96, .external_lex_state = 2},
  [5623] = {.lex_state = 96, .external_lex_state = 2},
  [5624] = {.lex_state = 96, .external_lex_state = 2},
  [5625] = {.lex_state = 96, .external_lex_state = 2},
  [5626] = {.lex_state = 2, .external_lex_state = 10},
  [5627] = {.lex_state = 96, .external_lex_state = 2},
  [5628] = {.lex_state = 96, .external_lex_state = 2},
  [5629] = {.lex_state = 96, .external_lex_state = 2},
  [5630] = {.lex_state = 96, .external_lex_state = 2},
  [5631] = {.lex_state = 96, .external_lex_state = 2},
  [5632] = {.lex_state = 96, .external_lex_state = 2},
  [5633] = {.lex_state = 96, .external_lex_state = 2},
  [5634] = {.lex_state = 96, .external_lex_state = 2},
  [5635] = {.lex_state = 96, .external_lex_state = 2},
  [5636] = {.lex_state = 96, .external_lex_state = 2},
  [5637] = {.lex_state = 96, .external_lex_state = 2},
  [5638] = {.lex_state = 96, .external_lex_state = 2},
  [5639] = {.lex_state = 96, .external_lex_state = 2},
  [5640] = {.lex_state = 96, .external_lex_state = 2},
  [5641] = {.lex_state = 96, .external_lex_state = 2},
  [5642] = {.lex_state = 96, .external_lex_state = 2},
  [5643] = {.lex_state = 96, .external_lex_state = 2},
  [5644] = {.lex_state = 96, .external_lex_state = 2},
  [5645] = {.lex_state = 96, .external_lex_state = 2},
  [5646] = {.lex_state = 96, .external_lex_state = 2},
  [5647] = {.lex_state = 96, .external_lex_state = 2},
  [5648] = {.lex_state = 96, .external_lex_state = 2},
  [5649] = {.lex_state = 96, .external_lex_state = 2},
  [5650] = {.lex_state = 96, .external_lex_state = 2},
  [5651] = {.lex_state = 96, .external_lex_state = 2},
  [5652] = {.lex_state = 96, .external_lex_state = 2},
  [5653] = {.lex_state = 96, .external_lex_state = 2},
  [5654] = {.lex_state = 96, .external_lex_state = 2},
  [5655] = {.lex_state = 96, .external_lex_state = 2},
  [5656] = {.lex_state = 96, .external_lex_state = 2},
  [5657] = {.lex_state = 96, .external_lex_state = 2},
  [5658] = {.lex_state = 96, .external_lex_state = 2},
  [5659] = {.lex_state = 96, .external_lex_state = 2},
  [5660] = {.lex_state = 96, .external_lex_state = 2},
  [5661] = {.lex_state = 96, .external_lex_state = 2},
  [5662] = {.lex_state = 96, .external_lex_state = 2},
  [5663] = {.lex_state = 96, .external_lex_state = 2},
  [5664] = {.lex_state = 96, .external_lex_state = 2},
  [5665] = {.lex_state = 96, .external_lex_state = 2},
  [5666] = {.lex_state = 96, .external_lex_state = 2},
  [5667] = {.lex_state = 96, .external_lex_state = 2},
  [5668] = {.lex_state = 28, .external_lex_state = 2},
  [5669] = {.lex_state = 28, .external_lex_state = 2},
  [5670] = {.lex_state = 96, .external_lex_state = 2},
  [5671] = {.lex_state = 2, .external_lex_state = 10},
  [5672] = {.lex_state = 96, .external_lex_state = 2},
  [5673] = {.lex_state = 96, .external_lex_state = 2},
  [5674] = {.lex_state = 96, .external_lex_state = 2},
  [5675] = {.lex_state = 96, .external_lex_state = 2},
  [5676] = {.lex_state = 96, .external_lex_state = 2},
  [5677] = {.lex_state = 96, .external_lex_state = 2},
  [5678] = {.lex_state = 96, .external_lex_state = 2},
  [5679] = {.lex_state = 96, .external_lex_state = 2},
  [5680] = {.lex_state = 96, .external_lex_state = 2},
  [5681] = {.lex_state = 96, .external_lex_state = 2},
  [5682] = {.lex_state = 96, .external_lex_state = 2},
  [5683] = {.lex_state = 96, .external_lex_state = 2},
  [5684] = {.lex_state = 96, .external_lex_state = 2},
  [5685] = {.lex_state = 96, .external_lex_state = 2},
  [5686] = {.lex_state = 96, .external_lex_state = 2},
  [5687] = {.lex_state = 96, .external_lex_state = 2},
  [5688] = {.lex_state = 96, .external_lex_state = 2},
  [5689] = {.lex_state = 96, .external_lex_state = 2},
  [5690] = {.lex_state = 96, .external_lex_state = 2},
  [5691] = {.lex_state = 96, .external_lex_state = 2},
  [5692] = {.lex_state = 96, .external_lex_state = 2},
  [5693] = {.lex_state = 96, .external_lex_state = 2},
  [5694] = {.lex_state = 96, .external_lex_state = 2},
  [5695] = {.lex_state = 96, .external_lex_state = 2},
  [5696] = {.lex_state = 96, .external_lex_state = 2},
  [5697] = {.lex_state = 96, .external_lex_state = 2},
  [5698] = {.lex_state = 96, .external_lex_state = 2},
  [5699] = {.lex_state = 96, .external_lex_state = 2},
  [5700] = {.lex_state = 96, .external_lex_state = 2},
  [5701] = {.lex_state = 96, .external_lex_state = 2},
  [5702] = {.lex_state = 96, .external_lex_state = 2},
  [5703] = {.lex_state = 96, .external_lex_state = 2},
  [5704] = {.lex_state = 96, .external_lex_state = 2},
  [5705] = {.lex_state = 96, .external_lex_state = 2},
  [5706] = {.lex_state = 96, .external_lex_state = 2},
  [5707] = {.lex_state = 96, .external_lex_state = 2},
  [5708] = {.lex_state = 96, .external_lex_state = 2},
  [5709] = {.lex_state = 96, .external_lex_state = 2},
  [5710] = {.lex_state = 96, .external_lex_state = 2},
  [5711] = {.lex_state = 96, .external_lex_state = 2},
  [5712] = {.lex_state = 96, .external_lex_state = 2},
  [5713] = {.lex_state = 96, .external_lex_state = 2},
  [5714] = {.lex_state = 96, .external_lex_state = 2},
  [5715] = {.lex_state = 96, .external_lex_state = 2},
  [5716] = {.lex_state = 96, .external_lex_state = 2},
  [5717] = {.lex_state = 96, .external_lex_state = 2},
  [5718] = {.lex_state = 96, .external_lex_state = 2},
  [5719] = {.lex_state = 96, .external_lex_state = 2},
  [5720] = {.lex_state = 96, .external_lex_state = 2},
  [5721] = {.lex_state = 96, .external_lex_state = 2},
  [5722] = {.lex_state = 96, .external_lex_state = 2},
  [5723] = {.lex_state = 96, .external_lex_state = 2},
  [5724] = {.lex_state = 96, .external_lex_state = 2},
  [5725] = {.lex_state = 96, .external_lex_state = 2},
  [5726] = {.lex_state = 96, .external_lex_state = 2},
  [5727] = {.lex_state = 96, .external_lex_state = 2},
  [5728] = {.lex_state = 96, .external_lex_state = 2},
  [5729] = {.lex_state = 96, .external_lex_state = 2},
  [5730] = {.lex_state = 96, .external_lex_state = 2},
  [5731] = {.lex_state = 96, .external_lex_state = 2},
  [5732] = {.lex_state = 96, .external_lex_state = 2},
  [5733] = {.lex_state = 96, .external_lex_state = 2},
  [5734] = {.lex_state = 96, .external_lex_state = 2},
  [5735] = {.lex_state = 96, .external_lex_state = 2},
  [5736] = {.lex_state = 96, .external_lex_state = 2},
  [5737] = {.lex_state = 96, .external_lex_state = 2},
  [5738] = {.lex_state = 96, .external_lex_state = 2},
  [5739] = {.lex_state = 96, .external_lex_state = 2},
  [5740] = {.lex_state = 96, .external_lex_state = 2},
  [5741] = {.lex_state = 96, .external_lex_state = 2},
  [5742] = {.lex_state = 96, .external_lex_state = 2},
  [5743] = {.lex_state = 96, .external_lex_state = 2},
  [5744] = {.lex_state = 96, .external_lex_state = 2},
  [5745] = {.lex_state = 96, .external_lex_state = 2},
  [5746] = {.lex_state = 96, .external_lex_state = 2},
  [5747] = {.lex_state = 96, .external_lex_state = 2},
  [5748] = {.lex_state = 96, .external_lex_state = 2},
  [5749] = {.lex_state = 96, .external_lex_state = 2},
  [5750] = {.lex_state = 96, .external_lex_state = 2},
  [5751] = {.lex_state = 96, .external_lex_state = 2},
  [5752] = {.lex_state = 96, .external_lex_state = 2},
  [5753] = {.lex_state = 96, .external_lex_state = 2},
  [5754] = {.lex_state = 96, .external_lex_state = 2},
  [5755] = {.lex_state = 96, .external_lex_state = 2},
  [5756] = {.lex_state = 96, .external_lex_state = 2},
  [5757] = {.lex_state = 96, .external_lex_state = 2},
  [5758] = {.lex_state = 96, .external_lex_state = 2},
  [5759] = {.lex_state = 96, .external_lex_state = 2},
  [5760] = {.lex_state = 96, .external_lex_state = 2},
  [5761] = {.lex_state = 96, .external_lex_state = 2},
  [5762] = {.lex_state = 96, .external_lex_state = 2},
  [5763] = {.lex_state = 96, .external_lex_state = 2},
  [5764] = {.lex_state = 96, .external_lex_state = 2},
  [5765] = {.lex_state = 96, .external_lex_state = 2},
  [5766] = {.lex_state = 96, .external_lex_state = 2},
  [5767] = {.lex_state = 96, .external_lex_state = 2},
  [5768] = {.lex_state = 96, .external_lex_state = 2},
  [5769] = {.lex_state = 96, .external_lex_state = 2},
  [5770] = {.lex_state = 96, .external_lex_state = 2},
  [5771] = {.lex_state = 96, .external_lex_state = 2},
  [5772] = {.lex_state = 96, .external_lex_state = 2},
  [5773] = {.lex_state = 96, .external_lex_state = 2},
  [5774] = {.lex_state = 96, .external_lex_state = 2},
  [5775] = {.lex_state = 96, .external_lex_state = 2},
  [5776] = {.lex_state = 96, .external_lex_state = 2},
  [5777] = {.lex_state = 96, .external_lex_state = 2},
  [5778] = {.lex_state = 96, .external_lex_state = 2},
  [5779] = {.lex_state = 96, .external_lex_state = 2},
  [5780] = {.lex_state = 96, .external_lex_state = 2},
  [5781] = {.lex_state = 96, .external_lex_state = 2},
  [5782] = {.lex_state = 96, .external_lex_state = 2},
  [5783] = {.lex_state = 96, .external_lex_state = 2},
  [5784] = {.lex_state = 96, .external_lex_state = 2},
  [5785] = {.lex_state = 96, .external_lex_state = 2},
  [5786] = {.lex_state = 96, .external_lex_state = 2},
  [5787] = {.lex_state = 96, .external_lex_state = 2},
  [5788] = {.lex_state = 96, .external_lex_state = 2},
  [5789] = {.lex_state = 96, .external_lex_state = 2},
  [5790] = {.lex_state = 96, .external_lex_state = 2},
  [5791] = {.lex_state = 96, .external_lex_state = 2},
  [5792] = {.lex_state = 96, .external_lex_state = 2},
  [5793] = {.lex_state = 96, .external_lex_state = 2},
  [5794] = {.lex_state = 96, .external_lex_state = 2},
  [5795] = {.lex_state = 96, .external_lex_state = 2},
  [5796] = {.lex_state = 96, .external_lex_state = 2},
  [5797] = {.lex_state = 96, .external_lex_state = 2},
  [5798] = {.lex_state = 96, .external_lex_state = 2},
  [5799] = {.lex_state = 96, .external_lex_state = 2},
  [5800] = {.lex_state = 96, .external_lex_state = 2},
  [5801] = {.lex_state = 96, .external_lex_state = 2},
  [5802] = {.lex_state = 96, .external_lex_state = 2},
  [5803] = {.lex_state = 96, .external_lex_state = 2},
  [5804] = {.lex_state = 96, .external_lex_state = 2},
  [5805] = {.lex_state = 96, .external_lex_state = 2},
  [5806] = {.lex_state = 96, .external_lex_state = 2},
  [5807] = {.lex_state = 96, .external_lex_state = 2},
  [5808] = {.lex_state = 96, .external_lex_state = 2},
  [5809] = {.lex_state = 96, .external_lex_state = 2},
  [5810] = {.lex_state = 96, .external_lex_state = 2},
  [5811] = {.lex_state = 96, .external_lex_state = 2},
  [5812] = {.lex_state = 96, .external_lex_state = 2},
  [5813] = {.lex_state = 96, .external_lex_state = 2},
  [5814] = {.lex_state = 96, .external_lex_state = 2},
  [5815] = {.lex_state = 96, .external_lex_state = 2},
  [5816] = {.lex_state = 96, .external_lex_state = 2},
  [5817] = {.lex_state = 96, .external_lex_state = 2},
  [5818] = {.lex_state = 96, .external_lex_state = 2},
  [5819] = {.lex_state = 96, .external_lex_state = 2},
  [5820] = {.lex_state = 96, .external_lex_state = 2},
  [5821] = {.lex_state = 96, .external_lex_state = 2},
  [5822] = {.lex_state = 96, .external_lex_state = 2},
  [5823] = {.lex_state = 96, .external_lex_state = 2},
  [5824] = {.lex_state = 96, .external_lex_state = 2},
  [5825] = {.lex_state = 96, .external_lex_state = 2},
  [5826] = {.lex_state = 96, .external_lex_state = 2},
  [5827] = {.lex_state = 96, .external_lex_state = 2},
  [5828] = {.lex_state = 96, .external_lex_state = 2},
  [5829] = {.lex_state = 96, .external_lex_state = 2},
  [5830] = {.lex_state = 96, .external_lex_state = 2},
  [5831] = {.lex_state = 96, .external_lex_state = 2},
  [5832] = {.lex_state = 96, .external_lex_state = 2},
  [5833] = {.lex_state = 96, .external_lex_state = 2},
  [5834] = {.lex_state = 28, .external_lex_state = 2},
  [5835] = {.lex_state = 96, .external_lex_state = 2},
  [5836] = {.lex_state = 96, .external_lex_state = 2},
  [5837] = {.lex_state = 96, .external_lex_state = 2},
  [5838] = {.lex_state = 96, .external_lex_state = 2},
  [5839] = {.lex_state = 96, .external_lex_state = 2},
  [5840] = {.lex_state = 96, .external_lex_state = 2},
  [5841] = {.lex_state = 96, .external_lex_state = 2},
  [5842] = {.lex_state = 96, .external_lex_state = 2},
  [5843] = {.lex_state = 96, .external_lex_state = 2},
  [5844] = {.lex_state = 96, .external_lex_state = 2},
  [5845] = {.lex_state = 96, .external_lex_state = 2},
  [5846] = {.lex_state = 96, .external_lex_state = 2},
  [5847] = {.lex_state = 96, .external_lex_state = 2},
  [5848] = {.lex_state = 96, .external_lex_state = 2},
  [5849] = {.lex_state = 96, .external_lex_state = 2},
  [5850] = {.lex_state = 96, .external_lex_state = 2},
  [5851] = {.lex_state = 96, .external_lex_state = 2},
  [5852] = {.lex_state = 96, .external_lex_state = 2},
  [5853] = {.lex_state = 96, .external_lex_state = 2},
  [5854] = {.lex_state = 96, .external_lex_state = 2},
  [5855] = {.lex_state = 96, .external_lex_state = 2},
  [5856] = {.lex_state = 96, .external_lex_state = 2},
  [5857] = {.lex_state = 96, .external_lex_state = 2},
  [5858] = {.lex_state = 96, .external_lex_state = 2},
  [5859] = {.lex_state = 96, .external_lex_state = 2},
  [5860] = {.lex_state = 96, .external_lex_state = 2},
  [5861] = {.lex_state = 96, .external_lex_state = 2},
  [5862] = {.lex_state = 96, .external_lex_state = 2},
  [5863] = {.lex_state = 96, .external_lex_state = 2},
  [5864] = {.lex_state = 96, .external_lex_state = 2},
  [5865] = {.lex_state = 96, .external_lex_state = 2},
  [5866] = {.lex_state = 96, .external_lex_state = 2},
  [5867] = {.lex_state = 96, .external_lex_state = 2},
  [5868] = {.lex_state = 96, .external_lex_state = 2},
  [5869] = {.lex_state = 96, .external_lex_state = 2},
  [5870] = {.lex_state = 96, .external_lex_state = 2},
  [5871] = {.lex_state = 96, .external_lex_state = 2},
  [5872] = {.lex_state = 96, .external_lex_state = 2},
  [5873] = {.lex_state = 96, .external_lex_state = 2},
  [5874] = {.lex_state = 96, .external_lex_state = 2},
  [5875] = {.lex_state = 96, .external_lex_state = 2},
  [5876] = {.lex_state = 96, .external_lex_state = 2},
  [5877] = {.lex_state = 96, .external_lex_state = 2},
  [5878] = {.lex_state = 96, .external_lex_state = 2},
  [5879] = {.lex_state = 96, .external_lex_state = 2},
  [5880] = {.lex_state = 96, .external_lex_state = 2},
  [5881] = {.lex_state = 96, .external_lex_state = 2},
};

static const uint16_t ts_parse_table[LARGE_STATE_COUNT][SYMBOL_COUNT] = {
  [0] = {
    [ts_builtin_sym_end] = ACTIONS(1),
    [sym_identifier] = ACTIONS(1),
    [sym_hash_bang_line] = ACTIONS(1),
    [anon_sym_export] = ACTIONS(1),
    [anon_sym_STAR] = ACTIONS(1),
    [anon_sym_default] = ACTIONS(1),
    [anon_sym_type] = ACTIONS(1),
    [anon_sym_EQ] = ACTIONS(1),
    [anon_sym_as] = ACTIONS(1),
    [anon_sym_namespace] = ACTIONS(1),
    [anon_sym_LBRACE] = ACTIONS(1),
    [anon_sym_COMMA] = ACTIONS(1),
    [anon_sym_RBRACE] = ACTIONS(1),
    [anon_sym_typeof] = ACTIONS(1),
    [anon_sym_import] = ACTIONS(1),
    [anon_sym_from] = ACTIONS(1),
    [anon_sym_with] = ACTIONS(1),
    [anon_sym_assert] = ACTIONS(1),
    [anon_sym_var] = ACTIONS(1),
    [anon_sym_let] = ACTIONS(1),
    [anon_sym_const] = ACTIONS(1),
    [anon_sym_BANG] = ACTIONS(1),
    [anon_sym_else] = ACTIONS(1),
    [anon_sym_if] = ACTIONS(1),
    [anon_sym_switch] = ACTIONS(1),
    [anon_sym_for] = ACTIONS(1),
    [anon_sym_LPAREN] = ACTIONS(1),
    [anon_sym_SEMI] = ACTIONS(1),
    [anon_sym_RPAREN] = ACTIONS(1),
    [anon_sym_await] = ACTIONS(1),
    [anon_sym_in] = ACTIONS(1),
    [anon_sym_of] = ACTIONS(1),
    [anon_sym_while] = ACTIONS(1),
    [anon_sym_do] = ACTIONS(1),
    [anon_sym_try] = ACTIONS(1),
    [anon_sym_break] = ACTIONS(1),
    [anon_sym_continue] = ACTIONS(1),
    [anon_sym_debugger] = ACTIONS(1),
    [anon_sym_return] = ACTIONS(1),
    [anon_sym_throw] = ACTIONS(1),
    [anon_sym_COLON] = ACTIONS(1),
    [anon_sym_case] = ACTIONS(1),
    [anon_sym_catch] = ACTIONS(1),
    [anon_sym_finally] = ACTIONS(1),
    [anon_sym_yield] = ACTIONS(1),
    [anon_sym_LBRACK] = ACTIONS(1),
    [anon_sym_RBRACK] = ACTIONS(1),
    [sym_glimmer_opening_tag] = ACTIONS(1),
    [anon_sym_GT] = ACTIONS(1),
    [anon_sym_DOT] = ACTIONS(1),
    [anon_sym_DQUOTE] = ACTIONS(1),
    [anon_sym_SQUOTE] = ACTIONS(1),
    [anon_sym_class] = ACTIONS(1),
    [anon_sym_async] = ACTIONS(1),
    [anon_sym_function] = ACTIONS(1),
    [anon_sym_EQ_GT] = ACTIONS(1),
    [anon_sym_QMARK_DOT] = ACTIONS(1),
    [anon_sym_new] = ACTIONS(1),
    [anon_sym_using] = ACTIONS(1),
    [anon_sym_PLUS_EQ] = ACTIONS(1),
    [anon_sym_DASH_EQ] = ACTIONS(1),
    [anon_sym_STAR_EQ] = ACTIONS(1),
    [anon_sym_SLASH_EQ] = ACTIONS(1),
    [anon_sym_PERCENT_EQ] = ACTIONS(1),
    [anon_sym_CARET_EQ] = ACTIONS(1),
    [anon_sym_AMP_EQ] = ACTIONS(1),
    [anon_sym_PIPE_EQ] = ACTIONS(1),
    [anon_sym_GT_GT_EQ] = ACTIONS(1),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1),
    [anon_sym_LT_LT_EQ] = ACTIONS(1),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1),
    [anon_sym_AMP_AMP] = ACTIONS(1),
    [anon_sym_PIPE_PIPE] = ACTIONS(1),
    [anon_sym_GT_GT] = ACTIONS(1),
    [anon_sym_GT_GT_GT] = ACTIONS(1),
    [anon_sym_LT_LT] = ACTIONS(1),
    [anon_sym_AMP] = ACTIONS(1),
    [anon_sym_CARET] = ACTIONS(1),
    [anon_sym_PIPE] = ACTIONS(1),
    [anon_sym_PLUS] = ACTIONS(1),
    [anon_sym_DASH] = ACTIONS(1),
    [anon_sym_SLASH] = ACTIONS(1),
    [anon_sym_PERCENT] = ACTIONS(1),
    [anon_sym_STAR_STAR] = ACTIONS(1),
    [anon_sym_LT] = ACTIONS(1),
    [anon_sym_LT_EQ] = ACTIONS(1),
    [anon_sym_EQ_EQ] = ACTIONS(1),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1),
    [anon_sym_BANG_EQ] = ACTIONS(1),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1),
    [anon_sym_GT_EQ] = ACTIONS(1),
    [anon_sym_QMARK_QMARK] = ACTIONS(1),
    [anon_sym_instanceof] = ACTIONS(1),
    [anon_sym_TILDE] = ACTIONS(1),
    [anon_sym_void] = ACTIONS(1),
    [anon_sym_delete] = ACTIONS(1),
    [anon_sym_PLUS_PLUS] = ACTIONS(1),
    [anon_sym_DASH_DASH] = ACTIONS(1),
    [sym_escape_sequence] = ACTIONS(1),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(1),
    [anon_sym_SLASH2] = ACTIONS(1),
    [sym_number] = ACTIONS(1),
    [sym_private_property_identifier] = ACTIONS(1),
    [anon_sym_target] = ACTIONS(1),
    [anon_sym_meta] = ACTIONS(1),
    [sym_this] = ACTIONS(1),
    [sym_super] = ACTIONS(1),
    [sym_true] = ACTIONS(1),
    [sym_false] = ACTIONS(1),
    [sym_null] = ACTIONS(1),
    [sym_undefined] = ACTIONS(1),
    [anon_sym_AT] = ACTIONS(1),
    [anon_sym_static] = ACTIONS(1),
    [anon_sym_readonly] = ACTIONS(1),
    [anon_sym_get] = ACTIONS(1),
    [anon_sym_set] = ACTIONS(1),
    [anon_sym_QMARK] = ACTIONS(1),
    [anon_sym_declare] = ACTIONS(1),
    [anon_sym_public] = ACTIONS(1),
    [anon_sym_private] = ACTIONS(1),
    [anon_sym_protected] = ACTIONS(1),
    [anon_sym_override] = ACTIONS(1),
    [anon_sym_module] = ACTIONS(1),
    [anon_sym_any] = ACTIONS(1),
    [anon_sym_number] = ACTIONS(1),
    [anon_sym_boolean] = ACTIONS(1),
    [anon_sym_string] = ACTIONS(1),
    [anon_sym_symbol] = ACTIONS(1),
    [anon_sym_object] = ACTIONS(1),
    [anon_sym_abstract] = ACTIONS(1),
    [anon_sym_accessor] = ACTIONS(1),
    [anon_sym_satisfies] = ACTIONS(1),
    [anon_sym_require] = ACTIONS(1),
    [anon_sym_extends] = ACTIONS(1),
    [anon_sym_implements] = ACTIONS(1),
    [anon_sym_global] = ACTIONS(1),
    [anon_sym_interface] = ACTIONS(1),
    [anon_sym_enum] = ACTIONS(1),
    [anon_sym_DASH_QMARK_COLON] = ACTIONS(1),
    [anon_sym_PLUS_QMARK_COLON] = ACTIONS(1),
    [anon_sym_asserts] = ACTIONS(1),
    [anon_sym_infer] = ACTIONS(1),
    [anon_sym_is] = ACTIONS(1),
    [anon_sym_keyof] = ACTIONS(1),
    [anon_sym_unique] = ACTIONS(1),
    [anon_sym_unknown] = ACTIONS(1),
    [anon_sym_never] = ACTIONS(1),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1),
    [anon_sym_PIPE_RBRACE] = ACTIONS(1),
    [sym__automatic_semicolon] = ACTIONS(1),
    [sym__template_chars] = ACTIONS(1),
    [sym__ternary_qmark] = ACTIONS(1),
    [sym_html_comment] = ACTIONS(5),
    [sym_jsx_text] = ACTIONS(1),
    [sym__function_signature_automatic_semicolon] = ACTIONS(1),
    [sym___error_recovery] = ACTIONS(1),
  },
  [1] = {
    [sym_program] = STATE(5731),
    [sym_export_statement] = STATE(888),
    [sym_declaration] = STATE(888),
    [sym_import] = STATE(3513),
    [sym_import_statement] = STATE(888),
    [sym_statement] = STATE(17),
    [sym_expression_statement] = STATE(888),
    [sym_variable_declaration] = STATE(836),
    [sym_lexical_declaration] = STATE(836),
    [sym_statement_block] = STATE(888),
    [sym_if_statement] = STATE(888),
    [sym_switch_statement] = STATE(888),
    [sym_for_statement] = STATE(888),
    [sym_for_in_statement] = STATE(888),
    [sym_while_statement] = STATE(888),
    [sym_do_statement] = STATE(888),
    [sym_try_statement] = STATE(888),
    [sym_with_statement] = STATE(888),
    [sym_break_statement] = STATE(888),
    [sym_continue_statement] = STATE(888),
    [sym_debugger_statement] = STATE(888),
    [sym_return_statement] = STATE(888),
    [sym_throw_statement] = STATE(888),
    [sym_empty_statement] = STATE(888),
    [sym_labeled_statement] = STATE(888),
    [sym_parenthesized_expression] = STATE(1353),
    [sym_expression] = STATE(1940),
    [sym_primary_expression] = STATE(1833),
    [sym_yield_expression] = STATE(2130),
    [sym_object] = STATE(2117),
    [sym_object_pattern] = STATE(5484),
    [sym_array] = STATE(2117),
    [sym_array_pattern] = STATE(5484),
    [sym_glimmer_template] = STATE(2130),
    [sym_class] = STATE(2117),
    [sym_class_declaration] = STATE(836),
    [sym_function_expression] = STATE(2117),
    [sym_function_declaration] = STATE(836),
    [sym_generator_function] = STATE(2117),
    [sym_generator_function_declaration] = STATE(836),
    [sym_arrow_function] = STATE(2117),
    [sym__call_signature] = STATE(5525),
    [sym_call_expression] = STATE(2117),
    [sym_new_expression] = STATE(1963),
    [sym_await_expression] = STATE(2130),
    [sym_member_expression] = STATE(1353),
    [sym_subscript_expression] = STATE(1353),
    [sym_assignment_expression] = STATE(2130),
    [sym__augmented_assignment_lhs] = STATE(3036),
    [sym_augmented_assignment_expression] = STATE(2130),
    [sym__destructuring_pattern] = STATE(5484),
    [sym_ternary_expression] = STATE(2130),
    [sym_binary_expression] = STATE(2130),
    [sym_unary_expression] = STATE(2130),
    [sym_update_expression] = STATE(2130),
    [sym_sequence_expression] = STATE(5427),
    [sym_string] = STATE(2117),
    [sym_template_string] = STATE(2117),
    [sym_regex] = STATE(2117),
    [sym_meta_property] = STATE(2117),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1353),
    [sym_function_signature] = STATE(836),
    [sym_type_assertion] = STATE(2130),
    [sym_as_expression] = STATE(2130),
    [sym_satisfies_expression] = STATE(2130),
    [sym_instantiation_expression] = STATE(2130),
    [sym_ambient_declaration] = STATE(836),
    [sym_abstract_class_declaration] = STATE(836),
    [sym_module] = STATE(836),
    [sym_internal_module] = STATE(239),
    [sym_import_alias] = STATE(836),
    [sym_interface_declaration] = STATE(836),
    [sym_enum_declaration] = STATE(836),
    [sym_type_alias_declaration] = STATE(836),
    [sym_type_arguments] = STATE(427),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_program_repeat1] = STATE(17),
    [aux_sym_export_statement_repeat1] = STATE(3871),
    [ts_builtin_sym_end] = ACTIONS(7),
    [sym_identifier] = ACTIONS(9),
    [sym_hash_bang_line] = ACTIONS(11),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_SEMI] = ACTIONS(43),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_do] = ACTIONS(49),
    [anon_sym_try] = ACTIONS(51),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_debugger] = ACTIONS(57),
    [anon_sym_return] = ACTIONS(59),
    [anon_sym_throw] = ACTIONS(61),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_async] = ACTIONS(75),
    [anon_sym_function] = ACTIONS(77),
    [anon_sym_new] = ACTIONS(79),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(101),
    [anon_sym_readonly] = ACTIONS(101),
    [anon_sym_get] = ACTIONS(101),
    [anon_sym_set] = ACTIONS(101),
    [anon_sym_declare] = ACTIONS(103),
    [anon_sym_public] = ACTIONS(101),
    [anon_sym_private] = ACTIONS(101),
    [anon_sym_protected] = ACTIONS(101),
    [anon_sym_override] = ACTIONS(101),
    [anon_sym_module] = ACTIONS(105),
    [anon_sym_any] = ACTIONS(101),
    [anon_sym_number] = ACTIONS(101),
    [anon_sym_boolean] = ACTIONS(101),
    [anon_sym_string] = ACTIONS(101),
    [anon_sym_symbol] = ACTIONS(101),
    [anon_sym_object] = ACTIONS(101),
    [anon_sym_abstract] = ACTIONS(107),
    [anon_sym_interface] = ACTIONS(109),
    [anon_sym_enum] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [2] = {
    [sym_import] = STATE(3702),
    [sym_parenthesized_expression] = STATE(1228),
    [sym_expression] = STATE(2615),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(3739),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(3739),
    [sym_glimmer_template] = STATE(1652),
    [sym_nested_identifier] = STATE(5868),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5824),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1302),
    [sym_subscript_expression] = STATE(1302),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(2969),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(3739),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(2255),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(4280),
    [sym_pattern] = STATE(4085),
    [sym_rest_pattern] = STATE(3605),
    [sym_non_null_expression] = STATE(1302),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_nested_type_identifier] = STATE(2941),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2942),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2944),
    [sym_type] = STATE(3102),
    [sym_constructor_type] = STATE(2974),
    [sym_primary_type] = STATE(3014),
    [sym_template_literal_type] = STATE(3018),
    [sym_infer_type] = STATE(2974),
    [sym_conditional_type] = STATE(3018),
    [sym_generic_type] = STATE(3018),
    [sym_type_query] = STATE(3018),
    [sym_index_type_query] = STATE(3018),
    [sym_lookup_type] = STATE(3018),
    [sym_literal_type] = STATE(3018),
    [sym__number] = STATE(3031),
    [sym_existential_type] = STATE(3018),
    [sym_flow_maybe_type] = STATE(3018),
    [sym_parenthesized_type] = STATE(3018),
    [sym_predefined_type] = STATE(3018),
    [sym_type_arguments] = STATE(537),
    [sym_object_type] = STATE(3018),
    [sym_type_parameters] = STATE(5262),
    [sym_array_type] = STATE(3018),
    [sym_tuple_type] = STATE(3018),
    [sym_readonly_type] = STATE(2974),
    [sym_union_type] = STATE(3018),
    [sym_intersection_type] = STATE(3018),
    [sym_function_type] = STATE(2974),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(113),
    [anon_sym_export] = ACTIONS(115),
    [anon_sym_STAR] = ACTIONS(117),
    [anon_sym_type] = ACTIONS(115),
    [anon_sym_EQ] = ACTIONS(119),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(124),
    [anon_sym_LBRACE] = ACTIONS(126),
    [anon_sym_COMMA] = ACTIONS(128),
    [anon_sym_typeof] = ACTIONS(130),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(115),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_BANG] = ACTIONS(136),
    [anon_sym_LPAREN] = ACTIONS(139),
    [anon_sym_RPAREN] = ACTIONS(128),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(128),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(145),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(122),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(155),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_EQ_GT] = ACTIONS(159),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(163),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(169),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(171),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(173),
    [anon_sym_PLUS] = ACTIONS(175),
    [anon_sym_DASH] = ACTIONS(175),
    [anon_sym_SLASH] = ACTIONS(177),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(182),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(186),
    [anon_sym_DASH_DASH] = ACTIONS(186),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(189),
    [sym_number] = ACTIONS(191),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(195),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(201),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(115),
    [anon_sym_readonly] = ACTIONS(203),
    [anon_sym_get] = ACTIONS(115),
    [anon_sym_set] = ACTIONS(115),
    [anon_sym_QMARK] = ACTIONS(205),
    [anon_sym_declare] = ACTIONS(115),
    [anon_sym_public] = ACTIONS(115),
    [anon_sym_private] = ACTIONS(115),
    [anon_sym_protected] = ACTIONS(115),
    [anon_sym_override] = ACTIONS(115),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_any] = ACTIONS(207),
    [anon_sym_number] = ACTIONS(207),
    [anon_sym_boolean] = ACTIONS(207),
    [anon_sym_string] = ACTIONS(207),
    [anon_sym_symbol] = ACTIONS(207),
    [anon_sym_object] = ACTIONS(207),
    [anon_sym_abstract] = ACTIONS(209),
    [anon_sym_satisfies] = ACTIONS(122),
    [anon_sym_infer] = ACTIONS(211),
    [anon_sym_keyof] = ACTIONS(213),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [3] = {
    [sym_import] = STATE(3702),
    [sym_parenthesized_expression] = STATE(1228),
    [sym_expression] = STATE(2615),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(3739),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(3739),
    [sym_glimmer_template] = STATE(1652),
    [sym_nested_identifier] = STATE(5868),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5824),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1302),
    [sym_subscript_expression] = STATE(1302),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(2969),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(3739),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(2255),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(4280),
    [sym_pattern] = STATE(4085),
    [sym_rest_pattern] = STATE(3605),
    [sym_non_null_expression] = STATE(1302),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_nested_type_identifier] = STATE(2941),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2942),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2944),
    [sym_type] = STATE(3102),
    [sym_constructor_type] = STATE(2974),
    [sym_primary_type] = STATE(3014),
    [sym_template_literal_type] = STATE(3018),
    [sym_infer_type] = STATE(2974),
    [sym_conditional_type] = STATE(3018),
    [sym_generic_type] = STATE(3018),
    [sym_type_query] = STATE(3018),
    [sym_index_type_query] = STATE(3018),
    [sym_lookup_type] = STATE(3018),
    [sym_literal_type] = STATE(3018),
    [sym__number] = STATE(3031),
    [sym_existential_type] = STATE(3018),
    [sym_flow_maybe_type] = STATE(3018),
    [sym_parenthesized_type] = STATE(3018),
    [sym_predefined_type] = STATE(3018),
    [sym_type_arguments] = STATE(537),
    [sym_object_type] = STATE(3018),
    [sym_type_parameters] = STATE(5262),
    [sym_array_type] = STATE(3018),
    [sym_tuple_type] = STATE(3018),
    [sym_readonly_type] = STATE(2974),
    [sym_union_type] = STATE(3018),
    [sym_intersection_type] = STATE(3018),
    [sym_function_type] = STATE(2974),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(113),
    [anon_sym_export] = ACTIONS(115),
    [anon_sym_STAR] = ACTIONS(117),
    [anon_sym_type] = ACTIONS(115),
    [anon_sym_EQ] = ACTIONS(221),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(124),
    [anon_sym_LBRACE] = ACTIONS(126),
    [anon_sym_COMMA] = ACTIONS(224),
    [anon_sym_typeof] = ACTIONS(130),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(115),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_BANG] = ACTIONS(136),
    [anon_sym_LPAREN] = ACTIONS(139),
    [anon_sym_RPAREN] = ACTIONS(224),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(224),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(145),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(122),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(155),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_EQ_GT] = ACTIONS(227),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(163),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(169),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(171),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(173),
    [anon_sym_PLUS] = ACTIONS(175),
    [anon_sym_DASH] = ACTIONS(175),
    [anon_sym_SLASH] = ACTIONS(177),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(182),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(186),
    [anon_sym_DASH_DASH] = ACTIONS(186),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(189),
    [sym_number] = ACTIONS(191),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(195),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(201),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(115),
    [anon_sym_readonly] = ACTIONS(203),
    [anon_sym_get] = ACTIONS(115),
    [anon_sym_set] = ACTIONS(115),
    [anon_sym_QMARK] = ACTIONS(205),
    [anon_sym_declare] = ACTIONS(115),
    [anon_sym_public] = ACTIONS(115),
    [anon_sym_private] = ACTIONS(115),
    [anon_sym_protected] = ACTIONS(115),
    [anon_sym_override] = ACTIONS(115),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_any] = ACTIONS(207),
    [anon_sym_number] = ACTIONS(207),
    [anon_sym_boolean] = ACTIONS(207),
    [anon_sym_string] = ACTIONS(207),
    [anon_sym_symbol] = ACTIONS(207),
    [anon_sym_object] = ACTIONS(207),
    [anon_sym_abstract] = ACTIONS(209),
    [anon_sym_satisfies] = ACTIONS(122),
    [anon_sym_infer] = ACTIONS(211),
    [anon_sym_keyof] = ACTIONS(213),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [4] = {
    [sym_export_statement] = STATE(888),
    [sym_declaration] = STATE(888),
    [sym_import] = STATE(3513),
    [sym_import_statement] = STATE(888),
    [sym_statement] = STATE(14),
    [sym_expression_statement] = STATE(888),
    [sym_variable_declaration] = STATE(836),
    [sym_lexical_declaration] = STATE(836),
    [sym_statement_block] = STATE(888),
    [sym_if_statement] = STATE(888),
    [sym_switch_statement] = STATE(888),
    [sym_for_statement] = STATE(888),
    [sym_for_in_statement] = STATE(888),
    [sym_while_statement] = STATE(888),
    [sym_do_statement] = STATE(888),
    [sym_try_statement] = STATE(888),
    [sym_with_statement] = STATE(888),
    [sym_break_statement] = STATE(888),
    [sym_continue_statement] = STATE(888),
    [sym_debugger_statement] = STATE(888),
    [sym_return_statement] = STATE(888),
    [sym_throw_statement] = STATE(888),
    [sym_empty_statement] = STATE(888),
    [sym_labeled_statement] = STATE(888),
    [sym_parenthesized_expression] = STATE(1353),
    [sym_expression] = STATE(1940),
    [sym_primary_expression] = STATE(1833),
    [sym_yield_expression] = STATE(2130),
    [sym_object] = STATE(2117),
    [sym_object_pattern] = STATE(5836),
    [sym_object_assignment_pattern] = STATE(4567),
    [sym_array] = STATE(2117),
    [sym_array_pattern] = STATE(5836),
    [sym_glimmer_template] = STATE(2130),
    [sym_class] = STATE(2117),
    [sym_class_declaration] = STATE(836),
    [sym_function_expression] = STATE(2117),
    [sym_function_declaration] = STATE(836),
    [sym_generator_function] = STATE(2117),
    [sym_generator_function_declaration] = STATE(836),
    [sym_arrow_function] = STATE(2117),
    [sym__call_signature] = STATE(5525),
    [sym_call_expression] = STATE(2117),
    [sym_new_expression] = STATE(1963),
    [sym_await_expression] = STATE(2130),
    [sym_member_expression] = STATE(1353),
    [sym_subscript_expression] = STATE(1353),
    [sym_assignment_expression] = STATE(2130),
    [sym__augmented_assignment_lhs] = STATE(3036),
    [sym_augmented_assignment_expression] = STATE(2130),
    [sym__destructuring_pattern] = STATE(5836),
    [sym_spread_element] = STATE(4704),
    [sym_ternary_expression] = STATE(2130),
    [sym_binary_expression] = STATE(2130),
    [sym_unary_expression] = STATE(2130),
    [sym_update_expression] = STATE(2130),
    [sym_sequence_expression] = STATE(5427),
    [sym_string] = STATE(2349),
    [sym_template_string] = STATE(2117),
    [sym_regex] = STATE(2117),
    [sym_meta_property] = STATE(2117),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_rest_pattern] = STATE(4567),
    [sym_method_definition] = STATE(4704),
    [sym_pair] = STATE(4704),
    [sym_pair_pattern] = STATE(4567),
    [sym__property_name] = STATE(3552),
    [sym_computed_property_name] = STATE(3552),
    [sym_non_null_expression] = STATE(1353),
    [sym_function_signature] = STATE(836),
    [sym_type_assertion] = STATE(2130),
    [sym_as_expression] = STATE(2130),
    [sym_satisfies_expression] = STATE(2130),
    [sym_instantiation_expression] = STATE(2130),
    [sym_ambient_declaration] = STATE(836),
    [sym_abstract_class_declaration] = STATE(836),
    [sym_module] = STATE(836),
    [sym_internal_module] = STATE(239),
    [sym_import_alias] = STATE(836),
    [sym_interface_declaration] = STATE(836),
    [sym_enum_declaration] = STATE(836),
    [sym_type_alias_declaration] = STATE(836),
    [sym_accessibility_modifier] = STATE(2781),
    [sym_override_modifier] = STATE(2816),
    [sym_type_arguments] = STATE(427),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_program_repeat1] = STATE(14),
    [aux_sym_export_statement_repeat1] = STATE(3871),
    [aux_sym_object_repeat1] = STATE(4657),
    [aux_sym_object_pattern_repeat1] = STATE(4878),
    [sym_identifier] = ACTIONS(229),
    [anon_sym_export] = ACTIONS(231),
    [anon_sym_STAR] = ACTIONS(233),
    [anon_sym_type] = ACTIONS(235),
    [anon_sym_namespace] = ACTIONS(237),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_COMMA] = ACTIONS(239),
    [anon_sym_RBRACE] = ACTIONS(241),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(243),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_SEMI] = ACTIONS(43),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_do] = ACTIONS(49),
    [anon_sym_try] = ACTIONS(51),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_debugger] = ACTIONS(57),
    [anon_sym_return] = ACTIONS(59),
    [anon_sym_throw] = ACTIONS(61),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(245),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_async] = ACTIONS(247),
    [anon_sym_function] = ACTIONS(77),
    [anon_sym_new] = ACTIONS(249),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(251),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(253),
    [sym_private_property_identifier] = ACTIONS(255),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(257),
    [anon_sym_readonly] = ACTIONS(259),
    [anon_sym_get] = ACTIONS(261),
    [anon_sym_set] = ACTIONS(261),
    [anon_sym_declare] = ACTIONS(263),
    [anon_sym_public] = ACTIONS(265),
    [anon_sym_private] = ACTIONS(265),
    [anon_sym_protected] = ACTIONS(265),
    [anon_sym_override] = ACTIONS(267),
    [anon_sym_module] = ACTIONS(269),
    [anon_sym_any] = ACTIONS(271),
    [anon_sym_number] = ACTIONS(271),
    [anon_sym_boolean] = ACTIONS(271),
    [anon_sym_string] = ACTIONS(271),
    [anon_sym_symbol] = ACTIONS(271),
    [anon_sym_object] = ACTIONS(271),
    [anon_sym_abstract] = ACTIONS(107),
    [anon_sym_interface] = ACTIONS(109),
    [anon_sym_enum] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [5] = {
    [sym_export_statement] = STATE(888),
    [sym_declaration] = STATE(888),
    [sym_import] = STATE(3513),
    [sym_import_statement] = STATE(888),
    [sym_statement] = STATE(14),
    [sym_expression_statement] = STATE(888),
    [sym_variable_declaration] = STATE(836),
    [sym_lexical_declaration] = STATE(836),
    [sym_statement_block] = STATE(888),
    [sym_if_statement] = STATE(888),
    [sym_switch_statement] = STATE(888),
    [sym_for_statement] = STATE(888),
    [sym_for_in_statement] = STATE(888),
    [sym_while_statement] = STATE(888),
    [sym_do_statement] = STATE(888),
    [sym_try_statement] = STATE(888),
    [sym_with_statement] = STATE(888),
    [sym_break_statement] = STATE(888),
    [sym_continue_statement] = STATE(888),
    [sym_debugger_statement] = STATE(888),
    [sym_return_statement] = STATE(888),
    [sym_throw_statement] = STATE(888),
    [sym_empty_statement] = STATE(888),
    [sym_labeled_statement] = STATE(888),
    [sym_parenthesized_expression] = STATE(1353),
    [sym_expression] = STATE(1940),
    [sym_primary_expression] = STATE(1833),
    [sym_yield_expression] = STATE(2130),
    [sym_object] = STATE(2117),
    [sym_object_pattern] = STATE(5836),
    [sym_object_assignment_pattern] = STATE(4567),
    [sym_array] = STATE(2117),
    [sym_array_pattern] = STATE(5836),
    [sym_glimmer_template] = STATE(2130),
    [sym_class] = STATE(2117),
    [sym_class_declaration] = STATE(836),
    [sym_function_expression] = STATE(2117),
    [sym_function_declaration] = STATE(836),
    [sym_generator_function] = STATE(2117),
    [sym_generator_function_declaration] = STATE(836),
    [sym_arrow_function] = STATE(2117),
    [sym__call_signature] = STATE(5525),
    [sym_call_expression] = STATE(2117),
    [sym_new_expression] = STATE(1963),
    [sym_await_expression] = STATE(2130),
    [sym_member_expression] = STATE(1353),
    [sym_subscript_expression] = STATE(1353),
    [sym_assignment_expression] = STATE(2130),
    [sym__augmented_assignment_lhs] = STATE(3036),
    [sym_augmented_assignment_expression] = STATE(2130),
    [sym__destructuring_pattern] = STATE(5836),
    [sym_spread_element] = STATE(4704),
    [sym_ternary_expression] = STATE(2130),
    [sym_binary_expression] = STATE(2130),
    [sym_unary_expression] = STATE(2130),
    [sym_update_expression] = STATE(2130),
    [sym_sequence_expression] = STATE(5427),
    [sym_string] = STATE(2349),
    [sym_template_string] = STATE(2117),
    [sym_regex] = STATE(2117),
    [sym_meta_property] = STATE(2117),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_rest_pattern] = STATE(4567),
    [sym_method_definition] = STATE(4704),
    [sym_pair] = STATE(4704),
    [sym_pair_pattern] = STATE(4567),
    [sym__property_name] = STATE(3552),
    [sym_computed_property_name] = STATE(3552),
    [sym_non_null_expression] = STATE(1353),
    [sym_function_signature] = STATE(836),
    [sym_type_assertion] = STATE(2130),
    [sym_as_expression] = STATE(2130),
    [sym_satisfies_expression] = STATE(2130),
    [sym_instantiation_expression] = STATE(2130),
    [sym_ambient_declaration] = STATE(836),
    [sym_abstract_class_declaration] = STATE(836),
    [sym_module] = STATE(836),
    [sym_internal_module] = STATE(239),
    [sym_import_alias] = STATE(836),
    [sym_interface_declaration] = STATE(836),
    [sym_enum_declaration] = STATE(836),
    [sym_type_alias_declaration] = STATE(836),
    [sym_accessibility_modifier] = STATE(2781),
    [sym_override_modifier] = STATE(2816),
    [sym_type_arguments] = STATE(427),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_program_repeat1] = STATE(14),
    [aux_sym_export_statement_repeat1] = STATE(3871),
    [aux_sym_object_repeat1] = STATE(4657),
    [aux_sym_object_pattern_repeat1] = STATE(4878),
    [sym_identifier] = ACTIONS(229),
    [anon_sym_export] = ACTIONS(231),
    [anon_sym_STAR] = ACTIONS(233),
    [anon_sym_type] = ACTIONS(235),
    [anon_sym_namespace] = ACTIONS(237),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_COMMA] = ACTIONS(239),
    [anon_sym_RBRACE] = ACTIONS(273),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(243),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_SEMI] = ACTIONS(43),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_do] = ACTIONS(49),
    [anon_sym_try] = ACTIONS(51),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_debugger] = ACTIONS(57),
    [anon_sym_return] = ACTIONS(59),
    [anon_sym_throw] = ACTIONS(61),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(245),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_async] = ACTIONS(247),
    [anon_sym_function] = ACTIONS(77),
    [anon_sym_new] = ACTIONS(249),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(251),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(253),
    [sym_private_property_identifier] = ACTIONS(255),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(257),
    [anon_sym_readonly] = ACTIONS(259),
    [anon_sym_get] = ACTIONS(261),
    [anon_sym_set] = ACTIONS(261),
    [anon_sym_declare] = ACTIONS(263),
    [anon_sym_public] = ACTIONS(265),
    [anon_sym_private] = ACTIONS(265),
    [anon_sym_protected] = ACTIONS(265),
    [anon_sym_override] = ACTIONS(267),
    [anon_sym_module] = ACTIONS(269),
    [anon_sym_any] = ACTIONS(271),
    [anon_sym_number] = ACTIONS(271),
    [anon_sym_boolean] = ACTIONS(271),
    [anon_sym_string] = ACTIONS(271),
    [anon_sym_symbol] = ACTIONS(271),
    [anon_sym_object] = ACTIONS(271),
    [anon_sym_abstract] = ACTIONS(107),
    [anon_sym_interface] = ACTIONS(109),
    [anon_sym_enum] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [6] = {
    [sym_export_statement] = STATE(888),
    [sym_declaration] = STATE(888),
    [sym_import] = STATE(3513),
    [sym_import_statement] = STATE(888),
    [sym_statement] = STATE(18),
    [sym_expression_statement] = STATE(888),
    [sym_variable_declaration] = STATE(836),
    [sym_lexical_declaration] = STATE(836),
    [sym_statement_block] = STATE(888),
    [sym_if_statement] = STATE(888),
    [sym_switch_statement] = STATE(888),
    [sym_for_statement] = STATE(888),
    [sym_for_in_statement] = STATE(888),
    [sym_while_statement] = STATE(888),
    [sym_do_statement] = STATE(888),
    [sym_try_statement] = STATE(888),
    [sym_with_statement] = STATE(888),
    [sym_break_statement] = STATE(888),
    [sym_continue_statement] = STATE(888),
    [sym_debugger_statement] = STATE(888),
    [sym_return_statement] = STATE(888),
    [sym_throw_statement] = STATE(888),
    [sym_empty_statement] = STATE(888),
    [sym_labeled_statement] = STATE(888),
    [sym_parenthesized_expression] = STATE(1353),
    [sym_expression] = STATE(1940),
    [sym_primary_expression] = STATE(1833),
    [sym_yield_expression] = STATE(2130),
    [sym_object] = STATE(2117),
    [sym_object_pattern] = STATE(5836),
    [sym_object_assignment_pattern] = STATE(4567),
    [sym_array] = STATE(2117),
    [sym_array_pattern] = STATE(5836),
    [sym_glimmer_template] = STATE(2130),
    [sym_class] = STATE(2117),
    [sym_class_declaration] = STATE(836),
    [sym_function_expression] = STATE(2117),
    [sym_function_declaration] = STATE(836),
    [sym_generator_function] = STATE(2117),
    [sym_generator_function_declaration] = STATE(836),
    [sym_arrow_function] = STATE(2117),
    [sym__call_signature] = STATE(5525),
    [sym_call_expression] = STATE(2117),
    [sym_new_expression] = STATE(1963),
    [sym_await_expression] = STATE(2130),
    [sym_member_expression] = STATE(1353),
    [sym_subscript_expression] = STATE(1353),
    [sym_assignment_expression] = STATE(2130),
    [sym__augmented_assignment_lhs] = STATE(3036),
    [sym_augmented_assignment_expression] = STATE(2130),
    [sym__destructuring_pattern] = STATE(5836),
    [sym_spread_element] = STATE(4704),
    [sym_ternary_expression] = STATE(2130),
    [sym_binary_expression] = STATE(2130),
    [sym_unary_expression] = STATE(2130),
    [sym_update_expression] = STATE(2130),
    [sym_sequence_expression] = STATE(5427),
    [sym_string] = STATE(2349),
    [sym_template_string] = STATE(2117),
    [sym_regex] = STATE(2117),
    [sym_meta_property] = STATE(2117),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_rest_pattern] = STATE(4567),
    [sym_method_definition] = STATE(4704),
    [sym_pair] = STATE(4704),
    [sym_pair_pattern] = STATE(4567),
    [sym__property_name] = STATE(3552),
    [sym_computed_property_name] = STATE(3552),
    [sym_non_null_expression] = STATE(1353),
    [sym_function_signature] = STATE(836),
    [sym_type_assertion] = STATE(2130),
    [sym_as_expression] = STATE(2130),
    [sym_satisfies_expression] = STATE(2130),
    [sym_instantiation_expression] = STATE(2130),
    [sym_ambient_declaration] = STATE(836),
    [sym_abstract_class_declaration] = STATE(836),
    [sym_module] = STATE(836),
    [sym_internal_module] = STATE(239),
    [sym_import_alias] = STATE(836),
    [sym_interface_declaration] = STATE(836),
    [sym_enum_declaration] = STATE(836),
    [sym_type_alias_declaration] = STATE(836),
    [sym_accessibility_modifier] = STATE(2781),
    [sym_override_modifier] = STATE(2816),
    [sym_type_arguments] = STATE(427),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_program_repeat1] = STATE(18),
    [aux_sym_export_statement_repeat1] = STATE(3871),
    [aux_sym_object_repeat1] = STATE(4657),
    [aux_sym_object_pattern_repeat1] = STATE(4878),
    [sym_identifier] = ACTIONS(229),
    [anon_sym_export] = ACTIONS(231),
    [anon_sym_STAR] = ACTIONS(233),
    [anon_sym_type] = ACTIONS(235),
    [anon_sym_namespace] = ACTIONS(237),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_COMMA] = ACTIONS(239),
    [anon_sym_RBRACE] = ACTIONS(275),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(243),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_SEMI] = ACTIONS(43),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_do] = ACTIONS(49),
    [anon_sym_try] = ACTIONS(51),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_debugger] = ACTIONS(57),
    [anon_sym_return] = ACTIONS(59),
    [anon_sym_throw] = ACTIONS(61),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(245),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_async] = ACTIONS(247),
    [anon_sym_function] = ACTIONS(77),
    [anon_sym_new] = ACTIONS(249),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(251),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(253),
    [sym_private_property_identifier] = ACTIONS(255),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(257),
    [anon_sym_readonly] = ACTIONS(259),
    [anon_sym_get] = ACTIONS(261),
    [anon_sym_set] = ACTIONS(261),
    [anon_sym_declare] = ACTIONS(263),
    [anon_sym_public] = ACTIONS(265),
    [anon_sym_private] = ACTIONS(265),
    [anon_sym_protected] = ACTIONS(265),
    [anon_sym_override] = ACTIONS(267),
    [anon_sym_module] = ACTIONS(269),
    [anon_sym_any] = ACTIONS(271),
    [anon_sym_number] = ACTIONS(271),
    [anon_sym_boolean] = ACTIONS(271),
    [anon_sym_string] = ACTIONS(271),
    [anon_sym_symbol] = ACTIONS(271),
    [anon_sym_object] = ACTIONS(271),
    [anon_sym_abstract] = ACTIONS(107),
    [anon_sym_interface] = ACTIONS(109),
    [anon_sym_enum] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [7] = {
    [sym_export_statement] = STATE(888),
    [sym_declaration] = STATE(888),
    [sym_import] = STATE(3513),
    [sym_import_statement] = STATE(888),
    [sym_statement] = STATE(23),
    [sym_expression_statement] = STATE(888),
    [sym_variable_declaration] = STATE(836),
    [sym_lexical_declaration] = STATE(836),
    [sym_statement_block] = STATE(888),
    [sym_if_statement] = STATE(888),
    [sym_switch_statement] = STATE(888),
    [sym_for_statement] = STATE(888),
    [sym_for_in_statement] = STATE(888),
    [sym_while_statement] = STATE(888),
    [sym_do_statement] = STATE(888),
    [sym_try_statement] = STATE(888),
    [sym_with_statement] = STATE(888),
    [sym_break_statement] = STATE(888),
    [sym_continue_statement] = STATE(888),
    [sym_debugger_statement] = STATE(888),
    [sym_return_statement] = STATE(888),
    [sym_throw_statement] = STATE(888),
    [sym_empty_statement] = STATE(888),
    [sym_labeled_statement] = STATE(888),
    [sym_parenthesized_expression] = STATE(1353),
    [sym_expression] = STATE(1940),
    [sym_primary_expression] = STATE(1833),
    [sym_yield_expression] = STATE(2130),
    [sym_object] = STATE(2117),
    [sym_object_pattern] = STATE(5836),
    [sym_object_assignment_pattern] = STATE(4567),
    [sym_array] = STATE(2117),
    [sym_array_pattern] = STATE(5836),
    [sym_glimmer_template] = STATE(2130),
    [sym_class] = STATE(2117),
    [sym_class_declaration] = STATE(836),
    [sym_function_expression] = STATE(2117),
    [sym_function_declaration] = STATE(836),
    [sym_generator_function] = STATE(2117),
    [sym_generator_function_declaration] = STATE(836),
    [sym_arrow_function] = STATE(2117),
    [sym__call_signature] = STATE(5525),
    [sym_call_expression] = STATE(2117),
    [sym_new_expression] = STATE(1963),
    [sym_await_expression] = STATE(2130),
    [sym_member_expression] = STATE(1353),
    [sym_subscript_expression] = STATE(1353),
    [sym_assignment_expression] = STATE(2130),
    [sym__augmented_assignment_lhs] = STATE(3036),
    [sym_augmented_assignment_expression] = STATE(2130),
    [sym__destructuring_pattern] = STATE(5836),
    [sym_spread_element] = STATE(5136),
    [sym_ternary_expression] = STATE(2130),
    [sym_binary_expression] = STATE(2130),
    [sym_unary_expression] = STATE(2130),
    [sym_update_expression] = STATE(2130),
    [sym_sequence_expression] = STATE(5427),
    [sym_string] = STATE(2349),
    [sym_template_string] = STATE(2117),
    [sym_regex] = STATE(2117),
    [sym_meta_property] = STATE(2117),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_rest_pattern] = STATE(4567),
    [sym_method_definition] = STATE(5136),
    [sym_pair] = STATE(5136),
    [sym_pair_pattern] = STATE(4567),
    [sym__property_name] = STATE(3552),
    [sym_computed_property_name] = STATE(3552),
    [sym_non_null_expression] = STATE(1353),
    [sym_function_signature] = STATE(836),
    [sym_type_assertion] = STATE(2130),
    [sym_as_expression] = STATE(2130),
    [sym_satisfies_expression] = STATE(2130),
    [sym_instantiation_expression] = STATE(2130),
    [sym_ambient_declaration] = STATE(836),
    [sym_abstract_class_declaration] = STATE(836),
    [sym_module] = STATE(836),
    [sym_internal_module] = STATE(239),
    [sym_import_alias] = STATE(836),
    [sym_interface_declaration] = STATE(836),
    [sym_enum_declaration] = STATE(836),
    [sym_type_alias_declaration] = STATE(836),
    [sym_accessibility_modifier] = STATE(2781),
    [sym_override_modifier] = STATE(2816),
    [sym_type_arguments] = STATE(427),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_program_repeat1] = STATE(23),
    [aux_sym_export_statement_repeat1] = STATE(3871),
    [aux_sym_object_repeat1] = STATE(4526),
    [aux_sym_object_pattern_repeat1] = STATE(4878),
    [sym_identifier] = ACTIONS(277),
    [anon_sym_export] = ACTIONS(279),
    [anon_sym_STAR] = ACTIONS(233),
    [anon_sym_type] = ACTIONS(281),
    [anon_sym_namespace] = ACTIONS(283),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_COMMA] = ACTIONS(239),
    [anon_sym_RBRACE] = ACTIONS(285),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(287),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_SEMI] = ACTIONS(43),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_do] = ACTIONS(49),
    [anon_sym_try] = ACTIONS(51),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_debugger] = ACTIONS(57),
    [anon_sym_return] = ACTIONS(59),
    [anon_sym_throw] = ACTIONS(61),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(245),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_async] = ACTIONS(289),
    [anon_sym_function] = ACTIONS(77),
    [anon_sym_new] = ACTIONS(291),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(251),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(253),
    [sym_private_property_identifier] = ACTIONS(255),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(293),
    [anon_sym_readonly] = ACTIONS(295),
    [anon_sym_get] = ACTIONS(297),
    [anon_sym_set] = ACTIONS(297),
    [anon_sym_declare] = ACTIONS(299),
    [anon_sym_public] = ACTIONS(301),
    [anon_sym_private] = ACTIONS(301),
    [anon_sym_protected] = ACTIONS(301),
    [anon_sym_override] = ACTIONS(303),
    [anon_sym_module] = ACTIONS(305),
    [anon_sym_any] = ACTIONS(307),
    [anon_sym_number] = ACTIONS(307),
    [anon_sym_boolean] = ACTIONS(307),
    [anon_sym_string] = ACTIONS(307),
    [anon_sym_symbol] = ACTIONS(307),
    [anon_sym_object] = ACTIONS(307),
    [anon_sym_abstract] = ACTIONS(107),
    [anon_sym_interface] = ACTIONS(109),
    [anon_sym_enum] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [8] = {
    [sym_export_statement] = STATE(888),
    [sym_declaration] = STATE(888),
    [sym_import] = STATE(3513),
    [sym_import_statement] = STATE(888),
    [sym_statement] = STATE(23),
    [sym_expression_statement] = STATE(888),
    [sym_variable_declaration] = STATE(836),
    [sym_lexical_declaration] = STATE(836),
    [sym_statement_block] = STATE(888),
    [sym_if_statement] = STATE(888),
    [sym_switch_statement] = STATE(888),
    [sym_for_statement] = STATE(888),
    [sym_for_in_statement] = STATE(888),
    [sym_while_statement] = STATE(888),
    [sym_do_statement] = STATE(888),
    [sym_try_statement] = STATE(888),
    [sym_with_statement] = STATE(888),
    [sym_break_statement] = STATE(888),
    [sym_continue_statement] = STATE(888),
    [sym_debugger_statement] = STATE(888),
    [sym_return_statement] = STATE(888),
    [sym_throw_statement] = STATE(888),
    [sym_empty_statement] = STATE(888),
    [sym_labeled_statement] = STATE(888),
    [sym_parenthesized_expression] = STATE(1353),
    [sym_expression] = STATE(1940),
    [sym_primary_expression] = STATE(1833),
    [sym_yield_expression] = STATE(2130),
    [sym_object] = STATE(2117),
    [sym_object_pattern] = STATE(5836),
    [sym_object_assignment_pattern] = STATE(4567),
    [sym_array] = STATE(2117),
    [sym_array_pattern] = STATE(5836),
    [sym_glimmer_template] = STATE(2130),
    [sym_class] = STATE(2117),
    [sym_class_declaration] = STATE(836),
    [sym_function_expression] = STATE(2117),
    [sym_function_declaration] = STATE(836),
    [sym_generator_function] = STATE(2117),
    [sym_generator_function_declaration] = STATE(836),
    [sym_arrow_function] = STATE(2117),
    [sym__call_signature] = STATE(5525),
    [sym_call_expression] = STATE(2117),
    [sym_new_expression] = STATE(1963),
    [sym_await_expression] = STATE(2130),
    [sym_member_expression] = STATE(1353),
    [sym_subscript_expression] = STATE(1353),
    [sym_assignment_expression] = STATE(2130),
    [sym__augmented_assignment_lhs] = STATE(3036),
    [sym_augmented_assignment_expression] = STATE(2130),
    [sym__destructuring_pattern] = STATE(5836),
    [sym_spread_element] = STATE(5136),
    [sym_ternary_expression] = STATE(2130),
    [sym_binary_expression] = STATE(2130),
    [sym_unary_expression] = STATE(2130),
    [sym_update_expression] = STATE(2130),
    [sym_sequence_expression] = STATE(5427),
    [sym_string] = STATE(2349),
    [sym_template_string] = STATE(2117),
    [sym_regex] = STATE(2117),
    [sym_meta_property] = STATE(2117),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_rest_pattern] = STATE(4567),
    [sym_method_definition] = STATE(5136),
    [sym_pair] = STATE(5136),
    [sym_pair_pattern] = STATE(4567),
    [sym__property_name] = STATE(3552),
    [sym_computed_property_name] = STATE(3552),
    [sym_non_null_expression] = STATE(1353),
    [sym_function_signature] = STATE(836),
    [sym_type_assertion] = STATE(2130),
    [sym_as_expression] = STATE(2130),
    [sym_satisfies_expression] = STATE(2130),
    [sym_instantiation_expression] = STATE(2130),
    [sym_ambient_declaration] = STATE(836),
    [sym_abstract_class_declaration] = STATE(836),
    [sym_module] = STATE(836),
    [sym_internal_module] = STATE(239),
    [sym_import_alias] = STATE(836),
    [sym_interface_declaration] = STATE(836),
    [sym_enum_declaration] = STATE(836),
    [sym_type_alias_declaration] = STATE(836),
    [sym_accessibility_modifier] = STATE(2781),
    [sym_override_modifier] = STATE(2816),
    [sym_type_arguments] = STATE(427),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_program_repeat1] = STATE(23),
    [aux_sym_export_statement_repeat1] = STATE(3871),
    [aux_sym_object_repeat1] = STATE(4526),
    [aux_sym_object_pattern_repeat1] = STATE(4878),
    [sym_identifier] = ACTIONS(309),
    [anon_sym_export] = ACTIONS(311),
    [anon_sym_STAR] = ACTIONS(233),
    [anon_sym_type] = ACTIONS(313),
    [anon_sym_namespace] = ACTIONS(315),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_COMMA] = ACTIONS(239),
    [anon_sym_RBRACE] = ACTIONS(285),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(317),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_SEMI] = ACTIONS(43),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_do] = ACTIONS(49),
    [anon_sym_try] = ACTIONS(51),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_debugger] = ACTIONS(57),
    [anon_sym_return] = ACTIONS(59),
    [anon_sym_throw] = ACTIONS(61),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(245),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_async] = ACTIONS(319),
    [anon_sym_function] = ACTIONS(77),
    [anon_sym_new] = ACTIONS(321),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(251),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(253),
    [sym_private_property_identifier] = ACTIONS(255),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(323),
    [anon_sym_readonly] = ACTIONS(325),
    [anon_sym_get] = ACTIONS(327),
    [anon_sym_set] = ACTIONS(327),
    [anon_sym_declare] = ACTIONS(329),
    [anon_sym_public] = ACTIONS(331),
    [anon_sym_private] = ACTIONS(331),
    [anon_sym_protected] = ACTIONS(331),
    [anon_sym_override] = ACTIONS(333),
    [anon_sym_module] = ACTIONS(335),
    [anon_sym_any] = ACTIONS(337),
    [anon_sym_number] = ACTIONS(337),
    [anon_sym_boolean] = ACTIONS(337),
    [anon_sym_string] = ACTIONS(337),
    [anon_sym_symbol] = ACTIONS(337),
    [anon_sym_object] = ACTIONS(337),
    [anon_sym_abstract] = ACTIONS(107),
    [anon_sym_interface] = ACTIONS(109),
    [anon_sym_enum] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [9] = {
    [sym_export_statement] = STATE(888),
    [sym_declaration] = STATE(888),
    [sym_import] = STATE(3513),
    [sym_import_statement] = STATE(888),
    [sym_statement] = STATE(9),
    [sym_expression_statement] = STATE(888),
    [sym_variable_declaration] = STATE(836),
    [sym_lexical_declaration] = STATE(836),
    [sym_statement_block] = STATE(888),
    [sym_if_statement] = STATE(888),
    [sym_switch_statement] = STATE(888),
    [sym_for_statement] = STATE(888),
    [sym_for_in_statement] = STATE(888),
    [sym_while_statement] = STATE(888),
    [sym_do_statement] = STATE(888),
    [sym_try_statement] = STATE(888),
    [sym_with_statement] = STATE(888),
    [sym_break_statement] = STATE(888),
    [sym_continue_statement] = STATE(888),
    [sym_debugger_statement] = STATE(888),
    [sym_return_statement] = STATE(888),
    [sym_throw_statement] = STATE(888),
    [sym_empty_statement] = STATE(888),
    [sym_labeled_statement] = STATE(888),
    [sym_parenthesized_expression] = STATE(1353),
    [sym_expression] = STATE(1940),
    [sym_primary_expression] = STATE(1833),
    [sym_yield_expression] = STATE(2130),
    [sym_object] = STATE(2117),
    [sym_object_pattern] = STATE(5484),
    [sym_array] = STATE(2117),
    [sym_array_pattern] = STATE(5484),
    [sym_glimmer_template] = STATE(2130),
    [sym_class] = STATE(2117),
    [sym_class_declaration] = STATE(836),
    [sym_function_expression] = STATE(2117),
    [sym_function_declaration] = STATE(836),
    [sym_generator_function] = STATE(2117),
    [sym_generator_function_declaration] = STATE(836),
    [sym_arrow_function] = STATE(2117),
    [sym__call_signature] = STATE(5525),
    [sym_call_expression] = STATE(2117),
    [sym_new_expression] = STATE(1963),
    [sym_await_expression] = STATE(2130),
    [sym_member_expression] = STATE(1353),
    [sym_subscript_expression] = STATE(1353),
    [sym_assignment_expression] = STATE(2130),
    [sym__augmented_assignment_lhs] = STATE(3036),
    [sym_augmented_assignment_expression] = STATE(2130),
    [sym__destructuring_pattern] = STATE(5484),
    [sym_ternary_expression] = STATE(2130),
    [sym_binary_expression] = STATE(2130),
    [sym_unary_expression] = STATE(2130),
    [sym_update_expression] = STATE(2130),
    [sym_sequence_expression] = STATE(5427),
    [sym_string] = STATE(2117),
    [sym_template_string] = STATE(2117),
    [sym_regex] = STATE(2117),
    [sym_meta_property] = STATE(2117),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1353),
    [sym_function_signature] = STATE(836),
    [sym_type_assertion] = STATE(2130),
    [sym_as_expression] = STATE(2130),
    [sym_satisfies_expression] = STATE(2130),
    [sym_instantiation_expression] = STATE(2130),
    [sym_ambient_declaration] = STATE(836),
    [sym_abstract_class_declaration] = STATE(836),
    [sym_module] = STATE(836),
    [sym_internal_module] = STATE(239),
    [sym_import_alias] = STATE(836),
    [sym_interface_declaration] = STATE(836),
    [sym_enum_declaration] = STATE(836),
    [sym_type_alias_declaration] = STATE(836),
    [sym_type_arguments] = STATE(427),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_program_repeat1] = STATE(9),
    [aux_sym_export_statement_repeat1] = STATE(3871),
    [ts_builtin_sym_end] = ACTIONS(339),
    [sym_identifier] = ACTIONS(341),
    [anon_sym_export] = ACTIONS(344),
    [anon_sym_default] = ACTIONS(347),
    [anon_sym_type] = ACTIONS(349),
    [anon_sym_namespace] = ACTIONS(352),
    [anon_sym_LBRACE] = ACTIONS(355),
    [anon_sym_RBRACE] = ACTIONS(339),
    [anon_sym_typeof] = ACTIONS(358),
    [anon_sym_import] = ACTIONS(361),
    [anon_sym_with] = ACTIONS(364),
    [anon_sym_var] = ACTIONS(367),
    [anon_sym_let] = ACTIONS(370),
    [anon_sym_const] = ACTIONS(373),
    [anon_sym_BANG] = ACTIONS(376),
    [anon_sym_if] = ACTIONS(379),
    [anon_sym_switch] = ACTIONS(382),
    [anon_sym_for] = ACTIONS(385),
    [anon_sym_LPAREN] = ACTIONS(388),
    [anon_sym_SEMI] = ACTIONS(391),
    [anon_sym_await] = ACTIONS(394),
    [anon_sym_while] = ACTIONS(397),
    [anon_sym_do] = ACTIONS(400),
    [anon_sym_try] = ACTIONS(403),
    [anon_sym_break] = ACTIONS(406),
    [anon_sym_continue] = ACTIONS(409),
    [anon_sym_debugger] = ACTIONS(412),
    [anon_sym_return] = ACTIONS(415),
    [anon_sym_throw] = ACTIONS(418),
    [anon_sym_case] = ACTIONS(347),
    [anon_sym_yield] = ACTIONS(421),
    [anon_sym_LBRACK] = ACTIONS(424),
    [sym_glimmer_opening_tag] = ACTIONS(427),
    [anon_sym_DQUOTE] = ACTIONS(430),
    [anon_sym_SQUOTE] = ACTIONS(433),
    [anon_sym_class] = ACTIONS(436),
    [anon_sym_async] = ACTIONS(439),
    [anon_sym_function] = ACTIONS(442),
    [anon_sym_new] = ACTIONS(445),
    [anon_sym_using] = ACTIONS(448),
    [anon_sym_PLUS] = ACTIONS(358),
    [anon_sym_DASH] = ACTIONS(358),
    [anon_sym_SLASH] = ACTIONS(451),
    [anon_sym_LT] = ACTIONS(454),
    [anon_sym_TILDE] = ACTIONS(376),
    [anon_sym_void] = ACTIONS(358),
    [anon_sym_delete] = ACTIONS(358),
    [anon_sym_PLUS_PLUS] = ACTIONS(457),
    [anon_sym_DASH_DASH] = ACTIONS(457),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(460),
    [sym_number] = ACTIONS(463),
    [sym_private_property_identifier] = ACTIONS(466),
    [sym_this] = ACTIONS(469),
    [sym_super] = ACTIONS(469),
    [sym_true] = ACTIONS(469),
    [sym_false] = ACTIONS(469),
    [sym_null] = ACTIONS(469),
    [sym_undefined] = ACTIONS(472),
    [anon_sym_AT] = ACTIONS(475),
    [anon_sym_static] = ACTIONS(478),
    [anon_sym_readonly] = ACTIONS(478),
    [anon_sym_get] = ACTIONS(478),
    [anon_sym_set] = ACTIONS(478),
    [anon_sym_declare] = ACTIONS(481),
    [anon_sym_public] = ACTIONS(478),
    [anon_sym_private] = ACTIONS(478),
    [anon_sym_protected] = ACTIONS(478),
    [anon_sym_override] = ACTIONS(478),
    [anon_sym_module] = ACTIONS(484),
    [anon_sym_any] = ACTIONS(478),
    [anon_sym_number] = ACTIONS(478),
    [anon_sym_boolean] = ACTIONS(478),
    [anon_sym_string] = ACTIONS(478),
    [anon_sym_symbol] = ACTIONS(478),
    [anon_sym_object] = ACTIONS(478),
    [anon_sym_abstract] = ACTIONS(487),
    [anon_sym_interface] = ACTIONS(490),
    [anon_sym_enum] = ACTIONS(493),
    [sym_html_comment] = ACTIONS(5),
  },
  [10] = {
    [sym_export_statement] = STATE(888),
    [sym_declaration] = STATE(888),
    [sym_import] = STATE(3513),
    [sym_import_statement] = STATE(888),
    [sym_statement] = STATE(13),
    [sym_expression_statement] = STATE(888),
    [sym_variable_declaration] = STATE(836),
    [sym_lexical_declaration] = STATE(836),
    [sym_statement_block] = STATE(888),
    [sym_if_statement] = STATE(888),
    [sym_switch_statement] = STATE(888),
    [sym_for_statement] = STATE(888),
    [sym_for_in_statement] = STATE(888),
    [sym_while_statement] = STATE(888),
    [sym_do_statement] = STATE(888),
    [sym_try_statement] = STATE(888),
    [sym_with_statement] = STATE(888),
    [sym_break_statement] = STATE(888),
    [sym_continue_statement] = STATE(888),
    [sym_debugger_statement] = STATE(888),
    [sym_return_statement] = STATE(888),
    [sym_throw_statement] = STATE(888),
    [sym_empty_statement] = STATE(888),
    [sym_labeled_statement] = STATE(888),
    [sym_parenthesized_expression] = STATE(1353),
    [sym_expression] = STATE(1940),
    [sym_primary_expression] = STATE(1833),
    [sym_yield_expression] = STATE(2130),
    [sym_object] = STATE(2117),
    [sym_object_pattern] = STATE(5484),
    [sym_array] = STATE(2117),
    [sym_array_pattern] = STATE(5484),
    [sym_glimmer_template] = STATE(2130),
    [sym_class] = STATE(2117),
    [sym_class_declaration] = STATE(836),
    [sym_function_expression] = STATE(2117),
    [sym_function_declaration] = STATE(836),
    [sym_generator_function] = STATE(2117),
    [sym_generator_function_declaration] = STATE(836),
    [sym_arrow_function] = STATE(2117),
    [sym__call_signature] = STATE(5525),
    [sym_call_expression] = STATE(2117),
    [sym_new_expression] = STATE(1963),
    [sym_await_expression] = STATE(2130),
    [sym_member_expression] = STATE(1353),
    [sym_subscript_expression] = STATE(1353),
    [sym_assignment_expression] = STATE(2130),
    [sym__augmented_assignment_lhs] = STATE(3036),
    [sym_augmented_assignment_expression] = STATE(2130),
    [sym__destructuring_pattern] = STATE(5484),
    [sym_ternary_expression] = STATE(2130),
    [sym_binary_expression] = STATE(2130),
    [sym_unary_expression] = STATE(2130),
    [sym_update_expression] = STATE(2130),
    [sym_sequence_expression] = STATE(5427),
    [sym_string] = STATE(2117),
    [sym_template_string] = STATE(2117),
    [sym_regex] = STATE(2117),
    [sym_meta_property] = STATE(2117),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1353),
    [sym_function_signature] = STATE(836),
    [sym_type_assertion] = STATE(2130),
    [sym_as_expression] = STATE(2130),
    [sym_satisfies_expression] = STATE(2130),
    [sym_instantiation_expression] = STATE(2130),
    [sym_ambient_declaration] = STATE(836),
    [sym_abstract_class_declaration] = STATE(836),
    [sym_module] = STATE(836),
    [sym_internal_module] = STATE(239),
    [sym_import_alias] = STATE(836),
    [sym_interface_declaration] = STATE(836),
    [sym_enum_declaration] = STATE(836),
    [sym_type_alias_declaration] = STATE(836),
    [sym_type_arguments] = STATE(427),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_program_repeat1] = STATE(13),
    [aux_sym_export_statement_repeat1] = STATE(3871),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_default] = ACTIONS(496),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(498),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_SEMI] = ACTIONS(43),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_do] = ACTIONS(49),
    [anon_sym_try] = ACTIONS(51),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_debugger] = ACTIONS(57),
    [anon_sym_return] = ACTIONS(59),
    [anon_sym_throw] = ACTIONS(61),
    [anon_sym_case] = ACTIONS(496),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_async] = ACTIONS(75),
    [anon_sym_function] = ACTIONS(77),
    [anon_sym_new] = ACTIONS(79),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(101),
    [anon_sym_readonly] = ACTIONS(101),
    [anon_sym_get] = ACTIONS(101),
    [anon_sym_set] = ACTIONS(101),
    [anon_sym_declare] = ACTIONS(103),
    [anon_sym_public] = ACTIONS(101),
    [anon_sym_private] = ACTIONS(101),
    [anon_sym_protected] = ACTIONS(101),
    [anon_sym_override] = ACTIONS(101),
    [anon_sym_module] = ACTIONS(105),
    [anon_sym_any] = ACTIONS(101),
    [anon_sym_number] = ACTIONS(101),
    [anon_sym_boolean] = ACTIONS(101),
    [anon_sym_string] = ACTIONS(101),
    [anon_sym_symbol] = ACTIONS(101),
    [anon_sym_object] = ACTIONS(101),
    [anon_sym_abstract] = ACTIONS(107),
    [anon_sym_interface] = ACTIONS(109),
    [anon_sym_enum] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [11] = {
    [sym_export_statement] = STATE(888),
    [sym_declaration] = STATE(888),
    [sym_import] = STATE(3513),
    [sym_import_statement] = STATE(888),
    [sym_statement] = STATE(9),
    [sym_expression_statement] = STATE(888),
    [sym_variable_declaration] = STATE(836),
    [sym_lexical_declaration] = STATE(836),
    [sym_statement_block] = STATE(888),
    [sym_if_statement] = STATE(888),
    [sym_switch_statement] = STATE(888),
    [sym_for_statement] = STATE(888),
    [sym_for_in_statement] = STATE(888),
    [sym_while_statement] = STATE(888),
    [sym_do_statement] = STATE(888),
    [sym_try_statement] = STATE(888),
    [sym_with_statement] = STATE(888),
    [sym_break_statement] = STATE(888),
    [sym_continue_statement] = STATE(888),
    [sym_debugger_statement] = STATE(888),
    [sym_return_statement] = STATE(888),
    [sym_throw_statement] = STATE(888),
    [sym_empty_statement] = STATE(888),
    [sym_labeled_statement] = STATE(888),
    [sym_parenthesized_expression] = STATE(1353),
    [sym_expression] = STATE(1940),
    [sym_primary_expression] = STATE(1833),
    [sym_yield_expression] = STATE(2130),
    [sym_object] = STATE(2117),
    [sym_object_pattern] = STATE(5484),
    [sym_array] = STATE(2117),
    [sym_array_pattern] = STATE(5484),
    [sym_glimmer_template] = STATE(2130),
    [sym_class] = STATE(2117),
    [sym_class_declaration] = STATE(836),
    [sym_function_expression] = STATE(2117),
    [sym_function_declaration] = STATE(836),
    [sym_generator_function] = STATE(2117),
    [sym_generator_function_declaration] = STATE(836),
    [sym_arrow_function] = STATE(2117),
    [sym__call_signature] = STATE(5525),
    [sym_call_expression] = STATE(2117),
    [sym_new_expression] = STATE(1963),
    [sym_await_expression] = STATE(2130),
    [sym_member_expression] = STATE(1353),
    [sym_subscript_expression] = STATE(1353),
    [sym_assignment_expression] = STATE(2130),
    [sym__augmented_assignment_lhs] = STATE(3036),
    [sym_augmented_assignment_expression] = STATE(2130),
    [sym__destructuring_pattern] = STATE(5484),
    [sym_ternary_expression] = STATE(2130),
    [sym_binary_expression] = STATE(2130),
    [sym_unary_expression] = STATE(2130),
    [sym_update_expression] = STATE(2130),
    [sym_sequence_expression] = STATE(5427),
    [sym_string] = STATE(2117),
    [sym_template_string] = STATE(2117),
    [sym_regex] = STATE(2117),
    [sym_meta_property] = STATE(2117),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1353),
    [sym_function_signature] = STATE(836),
    [sym_type_assertion] = STATE(2130),
    [sym_as_expression] = STATE(2130),
    [sym_satisfies_expression] = STATE(2130),
    [sym_instantiation_expression] = STATE(2130),
    [sym_ambient_declaration] = STATE(836),
    [sym_abstract_class_declaration] = STATE(836),
    [sym_module] = STATE(836),
    [sym_internal_module] = STATE(239),
    [sym_import_alias] = STATE(836),
    [sym_interface_declaration] = STATE(836),
    [sym_enum_declaration] = STATE(836),
    [sym_type_alias_declaration] = STATE(836),
    [sym_type_arguments] = STATE(427),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_program_repeat1] = STATE(9),
    [aux_sym_export_statement_repeat1] = STATE(3871),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_default] = ACTIONS(500),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(502),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_SEMI] = ACTIONS(43),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_do] = ACTIONS(49),
    [anon_sym_try] = ACTIONS(51),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_debugger] = ACTIONS(57),
    [anon_sym_return] = ACTIONS(59),
    [anon_sym_throw] = ACTIONS(61),
    [anon_sym_case] = ACTIONS(500),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_async] = ACTIONS(75),
    [anon_sym_function] = ACTIONS(77),
    [anon_sym_new] = ACTIONS(79),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(101),
    [anon_sym_readonly] = ACTIONS(101),
    [anon_sym_get] = ACTIONS(101),
    [anon_sym_set] = ACTIONS(101),
    [anon_sym_declare] = ACTIONS(103),
    [anon_sym_public] = ACTIONS(101),
    [anon_sym_private] = ACTIONS(101),
    [anon_sym_protected] = ACTIONS(101),
    [anon_sym_override] = ACTIONS(101),
    [anon_sym_module] = ACTIONS(105),
    [anon_sym_any] = ACTIONS(101),
    [anon_sym_number] = ACTIONS(101),
    [anon_sym_boolean] = ACTIONS(101),
    [anon_sym_string] = ACTIONS(101),
    [anon_sym_symbol] = ACTIONS(101),
    [anon_sym_object] = ACTIONS(101),
    [anon_sym_abstract] = ACTIONS(107),
    [anon_sym_interface] = ACTIONS(109),
    [anon_sym_enum] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [12] = {
    [sym_export_statement] = STATE(888),
    [sym_declaration] = STATE(888),
    [sym_import] = STATE(3513),
    [sym_import_statement] = STATE(888),
    [sym_statement] = STATE(11),
    [sym_expression_statement] = STATE(888),
    [sym_variable_declaration] = STATE(836),
    [sym_lexical_declaration] = STATE(836),
    [sym_statement_block] = STATE(888),
    [sym_if_statement] = STATE(888),
    [sym_switch_statement] = STATE(888),
    [sym_for_statement] = STATE(888),
    [sym_for_in_statement] = STATE(888),
    [sym_while_statement] = STATE(888),
    [sym_do_statement] = STATE(888),
    [sym_try_statement] = STATE(888),
    [sym_with_statement] = STATE(888),
    [sym_break_statement] = STATE(888),
    [sym_continue_statement] = STATE(888),
    [sym_debugger_statement] = STATE(888),
    [sym_return_statement] = STATE(888),
    [sym_throw_statement] = STATE(888),
    [sym_empty_statement] = STATE(888),
    [sym_labeled_statement] = STATE(888),
    [sym_parenthesized_expression] = STATE(1353),
    [sym_expression] = STATE(1940),
    [sym_primary_expression] = STATE(1833),
    [sym_yield_expression] = STATE(2130),
    [sym_object] = STATE(2117),
    [sym_object_pattern] = STATE(5484),
    [sym_array] = STATE(2117),
    [sym_array_pattern] = STATE(5484),
    [sym_glimmer_template] = STATE(2130),
    [sym_class] = STATE(2117),
    [sym_class_declaration] = STATE(836),
    [sym_function_expression] = STATE(2117),
    [sym_function_declaration] = STATE(836),
    [sym_generator_function] = STATE(2117),
    [sym_generator_function_declaration] = STATE(836),
    [sym_arrow_function] = STATE(2117),
    [sym__call_signature] = STATE(5525),
    [sym_call_expression] = STATE(2117),
    [sym_new_expression] = STATE(1963),
    [sym_await_expression] = STATE(2130),
    [sym_member_expression] = STATE(1353),
    [sym_subscript_expression] = STATE(1353),
    [sym_assignment_expression] = STATE(2130),
    [sym__augmented_assignment_lhs] = STATE(3036),
    [sym_augmented_assignment_expression] = STATE(2130),
    [sym__destructuring_pattern] = STATE(5484),
    [sym_ternary_expression] = STATE(2130),
    [sym_binary_expression] = STATE(2130),
    [sym_unary_expression] = STATE(2130),
    [sym_update_expression] = STATE(2130),
    [sym_sequence_expression] = STATE(5427),
    [sym_string] = STATE(2117),
    [sym_template_string] = STATE(2117),
    [sym_regex] = STATE(2117),
    [sym_meta_property] = STATE(2117),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1353),
    [sym_function_signature] = STATE(836),
    [sym_type_assertion] = STATE(2130),
    [sym_as_expression] = STATE(2130),
    [sym_satisfies_expression] = STATE(2130),
    [sym_instantiation_expression] = STATE(2130),
    [sym_ambient_declaration] = STATE(836),
    [sym_abstract_class_declaration] = STATE(836),
    [sym_module] = STATE(836),
    [sym_internal_module] = STATE(239),
    [sym_import_alias] = STATE(836),
    [sym_interface_declaration] = STATE(836),
    [sym_enum_declaration] = STATE(836),
    [sym_type_alias_declaration] = STATE(836),
    [sym_type_arguments] = STATE(427),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_program_repeat1] = STATE(11),
    [aux_sym_export_statement_repeat1] = STATE(3871),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_default] = ACTIONS(504),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(506),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_SEMI] = ACTIONS(43),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_do] = ACTIONS(49),
    [anon_sym_try] = ACTIONS(51),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_debugger] = ACTIONS(57),
    [anon_sym_return] = ACTIONS(59),
    [anon_sym_throw] = ACTIONS(61),
    [anon_sym_case] = ACTIONS(504),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_async] = ACTIONS(75),
    [anon_sym_function] = ACTIONS(77),
    [anon_sym_new] = ACTIONS(79),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(101),
    [anon_sym_readonly] = ACTIONS(101),
    [anon_sym_get] = ACTIONS(101),
    [anon_sym_set] = ACTIONS(101),
    [anon_sym_declare] = ACTIONS(103),
    [anon_sym_public] = ACTIONS(101),
    [anon_sym_private] = ACTIONS(101),
    [anon_sym_protected] = ACTIONS(101),
    [anon_sym_override] = ACTIONS(101),
    [anon_sym_module] = ACTIONS(105),
    [anon_sym_any] = ACTIONS(101),
    [anon_sym_number] = ACTIONS(101),
    [anon_sym_boolean] = ACTIONS(101),
    [anon_sym_string] = ACTIONS(101),
    [anon_sym_symbol] = ACTIONS(101),
    [anon_sym_object] = ACTIONS(101),
    [anon_sym_abstract] = ACTIONS(107),
    [anon_sym_interface] = ACTIONS(109),
    [anon_sym_enum] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [13] = {
    [sym_export_statement] = STATE(888),
    [sym_declaration] = STATE(888),
    [sym_import] = STATE(3513),
    [sym_import_statement] = STATE(888),
    [sym_statement] = STATE(9),
    [sym_expression_statement] = STATE(888),
    [sym_variable_declaration] = STATE(836),
    [sym_lexical_declaration] = STATE(836),
    [sym_statement_block] = STATE(888),
    [sym_if_statement] = STATE(888),
    [sym_switch_statement] = STATE(888),
    [sym_for_statement] = STATE(888),
    [sym_for_in_statement] = STATE(888),
    [sym_while_statement] = STATE(888),
    [sym_do_statement] = STATE(888),
    [sym_try_statement] = STATE(888),
    [sym_with_statement] = STATE(888),
    [sym_break_statement] = STATE(888),
    [sym_continue_statement] = STATE(888),
    [sym_debugger_statement] = STATE(888),
    [sym_return_statement] = STATE(888),
    [sym_throw_statement] = STATE(888),
    [sym_empty_statement] = STATE(888),
    [sym_labeled_statement] = STATE(888),
    [sym_parenthesized_expression] = STATE(1353),
    [sym_expression] = STATE(1940),
    [sym_primary_expression] = STATE(1833),
    [sym_yield_expression] = STATE(2130),
    [sym_object] = STATE(2117),
    [sym_object_pattern] = STATE(5484),
    [sym_array] = STATE(2117),
    [sym_array_pattern] = STATE(5484),
    [sym_glimmer_template] = STATE(2130),
    [sym_class] = STATE(2117),
    [sym_class_declaration] = STATE(836),
    [sym_function_expression] = STATE(2117),
    [sym_function_declaration] = STATE(836),
    [sym_generator_function] = STATE(2117),
    [sym_generator_function_declaration] = STATE(836),
    [sym_arrow_function] = STATE(2117),
    [sym__call_signature] = STATE(5525),
    [sym_call_expression] = STATE(2117),
    [sym_new_expression] = STATE(1963),
    [sym_await_expression] = STATE(2130),
    [sym_member_expression] = STATE(1353),
    [sym_subscript_expression] = STATE(1353),
    [sym_assignment_expression] = STATE(2130),
    [sym__augmented_assignment_lhs] = STATE(3036),
    [sym_augmented_assignment_expression] = STATE(2130),
    [sym__destructuring_pattern] = STATE(5484),
    [sym_ternary_expression] = STATE(2130),
    [sym_binary_expression] = STATE(2130),
    [sym_unary_expression] = STATE(2130),
    [sym_update_expression] = STATE(2130),
    [sym_sequence_expression] = STATE(5427),
    [sym_string] = STATE(2117),
    [sym_template_string] = STATE(2117),
    [sym_regex] = STATE(2117),
    [sym_meta_property] = STATE(2117),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1353),
    [sym_function_signature] = STATE(836),
    [sym_type_assertion] = STATE(2130),
    [sym_as_expression] = STATE(2130),
    [sym_satisfies_expression] = STATE(2130),
    [sym_instantiation_expression] = STATE(2130),
    [sym_ambient_declaration] = STATE(836),
    [sym_abstract_class_declaration] = STATE(836),
    [sym_module] = STATE(836),
    [sym_internal_module] = STATE(239),
    [sym_import_alias] = STATE(836),
    [sym_interface_declaration] = STATE(836),
    [sym_enum_declaration] = STATE(836),
    [sym_type_alias_declaration] = STATE(836),
    [sym_type_arguments] = STATE(427),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_program_repeat1] = STATE(9),
    [aux_sym_export_statement_repeat1] = STATE(3871),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_default] = ACTIONS(508),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(510),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_SEMI] = ACTIONS(43),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_do] = ACTIONS(49),
    [anon_sym_try] = ACTIONS(51),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_debugger] = ACTIONS(57),
    [anon_sym_return] = ACTIONS(59),
    [anon_sym_throw] = ACTIONS(61),
    [anon_sym_case] = ACTIONS(508),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_async] = ACTIONS(75),
    [anon_sym_function] = ACTIONS(77),
    [anon_sym_new] = ACTIONS(79),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(101),
    [anon_sym_readonly] = ACTIONS(101),
    [anon_sym_get] = ACTIONS(101),
    [anon_sym_set] = ACTIONS(101),
    [anon_sym_declare] = ACTIONS(103),
    [anon_sym_public] = ACTIONS(101),
    [anon_sym_private] = ACTIONS(101),
    [anon_sym_protected] = ACTIONS(101),
    [anon_sym_override] = ACTIONS(101),
    [anon_sym_module] = ACTIONS(105),
    [anon_sym_any] = ACTIONS(101),
    [anon_sym_number] = ACTIONS(101),
    [anon_sym_boolean] = ACTIONS(101),
    [anon_sym_string] = ACTIONS(101),
    [anon_sym_symbol] = ACTIONS(101),
    [anon_sym_object] = ACTIONS(101),
    [anon_sym_abstract] = ACTIONS(107),
    [anon_sym_interface] = ACTIONS(109),
    [anon_sym_enum] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [14] = {
    [sym_export_statement] = STATE(888),
    [sym_declaration] = STATE(888),
    [sym_import] = STATE(3513),
    [sym_import_statement] = STATE(888),
    [sym_statement] = STATE(9),
    [sym_expression_statement] = STATE(888),
    [sym_variable_declaration] = STATE(836),
    [sym_lexical_declaration] = STATE(836),
    [sym_statement_block] = STATE(888),
    [sym_if_statement] = STATE(888),
    [sym_switch_statement] = STATE(888),
    [sym_for_statement] = STATE(888),
    [sym_for_in_statement] = STATE(888),
    [sym_while_statement] = STATE(888),
    [sym_do_statement] = STATE(888),
    [sym_try_statement] = STATE(888),
    [sym_with_statement] = STATE(888),
    [sym_break_statement] = STATE(888),
    [sym_continue_statement] = STATE(888),
    [sym_debugger_statement] = STATE(888),
    [sym_return_statement] = STATE(888),
    [sym_throw_statement] = STATE(888),
    [sym_empty_statement] = STATE(888),
    [sym_labeled_statement] = STATE(888),
    [sym_parenthesized_expression] = STATE(1353),
    [sym_expression] = STATE(1940),
    [sym_primary_expression] = STATE(1833),
    [sym_yield_expression] = STATE(2130),
    [sym_object] = STATE(2117),
    [sym_object_pattern] = STATE(5484),
    [sym_array] = STATE(2117),
    [sym_array_pattern] = STATE(5484),
    [sym_glimmer_template] = STATE(2130),
    [sym_class] = STATE(2117),
    [sym_class_declaration] = STATE(836),
    [sym_function_expression] = STATE(2117),
    [sym_function_declaration] = STATE(836),
    [sym_generator_function] = STATE(2117),
    [sym_generator_function_declaration] = STATE(836),
    [sym_arrow_function] = STATE(2117),
    [sym__call_signature] = STATE(5525),
    [sym_call_expression] = STATE(2117),
    [sym_new_expression] = STATE(1963),
    [sym_await_expression] = STATE(2130),
    [sym_member_expression] = STATE(1353),
    [sym_subscript_expression] = STATE(1353),
    [sym_assignment_expression] = STATE(2130),
    [sym__augmented_assignment_lhs] = STATE(3036),
    [sym_augmented_assignment_expression] = STATE(2130),
    [sym__destructuring_pattern] = STATE(5484),
    [sym_ternary_expression] = STATE(2130),
    [sym_binary_expression] = STATE(2130),
    [sym_unary_expression] = STATE(2130),
    [sym_update_expression] = STATE(2130),
    [sym_sequence_expression] = STATE(5427),
    [sym_string] = STATE(2117),
    [sym_template_string] = STATE(2117),
    [sym_regex] = STATE(2117),
    [sym_meta_property] = STATE(2117),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1353),
    [sym_function_signature] = STATE(836),
    [sym_type_assertion] = STATE(2130),
    [sym_as_expression] = STATE(2130),
    [sym_satisfies_expression] = STATE(2130),
    [sym_instantiation_expression] = STATE(2130),
    [sym_ambient_declaration] = STATE(836),
    [sym_abstract_class_declaration] = STATE(836),
    [sym_module] = STATE(836),
    [sym_internal_module] = STATE(239),
    [sym_import_alias] = STATE(836),
    [sym_interface_declaration] = STATE(836),
    [sym_enum_declaration] = STATE(836),
    [sym_type_alias_declaration] = STATE(836),
    [sym_type_arguments] = STATE(427),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_program_repeat1] = STATE(9),
    [aux_sym_export_statement_repeat1] = STATE(3871),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(512),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_SEMI] = ACTIONS(43),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_do] = ACTIONS(49),
    [anon_sym_try] = ACTIONS(51),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_debugger] = ACTIONS(57),
    [anon_sym_return] = ACTIONS(59),
    [anon_sym_throw] = ACTIONS(61),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_async] = ACTIONS(75),
    [anon_sym_function] = ACTIONS(77),
    [anon_sym_new] = ACTIONS(79),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(101),
    [anon_sym_readonly] = ACTIONS(101),
    [anon_sym_get] = ACTIONS(101),
    [anon_sym_set] = ACTIONS(101),
    [anon_sym_declare] = ACTIONS(103),
    [anon_sym_public] = ACTIONS(101),
    [anon_sym_private] = ACTIONS(101),
    [anon_sym_protected] = ACTIONS(101),
    [anon_sym_override] = ACTIONS(101),
    [anon_sym_module] = ACTIONS(105),
    [anon_sym_any] = ACTIONS(101),
    [anon_sym_number] = ACTIONS(101),
    [anon_sym_boolean] = ACTIONS(101),
    [anon_sym_string] = ACTIONS(101),
    [anon_sym_symbol] = ACTIONS(101),
    [anon_sym_object] = ACTIONS(101),
    [anon_sym_abstract] = ACTIONS(107),
    [anon_sym_interface] = ACTIONS(109),
    [anon_sym_enum] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [15] = {
    [sym_export_statement] = STATE(888),
    [sym_declaration] = STATE(888),
    [sym_import] = STATE(3513),
    [sym_import_statement] = STATE(888),
    [sym_statement] = STATE(9),
    [sym_expression_statement] = STATE(888),
    [sym_variable_declaration] = STATE(836),
    [sym_lexical_declaration] = STATE(836),
    [sym_statement_block] = STATE(888),
    [sym_if_statement] = STATE(888),
    [sym_switch_statement] = STATE(888),
    [sym_for_statement] = STATE(888),
    [sym_for_in_statement] = STATE(888),
    [sym_while_statement] = STATE(888),
    [sym_do_statement] = STATE(888),
    [sym_try_statement] = STATE(888),
    [sym_with_statement] = STATE(888),
    [sym_break_statement] = STATE(888),
    [sym_continue_statement] = STATE(888),
    [sym_debugger_statement] = STATE(888),
    [sym_return_statement] = STATE(888),
    [sym_throw_statement] = STATE(888),
    [sym_empty_statement] = STATE(888),
    [sym_labeled_statement] = STATE(888),
    [sym_parenthesized_expression] = STATE(1353),
    [sym_expression] = STATE(1940),
    [sym_primary_expression] = STATE(1833),
    [sym_yield_expression] = STATE(2130),
    [sym_object] = STATE(2117),
    [sym_object_pattern] = STATE(5484),
    [sym_array] = STATE(2117),
    [sym_array_pattern] = STATE(5484),
    [sym_glimmer_template] = STATE(2130),
    [sym_class] = STATE(2117),
    [sym_class_declaration] = STATE(836),
    [sym_function_expression] = STATE(2117),
    [sym_function_declaration] = STATE(836),
    [sym_generator_function] = STATE(2117),
    [sym_generator_function_declaration] = STATE(836),
    [sym_arrow_function] = STATE(2117),
    [sym__call_signature] = STATE(5525),
    [sym_call_expression] = STATE(2117),
    [sym_new_expression] = STATE(1963),
    [sym_await_expression] = STATE(2130),
    [sym_member_expression] = STATE(1353),
    [sym_subscript_expression] = STATE(1353),
    [sym_assignment_expression] = STATE(2130),
    [sym__augmented_assignment_lhs] = STATE(3036),
    [sym_augmented_assignment_expression] = STATE(2130),
    [sym__destructuring_pattern] = STATE(5484),
    [sym_ternary_expression] = STATE(2130),
    [sym_binary_expression] = STATE(2130),
    [sym_unary_expression] = STATE(2130),
    [sym_update_expression] = STATE(2130),
    [sym_sequence_expression] = STATE(5427),
    [sym_string] = STATE(2117),
    [sym_template_string] = STATE(2117),
    [sym_regex] = STATE(2117),
    [sym_meta_property] = STATE(2117),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1353),
    [sym_function_signature] = STATE(836),
    [sym_type_assertion] = STATE(2130),
    [sym_as_expression] = STATE(2130),
    [sym_satisfies_expression] = STATE(2130),
    [sym_instantiation_expression] = STATE(2130),
    [sym_ambient_declaration] = STATE(836),
    [sym_abstract_class_declaration] = STATE(836),
    [sym_module] = STATE(836),
    [sym_internal_module] = STATE(239),
    [sym_import_alias] = STATE(836),
    [sym_interface_declaration] = STATE(836),
    [sym_enum_declaration] = STATE(836),
    [sym_type_alias_declaration] = STATE(836),
    [sym_type_arguments] = STATE(427),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_program_repeat1] = STATE(9),
    [aux_sym_export_statement_repeat1] = STATE(3871),
    [ts_builtin_sym_end] = ACTIONS(514),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_SEMI] = ACTIONS(43),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_do] = ACTIONS(49),
    [anon_sym_try] = ACTIONS(51),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_debugger] = ACTIONS(57),
    [anon_sym_return] = ACTIONS(59),
    [anon_sym_throw] = ACTIONS(61),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_async] = ACTIONS(75),
    [anon_sym_function] = ACTIONS(77),
    [anon_sym_new] = ACTIONS(79),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(101),
    [anon_sym_readonly] = ACTIONS(101),
    [anon_sym_get] = ACTIONS(101),
    [anon_sym_set] = ACTIONS(101),
    [anon_sym_declare] = ACTIONS(103),
    [anon_sym_public] = ACTIONS(101),
    [anon_sym_private] = ACTIONS(101),
    [anon_sym_protected] = ACTIONS(101),
    [anon_sym_override] = ACTIONS(101),
    [anon_sym_module] = ACTIONS(105),
    [anon_sym_any] = ACTIONS(101),
    [anon_sym_number] = ACTIONS(101),
    [anon_sym_boolean] = ACTIONS(101),
    [anon_sym_string] = ACTIONS(101),
    [anon_sym_symbol] = ACTIONS(101),
    [anon_sym_object] = ACTIONS(101),
    [anon_sym_abstract] = ACTIONS(107),
    [anon_sym_interface] = ACTIONS(109),
    [anon_sym_enum] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [16] = {
    [sym_export_statement] = STATE(888),
    [sym_declaration] = STATE(888),
    [sym_import] = STATE(3513),
    [sym_import_statement] = STATE(888),
    [sym_statement] = STATE(14),
    [sym_expression_statement] = STATE(888),
    [sym_variable_declaration] = STATE(836),
    [sym_lexical_declaration] = STATE(836),
    [sym_statement_block] = STATE(888),
    [sym_if_statement] = STATE(888),
    [sym_switch_statement] = STATE(888),
    [sym_for_statement] = STATE(888),
    [sym_for_in_statement] = STATE(888),
    [sym_while_statement] = STATE(888),
    [sym_do_statement] = STATE(888),
    [sym_try_statement] = STATE(888),
    [sym_with_statement] = STATE(888),
    [sym_break_statement] = STATE(888),
    [sym_continue_statement] = STATE(888),
    [sym_debugger_statement] = STATE(888),
    [sym_return_statement] = STATE(888),
    [sym_throw_statement] = STATE(888),
    [sym_empty_statement] = STATE(888),
    [sym_labeled_statement] = STATE(888),
    [sym_parenthesized_expression] = STATE(1353),
    [sym_expression] = STATE(1940),
    [sym_primary_expression] = STATE(1833),
    [sym_yield_expression] = STATE(2130),
    [sym_object] = STATE(2117),
    [sym_object_pattern] = STATE(5484),
    [sym_array] = STATE(2117),
    [sym_array_pattern] = STATE(5484),
    [sym_glimmer_template] = STATE(2130),
    [sym_class] = STATE(2117),
    [sym_class_declaration] = STATE(836),
    [sym_function_expression] = STATE(2117),
    [sym_function_declaration] = STATE(836),
    [sym_generator_function] = STATE(2117),
    [sym_generator_function_declaration] = STATE(836),
    [sym_arrow_function] = STATE(2117),
    [sym__call_signature] = STATE(5525),
    [sym_call_expression] = STATE(2117),
    [sym_new_expression] = STATE(1963),
    [sym_await_expression] = STATE(2130),
    [sym_member_expression] = STATE(1353),
    [sym_subscript_expression] = STATE(1353),
    [sym_assignment_expression] = STATE(2130),
    [sym__augmented_assignment_lhs] = STATE(3036),
    [sym_augmented_assignment_expression] = STATE(2130),
    [sym__destructuring_pattern] = STATE(5484),
    [sym_ternary_expression] = STATE(2130),
    [sym_binary_expression] = STATE(2130),
    [sym_unary_expression] = STATE(2130),
    [sym_update_expression] = STATE(2130),
    [sym_sequence_expression] = STATE(5427),
    [sym_string] = STATE(2117),
    [sym_template_string] = STATE(2117),
    [sym_regex] = STATE(2117),
    [sym_meta_property] = STATE(2117),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1353),
    [sym_function_signature] = STATE(836),
    [sym_type_assertion] = STATE(2130),
    [sym_as_expression] = STATE(2130),
    [sym_satisfies_expression] = STATE(2130),
    [sym_instantiation_expression] = STATE(2130),
    [sym_ambient_declaration] = STATE(836),
    [sym_abstract_class_declaration] = STATE(836),
    [sym_module] = STATE(836),
    [sym_internal_module] = STATE(239),
    [sym_import_alias] = STATE(836),
    [sym_interface_declaration] = STATE(836),
    [sym_enum_declaration] = STATE(836),
    [sym_type_alias_declaration] = STATE(836),
    [sym_type_arguments] = STATE(427),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_program_repeat1] = STATE(14),
    [aux_sym_export_statement_repeat1] = STATE(3871),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(516),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_SEMI] = ACTIONS(43),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_do] = ACTIONS(49),
    [anon_sym_try] = ACTIONS(51),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_debugger] = ACTIONS(57),
    [anon_sym_return] = ACTIONS(59),
    [anon_sym_throw] = ACTIONS(61),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_async] = ACTIONS(75),
    [anon_sym_function] = ACTIONS(77),
    [anon_sym_new] = ACTIONS(79),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(101),
    [anon_sym_readonly] = ACTIONS(101),
    [anon_sym_get] = ACTIONS(101),
    [anon_sym_set] = ACTIONS(101),
    [anon_sym_declare] = ACTIONS(103),
    [anon_sym_public] = ACTIONS(101),
    [anon_sym_private] = ACTIONS(101),
    [anon_sym_protected] = ACTIONS(101),
    [anon_sym_override] = ACTIONS(101),
    [anon_sym_module] = ACTIONS(105),
    [anon_sym_any] = ACTIONS(101),
    [anon_sym_number] = ACTIONS(101),
    [anon_sym_boolean] = ACTIONS(101),
    [anon_sym_string] = ACTIONS(101),
    [anon_sym_symbol] = ACTIONS(101),
    [anon_sym_object] = ACTIONS(101),
    [anon_sym_abstract] = ACTIONS(107),
    [anon_sym_interface] = ACTIONS(109),
    [anon_sym_enum] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [17] = {
    [sym_export_statement] = STATE(888),
    [sym_declaration] = STATE(888),
    [sym_import] = STATE(3513),
    [sym_import_statement] = STATE(888),
    [sym_statement] = STATE(9),
    [sym_expression_statement] = STATE(888),
    [sym_variable_declaration] = STATE(836),
    [sym_lexical_declaration] = STATE(836),
    [sym_statement_block] = STATE(888),
    [sym_if_statement] = STATE(888),
    [sym_switch_statement] = STATE(888),
    [sym_for_statement] = STATE(888),
    [sym_for_in_statement] = STATE(888),
    [sym_while_statement] = STATE(888),
    [sym_do_statement] = STATE(888),
    [sym_try_statement] = STATE(888),
    [sym_with_statement] = STATE(888),
    [sym_break_statement] = STATE(888),
    [sym_continue_statement] = STATE(888),
    [sym_debugger_statement] = STATE(888),
    [sym_return_statement] = STATE(888),
    [sym_throw_statement] = STATE(888),
    [sym_empty_statement] = STATE(888),
    [sym_labeled_statement] = STATE(888),
    [sym_parenthesized_expression] = STATE(1353),
    [sym_expression] = STATE(1940),
    [sym_primary_expression] = STATE(1833),
    [sym_yield_expression] = STATE(2130),
    [sym_object] = STATE(2117),
    [sym_object_pattern] = STATE(5484),
    [sym_array] = STATE(2117),
    [sym_array_pattern] = STATE(5484),
    [sym_glimmer_template] = STATE(2130),
    [sym_class] = STATE(2117),
    [sym_class_declaration] = STATE(836),
    [sym_function_expression] = STATE(2117),
    [sym_function_declaration] = STATE(836),
    [sym_generator_function] = STATE(2117),
    [sym_generator_function_declaration] = STATE(836),
    [sym_arrow_function] = STATE(2117),
    [sym__call_signature] = STATE(5525),
    [sym_call_expression] = STATE(2117),
    [sym_new_expression] = STATE(1963),
    [sym_await_expression] = STATE(2130),
    [sym_member_expression] = STATE(1353),
    [sym_subscript_expression] = STATE(1353),
    [sym_assignment_expression] = STATE(2130),
    [sym__augmented_assignment_lhs] = STATE(3036),
    [sym_augmented_assignment_expression] = STATE(2130),
    [sym__destructuring_pattern] = STATE(5484),
    [sym_ternary_expression] = STATE(2130),
    [sym_binary_expression] = STATE(2130),
    [sym_unary_expression] = STATE(2130),
    [sym_update_expression] = STATE(2130),
    [sym_sequence_expression] = STATE(5427),
    [sym_string] = STATE(2117),
    [sym_template_string] = STATE(2117),
    [sym_regex] = STATE(2117),
    [sym_meta_property] = STATE(2117),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1353),
    [sym_function_signature] = STATE(836),
    [sym_type_assertion] = STATE(2130),
    [sym_as_expression] = STATE(2130),
    [sym_satisfies_expression] = STATE(2130),
    [sym_instantiation_expression] = STATE(2130),
    [sym_ambient_declaration] = STATE(836),
    [sym_abstract_class_declaration] = STATE(836),
    [sym_module] = STATE(836),
    [sym_internal_module] = STATE(239),
    [sym_import_alias] = STATE(836),
    [sym_interface_declaration] = STATE(836),
    [sym_enum_declaration] = STATE(836),
    [sym_type_alias_declaration] = STATE(836),
    [sym_type_arguments] = STATE(427),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_program_repeat1] = STATE(9),
    [aux_sym_export_statement_repeat1] = STATE(3871),
    [ts_builtin_sym_end] = ACTIONS(518),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_SEMI] = ACTIONS(43),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_do] = ACTIONS(49),
    [anon_sym_try] = ACTIONS(51),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_debugger] = ACTIONS(57),
    [anon_sym_return] = ACTIONS(59),
    [anon_sym_throw] = ACTIONS(61),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_async] = ACTIONS(75),
    [anon_sym_function] = ACTIONS(77),
    [anon_sym_new] = ACTIONS(79),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(101),
    [anon_sym_readonly] = ACTIONS(101),
    [anon_sym_get] = ACTIONS(101),
    [anon_sym_set] = ACTIONS(101),
    [anon_sym_declare] = ACTIONS(103),
    [anon_sym_public] = ACTIONS(101),
    [anon_sym_private] = ACTIONS(101),
    [anon_sym_protected] = ACTIONS(101),
    [anon_sym_override] = ACTIONS(101),
    [anon_sym_module] = ACTIONS(105),
    [anon_sym_any] = ACTIONS(101),
    [anon_sym_number] = ACTIONS(101),
    [anon_sym_boolean] = ACTIONS(101),
    [anon_sym_string] = ACTIONS(101),
    [anon_sym_symbol] = ACTIONS(101),
    [anon_sym_object] = ACTIONS(101),
    [anon_sym_abstract] = ACTIONS(107),
    [anon_sym_interface] = ACTIONS(109),
    [anon_sym_enum] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [18] = {
    [sym_export_statement] = STATE(888),
    [sym_declaration] = STATE(888),
    [sym_import] = STATE(3513),
    [sym_import_statement] = STATE(888),
    [sym_statement] = STATE(9),
    [sym_expression_statement] = STATE(888),
    [sym_variable_declaration] = STATE(836),
    [sym_lexical_declaration] = STATE(836),
    [sym_statement_block] = STATE(888),
    [sym_if_statement] = STATE(888),
    [sym_switch_statement] = STATE(888),
    [sym_for_statement] = STATE(888),
    [sym_for_in_statement] = STATE(888),
    [sym_while_statement] = STATE(888),
    [sym_do_statement] = STATE(888),
    [sym_try_statement] = STATE(888),
    [sym_with_statement] = STATE(888),
    [sym_break_statement] = STATE(888),
    [sym_continue_statement] = STATE(888),
    [sym_debugger_statement] = STATE(888),
    [sym_return_statement] = STATE(888),
    [sym_throw_statement] = STATE(888),
    [sym_empty_statement] = STATE(888),
    [sym_labeled_statement] = STATE(888),
    [sym_parenthesized_expression] = STATE(1353),
    [sym_expression] = STATE(1940),
    [sym_primary_expression] = STATE(1833),
    [sym_yield_expression] = STATE(2130),
    [sym_object] = STATE(2117),
    [sym_object_pattern] = STATE(5484),
    [sym_array] = STATE(2117),
    [sym_array_pattern] = STATE(5484),
    [sym_glimmer_template] = STATE(2130),
    [sym_class] = STATE(2117),
    [sym_class_declaration] = STATE(836),
    [sym_function_expression] = STATE(2117),
    [sym_function_declaration] = STATE(836),
    [sym_generator_function] = STATE(2117),
    [sym_generator_function_declaration] = STATE(836),
    [sym_arrow_function] = STATE(2117),
    [sym__call_signature] = STATE(5525),
    [sym_call_expression] = STATE(2117),
    [sym_new_expression] = STATE(1963),
    [sym_await_expression] = STATE(2130),
    [sym_member_expression] = STATE(1353),
    [sym_subscript_expression] = STATE(1353),
    [sym_assignment_expression] = STATE(2130),
    [sym__augmented_assignment_lhs] = STATE(3036),
    [sym_augmented_assignment_expression] = STATE(2130),
    [sym__destructuring_pattern] = STATE(5484),
    [sym_ternary_expression] = STATE(2130),
    [sym_binary_expression] = STATE(2130),
    [sym_unary_expression] = STATE(2130),
    [sym_update_expression] = STATE(2130),
    [sym_sequence_expression] = STATE(5427),
    [sym_string] = STATE(2117),
    [sym_template_string] = STATE(2117),
    [sym_regex] = STATE(2117),
    [sym_meta_property] = STATE(2117),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1353),
    [sym_function_signature] = STATE(836),
    [sym_type_assertion] = STATE(2130),
    [sym_as_expression] = STATE(2130),
    [sym_satisfies_expression] = STATE(2130),
    [sym_instantiation_expression] = STATE(2130),
    [sym_ambient_declaration] = STATE(836),
    [sym_abstract_class_declaration] = STATE(836),
    [sym_module] = STATE(836),
    [sym_internal_module] = STATE(239),
    [sym_import_alias] = STATE(836),
    [sym_interface_declaration] = STATE(836),
    [sym_enum_declaration] = STATE(836),
    [sym_type_alias_declaration] = STATE(836),
    [sym_type_arguments] = STATE(427),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_program_repeat1] = STATE(9),
    [aux_sym_export_statement_repeat1] = STATE(3871),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(520),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_SEMI] = ACTIONS(43),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_do] = ACTIONS(49),
    [anon_sym_try] = ACTIONS(51),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_debugger] = ACTIONS(57),
    [anon_sym_return] = ACTIONS(59),
    [anon_sym_throw] = ACTIONS(61),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_async] = ACTIONS(75),
    [anon_sym_function] = ACTIONS(77),
    [anon_sym_new] = ACTIONS(79),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(101),
    [anon_sym_readonly] = ACTIONS(101),
    [anon_sym_get] = ACTIONS(101),
    [anon_sym_set] = ACTIONS(101),
    [anon_sym_declare] = ACTIONS(103),
    [anon_sym_public] = ACTIONS(101),
    [anon_sym_private] = ACTIONS(101),
    [anon_sym_protected] = ACTIONS(101),
    [anon_sym_override] = ACTIONS(101),
    [anon_sym_module] = ACTIONS(105),
    [anon_sym_any] = ACTIONS(101),
    [anon_sym_number] = ACTIONS(101),
    [anon_sym_boolean] = ACTIONS(101),
    [anon_sym_string] = ACTIONS(101),
    [anon_sym_symbol] = ACTIONS(101),
    [anon_sym_object] = ACTIONS(101),
    [anon_sym_abstract] = ACTIONS(107),
    [anon_sym_interface] = ACTIONS(109),
    [anon_sym_enum] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [19] = {
    [sym_export_statement] = STATE(888),
    [sym_declaration] = STATE(888),
    [sym_import] = STATE(3513),
    [sym_import_statement] = STATE(888),
    [sym_statement] = STATE(20),
    [sym_expression_statement] = STATE(888),
    [sym_variable_declaration] = STATE(836),
    [sym_lexical_declaration] = STATE(836),
    [sym_statement_block] = STATE(888),
    [sym_if_statement] = STATE(888),
    [sym_switch_statement] = STATE(888),
    [sym_for_statement] = STATE(888),
    [sym_for_in_statement] = STATE(888),
    [sym_while_statement] = STATE(888),
    [sym_do_statement] = STATE(888),
    [sym_try_statement] = STATE(888),
    [sym_with_statement] = STATE(888),
    [sym_break_statement] = STATE(888),
    [sym_continue_statement] = STATE(888),
    [sym_debugger_statement] = STATE(888),
    [sym_return_statement] = STATE(888),
    [sym_throw_statement] = STATE(888),
    [sym_empty_statement] = STATE(888),
    [sym_labeled_statement] = STATE(888),
    [sym_parenthesized_expression] = STATE(1353),
    [sym_expression] = STATE(1940),
    [sym_primary_expression] = STATE(1833),
    [sym_yield_expression] = STATE(2130),
    [sym_object] = STATE(2117),
    [sym_object_pattern] = STATE(5484),
    [sym_array] = STATE(2117),
    [sym_array_pattern] = STATE(5484),
    [sym_glimmer_template] = STATE(2130),
    [sym_class] = STATE(2117),
    [sym_class_declaration] = STATE(836),
    [sym_function_expression] = STATE(2117),
    [sym_function_declaration] = STATE(836),
    [sym_generator_function] = STATE(2117),
    [sym_generator_function_declaration] = STATE(836),
    [sym_arrow_function] = STATE(2117),
    [sym__call_signature] = STATE(5525),
    [sym_call_expression] = STATE(2117),
    [sym_new_expression] = STATE(1963),
    [sym_await_expression] = STATE(2130),
    [sym_member_expression] = STATE(1353),
    [sym_subscript_expression] = STATE(1353),
    [sym_assignment_expression] = STATE(2130),
    [sym__augmented_assignment_lhs] = STATE(3036),
    [sym_augmented_assignment_expression] = STATE(2130),
    [sym__destructuring_pattern] = STATE(5484),
    [sym_ternary_expression] = STATE(2130),
    [sym_binary_expression] = STATE(2130),
    [sym_unary_expression] = STATE(2130),
    [sym_update_expression] = STATE(2130),
    [sym_sequence_expression] = STATE(5427),
    [sym_string] = STATE(2117),
    [sym_template_string] = STATE(2117),
    [sym_regex] = STATE(2117),
    [sym_meta_property] = STATE(2117),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1353),
    [sym_function_signature] = STATE(836),
    [sym_type_assertion] = STATE(2130),
    [sym_as_expression] = STATE(2130),
    [sym_satisfies_expression] = STATE(2130),
    [sym_instantiation_expression] = STATE(2130),
    [sym_ambient_declaration] = STATE(836),
    [sym_abstract_class_declaration] = STATE(836),
    [sym_module] = STATE(836),
    [sym_internal_module] = STATE(239),
    [sym_import_alias] = STATE(836),
    [sym_interface_declaration] = STATE(836),
    [sym_enum_declaration] = STATE(836),
    [sym_type_alias_declaration] = STATE(836),
    [sym_type_arguments] = STATE(427),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_program_repeat1] = STATE(20),
    [aux_sym_export_statement_repeat1] = STATE(3871),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(522),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_SEMI] = ACTIONS(43),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_do] = ACTIONS(49),
    [anon_sym_try] = ACTIONS(51),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_debugger] = ACTIONS(57),
    [anon_sym_return] = ACTIONS(59),
    [anon_sym_throw] = ACTIONS(61),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_async] = ACTIONS(75),
    [anon_sym_function] = ACTIONS(77),
    [anon_sym_new] = ACTIONS(79),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(101),
    [anon_sym_readonly] = ACTIONS(101),
    [anon_sym_get] = ACTIONS(101),
    [anon_sym_set] = ACTIONS(101),
    [anon_sym_declare] = ACTIONS(103),
    [anon_sym_public] = ACTIONS(101),
    [anon_sym_private] = ACTIONS(101),
    [anon_sym_protected] = ACTIONS(101),
    [anon_sym_override] = ACTIONS(101),
    [anon_sym_module] = ACTIONS(105),
    [anon_sym_any] = ACTIONS(101),
    [anon_sym_number] = ACTIONS(101),
    [anon_sym_boolean] = ACTIONS(101),
    [anon_sym_string] = ACTIONS(101),
    [anon_sym_symbol] = ACTIONS(101),
    [anon_sym_object] = ACTIONS(101),
    [anon_sym_abstract] = ACTIONS(107),
    [anon_sym_interface] = ACTIONS(109),
    [anon_sym_enum] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [20] = {
    [sym_export_statement] = STATE(888),
    [sym_declaration] = STATE(888),
    [sym_import] = STATE(3513),
    [sym_import_statement] = STATE(888),
    [sym_statement] = STATE(9),
    [sym_expression_statement] = STATE(888),
    [sym_variable_declaration] = STATE(836),
    [sym_lexical_declaration] = STATE(836),
    [sym_statement_block] = STATE(888),
    [sym_if_statement] = STATE(888),
    [sym_switch_statement] = STATE(888),
    [sym_for_statement] = STATE(888),
    [sym_for_in_statement] = STATE(888),
    [sym_while_statement] = STATE(888),
    [sym_do_statement] = STATE(888),
    [sym_try_statement] = STATE(888),
    [sym_with_statement] = STATE(888),
    [sym_break_statement] = STATE(888),
    [sym_continue_statement] = STATE(888),
    [sym_debugger_statement] = STATE(888),
    [sym_return_statement] = STATE(888),
    [sym_throw_statement] = STATE(888),
    [sym_empty_statement] = STATE(888),
    [sym_labeled_statement] = STATE(888),
    [sym_parenthesized_expression] = STATE(1353),
    [sym_expression] = STATE(1940),
    [sym_primary_expression] = STATE(1833),
    [sym_yield_expression] = STATE(2130),
    [sym_object] = STATE(2117),
    [sym_object_pattern] = STATE(5484),
    [sym_array] = STATE(2117),
    [sym_array_pattern] = STATE(5484),
    [sym_glimmer_template] = STATE(2130),
    [sym_class] = STATE(2117),
    [sym_class_declaration] = STATE(836),
    [sym_function_expression] = STATE(2117),
    [sym_function_declaration] = STATE(836),
    [sym_generator_function] = STATE(2117),
    [sym_generator_function_declaration] = STATE(836),
    [sym_arrow_function] = STATE(2117),
    [sym__call_signature] = STATE(5525),
    [sym_call_expression] = STATE(2117),
    [sym_new_expression] = STATE(1963),
    [sym_await_expression] = STATE(2130),
    [sym_member_expression] = STATE(1353),
    [sym_subscript_expression] = STATE(1353),
    [sym_assignment_expression] = STATE(2130),
    [sym__augmented_assignment_lhs] = STATE(3036),
    [sym_augmented_assignment_expression] = STATE(2130),
    [sym__destructuring_pattern] = STATE(5484),
    [sym_ternary_expression] = STATE(2130),
    [sym_binary_expression] = STATE(2130),
    [sym_unary_expression] = STATE(2130),
    [sym_update_expression] = STATE(2130),
    [sym_sequence_expression] = STATE(5427),
    [sym_string] = STATE(2117),
    [sym_template_string] = STATE(2117),
    [sym_regex] = STATE(2117),
    [sym_meta_property] = STATE(2117),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1353),
    [sym_function_signature] = STATE(836),
    [sym_type_assertion] = STATE(2130),
    [sym_as_expression] = STATE(2130),
    [sym_satisfies_expression] = STATE(2130),
    [sym_instantiation_expression] = STATE(2130),
    [sym_ambient_declaration] = STATE(836),
    [sym_abstract_class_declaration] = STATE(836),
    [sym_module] = STATE(836),
    [sym_internal_module] = STATE(239),
    [sym_import_alias] = STATE(836),
    [sym_interface_declaration] = STATE(836),
    [sym_enum_declaration] = STATE(836),
    [sym_type_alias_declaration] = STATE(836),
    [sym_type_arguments] = STATE(427),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_program_repeat1] = STATE(9),
    [aux_sym_export_statement_repeat1] = STATE(3871),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(524),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_SEMI] = ACTIONS(43),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_do] = ACTIONS(49),
    [anon_sym_try] = ACTIONS(51),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_debugger] = ACTIONS(57),
    [anon_sym_return] = ACTIONS(59),
    [anon_sym_throw] = ACTIONS(61),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_async] = ACTIONS(75),
    [anon_sym_function] = ACTIONS(77),
    [anon_sym_new] = ACTIONS(79),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(101),
    [anon_sym_readonly] = ACTIONS(101),
    [anon_sym_get] = ACTIONS(101),
    [anon_sym_set] = ACTIONS(101),
    [anon_sym_declare] = ACTIONS(103),
    [anon_sym_public] = ACTIONS(101),
    [anon_sym_private] = ACTIONS(101),
    [anon_sym_protected] = ACTIONS(101),
    [anon_sym_override] = ACTIONS(101),
    [anon_sym_module] = ACTIONS(105),
    [anon_sym_any] = ACTIONS(101),
    [anon_sym_number] = ACTIONS(101),
    [anon_sym_boolean] = ACTIONS(101),
    [anon_sym_string] = ACTIONS(101),
    [anon_sym_symbol] = ACTIONS(101),
    [anon_sym_object] = ACTIONS(101),
    [anon_sym_abstract] = ACTIONS(107),
    [anon_sym_interface] = ACTIONS(109),
    [anon_sym_enum] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [21] = {
    [sym_export_statement] = STATE(888),
    [sym_declaration] = STATE(888),
    [sym_import] = STATE(3513),
    [sym_import_statement] = STATE(888),
    [sym_statement] = STATE(18),
    [sym_expression_statement] = STATE(888),
    [sym_variable_declaration] = STATE(836),
    [sym_lexical_declaration] = STATE(836),
    [sym_statement_block] = STATE(888),
    [sym_if_statement] = STATE(888),
    [sym_switch_statement] = STATE(888),
    [sym_for_statement] = STATE(888),
    [sym_for_in_statement] = STATE(888),
    [sym_while_statement] = STATE(888),
    [sym_do_statement] = STATE(888),
    [sym_try_statement] = STATE(888),
    [sym_with_statement] = STATE(888),
    [sym_break_statement] = STATE(888),
    [sym_continue_statement] = STATE(888),
    [sym_debugger_statement] = STATE(888),
    [sym_return_statement] = STATE(888),
    [sym_throw_statement] = STATE(888),
    [sym_empty_statement] = STATE(888),
    [sym_labeled_statement] = STATE(888),
    [sym_parenthesized_expression] = STATE(1353),
    [sym_expression] = STATE(1940),
    [sym_primary_expression] = STATE(1833),
    [sym_yield_expression] = STATE(2130),
    [sym_object] = STATE(2117),
    [sym_object_pattern] = STATE(5484),
    [sym_array] = STATE(2117),
    [sym_array_pattern] = STATE(5484),
    [sym_glimmer_template] = STATE(2130),
    [sym_class] = STATE(2117),
    [sym_class_declaration] = STATE(836),
    [sym_function_expression] = STATE(2117),
    [sym_function_declaration] = STATE(836),
    [sym_generator_function] = STATE(2117),
    [sym_generator_function_declaration] = STATE(836),
    [sym_arrow_function] = STATE(2117),
    [sym__call_signature] = STATE(5525),
    [sym_call_expression] = STATE(2117),
    [sym_new_expression] = STATE(1963),
    [sym_await_expression] = STATE(2130),
    [sym_member_expression] = STATE(1353),
    [sym_subscript_expression] = STATE(1353),
    [sym_assignment_expression] = STATE(2130),
    [sym__augmented_assignment_lhs] = STATE(3036),
    [sym_augmented_assignment_expression] = STATE(2130),
    [sym__destructuring_pattern] = STATE(5484),
    [sym_ternary_expression] = STATE(2130),
    [sym_binary_expression] = STATE(2130),
    [sym_unary_expression] = STATE(2130),
    [sym_update_expression] = STATE(2130),
    [sym_sequence_expression] = STATE(5427),
    [sym_string] = STATE(2117),
    [sym_template_string] = STATE(2117),
    [sym_regex] = STATE(2117),
    [sym_meta_property] = STATE(2117),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1353),
    [sym_function_signature] = STATE(836),
    [sym_type_assertion] = STATE(2130),
    [sym_as_expression] = STATE(2130),
    [sym_satisfies_expression] = STATE(2130),
    [sym_instantiation_expression] = STATE(2130),
    [sym_ambient_declaration] = STATE(836),
    [sym_abstract_class_declaration] = STATE(836),
    [sym_module] = STATE(836),
    [sym_internal_module] = STATE(239),
    [sym_import_alias] = STATE(836),
    [sym_interface_declaration] = STATE(836),
    [sym_enum_declaration] = STATE(836),
    [sym_type_alias_declaration] = STATE(836),
    [sym_type_arguments] = STATE(427),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_program_repeat1] = STATE(18),
    [aux_sym_export_statement_repeat1] = STATE(3871),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(526),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_SEMI] = ACTIONS(43),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_do] = ACTIONS(49),
    [anon_sym_try] = ACTIONS(51),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_debugger] = ACTIONS(57),
    [anon_sym_return] = ACTIONS(59),
    [anon_sym_throw] = ACTIONS(61),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_async] = ACTIONS(75),
    [anon_sym_function] = ACTIONS(77),
    [anon_sym_new] = ACTIONS(79),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(101),
    [anon_sym_readonly] = ACTIONS(101),
    [anon_sym_get] = ACTIONS(101),
    [anon_sym_set] = ACTIONS(101),
    [anon_sym_declare] = ACTIONS(103),
    [anon_sym_public] = ACTIONS(101),
    [anon_sym_private] = ACTIONS(101),
    [anon_sym_protected] = ACTIONS(101),
    [anon_sym_override] = ACTIONS(101),
    [anon_sym_module] = ACTIONS(105),
    [anon_sym_any] = ACTIONS(101),
    [anon_sym_number] = ACTIONS(101),
    [anon_sym_boolean] = ACTIONS(101),
    [anon_sym_string] = ACTIONS(101),
    [anon_sym_symbol] = ACTIONS(101),
    [anon_sym_object] = ACTIONS(101),
    [anon_sym_abstract] = ACTIONS(107),
    [anon_sym_interface] = ACTIONS(109),
    [anon_sym_enum] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [22] = {
    [sym_export_statement] = STATE(888),
    [sym_declaration] = STATE(888),
    [sym_import] = STATE(3513),
    [sym_import_statement] = STATE(888),
    [sym_statement] = STATE(23),
    [sym_expression_statement] = STATE(888),
    [sym_variable_declaration] = STATE(836),
    [sym_lexical_declaration] = STATE(836),
    [sym_statement_block] = STATE(888),
    [sym_if_statement] = STATE(888),
    [sym_switch_statement] = STATE(888),
    [sym_for_statement] = STATE(888),
    [sym_for_in_statement] = STATE(888),
    [sym_while_statement] = STATE(888),
    [sym_do_statement] = STATE(888),
    [sym_try_statement] = STATE(888),
    [sym_with_statement] = STATE(888),
    [sym_break_statement] = STATE(888),
    [sym_continue_statement] = STATE(888),
    [sym_debugger_statement] = STATE(888),
    [sym_return_statement] = STATE(888),
    [sym_throw_statement] = STATE(888),
    [sym_empty_statement] = STATE(888),
    [sym_labeled_statement] = STATE(888),
    [sym_parenthesized_expression] = STATE(1353),
    [sym_expression] = STATE(1940),
    [sym_primary_expression] = STATE(1833),
    [sym_yield_expression] = STATE(2130),
    [sym_object] = STATE(2117),
    [sym_object_pattern] = STATE(5484),
    [sym_array] = STATE(2117),
    [sym_array_pattern] = STATE(5484),
    [sym_glimmer_template] = STATE(2130),
    [sym_class] = STATE(2117),
    [sym_class_declaration] = STATE(836),
    [sym_function_expression] = STATE(2117),
    [sym_function_declaration] = STATE(836),
    [sym_generator_function] = STATE(2117),
    [sym_generator_function_declaration] = STATE(836),
    [sym_arrow_function] = STATE(2117),
    [sym__call_signature] = STATE(5525),
    [sym_call_expression] = STATE(2117),
    [sym_new_expression] = STATE(1963),
    [sym_await_expression] = STATE(2130),
    [sym_member_expression] = STATE(1353),
    [sym_subscript_expression] = STATE(1353),
    [sym_assignment_expression] = STATE(2130),
    [sym__augmented_assignment_lhs] = STATE(3036),
    [sym_augmented_assignment_expression] = STATE(2130),
    [sym__destructuring_pattern] = STATE(5484),
    [sym_ternary_expression] = STATE(2130),
    [sym_binary_expression] = STATE(2130),
    [sym_unary_expression] = STATE(2130),
    [sym_update_expression] = STATE(2130),
    [sym_sequence_expression] = STATE(5427),
    [sym_string] = STATE(2117),
    [sym_template_string] = STATE(2117),
    [sym_regex] = STATE(2117),
    [sym_meta_property] = STATE(2117),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1353),
    [sym_function_signature] = STATE(836),
    [sym_type_assertion] = STATE(2130),
    [sym_as_expression] = STATE(2130),
    [sym_satisfies_expression] = STATE(2130),
    [sym_instantiation_expression] = STATE(2130),
    [sym_ambient_declaration] = STATE(836),
    [sym_abstract_class_declaration] = STATE(836),
    [sym_module] = STATE(836),
    [sym_internal_module] = STATE(239),
    [sym_import_alias] = STATE(836),
    [sym_interface_declaration] = STATE(836),
    [sym_enum_declaration] = STATE(836),
    [sym_type_alias_declaration] = STATE(836),
    [sym_type_arguments] = STATE(427),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_program_repeat1] = STATE(23),
    [aux_sym_export_statement_repeat1] = STATE(3871),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(528),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_SEMI] = ACTIONS(43),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_do] = ACTIONS(49),
    [anon_sym_try] = ACTIONS(51),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_debugger] = ACTIONS(57),
    [anon_sym_return] = ACTIONS(59),
    [anon_sym_throw] = ACTIONS(61),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_async] = ACTIONS(75),
    [anon_sym_function] = ACTIONS(77),
    [anon_sym_new] = ACTIONS(79),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(101),
    [anon_sym_readonly] = ACTIONS(101),
    [anon_sym_get] = ACTIONS(101),
    [anon_sym_set] = ACTIONS(101),
    [anon_sym_declare] = ACTIONS(103),
    [anon_sym_public] = ACTIONS(101),
    [anon_sym_private] = ACTIONS(101),
    [anon_sym_protected] = ACTIONS(101),
    [anon_sym_override] = ACTIONS(101),
    [anon_sym_module] = ACTIONS(105),
    [anon_sym_any] = ACTIONS(101),
    [anon_sym_number] = ACTIONS(101),
    [anon_sym_boolean] = ACTIONS(101),
    [anon_sym_string] = ACTIONS(101),
    [anon_sym_symbol] = ACTIONS(101),
    [anon_sym_object] = ACTIONS(101),
    [anon_sym_abstract] = ACTIONS(107),
    [anon_sym_interface] = ACTIONS(109),
    [anon_sym_enum] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [23] = {
    [sym_export_statement] = STATE(888),
    [sym_declaration] = STATE(888),
    [sym_import] = STATE(3513),
    [sym_import_statement] = STATE(888),
    [sym_statement] = STATE(9),
    [sym_expression_statement] = STATE(888),
    [sym_variable_declaration] = STATE(836),
    [sym_lexical_declaration] = STATE(836),
    [sym_statement_block] = STATE(888),
    [sym_if_statement] = STATE(888),
    [sym_switch_statement] = STATE(888),
    [sym_for_statement] = STATE(888),
    [sym_for_in_statement] = STATE(888),
    [sym_while_statement] = STATE(888),
    [sym_do_statement] = STATE(888),
    [sym_try_statement] = STATE(888),
    [sym_with_statement] = STATE(888),
    [sym_break_statement] = STATE(888),
    [sym_continue_statement] = STATE(888),
    [sym_debugger_statement] = STATE(888),
    [sym_return_statement] = STATE(888),
    [sym_throw_statement] = STATE(888),
    [sym_empty_statement] = STATE(888),
    [sym_labeled_statement] = STATE(888),
    [sym_parenthesized_expression] = STATE(1353),
    [sym_expression] = STATE(1940),
    [sym_primary_expression] = STATE(1833),
    [sym_yield_expression] = STATE(2130),
    [sym_object] = STATE(2117),
    [sym_object_pattern] = STATE(5484),
    [sym_array] = STATE(2117),
    [sym_array_pattern] = STATE(5484),
    [sym_glimmer_template] = STATE(2130),
    [sym_class] = STATE(2117),
    [sym_class_declaration] = STATE(836),
    [sym_function_expression] = STATE(2117),
    [sym_function_declaration] = STATE(836),
    [sym_generator_function] = STATE(2117),
    [sym_generator_function_declaration] = STATE(836),
    [sym_arrow_function] = STATE(2117),
    [sym__call_signature] = STATE(5525),
    [sym_call_expression] = STATE(2117),
    [sym_new_expression] = STATE(1963),
    [sym_await_expression] = STATE(2130),
    [sym_member_expression] = STATE(1353),
    [sym_subscript_expression] = STATE(1353),
    [sym_assignment_expression] = STATE(2130),
    [sym__augmented_assignment_lhs] = STATE(3036),
    [sym_augmented_assignment_expression] = STATE(2130),
    [sym__destructuring_pattern] = STATE(5484),
    [sym_ternary_expression] = STATE(2130),
    [sym_binary_expression] = STATE(2130),
    [sym_unary_expression] = STATE(2130),
    [sym_update_expression] = STATE(2130),
    [sym_sequence_expression] = STATE(5427),
    [sym_string] = STATE(2117),
    [sym_template_string] = STATE(2117),
    [sym_regex] = STATE(2117),
    [sym_meta_property] = STATE(2117),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1353),
    [sym_function_signature] = STATE(836),
    [sym_type_assertion] = STATE(2130),
    [sym_as_expression] = STATE(2130),
    [sym_satisfies_expression] = STATE(2130),
    [sym_instantiation_expression] = STATE(2130),
    [sym_ambient_declaration] = STATE(836),
    [sym_abstract_class_declaration] = STATE(836),
    [sym_module] = STATE(836),
    [sym_internal_module] = STATE(239),
    [sym_import_alias] = STATE(836),
    [sym_interface_declaration] = STATE(836),
    [sym_enum_declaration] = STATE(836),
    [sym_type_alias_declaration] = STATE(836),
    [sym_type_arguments] = STATE(427),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_program_repeat1] = STATE(9),
    [aux_sym_export_statement_repeat1] = STATE(3871),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(530),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_SEMI] = ACTIONS(43),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_do] = ACTIONS(49),
    [anon_sym_try] = ACTIONS(51),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_debugger] = ACTIONS(57),
    [anon_sym_return] = ACTIONS(59),
    [anon_sym_throw] = ACTIONS(61),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_async] = ACTIONS(75),
    [anon_sym_function] = ACTIONS(77),
    [anon_sym_new] = ACTIONS(79),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(101),
    [anon_sym_readonly] = ACTIONS(101),
    [anon_sym_get] = ACTIONS(101),
    [anon_sym_set] = ACTIONS(101),
    [anon_sym_declare] = ACTIONS(103),
    [anon_sym_public] = ACTIONS(101),
    [anon_sym_private] = ACTIONS(101),
    [anon_sym_protected] = ACTIONS(101),
    [anon_sym_override] = ACTIONS(101),
    [anon_sym_module] = ACTIONS(105),
    [anon_sym_any] = ACTIONS(101),
    [anon_sym_number] = ACTIONS(101),
    [anon_sym_boolean] = ACTIONS(101),
    [anon_sym_string] = ACTIONS(101),
    [anon_sym_symbol] = ACTIONS(101),
    [anon_sym_object] = ACTIONS(101),
    [anon_sym_abstract] = ACTIONS(107),
    [anon_sym_interface] = ACTIONS(109),
    [anon_sym_enum] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [24] = {
    [sym_export_statement] = STATE(888),
    [sym_declaration] = STATE(888),
    [sym_import] = STATE(3513),
    [sym_import_statement] = STATE(888),
    [sym_statement] = STATE(9),
    [sym_expression_statement] = STATE(888),
    [sym_variable_declaration] = STATE(836),
    [sym_lexical_declaration] = STATE(836),
    [sym_statement_block] = STATE(888),
    [sym_if_statement] = STATE(888),
    [sym_switch_statement] = STATE(888),
    [sym_for_statement] = STATE(888),
    [sym_for_in_statement] = STATE(888),
    [sym_while_statement] = STATE(888),
    [sym_do_statement] = STATE(888),
    [sym_try_statement] = STATE(888),
    [sym_with_statement] = STATE(888),
    [sym_break_statement] = STATE(888),
    [sym_continue_statement] = STATE(888),
    [sym_debugger_statement] = STATE(888),
    [sym_return_statement] = STATE(888),
    [sym_throw_statement] = STATE(888),
    [sym_empty_statement] = STATE(888),
    [sym_labeled_statement] = STATE(888),
    [sym_parenthesized_expression] = STATE(1353),
    [sym_expression] = STATE(1940),
    [sym_primary_expression] = STATE(1833),
    [sym_yield_expression] = STATE(2130),
    [sym_object] = STATE(2117),
    [sym_object_pattern] = STATE(5484),
    [sym_array] = STATE(2117),
    [sym_array_pattern] = STATE(5484),
    [sym_glimmer_template] = STATE(2130),
    [sym_class] = STATE(2117),
    [sym_class_declaration] = STATE(836),
    [sym_function_expression] = STATE(2117),
    [sym_function_declaration] = STATE(836),
    [sym_generator_function] = STATE(2117),
    [sym_generator_function_declaration] = STATE(836),
    [sym_arrow_function] = STATE(2117),
    [sym__call_signature] = STATE(5525),
    [sym_call_expression] = STATE(2117),
    [sym_new_expression] = STATE(1963),
    [sym_await_expression] = STATE(2130),
    [sym_member_expression] = STATE(1353),
    [sym_subscript_expression] = STATE(1353),
    [sym_assignment_expression] = STATE(2130),
    [sym__augmented_assignment_lhs] = STATE(3036),
    [sym_augmented_assignment_expression] = STATE(2130),
    [sym__destructuring_pattern] = STATE(5484),
    [sym_ternary_expression] = STATE(2130),
    [sym_binary_expression] = STATE(2130),
    [sym_unary_expression] = STATE(2130),
    [sym_update_expression] = STATE(2130),
    [sym_sequence_expression] = STATE(5427),
    [sym_string] = STATE(2117),
    [sym_template_string] = STATE(2117),
    [sym_regex] = STATE(2117),
    [sym_meta_property] = STATE(2117),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1353),
    [sym_function_signature] = STATE(836),
    [sym_type_assertion] = STATE(2130),
    [sym_as_expression] = STATE(2130),
    [sym_satisfies_expression] = STATE(2130),
    [sym_instantiation_expression] = STATE(2130),
    [sym_ambient_declaration] = STATE(836),
    [sym_abstract_class_declaration] = STATE(836),
    [sym_module] = STATE(836),
    [sym_internal_module] = STATE(239),
    [sym_import_alias] = STATE(836),
    [sym_interface_declaration] = STATE(836),
    [sym_enum_declaration] = STATE(836),
    [sym_type_alias_declaration] = STATE(836),
    [sym_type_arguments] = STATE(427),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_program_repeat1] = STATE(9),
    [aux_sym_export_statement_repeat1] = STATE(3871),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(532),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_SEMI] = ACTIONS(43),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_do] = ACTIONS(49),
    [anon_sym_try] = ACTIONS(51),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_debugger] = ACTIONS(57),
    [anon_sym_return] = ACTIONS(59),
    [anon_sym_throw] = ACTIONS(61),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_async] = ACTIONS(75),
    [anon_sym_function] = ACTIONS(77),
    [anon_sym_new] = ACTIONS(79),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(101),
    [anon_sym_readonly] = ACTIONS(101),
    [anon_sym_get] = ACTIONS(101),
    [anon_sym_set] = ACTIONS(101),
    [anon_sym_declare] = ACTIONS(103),
    [anon_sym_public] = ACTIONS(101),
    [anon_sym_private] = ACTIONS(101),
    [anon_sym_protected] = ACTIONS(101),
    [anon_sym_override] = ACTIONS(101),
    [anon_sym_module] = ACTIONS(105),
    [anon_sym_any] = ACTIONS(101),
    [anon_sym_number] = ACTIONS(101),
    [anon_sym_boolean] = ACTIONS(101),
    [anon_sym_string] = ACTIONS(101),
    [anon_sym_symbol] = ACTIONS(101),
    [anon_sym_object] = ACTIONS(101),
    [anon_sym_abstract] = ACTIONS(107),
    [anon_sym_interface] = ACTIONS(109),
    [anon_sym_enum] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [25] = {
    [sym_export_statement] = STATE(888),
    [sym_declaration] = STATE(888),
    [sym_import] = STATE(3513),
    [sym_import_statement] = STATE(888),
    [sym_statement] = STATE(24),
    [sym_expression_statement] = STATE(888),
    [sym_variable_declaration] = STATE(836),
    [sym_lexical_declaration] = STATE(836),
    [sym_statement_block] = STATE(888),
    [sym_if_statement] = STATE(888),
    [sym_switch_statement] = STATE(888),
    [sym_for_statement] = STATE(888),
    [sym_for_in_statement] = STATE(888),
    [sym_while_statement] = STATE(888),
    [sym_do_statement] = STATE(888),
    [sym_try_statement] = STATE(888),
    [sym_with_statement] = STATE(888),
    [sym_break_statement] = STATE(888),
    [sym_continue_statement] = STATE(888),
    [sym_debugger_statement] = STATE(888),
    [sym_return_statement] = STATE(888),
    [sym_throw_statement] = STATE(888),
    [sym_empty_statement] = STATE(888),
    [sym_labeled_statement] = STATE(888),
    [sym_parenthesized_expression] = STATE(1353),
    [sym_expression] = STATE(1940),
    [sym_primary_expression] = STATE(1833),
    [sym_yield_expression] = STATE(2130),
    [sym_object] = STATE(2117),
    [sym_object_pattern] = STATE(5484),
    [sym_array] = STATE(2117),
    [sym_array_pattern] = STATE(5484),
    [sym_glimmer_template] = STATE(2130),
    [sym_class] = STATE(2117),
    [sym_class_declaration] = STATE(836),
    [sym_function_expression] = STATE(2117),
    [sym_function_declaration] = STATE(836),
    [sym_generator_function] = STATE(2117),
    [sym_generator_function_declaration] = STATE(836),
    [sym_arrow_function] = STATE(2117),
    [sym__call_signature] = STATE(5525),
    [sym_call_expression] = STATE(2117),
    [sym_new_expression] = STATE(1963),
    [sym_await_expression] = STATE(2130),
    [sym_member_expression] = STATE(1353),
    [sym_subscript_expression] = STATE(1353),
    [sym_assignment_expression] = STATE(2130),
    [sym__augmented_assignment_lhs] = STATE(3036),
    [sym_augmented_assignment_expression] = STATE(2130),
    [sym__destructuring_pattern] = STATE(5484),
    [sym_ternary_expression] = STATE(2130),
    [sym_binary_expression] = STATE(2130),
    [sym_unary_expression] = STATE(2130),
    [sym_update_expression] = STATE(2130),
    [sym_sequence_expression] = STATE(5427),
    [sym_string] = STATE(2117),
    [sym_template_string] = STATE(2117),
    [sym_regex] = STATE(2117),
    [sym_meta_property] = STATE(2117),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1353),
    [sym_function_signature] = STATE(836),
    [sym_type_assertion] = STATE(2130),
    [sym_as_expression] = STATE(2130),
    [sym_satisfies_expression] = STATE(2130),
    [sym_instantiation_expression] = STATE(2130),
    [sym_ambient_declaration] = STATE(836),
    [sym_abstract_class_declaration] = STATE(836),
    [sym_module] = STATE(836),
    [sym_internal_module] = STATE(239),
    [sym_import_alias] = STATE(836),
    [sym_interface_declaration] = STATE(836),
    [sym_enum_declaration] = STATE(836),
    [sym_type_alias_declaration] = STATE(836),
    [sym_type_arguments] = STATE(427),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_program_repeat1] = STATE(24),
    [aux_sym_export_statement_repeat1] = STATE(3871),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(534),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_SEMI] = ACTIONS(43),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_do] = ACTIONS(49),
    [anon_sym_try] = ACTIONS(51),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_debugger] = ACTIONS(57),
    [anon_sym_return] = ACTIONS(59),
    [anon_sym_throw] = ACTIONS(61),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_async] = ACTIONS(75),
    [anon_sym_function] = ACTIONS(77),
    [anon_sym_new] = ACTIONS(79),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(101),
    [anon_sym_readonly] = ACTIONS(101),
    [anon_sym_get] = ACTIONS(101),
    [anon_sym_set] = ACTIONS(101),
    [anon_sym_declare] = ACTIONS(103),
    [anon_sym_public] = ACTIONS(101),
    [anon_sym_private] = ACTIONS(101),
    [anon_sym_protected] = ACTIONS(101),
    [anon_sym_override] = ACTIONS(101),
    [anon_sym_module] = ACTIONS(105),
    [anon_sym_any] = ACTIONS(101),
    [anon_sym_number] = ACTIONS(101),
    [anon_sym_boolean] = ACTIONS(101),
    [anon_sym_string] = ACTIONS(101),
    [anon_sym_symbol] = ACTIONS(101),
    [anon_sym_object] = ACTIONS(101),
    [anon_sym_abstract] = ACTIONS(107),
    [anon_sym_interface] = ACTIONS(109),
    [anon_sym_enum] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [26] = {
    [sym_export_statement] = STATE(888),
    [sym_declaration] = STATE(888),
    [sym_import] = STATE(3513),
    [sym_import_statement] = STATE(888),
    [sym_statement] = STATE(9),
    [sym_expression_statement] = STATE(888),
    [sym_variable_declaration] = STATE(836),
    [sym_lexical_declaration] = STATE(836),
    [sym_statement_block] = STATE(888),
    [sym_if_statement] = STATE(888),
    [sym_switch_statement] = STATE(888),
    [sym_for_statement] = STATE(888),
    [sym_for_in_statement] = STATE(888),
    [sym_while_statement] = STATE(888),
    [sym_do_statement] = STATE(888),
    [sym_try_statement] = STATE(888),
    [sym_with_statement] = STATE(888),
    [sym_break_statement] = STATE(888),
    [sym_continue_statement] = STATE(888),
    [sym_debugger_statement] = STATE(888),
    [sym_return_statement] = STATE(888),
    [sym_throw_statement] = STATE(888),
    [sym_empty_statement] = STATE(888),
    [sym_labeled_statement] = STATE(888),
    [sym_parenthesized_expression] = STATE(1353),
    [sym_expression] = STATE(1940),
    [sym_primary_expression] = STATE(1833),
    [sym_yield_expression] = STATE(2130),
    [sym_object] = STATE(2117),
    [sym_object_pattern] = STATE(5484),
    [sym_array] = STATE(2117),
    [sym_array_pattern] = STATE(5484),
    [sym_glimmer_template] = STATE(2130),
    [sym_class] = STATE(2117),
    [sym_class_declaration] = STATE(836),
    [sym_function_expression] = STATE(2117),
    [sym_function_declaration] = STATE(836),
    [sym_generator_function] = STATE(2117),
    [sym_generator_function_declaration] = STATE(836),
    [sym_arrow_function] = STATE(2117),
    [sym__call_signature] = STATE(5525),
    [sym_call_expression] = STATE(2117),
    [sym_new_expression] = STATE(1963),
    [sym_await_expression] = STATE(2130),
    [sym_member_expression] = STATE(1353),
    [sym_subscript_expression] = STATE(1353),
    [sym_assignment_expression] = STATE(2130),
    [sym__augmented_assignment_lhs] = STATE(3036),
    [sym_augmented_assignment_expression] = STATE(2130),
    [sym__destructuring_pattern] = STATE(5484),
    [sym_ternary_expression] = STATE(2130),
    [sym_binary_expression] = STATE(2130),
    [sym_unary_expression] = STATE(2130),
    [sym_update_expression] = STATE(2130),
    [sym_sequence_expression] = STATE(5427),
    [sym_string] = STATE(2117),
    [sym_template_string] = STATE(2117),
    [sym_regex] = STATE(2117),
    [sym_meta_property] = STATE(2117),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1353),
    [sym_function_signature] = STATE(836),
    [sym_type_assertion] = STATE(2130),
    [sym_as_expression] = STATE(2130),
    [sym_satisfies_expression] = STATE(2130),
    [sym_instantiation_expression] = STATE(2130),
    [sym_ambient_declaration] = STATE(836),
    [sym_abstract_class_declaration] = STATE(836),
    [sym_module] = STATE(836),
    [sym_internal_module] = STATE(239),
    [sym_import_alias] = STATE(836),
    [sym_interface_declaration] = STATE(836),
    [sym_enum_declaration] = STATE(836),
    [sym_type_alias_declaration] = STATE(836),
    [sym_type_arguments] = STATE(427),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_program_repeat1] = STATE(9),
    [aux_sym_export_statement_repeat1] = STATE(3871),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(536),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_SEMI] = ACTIONS(43),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_do] = ACTIONS(49),
    [anon_sym_try] = ACTIONS(51),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_debugger] = ACTIONS(57),
    [anon_sym_return] = ACTIONS(59),
    [anon_sym_throw] = ACTIONS(61),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_async] = ACTIONS(75),
    [anon_sym_function] = ACTIONS(77),
    [anon_sym_new] = ACTIONS(79),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(101),
    [anon_sym_readonly] = ACTIONS(101),
    [anon_sym_get] = ACTIONS(101),
    [anon_sym_set] = ACTIONS(101),
    [anon_sym_declare] = ACTIONS(103),
    [anon_sym_public] = ACTIONS(101),
    [anon_sym_private] = ACTIONS(101),
    [anon_sym_protected] = ACTIONS(101),
    [anon_sym_override] = ACTIONS(101),
    [anon_sym_module] = ACTIONS(105),
    [anon_sym_any] = ACTIONS(101),
    [anon_sym_number] = ACTIONS(101),
    [anon_sym_boolean] = ACTIONS(101),
    [anon_sym_string] = ACTIONS(101),
    [anon_sym_symbol] = ACTIONS(101),
    [anon_sym_object] = ACTIONS(101),
    [anon_sym_abstract] = ACTIONS(107),
    [anon_sym_interface] = ACTIONS(109),
    [anon_sym_enum] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [27] = {
    [sym_export_statement] = STATE(888),
    [sym_declaration] = STATE(888),
    [sym_import] = STATE(3513),
    [sym_import_statement] = STATE(888),
    [sym_statement] = STATE(30),
    [sym_expression_statement] = STATE(888),
    [sym_variable_declaration] = STATE(836),
    [sym_lexical_declaration] = STATE(836),
    [sym_statement_block] = STATE(888),
    [sym_if_statement] = STATE(888),
    [sym_switch_statement] = STATE(888),
    [sym_for_statement] = STATE(888),
    [sym_for_in_statement] = STATE(888),
    [sym_while_statement] = STATE(888),
    [sym_do_statement] = STATE(888),
    [sym_try_statement] = STATE(888),
    [sym_with_statement] = STATE(888),
    [sym_break_statement] = STATE(888),
    [sym_continue_statement] = STATE(888),
    [sym_debugger_statement] = STATE(888),
    [sym_return_statement] = STATE(888),
    [sym_throw_statement] = STATE(888),
    [sym_empty_statement] = STATE(888),
    [sym_labeled_statement] = STATE(888),
    [sym_parenthesized_expression] = STATE(1353),
    [sym_expression] = STATE(1940),
    [sym_primary_expression] = STATE(1833),
    [sym_yield_expression] = STATE(2130),
    [sym_object] = STATE(2117),
    [sym_object_pattern] = STATE(5484),
    [sym_array] = STATE(2117),
    [sym_array_pattern] = STATE(5484),
    [sym_glimmer_template] = STATE(2130),
    [sym_class] = STATE(2117),
    [sym_class_declaration] = STATE(836),
    [sym_function_expression] = STATE(2117),
    [sym_function_declaration] = STATE(836),
    [sym_generator_function] = STATE(2117),
    [sym_generator_function_declaration] = STATE(836),
    [sym_arrow_function] = STATE(2117),
    [sym__call_signature] = STATE(5525),
    [sym_call_expression] = STATE(2117),
    [sym_new_expression] = STATE(1963),
    [sym_await_expression] = STATE(2130),
    [sym_member_expression] = STATE(1353),
    [sym_subscript_expression] = STATE(1353),
    [sym_assignment_expression] = STATE(2130),
    [sym__augmented_assignment_lhs] = STATE(3036),
    [sym_augmented_assignment_expression] = STATE(2130),
    [sym__destructuring_pattern] = STATE(5484),
    [sym_ternary_expression] = STATE(2130),
    [sym_binary_expression] = STATE(2130),
    [sym_unary_expression] = STATE(2130),
    [sym_update_expression] = STATE(2130),
    [sym_sequence_expression] = STATE(5427),
    [sym_string] = STATE(2117),
    [sym_template_string] = STATE(2117),
    [sym_regex] = STATE(2117),
    [sym_meta_property] = STATE(2117),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1353),
    [sym_function_signature] = STATE(836),
    [sym_type_assertion] = STATE(2130),
    [sym_as_expression] = STATE(2130),
    [sym_satisfies_expression] = STATE(2130),
    [sym_instantiation_expression] = STATE(2130),
    [sym_ambient_declaration] = STATE(836),
    [sym_abstract_class_declaration] = STATE(836),
    [sym_module] = STATE(836),
    [sym_internal_module] = STATE(239),
    [sym_import_alias] = STATE(836),
    [sym_interface_declaration] = STATE(836),
    [sym_enum_declaration] = STATE(836),
    [sym_type_alias_declaration] = STATE(836),
    [sym_type_arguments] = STATE(427),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_program_repeat1] = STATE(30),
    [aux_sym_export_statement_repeat1] = STATE(3871),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(538),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_SEMI] = ACTIONS(43),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_do] = ACTIONS(49),
    [anon_sym_try] = ACTIONS(51),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_debugger] = ACTIONS(57),
    [anon_sym_return] = ACTIONS(59),
    [anon_sym_throw] = ACTIONS(61),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_async] = ACTIONS(75),
    [anon_sym_function] = ACTIONS(77),
    [anon_sym_new] = ACTIONS(79),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(101),
    [anon_sym_readonly] = ACTIONS(101),
    [anon_sym_get] = ACTIONS(101),
    [anon_sym_set] = ACTIONS(101),
    [anon_sym_declare] = ACTIONS(103),
    [anon_sym_public] = ACTIONS(101),
    [anon_sym_private] = ACTIONS(101),
    [anon_sym_protected] = ACTIONS(101),
    [anon_sym_override] = ACTIONS(101),
    [anon_sym_module] = ACTIONS(105),
    [anon_sym_any] = ACTIONS(101),
    [anon_sym_number] = ACTIONS(101),
    [anon_sym_boolean] = ACTIONS(101),
    [anon_sym_string] = ACTIONS(101),
    [anon_sym_symbol] = ACTIONS(101),
    [anon_sym_object] = ACTIONS(101),
    [anon_sym_abstract] = ACTIONS(107),
    [anon_sym_interface] = ACTIONS(109),
    [anon_sym_enum] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [28] = {
    [sym_export_statement] = STATE(888),
    [sym_declaration] = STATE(888),
    [sym_import] = STATE(3513),
    [sym_import_statement] = STATE(888),
    [sym_statement] = STATE(26),
    [sym_expression_statement] = STATE(888),
    [sym_variable_declaration] = STATE(836),
    [sym_lexical_declaration] = STATE(836),
    [sym_statement_block] = STATE(888),
    [sym_if_statement] = STATE(888),
    [sym_switch_statement] = STATE(888),
    [sym_for_statement] = STATE(888),
    [sym_for_in_statement] = STATE(888),
    [sym_while_statement] = STATE(888),
    [sym_do_statement] = STATE(888),
    [sym_try_statement] = STATE(888),
    [sym_with_statement] = STATE(888),
    [sym_break_statement] = STATE(888),
    [sym_continue_statement] = STATE(888),
    [sym_debugger_statement] = STATE(888),
    [sym_return_statement] = STATE(888),
    [sym_throw_statement] = STATE(888),
    [sym_empty_statement] = STATE(888),
    [sym_labeled_statement] = STATE(888),
    [sym_parenthesized_expression] = STATE(1353),
    [sym_expression] = STATE(1940),
    [sym_primary_expression] = STATE(1833),
    [sym_yield_expression] = STATE(2130),
    [sym_object] = STATE(2117),
    [sym_object_pattern] = STATE(5484),
    [sym_array] = STATE(2117),
    [sym_array_pattern] = STATE(5484),
    [sym_glimmer_template] = STATE(2130),
    [sym_class] = STATE(2117),
    [sym_class_declaration] = STATE(836),
    [sym_function_expression] = STATE(2117),
    [sym_function_declaration] = STATE(836),
    [sym_generator_function] = STATE(2117),
    [sym_generator_function_declaration] = STATE(836),
    [sym_arrow_function] = STATE(2117),
    [sym__call_signature] = STATE(5525),
    [sym_call_expression] = STATE(2117),
    [sym_new_expression] = STATE(1963),
    [sym_await_expression] = STATE(2130),
    [sym_member_expression] = STATE(1353),
    [sym_subscript_expression] = STATE(1353),
    [sym_assignment_expression] = STATE(2130),
    [sym__augmented_assignment_lhs] = STATE(3036),
    [sym_augmented_assignment_expression] = STATE(2130),
    [sym__destructuring_pattern] = STATE(5484),
    [sym_ternary_expression] = STATE(2130),
    [sym_binary_expression] = STATE(2130),
    [sym_unary_expression] = STATE(2130),
    [sym_update_expression] = STATE(2130),
    [sym_sequence_expression] = STATE(5427),
    [sym_string] = STATE(2117),
    [sym_template_string] = STATE(2117),
    [sym_regex] = STATE(2117),
    [sym_meta_property] = STATE(2117),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1353),
    [sym_function_signature] = STATE(836),
    [sym_type_assertion] = STATE(2130),
    [sym_as_expression] = STATE(2130),
    [sym_satisfies_expression] = STATE(2130),
    [sym_instantiation_expression] = STATE(2130),
    [sym_ambient_declaration] = STATE(836),
    [sym_abstract_class_declaration] = STATE(836),
    [sym_module] = STATE(836),
    [sym_internal_module] = STATE(239),
    [sym_import_alias] = STATE(836),
    [sym_interface_declaration] = STATE(836),
    [sym_enum_declaration] = STATE(836),
    [sym_type_alias_declaration] = STATE(836),
    [sym_type_arguments] = STATE(427),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_program_repeat1] = STATE(26),
    [aux_sym_export_statement_repeat1] = STATE(3871),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(540),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_SEMI] = ACTIONS(43),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_do] = ACTIONS(49),
    [anon_sym_try] = ACTIONS(51),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_debugger] = ACTIONS(57),
    [anon_sym_return] = ACTIONS(59),
    [anon_sym_throw] = ACTIONS(61),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_async] = ACTIONS(75),
    [anon_sym_function] = ACTIONS(77),
    [anon_sym_new] = ACTIONS(79),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(101),
    [anon_sym_readonly] = ACTIONS(101),
    [anon_sym_get] = ACTIONS(101),
    [anon_sym_set] = ACTIONS(101),
    [anon_sym_declare] = ACTIONS(103),
    [anon_sym_public] = ACTIONS(101),
    [anon_sym_private] = ACTIONS(101),
    [anon_sym_protected] = ACTIONS(101),
    [anon_sym_override] = ACTIONS(101),
    [anon_sym_module] = ACTIONS(105),
    [anon_sym_any] = ACTIONS(101),
    [anon_sym_number] = ACTIONS(101),
    [anon_sym_boolean] = ACTIONS(101),
    [anon_sym_string] = ACTIONS(101),
    [anon_sym_symbol] = ACTIONS(101),
    [anon_sym_object] = ACTIONS(101),
    [anon_sym_abstract] = ACTIONS(107),
    [anon_sym_interface] = ACTIONS(109),
    [anon_sym_enum] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [29] = {
    [sym_export_statement] = STATE(888),
    [sym_declaration] = STATE(888),
    [sym_import] = STATE(3513),
    [sym_import_statement] = STATE(888),
    [sym_statement] = STATE(15),
    [sym_expression_statement] = STATE(888),
    [sym_variable_declaration] = STATE(836),
    [sym_lexical_declaration] = STATE(836),
    [sym_statement_block] = STATE(888),
    [sym_if_statement] = STATE(888),
    [sym_switch_statement] = STATE(888),
    [sym_for_statement] = STATE(888),
    [sym_for_in_statement] = STATE(888),
    [sym_while_statement] = STATE(888),
    [sym_do_statement] = STATE(888),
    [sym_try_statement] = STATE(888),
    [sym_with_statement] = STATE(888),
    [sym_break_statement] = STATE(888),
    [sym_continue_statement] = STATE(888),
    [sym_debugger_statement] = STATE(888),
    [sym_return_statement] = STATE(888),
    [sym_throw_statement] = STATE(888),
    [sym_empty_statement] = STATE(888),
    [sym_labeled_statement] = STATE(888),
    [sym_parenthesized_expression] = STATE(1353),
    [sym_expression] = STATE(1940),
    [sym_primary_expression] = STATE(1833),
    [sym_yield_expression] = STATE(2130),
    [sym_object] = STATE(2117),
    [sym_object_pattern] = STATE(5484),
    [sym_array] = STATE(2117),
    [sym_array_pattern] = STATE(5484),
    [sym_glimmer_template] = STATE(2130),
    [sym_class] = STATE(2117),
    [sym_class_declaration] = STATE(836),
    [sym_function_expression] = STATE(2117),
    [sym_function_declaration] = STATE(836),
    [sym_generator_function] = STATE(2117),
    [sym_generator_function_declaration] = STATE(836),
    [sym_arrow_function] = STATE(2117),
    [sym__call_signature] = STATE(5525),
    [sym_call_expression] = STATE(2117),
    [sym_new_expression] = STATE(1963),
    [sym_await_expression] = STATE(2130),
    [sym_member_expression] = STATE(1353),
    [sym_subscript_expression] = STATE(1353),
    [sym_assignment_expression] = STATE(2130),
    [sym__augmented_assignment_lhs] = STATE(3036),
    [sym_augmented_assignment_expression] = STATE(2130),
    [sym__destructuring_pattern] = STATE(5484),
    [sym_ternary_expression] = STATE(2130),
    [sym_binary_expression] = STATE(2130),
    [sym_unary_expression] = STATE(2130),
    [sym_update_expression] = STATE(2130),
    [sym_sequence_expression] = STATE(5427),
    [sym_string] = STATE(2117),
    [sym_template_string] = STATE(2117),
    [sym_regex] = STATE(2117),
    [sym_meta_property] = STATE(2117),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1353),
    [sym_function_signature] = STATE(836),
    [sym_type_assertion] = STATE(2130),
    [sym_as_expression] = STATE(2130),
    [sym_satisfies_expression] = STATE(2130),
    [sym_instantiation_expression] = STATE(2130),
    [sym_ambient_declaration] = STATE(836),
    [sym_abstract_class_declaration] = STATE(836),
    [sym_module] = STATE(836),
    [sym_internal_module] = STATE(239),
    [sym_import_alias] = STATE(836),
    [sym_interface_declaration] = STATE(836),
    [sym_enum_declaration] = STATE(836),
    [sym_type_alias_declaration] = STATE(836),
    [sym_type_arguments] = STATE(427),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_program_repeat1] = STATE(15),
    [aux_sym_export_statement_repeat1] = STATE(3871),
    [ts_builtin_sym_end] = ACTIONS(518),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_SEMI] = ACTIONS(43),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_do] = ACTIONS(49),
    [anon_sym_try] = ACTIONS(51),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_debugger] = ACTIONS(57),
    [anon_sym_return] = ACTIONS(59),
    [anon_sym_throw] = ACTIONS(61),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_async] = ACTIONS(75),
    [anon_sym_function] = ACTIONS(77),
    [anon_sym_new] = ACTIONS(79),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(101),
    [anon_sym_readonly] = ACTIONS(101),
    [anon_sym_get] = ACTIONS(101),
    [anon_sym_set] = ACTIONS(101),
    [anon_sym_declare] = ACTIONS(103),
    [anon_sym_public] = ACTIONS(101),
    [anon_sym_private] = ACTIONS(101),
    [anon_sym_protected] = ACTIONS(101),
    [anon_sym_override] = ACTIONS(101),
    [anon_sym_module] = ACTIONS(105),
    [anon_sym_any] = ACTIONS(101),
    [anon_sym_number] = ACTIONS(101),
    [anon_sym_boolean] = ACTIONS(101),
    [anon_sym_string] = ACTIONS(101),
    [anon_sym_symbol] = ACTIONS(101),
    [anon_sym_object] = ACTIONS(101),
    [anon_sym_abstract] = ACTIONS(107),
    [anon_sym_interface] = ACTIONS(109),
    [anon_sym_enum] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [30] = {
    [sym_export_statement] = STATE(888),
    [sym_declaration] = STATE(888),
    [sym_import] = STATE(3513),
    [sym_import_statement] = STATE(888),
    [sym_statement] = STATE(9),
    [sym_expression_statement] = STATE(888),
    [sym_variable_declaration] = STATE(836),
    [sym_lexical_declaration] = STATE(836),
    [sym_statement_block] = STATE(888),
    [sym_if_statement] = STATE(888),
    [sym_switch_statement] = STATE(888),
    [sym_for_statement] = STATE(888),
    [sym_for_in_statement] = STATE(888),
    [sym_while_statement] = STATE(888),
    [sym_do_statement] = STATE(888),
    [sym_try_statement] = STATE(888),
    [sym_with_statement] = STATE(888),
    [sym_break_statement] = STATE(888),
    [sym_continue_statement] = STATE(888),
    [sym_debugger_statement] = STATE(888),
    [sym_return_statement] = STATE(888),
    [sym_throw_statement] = STATE(888),
    [sym_empty_statement] = STATE(888),
    [sym_labeled_statement] = STATE(888),
    [sym_parenthesized_expression] = STATE(1353),
    [sym_expression] = STATE(1940),
    [sym_primary_expression] = STATE(1833),
    [sym_yield_expression] = STATE(2130),
    [sym_object] = STATE(2117),
    [sym_object_pattern] = STATE(5484),
    [sym_array] = STATE(2117),
    [sym_array_pattern] = STATE(5484),
    [sym_glimmer_template] = STATE(2130),
    [sym_class] = STATE(2117),
    [sym_class_declaration] = STATE(836),
    [sym_function_expression] = STATE(2117),
    [sym_function_declaration] = STATE(836),
    [sym_generator_function] = STATE(2117),
    [sym_generator_function_declaration] = STATE(836),
    [sym_arrow_function] = STATE(2117),
    [sym__call_signature] = STATE(5525),
    [sym_call_expression] = STATE(2117),
    [sym_new_expression] = STATE(1963),
    [sym_await_expression] = STATE(2130),
    [sym_member_expression] = STATE(1353),
    [sym_subscript_expression] = STATE(1353),
    [sym_assignment_expression] = STATE(2130),
    [sym__augmented_assignment_lhs] = STATE(3036),
    [sym_augmented_assignment_expression] = STATE(2130),
    [sym__destructuring_pattern] = STATE(5484),
    [sym_ternary_expression] = STATE(2130),
    [sym_binary_expression] = STATE(2130),
    [sym_unary_expression] = STATE(2130),
    [sym_update_expression] = STATE(2130),
    [sym_sequence_expression] = STATE(5427),
    [sym_string] = STATE(2117),
    [sym_template_string] = STATE(2117),
    [sym_regex] = STATE(2117),
    [sym_meta_property] = STATE(2117),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1353),
    [sym_function_signature] = STATE(836),
    [sym_type_assertion] = STATE(2130),
    [sym_as_expression] = STATE(2130),
    [sym_satisfies_expression] = STATE(2130),
    [sym_instantiation_expression] = STATE(2130),
    [sym_ambient_declaration] = STATE(836),
    [sym_abstract_class_declaration] = STATE(836),
    [sym_module] = STATE(836),
    [sym_internal_module] = STATE(239),
    [sym_import_alias] = STATE(836),
    [sym_interface_declaration] = STATE(836),
    [sym_enum_declaration] = STATE(836),
    [sym_type_alias_declaration] = STATE(836),
    [sym_type_arguments] = STATE(427),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_program_repeat1] = STATE(9),
    [aux_sym_export_statement_repeat1] = STATE(3871),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(542),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_SEMI] = ACTIONS(43),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_do] = ACTIONS(49),
    [anon_sym_try] = ACTIONS(51),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_debugger] = ACTIONS(57),
    [anon_sym_return] = ACTIONS(59),
    [anon_sym_throw] = ACTIONS(61),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_async] = ACTIONS(75),
    [anon_sym_function] = ACTIONS(77),
    [anon_sym_new] = ACTIONS(79),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(101),
    [anon_sym_readonly] = ACTIONS(101),
    [anon_sym_get] = ACTIONS(101),
    [anon_sym_set] = ACTIONS(101),
    [anon_sym_declare] = ACTIONS(103),
    [anon_sym_public] = ACTIONS(101),
    [anon_sym_private] = ACTIONS(101),
    [anon_sym_protected] = ACTIONS(101),
    [anon_sym_override] = ACTIONS(101),
    [anon_sym_module] = ACTIONS(105),
    [anon_sym_any] = ACTIONS(101),
    [anon_sym_number] = ACTIONS(101),
    [anon_sym_boolean] = ACTIONS(101),
    [anon_sym_string] = ACTIONS(101),
    [anon_sym_symbol] = ACTIONS(101),
    [anon_sym_object] = ACTIONS(101),
    [anon_sym_abstract] = ACTIONS(107),
    [anon_sym_interface] = ACTIONS(109),
    [anon_sym_enum] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [31] = {
    [sym_export_statement] = STATE(888),
    [sym_declaration] = STATE(888),
    [sym_import] = STATE(3513),
    [sym_import_statement] = STATE(888),
    [sym_statement] = STATE(919),
    [sym_expression_statement] = STATE(888),
    [sym_variable_declaration] = STATE(836),
    [sym_lexical_declaration] = STATE(836),
    [sym_statement_block] = STATE(888),
    [sym_if_statement] = STATE(888),
    [sym_switch_statement] = STATE(888),
    [sym_for_statement] = STATE(888),
    [sym_for_in_statement] = STATE(888),
    [sym_while_statement] = STATE(888),
    [sym_do_statement] = STATE(888),
    [sym_try_statement] = STATE(888),
    [sym_with_statement] = STATE(888),
    [sym_break_statement] = STATE(888),
    [sym_continue_statement] = STATE(888),
    [sym_debugger_statement] = STATE(888),
    [sym_return_statement] = STATE(888),
    [sym_throw_statement] = STATE(888),
    [sym_empty_statement] = STATE(888),
    [sym_labeled_statement] = STATE(888),
    [sym_parenthesized_expression] = STATE(1353),
    [sym_expression] = STATE(1940),
    [sym_primary_expression] = STATE(1833),
    [sym_yield_expression] = STATE(2130),
    [sym_object] = STATE(2117),
    [sym_object_pattern] = STATE(5484),
    [sym_array] = STATE(2117),
    [sym_array_pattern] = STATE(5484),
    [sym_glimmer_template] = STATE(2130),
    [sym_class] = STATE(2117),
    [sym_class_declaration] = STATE(836),
    [sym_function_expression] = STATE(2117),
    [sym_function_declaration] = STATE(836),
    [sym_generator_function] = STATE(2117),
    [sym_generator_function_declaration] = STATE(836),
    [sym_arrow_function] = STATE(2117),
    [sym__call_signature] = STATE(5525),
    [sym_call_expression] = STATE(2117),
    [sym_new_expression] = STATE(1963),
    [sym_await_expression] = STATE(2130),
    [sym_member_expression] = STATE(1353),
    [sym_subscript_expression] = STATE(1353),
    [sym_assignment_expression] = STATE(2130),
    [sym__augmented_assignment_lhs] = STATE(3036),
    [sym_augmented_assignment_expression] = STATE(2130),
    [sym__destructuring_pattern] = STATE(5484),
    [sym_ternary_expression] = STATE(2130),
    [sym_binary_expression] = STATE(2130),
    [sym_unary_expression] = STATE(2130),
    [sym_update_expression] = STATE(2130),
    [sym_sequence_expression] = STATE(5427),
    [sym_string] = STATE(2117),
    [sym_template_string] = STATE(2117),
    [sym_regex] = STATE(2117),
    [sym_meta_property] = STATE(2117),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1353),
    [sym_function_signature] = STATE(836),
    [sym_type_assertion] = STATE(2130),
    [sym_as_expression] = STATE(2130),
    [sym_satisfies_expression] = STATE(2130),
    [sym_instantiation_expression] = STATE(2130),
    [sym_ambient_declaration] = STATE(836),
    [sym_abstract_class_declaration] = STATE(836),
    [sym_module] = STATE(836),
    [sym_internal_module] = STATE(2470),
    [sym_import_alias] = STATE(836),
    [sym_interface_declaration] = STATE(836),
    [sym_enum_declaration] = STATE(836),
    [sym_type_alias_declaration] = STATE(836),
    [sym_type_arguments] = STATE(427),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(3845),
    [sym_identifier] = ACTIONS(544),
    [anon_sym_export] = ACTIONS(546),
    [anon_sym_type] = ACTIONS(548),
    [anon_sym_namespace] = ACTIONS(550),
    [anon_sym_LBRACE] = ACTIONS(552),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(554),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(556),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(558),
    [anon_sym_switch] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(560),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_SEMI] = ACTIONS(43),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_while] = ACTIONS(562),
    [anon_sym_do] = ACTIONS(49),
    [anon_sym_try] = ACTIONS(51),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_debugger] = ACTIONS(57),
    [anon_sym_return] = ACTIONS(59),
    [anon_sym_throw] = ACTIONS(61),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(564),
    [anon_sym_async] = ACTIONS(566),
    [anon_sym_function] = ACTIONS(568),
    [anon_sym_new] = ACTIONS(570),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(572),
    [anon_sym_readonly] = ACTIONS(572),
    [anon_sym_get] = ACTIONS(572),
    [anon_sym_set] = ACTIONS(572),
    [anon_sym_declare] = ACTIONS(574),
    [anon_sym_public] = ACTIONS(572),
    [anon_sym_private] = ACTIONS(572),
    [anon_sym_protected] = ACTIONS(572),
    [anon_sym_override] = ACTIONS(572),
    [anon_sym_module] = ACTIONS(576),
    [anon_sym_any] = ACTIONS(572),
    [anon_sym_number] = ACTIONS(572),
    [anon_sym_boolean] = ACTIONS(572),
    [anon_sym_string] = ACTIONS(572),
    [anon_sym_symbol] = ACTIONS(572),
    [anon_sym_object] = ACTIONS(572),
    [anon_sym_abstract] = ACTIONS(107),
    [anon_sym_interface] = ACTIONS(109),
    [anon_sym_enum] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [32] = {
    [sym_export_statement] = STATE(888),
    [sym_declaration] = STATE(888),
    [sym_import] = STATE(3513),
    [sym_import_statement] = STATE(888),
    [sym_statement] = STATE(848),
    [sym_expression_statement] = STATE(888),
    [sym_variable_declaration] = STATE(836),
    [sym_lexical_declaration] = STATE(836),
    [sym_statement_block] = STATE(888),
    [sym_if_statement] = STATE(888),
    [sym_switch_statement] = STATE(888),
    [sym_for_statement] = STATE(888),
    [sym_for_in_statement] = STATE(888),
    [sym_while_statement] = STATE(888),
    [sym_do_statement] = STATE(888),
    [sym_try_statement] = STATE(888),
    [sym_with_statement] = STATE(888),
    [sym_break_statement] = STATE(888),
    [sym_continue_statement] = STATE(888),
    [sym_debugger_statement] = STATE(888),
    [sym_return_statement] = STATE(888),
    [sym_throw_statement] = STATE(888),
    [sym_empty_statement] = STATE(888),
    [sym_labeled_statement] = STATE(888),
    [sym_parenthesized_expression] = STATE(1353),
    [sym_expression] = STATE(1940),
    [sym_primary_expression] = STATE(1833),
    [sym_yield_expression] = STATE(2130),
    [sym_object] = STATE(2117),
    [sym_object_pattern] = STATE(5484),
    [sym_array] = STATE(2117),
    [sym_array_pattern] = STATE(5484),
    [sym_glimmer_template] = STATE(2130),
    [sym_class] = STATE(2117),
    [sym_class_declaration] = STATE(836),
    [sym_function_expression] = STATE(2117),
    [sym_function_declaration] = STATE(836),
    [sym_generator_function] = STATE(2117),
    [sym_generator_function_declaration] = STATE(836),
    [sym_arrow_function] = STATE(2117),
    [sym__call_signature] = STATE(5525),
    [sym_call_expression] = STATE(2117),
    [sym_new_expression] = STATE(1963),
    [sym_await_expression] = STATE(2130),
    [sym_member_expression] = STATE(1353),
    [sym_subscript_expression] = STATE(1353),
    [sym_assignment_expression] = STATE(2130),
    [sym__augmented_assignment_lhs] = STATE(3036),
    [sym_augmented_assignment_expression] = STATE(2130),
    [sym__destructuring_pattern] = STATE(5484),
    [sym_ternary_expression] = STATE(2130),
    [sym_binary_expression] = STATE(2130),
    [sym_unary_expression] = STATE(2130),
    [sym_update_expression] = STATE(2130),
    [sym_sequence_expression] = STATE(5427),
    [sym_string] = STATE(2117),
    [sym_template_string] = STATE(2117),
    [sym_regex] = STATE(2117),
    [sym_meta_property] = STATE(2117),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1353),
    [sym_function_signature] = STATE(836),
    [sym_type_assertion] = STATE(2130),
    [sym_as_expression] = STATE(2130),
    [sym_satisfies_expression] = STATE(2130),
    [sym_instantiation_expression] = STATE(2130),
    [sym_ambient_declaration] = STATE(836),
    [sym_abstract_class_declaration] = STATE(836),
    [sym_module] = STATE(836),
    [sym_internal_module] = STATE(2470),
    [sym_import_alias] = STATE(836),
    [sym_interface_declaration] = STATE(836),
    [sym_enum_declaration] = STATE(836),
    [sym_type_alias_declaration] = STATE(836),
    [sym_type_arguments] = STATE(427),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(3845),
    [sym_identifier] = ACTIONS(544),
    [anon_sym_export] = ACTIONS(546),
    [anon_sym_type] = ACTIONS(548),
    [anon_sym_namespace] = ACTIONS(550),
    [anon_sym_LBRACE] = ACTIONS(552),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(554),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(556),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(558),
    [anon_sym_switch] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(560),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_SEMI] = ACTIONS(43),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_while] = ACTIONS(562),
    [anon_sym_do] = ACTIONS(49),
    [anon_sym_try] = ACTIONS(51),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_debugger] = ACTIONS(57),
    [anon_sym_return] = ACTIONS(59),
    [anon_sym_throw] = ACTIONS(61),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(564),
    [anon_sym_async] = ACTIONS(566),
    [anon_sym_function] = ACTIONS(568),
    [anon_sym_new] = ACTIONS(570),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(572),
    [anon_sym_readonly] = ACTIONS(572),
    [anon_sym_get] = ACTIONS(572),
    [anon_sym_set] = ACTIONS(572),
    [anon_sym_declare] = ACTIONS(574),
    [anon_sym_public] = ACTIONS(572),
    [anon_sym_private] = ACTIONS(572),
    [anon_sym_protected] = ACTIONS(572),
    [anon_sym_override] = ACTIONS(572),
    [anon_sym_module] = ACTIONS(576),
    [anon_sym_any] = ACTIONS(572),
    [anon_sym_number] = ACTIONS(572),
    [anon_sym_boolean] = ACTIONS(572),
    [anon_sym_string] = ACTIONS(572),
    [anon_sym_symbol] = ACTIONS(572),
    [anon_sym_object] = ACTIONS(572),
    [anon_sym_abstract] = ACTIONS(107),
    [anon_sym_interface] = ACTIONS(109),
    [anon_sym_enum] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [33] = {
    [sym_export_statement] = STATE(888),
    [sym_declaration] = STATE(888),
    [sym_import] = STATE(3513),
    [sym_import_statement] = STATE(888),
    [sym_statement] = STATE(4696),
    [sym_expression_statement] = STATE(888),
    [sym_variable_declaration] = STATE(836),
    [sym_lexical_declaration] = STATE(836),
    [sym_statement_block] = STATE(888),
    [sym_if_statement] = STATE(888),
    [sym_switch_statement] = STATE(888),
    [sym_for_statement] = STATE(888),
    [sym_for_in_statement] = STATE(888),
    [sym_while_statement] = STATE(888),
    [sym_do_statement] = STATE(888),
    [sym_try_statement] = STATE(888),
    [sym_with_statement] = STATE(888),
    [sym_break_statement] = STATE(888),
    [sym_continue_statement] = STATE(888),
    [sym_debugger_statement] = STATE(888),
    [sym_return_statement] = STATE(888),
    [sym_throw_statement] = STATE(888),
    [sym_empty_statement] = STATE(888),
    [sym_labeled_statement] = STATE(888),
    [sym_parenthesized_expression] = STATE(1353),
    [sym_expression] = STATE(1940),
    [sym_primary_expression] = STATE(1833),
    [sym_yield_expression] = STATE(2130),
    [sym_object] = STATE(2117),
    [sym_object_pattern] = STATE(5484),
    [sym_array] = STATE(2117),
    [sym_array_pattern] = STATE(5484),
    [sym_glimmer_template] = STATE(2130),
    [sym_class] = STATE(2117),
    [sym_class_declaration] = STATE(836),
    [sym_function_expression] = STATE(2117),
    [sym_function_declaration] = STATE(836),
    [sym_generator_function] = STATE(2117),
    [sym_generator_function_declaration] = STATE(836),
    [sym_arrow_function] = STATE(2117),
    [sym__call_signature] = STATE(5525),
    [sym_call_expression] = STATE(2117),
    [sym_new_expression] = STATE(1963),
    [sym_await_expression] = STATE(2130),
    [sym_member_expression] = STATE(1353),
    [sym_subscript_expression] = STATE(1353),
    [sym_assignment_expression] = STATE(2130),
    [sym__augmented_assignment_lhs] = STATE(3036),
    [sym_augmented_assignment_expression] = STATE(2130),
    [sym__destructuring_pattern] = STATE(5484),
    [sym_ternary_expression] = STATE(2130),
    [sym_binary_expression] = STATE(2130),
    [sym_unary_expression] = STATE(2130),
    [sym_update_expression] = STATE(2130),
    [sym_sequence_expression] = STATE(5427),
    [sym_string] = STATE(2117),
    [sym_template_string] = STATE(2117),
    [sym_regex] = STATE(2117),
    [sym_meta_property] = STATE(2117),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1353),
    [sym_function_signature] = STATE(836),
    [sym_type_assertion] = STATE(2130),
    [sym_as_expression] = STATE(2130),
    [sym_satisfies_expression] = STATE(2130),
    [sym_instantiation_expression] = STATE(2130),
    [sym_ambient_declaration] = STATE(836),
    [sym_abstract_class_declaration] = STATE(836),
    [sym_module] = STATE(836),
    [sym_internal_module] = STATE(2470),
    [sym_import_alias] = STATE(836),
    [sym_interface_declaration] = STATE(836),
    [sym_enum_declaration] = STATE(836),
    [sym_type_alias_declaration] = STATE(836),
    [sym_type_arguments] = STATE(427),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(3845),
    [sym_identifier] = ACTIONS(544),
    [anon_sym_export] = ACTIONS(546),
    [anon_sym_type] = ACTIONS(548),
    [anon_sym_namespace] = ACTIONS(550),
    [anon_sym_LBRACE] = ACTIONS(552),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(554),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(556),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(558),
    [anon_sym_switch] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(560),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_SEMI] = ACTIONS(43),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_while] = ACTIONS(562),
    [anon_sym_do] = ACTIONS(49),
    [anon_sym_try] = ACTIONS(51),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_debugger] = ACTIONS(57),
    [anon_sym_return] = ACTIONS(59),
    [anon_sym_throw] = ACTIONS(61),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(564),
    [anon_sym_async] = ACTIONS(566),
    [anon_sym_function] = ACTIONS(568),
    [anon_sym_new] = ACTIONS(570),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(572),
    [anon_sym_readonly] = ACTIONS(572),
    [anon_sym_get] = ACTIONS(572),
    [anon_sym_set] = ACTIONS(572),
    [anon_sym_declare] = ACTIONS(574),
    [anon_sym_public] = ACTIONS(572),
    [anon_sym_private] = ACTIONS(572),
    [anon_sym_protected] = ACTIONS(572),
    [anon_sym_override] = ACTIONS(572),
    [anon_sym_module] = ACTIONS(576),
    [anon_sym_any] = ACTIONS(572),
    [anon_sym_number] = ACTIONS(572),
    [anon_sym_boolean] = ACTIONS(572),
    [anon_sym_string] = ACTIONS(572),
    [anon_sym_symbol] = ACTIONS(572),
    [anon_sym_object] = ACTIONS(572),
    [anon_sym_abstract] = ACTIONS(107),
    [anon_sym_interface] = ACTIONS(109),
    [anon_sym_enum] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [34] = {
    [sym_export_statement] = STATE(888),
    [sym_declaration] = STATE(888),
    [sym_import] = STATE(3513),
    [sym_import_statement] = STATE(888),
    [sym_statement] = STATE(931),
    [sym_expression_statement] = STATE(888),
    [sym_variable_declaration] = STATE(836),
    [sym_lexical_declaration] = STATE(836),
    [sym_statement_block] = STATE(888),
    [sym_if_statement] = STATE(888),
    [sym_switch_statement] = STATE(888),
    [sym_for_statement] = STATE(888),
    [sym_for_in_statement] = STATE(888),
    [sym_while_statement] = STATE(888),
    [sym_do_statement] = STATE(888),
    [sym_try_statement] = STATE(888),
    [sym_with_statement] = STATE(888),
    [sym_break_statement] = STATE(888),
    [sym_continue_statement] = STATE(888),
    [sym_debugger_statement] = STATE(888),
    [sym_return_statement] = STATE(888),
    [sym_throw_statement] = STATE(888),
    [sym_empty_statement] = STATE(888),
    [sym_labeled_statement] = STATE(888),
    [sym_parenthesized_expression] = STATE(1353),
    [sym_expression] = STATE(1940),
    [sym_primary_expression] = STATE(1833),
    [sym_yield_expression] = STATE(2130),
    [sym_object] = STATE(2117),
    [sym_object_pattern] = STATE(5484),
    [sym_array] = STATE(2117),
    [sym_array_pattern] = STATE(5484),
    [sym_glimmer_template] = STATE(2130),
    [sym_class] = STATE(2117),
    [sym_class_declaration] = STATE(836),
    [sym_function_expression] = STATE(2117),
    [sym_function_declaration] = STATE(836),
    [sym_generator_function] = STATE(2117),
    [sym_generator_function_declaration] = STATE(836),
    [sym_arrow_function] = STATE(2117),
    [sym__call_signature] = STATE(5525),
    [sym_call_expression] = STATE(2117),
    [sym_new_expression] = STATE(1963),
    [sym_await_expression] = STATE(2130),
    [sym_member_expression] = STATE(1353),
    [sym_subscript_expression] = STATE(1353),
    [sym_assignment_expression] = STATE(2130),
    [sym__augmented_assignment_lhs] = STATE(3036),
    [sym_augmented_assignment_expression] = STATE(2130),
    [sym__destructuring_pattern] = STATE(5484),
    [sym_ternary_expression] = STATE(2130),
    [sym_binary_expression] = STATE(2130),
    [sym_unary_expression] = STATE(2130),
    [sym_update_expression] = STATE(2130),
    [sym_sequence_expression] = STATE(5427),
    [sym_string] = STATE(2117),
    [sym_template_string] = STATE(2117),
    [sym_regex] = STATE(2117),
    [sym_meta_property] = STATE(2117),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1353),
    [sym_function_signature] = STATE(836),
    [sym_type_assertion] = STATE(2130),
    [sym_as_expression] = STATE(2130),
    [sym_satisfies_expression] = STATE(2130),
    [sym_instantiation_expression] = STATE(2130),
    [sym_ambient_declaration] = STATE(836),
    [sym_abstract_class_declaration] = STATE(836),
    [sym_module] = STATE(836),
    [sym_internal_module] = STATE(2470),
    [sym_import_alias] = STATE(836),
    [sym_interface_declaration] = STATE(836),
    [sym_enum_declaration] = STATE(836),
    [sym_type_alias_declaration] = STATE(836),
    [sym_type_arguments] = STATE(427),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(3845),
    [sym_identifier] = ACTIONS(544),
    [anon_sym_export] = ACTIONS(546),
    [anon_sym_type] = ACTIONS(548),
    [anon_sym_namespace] = ACTIONS(550),
    [anon_sym_LBRACE] = ACTIONS(552),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(554),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(556),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(558),
    [anon_sym_switch] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(560),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_SEMI] = ACTIONS(43),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_while] = ACTIONS(562),
    [anon_sym_do] = ACTIONS(49),
    [anon_sym_try] = ACTIONS(51),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_debugger] = ACTIONS(57),
    [anon_sym_return] = ACTIONS(59),
    [anon_sym_throw] = ACTIONS(61),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(564),
    [anon_sym_async] = ACTIONS(566),
    [anon_sym_function] = ACTIONS(568),
    [anon_sym_new] = ACTIONS(570),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(572),
    [anon_sym_readonly] = ACTIONS(572),
    [anon_sym_get] = ACTIONS(572),
    [anon_sym_set] = ACTIONS(572),
    [anon_sym_declare] = ACTIONS(574),
    [anon_sym_public] = ACTIONS(572),
    [anon_sym_private] = ACTIONS(572),
    [anon_sym_protected] = ACTIONS(572),
    [anon_sym_override] = ACTIONS(572),
    [anon_sym_module] = ACTIONS(576),
    [anon_sym_any] = ACTIONS(572),
    [anon_sym_number] = ACTIONS(572),
    [anon_sym_boolean] = ACTIONS(572),
    [anon_sym_string] = ACTIONS(572),
    [anon_sym_symbol] = ACTIONS(572),
    [anon_sym_object] = ACTIONS(572),
    [anon_sym_abstract] = ACTIONS(107),
    [anon_sym_interface] = ACTIONS(109),
    [anon_sym_enum] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [35] = {
    [sym_export_statement] = STATE(888),
    [sym_declaration] = STATE(888),
    [sym_import] = STATE(3513),
    [sym_import_statement] = STATE(888),
    [sym_statement] = STATE(866),
    [sym_expression_statement] = STATE(888),
    [sym_variable_declaration] = STATE(836),
    [sym_lexical_declaration] = STATE(836),
    [sym_statement_block] = STATE(888),
    [sym_if_statement] = STATE(888),
    [sym_switch_statement] = STATE(888),
    [sym_for_statement] = STATE(888),
    [sym_for_in_statement] = STATE(888),
    [sym_while_statement] = STATE(888),
    [sym_do_statement] = STATE(888),
    [sym_try_statement] = STATE(888),
    [sym_with_statement] = STATE(888),
    [sym_break_statement] = STATE(888),
    [sym_continue_statement] = STATE(888),
    [sym_debugger_statement] = STATE(888),
    [sym_return_statement] = STATE(888),
    [sym_throw_statement] = STATE(888),
    [sym_empty_statement] = STATE(888),
    [sym_labeled_statement] = STATE(888),
    [sym_parenthesized_expression] = STATE(1353),
    [sym_expression] = STATE(1940),
    [sym_primary_expression] = STATE(1833),
    [sym_yield_expression] = STATE(2130),
    [sym_object] = STATE(2117),
    [sym_object_pattern] = STATE(5484),
    [sym_array] = STATE(2117),
    [sym_array_pattern] = STATE(5484),
    [sym_glimmer_template] = STATE(2130),
    [sym_class] = STATE(2117),
    [sym_class_declaration] = STATE(836),
    [sym_function_expression] = STATE(2117),
    [sym_function_declaration] = STATE(836),
    [sym_generator_function] = STATE(2117),
    [sym_generator_function_declaration] = STATE(836),
    [sym_arrow_function] = STATE(2117),
    [sym__call_signature] = STATE(5525),
    [sym_call_expression] = STATE(2117),
    [sym_new_expression] = STATE(1963),
    [sym_await_expression] = STATE(2130),
    [sym_member_expression] = STATE(1353),
    [sym_subscript_expression] = STATE(1353),
    [sym_assignment_expression] = STATE(2130),
    [sym__augmented_assignment_lhs] = STATE(3036),
    [sym_augmented_assignment_expression] = STATE(2130),
    [sym__destructuring_pattern] = STATE(5484),
    [sym_ternary_expression] = STATE(2130),
    [sym_binary_expression] = STATE(2130),
    [sym_unary_expression] = STATE(2130),
    [sym_update_expression] = STATE(2130),
    [sym_sequence_expression] = STATE(5427),
    [sym_string] = STATE(2117),
    [sym_template_string] = STATE(2117),
    [sym_regex] = STATE(2117),
    [sym_meta_property] = STATE(2117),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1353),
    [sym_function_signature] = STATE(836),
    [sym_type_assertion] = STATE(2130),
    [sym_as_expression] = STATE(2130),
    [sym_satisfies_expression] = STATE(2130),
    [sym_instantiation_expression] = STATE(2130),
    [sym_ambient_declaration] = STATE(836),
    [sym_abstract_class_declaration] = STATE(836),
    [sym_module] = STATE(836),
    [sym_internal_module] = STATE(2470),
    [sym_import_alias] = STATE(836),
    [sym_interface_declaration] = STATE(836),
    [sym_enum_declaration] = STATE(836),
    [sym_type_alias_declaration] = STATE(836),
    [sym_type_arguments] = STATE(427),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(3845),
    [sym_identifier] = ACTIONS(544),
    [anon_sym_export] = ACTIONS(546),
    [anon_sym_type] = ACTIONS(548),
    [anon_sym_namespace] = ACTIONS(550),
    [anon_sym_LBRACE] = ACTIONS(552),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(554),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(556),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(558),
    [anon_sym_switch] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(560),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_SEMI] = ACTIONS(43),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_while] = ACTIONS(562),
    [anon_sym_do] = ACTIONS(49),
    [anon_sym_try] = ACTIONS(51),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_debugger] = ACTIONS(57),
    [anon_sym_return] = ACTIONS(59),
    [anon_sym_throw] = ACTIONS(61),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(564),
    [anon_sym_async] = ACTIONS(566),
    [anon_sym_function] = ACTIONS(568),
    [anon_sym_new] = ACTIONS(570),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(572),
    [anon_sym_readonly] = ACTIONS(572),
    [anon_sym_get] = ACTIONS(572),
    [anon_sym_set] = ACTIONS(572),
    [anon_sym_declare] = ACTIONS(574),
    [anon_sym_public] = ACTIONS(572),
    [anon_sym_private] = ACTIONS(572),
    [anon_sym_protected] = ACTIONS(572),
    [anon_sym_override] = ACTIONS(572),
    [anon_sym_module] = ACTIONS(576),
    [anon_sym_any] = ACTIONS(572),
    [anon_sym_number] = ACTIONS(572),
    [anon_sym_boolean] = ACTIONS(572),
    [anon_sym_string] = ACTIONS(572),
    [anon_sym_symbol] = ACTIONS(572),
    [anon_sym_object] = ACTIONS(572),
    [anon_sym_abstract] = ACTIONS(107),
    [anon_sym_interface] = ACTIONS(109),
    [anon_sym_enum] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [36] = {
    [sym_export_statement] = STATE(888),
    [sym_declaration] = STATE(888),
    [sym_import] = STATE(3513),
    [sym_import_statement] = STATE(888),
    [sym_statement] = STATE(931),
    [sym_expression_statement] = STATE(888),
    [sym_variable_declaration] = STATE(836),
    [sym_lexical_declaration] = STATE(836),
    [sym_statement_block] = STATE(888),
    [sym_if_statement] = STATE(888),
    [sym_switch_statement] = STATE(888),
    [sym_for_statement] = STATE(888),
    [sym_for_in_statement] = STATE(888),
    [sym_while_statement] = STATE(888),
    [sym_do_statement] = STATE(888),
    [sym_try_statement] = STATE(888),
    [sym_with_statement] = STATE(888),
    [sym_break_statement] = STATE(888),
    [sym_continue_statement] = STATE(888),
    [sym_debugger_statement] = STATE(888),
    [sym_return_statement] = STATE(888),
    [sym_throw_statement] = STATE(888),
    [sym_empty_statement] = STATE(888),
    [sym_labeled_statement] = STATE(888),
    [sym_parenthesized_expression] = STATE(1353),
    [sym_expression] = STATE(1940),
    [sym_primary_expression] = STATE(1833),
    [sym_yield_expression] = STATE(2130),
    [sym_object] = STATE(2117),
    [sym_object_pattern] = STATE(5484),
    [sym_array] = STATE(2117),
    [sym_array_pattern] = STATE(5484),
    [sym_glimmer_template] = STATE(2130),
    [sym_class] = STATE(2117),
    [sym_class_declaration] = STATE(836),
    [sym_function_expression] = STATE(2117),
    [sym_function_declaration] = STATE(836),
    [sym_generator_function] = STATE(2117),
    [sym_generator_function_declaration] = STATE(836),
    [sym_arrow_function] = STATE(2117),
    [sym__call_signature] = STATE(5525),
    [sym_call_expression] = STATE(2117),
    [sym_new_expression] = STATE(1963),
    [sym_await_expression] = STATE(2130),
    [sym_member_expression] = STATE(1353),
    [sym_subscript_expression] = STATE(1353),
    [sym_assignment_expression] = STATE(2130),
    [sym__augmented_assignment_lhs] = STATE(3036),
    [sym_augmented_assignment_expression] = STATE(2130),
    [sym__destructuring_pattern] = STATE(5484),
    [sym_ternary_expression] = STATE(2130),
    [sym_binary_expression] = STATE(2130),
    [sym_unary_expression] = STATE(2130),
    [sym_update_expression] = STATE(2130),
    [sym_sequence_expression] = STATE(5427),
    [sym_string] = STATE(2117),
    [sym_template_string] = STATE(2117),
    [sym_regex] = STATE(2117),
    [sym_meta_property] = STATE(2117),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1353),
    [sym_function_signature] = STATE(836),
    [sym_type_assertion] = STATE(2130),
    [sym_as_expression] = STATE(2130),
    [sym_satisfies_expression] = STATE(2130),
    [sym_instantiation_expression] = STATE(2130),
    [sym_ambient_declaration] = STATE(836),
    [sym_abstract_class_declaration] = STATE(836),
    [sym_module] = STATE(836),
    [sym_internal_module] = STATE(239),
    [sym_import_alias] = STATE(836),
    [sym_interface_declaration] = STATE(836),
    [sym_enum_declaration] = STATE(836),
    [sym_type_alias_declaration] = STATE(836),
    [sym_type_arguments] = STATE(427),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(3871),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_SEMI] = ACTIONS(43),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_do] = ACTIONS(49),
    [anon_sym_try] = ACTIONS(51),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_debugger] = ACTIONS(57),
    [anon_sym_return] = ACTIONS(59),
    [anon_sym_throw] = ACTIONS(61),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_async] = ACTIONS(75),
    [anon_sym_function] = ACTIONS(77),
    [anon_sym_new] = ACTIONS(79),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(101),
    [anon_sym_readonly] = ACTIONS(101),
    [anon_sym_get] = ACTIONS(101),
    [anon_sym_set] = ACTIONS(101),
    [anon_sym_declare] = ACTIONS(103),
    [anon_sym_public] = ACTIONS(101),
    [anon_sym_private] = ACTIONS(101),
    [anon_sym_protected] = ACTIONS(101),
    [anon_sym_override] = ACTIONS(101),
    [anon_sym_module] = ACTIONS(105),
    [anon_sym_any] = ACTIONS(101),
    [anon_sym_number] = ACTIONS(101),
    [anon_sym_boolean] = ACTIONS(101),
    [anon_sym_string] = ACTIONS(101),
    [anon_sym_symbol] = ACTIONS(101),
    [anon_sym_object] = ACTIONS(101),
    [anon_sym_abstract] = ACTIONS(107),
    [anon_sym_interface] = ACTIONS(109),
    [anon_sym_enum] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [37] = {
    [sym_export_statement] = STATE(888),
    [sym_declaration] = STATE(888),
    [sym_import] = STATE(3513),
    [sym_import_statement] = STATE(888),
    [sym_statement] = STATE(883),
    [sym_expression_statement] = STATE(888),
    [sym_variable_declaration] = STATE(836),
    [sym_lexical_declaration] = STATE(836),
    [sym_statement_block] = STATE(888),
    [sym_if_statement] = STATE(888),
    [sym_switch_statement] = STATE(888),
    [sym_for_statement] = STATE(888),
    [sym_for_in_statement] = STATE(888),
    [sym_while_statement] = STATE(888),
    [sym_do_statement] = STATE(888),
    [sym_try_statement] = STATE(888),
    [sym_with_statement] = STATE(888),
    [sym_break_statement] = STATE(888),
    [sym_continue_statement] = STATE(888),
    [sym_debugger_statement] = STATE(888),
    [sym_return_statement] = STATE(888),
    [sym_throw_statement] = STATE(888),
    [sym_empty_statement] = STATE(888),
    [sym_labeled_statement] = STATE(888),
    [sym_parenthesized_expression] = STATE(1353),
    [sym_expression] = STATE(1940),
    [sym_primary_expression] = STATE(1833),
    [sym_yield_expression] = STATE(2130),
    [sym_object] = STATE(2117),
    [sym_object_pattern] = STATE(5484),
    [sym_array] = STATE(2117),
    [sym_array_pattern] = STATE(5484),
    [sym_glimmer_template] = STATE(2130),
    [sym_class] = STATE(2117),
    [sym_class_declaration] = STATE(836),
    [sym_function_expression] = STATE(2117),
    [sym_function_declaration] = STATE(836),
    [sym_generator_function] = STATE(2117),
    [sym_generator_function_declaration] = STATE(836),
    [sym_arrow_function] = STATE(2117),
    [sym__call_signature] = STATE(5525),
    [sym_call_expression] = STATE(2117),
    [sym_new_expression] = STATE(1963),
    [sym_await_expression] = STATE(2130),
    [sym_member_expression] = STATE(1353),
    [sym_subscript_expression] = STATE(1353),
    [sym_assignment_expression] = STATE(2130),
    [sym__augmented_assignment_lhs] = STATE(3036),
    [sym_augmented_assignment_expression] = STATE(2130),
    [sym__destructuring_pattern] = STATE(5484),
    [sym_ternary_expression] = STATE(2130),
    [sym_binary_expression] = STATE(2130),
    [sym_unary_expression] = STATE(2130),
    [sym_update_expression] = STATE(2130),
    [sym_sequence_expression] = STATE(5427),
    [sym_string] = STATE(2117),
    [sym_template_string] = STATE(2117),
    [sym_regex] = STATE(2117),
    [sym_meta_property] = STATE(2117),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1353),
    [sym_function_signature] = STATE(836),
    [sym_type_assertion] = STATE(2130),
    [sym_as_expression] = STATE(2130),
    [sym_satisfies_expression] = STATE(2130),
    [sym_instantiation_expression] = STATE(2130),
    [sym_ambient_declaration] = STATE(836),
    [sym_abstract_class_declaration] = STATE(836),
    [sym_module] = STATE(836),
    [sym_internal_module] = STATE(2470),
    [sym_import_alias] = STATE(836),
    [sym_interface_declaration] = STATE(836),
    [sym_enum_declaration] = STATE(836),
    [sym_type_alias_declaration] = STATE(836),
    [sym_type_arguments] = STATE(427),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(3845),
    [sym_identifier] = ACTIONS(544),
    [anon_sym_export] = ACTIONS(546),
    [anon_sym_type] = ACTIONS(548),
    [anon_sym_namespace] = ACTIONS(550),
    [anon_sym_LBRACE] = ACTIONS(552),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(554),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(556),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(558),
    [anon_sym_switch] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(560),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_SEMI] = ACTIONS(43),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_while] = ACTIONS(562),
    [anon_sym_do] = ACTIONS(49),
    [anon_sym_try] = ACTIONS(51),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_debugger] = ACTIONS(57),
    [anon_sym_return] = ACTIONS(59),
    [anon_sym_throw] = ACTIONS(61),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(564),
    [anon_sym_async] = ACTIONS(566),
    [anon_sym_function] = ACTIONS(568),
    [anon_sym_new] = ACTIONS(570),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(572),
    [anon_sym_readonly] = ACTIONS(572),
    [anon_sym_get] = ACTIONS(572),
    [anon_sym_set] = ACTIONS(572),
    [anon_sym_declare] = ACTIONS(574),
    [anon_sym_public] = ACTIONS(572),
    [anon_sym_private] = ACTIONS(572),
    [anon_sym_protected] = ACTIONS(572),
    [anon_sym_override] = ACTIONS(572),
    [anon_sym_module] = ACTIONS(576),
    [anon_sym_any] = ACTIONS(572),
    [anon_sym_number] = ACTIONS(572),
    [anon_sym_boolean] = ACTIONS(572),
    [anon_sym_string] = ACTIONS(572),
    [anon_sym_symbol] = ACTIONS(572),
    [anon_sym_object] = ACTIONS(572),
    [anon_sym_abstract] = ACTIONS(107),
    [anon_sym_interface] = ACTIONS(109),
    [anon_sym_enum] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [38] = {
    [sym_import] = STATE(3634),
    [sym_parenthesized_expression] = STATE(1324),
    [sym_expression] = STATE(2136),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(4448),
    [sym_assignment_pattern] = STATE(5020),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(4448),
    [sym_glimmer_template] = STATE(1652),
    [sym_nested_identifier] = STATE(5868),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5565),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1399),
    [sym_subscript_expression] = STATE(1399),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(2958),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(4448),
    [sym_spread_element] = STATE(5119),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(2255),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(4342),
    [sym_pattern] = STATE(4511),
    [sym_rest_pattern] = STATE(4089),
    [sym_non_null_expression] = STATE(1399),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_nested_type_identifier] = STATE(2941),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3315),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2944),
    [sym_type] = STATE(3832),
    [sym_tuple_parameter] = STATE(4915),
    [sym_optional_tuple_parameter] = STATE(4915),
    [sym_optional_type] = STATE(4915),
    [sym_rest_type] = STATE(4915),
    [sym__tuple_type_member] = STATE(4915),
    [sym_constructor_type] = STATE(2974),
    [sym_primary_type] = STATE(3014),
    [sym_template_literal_type] = STATE(3018),
    [sym_infer_type] = STATE(2974),
    [sym_conditional_type] = STATE(3018),
    [sym_generic_type] = STATE(3018),
    [sym_type_query] = STATE(3018),
    [sym_index_type_query] = STATE(3018),
    [sym_lookup_type] = STATE(3018),
    [sym_literal_type] = STATE(3018),
    [sym__number] = STATE(3031),
    [sym_existential_type] = STATE(3018),
    [sym_flow_maybe_type] = STATE(3018),
    [sym_parenthesized_type] = STATE(3018),
    [sym_predefined_type] = STATE(3018),
    [sym_type_arguments] = STATE(482),
    [sym_object_type] = STATE(3018),
    [sym_type_parameters] = STATE(5465),
    [sym_array_type] = STATE(3018),
    [sym_tuple_type] = STATE(3018),
    [sym_readonly_type] = STATE(2974),
    [sym_union_type] = STATE(3018),
    [sym_intersection_type] = STATE(3018),
    [sym_function_type] = STATE(2974),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [aux_sym_array_repeat1] = STATE(4579),
    [aux_sym_array_pattern_repeat1] = STATE(4615),
    [sym_identifier] = ACTIONS(578),
    [anon_sym_export] = ACTIONS(580),
    [anon_sym_STAR] = ACTIONS(582),
    [anon_sym_type] = ACTIONS(580),
    [anon_sym_namespace] = ACTIONS(584),
    [anon_sym_LBRACE] = ACTIONS(586),
    [anon_sym_COMMA] = ACTIONS(588),
    [anon_sym_typeof] = ACTIONS(590),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(580),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_BANG] = ACTIONS(592),
    [anon_sym_LPAREN] = ACTIONS(139),
    [anon_sym_await] = ACTIONS(594),
    [anon_sym_yield] = ACTIONS(596),
    [anon_sym_LBRACK] = ACTIONS(598),
    [anon_sym_RBRACK] = ACTIONS(600),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(602),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(604),
    [anon_sym_using] = ACTIONS(606),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(608),
    [anon_sym_AMP] = ACTIONS(610),
    [anon_sym_PIPE] = ACTIONS(612),
    [anon_sym_PLUS] = ACTIONS(614),
    [anon_sym_DASH] = ACTIONS(614),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(592),
    [anon_sym_void] = ACTIONS(618),
    [anon_sym_delete] = ACTIONS(620),
    [anon_sym_PLUS_PLUS] = ACTIONS(622),
    [anon_sym_DASH_DASH] = ACTIONS(622),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(189),
    [sym_number] = ACTIONS(191),
    [sym_private_property_identifier] = ACTIONS(624),
    [sym_this] = ACTIONS(626),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(628),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(580),
    [anon_sym_readonly] = ACTIONS(630),
    [anon_sym_get] = ACTIONS(580),
    [anon_sym_set] = ACTIONS(580),
    [anon_sym_QMARK] = ACTIONS(632),
    [anon_sym_declare] = ACTIONS(580),
    [anon_sym_public] = ACTIONS(580),
    [anon_sym_private] = ACTIONS(580),
    [anon_sym_protected] = ACTIONS(580),
    [anon_sym_override] = ACTIONS(580),
    [anon_sym_module] = ACTIONS(580),
    [anon_sym_any] = ACTIONS(634),
    [anon_sym_number] = ACTIONS(634),
    [anon_sym_boolean] = ACTIONS(634),
    [anon_sym_string] = ACTIONS(634),
    [anon_sym_symbol] = ACTIONS(634),
    [anon_sym_object] = ACTIONS(634),
    [anon_sym_abstract] = ACTIONS(636),
    [anon_sym_infer] = ACTIONS(638),
    [anon_sym_keyof] = ACTIONS(640),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym_html_comment] = ACTIONS(5),
  },
  [39] = {
    [sym_export_statement] = STATE(888),
    [sym_declaration] = STATE(888),
    [sym_import] = STATE(3513),
    [sym_import_statement] = STATE(888),
    [sym_statement] = STATE(5503),
    [sym_expression_statement] = STATE(888),
    [sym_variable_declaration] = STATE(836),
    [sym_lexical_declaration] = STATE(836),
    [sym_statement_block] = STATE(888),
    [sym_if_statement] = STATE(888),
    [sym_switch_statement] = STATE(888),
    [sym_for_statement] = STATE(888),
    [sym_for_in_statement] = STATE(888),
    [sym_while_statement] = STATE(888),
    [sym_do_statement] = STATE(888),
    [sym_try_statement] = STATE(888),
    [sym_with_statement] = STATE(888),
    [sym_break_statement] = STATE(888),
    [sym_continue_statement] = STATE(888),
    [sym_debugger_statement] = STATE(888),
    [sym_return_statement] = STATE(888),
    [sym_throw_statement] = STATE(888),
    [sym_empty_statement] = STATE(888),
    [sym_labeled_statement] = STATE(888),
    [sym_parenthesized_expression] = STATE(1353),
    [sym_expression] = STATE(1940),
    [sym_primary_expression] = STATE(1833),
    [sym_yield_expression] = STATE(2130),
    [sym_object] = STATE(2117),
    [sym_object_pattern] = STATE(5484),
    [sym_array] = STATE(2117),
    [sym_array_pattern] = STATE(5484),
    [sym_glimmer_template] = STATE(2130),
    [sym_class] = STATE(2117),
    [sym_class_declaration] = STATE(836),
    [sym_function_expression] = STATE(2117),
    [sym_function_declaration] = STATE(836),
    [sym_generator_function] = STATE(2117),
    [sym_generator_function_declaration] = STATE(836),
    [sym_arrow_function] = STATE(2117),
    [sym__call_signature] = STATE(5525),
    [sym_call_expression] = STATE(2117),
    [sym_new_expression] = STATE(1963),
    [sym_await_expression] = STATE(2130),
    [sym_member_expression] = STATE(1353),
    [sym_subscript_expression] = STATE(1353),
    [sym_assignment_expression] = STATE(2130),
    [sym__augmented_assignment_lhs] = STATE(3036),
    [sym_augmented_assignment_expression] = STATE(2130),
    [sym__destructuring_pattern] = STATE(5484),
    [sym_ternary_expression] = STATE(2130),
    [sym_binary_expression] = STATE(2130),
    [sym_unary_expression] = STATE(2130),
    [sym_update_expression] = STATE(2130),
    [sym_sequence_expression] = STATE(5427),
    [sym_string] = STATE(2117),
    [sym_template_string] = STATE(2117),
    [sym_regex] = STATE(2117),
    [sym_meta_property] = STATE(2117),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1353),
    [sym_function_signature] = STATE(836),
    [sym_type_assertion] = STATE(2130),
    [sym_as_expression] = STATE(2130),
    [sym_satisfies_expression] = STATE(2130),
    [sym_instantiation_expression] = STATE(2130),
    [sym_ambient_declaration] = STATE(836),
    [sym_abstract_class_declaration] = STATE(836),
    [sym_module] = STATE(836),
    [sym_internal_module] = STATE(2470),
    [sym_import_alias] = STATE(836),
    [sym_interface_declaration] = STATE(836),
    [sym_enum_declaration] = STATE(836),
    [sym_type_alias_declaration] = STATE(836),
    [sym_type_arguments] = STATE(427),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(3845),
    [sym_identifier] = ACTIONS(544),
    [anon_sym_export] = ACTIONS(546),
    [anon_sym_type] = ACTIONS(548),
    [anon_sym_namespace] = ACTIONS(550),
    [anon_sym_LBRACE] = ACTIONS(552),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(554),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(556),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(558),
    [anon_sym_switch] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(560),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_SEMI] = ACTIONS(43),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_while] = ACTIONS(562),
    [anon_sym_do] = ACTIONS(49),
    [anon_sym_try] = ACTIONS(51),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_debugger] = ACTIONS(57),
    [anon_sym_return] = ACTIONS(59),
    [anon_sym_throw] = ACTIONS(61),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(564),
    [anon_sym_async] = ACTIONS(566),
    [anon_sym_function] = ACTIONS(568),
    [anon_sym_new] = ACTIONS(570),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(572),
    [anon_sym_readonly] = ACTIONS(572),
    [anon_sym_get] = ACTIONS(572),
    [anon_sym_set] = ACTIONS(572),
    [anon_sym_declare] = ACTIONS(574),
    [anon_sym_public] = ACTIONS(572),
    [anon_sym_private] = ACTIONS(572),
    [anon_sym_protected] = ACTIONS(572),
    [anon_sym_override] = ACTIONS(572),
    [anon_sym_module] = ACTIONS(576),
    [anon_sym_any] = ACTIONS(572),
    [anon_sym_number] = ACTIONS(572),
    [anon_sym_boolean] = ACTIONS(572),
    [anon_sym_string] = ACTIONS(572),
    [anon_sym_symbol] = ACTIONS(572),
    [anon_sym_object] = ACTIONS(572),
    [anon_sym_abstract] = ACTIONS(107),
    [anon_sym_interface] = ACTIONS(109),
    [anon_sym_enum] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [40] = {
    [sym_export_statement] = STATE(888),
    [sym_declaration] = STATE(888),
    [sym_import] = STATE(3513),
    [sym_import_statement] = STATE(888),
    [sym_statement] = STATE(876),
    [sym_expression_statement] = STATE(888),
    [sym_variable_declaration] = STATE(836),
    [sym_lexical_declaration] = STATE(836),
    [sym_statement_block] = STATE(888),
    [sym_if_statement] = STATE(888),
    [sym_switch_statement] = STATE(888),
    [sym_for_statement] = STATE(888),
    [sym_for_in_statement] = STATE(888),
    [sym_while_statement] = STATE(888),
    [sym_do_statement] = STATE(888),
    [sym_try_statement] = STATE(888),
    [sym_with_statement] = STATE(888),
    [sym_break_statement] = STATE(888),
    [sym_continue_statement] = STATE(888),
    [sym_debugger_statement] = STATE(888),
    [sym_return_statement] = STATE(888),
    [sym_throw_statement] = STATE(888),
    [sym_empty_statement] = STATE(888),
    [sym_labeled_statement] = STATE(888),
    [sym_parenthesized_expression] = STATE(1353),
    [sym_expression] = STATE(1940),
    [sym_primary_expression] = STATE(1833),
    [sym_yield_expression] = STATE(2130),
    [sym_object] = STATE(2117),
    [sym_object_pattern] = STATE(5484),
    [sym_array] = STATE(2117),
    [sym_array_pattern] = STATE(5484),
    [sym_glimmer_template] = STATE(2130),
    [sym_class] = STATE(2117),
    [sym_class_declaration] = STATE(836),
    [sym_function_expression] = STATE(2117),
    [sym_function_declaration] = STATE(836),
    [sym_generator_function] = STATE(2117),
    [sym_generator_function_declaration] = STATE(836),
    [sym_arrow_function] = STATE(2117),
    [sym__call_signature] = STATE(5525),
    [sym_call_expression] = STATE(2117),
    [sym_new_expression] = STATE(1963),
    [sym_await_expression] = STATE(2130),
    [sym_member_expression] = STATE(1353),
    [sym_subscript_expression] = STATE(1353),
    [sym_assignment_expression] = STATE(2130),
    [sym__augmented_assignment_lhs] = STATE(3036),
    [sym_augmented_assignment_expression] = STATE(2130),
    [sym__destructuring_pattern] = STATE(5484),
    [sym_ternary_expression] = STATE(2130),
    [sym_binary_expression] = STATE(2130),
    [sym_unary_expression] = STATE(2130),
    [sym_update_expression] = STATE(2130),
    [sym_sequence_expression] = STATE(5427),
    [sym_string] = STATE(2117),
    [sym_template_string] = STATE(2117),
    [sym_regex] = STATE(2117),
    [sym_meta_property] = STATE(2117),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1353),
    [sym_function_signature] = STATE(836),
    [sym_type_assertion] = STATE(2130),
    [sym_as_expression] = STATE(2130),
    [sym_satisfies_expression] = STATE(2130),
    [sym_instantiation_expression] = STATE(2130),
    [sym_ambient_declaration] = STATE(836),
    [sym_abstract_class_declaration] = STATE(836),
    [sym_module] = STATE(836),
    [sym_internal_module] = STATE(2470),
    [sym_import_alias] = STATE(836),
    [sym_interface_declaration] = STATE(836),
    [sym_enum_declaration] = STATE(836),
    [sym_type_alias_declaration] = STATE(836),
    [sym_type_arguments] = STATE(427),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(3845),
    [sym_identifier] = ACTIONS(544),
    [anon_sym_export] = ACTIONS(546),
    [anon_sym_type] = ACTIONS(548),
    [anon_sym_namespace] = ACTIONS(550),
    [anon_sym_LBRACE] = ACTIONS(552),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(554),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(556),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(558),
    [anon_sym_switch] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(560),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_SEMI] = ACTIONS(43),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_while] = ACTIONS(562),
    [anon_sym_do] = ACTIONS(49),
    [anon_sym_try] = ACTIONS(51),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_debugger] = ACTIONS(57),
    [anon_sym_return] = ACTIONS(59),
    [anon_sym_throw] = ACTIONS(61),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(564),
    [anon_sym_async] = ACTIONS(566),
    [anon_sym_function] = ACTIONS(568),
    [anon_sym_new] = ACTIONS(570),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(572),
    [anon_sym_readonly] = ACTIONS(572),
    [anon_sym_get] = ACTIONS(572),
    [anon_sym_set] = ACTIONS(572),
    [anon_sym_declare] = ACTIONS(574),
    [anon_sym_public] = ACTIONS(572),
    [anon_sym_private] = ACTIONS(572),
    [anon_sym_protected] = ACTIONS(572),
    [anon_sym_override] = ACTIONS(572),
    [anon_sym_module] = ACTIONS(576),
    [anon_sym_any] = ACTIONS(572),
    [anon_sym_number] = ACTIONS(572),
    [anon_sym_boolean] = ACTIONS(572),
    [anon_sym_string] = ACTIONS(572),
    [anon_sym_symbol] = ACTIONS(572),
    [anon_sym_object] = ACTIONS(572),
    [anon_sym_abstract] = ACTIONS(107),
    [anon_sym_interface] = ACTIONS(109),
    [anon_sym_enum] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [41] = {
    [sym_export_statement] = STATE(888),
    [sym_declaration] = STATE(888),
    [sym_import] = STATE(3513),
    [sym_import_statement] = STATE(888),
    [sym_statement] = STATE(819),
    [sym_expression_statement] = STATE(888),
    [sym_variable_declaration] = STATE(836),
    [sym_lexical_declaration] = STATE(836),
    [sym_statement_block] = STATE(888),
    [sym_if_statement] = STATE(888),
    [sym_switch_statement] = STATE(888),
    [sym_for_statement] = STATE(888),
    [sym_for_in_statement] = STATE(888),
    [sym_while_statement] = STATE(888),
    [sym_do_statement] = STATE(888),
    [sym_try_statement] = STATE(888),
    [sym_with_statement] = STATE(888),
    [sym_break_statement] = STATE(888),
    [sym_continue_statement] = STATE(888),
    [sym_debugger_statement] = STATE(888),
    [sym_return_statement] = STATE(888),
    [sym_throw_statement] = STATE(888),
    [sym_empty_statement] = STATE(888),
    [sym_labeled_statement] = STATE(888),
    [sym_parenthesized_expression] = STATE(1353),
    [sym_expression] = STATE(1940),
    [sym_primary_expression] = STATE(1833),
    [sym_yield_expression] = STATE(2130),
    [sym_object] = STATE(2117),
    [sym_object_pattern] = STATE(5484),
    [sym_array] = STATE(2117),
    [sym_array_pattern] = STATE(5484),
    [sym_glimmer_template] = STATE(2130),
    [sym_class] = STATE(2117),
    [sym_class_declaration] = STATE(836),
    [sym_function_expression] = STATE(2117),
    [sym_function_declaration] = STATE(836),
    [sym_generator_function] = STATE(2117),
    [sym_generator_function_declaration] = STATE(836),
    [sym_arrow_function] = STATE(2117),
    [sym__call_signature] = STATE(5525),
    [sym_call_expression] = STATE(2117),
    [sym_new_expression] = STATE(1963),
    [sym_await_expression] = STATE(2130),
    [sym_member_expression] = STATE(1353),
    [sym_subscript_expression] = STATE(1353),
    [sym_assignment_expression] = STATE(2130),
    [sym__augmented_assignment_lhs] = STATE(3036),
    [sym_augmented_assignment_expression] = STATE(2130),
    [sym__destructuring_pattern] = STATE(5484),
    [sym_ternary_expression] = STATE(2130),
    [sym_binary_expression] = STATE(2130),
    [sym_unary_expression] = STATE(2130),
    [sym_update_expression] = STATE(2130),
    [sym_sequence_expression] = STATE(5427),
    [sym_string] = STATE(2117),
    [sym_template_string] = STATE(2117),
    [sym_regex] = STATE(2117),
    [sym_meta_property] = STATE(2117),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1353),
    [sym_function_signature] = STATE(836),
    [sym_type_assertion] = STATE(2130),
    [sym_as_expression] = STATE(2130),
    [sym_satisfies_expression] = STATE(2130),
    [sym_instantiation_expression] = STATE(2130),
    [sym_ambient_declaration] = STATE(836),
    [sym_abstract_class_declaration] = STATE(836),
    [sym_module] = STATE(836),
    [sym_internal_module] = STATE(2470),
    [sym_import_alias] = STATE(836),
    [sym_interface_declaration] = STATE(836),
    [sym_enum_declaration] = STATE(836),
    [sym_type_alias_declaration] = STATE(836),
    [sym_type_arguments] = STATE(427),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(3845),
    [sym_identifier] = ACTIONS(544),
    [anon_sym_export] = ACTIONS(546),
    [anon_sym_type] = ACTIONS(548),
    [anon_sym_namespace] = ACTIONS(550),
    [anon_sym_LBRACE] = ACTIONS(552),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(554),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(556),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(558),
    [anon_sym_switch] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(560),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_SEMI] = ACTIONS(43),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_while] = ACTIONS(562),
    [anon_sym_do] = ACTIONS(49),
    [anon_sym_try] = ACTIONS(51),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_debugger] = ACTIONS(57),
    [anon_sym_return] = ACTIONS(59),
    [anon_sym_throw] = ACTIONS(61),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(564),
    [anon_sym_async] = ACTIONS(566),
    [anon_sym_function] = ACTIONS(568),
    [anon_sym_new] = ACTIONS(570),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(572),
    [anon_sym_readonly] = ACTIONS(572),
    [anon_sym_get] = ACTIONS(572),
    [anon_sym_set] = ACTIONS(572),
    [anon_sym_declare] = ACTIONS(574),
    [anon_sym_public] = ACTIONS(572),
    [anon_sym_private] = ACTIONS(572),
    [anon_sym_protected] = ACTIONS(572),
    [anon_sym_override] = ACTIONS(572),
    [anon_sym_module] = ACTIONS(576),
    [anon_sym_any] = ACTIONS(572),
    [anon_sym_number] = ACTIONS(572),
    [anon_sym_boolean] = ACTIONS(572),
    [anon_sym_string] = ACTIONS(572),
    [anon_sym_symbol] = ACTIONS(572),
    [anon_sym_object] = ACTIONS(572),
    [anon_sym_abstract] = ACTIONS(107),
    [anon_sym_interface] = ACTIONS(109),
    [anon_sym_enum] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [42] = {
    [sym_export_statement] = STATE(888),
    [sym_declaration] = STATE(888),
    [sym_import] = STATE(3513),
    [sym_import_statement] = STATE(888),
    [sym_statement] = STATE(821),
    [sym_expression_statement] = STATE(888),
    [sym_variable_declaration] = STATE(836),
    [sym_lexical_declaration] = STATE(836),
    [sym_statement_block] = STATE(888),
    [sym_if_statement] = STATE(888),
    [sym_switch_statement] = STATE(888),
    [sym_for_statement] = STATE(888),
    [sym_for_in_statement] = STATE(888),
    [sym_while_statement] = STATE(888),
    [sym_do_statement] = STATE(888),
    [sym_try_statement] = STATE(888),
    [sym_with_statement] = STATE(888),
    [sym_break_statement] = STATE(888),
    [sym_continue_statement] = STATE(888),
    [sym_debugger_statement] = STATE(888),
    [sym_return_statement] = STATE(888),
    [sym_throw_statement] = STATE(888),
    [sym_empty_statement] = STATE(888),
    [sym_labeled_statement] = STATE(888),
    [sym_parenthesized_expression] = STATE(1353),
    [sym_expression] = STATE(1940),
    [sym_primary_expression] = STATE(1833),
    [sym_yield_expression] = STATE(2130),
    [sym_object] = STATE(2117),
    [sym_object_pattern] = STATE(5484),
    [sym_array] = STATE(2117),
    [sym_array_pattern] = STATE(5484),
    [sym_glimmer_template] = STATE(2130),
    [sym_class] = STATE(2117),
    [sym_class_declaration] = STATE(836),
    [sym_function_expression] = STATE(2117),
    [sym_function_declaration] = STATE(836),
    [sym_generator_function] = STATE(2117),
    [sym_generator_function_declaration] = STATE(836),
    [sym_arrow_function] = STATE(2117),
    [sym__call_signature] = STATE(5525),
    [sym_call_expression] = STATE(2117),
    [sym_new_expression] = STATE(1963),
    [sym_await_expression] = STATE(2130),
    [sym_member_expression] = STATE(1353),
    [sym_subscript_expression] = STATE(1353),
    [sym_assignment_expression] = STATE(2130),
    [sym__augmented_assignment_lhs] = STATE(3036),
    [sym_augmented_assignment_expression] = STATE(2130),
    [sym__destructuring_pattern] = STATE(5484),
    [sym_ternary_expression] = STATE(2130),
    [sym_binary_expression] = STATE(2130),
    [sym_unary_expression] = STATE(2130),
    [sym_update_expression] = STATE(2130),
    [sym_sequence_expression] = STATE(5427),
    [sym_string] = STATE(2117),
    [sym_template_string] = STATE(2117),
    [sym_regex] = STATE(2117),
    [sym_meta_property] = STATE(2117),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1353),
    [sym_function_signature] = STATE(836),
    [sym_type_assertion] = STATE(2130),
    [sym_as_expression] = STATE(2130),
    [sym_satisfies_expression] = STATE(2130),
    [sym_instantiation_expression] = STATE(2130),
    [sym_ambient_declaration] = STATE(836),
    [sym_abstract_class_declaration] = STATE(836),
    [sym_module] = STATE(836),
    [sym_internal_module] = STATE(2470),
    [sym_import_alias] = STATE(836),
    [sym_interface_declaration] = STATE(836),
    [sym_enum_declaration] = STATE(836),
    [sym_type_alias_declaration] = STATE(836),
    [sym_type_arguments] = STATE(427),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(3845),
    [sym_identifier] = ACTIONS(544),
    [anon_sym_export] = ACTIONS(546),
    [anon_sym_type] = ACTIONS(548),
    [anon_sym_namespace] = ACTIONS(550),
    [anon_sym_LBRACE] = ACTIONS(552),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(554),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(556),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(558),
    [anon_sym_switch] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(560),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_SEMI] = ACTIONS(43),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_while] = ACTIONS(562),
    [anon_sym_do] = ACTIONS(49),
    [anon_sym_try] = ACTIONS(51),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_debugger] = ACTIONS(57),
    [anon_sym_return] = ACTIONS(59),
    [anon_sym_throw] = ACTIONS(61),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(564),
    [anon_sym_async] = ACTIONS(566),
    [anon_sym_function] = ACTIONS(568),
    [anon_sym_new] = ACTIONS(570),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(572),
    [anon_sym_readonly] = ACTIONS(572),
    [anon_sym_get] = ACTIONS(572),
    [anon_sym_set] = ACTIONS(572),
    [anon_sym_declare] = ACTIONS(574),
    [anon_sym_public] = ACTIONS(572),
    [anon_sym_private] = ACTIONS(572),
    [anon_sym_protected] = ACTIONS(572),
    [anon_sym_override] = ACTIONS(572),
    [anon_sym_module] = ACTIONS(576),
    [anon_sym_any] = ACTIONS(572),
    [anon_sym_number] = ACTIONS(572),
    [anon_sym_boolean] = ACTIONS(572),
    [anon_sym_string] = ACTIONS(572),
    [anon_sym_symbol] = ACTIONS(572),
    [anon_sym_object] = ACTIONS(572),
    [anon_sym_abstract] = ACTIONS(107),
    [anon_sym_interface] = ACTIONS(109),
    [anon_sym_enum] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [43] = {
    [sym_export_statement] = STATE(888),
    [sym_declaration] = STATE(888),
    [sym_import] = STATE(3513),
    [sym_import_statement] = STATE(888),
    [sym_statement] = STATE(827),
    [sym_expression_statement] = STATE(888),
    [sym_variable_declaration] = STATE(836),
    [sym_lexical_declaration] = STATE(836),
    [sym_statement_block] = STATE(888),
    [sym_if_statement] = STATE(888),
    [sym_switch_statement] = STATE(888),
    [sym_for_statement] = STATE(888),
    [sym_for_in_statement] = STATE(888),
    [sym_while_statement] = STATE(888),
    [sym_do_statement] = STATE(888),
    [sym_try_statement] = STATE(888),
    [sym_with_statement] = STATE(888),
    [sym_break_statement] = STATE(888),
    [sym_continue_statement] = STATE(888),
    [sym_debugger_statement] = STATE(888),
    [sym_return_statement] = STATE(888),
    [sym_throw_statement] = STATE(888),
    [sym_empty_statement] = STATE(888),
    [sym_labeled_statement] = STATE(888),
    [sym_parenthesized_expression] = STATE(1353),
    [sym_expression] = STATE(1940),
    [sym_primary_expression] = STATE(1833),
    [sym_yield_expression] = STATE(2130),
    [sym_object] = STATE(2117),
    [sym_object_pattern] = STATE(5484),
    [sym_array] = STATE(2117),
    [sym_array_pattern] = STATE(5484),
    [sym_glimmer_template] = STATE(2130),
    [sym_class] = STATE(2117),
    [sym_class_declaration] = STATE(836),
    [sym_function_expression] = STATE(2117),
    [sym_function_declaration] = STATE(836),
    [sym_generator_function] = STATE(2117),
    [sym_generator_function_declaration] = STATE(836),
    [sym_arrow_function] = STATE(2117),
    [sym__call_signature] = STATE(5525),
    [sym_call_expression] = STATE(2117),
    [sym_new_expression] = STATE(1963),
    [sym_await_expression] = STATE(2130),
    [sym_member_expression] = STATE(1353),
    [sym_subscript_expression] = STATE(1353),
    [sym_assignment_expression] = STATE(2130),
    [sym__augmented_assignment_lhs] = STATE(3036),
    [sym_augmented_assignment_expression] = STATE(2130),
    [sym__destructuring_pattern] = STATE(5484),
    [sym_ternary_expression] = STATE(2130),
    [sym_binary_expression] = STATE(2130),
    [sym_unary_expression] = STATE(2130),
    [sym_update_expression] = STATE(2130),
    [sym_sequence_expression] = STATE(5427),
    [sym_string] = STATE(2117),
    [sym_template_string] = STATE(2117),
    [sym_regex] = STATE(2117),
    [sym_meta_property] = STATE(2117),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1353),
    [sym_function_signature] = STATE(836),
    [sym_type_assertion] = STATE(2130),
    [sym_as_expression] = STATE(2130),
    [sym_satisfies_expression] = STATE(2130),
    [sym_instantiation_expression] = STATE(2130),
    [sym_ambient_declaration] = STATE(836),
    [sym_abstract_class_declaration] = STATE(836),
    [sym_module] = STATE(836),
    [sym_internal_module] = STATE(2470),
    [sym_import_alias] = STATE(836),
    [sym_interface_declaration] = STATE(836),
    [sym_enum_declaration] = STATE(836),
    [sym_type_alias_declaration] = STATE(836),
    [sym_type_arguments] = STATE(427),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(3845),
    [sym_identifier] = ACTIONS(544),
    [anon_sym_export] = ACTIONS(546),
    [anon_sym_type] = ACTIONS(548),
    [anon_sym_namespace] = ACTIONS(550),
    [anon_sym_LBRACE] = ACTIONS(552),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(554),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(556),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(558),
    [anon_sym_switch] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(560),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_SEMI] = ACTIONS(43),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_while] = ACTIONS(562),
    [anon_sym_do] = ACTIONS(49),
    [anon_sym_try] = ACTIONS(51),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_debugger] = ACTIONS(57),
    [anon_sym_return] = ACTIONS(59),
    [anon_sym_throw] = ACTIONS(61),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(564),
    [anon_sym_async] = ACTIONS(566),
    [anon_sym_function] = ACTIONS(568),
    [anon_sym_new] = ACTIONS(570),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(572),
    [anon_sym_readonly] = ACTIONS(572),
    [anon_sym_get] = ACTIONS(572),
    [anon_sym_set] = ACTIONS(572),
    [anon_sym_declare] = ACTIONS(574),
    [anon_sym_public] = ACTIONS(572),
    [anon_sym_private] = ACTIONS(572),
    [anon_sym_protected] = ACTIONS(572),
    [anon_sym_override] = ACTIONS(572),
    [anon_sym_module] = ACTIONS(576),
    [anon_sym_any] = ACTIONS(572),
    [anon_sym_number] = ACTIONS(572),
    [anon_sym_boolean] = ACTIONS(572),
    [anon_sym_string] = ACTIONS(572),
    [anon_sym_symbol] = ACTIONS(572),
    [anon_sym_object] = ACTIONS(572),
    [anon_sym_abstract] = ACTIONS(107),
    [anon_sym_interface] = ACTIONS(109),
    [anon_sym_enum] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [44] = {
    [sym_export_statement] = STATE(888),
    [sym_declaration] = STATE(888),
    [sym_import] = STATE(3513),
    [sym_import_statement] = STATE(888),
    [sym_statement] = STATE(826),
    [sym_expression_statement] = STATE(888),
    [sym_variable_declaration] = STATE(836),
    [sym_lexical_declaration] = STATE(836),
    [sym_statement_block] = STATE(888),
    [sym_if_statement] = STATE(888),
    [sym_switch_statement] = STATE(888),
    [sym_for_statement] = STATE(888),
    [sym_for_in_statement] = STATE(888),
    [sym_while_statement] = STATE(888),
    [sym_do_statement] = STATE(888),
    [sym_try_statement] = STATE(888),
    [sym_with_statement] = STATE(888),
    [sym_break_statement] = STATE(888),
    [sym_continue_statement] = STATE(888),
    [sym_debugger_statement] = STATE(888),
    [sym_return_statement] = STATE(888),
    [sym_throw_statement] = STATE(888),
    [sym_empty_statement] = STATE(888),
    [sym_labeled_statement] = STATE(888),
    [sym_parenthesized_expression] = STATE(1353),
    [sym_expression] = STATE(1940),
    [sym_primary_expression] = STATE(1833),
    [sym_yield_expression] = STATE(2130),
    [sym_object] = STATE(2117),
    [sym_object_pattern] = STATE(5484),
    [sym_array] = STATE(2117),
    [sym_array_pattern] = STATE(5484),
    [sym_glimmer_template] = STATE(2130),
    [sym_class] = STATE(2117),
    [sym_class_declaration] = STATE(836),
    [sym_function_expression] = STATE(2117),
    [sym_function_declaration] = STATE(836),
    [sym_generator_function] = STATE(2117),
    [sym_generator_function_declaration] = STATE(836),
    [sym_arrow_function] = STATE(2117),
    [sym__call_signature] = STATE(5525),
    [sym_call_expression] = STATE(2117),
    [sym_new_expression] = STATE(1963),
    [sym_await_expression] = STATE(2130),
    [sym_member_expression] = STATE(1353),
    [sym_subscript_expression] = STATE(1353),
    [sym_assignment_expression] = STATE(2130),
    [sym__augmented_assignment_lhs] = STATE(3036),
    [sym_augmented_assignment_expression] = STATE(2130),
    [sym__destructuring_pattern] = STATE(5484),
    [sym_ternary_expression] = STATE(2130),
    [sym_binary_expression] = STATE(2130),
    [sym_unary_expression] = STATE(2130),
    [sym_update_expression] = STATE(2130),
    [sym_sequence_expression] = STATE(5427),
    [sym_string] = STATE(2117),
    [sym_template_string] = STATE(2117),
    [sym_regex] = STATE(2117),
    [sym_meta_property] = STATE(2117),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1353),
    [sym_function_signature] = STATE(836),
    [sym_type_assertion] = STATE(2130),
    [sym_as_expression] = STATE(2130),
    [sym_satisfies_expression] = STATE(2130),
    [sym_instantiation_expression] = STATE(2130),
    [sym_ambient_declaration] = STATE(836),
    [sym_abstract_class_declaration] = STATE(836),
    [sym_module] = STATE(836),
    [sym_internal_module] = STATE(2470),
    [sym_import_alias] = STATE(836),
    [sym_interface_declaration] = STATE(836),
    [sym_enum_declaration] = STATE(836),
    [sym_type_alias_declaration] = STATE(836),
    [sym_type_arguments] = STATE(427),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(3845),
    [sym_identifier] = ACTIONS(544),
    [anon_sym_export] = ACTIONS(546),
    [anon_sym_type] = ACTIONS(548),
    [anon_sym_namespace] = ACTIONS(550),
    [anon_sym_LBRACE] = ACTIONS(552),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(554),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(556),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(558),
    [anon_sym_switch] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(560),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_SEMI] = ACTIONS(43),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_while] = ACTIONS(562),
    [anon_sym_do] = ACTIONS(49),
    [anon_sym_try] = ACTIONS(51),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_debugger] = ACTIONS(57),
    [anon_sym_return] = ACTIONS(59),
    [anon_sym_throw] = ACTIONS(61),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(564),
    [anon_sym_async] = ACTIONS(566),
    [anon_sym_function] = ACTIONS(568),
    [anon_sym_new] = ACTIONS(570),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(572),
    [anon_sym_readonly] = ACTIONS(572),
    [anon_sym_get] = ACTIONS(572),
    [anon_sym_set] = ACTIONS(572),
    [anon_sym_declare] = ACTIONS(574),
    [anon_sym_public] = ACTIONS(572),
    [anon_sym_private] = ACTIONS(572),
    [anon_sym_protected] = ACTIONS(572),
    [anon_sym_override] = ACTIONS(572),
    [anon_sym_module] = ACTIONS(576),
    [anon_sym_any] = ACTIONS(572),
    [anon_sym_number] = ACTIONS(572),
    [anon_sym_boolean] = ACTIONS(572),
    [anon_sym_string] = ACTIONS(572),
    [anon_sym_symbol] = ACTIONS(572),
    [anon_sym_object] = ACTIONS(572),
    [anon_sym_abstract] = ACTIONS(107),
    [anon_sym_interface] = ACTIONS(109),
    [anon_sym_enum] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [45] = {
    [sym_export_statement] = STATE(888),
    [sym_declaration] = STATE(888),
    [sym_import] = STATE(3513),
    [sym_import_statement] = STATE(888),
    [sym_statement] = STATE(807),
    [sym_expression_statement] = STATE(888),
    [sym_variable_declaration] = STATE(836),
    [sym_lexical_declaration] = STATE(836),
    [sym_statement_block] = STATE(888),
    [sym_if_statement] = STATE(888),
    [sym_switch_statement] = STATE(888),
    [sym_for_statement] = STATE(888),
    [sym_for_in_statement] = STATE(888),
    [sym_while_statement] = STATE(888),
    [sym_do_statement] = STATE(888),
    [sym_try_statement] = STATE(888),
    [sym_with_statement] = STATE(888),
    [sym_break_statement] = STATE(888),
    [sym_continue_statement] = STATE(888),
    [sym_debugger_statement] = STATE(888),
    [sym_return_statement] = STATE(888),
    [sym_throw_statement] = STATE(888),
    [sym_empty_statement] = STATE(888),
    [sym_labeled_statement] = STATE(888),
    [sym_parenthesized_expression] = STATE(1353),
    [sym_expression] = STATE(1940),
    [sym_primary_expression] = STATE(1833),
    [sym_yield_expression] = STATE(2130),
    [sym_object] = STATE(2117),
    [sym_object_pattern] = STATE(5484),
    [sym_array] = STATE(2117),
    [sym_array_pattern] = STATE(5484),
    [sym_glimmer_template] = STATE(2130),
    [sym_class] = STATE(2117),
    [sym_class_declaration] = STATE(836),
    [sym_function_expression] = STATE(2117),
    [sym_function_declaration] = STATE(836),
    [sym_generator_function] = STATE(2117),
    [sym_generator_function_declaration] = STATE(836),
    [sym_arrow_function] = STATE(2117),
    [sym__call_signature] = STATE(5525),
    [sym_call_expression] = STATE(2117),
    [sym_new_expression] = STATE(1963),
    [sym_await_expression] = STATE(2130),
    [sym_member_expression] = STATE(1353),
    [sym_subscript_expression] = STATE(1353),
    [sym_assignment_expression] = STATE(2130),
    [sym__augmented_assignment_lhs] = STATE(3036),
    [sym_augmented_assignment_expression] = STATE(2130),
    [sym__destructuring_pattern] = STATE(5484),
    [sym_ternary_expression] = STATE(2130),
    [sym_binary_expression] = STATE(2130),
    [sym_unary_expression] = STATE(2130),
    [sym_update_expression] = STATE(2130),
    [sym_sequence_expression] = STATE(5427),
    [sym_string] = STATE(2117),
    [sym_template_string] = STATE(2117),
    [sym_regex] = STATE(2117),
    [sym_meta_property] = STATE(2117),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1353),
    [sym_function_signature] = STATE(836),
    [sym_type_assertion] = STATE(2130),
    [sym_as_expression] = STATE(2130),
    [sym_satisfies_expression] = STATE(2130),
    [sym_instantiation_expression] = STATE(2130),
    [sym_ambient_declaration] = STATE(836),
    [sym_abstract_class_declaration] = STATE(836),
    [sym_module] = STATE(836),
    [sym_internal_module] = STATE(2470),
    [sym_import_alias] = STATE(836),
    [sym_interface_declaration] = STATE(836),
    [sym_enum_declaration] = STATE(836),
    [sym_type_alias_declaration] = STATE(836),
    [sym_type_arguments] = STATE(427),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(3845),
    [sym_identifier] = ACTIONS(544),
    [anon_sym_export] = ACTIONS(546),
    [anon_sym_type] = ACTIONS(548),
    [anon_sym_namespace] = ACTIONS(550),
    [anon_sym_LBRACE] = ACTIONS(552),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(554),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(556),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(558),
    [anon_sym_switch] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(560),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_SEMI] = ACTIONS(43),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_while] = ACTIONS(562),
    [anon_sym_do] = ACTIONS(49),
    [anon_sym_try] = ACTIONS(51),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_debugger] = ACTIONS(57),
    [anon_sym_return] = ACTIONS(59),
    [anon_sym_throw] = ACTIONS(61),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(564),
    [anon_sym_async] = ACTIONS(566),
    [anon_sym_function] = ACTIONS(568),
    [anon_sym_new] = ACTIONS(570),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(572),
    [anon_sym_readonly] = ACTIONS(572),
    [anon_sym_get] = ACTIONS(572),
    [anon_sym_set] = ACTIONS(572),
    [anon_sym_declare] = ACTIONS(574),
    [anon_sym_public] = ACTIONS(572),
    [anon_sym_private] = ACTIONS(572),
    [anon_sym_protected] = ACTIONS(572),
    [anon_sym_override] = ACTIONS(572),
    [anon_sym_module] = ACTIONS(576),
    [anon_sym_any] = ACTIONS(572),
    [anon_sym_number] = ACTIONS(572),
    [anon_sym_boolean] = ACTIONS(572),
    [anon_sym_string] = ACTIONS(572),
    [anon_sym_symbol] = ACTIONS(572),
    [anon_sym_object] = ACTIONS(572),
    [anon_sym_abstract] = ACTIONS(107),
    [anon_sym_interface] = ACTIONS(109),
    [anon_sym_enum] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [46] = {
    [sym_export_statement] = STATE(888),
    [sym_declaration] = STATE(888),
    [sym_import] = STATE(3513),
    [sym_import_statement] = STATE(888),
    [sym_statement] = STATE(838),
    [sym_expression_statement] = STATE(888),
    [sym_variable_declaration] = STATE(836),
    [sym_lexical_declaration] = STATE(836),
    [sym_statement_block] = STATE(888),
    [sym_if_statement] = STATE(888),
    [sym_switch_statement] = STATE(888),
    [sym_for_statement] = STATE(888),
    [sym_for_in_statement] = STATE(888),
    [sym_while_statement] = STATE(888),
    [sym_do_statement] = STATE(888),
    [sym_try_statement] = STATE(888),
    [sym_with_statement] = STATE(888),
    [sym_break_statement] = STATE(888),
    [sym_continue_statement] = STATE(888),
    [sym_debugger_statement] = STATE(888),
    [sym_return_statement] = STATE(888),
    [sym_throw_statement] = STATE(888),
    [sym_empty_statement] = STATE(888),
    [sym_labeled_statement] = STATE(888),
    [sym_parenthesized_expression] = STATE(1353),
    [sym_expression] = STATE(1940),
    [sym_primary_expression] = STATE(1833),
    [sym_yield_expression] = STATE(2130),
    [sym_object] = STATE(2117),
    [sym_object_pattern] = STATE(5484),
    [sym_array] = STATE(2117),
    [sym_array_pattern] = STATE(5484),
    [sym_glimmer_template] = STATE(2130),
    [sym_class] = STATE(2117),
    [sym_class_declaration] = STATE(836),
    [sym_function_expression] = STATE(2117),
    [sym_function_declaration] = STATE(836),
    [sym_generator_function] = STATE(2117),
    [sym_generator_function_declaration] = STATE(836),
    [sym_arrow_function] = STATE(2117),
    [sym__call_signature] = STATE(5525),
    [sym_call_expression] = STATE(2117),
    [sym_new_expression] = STATE(1963),
    [sym_await_expression] = STATE(2130),
    [sym_member_expression] = STATE(1353),
    [sym_subscript_expression] = STATE(1353),
    [sym_assignment_expression] = STATE(2130),
    [sym__augmented_assignment_lhs] = STATE(3036),
    [sym_augmented_assignment_expression] = STATE(2130),
    [sym__destructuring_pattern] = STATE(5484),
    [sym_ternary_expression] = STATE(2130),
    [sym_binary_expression] = STATE(2130),
    [sym_unary_expression] = STATE(2130),
    [sym_update_expression] = STATE(2130),
    [sym_sequence_expression] = STATE(5427),
    [sym_string] = STATE(2117),
    [sym_template_string] = STATE(2117),
    [sym_regex] = STATE(2117),
    [sym_meta_property] = STATE(2117),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1353),
    [sym_function_signature] = STATE(836),
    [sym_type_assertion] = STATE(2130),
    [sym_as_expression] = STATE(2130),
    [sym_satisfies_expression] = STATE(2130),
    [sym_instantiation_expression] = STATE(2130),
    [sym_ambient_declaration] = STATE(836),
    [sym_abstract_class_declaration] = STATE(836),
    [sym_module] = STATE(836),
    [sym_internal_module] = STATE(2470),
    [sym_import_alias] = STATE(836),
    [sym_interface_declaration] = STATE(836),
    [sym_enum_declaration] = STATE(836),
    [sym_type_alias_declaration] = STATE(836),
    [sym_type_arguments] = STATE(427),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(3845),
    [sym_identifier] = ACTIONS(544),
    [anon_sym_export] = ACTIONS(546),
    [anon_sym_type] = ACTIONS(548),
    [anon_sym_namespace] = ACTIONS(550),
    [anon_sym_LBRACE] = ACTIONS(552),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(554),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(556),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(558),
    [anon_sym_switch] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(560),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_SEMI] = ACTIONS(43),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_while] = ACTIONS(562),
    [anon_sym_do] = ACTIONS(49),
    [anon_sym_try] = ACTIONS(51),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_debugger] = ACTIONS(57),
    [anon_sym_return] = ACTIONS(59),
    [anon_sym_throw] = ACTIONS(61),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(564),
    [anon_sym_async] = ACTIONS(566),
    [anon_sym_function] = ACTIONS(568),
    [anon_sym_new] = ACTIONS(570),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(572),
    [anon_sym_readonly] = ACTIONS(572),
    [anon_sym_get] = ACTIONS(572),
    [anon_sym_set] = ACTIONS(572),
    [anon_sym_declare] = ACTIONS(574),
    [anon_sym_public] = ACTIONS(572),
    [anon_sym_private] = ACTIONS(572),
    [anon_sym_protected] = ACTIONS(572),
    [anon_sym_override] = ACTIONS(572),
    [anon_sym_module] = ACTIONS(576),
    [anon_sym_any] = ACTIONS(572),
    [anon_sym_number] = ACTIONS(572),
    [anon_sym_boolean] = ACTIONS(572),
    [anon_sym_string] = ACTIONS(572),
    [anon_sym_symbol] = ACTIONS(572),
    [anon_sym_object] = ACTIONS(572),
    [anon_sym_abstract] = ACTIONS(107),
    [anon_sym_interface] = ACTIONS(109),
    [anon_sym_enum] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [47] = {
    [sym_export_statement] = STATE(888),
    [sym_declaration] = STATE(888),
    [sym_import] = STATE(3513),
    [sym_import_statement] = STATE(888),
    [sym_statement] = STATE(853),
    [sym_expression_statement] = STATE(888),
    [sym_variable_declaration] = STATE(836),
    [sym_lexical_declaration] = STATE(836),
    [sym_statement_block] = STATE(888),
    [sym_if_statement] = STATE(888),
    [sym_switch_statement] = STATE(888),
    [sym_for_statement] = STATE(888),
    [sym_for_in_statement] = STATE(888),
    [sym_while_statement] = STATE(888),
    [sym_do_statement] = STATE(888),
    [sym_try_statement] = STATE(888),
    [sym_with_statement] = STATE(888),
    [sym_break_statement] = STATE(888),
    [sym_continue_statement] = STATE(888),
    [sym_debugger_statement] = STATE(888),
    [sym_return_statement] = STATE(888),
    [sym_throw_statement] = STATE(888),
    [sym_empty_statement] = STATE(888),
    [sym_labeled_statement] = STATE(888),
    [sym_parenthesized_expression] = STATE(1353),
    [sym_expression] = STATE(1940),
    [sym_primary_expression] = STATE(1833),
    [sym_yield_expression] = STATE(2130),
    [sym_object] = STATE(2117),
    [sym_object_pattern] = STATE(5484),
    [sym_array] = STATE(2117),
    [sym_array_pattern] = STATE(5484),
    [sym_glimmer_template] = STATE(2130),
    [sym_class] = STATE(2117),
    [sym_class_declaration] = STATE(836),
    [sym_function_expression] = STATE(2117),
    [sym_function_declaration] = STATE(836),
    [sym_generator_function] = STATE(2117),
    [sym_generator_function_declaration] = STATE(836),
    [sym_arrow_function] = STATE(2117),
    [sym__call_signature] = STATE(5525),
    [sym_call_expression] = STATE(2117),
    [sym_new_expression] = STATE(1963),
    [sym_await_expression] = STATE(2130),
    [sym_member_expression] = STATE(1353),
    [sym_subscript_expression] = STATE(1353),
    [sym_assignment_expression] = STATE(2130),
    [sym__augmented_assignment_lhs] = STATE(3036),
    [sym_augmented_assignment_expression] = STATE(2130),
    [sym__destructuring_pattern] = STATE(5484),
    [sym_ternary_expression] = STATE(2130),
    [sym_binary_expression] = STATE(2130),
    [sym_unary_expression] = STATE(2130),
    [sym_update_expression] = STATE(2130),
    [sym_sequence_expression] = STATE(5427),
    [sym_string] = STATE(2117),
    [sym_template_string] = STATE(2117),
    [sym_regex] = STATE(2117),
    [sym_meta_property] = STATE(2117),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1353),
    [sym_function_signature] = STATE(836),
    [sym_type_assertion] = STATE(2130),
    [sym_as_expression] = STATE(2130),
    [sym_satisfies_expression] = STATE(2130),
    [sym_instantiation_expression] = STATE(2130),
    [sym_ambient_declaration] = STATE(836),
    [sym_abstract_class_declaration] = STATE(836),
    [sym_module] = STATE(836),
    [sym_internal_module] = STATE(2470),
    [sym_import_alias] = STATE(836),
    [sym_interface_declaration] = STATE(836),
    [sym_enum_declaration] = STATE(836),
    [sym_type_alias_declaration] = STATE(836),
    [sym_type_arguments] = STATE(427),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(3845),
    [sym_identifier] = ACTIONS(544),
    [anon_sym_export] = ACTIONS(546),
    [anon_sym_type] = ACTIONS(548),
    [anon_sym_namespace] = ACTIONS(550),
    [anon_sym_LBRACE] = ACTIONS(552),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(554),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(556),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(558),
    [anon_sym_switch] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(560),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_SEMI] = ACTIONS(43),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_while] = ACTIONS(562),
    [anon_sym_do] = ACTIONS(49),
    [anon_sym_try] = ACTIONS(51),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_debugger] = ACTIONS(57),
    [anon_sym_return] = ACTIONS(59),
    [anon_sym_throw] = ACTIONS(61),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(564),
    [anon_sym_async] = ACTIONS(566),
    [anon_sym_function] = ACTIONS(568),
    [anon_sym_new] = ACTIONS(570),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(572),
    [anon_sym_readonly] = ACTIONS(572),
    [anon_sym_get] = ACTIONS(572),
    [anon_sym_set] = ACTIONS(572),
    [anon_sym_declare] = ACTIONS(574),
    [anon_sym_public] = ACTIONS(572),
    [anon_sym_private] = ACTIONS(572),
    [anon_sym_protected] = ACTIONS(572),
    [anon_sym_override] = ACTIONS(572),
    [anon_sym_module] = ACTIONS(576),
    [anon_sym_any] = ACTIONS(572),
    [anon_sym_number] = ACTIONS(572),
    [anon_sym_boolean] = ACTIONS(572),
    [anon_sym_string] = ACTIONS(572),
    [anon_sym_symbol] = ACTIONS(572),
    [anon_sym_object] = ACTIONS(572),
    [anon_sym_abstract] = ACTIONS(107),
    [anon_sym_interface] = ACTIONS(109),
    [anon_sym_enum] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [48] = {
    [sym_export_statement] = STATE(888),
    [sym_declaration] = STATE(888),
    [sym_import] = STATE(3513),
    [sym_import_statement] = STATE(888),
    [sym_statement] = STATE(876),
    [sym_expression_statement] = STATE(888),
    [sym_variable_declaration] = STATE(836),
    [sym_lexical_declaration] = STATE(836),
    [sym_statement_block] = STATE(888),
    [sym_if_statement] = STATE(888),
    [sym_switch_statement] = STATE(888),
    [sym_for_statement] = STATE(888),
    [sym_for_in_statement] = STATE(888),
    [sym_while_statement] = STATE(888),
    [sym_do_statement] = STATE(888),
    [sym_try_statement] = STATE(888),
    [sym_with_statement] = STATE(888),
    [sym_break_statement] = STATE(888),
    [sym_continue_statement] = STATE(888),
    [sym_debugger_statement] = STATE(888),
    [sym_return_statement] = STATE(888),
    [sym_throw_statement] = STATE(888),
    [sym_empty_statement] = STATE(888),
    [sym_labeled_statement] = STATE(888),
    [sym_parenthesized_expression] = STATE(1353),
    [sym_expression] = STATE(1940),
    [sym_primary_expression] = STATE(1833),
    [sym_yield_expression] = STATE(2130),
    [sym_object] = STATE(2117),
    [sym_object_pattern] = STATE(5484),
    [sym_array] = STATE(2117),
    [sym_array_pattern] = STATE(5484),
    [sym_glimmer_template] = STATE(2130),
    [sym_class] = STATE(2117),
    [sym_class_declaration] = STATE(836),
    [sym_function_expression] = STATE(2117),
    [sym_function_declaration] = STATE(836),
    [sym_generator_function] = STATE(2117),
    [sym_generator_function_declaration] = STATE(836),
    [sym_arrow_function] = STATE(2117),
    [sym__call_signature] = STATE(5525),
    [sym_call_expression] = STATE(2117),
    [sym_new_expression] = STATE(1963),
    [sym_await_expression] = STATE(2130),
    [sym_member_expression] = STATE(1353),
    [sym_subscript_expression] = STATE(1353),
    [sym_assignment_expression] = STATE(2130),
    [sym__augmented_assignment_lhs] = STATE(3036),
    [sym_augmented_assignment_expression] = STATE(2130),
    [sym__destructuring_pattern] = STATE(5484),
    [sym_ternary_expression] = STATE(2130),
    [sym_binary_expression] = STATE(2130),
    [sym_unary_expression] = STATE(2130),
    [sym_update_expression] = STATE(2130),
    [sym_sequence_expression] = STATE(5427),
    [sym_string] = STATE(2117),
    [sym_template_string] = STATE(2117),
    [sym_regex] = STATE(2117),
    [sym_meta_property] = STATE(2117),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1353),
    [sym_function_signature] = STATE(836),
    [sym_type_assertion] = STATE(2130),
    [sym_as_expression] = STATE(2130),
    [sym_satisfies_expression] = STATE(2130),
    [sym_instantiation_expression] = STATE(2130),
    [sym_ambient_declaration] = STATE(836),
    [sym_abstract_class_declaration] = STATE(836),
    [sym_module] = STATE(836),
    [sym_internal_module] = STATE(239),
    [sym_import_alias] = STATE(836),
    [sym_interface_declaration] = STATE(836),
    [sym_enum_declaration] = STATE(836),
    [sym_type_alias_declaration] = STATE(836),
    [sym_type_arguments] = STATE(427),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(3871),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_SEMI] = ACTIONS(43),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_do] = ACTIONS(49),
    [anon_sym_try] = ACTIONS(51),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_debugger] = ACTIONS(57),
    [anon_sym_return] = ACTIONS(59),
    [anon_sym_throw] = ACTIONS(61),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_async] = ACTIONS(75),
    [anon_sym_function] = ACTIONS(77),
    [anon_sym_new] = ACTIONS(79),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(101),
    [anon_sym_readonly] = ACTIONS(101),
    [anon_sym_get] = ACTIONS(101),
    [anon_sym_set] = ACTIONS(101),
    [anon_sym_declare] = ACTIONS(103),
    [anon_sym_public] = ACTIONS(101),
    [anon_sym_private] = ACTIONS(101),
    [anon_sym_protected] = ACTIONS(101),
    [anon_sym_override] = ACTIONS(101),
    [anon_sym_module] = ACTIONS(105),
    [anon_sym_any] = ACTIONS(101),
    [anon_sym_number] = ACTIONS(101),
    [anon_sym_boolean] = ACTIONS(101),
    [anon_sym_string] = ACTIONS(101),
    [anon_sym_symbol] = ACTIONS(101),
    [anon_sym_object] = ACTIONS(101),
    [anon_sym_abstract] = ACTIONS(107),
    [anon_sym_interface] = ACTIONS(109),
    [anon_sym_enum] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [49] = {
    [sym_export_statement] = STATE(888),
    [sym_declaration] = STATE(888),
    [sym_import] = STATE(3513),
    [sym_import_statement] = STATE(888),
    [sym_statement] = STATE(866),
    [sym_expression_statement] = STATE(888),
    [sym_variable_declaration] = STATE(836),
    [sym_lexical_declaration] = STATE(836),
    [sym_statement_block] = STATE(888),
    [sym_if_statement] = STATE(888),
    [sym_switch_statement] = STATE(888),
    [sym_for_statement] = STATE(888),
    [sym_for_in_statement] = STATE(888),
    [sym_while_statement] = STATE(888),
    [sym_do_statement] = STATE(888),
    [sym_try_statement] = STATE(888),
    [sym_with_statement] = STATE(888),
    [sym_break_statement] = STATE(888),
    [sym_continue_statement] = STATE(888),
    [sym_debugger_statement] = STATE(888),
    [sym_return_statement] = STATE(888),
    [sym_throw_statement] = STATE(888),
    [sym_empty_statement] = STATE(888),
    [sym_labeled_statement] = STATE(888),
    [sym_parenthesized_expression] = STATE(1353),
    [sym_expression] = STATE(1940),
    [sym_primary_expression] = STATE(1833),
    [sym_yield_expression] = STATE(2130),
    [sym_object] = STATE(2117),
    [sym_object_pattern] = STATE(5484),
    [sym_array] = STATE(2117),
    [sym_array_pattern] = STATE(5484),
    [sym_glimmer_template] = STATE(2130),
    [sym_class] = STATE(2117),
    [sym_class_declaration] = STATE(836),
    [sym_function_expression] = STATE(2117),
    [sym_function_declaration] = STATE(836),
    [sym_generator_function] = STATE(2117),
    [sym_generator_function_declaration] = STATE(836),
    [sym_arrow_function] = STATE(2117),
    [sym__call_signature] = STATE(5525),
    [sym_call_expression] = STATE(2117),
    [sym_new_expression] = STATE(1963),
    [sym_await_expression] = STATE(2130),
    [sym_member_expression] = STATE(1353),
    [sym_subscript_expression] = STATE(1353),
    [sym_assignment_expression] = STATE(2130),
    [sym__augmented_assignment_lhs] = STATE(3036),
    [sym_augmented_assignment_expression] = STATE(2130),
    [sym__destructuring_pattern] = STATE(5484),
    [sym_ternary_expression] = STATE(2130),
    [sym_binary_expression] = STATE(2130),
    [sym_unary_expression] = STATE(2130),
    [sym_update_expression] = STATE(2130),
    [sym_sequence_expression] = STATE(5427),
    [sym_string] = STATE(2117),
    [sym_template_string] = STATE(2117),
    [sym_regex] = STATE(2117),
    [sym_meta_property] = STATE(2117),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1353),
    [sym_function_signature] = STATE(836),
    [sym_type_assertion] = STATE(2130),
    [sym_as_expression] = STATE(2130),
    [sym_satisfies_expression] = STATE(2130),
    [sym_instantiation_expression] = STATE(2130),
    [sym_ambient_declaration] = STATE(836),
    [sym_abstract_class_declaration] = STATE(836),
    [sym_module] = STATE(836),
    [sym_internal_module] = STATE(239),
    [sym_import_alias] = STATE(836),
    [sym_interface_declaration] = STATE(836),
    [sym_enum_declaration] = STATE(836),
    [sym_type_alias_declaration] = STATE(836),
    [sym_type_arguments] = STATE(427),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(3871),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_SEMI] = ACTIONS(43),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_do] = ACTIONS(49),
    [anon_sym_try] = ACTIONS(51),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_debugger] = ACTIONS(57),
    [anon_sym_return] = ACTIONS(59),
    [anon_sym_throw] = ACTIONS(61),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_async] = ACTIONS(75),
    [anon_sym_function] = ACTIONS(77),
    [anon_sym_new] = ACTIONS(79),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(101),
    [anon_sym_readonly] = ACTIONS(101),
    [anon_sym_get] = ACTIONS(101),
    [anon_sym_set] = ACTIONS(101),
    [anon_sym_declare] = ACTIONS(103),
    [anon_sym_public] = ACTIONS(101),
    [anon_sym_private] = ACTIONS(101),
    [anon_sym_protected] = ACTIONS(101),
    [anon_sym_override] = ACTIONS(101),
    [anon_sym_module] = ACTIONS(105),
    [anon_sym_any] = ACTIONS(101),
    [anon_sym_number] = ACTIONS(101),
    [anon_sym_boolean] = ACTIONS(101),
    [anon_sym_string] = ACTIONS(101),
    [anon_sym_symbol] = ACTIONS(101),
    [anon_sym_object] = ACTIONS(101),
    [anon_sym_abstract] = ACTIONS(107),
    [anon_sym_interface] = ACTIONS(109),
    [anon_sym_enum] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [50] = {
    [sym_export_statement] = STATE(888),
    [sym_declaration] = STATE(888),
    [sym_import] = STATE(3513),
    [sym_import_statement] = STATE(888),
    [sym_statement] = STATE(932),
    [sym_expression_statement] = STATE(888),
    [sym_variable_declaration] = STATE(836),
    [sym_lexical_declaration] = STATE(836),
    [sym_statement_block] = STATE(888),
    [sym_if_statement] = STATE(888),
    [sym_switch_statement] = STATE(888),
    [sym_for_statement] = STATE(888),
    [sym_for_in_statement] = STATE(888),
    [sym_while_statement] = STATE(888),
    [sym_do_statement] = STATE(888),
    [sym_try_statement] = STATE(888),
    [sym_with_statement] = STATE(888),
    [sym_break_statement] = STATE(888),
    [sym_continue_statement] = STATE(888),
    [sym_debugger_statement] = STATE(888),
    [sym_return_statement] = STATE(888),
    [sym_throw_statement] = STATE(888),
    [sym_empty_statement] = STATE(888),
    [sym_labeled_statement] = STATE(888),
    [sym_parenthesized_expression] = STATE(1353),
    [sym_expression] = STATE(1940),
    [sym_primary_expression] = STATE(1833),
    [sym_yield_expression] = STATE(2130),
    [sym_object] = STATE(2117),
    [sym_object_pattern] = STATE(5484),
    [sym_array] = STATE(2117),
    [sym_array_pattern] = STATE(5484),
    [sym_glimmer_template] = STATE(2130),
    [sym_class] = STATE(2117),
    [sym_class_declaration] = STATE(836),
    [sym_function_expression] = STATE(2117),
    [sym_function_declaration] = STATE(836),
    [sym_generator_function] = STATE(2117),
    [sym_generator_function_declaration] = STATE(836),
    [sym_arrow_function] = STATE(2117),
    [sym__call_signature] = STATE(5525),
    [sym_call_expression] = STATE(2117),
    [sym_new_expression] = STATE(1963),
    [sym_await_expression] = STATE(2130),
    [sym_member_expression] = STATE(1353),
    [sym_subscript_expression] = STATE(1353),
    [sym_assignment_expression] = STATE(2130),
    [sym__augmented_assignment_lhs] = STATE(3036),
    [sym_augmented_assignment_expression] = STATE(2130),
    [sym__destructuring_pattern] = STATE(5484),
    [sym_ternary_expression] = STATE(2130),
    [sym_binary_expression] = STATE(2130),
    [sym_unary_expression] = STATE(2130),
    [sym_update_expression] = STATE(2130),
    [sym_sequence_expression] = STATE(5427),
    [sym_string] = STATE(2117),
    [sym_template_string] = STATE(2117),
    [sym_regex] = STATE(2117),
    [sym_meta_property] = STATE(2117),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1353),
    [sym_function_signature] = STATE(836),
    [sym_type_assertion] = STATE(2130),
    [sym_as_expression] = STATE(2130),
    [sym_satisfies_expression] = STATE(2130),
    [sym_instantiation_expression] = STATE(2130),
    [sym_ambient_declaration] = STATE(836),
    [sym_abstract_class_declaration] = STATE(836),
    [sym_module] = STATE(836),
    [sym_internal_module] = STATE(239),
    [sym_import_alias] = STATE(836),
    [sym_interface_declaration] = STATE(836),
    [sym_enum_declaration] = STATE(836),
    [sym_type_alias_declaration] = STATE(836),
    [sym_type_arguments] = STATE(427),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(3871),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_SEMI] = ACTIONS(43),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_do] = ACTIONS(49),
    [anon_sym_try] = ACTIONS(51),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_debugger] = ACTIONS(57),
    [anon_sym_return] = ACTIONS(59),
    [anon_sym_throw] = ACTIONS(61),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_async] = ACTIONS(75),
    [anon_sym_function] = ACTIONS(77),
    [anon_sym_new] = ACTIONS(79),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(101),
    [anon_sym_readonly] = ACTIONS(101),
    [anon_sym_get] = ACTIONS(101),
    [anon_sym_set] = ACTIONS(101),
    [anon_sym_declare] = ACTIONS(103),
    [anon_sym_public] = ACTIONS(101),
    [anon_sym_private] = ACTIONS(101),
    [anon_sym_protected] = ACTIONS(101),
    [anon_sym_override] = ACTIONS(101),
    [anon_sym_module] = ACTIONS(105),
    [anon_sym_any] = ACTIONS(101),
    [anon_sym_number] = ACTIONS(101),
    [anon_sym_boolean] = ACTIONS(101),
    [anon_sym_string] = ACTIONS(101),
    [anon_sym_symbol] = ACTIONS(101),
    [anon_sym_object] = ACTIONS(101),
    [anon_sym_abstract] = ACTIONS(107),
    [anon_sym_interface] = ACTIONS(109),
    [anon_sym_enum] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [51] = {
    [sym_export_statement] = STATE(888),
    [sym_declaration] = STATE(888),
    [sym_import] = STATE(3513),
    [sym_import_statement] = STATE(888),
    [sym_statement] = STATE(919),
    [sym_expression_statement] = STATE(888),
    [sym_variable_declaration] = STATE(836),
    [sym_lexical_declaration] = STATE(836),
    [sym_statement_block] = STATE(888),
    [sym_if_statement] = STATE(888),
    [sym_switch_statement] = STATE(888),
    [sym_for_statement] = STATE(888),
    [sym_for_in_statement] = STATE(888),
    [sym_while_statement] = STATE(888),
    [sym_do_statement] = STATE(888),
    [sym_try_statement] = STATE(888),
    [sym_with_statement] = STATE(888),
    [sym_break_statement] = STATE(888),
    [sym_continue_statement] = STATE(888),
    [sym_debugger_statement] = STATE(888),
    [sym_return_statement] = STATE(888),
    [sym_throw_statement] = STATE(888),
    [sym_empty_statement] = STATE(888),
    [sym_labeled_statement] = STATE(888),
    [sym_parenthesized_expression] = STATE(1353),
    [sym_expression] = STATE(1940),
    [sym_primary_expression] = STATE(1833),
    [sym_yield_expression] = STATE(2130),
    [sym_object] = STATE(2117),
    [sym_object_pattern] = STATE(5484),
    [sym_array] = STATE(2117),
    [sym_array_pattern] = STATE(5484),
    [sym_glimmer_template] = STATE(2130),
    [sym_class] = STATE(2117),
    [sym_class_declaration] = STATE(836),
    [sym_function_expression] = STATE(2117),
    [sym_function_declaration] = STATE(836),
    [sym_generator_function] = STATE(2117),
    [sym_generator_function_declaration] = STATE(836),
    [sym_arrow_function] = STATE(2117),
    [sym__call_signature] = STATE(5525),
    [sym_call_expression] = STATE(2117),
    [sym_new_expression] = STATE(1963),
    [sym_await_expression] = STATE(2130),
    [sym_member_expression] = STATE(1353),
    [sym_subscript_expression] = STATE(1353),
    [sym_assignment_expression] = STATE(2130),
    [sym__augmented_assignment_lhs] = STATE(3036),
    [sym_augmented_assignment_expression] = STATE(2130),
    [sym__destructuring_pattern] = STATE(5484),
    [sym_ternary_expression] = STATE(2130),
    [sym_binary_expression] = STATE(2130),
    [sym_unary_expression] = STATE(2130),
    [sym_update_expression] = STATE(2130),
    [sym_sequence_expression] = STATE(5427),
    [sym_string] = STATE(2117),
    [sym_template_string] = STATE(2117),
    [sym_regex] = STATE(2117),
    [sym_meta_property] = STATE(2117),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1353),
    [sym_function_signature] = STATE(836),
    [sym_type_assertion] = STATE(2130),
    [sym_as_expression] = STATE(2130),
    [sym_satisfies_expression] = STATE(2130),
    [sym_instantiation_expression] = STATE(2130),
    [sym_ambient_declaration] = STATE(836),
    [sym_abstract_class_declaration] = STATE(836),
    [sym_module] = STATE(836),
    [sym_internal_module] = STATE(239),
    [sym_import_alias] = STATE(836),
    [sym_interface_declaration] = STATE(836),
    [sym_enum_declaration] = STATE(836),
    [sym_type_alias_declaration] = STATE(836),
    [sym_type_arguments] = STATE(427),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(3871),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_SEMI] = ACTIONS(43),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_do] = ACTIONS(49),
    [anon_sym_try] = ACTIONS(51),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_debugger] = ACTIONS(57),
    [anon_sym_return] = ACTIONS(59),
    [anon_sym_throw] = ACTIONS(61),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_async] = ACTIONS(75),
    [anon_sym_function] = ACTIONS(77),
    [anon_sym_new] = ACTIONS(79),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(101),
    [anon_sym_readonly] = ACTIONS(101),
    [anon_sym_get] = ACTIONS(101),
    [anon_sym_set] = ACTIONS(101),
    [anon_sym_declare] = ACTIONS(103),
    [anon_sym_public] = ACTIONS(101),
    [anon_sym_private] = ACTIONS(101),
    [anon_sym_protected] = ACTIONS(101),
    [anon_sym_override] = ACTIONS(101),
    [anon_sym_module] = ACTIONS(105),
    [anon_sym_any] = ACTIONS(101),
    [anon_sym_number] = ACTIONS(101),
    [anon_sym_boolean] = ACTIONS(101),
    [anon_sym_string] = ACTIONS(101),
    [anon_sym_symbol] = ACTIONS(101),
    [anon_sym_object] = ACTIONS(101),
    [anon_sym_abstract] = ACTIONS(107),
    [anon_sym_interface] = ACTIONS(109),
    [anon_sym_enum] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [52] = {
    [sym_export_statement] = STATE(888),
    [sym_declaration] = STATE(888),
    [sym_import] = STATE(3513),
    [sym_import_statement] = STATE(888),
    [sym_statement] = STATE(819),
    [sym_expression_statement] = STATE(888),
    [sym_variable_declaration] = STATE(836),
    [sym_lexical_declaration] = STATE(836),
    [sym_statement_block] = STATE(888),
    [sym_if_statement] = STATE(888),
    [sym_switch_statement] = STATE(888),
    [sym_for_statement] = STATE(888),
    [sym_for_in_statement] = STATE(888),
    [sym_while_statement] = STATE(888),
    [sym_do_statement] = STATE(888),
    [sym_try_statement] = STATE(888),
    [sym_with_statement] = STATE(888),
    [sym_break_statement] = STATE(888),
    [sym_continue_statement] = STATE(888),
    [sym_debugger_statement] = STATE(888),
    [sym_return_statement] = STATE(888),
    [sym_throw_statement] = STATE(888),
    [sym_empty_statement] = STATE(888),
    [sym_labeled_statement] = STATE(888),
    [sym_parenthesized_expression] = STATE(1353),
    [sym_expression] = STATE(1940),
    [sym_primary_expression] = STATE(1833),
    [sym_yield_expression] = STATE(2130),
    [sym_object] = STATE(2117),
    [sym_object_pattern] = STATE(5484),
    [sym_array] = STATE(2117),
    [sym_array_pattern] = STATE(5484),
    [sym_glimmer_template] = STATE(2130),
    [sym_class] = STATE(2117),
    [sym_class_declaration] = STATE(836),
    [sym_function_expression] = STATE(2117),
    [sym_function_declaration] = STATE(836),
    [sym_generator_function] = STATE(2117),
    [sym_generator_function_declaration] = STATE(836),
    [sym_arrow_function] = STATE(2117),
    [sym__call_signature] = STATE(5525),
    [sym_call_expression] = STATE(2117),
    [sym_new_expression] = STATE(1963),
    [sym_await_expression] = STATE(2130),
    [sym_member_expression] = STATE(1353),
    [sym_subscript_expression] = STATE(1353),
    [sym_assignment_expression] = STATE(2130),
    [sym__augmented_assignment_lhs] = STATE(3036),
    [sym_augmented_assignment_expression] = STATE(2130),
    [sym__destructuring_pattern] = STATE(5484),
    [sym_ternary_expression] = STATE(2130),
    [sym_binary_expression] = STATE(2130),
    [sym_unary_expression] = STATE(2130),
    [sym_update_expression] = STATE(2130),
    [sym_sequence_expression] = STATE(5427),
    [sym_string] = STATE(2117),
    [sym_template_string] = STATE(2117),
    [sym_regex] = STATE(2117),
    [sym_meta_property] = STATE(2117),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1353),
    [sym_function_signature] = STATE(836),
    [sym_type_assertion] = STATE(2130),
    [sym_as_expression] = STATE(2130),
    [sym_satisfies_expression] = STATE(2130),
    [sym_instantiation_expression] = STATE(2130),
    [sym_ambient_declaration] = STATE(836),
    [sym_abstract_class_declaration] = STATE(836),
    [sym_module] = STATE(836),
    [sym_internal_module] = STATE(239),
    [sym_import_alias] = STATE(836),
    [sym_interface_declaration] = STATE(836),
    [sym_enum_declaration] = STATE(836),
    [sym_type_alias_declaration] = STATE(836),
    [sym_type_arguments] = STATE(427),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(3871),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_SEMI] = ACTIONS(43),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_do] = ACTIONS(49),
    [anon_sym_try] = ACTIONS(51),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_debugger] = ACTIONS(57),
    [anon_sym_return] = ACTIONS(59),
    [anon_sym_throw] = ACTIONS(61),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_async] = ACTIONS(75),
    [anon_sym_function] = ACTIONS(77),
    [anon_sym_new] = ACTIONS(79),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(101),
    [anon_sym_readonly] = ACTIONS(101),
    [anon_sym_get] = ACTIONS(101),
    [anon_sym_set] = ACTIONS(101),
    [anon_sym_declare] = ACTIONS(103),
    [anon_sym_public] = ACTIONS(101),
    [anon_sym_private] = ACTIONS(101),
    [anon_sym_protected] = ACTIONS(101),
    [anon_sym_override] = ACTIONS(101),
    [anon_sym_module] = ACTIONS(105),
    [anon_sym_any] = ACTIONS(101),
    [anon_sym_number] = ACTIONS(101),
    [anon_sym_boolean] = ACTIONS(101),
    [anon_sym_string] = ACTIONS(101),
    [anon_sym_symbol] = ACTIONS(101),
    [anon_sym_object] = ACTIONS(101),
    [anon_sym_abstract] = ACTIONS(107),
    [anon_sym_interface] = ACTIONS(109),
    [anon_sym_enum] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [53] = {
    [sym_export_statement] = STATE(888),
    [sym_declaration] = STATE(888),
    [sym_import] = STATE(3513),
    [sym_import_statement] = STATE(888),
    [sym_statement] = STATE(821),
    [sym_expression_statement] = STATE(888),
    [sym_variable_declaration] = STATE(836),
    [sym_lexical_declaration] = STATE(836),
    [sym_statement_block] = STATE(888),
    [sym_if_statement] = STATE(888),
    [sym_switch_statement] = STATE(888),
    [sym_for_statement] = STATE(888),
    [sym_for_in_statement] = STATE(888),
    [sym_while_statement] = STATE(888),
    [sym_do_statement] = STATE(888),
    [sym_try_statement] = STATE(888),
    [sym_with_statement] = STATE(888),
    [sym_break_statement] = STATE(888),
    [sym_continue_statement] = STATE(888),
    [sym_debugger_statement] = STATE(888),
    [sym_return_statement] = STATE(888),
    [sym_throw_statement] = STATE(888),
    [sym_empty_statement] = STATE(888),
    [sym_labeled_statement] = STATE(888),
    [sym_parenthesized_expression] = STATE(1353),
    [sym_expression] = STATE(1940),
    [sym_primary_expression] = STATE(1833),
    [sym_yield_expression] = STATE(2130),
    [sym_object] = STATE(2117),
    [sym_object_pattern] = STATE(5484),
    [sym_array] = STATE(2117),
    [sym_array_pattern] = STATE(5484),
    [sym_glimmer_template] = STATE(2130),
    [sym_class] = STATE(2117),
    [sym_class_declaration] = STATE(836),
    [sym_function_expression] = STATE(2117),
    [sym_function_declaration] = STATE(836),
    [sym_generator_function] = STATE(2117),
    [sym_generator_function_declaration] = STATE(836),
    [sym_arrow_function] = STATE(2117),
    [sym__call_signature] = STATE(5525),
    [sym_call_expression] = STATE(2117),
    [sym_new_expression] = STATE(1963),
    [sym_await_expression] = STATE(2130),
    [sym_member_expression] = STATE(1353),
    [sym_subscript_expression] = STATE(1353),
    [sym_assignment_expression] = STATE(2130),
    [sym__augmented_assignment_lhs] = STATE(3036),
    [sym_augmented_assignment_expression] = STATE(2130),
    [sym__destructuring_pattern] = STATE(5484),
    [sym_ternary_expression] = STATE(2130),
    [sym_binary_expression] = STATE(2130),
    [sym_unary_expression] = STATE(2130),
    [sym_update_expression] = STATE(2130),
    [sym_sequence_expression] = STATE(5427),
    [sym_string] = STATE(2117),
    [sym_template_string] = STATE(2117),
    [sym_regex] = STATE(2117),
    [sym_meta_property] = STATE(2117),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1353),
    [sym_function_signature] = STATE(836),
    [sym_type_assertion] = STATE(2130),
    [sym_as_expression] = STATE(2130),
    [sym_satisfies_expression] = STATE(2130),
    [sym_instantiation_expression] = STATE(2130),
    [sym_ambient_declaration] = STATE(836),
    [sym_abstract_class_declaration] = STATE(836),
    [sym_module] = STATE(836),
    [sym_internal_module] = STATE(239),
    [sym_import_alias] = STATE(836),
    [sym_interface_declaration] = STATE(836),
    [sym_enum_declaration] = STATE(836),
    [sym_type_alias_declaration] = STATE(836),
    [sym_type_arguments] = STATE(427),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(3871),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_SEMI] = ACTIONS(43),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_do] = ACTIONS(49),
    [anon_sym_try] = ACTIONS(51),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_debugger] = ACTIONS(57),
    [anon_sym_return] = ACTIONS(59),
    [anon_sym_throw] = ACTIONS(61),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_async] = ACTIONS(75),
    [anon_sym_function] = ACTIONS(77),
    [anon_sym_new] = ACTIONS(79),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(101),
    [anon_sym_readonly] = ACTIONS(101),
    [anon_sym_get] = ACTIONS(101),
    [anon_sym_set] = ACTIONS(101),
    [anon_sym_declare] = ACTIONS(103),
    [anon_sym_public] = ACTIONS(101),
    [anon_sym_private] = ACTIONS(101),
    [anon_sym_protected] = ACTIONS(101),
    [anon_sym_override] = ACTIONS(101),
    [anon_sym_module] = ACTIONS(105),
    [anon_sym_any] = ACTIONS(101),
    [anon_sym_number] = ACTIONS(101),
    [anon_sym_boolean] = ACTIONS(101),
    [anon_sym_string] = ACTIONS(101),
    [anon_sym_symbol] = ACTIONS(101),
    [anon_sym_object] = ACTIONS(101),
    [anon_sym_abstract] = ACTIONS(107),
    [anon_sym_interface] = ACTIONS(109),
    [anon_sym_enum] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [54] = {
    [sym_export_statement] = STATE(888),
    [sym_declaration] = STATE(888),
    [sym_import] = STATE(3513),
    [sym_import_statement] = STATE(888),
    [sym_statement] = STATE(827),
    [sym_expression_statement] = STATE(888),
    [sym_variable_declaration] = STATE(836),
    [sym_lexical_declaration] = STATE(836),
    [sym_statement_block] = STATE(888),
    [sym_if_statement] = STATE(888),
    [sym_switch_statement] = STATE(888),
    [sym_for_statement] = STATE(888),
    [sym_for_in_statement] = STATE(888),
    [sym_while_statement] = STATE(888),
    [sym_do_statement] = STATE(888),
    [sym_try_statement] = STATE(888),
    [sym_with_statement] = STATE(888),
    [sym_break_statement] = STATE(888),
    [sym_continue_statement] = STATE(888),
    [sym_debugger_statement] = STATE(888),
    [sym_return_statement] = STATE(888),
    [sym_throw_statement] = STATE(888),
    [sym_empty_statement] = STATE(888),
    [sym_labeled_statement] = STATE(888),
    [sym_parenthesized_expression] = STATE(1353),
    [sym_expression] = STATE(1940),
    [sym_primary_expression] = STATE(1833),
    [sym_yield_expression] = STATE(2130),
    [sym_object] = STATE(2117),
    [sym_object_pattern] = STATE(5484),
    [sym_array] = STATE(2117),
    [sym_array_pattern] = STATE(5484),
    [sym_glimmer_template] = STATE(2130),
    [sym_class] = STATE(2117),
    [sym_class_declaration] = STATE(836),
    [sym_function_expression] = STATE(2117),
    [sym_function_declaration] = STATE(836),
    [sym_generator_function] = STATE(2117),
    [sym_generator_function_declaration] = STATE(836),
    [sym_arrow_function] = STATE(2117),
    [sym__call_signature] = STATE(5525),
    [sym_call_expression] = STATE(2117),
    [sym_new_expression] = STATE(1963),
    [sym_await_expression] = STATE(2130),
    [sym_member_expression] = STATE(1353),
    [sym_subscript_expression] = STATE(1353),
    [sym_assignment_expression] = STATE(2130),
    [sym__augmented_assignment_lhs] = STATE(3036),
    [sym_augmented_assignment_expression] = STATE(2130),
    [sym__destructuring_pattern] = STATE(5484),
    [sym_ternary_expression] = STATE(2130),
    [sym_binary_expression] = STATE(2130),
    [sym_unary_expression] = STATE(2130),
    [sym_update_expression] = STATE(2130),
    [sym_sequence_expression] = STATE(5427),
    [sym_string] = STATE(2117),
    [sym_template_string] = STATE(2117),
    [sym_regex] = STATE(2117),
    [sym_meta_property] = STATE(2117),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1353),
    [sym_function_signature] = STATE(836),
    [sym_type_assertion] = STATE(2130),
    [sym_as_expression] = STATE(2130),
    [sym_satisfies_expression] = STATE(2130),
    [sym_instantiation_expression] = STATE(2130),
    [sym_ambient_declaration] = STATE(836),
    [sym_abstract_class_declaration] = STATE(836),
    [sym_module] = STATE(836),
    [sym_internal_module] = STATE(239),
    [sym_import_alias] = STATE(836),
    [sym_interface_declaration] = STATE(836),
    [sym_enum_declaration] = STATE(836),
    [sym_type_alias_declaration] = STATE(836),
    [sym_type_arguments] = STATE(427),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(3871),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_SEMI] = ACTIONS(43),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_do] = ACTIONS(49),
    [anon_sym_try] = ACTIONS(51),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_debugger] = ACTIONS(57),
    [anon_sym_return] = ACTIONS(59),
    [anon_sym_throw] = ACTIONS(61),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_async] = ACTIONS(75),
    [anon_sym_function] = ACTIONS(77),
    [anon_sym_new] = ACTIONS(79),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(101),
    [anon_sym_readonly] = ACTIONS(101),
    [anon_sym_get] = ACTIONS(101),
    [anon_sym_set] = ACTIONS(101),
    [anon_sym_declare] = ACTIONS(103),
    [anon_sym_public] = ACTIONS(101),
    [anon_sym_private] = ACTIONS(101),
    [anon_sym_protected] = ACTIONS(101),
    [anon_sym_override] = ACTIONS(101),
    [anon_sym_module] = ACTIONS(105),
    [anon_sym_any] = ACTIONS(101),
    [anon_sym_number] = ACTIONS(101),
    [anon_sym_boolean] = ACTIONS(101),
    [anon_sym_string] = ACTIONS(101),
    [anon_sym_symbol] = ACTIONS(101),
    [anon_sym_object] = ACTIONS(101),
    [anon_sym_abstract] = ACTIONS(107),
    [anon_sym_interface] = ACTIONS(109),
    [anon_sym_enum] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [55] = {
    [sym_export_statement] = STATE(888),
    [sym_declaration] = STATE(888),
    [sym_import] = STATE(3513),
    [sym_import_statement] = STATE(888),
    [sym_statement] = STATE(848),
    [sym_expression_statement] = STATE(888),
    [sym_variable_declaration] = STATE(836),
    [sym_lexical_declaration] = STATE(836),
    [sym_statement_block] = STATE(888),
    [sym_if_statement] = STATE(888),
    [sym_switch_statement] = STATE(888),
    [sym_for_statement] = STATE(888),
    [sym_for_in_statement] = STATE(888),
    [sym_while_statement] = STATE(888),
    [sym_do_statement] = STATE(888),
    [sym_try_statement] = STATE(888),
    [sym_with_statement] = STATE(888),
    [sym_break_statement] = STATE(888),
    [sym_continue_statement] = STATE(888),
    [sym_debugger_statement] = STATE(888),
    [sym_return_statement] = STATE(888),
    [sym_throw_statement] = STATE(888),
    [sym_empty_statement] = STATE(888),
    [sym_labeled_statement] = STATE(888),
    [sym_parenthesized_expression] = STATE(1353),
    [sym_expression] = STATE(1940),
    [sym_primary_expression] = STATE(1833),
    [sym_yield_expression] = STATE(2130),
    [sym_object] = STATE(2117),
    [sym_object_pattern] = STATE(5484),
    [sym_array] = STATE(2117),
    [sym_array_pattern] = STATE(5484),
    [sym_glimmer_template] = STATE(2130),
    [sym_class] = STATE(2117),
    [sym_class_declaration] = STATE(836),
    [sym_function_expression] = STATE(2117),
    [sym_function_declaration] = STATE(836),
    [sym_generator_function] = STATE(2117),
    [sym_generator_function_declaration] = STATE(836),
    [sym_arrow_function] = STATE(2117),
    [sym__call_signature] = STATE(5525),
    [sym_call_expression] = STATE(2117),
    [sym_new_expression] = STATE(1963),
    [sym_await_expression] = STATE(2130),
    [sym_member_expression] = STATE(1353),
    [sym_subscript_expression] = STATE(1353),
    [sym_assignment_expression] = STATE(2130),
    [sym__augmented_assignment_lhs] = STATE(3036),
    [sym_augmented_assignment_expression] = STATE(2130),
    [sym__destructuring_pattern] = STATE(5484),
    [sym_ternary_expression] = STATE(2130),
    [sym_binary_expression] = STATE(2130),
    [sym_unary_expression] = STATE(2130),
    [sym_update_expression] = STATE(2130),
    [sym_sequence_expression] = STATE(5427),
    [sym_string] = STATE(2117),
    [sym_template_string] = STATE(2117),
    [sym_regex] = STATE(2117),
    [sym_meta_property] = STATE(2117),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1353),
    [sym_function_signature] = STATE(836),
    [sym_type_assertion] = STATE(2130),
    [sym_as_expression] = STATE(2130),
    [sym_satisfies_expression] = STATE(2130),
    [sym_instantiation_expression] = STATE(2130),
    [sym_ambient_declaration] = STATE(836),
    [sym_abstract_class_declaration] = STATE(836),
    [sym_module] = STATE(836),
    [sym_internal_module] = STATE(239),
    [sym_import_alias] = STATE(836),
    [sym_interface_declaration] = STATE(836),
    [sym_enum_declaration] = STATE(836),
    [sym_type_alias_declaration] = STATE(836),
    [sym_type_arguments] = STATE(427),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(3871),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_SEMI] = ACTIONS(43),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_do] = ACTIONS(49),
    [anon_sym_try] = ACTIONS(51),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_debugger] = ACTIONS(57),
    [anon_sym_return] = ACTIONS(59),
    [anon_sym_throw] = ACTIONS(61),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_async] = ACTIONS(75),
    [anon_sym_function] = ACTIONS(77),
    [anon_sym_new] = ACTIONS(79),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(101),
    [anon_sym_readonly] = ACTIONS(101),
    [anon_sym_get] = ACTIONS(101),
    [anon_sym_set] = ACTIONS(101),
    [anon_sym_declare] = ACTIONS(103),
    [anon_sym_public] = ACTIONS(101),
    [anon_sym_private] = ACTIONS(101),
    [anon_sym_protected] = ACTIONS(101),
    [anon_sym_override] = ACTIONS(101),
    [anon_sym_module] = ACTIONS(105),
    [anon_sym_any] = ACTIONS(101),
    [anon_sym_number] = ACTIONS(101),
    [anon_sym_boolean] = ACTIONS(101),
    [anon_sym_string] = ACTIONS(101),
    [anon_sym_symbol] = ACTIONS(101),
    [anon_sym_object] = ACTIONS(101),
    [anon_sym_abstract] = ACTIONS(107),
    [anon_sym_interface] = ACTIONS(109),
    [anon_sym_enum] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [56] = {
    [sym_import] = STATE(3634),
    [sym_parenthesized_expression] = STATE(1324),
    [sym_expression] = STATE(2177),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(4448),
    [sym_assignment_pattern] = STATE(5020),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(4448),
    [sym_glimmer_template] = STATE(1652),
    [sym_nested_identifier] = STATE(5868),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5565),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1399),
    [sym_subscript_expression] = STATE(1399),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(2958),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(4448),
    [sym_spread_element] = STATE(4622),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(2255),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(4342),
    [sym_pattern] = STATE(4511),
    [sym_rest_pattern] = STATE(4089),
    [sym_non_null_expression] = STATE(1399),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_nested_type_identifier] = STATE(2941),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3315),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2944),
    [sym_type] = STATE(3832),
    [sym_tuple_parameter] = STATE(4915),
    [sym_optional_tuple_parameter] = STATE(4915),
    [sym_optional_type] = STATE(4915),
    [sym_rest_type] = STATE(4915),
    [sym__tuple_type_member] = STATE(4915),
    [sym_constructor_type] = STATE(2974),
    [sym_primary_type] = STATE(3014),
    [sym_template_literal_type] = STATE(3018),
    [sym_infer_type] = STATE(2974),
    [sym_conditional_type] = STATE(3018),
    [sym_generic_type] = STATE(3018),
    [sym_type_query] = STATE(3018),
    [sym_index_type_query] = STATE(3018),
    [sym_lookup_type] = STATE(3018),
    [sym_literal_type] = STATE(3018),
    [sym__number] = STATE(3031),
    [sym_existential_type] = STATE(3018),
    [sym_flow_maybe_type] = STATE(3018),
    [sym_parenthesized_type] = STATE(3018),
    [sym_predefined_type] = STATE(3018),
    [sym_type_arguments] = STATE(482),
    [sym_object_type] = STATE(3018),
    [sym_type_parameters] = STATE(5465),
    [sym_array_type] = STATE(3018),
    [sym_tuple_type] = STATE(3018),
    [sym_readonly_type] = STATE(2974),
    [sym_union_type] = STATE(3018),
    [sym_intersection_type] = STATE(3018),
    [sym_function_type] = STATE(2974),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [aux_sym_array_repeat1] = STATE(4627),
    [aux_sym_array_pattern_repeat1] = STATE(4615),
    [sym_identifier] = ACTIONS(578),
    [anon_sym_export] = ACTIONS(580),
    [anon_sym_STAR] = ACTIONS(582),
    [anon_sym_type] = ACTIONS(580),
    [anon_sym_namespace] = ACTIONS(584),
    [anon_sym_LBRACE] = ACTIONS(586),
    [anon_sym_COMMA] = ACTIONS(588),
    [anon_sym_typeof] = ACTIONS(590),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(580),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_BANG] = ACTIONS(592),
    [anon_sym_LPAREN] = ACTIONS(139),
    [anon_sym_await] = ACTIONS(594),
    [anon_sym_yield] = ACTIONS(596),
    [anon_sym_LBRACK] = ACTIONS(598),
    [anon_sym_RBRACK] = ACTIONS(642),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(602),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(604),
    [anon_sym_using] = ACTIONS(606),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(608),
    [anon_sym_AMP] = ACTIONS(610),
    [anon_sym_PIPE] = ACTIONS(612),
    [anon_sym_PLUS] = ACTIONS(614),
    [anon_sym_DASH] = ACTIONS(614),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(592),
    [anon_sym_void] = ACTIONS(618),
    [anon_sym_delete] = ACTIONS(620),
    [anon_sym_PLUS_PLUS] = ACTIONS(622),
    [anon_sym_DASH_DASH] = ACTIONS(622),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(189),
    [sym_number] = ACTIONS(191),
    [sym_private_property_identifier] = ACTIONS(624),
    [sym_this] = ACTIONS(626),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(628),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(580),
    [anon_sym_readonly] = ACTIONS(630),
    [anon_sym_get] = ACTIONS(580),
    [anon_sym_set] = ACTIONS(580),
    [anon_sym_QMARK] = ACTIONS(632),
    [anon_sym_declare] = ACTIONS(580),
    [anon_sym_public] = ACTIONS(580),
    [anon_sym_private] = ACTIONS(580),
    [anon_sym_protected] = ACTIONS(580),
    [anon_sym_override] = ACTIONS(580),
    [anon_sym_module] = ACTIONS(580),
    [anon_sym_any] = ACTIONS(634),
    [anon_sym_number] = ACTIONS(634),
    [anon_sym_boolean] = ACTIONS(634),
    [anon_sym_string] = ACTIONS(634),
    [anon_sym_symbol] = ACTIONS(634),
    [anon_sym_object] = ACTIONS(634),
    [anon_sym_abstract] = ACTIONS(636),
    [anon_sym_infer] = ACTIONS(638),
    [anon_sym_keyof] = ACTIONS(640),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym_html_comment] = ACTIONS(5),
  },
  [57] = {
    [sym_export_statement] = STATE(888),
    [sym_declaration] = STATE(888),
    [sym_import] = STATE(3513),
    [sym_import_statement] = STATE(888),
    [sym_statement] = STATE(826),
    [sym_expression_statement] = STATE(888),
    [sym_variable_declaration] = STATE(836),
    [sym_lexical_declaration] = STATE(836),
    [sym_statement_block] = STATE(888),
    [sym_if_statement] = STATE(888),
    [sym_switch_statement] = STATE(888),
    [sym_for_statement] = STATE(888),
    [sym_for_in_statement] = STATE(888),
    [sym_while_statement] = STATE(888),
    [sym_do_statement] = STATE(888),
    [sym_try_statement] = STATE(888),
    [sym_with_statement] = STATE(888),
    [sym_break_statement] = STATE(888),
    [sym_continue_statement] = STATE(888),
    [sym_debugger_statement] = STATE(888),
    [sym_return_statement] = STATE(888),
    [sym_throw_statement] = STATE(888),
    [sym_empty_statement] = STATE(888),
    [sym_labeled_statement] = STATE(888),
    [sym_parenthesized_expression] = STATE(1353),
    [sym_expression] = STATE(1940),
    [sym_primary_expression] = STATE(1833),
    [sym_yield_expression] = STATE(2130),
    [sym_object] = STATE(2117),
    [sym_object_pattern] = STATE(5484),
    [sym_array] = STATE(2117),
    [sym_array_pattern] = STATE(5484),
    [sym_glimmer_template] = STATE(2130),
    [sym_class] = STATE(2117),
    [sym_class_declaration] = STATE(836),
    [sym_function_expression] = STATE(2117),
    [sym_function_declaration] = STATE(836),
    [sym_generator_function] = STATE(2117),
    [sym_generator_function_declaration] = STATE(836),
    [sym_arrow_function] = STATE(2117),
    [sym__call_signature] = STATE(5525),
    [sym_call_expression] = STATE(2117),
    [sym_new_expression] = STATE(1963),
    [sym_await_expression] = STATE(2130),
    [sym_member_expression] = STATE(1353),
    [sym_subscript_expression] = STATE(1353),
    [sym_assignment_expression] = STATE(2130),
    [sym__augmented_assignment_lhs] = STATE(3036),
    [sym_augmented_assignment_expression] = STATE(2130),
    [sym__destructuring_pattern] = STATE(5484),
    [sym_ternary_expression] = STATE(2130),
    [sym_binary_expression] = STATE(2130),
    [sym_unary_expression] = STATE(2130),
    [sym_update_expression] = STATE(2130),
    [sym_sequence_expression] = STATE(5427),
    [sym_string] = STATE(2117),
    [sym_template_string] = STATE(2117),
    [sym_regex] = STATE(2117),
    [sym_meta_property] = STATE(2117),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1353),
    [sym_function_signature] = STATE(836),
    [sym_type_assertion] = STATE(2130),
    [sym_as_expression] = STATE(2130),
    [sym_satisfies_expression] = STATE(2130),
    [sym_instantiation_expression] = STATE(2130),
    [sym_ambient_declaration] = STATE(836),
    [sym_abstract_class_declaration] = STATE(836),
    [sym_module] = STATE(836),
    [sym_internal_module] = STATE(239),
    [sym_import_alias] = STATE(836),
    [sym_interface_declaration] = STATE(836),
    [sym_enum_declaration] = STATE(836),
    [sym_type_alias_declaration] = STATE(836),
    [sym_type_arguments] = STATE(427),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(3871),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_SEMI] = ACTIONS(43),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_do] = ACTIONS(49),
    [anon_sym_try] = ACTIONS(51),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_debugger] = ACTIONS(57),
    [anon_sym_return] = ACTIONS(59),
    [anon_sym_throw] = ACTIONS(61),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_async] = ACTIONS(75),
    [anon_sym_function] = ACTIONS(77),
    [anon_sym_new] = ACTIONS(79),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(101),
    [anon_sym_readonly] = ACTIONS(101),
    [anon_sym_get] = ACTIONS(101),
    [anon_sym_set] = ACTIONS(101),
    [anon_sym_declare] = ACTIONS(103),
    [anon_sym_public] = ACTIONS(101),
    [anon_sym_private] = ACTIONS(101),
    [anon_sym_protected] = ACTIONS(101),
    [anon_sym_override] = ACTIONS(101),
    [anon_sym_module] = ACTIONS(105),
    [anon_sym_any] = ACTIONS(101),
    [anon_sym_number] = ACTIONS(101),
    [anon_sym_boolean] = ACTIONS(101),
    [anon_sym_string] = ACTIONS(101),
    [anon_sym_symbol] = ACTIONS(101),
    [anon_sym_object] = ACTIONS(101),
    [anon_sym_abstract] = ACTIONS(107),
    [anon_sym_interface] = ACTIONS(109),
    [anon_sym_enum] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [58] = {
    [sym_export_statement] = STATE(888),
    [sym_declaration] = STATE(888),
    [sym_import] = STATE(3513),
    [sym_import_statement] = STATE(888),
    [sym_statement] = STATE(807),
    [sym_expression_statement] = STATE(888),
    [sym_variable_declaration] = STATE(836),
    [sym_lexical_declaration] = STATE(836),
    [sym_statement_block] = STATE(888),
    [sym_if_statement] = STATE(888),
    [sym_switch_statement] = STATE(888),
    [sym_for_statement] = STATE(888),
    [sym_for_in_statement] = STATE(888),
    [sym_while_statement] = STATE(888),
    [sym_do_statement] = STATE(888),
    [sym_try_statement] = STATE(888),
    [sym_with_statement] = STATE(888),
    [sym_break_statement] = STATE(888),
    [sym_continue_statement] = STATE(888),
    [sym_debugger_statement] = STATE(888),
    [sym_return_statement] = STATE(888),
    [sym_throw_statement] = STATE(888),
    [sym_empty_statement] = STATE(888),
    [sym_labeled_statement] = STATE(888),
    [sym_parenthesized_expression] = STATE(1353),
    [sym_expression] = STATE(1940),
    [sym_primary_expression] = STATE(1833),
    [sym_yield_expression] = STATE(2130),
    [sym_object] = STATE(2117),
    [sym_object_pattern] = STATE(5484),
    [sym_array] = STATE(2117),
    [sym_array_pattern] = STATE(5484),
    [sym_glimmer_template] = STATE(2130),
    [sym_class] = STATE(2117),
    [sym_class_declaration] = STATE(836),
    [sym_function_expression] = STATE(2117),
    [sym_function_declaration] = STATE(836),
    [sym_generator_function] = STATE(2117),
    [sym_generator_function_declaration] = STATE(836),
    [sym_arrow_function] = STATE(2117),
    [sym__call_signature] = STATE(5525),
    [sym_call_expression] = STATE(2117),
    [sym_new_expression] = STATE(1963),
    [sym_await_expression] = STATE(2130),
    [sym_member_expression] = STATE(1353),
    [sym_subscript_expression] = STATE(1353),
    [sym_assignment_expression] = STATE(2130),
    [sym__augmented_assignment_lhs] = STATE(3036),
    [sym_augmented_assignment_expression] = STATE(2130),
    [sym__destructuring_pattern] = STATE(5484),
    [sym_ternary_expression] = STATE(2130),
    [sym_binary_expression] = STATE(2130),
    [sym_unary_expression] = STATE(2130),
    [sym_update_expression] = STATE(2130),
    [sym_sequence_expression] = STATE(5427),
    [sym_string] = STATE(2117),
    [sym_template_string] = STATE(2117),
    [sym_regex] = STATE(2117),
    [sym_meta_property] = STATE(2117),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1353),
    [sym_function_signature] = STATE(836),
    [sym_type_assertion] = STATE(2130),
    [sym_as_expression] = STATE(2130),
    [sym_satisfies_expression] = STATE(2130),
    [sym_instantiation_expression] = STATE(2130),
    [sym_ambient_declaration] = STATE(836),
    [sym_abstract_class_declaration] = STATE(836),
    [sym_module] = STATE(836),
    [sym_internal_module] = STATE(239),
    [sym_import_alias] = STATE(836),
    [sym_interface_declaration] = STATE(836),
    [sym_enum_declaration] = STATE(836),
    [sym_type_alias_declaration] = STATE(836),
    [sym_type_arguments] = STATE(427),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(3871),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_SEMI] = ACTIONS(43),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_do] = ACTIONS(49),
    [anon_sym_try] = ACTIONS(51),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_debugger] = ACTIONS(57),
    [anon_sym_return] = ACTIONS(59),
    [anon_sym_throw] = ACTIONS(61),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_async] = ACTIONS(75),
    [anon_sym_function] = ACTIONS(77),
    [anon_sym_new] = ACTIONS(79),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(101),
    [anon_sym_readonly] = ACTIONS(101),
    [anon_sym_get] = ACTIONS(101),
    [anon_sym_set] = ACTIONS(101),
    [anon_sym_declare] = ACTIONS(103),
    [anon_sym_public] = ACTIONS(101),
    [anon_sym_private] = ACTIONS(101),
    [anon_sym_protected] = ACTIONS(101),
    [anon_sym_override] = ACTIONS(101),
    [anon_sym_module] = ACTIONS(105),
    [anon_sym_any] = ACTIONS(101),
    [anon_sym_number] = ACTIONS(101),
    [anon_sym_boolean] = ACTIONS(101),
    [anon_sym_string] = ACTIONS(101),
    [anon_sym_symbol] = ACTIONS(101),
    [anon_sym_object] = ACTIONS(101),
    [anon_sym_abstract] = ACTIONS(107),
    [anon_sym_interface] = ACTIONS(109),
    [anon_sym_enum] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [59] = {
    [sym_export_statement] = STATE(888),
    [sym_declaration] = STATE(888),
    [sym_import] = STATE(3513),
    [sym_import_statement] = STATE(888),
    [sym_statement] = STATE(838),
    [sym_expression_statement] = STATE(888),
    [sym_variable_declaration] = STATE(836),
    [sym_lexical_declaration] = STATE(836),
    [sym_statement_block] = STATE(888),
    [sym_if_statement] = STATE(888),
    [sym_switch_statement] = STATE(888),
    [sym_for_statement] = STATE(888),
    [sym_for_in_statement] = STATE(888),
    [sym_while_statement] = STATE(888),
    [sym_do_statement] = STATE(888),
    [sym_try_statement] = STATE(888),
    [sym_with_statement] = STATE(888),
    [sym_break_statement] = STATE(888),
    [sym_continue_statement] = STATE(888),
    [sym_debugger_statement] = STATE(888),
    [sym_return_statement] = STATE(888),
    [sym_throw_statement] = STATE(888),
    [sym_empty_statement] = STATE(888),
    [sym_labeled_statement] = STATE(888),
    [sym_parenthesized_expression] = STATE(1353),
    [sym_expression] = STATE(1940),
    [sym_primary_expression] = STATE(1833),
    [sym_yield_expression] = STATE(2130),
    [sym_object] = STATE(2117),
    [sym_object_pattern] = STATE(5484),
    [sym_array] = STATE(2117),
    [sym_array_pattern] = STATE(5484),
    [sym_glimmer_template] = STATE(2130),
    [sym_class] = STATE(2117),
    [sym_class_declaration] = STATE(836),
    [sym_function_expression] = STATE(2117),
    [sym_function_declaration] = STATE(836),
    [sym_generator_function] = STATE(2117),
    [sym_generator_function_declaration] = STATE(836),
    [sym_arrow_function] = STATE(2117),
    [sym__call_signature] = STATE(5525),
    [sym_call_expression] = STATE(2117),
    [sym_new_expression] = STATE(1963),
    [sym_await_expression] = STATE(2130),
    [sym_member_expression] = STATE(1353),
    [sym_subscript_expression] = STATE(1353),
    [sym_assignment_expression] = STATE(2130),
    [sym__augmented_assignment_lhs] = STATE(3036),
    [sym_augmented_assignment_expression] = STATE(2130),
    [sym__destructuring_pattern] = STATE(5484),
    [sym_ternary_expression] = STATE(2130),
    [sym_binary_expression] = STATE(2130),
    [sym_unary_expression] = STATE(2130),
    [sym_update_expression] = STATE(2130),
    [sym_sequence_expression] = STATE(5427),
    [sym_string] = STATE(2117),
    [sym_template_string] = STATE(2117),
    [sym_regex] = STATE(2117),
    [sym_meta_property] = STATE(2117),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1353),
    [sym_function_signature] = STATE(836),
    [sym_type_assertion] = STATE(2130),
    [sym_as_expression] = STATE(2130),
    [sym_satisfies_expression] = STATE(2130),
    [sym_instantiation_expression] = STATE(2130),
    [sym_ambient_declaration] = STATE(836),
    [sym_abstract_class_declaration] = STATE(836),
    [sym_module] = STATE(836),
    [sym_internal_module] = STATE(239),
    [sym_import_alias] = STATE(836),
    [sym_interface_declaration] = STATE(836),
    [sym_enum_declaration] = STATE(836),
    [sym_type_alias_declaration] = STATE(836),
    [sym_type_arguments] = STATE(427),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(3871),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_SEMI] = ACTIONS(43),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_do] = ACTIONS(49),
    [anon_sym_try] = ACTIONS(51),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_debugger] = ACTIONS(57),
    [anon_sym_return] = ACTIONS(59),
    [anon_sym_throw] = ACTIONS(61),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_async] = ACTIONS(75),
    [anon_sym_function] = ACTIONS(77),
    [anon_sym_new] = ACTIONS(79),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(101),
    [anon_sym_readonly] = ACTIONS(101),
    [anon_sym_get] = ACTIONS(101),
    [anon_sym_set] = ACTIONS(101),
    [anon_sym_declare] = ACTIONS(103),
    [anon_sym_public] = ACTIONS(101),
    [anon_sym_private] = ACTIONS(101),
    [anon_sym_protected] = ACTIONS(101),
    [anon_sym_override] = ACTIONS(101),
    [anon_sym_module] = ACTIONS(105),
    [anon_sym_any] = ACTIONS(101),
    [anon_sym_number] = ACTIONS(101),
    [anon_sym_boolean] = ACTIONS(101),
    [anon_sym_string] = ACTIONS(101),
    [anon_sym_symbol] = ACTIONS(101),
    [anon_sym_object] = ACTIONS(101),
    [anon_sym_abstract] = ACTIONS(107),
    [anon_sym_interface] = ACTIONS(109),
    [anon_sym_enum] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [60] = {
    [sym_import] = STATE(3634),
    [sym_parenthesized_expression] = STATE(1324),
    [sym_expression] = STATE(2177),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(4448),
    [sym_assignment_pattern] = STATE(5020),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(4448),
    [sym_glimmer_template] = STATE(1652),
    [sym_nested_identifier] = STATE(5868),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5565),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1399),
    [sym_subscript_expression] = STATE(1399),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(2958),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(4448),
    [sym_spread_element] = STATE(4622),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(2255),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(4342),
    [sym_pattern] = STATE(4511),
    [sym_rest_pattern] = STATE(4089),
    [sym_non_null_expression] = STATE(1399),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_nested_type_identifier] = STATE(2941),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3315),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2944),
    [sym_type] = STATE(3832),
    [sym_tuple_parameter] = STATE(4915),
    [sym_optional_tuple_parameter] = STATE(4915),
    [sym_optional_type] = STATE(4915),
    [sym_rest_type] = STATE(4915),
    [sym__tuple_type_member] = STATE(4915),
    [sym_constructor_type] = STATE(2974),
    [sym_primary_type] = STATE(3014),
    [sym_template_literal_type] = STATE(3018),
    [sym_infer_type] = STATE(2974),
    [sym_conditional_type] = STATE(3018),
    [sym_generic_type] = STATE(3018),
    [sym_type_query] = STATE(3018),
    [sym_index_type_query] = STATE(3018),
    [sym_lookup_type] = STATE(3018),
    [sym_literal_type] = STATE(3018),
    [sym__number] = STATE(3031),
    [sym_existential_type] = STATE(3018),
    [sym_flow_maybe_type] = STATE(3018),
    [sym_parenthesized_type] = STATE(3018),
    [sym_predefined_type] = STATE(3018),
    [sym_type_arguments] = STATE(482),
    [sym_object_type] = STATE(3018),
    [sym_type_parameters] = STATE(5465),
    [sym_array_type] = STATE(3018),
    [sym_tuple_type] = STATE(3018),
    [sym_readonly_type] = STATE(2974),
    [sym_union_type] = STATE(3018),
    [sym_intersection_type] = STATE(3018),
    [sym_function_type] = STATE(2974),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [aux_sym_array_repeat1] = STATE(4627),
    [aux_sym_array_pattern_repeat1] = STATE(4615),
    [sym_identifier] = ACTIONS(578),
    [anon_sym_export] = ACTIONS(580),
    [anon_sym_STAR] = ACTIONS(582),
    [anon_sym_type] = ACTIONS(580),
    [anon_sym_namespace] = ACTIONS(584),
    [anon_sym_LBRACE] = ACTIONS(586),
    [anon_sym_COMMA] = ACTIONS(588),
    [anon_sym_typeof] = ACTIONS(590),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(580),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_BANG] = ACTIONS(592),
    [anon_sym_LPAREN] = ACTIONS(139),
    [anon_sym_await] = ACTIONS(594),
    [anon_sym_yield] = ACTIONS(596),
    [anon_sym_LBRACK] = ACTIONS(598),
    [anon_sym_RBRACK] = ACTIONS(644),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(602),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(604),
    [anon_sym_using] = ACTIONS(606),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(608),
    [anon_sym_AMP] = ACTIONS(610),
    [anon_sym_PIPE] = ACTIONS(612),
    [anon_sym_PLUS] = ACTIONS(614),
    [anon_sym_DASH] = ACTIONS(614),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(592),
    [anon_sym_void] = ACTIONS(618),
    [anon_sym_delete] = ACTIONS(620),
    [anon_sym_PLUS_PLUS] = ACTIONS(622),
    [anon_sym_DASH_DASH] = ACTIONS(622),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(189),
    [sym_number] = ACTIONS(191),
    [sym_private_property_identifier] = ACTIONS(624),
    [sym_this] = ACTIONS(626),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(628),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(580),
    [anon_sym_readonly] = ACTIONS(630),
    [anon_sym_get] = ACTIONS(580),
    [anon_sym_set] = ACTIONS(580),
    [anon_sym_QMARK] = ACTIONS(632),
    [anon_sym_declare] = ACTIONS(580),
    [anon_sym_public] = ACTIONS(580),
    [anon_sym_private] = ACTIONS(580),
    [anon_sym_protected] = ACTIONS(580),
    [anon_sym_override] = ACTIONS(580),
    [anon_sym_module] = ACTIONS(580),
    [anon_sym_any] = ACTIONS(634),
    [anon_sym_number] = ACTIONS(634),
    [anon_sym_boolean] = ACTIONS(634),
    [anon_sym_string] = ACTIONS(634),
    [anon_sym_symbol] = ACTIONS(634),
    [anon_sym_object] = ACTIONS(634),
    [anon_sym_abstract] = ACTIONS(636),
    [anon_sym_infer] = ACTIONS(638),
    [anon_sym_keyof] = ACTIONS(640),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym_html_comment] = ACTIONS(5),
  },
  [61] = {
    [sym_export_statement] = STATE(888),
    [sym_declaration] = STATE(888),
    [sym_import] = STATE(3513),
    [sym_import_statement] = STATE(888),
    [sym_statement] = STATE(853),
    [sym_expression_statement] = STATE(888),
    [sym_variable_declaration] = STATE(836),
    [sym_lexical_declaration] = STATE(836),
    [sym_statement_block] = STATE(888),
    [sym_if_statement] = STATE(888),
    [sym_switch_statement] = STATE(888),
    [sym_for_statement] = STATE(888),
    [sym_for_in_statement] = STATE(888),
    [sym_while_statement] = STATE(888),
    [sym_do_statement] = STATE(888),
    [sym_try_statement] = STATE(888),
    [sym_with_statement] = STATE(888),
    [sym_break_statement] = STATE(888),
    [sym_continue_statement] = STATE(888),
    [sym_debugger_statement] = STATE(888),
    [sym_return_statement] = STATE(888),
    [sym_throw_statement] = STATE(888),
    [sym_empty_statement] = STATE(888),
    [sym_labeled_statement] = STATE(888),
    [sym_parenthesized_expression] = STATE(1353),
    [sym_expression] = STATE(1940),
    [sym_primary_expression] = STATE(1833),
    [sym_yield_expression] = STATE(2130),
    [sym_object] = STATE(2117),
    [sym_object_pattern] = STATE(5484),
    [sym_array] = STATE(2117),
    [sym_array_pattern] = STATE(5484),
    [sym_glimmer_template] = STATE(2130),
    [sym_class] = STATE(2117),
    [sym_class_declaration] = STATE(836),
    [sym_function_expression] = STATE(2117),
    [sym_function_declaration] = STATE(836),
    [sym_generator_function] = STATE(2117),
    [sym_generator_function_declaration] = STATE(836),
    [sym_arrow_function] = STATE(2117),
    [sym__call_signature] = STATE(5525),
    [sym_call_expression] = STATE(2117),
    [sym_new_expression] = STATE(1963),
    [sym_await_expression] = STATE(2130),
    [sym_member_expression] = STATE(1353),
    [sym_subscript_expression] = STATE(1353),
    [sym_assignment_expression] = STATE(2130),
    [sym__augmented_assignment_lhs] = STATE(3036),
    [sym_augmented_assignment_expression] = STATE(2130),
    [sym__destructuring_pattern] = STATE(5484),
    [sym_ternary_expression] = STATE(2130),
    [sym_binary_expression] = STATE(2130),
    [sym_unary_expression] = STATE(2130),
    [sym_update_expression] = STATE(2130),
    [sym_sequence_expression] = STATE(5427),
    [sym_string] = STATE(2117),
    [sym_template_string] = STATE(2117),
    [sym_regex] = STATE(2117),
    [sym_meta_property] = STATE(2117),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1353),
    [sym_function_signature] = STATE(836),
    [sym_type_assertion] = STATE(2130),
    [sym_as_expression] = STATE(2130),
    [sym_satisfies_expression] = STATE(2130),
    [sym_instantiation_expression] = STATE(2130),
    [sym_ambient_declaration] = STATE(836),
    [sym_abstract_class_declaration] = STATE(836),
    [sym_module] = STATE(836),
    [sym_internal_module] = STATE(239),
    [sym_import_alias] = STATE(836),
    [sym_interface_declaration] = STATE(836),
    [sym_enum_declaration] = STATE(836),
    [sym_type_alias_declaration] = STATE(836),
    [sym_type_arguments] = STATE(427),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(3871),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_SEMI] = ACTIONS(43),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_do] = ACTIONS(49),
    [anon_sym_try] = ACTIONS(51),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_debugger] = ACTIONS(57),
    [anon_sym_return] = ACTIONS(59),
    [anon_sym_throw] = ACTIONS(61),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_async] = ACTIONS(75),
    [anon_sym_function] = ACTIONS(77),
    [anon_sym_new] = ACTIONS(79),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(101),
    [anon_sym_readonly] = ACTIONS(101),
    [anon_sym_get] = ACTIONS(101),
    [anon_sym_set] = ACTIONS(101),
    [anon_sym_declare] = ACTIONS(103),
    [anon_sym_public] = ACTIONS(101),
    [anon_sym_private] = ACTIONS(101),
    [anon_sym_protected] = ACTIONS(101),
    [anon_sym_override] = ACTIONS(101),
    [anon_sym_module] = ACTIONS(105),
    [anon_sym_any] = ACTIONS(101),
    [anon_sym_number] = ACTIONS(101),
    [anon_sym_boolean] = ACTIONS(101),
    [anon_sym_string] = ACTIONS(101),
    [anon_sym_symbol] = ACTIONS(101),
    [anon_sym_object] = ACTIONS(101),
    [anon_sym_abstract] = ACTIONS(107),
    [anon_sym_interface] = ACTIONS(109),
    [anon_sym_enum] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [62] = {
    [sym_export_statement] = STATE(888),
    [sym_declaration] = STATE(888),
    [sym_import] = STATE(3513),
    [sym_import_statement] = STATE(888),
    [sym_statement] = STATE(883),
    [sym_expression_statement] = STATE(888),
    [sym_variable_declaration] = STATE(836),
    [sym_lexical_declaration] = STATE(836),
    [sym_statement_block] = STATE(888),
    [sym_if_statement] = STATE(888),
    [sym_switch_statement] = STATE(888),
    [sym_for_statement] = STATE(888),
    [sym_for_in_statement] = STATE(888),
    [sym_while_statement] = STATE(888),
    [sym_do_statement] = STATE(888),
    [sym_try_statement] = STATE(888),
    [sym_with_statement] = STATE(888),
    [sym_break_statement] = STATE(888),
    [sym_continue_statement] = STATE(888),
    [sym_debugger_statement] = STATE(888),
    [sym_return_statement] = STATE(888),
    [sym_throw_statement] = STATE(888),
    [sym_empty_statement] = STATE(888),
    [sym_labeled_statement] = STATE(888),
    [sym_parenthesized_expression] = STATE(1353),
    [sym_expression] = STATE(1940),
    [sym_primary_expression] = STATE(1833),
    [sym_yield_expression] = STATE(2130),
    [sym_object] = STATE(2117),
    [sym_object_pattern] = STATE(5484),
    [sym_array] = STATE(2117),
    [sym_array_pattern] = STATE(5484),
    [sym_glimmer_template] = STATE(2130),
    [sym_class] = STATE(2117),
    [sym_class_declaration] = STATE(836),
    [sym_function_expression] = STATE(2117),
    [sym_function_declaration] = STATE(836),
    [sym_generator_function] = STATE(2117),
    [sym_generator_function_declaration] = STATE(836),
    [sym_arrow_function] = STATE(2117),
    [sym__call_signature] = STATE(5525),
    [sym_call_expression] = STATE(2117),
    [sym_new_expression] = STATE(1963),
    [sym_await_expression] = STATE(2130),
    [sym_member_expression] = STATE(1353),
    [sym_subscript_expression] = STATE(1353),
    [sym_assignment_expression] = STATE(2130),
    [sym__augmented_assignment_lhs] = STATE(3036),
    [sym_augmented_assignment_expression] = STATE(2130),
    [sym__destructuring_pattern] = STATE(5484),
    [sym_ternary_expression] = STATE(2130),
    [sym_binary_expression] = STATE(2130),
    [sym_unary_expression] = STATE(2130),
    [sym_update_expression] = STATE(2130),
    [sym_sequence_expression] = STATE(5427),
    [sym_string] = STATE(2117),
    [sym_template_string] = STATE(2117),
    [sym_regex] = STATE(2117),
    [sym_meta_property] = STATE(2117),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1353),
    [sym_function_signature] = STATE(836),
    [sym_type_assertion] = STATE(2130),
    [sym_as_expression] = STATE(2130),
    [sym_satisfies_expression] = STATE(2130),
    [sym_instantiation_expression] = STATE(2130),
    [sym_ambient_declaration] = STATE(836),
    [sym_abstract_class_declaration] = STATE(836),
    [sym_module] = STATE(836),
    [sym_internal_module] = STATE(239),
    [sym_import_alias] = STATE(836),
    [sym_interface_declaration] = STATE(836),
    [sym_enum_declaration] = STATE(836),
    [sym_type_alias_declaration] = STATE(836),
    [sym_type_arguments] = STATE(427),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(3871),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_SEMI] = ACTIONS(43),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_do] = ACTIONS(49),
    [anon_sym_try] = ACTIONS(51),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_debugger] = ACTIONS(57),
    [anon_sym_return] = ACTIONS(59),
    [anon_sym_throw] = ACTIONS(61),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_async] = ACTIONS(75),
    [anon_sym_function] = ACTIONS(77),
    [anon_sym_new] = ACTIONS(79),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(101),
    [anon_sym_readonly] = ACTIONS(101),
    [anon_sym_get] = ACTIONS(101),
    [anon_sym_set] = ACTIONS(101),
    [anon_sym_declare] = ACTIONS(103),
    [anon_sym_public] = ACTIONS(101),
    [anon_sym_private] = ACTIONS(101),
    [anon_sym_protected] = ACTIONS(101),
    [anon_sym_override] = ACTIONS(101),
    [anon_sym_module] = ACTIONS(105),
    [anon_sym_any] = ACTIONS(101),
    [anon_sym_number] = ACTIONS(101),
    [anon_sym_boolean] = ACTIONS(101),
    [anon_sym_string] = ACTIONS(101),
    [anon_sym_symbol] = ACTIONS(101),
    [anon_sym_object] = ACTIONS(101),
    [anon_sym_abstract] = ACTIONS(107),
    [anon_sym_interface] = ACTIONS(109),
    [anon_sym_enum] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [63] = {
    [sym_import] = STATE(3634),
    [sym_parenthesized_expression] = STATE(1324),
    [sym_expression] = STATE(2177),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(4448),
    [sym_assignment_pattern] = STATE(5020),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(4448),
    [sym_glimmer_template] = STATE(1652),
    [sym_nested_identifier] = STATE(5868),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5565),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1399),
    [sym_subscript_expression] = STATE(1399),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(2958),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(4448),
    [sym_spread_element] = STATE(4622),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(2255),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(4342),
    [sym_pattern] = STATE(4511),
    [sym_rest_pattern] = STATE(4089),
    [sym_non_null_expression] = STATE(1399),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_nested_type_identifier] = STATE(2941),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3315),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2944),
    [sym_type] = STATE(3832),
    [sym_tuple_parameter] = STATE(4915),
    [sym_optional_tuple_parameter] = STATE(4915),
    [sym_optional_type] = STATE(4915),
    [sym_rest_type] = STATE(4915),
    [sym__tuple_type_member] = STATE(4915),
    [sym_constructor_type] = STATE(2974),
    [sym_primary_type] = STATE(3014),
    [sym_template_literal_type] = STATE(3018),
    [sym_infer_type] = STATE(2974),
    [sym_conditional_type] = STATE(3018),
    [sym_generic_type] = STATE(3018),
    [sym_type_query] = STATE(3018),
    [sym_index_type_query] = STATE(3018),
    [sym_lookup_type] = STATE(3018),
    [sym_literal_type] = STATE(3018),
    [sym__number] = STATE(3031),
    [sym_existential_type] = STATE(3018),
    [sym_flow_maybe_type] = STATE(3018),
    [sym_parenthesized_type] = STATE(3018),
    [sym_predefined_type] = STATE(3018),
    [sym_type_arguments] = STATE(482),
    [sym_object_type] = STATE(3018),
    [sym_type_parameters] = STATE(5465),
    [sym_array_type] = STATE(3018),
    [sym_tuple_type] = STATE(3018),
    [sym_readonly_type] = STATE(2974),
    [sym_union_type] = STATE(3018),
    [sym_intersection_type] = STATE(3018),
    [sym_function_type] = STATE(2974),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [aux_sym_array_repeat1] = STATE(4627),
    [aux_sym_array_pattern_repeat1] = STATE(4615),
    [sym_identifier] = ACTIONS(578),
    [anon_sym_export] = ACTIONS(580),
    [anon_sym_STAR] = ACTIONS(582),
    [anon_sym_type] = ACTIONS(580),
    [anon_sym_namespace] = ACTIONS(584),
    [anon_sym_LBRACE] = ACTIONS(586),
    [anon_sym_COMMA] = ACTIONS(588),
    [anon_sym_typeof] = ACTIONS(590),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(580),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_BANG] = ACTIONS(592),
    [anon_sym_LPAREN] = ACTIONS(139),
    [anon_sym_await] = ACTIONS(594),
    [anon_sym_yield] = ACTIONS(596),
    [anon_sym_LBRACK] = ACTIONS(598),
    [anon_sym_RBRACK] = ACTIONS(646),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(602),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(604),
    [anon_sym_using] = ACTIONS(606),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(608),
    [anon_sym_AMP] = ACTIONS(610),
    [anon_sym_PIPE] = ACTIONS(612),
    [anon_sym_PLUS] = ACTIONS(614),
    [anon_sym_DASH] = ACTIONS(614),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(592),
    [anon_sym_void] = ACTIONS(618),
    [anon_sym_delete] = ACTIONS(620),
    [anon_sym_PLUS_PLUS] = ACTIONS(622),
    [anon_sym_DASH_DASH] = ACTIONS(622),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(189),
    [sym_number] = ACTIONS(191),
    [sym_private_property_identifier] = ACTIONS(624),
    [sym_this] = ACTIONS(626),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(628),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(580),
    [anon_sym_readonly] = ACTIONS(630),
    [anon_sym_get] = ACTIONS(580),
    [anon_sym_set] = ACTIONS(580),
    [anon_sym_QMARK] = ACTIONS(632),
    [anon_sym_declare] = ACTIONS(580),
    [anon_sym_public] = ACTIONS(580),
    [anon_sym_private] = ACTIONS(580),
    [anon_sym_protected] = ACTIONS(580),
    [anon_sym_override] = ACTIONS(580),
    [anon_sym_module] = ACTIONS(580),
    [anon_sym_any] = ACTIONS(634),
    [anon_sym_number] = ACTIONS(634),
    [anon_sym_boolean] = ACTIONS(634),
    [anon_sym_string] = ACTIONS(634),
    [anon_sym_symbol] = ACTIONS(634),
    [anon_sym_object] = ACTIONS(634),
    [anon_sym_abstract] = ACTIONS(636),
    [anon_sym_infer] = ACTIONS(638),
    [anon_sym_keyof] = ACTIONS(640),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym_html_comment] = ACTIONS(5),
  },
  [64] = {
    [sym_import] = STATE(3634),
    [sym_parenthesized_expression] = STATE(1324),
    [sym_expression] = STATE(2177),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(4448),
    [sym_assignment_pattern] = STATE(5020),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(4448),
    [sym_glimmer_template] = STATE(1652),
    [sym_nested_identifier] = STATE(5868),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5565),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1399),
    [sym_subscript_expression] = STATE(1399),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(2958),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(4448),
    [sym_spread_element] = STATE(4622),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(2255),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(4342),
    [sym_pattern] = STATE(4511),
    [sym_rest_pattern] = STATE(4089),
    [sym_non_null_expression] = STATE(1399),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_nested_type_identifier] = STATE(2941),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3315),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2944),
    [sym_type] = STATE(3832),
    [sym_tuple_parameter] = STATE(4915),
    [sym_optional_tuple_parameter] = STATE(4915),
    [sym_optional_type] = STATE(4915),
    [sym_rest_type] = STATE(4915),
    [sym__tuple_type_member] = STATE(4915),
    [sym_constructor_type] = STATE(2974),
    [sym_primary_type] = STATE(3014),
    [sym_template_literal_type] = STATE(3018),
    [sym_infer_type] = STATE(2974),
    [sym_conditional_type] = STATE(3018),
    [sym_generic_type] = STATE(3018),
    [sym_type_query] = STATE(3018),
    [sym_index_type_query] = STATE(3018),
    [sym_lookup_type] = STATE(3018),
    [sym_literal_type] = STATE(3018),
    [sym__number] = STATE(3031),
    [sym_existential_type] = STATE(3018),
    [sym_flow_maybe_type] = STATE(3018),
    [sym_parenthesized_type] = STATE(3018),
    [sym_predefined_type] = STATE(3018),
    [sym_type_arguments] = STATE(482),
    [sym_object_type] = STATE(3018),
    [sym_type_parameters] = STATE(5465),
    [sym_array_type] = STATE(3018),
    [sym_tuple_type] = STATE(3018),
    [sym_readonly_type] = STATE(2974),
    [sym_union_type] = STATE(3018),
    [sym_intersection_type] = STATE(3018),
    [sym_function_type] = STATE(2974),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [aux_sym_array_repeat1] = STATE(4627),
    [aux_sym_array_pattern_repeat1] = STATE(4615),
    [sym_identifier] = ACTIONS(578),
    [anon_sym_export] = ACTIONS(580),
    [anon_sym_STAR] = ACTIONS(582),
    [anon_sym_type] = ACTIONS(580),
    [anon_sym_namespace] = ACTIONS(584),
    [anon_sym_LBRACE] = ACTIONS(586),
    [anon_sym_COMMA] = ACTIONS(588),
    [anon_sym_typeof] = ACTIONS(590),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(580),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_BANG] = ACTIONS(592),
    [anon_sym_LPAREN] = ACTIONS(139),
    [anon_sym_await] = ACTIONS(594),
    [anon_sym_yield] = ACTIONS(596),
    [anon_sym_LBRACK] = ACTIONS(598),
    [anon_sym_RBRACK] = ACTIONS(648),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(602),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(604),
    [anon_sym_using] = ACTIONS(606),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(608),
    [anon_sym_AMP] = ACTIONS(610),
    [anon_sym_PIPE] = ACTIONS(612),
    [anon_sym_PLUS] = ACTIONS(614),
    [anon_sym_DASH] = ACTIONS(614),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(592),
    [anon_sym_void] = ACTIONS(618),
    [anon_sym_delete] = ACTIONS(620),
    [anon_sym_PLUS_PLUS] = ACTIONS(622),
    [anon_sym_DASH_DASH] = ACTIONS(622),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(189),
    [sym_number] = ACTIONS(191),
    [sym_private_property_identifier] = ACTIONS(624),
    [sym_this] = ACTIONS(626),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(628),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(580),
    [anon_sym_readonly] = ACTIONS(630),
    [anon_sym_get] = ACTIONS(580),
    [anon_sym_set] = ACTIONS(580),
    [anon_sym_QMARK] = ACTIONS(632),
    [anon_sym_declare] = ACTIONS(580),
    [anon_sym_public] = ACTIONS(580),
    [anon_sym_private] = ACTIONS(580),
    [anon_sym_protected] = ACTIONS(580),
    [anon_sym_override] = ACTIONS(580),
    [anon_sym_module] = ACTIONS(580),
    [anon_sym_any] = ACTIONS(634),
    [anon_sym_number] = ACTIONS(634),
    [anon_sym_boolean] = ACTIONS(634),
    [anon_sym_string] = ACTIONS(634),
    [anon_sym_symbol] = ACTIONS(634),
    [anon_sym_object] = ACTIONS(634),
    [anon_sym_abstract] = ACTIONS(636),
    [anon_sym_infer] = ACTIONS(638),
    [anon_sym_keyof] = ACTIONS(640),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym_html_comment] = ACTIONS(5),
  },
  [65] = {
    [sym_export_statement] = STATE(888),
    [sym_declaration] = STATE(888),
    [sym_import] = STATE(3513),
    [sym_import_statement] = STATE(888),
    [sym_statement] = STATE(788),
    [sym_expression_statement] = STATE(888),
    [sym_variable_declaration] = STATE(836),
    [sym_lexical_declaration] = STATE(836),
    [sym_statement_block] = STATE(888),
    [sym_if_statement] = STATE(888),
    [sym_switch_statement] = STATE(888),
    [sym_for_statement] = STATE(888),
    [sym_for_in_statement] = STATE(888),
    [sym_while_statement] = STATE(888),
    [sym_do_statement] = STATE(888),
    [sym_try_statement] = STATE(888),
    [sym_with_statement] = STATE(888),
    [sym_break_statement] = STATE(888),
    [sym_continue_statement] = STATE(888),
    [sym_debugger_statement] = STATE(888),
    [sym_return_statement] = STATE(888),
    [sym_throw_statement] = STATE(888),
    [sym_empty_statement] = STATE(888),
    [sym_labeled_statement] = STATE(888),
    [sym_parenthesized_expression] = STATE(1353),
    [sym_expression] = STATE(1940),
    [sym_primary_expression] = STATE(1833),
    [sym_yield_expression] = STATE(2130),
    [sym_object] = STATE(2117),
    [sym_object_pattern] = STATE(5484),
    [sym_array] = STATE(2117),
    [sym_array_pattern] = STATE(5484),
    [sym_glimmer_template] = STATE(2130),
    [sym_class] = STATE(2117),
    [sym_class_declaration] = STATE(836),
    [sym_function_expression] = STATE(2117),
    [sym_function_declaration] = STATE(836),
    [sym_generator_function] = STATE(2117),
    [sym_generator_function_declaration] = STATE(836),
    [sym_arrow_function] = STATE(2117),
    [sym__call_signature] = STATE(5525),
    [sym_call_expression] = STATE(2117),
    [sym_new_expression] = STATE(1963),
    [sym_await_expression] = STATE(2130),
    [sym_member_expression] = STATE(1353),
    [sym_subscript_expression] = STATE(1353),
    [sym_assignment_expression] = STATE(2130),
    [sym__augmented_assignment_lhs] = STATE(3036),
    [sym_augmented_assignment_expression] = STATE(2130),
    [sym__destructuring_pattern] = STATE(5484),
    [sym_ternary_expression] = STATE(2130),
    [sym_binary_expression] = STATE(2130),
    [sym_unary_expression] = STATE(2130),
    [sym_update_expression] = STATE(2130),
    [sym_sequence_expression] = STATE(5427),
    [sym_string] = STATE(2117),
    [sym_template_string] = STATE(2117),
    [sym_regex] = STATE(2117),
    [sym_meta_property] = STATE(2117),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1353),
    [sym_function_signature] = STATE(836),
    [sym_type_assertion] = STATE(2130),
    [sym_as_expression] = STATE(2130),
    [sym_satisfies_expression] = STATE(2130),
    [sym_instantiation_expression] = STATE(2130),
    [sym_ambient_declaration] = STATE(836),
    [sym_abstract_class_declaration] = STATE(836),
    [sym_module] = STATE(836),
    [sym_internal_module] = STATE(239),
    [sym_import_alias] = STATE(836),
    [sym_interface_declaration] = STATE(836),
    [sym_enum_declaration] = STATE(836),
    [sym_type_alias_declaration] = STATE(836),
    [sym_type_arguments] = STATE(427),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(3871),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_SEMI] = ACTIONS(43),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_do] = ACTIONS(49),
    [anon_sym_try] = ACTIONS(51),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_debugger] = ACTIONS(57),
    [anon_sym_return] = ACTIONS(59),
    [anon_sym_throw] = ACTIONS(61),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_async] = ACTIONS(75),
    [anon_sym_function] = ACTIONS(77),
    [anon_sym_new] = ACTIONS(79),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(101),
    [anon_sym_readonly] = ACTIONS(101),
    [anon_sym_get] = ACTIONS(101),
    [anon_sym_set] = ACTIONS(101),
    [anon_sym_declare] = ACTIONS(103),
    [anon_sym_public] = ACTIONS(101),
    [anon_sym_private] = ACTIONS(101),
    [anon_sym_protected] = ACTIONS(101),
    [anon_sym_override] = ACTIONS(101),
    [anon_sym_module] = ACTIONS(105),
    [anon_sym_any] = ACTIONS(101),
    [anon_sym_number] = ACTIONS(101),
    [anon_sym_boolean] = ACTIONS(101),
    [anon_sym_string] = ACTIONS(101),
    [anon_sym_symbol] = ACTIONS(101),
    [anon_sym_object] = ACTIONS(101),
    [anon_sym_abstract] = ACTIONS(107),
    [anon_sym_interface] = ACTIONS(109),
    [anon_sym_enum] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [66] = {
    [sym_import] = STATE(3634),
    [sym_parenthesized_expression] = STATE(1324),
    [sym_expression] = STATE(2177),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(4448),
    [sym_assignment_pattern] = STATE(5020),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(4448),
    [sym_glimmer_template] = STATE(1652),
    [sym_nested_identifier] = STATE(5868),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5565),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1399),
    [sym_subscript_expression] = STATE(1399),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(2958),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(4448),
    [sym_spread_element] = STATE(4622),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(2255),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(4342),
    [sym_pattern] = STATE(4511),
    [sym_rest_pattern] = STATE(4089),
    [sym_non_null_expression] = STATE(1399),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_nested_type_identifier] = STATE(2941),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3315),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2944),
    [sym_type] = STATE(3832),
    [sym_tuple_parameter] = STATE(4915),
    [sym_optional_tuple_parameter] = STATE(4915),
    [sym_optional_type] = STATE(4915),
    [sym_rest_type] = STATE(4915),
    [sym__tuple_type_member] = STATE(4915),
    [sym_constructor_type] = STATE(2974),
    [sym_primary_type] = STATE(3014),
    [sym_template_literal_type] = STATE(3018),
    [sym_infer_type] = STATE(2974),
    [sym_conditional_type] = STATE(3018),
    [sym_generic_type] = STATE(3018),
    [sym_type_query] = STATE(3018),
    [sym_index_type_query] = STATE(3018),
    [sym_lookup_type] = STATE(3018),
    [sym_literal_type] = STATE(3018),
    [sym__number] = STATE(3031),
    [sym_existential_type] = STATE(3018),
    [sym_flow_maybe_type] = STATE(3018),
    [sym_parenthesized_type] = STATE(3018),
    [sym_predefined_type] = STATE(3018),
    [sym_type_arguments] = STATE(482),
    [sym_object_type] = STATE(3018),
    [sym_type_parameters] = STATE(5465),
    [sym_array_type] = STATE(3018),
    [sym_tuple_type] = STATE(3018),
    [sym_readonly_type] = STATE(2974),
    [sym_union_type] = STATE(3018),
    [sym_intersection_type] = STATE(3018),
    [sym_function_type] = STATE(2974),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [aux_sym_array_repeat1] = STATE(4627),
    [aux_sym_array_pattern_repeat1] = STATE(4615),
    [sym_identifier] = ACTIONS(578),
    [anon_sym_export] = ACTIONS(580),
    [anon_sym_STAR] = ACTIONS(582),
    [anon_sym_type] = ACTIONS(580),
    [anon_sym_namespace] = ACTIONS(584),
    [anon_sym_LBRACE] = ACTIONS(586),
    [anon_sym_COMMA] = ACTIONS(588),
    [anon_sym_typeof] = ACTIONS(590),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(580),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_BANG] = ACTIONS(592),
    [anon_sym_LPAREN] = ACTIONS(139),
    [anon_sym_await] = ACTIONS(594),
    [anon_sym_yield] = ACTIONS(596),
    [anon_sym_LBRACK] = ACTIONS(598),
    [anon_sym_RBRACK] = ACTIONS(650),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(602),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(604),
    [anon_sym_using] = ACTIONS(606),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(608),
    [anon_sym_AMP] = ACTIONS(610),
    [anon_sym_PIPE] = ACTIONS(612),
    [anon_sym_PLUS] = ACTIONS(614),
    [anon_sym_DASH] = ACTIONS(614),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(592),
    [anon_sym_void] = ACTIONS(618),
    [anon_sym_delete] = ACTIONS(620),
    [anon_sym_PLUS_PLUS] = ACTIONS(622),
    [anon_sym_DASH_DASH] = ACTIONS(622),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(189),
    [sym_number] = ACTIONS(191),
    [sym_private_property_identifier] = ACTIONS(624),
    [sym_this] = ACTIONS(626),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(628),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(580),
    [anon_sym_readonly] = ACTIONS(630),
    [anon_sym_get] = ACTIONS(580),
    [anon_sym_set] = ACTIONS(580),
    [anon_sym_QMARK] = ACTIONS(632),
    [anon_sym_declare] = ACTIONS(580),
    [anon_sym_public] = ACTIONS(580),
    [anon_sym_private] = ACTIONS(580),
    [anon_sym_protected] = ACTIONS(580),
    [anon_sym_override] = ACTIONS(580),
    [anon_sym_module] = ACTIONS(580),
    [anon_sym_any] = ACTIONS(634),
    [anon_sym_number] = ACTIONS(634),
    [anon_sym_boolean] = ACTIONS(634),
    [anon_sym_string] = ACTIONS(634),
    [anon_sym_symbol] = ACTIONS(634),
    [anon_sym_object] = ACTIONS(634),
    [anon_sym_abstract] = ACTIONS(636),
    [anon_sym_infer] = ACTIONS(638),
    [anon_sym_keyof] = ACTIONS(640),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym_html_comment] = ACTIONS(5),
  },
  [67] = {
    [sym_import] = STATE(3634),
    [sym_parenthesized_expression] = STATE(1324),
    [sym_expression] = STATE(2136),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(4448),
    [sym_assignment_pattern] = STATE(5020),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(4448),
    [sym_glimmer_template] = STATE(1652),
    [sym_nested_identifier] = STATE(5868),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5565),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1399),
    [sym_subscript_expression] = STATE(1399),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(2958),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(4448),
    [sym_spread_element] = STATE(5119),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(2255),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(4342),
    [sym_pattern] = STATE(4511),
    [sym_rest_pattern] = STATE(4089),
    [sym_non_null_expression] = STATE(1399),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_nested_type_identifier] = STATE(2941),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3315),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2944),
    [sym_type] = STATE(3832),
    [sym_tuple_parameter] = STATE(4915),
    [sym_optional_tuple_parameter] = STATE(4915),
    [sym_optional_type] = STATE(4915),
    [sym_rest_type] = STATE(4915),
    [sym__tuple_type_member] = STATE(4915),
    [sym_constructor_type] = STATE(2974),
    [sym_primary_type] = STATE(3014),
    [sym_template_literal_type] = STATE(3018),
    [sym_infer_type] = STATE(2974),
    [sym_conditional_type] = STATE(3018),
    [sym_generic_type] = STATE(3018),
    [sym_type_query] = STATE(3018),
    [sym_index_type_query] = STATE(3018),
    [sym_lookup_type] = STATE(3018),
    [sym_literal_type] = STATE(3018),
    [sym__number] = STATE(3031),
    [sym_existential_type] = STATE(3018),
    [sym_flow_maybe_type] = STATE(3018),
    [sym_parenthesized_type] = STATE(3018),
    [sym_predefined_type] = STATE(3018),
    [sym_type_arguments] = STATE(482),
    [sym_object_type] = STATE(3018),
    [sym_type_parameters] = STATE(5465),
    [sym_array_type] = STATE(3018),
    [sym_tuple_type] = STATE(3018),
    [sym_readonly_type] = STATE(2974),
    [sym_union_type] = STATE(3018),
    [sym_intersection_type] = STATE(3018),
    [sym_function_type] = STATE(2974),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [aux_sym_array_repeat1] = STATE(4579),
    [aux_sym_array_pattern_repeat1] = STATE(4615),
    [sym_identifier] = ACTIONS(578),
    [anon_sym_export] = ACTIONS(580),
    [anon_sym_STAR] = ACTIONS(582),
    [anon_sym_type] = ACTIONS(580),
    [anon_sym_namespace] = ACTIONS(584),
    [anon_sym_LBRACE] = ACTIONS(586),
    [anon_sym_COMMA] = ACTIONS(588),
    [anon_sym_typeof] = ACTIONS(590),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(580),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_BANG] = ACTIONS(592),
    [anon_sym_LPAREN] = ACTIONS(139),
    [anon_sym_await] = ACTIONS(594),
    [anon_sym_yield] = ACTIONS(596),
    [anon_sym_LBRACK] = ACTIONS(598),
    [anon_sym_RBRACK] = ACTIONS(652),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(602),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(604),
    [anon_sym_using] = ACTIONS(606),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(608),
    [anon_sym_AMP] = ACTIONS(610),
    [anon_sym_PIPE] = ACTIONS(612),
    [anon_sym_PLUS] = ACTIONS(614),
    [anon_sym_DASH] = ACTIONS(614),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(592),
    [anon_sym_void] = ACTIONS(618),
    [anon_sym_delete] = ACTIONS(620),
    [anon_sym_PLUS_PLUS] = ACTIONS(622),
    [anon_sym_DASH_DASH] = ACTIONS(622),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(189),
    [sym_number] = ACTIONS(191),
    [sym_private_property_identifier] = ACTIONS(624),
    [sym_this] = ACTIONS(626),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(628),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(580),
    [anon_sym_readonly] = ACTIONS(630),
    [anon_sym_get] = ACTIONS(580),
    [anon_sym_set] = ACTIONS(580),
    [anon_sym_QMARK] = ACTIONS(632),
    [anon_sym_declare] = ACTIONS(580),
    [anon_sym_public] = ACTIONS(580),
    [anon_sym_private] = ACTIONS(580),
    [anon_sym_protected] = ACTIONS(580),
    [anon_sym_override] = ACTIONS(580),
    [anon_sym_module] = ACTIONS(580),
    [anon_sym_any] = ACTIONS(634),
    [anon_sym_number] = ACTIONS(634),
    [anon_sym_boolean] = ACTIONS(634),
    [anon_sym_string] = ACTIONS(634),
    [anon_sym_symbol] = ACTIONS(634),
    [anon_sym_object] = ACTIONS(634),
    [anon_sym_abstract] = ACTIONS(636),
    [anon_sym_infer] = ACTIONS(638),
    [anon_sym_keyof] = ACTIONS(640),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym_html_comment] = ACTIONS(5),
  },
  [68] = {
    [sym_import] = STATE(3634),
    [sym_parenthesized_expression] = STATE(1324),
    [sym_expression] = STATE(2177),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(4448),
    [sym_assignment_pattern] = STATE(5020),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(4448),
    [sym_glimmer_template] = STATE(1652),
    [sym_nested_identifier] = STATE(5868),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5565),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1399),
    [sym_subscript_expression] = STATE(1399),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(2958),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(4448),
    [sym_spread_element] = STATE(4622),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(2255),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(4342),
    [sym_pattern] = STATE(4511),
    [sym_rest_pattern] = STATE(4089),
    [sym_non_null_expression] = STATE(1399),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_nested_type_identifier] = STATE(2941),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3315),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2944),
    [sym_type] = STATE(3832),
    [sym_tuple_parameter] = STATE(4915),
    [sym_optional_tuple_parameter] = STATE(4915),
    [sym_optional_type] = STATE(4915),
    [sym_rest_type] = STATE(4915),
    [sym__tuple_type_member] = STATE(4915),
    [sym_constructor_type] = STATE(2974),
    [sym_primary_type] = STATE(3014),
    [sym_template_literal_type] = STATE(3018),
    [sym_infer_type] = STATE(2974),
    [sym_conditional_type] = STATE(3018),
    [sym_generic_type] = STATE(3018),
    [sym_type_query] = STATE(3018),
    [sym_index_type_query] = STATE(3018),
    [sym_lookup_type] = STATE(3018),
    [sym_literal_type] = STATE(3018),
    [sym__number] = STATE(3031),
    [sym_existential_type] = STATE(3018),
    [sym_flow_maybe_type] = STATE(3018),
    [sym_parenthesized_type] = STATE(3018),
    [sym_predefined_type] = STATE(3018),
    [sym_type_arguments] = STATE(482),
    [sym_object_type] = STATE(3018),
    [sym_type_parameters] = STATE(5465),
    [sym_array_type] = STATE(3018),
    [sym_tuple_type] = STATE(3018),
    [sym_readonly_type] = STATE(2974),
    [sym_union_type] = STATE(3018),
    [sym_intersection_type] = STATE(3018),
    [sym_function_type] = STATE(2974),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [aux_sym_array_repeat1] = STATE(4627),
    [aux_sym_array_pattern_repeat1] = STATE(4615),
    [sym_identifier] = ACTIONS(578),
    [anon_sym_export] = ACTIONS(580),
    [anon_sym_STAR] = ACTIONS(582),
    [anon_sym_type] = ACTIONS(580),
    [anon_sym_namespace] = ACTIONS(584),
    [anon_sym_LBRACE] = ACTIONS(586),
    [anon_sym_COMMA] = ACTIONS(588),
    [anon_sym_typeof] = ACTIONS(590),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(580),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_BANG] = ACTIONS(592),
    [anon_sym_LPAREN] = ACTIONS(139),
    [anon_sym_await] = ACTIONS(594),
    [anon_sym_yield] = ACTIONS(596),
    [anon_sym_LBRACK] = ACTIONS(598),
    [anon_sym_RBRACK] = ACTIONS(654),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(602),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(604),
    [anon_sym_using] = ACTIONS(606),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(608),
    [anon_sym_AMP] = ACTIONS(610),
    [anon_sym_PIPE] = ACTIONS(612),
    [anon_sym_PLUS] = ACTIONS(614),
    [anon_sym_DASH] = ACTIONS(614),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(592),
    [anon_sym_void] = ACTIONS(618),
    [anon_sym_delete] = ACTIONS(620),
    [anon_sym_PLUS_PLUS] = ACTIONS(622),
    [anon_sym_DASH_DASH] = ACTIONS(622),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(189),
    [sym_number] = ACTIONS(191),
    [sym_private_property_identifier] = ACTIONS(624),
    [sym_this] = ACTIONS(626),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(628),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(580),
    [anon_sym_readonly] = ACTIONS(630),
    [anon_sym_get] = ACTIONS(580),
    [anon_sym_set] = ACTIONS(580),
    [anon_sym_QMARK] = ACTIONS(632),
    [anon_sym_declare] = ACTIONS(580),
    [anon_sym_public] = ACTIONS(580),
    [anon_sym_private] = ACTIONS(580),
    [anon_sym_protected] = ACTIONS(580),
    [anon_sym_override] = ACTIONS(580),
    [anon_sym_module] = ACTIONS(580),
    [anon_sym_any] = ACTIONS(634),
    [anon_sym_number] = ACTIONS(634),
    [anon_sym_boolean] = ACTIONS(634),
    [anon_sym_string] = ACTIONS(634),
    [anon_sym_symbol] = ACTIONS(634),
    [anon_sym_object] = ACTIONS(634),
    [anon_sym_abstract] = ACTIONS(636),
    [anon_sym_infer] = ACTIONS(638),
    [anon_sym_keyof] = ACTIONS(640),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym_html_comment] = ACTIONS(5),
  },
  [69] = {
    [sym_import] = STATE(3634),
    [sym_parenthesized_expression] = STATE(1324),
    [sym_expression] = STATE(2177),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(4448),
    [sym_assignment_pattern] = STATE(5020),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(4448),
    [sym_glimmer_template] = STATE(1652),
    [sym_nested_identifier] = STATE(5868),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5565),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1399),
    [sym_subscript_expression] = STATE(1399),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(2958),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(4448),
    [sym_spread_element] = STATE(4622),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(2255),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(4342),
    [sym_pattern] = STATE(4511),
    [sym_rest_pattern] = STATE(4089),
    [sym_non_null_expression] = STATE(1399),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_nested_type_identifier] = STATE(2941),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3315),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2944),
    [sym_type] = STATE(3832),
    [sym_tuple_parameter] = STATE(4969),
    [sym_optional_tuple_parameter] = STATE(4969),
    [sym_optional_type] = STATE(4969),
    [sym_rest_type] = STATE(4969),
    [sym__tuple_type_member] = STATE(4969),
    [sym_constructor_type] = STATE(2974),
    [sym_primary_type] = STATE(3014),
    [sym_template_literal_type] = STATE(3018),
    [sym_infer_type] = STATE(2974),
    [sym_conditional_type] = STATE(3018),
    [sym_generic_type] = STATE(3018),
    [sym_type_query] = STATE(3018),
    [sym_index_type_query] = STATE(3018),
    [sym_lookup_type] = STATE(3018),
    [sym_literal_type] = STATE(3018),
    [sym__number] = STATE(3031),
    [sym_existential_type] = STATE(3018),
    [sym_flow_maybe_type] = STATE(3018),
    [sym_parenthesized_type] = STATE(3018),
    [sym_predefined_type] = STATE(3018),
    [sym_type_arguments] = STATE(482),
    [sym_object_type] = STATE(3018),
    [sym_type_parameters] = STATE(5465),
    [sym_array_type] = STATE(3018),
    [sym_tuple_type] = STATE(3018),
    [sym_readonly_type] = STATE(2974),
    [sym_union_type] = STATE(3018),
    [sym_intersection_type] = STATE(3018),
    [sym_function_type] = STATE(2974),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [aux_sym_array_repeat1] = STATE(4627),
    [aux_sym_array_pattern_repeat1] = STATE(4615),
    [sym_identifier] = ACTIONS(578),
    [anon_sym_export] = ACTIONS(580),
    [anon_sym_STAR] = ACTIONS(582),
    [anon_sym_type] = ACTIONS(580),
    [anon_sym_namespace] = ACTIONS(584),
    [anon_sym_LBRACE] = ACTIONS(586),
    [anon_sym_COMMA] = ACTIONS(656),
    [anon_sym_typeof] = ACTIONS(590),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(580),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_BANG] = ACTIONS(592),
    [anon_sym_LPAREN] = ACTIONS(139),
    [anon_sym_await] = ACTIONS(594),
    [anon_sym_yield] = ACTIONS(596),
    [anon_sym_LBRACK] = ACTIONS(598),
    [anon_sym_RBRACK] = ACTIONS(658),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(602),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(604),
    [anon_sym_using] = ACTIONS(606),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(608),
    [anon_sym_AMP] = ACTIONS(610),
    [anon_sym_PIPE] = ACTIONS(612),
    [anon_sym_PLUS] = ACTIONS(614),
    [anon_sym_DASH] = ACTIONS(614),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(592),
    [anon_sym_void] = ACTIONS(618),
    [anon_sym_delete] = ACTIONS(620),
    [anon_sym_PLUS_PLUS] = ACTIONS(622),
    [anon_sym_DASH_DASH] = ACTIONS(622),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(189),
    [sym_number] = ACTIONS(191),
    [sym_private_property_identifier] = ACTIONS(624),
    [sym_this] = ACTIONS(626),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(628),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(580),
    [anon_sym_readonly] = ACTIONS(630),
    [anon_sym_get] = ACTIONS(580),
    [anon_sym_set] = ACTIONS(580),
    [anon_sym_QMARK] = ACTIONS(632),
    [anon_sym_declare] = ACTIONS(580),
    [anon_sym_public] = ACTIONS(580),
    [anon_sym_private] = ACTIONS(580),
    [anon_sym_protected] = ACTIONS(580),
    [anon_sym_override] = ACTIONS(580),
    [anon_sym_module] = ACTIONS(580),
    [anon_sym_any] = ACTIONS(634),
    [anon_sym_number] = ACTIONS(634),
    [anon_sym_boolean] = ACTIONS(634),
    [anon_sym_string] = ACTIONS(634),
    [anon_sym_symbol] = ACTIONS(634),
    [anon_sym_object] = ACTIONS(634),
    [anon_sym_abstract] = ACTIONS(636),
    [anon_sym_infer] = ACTIONS(638),
    [anon_sym_keyof] = ACTIONS(640),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym_html_comment] = ACTIONS(5),
  },
  [70] = {
    [sym_export_statement] = STATE(888),
    [sym_declaration] = STATE(888),
    [sym_import] = STATE(3513),
    [sym_import_statement] = STATE(888),
    [sym_statement] = STATE(932),
    [sym_expression_statement] = STATE(888),
    [sym_variable_declaration] = STATE(836),
    [sym_lexical_declaration] = STATE(836),
    [sym_statement_block] = STATE(888),
    [sym_if_statement] = STATE(888),
    [sym_switch_statement] = STATE(888),
    [sym_for_statement] = STATE(888),
    [sym_for_in_statement] = STATE(888),
    [sym_while_statement] = STATE(888),
    [sym_do_statement] = STATE(888),
    [sym_try_statement] = STATE(888),
    [sym_with_statement] = STATE(888),
    [sym_break_statement] = STATE(888),
    [sym_continue_statement] = STATE(888),
    [sym_debugger_statement] = STATE(888),
    [sym_return_statement] = STATE(888),
    [sym_throw_statement] = STATE(888),
    [sym_empty_statement] = STATE(888),
    [sym_labeled_statement] = STATE(888),
    [sym_parenthesized_expression] = STATE(1353),
    [sym_expression] = STATE(1940),
    [sym_primary_expression] = STATE(1833),
    [sym_yield_expression] = STATE(2130),
    [sym_object] = STATE(2117),
    [sym_object_pattern] = STATE(5484),
    [sym_array] = STATE(2117),
    [sym_array_pattern] = STATE(5484),
    [sym_glimmer_template] = STATE(2130),
    [sym_class] = STATE(2117),
    [sym_class_declaration] = STATE(836),
    [sym_function_expression] = STATE(2117),
    [sym_function_declaration] = STATE(836),
    [sym_generator_function] = STATE(2117),
    [sym_generator_function_declaration] = STATE(836),
    [sym_arrow_function] = STATE(2117),
    [sym__call_signature] = STATE(5525),
    [sym_call_expression] = STATE(2117),
    [sym_new_expression] = STATE(1963),
    [sym_await_expression] = STATE(2130),
    [sym_member_expression] = STATE(1353),
    [sym_subscript_expression] = STATE(1353),
    [sym_assignment_expression] = STATE(2130),
    [sym__augmented_assignment_lhs] = STATE(3036),
    [sym_augmented_assignment_expression] = STATE(2130),
    [sym__destructuring_pattern] = STATE(5484),
    [sym_ternary_expression] = STATE(2130),
    [sym_binary_expression] = STATE(2130),
    [sym_unary_expression] = STATE(2130),
    [sym_update_expression] = STATE(2130),
    [sym_sequence_expression] = STATE(5427),
    [sym_string] = STATE(2117),
    [sym_template_string] = STATE(2117),
    [sym_regex] = STATE(2117),
    [sym_meta_property] = STATE(2117),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1353),
    [sym_function_signature] = STATE(836),
    [sym_type_assertion] = STATE(2130),
    [sym_as_expression] = STATE(2130),
    [sym_satisfies_expression] = STATE(2130),
    [sym_instantiation_expression] = STATE(2130),
    [sym_ambient_declaration] = STATE(836),
    [sym_abstract_class_declaration] = STATE(836),
    [sym_module] = STATE(836),
    [sym_internal_module] = STATE(2470),
    [sym_import_alias] = STATE(836),
    [sym_interface_declaration] = STATE(836),
    [sym_enum_declaration] = STATE(836),
    [sym_type_alias_declaration] = STATE(836),
    [sym_type_arguments] = STATE(427),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(3845),
    [sym_identifier] = ACTIONS(544),
    [anon_sym_export] = ACTIONS(546),
    [anon_sym_type] = ACTIONS(548),
    [anon_sym_namespace] = ACTIONS(550),
    [anon_sym_LBRACE] = ACTIONS(552),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(554),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(556),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(558),
    [anon_sym_switch] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(560),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_SEMI] = ACTIONS(43),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_while] = ACTIONS(562),
    [anon_sym_do] = ACTIONS(49),
    [anon_sym_try] = ACTIONS(51),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_debugger] = ACTIONS(57),
    [anon_sym_return] = ACTIONS(59),
    [anon_sym_throw] = ACTIONS(61),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(564),
    [anon_sym_async] = ACTIONS(566),
    [anon_sym_function] = ACTIONS(568),
    [anon_sym_new] = ACTIONS(570),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(572),
    [anon_sym_readonly] = ACTIONS(572),
    [anon_sym_get] = ACTIONS(572),
    [anon_sym_set] = ACTIONS(572),
    [anon_sym_declare] = ACTIONS(574),
    [anon_sym_public] = ACTIONS(572),
    [anon_sym_private] = ACTIONS(572),
    [anon_sym_protected] = ACTIONS(572),
    [anon_sym_override] = ACTIONS(572),
    [anon_sym_module] = ACTIONS(576),
    [anon_sym_any] = ACTIONS(572),
    [anon_sym_number] = ACTIONS(572),
    [anon_sym_boolean] = ACTIONS(572),
    [anon_sym_string] = ACTIONS(572),
    [anon_sym_symbol] = ACTIONS(572),
    [anon_sym_object] = ACTIONS(572),
    [anon_sym_abstract] = ACTIONS(107),
    [anon_sym_interface] = ACTIONS(109),
    [anon_sym_enum] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [71] = {
    [sym_import] = STATE(3634),
    [sym_parenthesized_expression] = STATE(1324),
    [sym_expression] = STATE(2177),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(4448),
    [sym_assignment_pattern] = STATE(5020),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(4448),
    [sym_glimmer_template] = STATE(1652),
    [sym_nested_identifier] = STATE(5868),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5565),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1399),
    [sym_subscript_expression] = STATE(1399),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(2958),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(4448),
    [sym_spread_element] = STATE(4622),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(2255),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(4342),
    [sym_pattern] = STATE(4511),
    [sym_rest_pattern] = STATE(4089),
    [sym_non_null_expression] = STATE(1399),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_nested_type_identifier] = STATE(2941),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3315),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2944),
    [sym_type] = STATE(3832),
    [sym_tuple_parameter] = STATE(4915),
    [sym_optional_tuple_parameter] = STATE(4915),
    [sym_optional_type] = STATE(4915),
    [sym_rest_type] = STATE(4915),
    [sym__tuple_type_member] = STATE(4915),
    [sym_constructor_type] = STATE(2974),
    [sym_primary_type] = STATE(3014),
    [sym_template_literal_type] = STATE(3018),
    [sym_infer_type] = STATE(2974),
    [sym_conditional_type] = STATE(3018),
    [sym_generic_type] = STATE(3018),
    [sym_type_query] = STATE(3018),
    [sym_index_type_query] = STATE(3018),
    [sym_lookup_type] = STATE(3018),
    [sym_literal_type] = STATE(3018),
    [sym__number] = STATE(3031),
    [sym_existential_type] = STATE(3018),
    [sym_flow_maybe_type] = STATE(3018),
    [sym_parenthesized_type] = STATE(3018),
    [sym_predefined_type] = STATE(3018),
    [sym_type_arguments] = STATE(482),
    [sym_object_type] = STATE(3018),
    [sym_type_parameters] = STATE(5465),
    [sym_array_type] = STATE(3018),
    [sym_tuple_type] = STATE(3018),
    [sym_readonly_type] = STATE(2974),
    [sym_union_type] = STATE(3018),
    [sym_intersection_type] = STATE(3018),
    [sym_function_type] = STATE(2974),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [aux_sym_array_repeat1] = STATE(4627),
    [aux_sym_array_pattern_repeat1] = STATE(4615),
    [sym_identifier] = ACTIONS(578),
    [anon_sym_export] = ACTIONS(580),
    [anon_sym_STAR] = ACTIONS(582),
    [anon_sym_type] = ACTIONS(580),
    [anon_sym_namespace] = ACTIONS(584),
    [anon_sym_LBRACE] = ACTIONS(586),
    [anon_sym_COMMA] = ACTIONS(588),
    [anon_sym_typeof] = ACTIONS(590),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(580),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_BANG] = ACTIONS(592),
    [anon_sym_LPAREN] = ACTIONS(139),
    [anon_sym_await] = ACTIONS(594),
    [anon_sym_yield] = ACTIONS(596),
    [anon_sym_LBRACK] = ACTIONS(598),
    [anon_sym_RBRACK] = ACTIONS(660),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(602),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(604),
    [anon_sym_using] = ACTIONS(606),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(608),
    [anon_sym_AMP] = ACTIONS(610),
    [anon_sym_PIPE] = ACTIONS(612),
    [anon_sym_PLUS] = ACTIONS(614),
    [anon_sym_DASH] = ACTIONS(614),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(592),
    [anon_sym_void] = ACTIONS(618),
    [anon_sym_delete] = ACTIONS(620),
    [anon_sym_PLUS_PLUS] = ACTIONS(622),
    [anon_sym_DASH_DASH] = ACTIONS(622),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(189),
    [sym_number] = ACTIONS(191),
    [sym_private_property_identifier] = ACTIONS(624),
    [sym_this] = ACTIONS(626),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(628),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(580),
    [anon_sym_readonly] = ACTIONS(630),
    [anon_sym_get] = ACTIONS(580),
    [anon_sym_set] = ACTIONS(580),
    [anon_sym_QMARK] = ACTIONS(632),
    [anon_sym_declare] = ACTIONS(580),
    [anon_sym_public] = ACTIONS(580),
    [anon_sym_private] = ACTIONS(580),
    [anon_sym_protected] = ACTIONS(580),
    [anon_sym_override] = ACTIONS(580),
    [anon_sym_module] = ACTIONS(580),
    [anon_sym_any] = ACTIONS(634),
    [anon_sym_number] = ACTIONS(634),
    [anon_sym_boolean] = ACTIONS(634),
    [anon_sym_string] = ACTIONS(634),
    [anon_sym_symbol] = ACTIONS(634),
    [anon_sym_object] = ACTIONS(634),
    [anon_sym_abstract] = ACTIONS(636),
    [anon_sym_infer] = ACTIONS(638),
    [anon_sym_keyof] = ACTIONS(640),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym_html_comment] = ACTIONS(5),
  },
  [72] = {
    [sym_import] = STATE(3513),
    [sym_parenthesized_expression] = STATE(1325),
    [sym_expression] = STATE(2638),
    [sym_primary_expression] = STATE(1712),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(2117),
    [sym_object_pattern] = STATE(5482),
    [sym_array] = STATE(2117),
    [sym_array_pattern] = STATE(5482),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(2117),
    [sym_function_expression] = STATE(2117),
    [sym_generator_function] = STATE(2117),
    [sym_arrow_function] = STATE(2117),
    [sym__call_signature] = STATE(5525),
    [sym_call_expression] = STATE(2117),
    [sym_new_expression] = STATE(2686),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1325),
    [sym_subscript_expression] = STATE(1325),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(2969),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5482),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(2117),
    [sym_template_string] = STATE(2117),
    [sym_regex] = STATE(2117),
    [sym_meta_property] = STATE(2117),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1325),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(537),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4499),
    [aux_sym_object_repeat1] = STATE(4824),
    [aux_sym_object_pattern_repeat1] = STATE(4835),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(664),
    [anon_sym_EQ] = ACTIONS(666),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(668),
    [anon_sym_LBRACE] = ACTIONS(670),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_RBRACE] = ACTIONS(672),
    [anon_sym_typeof] = ACTIONS(184),
    [anon_sym_import] = ACTIONS(674),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_BANG] = ACTIONS(184),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(679),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(681),
    [anon_sym_async] = ACTIONS(683),
    [anon_sym_function] = ACTIONS(685),
    [anon_sym_EQ_GT] = ACTIONS(687),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(689),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(184),
    [anon_sym_DASH] = ACTIONS(184),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(691),
    [anon_sym_DASH_DASH] = ACTIONS(691),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(693),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_readonly] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [anon_sym_QMARK] = ACTIONS(695),
    [anon_sym_declare] = ACTIONS(664),
    [anon_sym_public] = ACTIONS(664),
    [anon_sym_private] = ACTIONS(664),
    [anon_sym_protected] = ACTIONS(664),
    [anon_sym_override] = ACTIONS(664),
    [anon_sym_module] = ACTIONS(664),
    [anon_sym_any] = ACTIONS(664),
    [anon_sym_number] = ACTIONS(664),
    [anon_sym_boolean] = ACTIONS(664),
    [anon_sym_string] = ACTIONS(664),
    [anon_sym_symbol] = ACTIONS(664),
    [anon_sym_object] = ACTIONS(664),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [73] = {
    [sym_import] = STATE(3513),
    [sym_parenthesized_expression] = STATE(1325),
    [sym_expression] = STATE(2638),
    [sym_primary_expression] = STATE(1712),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(2117),
    [sym_object_pattern] = STATE(5482),
    [sym_array] = STATE(2117),
    [sym_array_pattern] = STATE(5482),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(2117),
    [sym_function_expression] = STATE(2117),
    [sym_generator_function] = STATE(2117),
    [sym_arrow_function] = STATE(2117),
    [sym__call_signature] = STATE(5525),
    [sym_call_expression] = STATE(2117),
    [sym_new_expression] = STATE(2686),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1325),
    [sym_subscript_expression] = STATE(1325),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(2969),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5482),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(2117),
    [sym_template_string] = STATE(2117),
    [sym_regex] = STATE(2117),
    [sym_meta_property] = STATE(2117),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1325),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(537),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4499),
    [aux_sym_object_repeat1] = STATE(4905),
    [aux_sym_object_pattern_repeat1] = STATE(4835),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(664),
    [anon_sym_EQ] = ACTIONS(666),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(668),
    [anon_sym_LBRACE] = ACTIONS(670),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_RBRACE] = ACTIONS(697),
    [anon_sym_typeof] = ACTIONS(184),
    [anon_sym_import] = ACTIONS(674),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_BANG] = ACTIONS(184),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(679),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(681),
    [anon_sym_async] = ACTIONS(683),
    [anon_sym_function] = ACTIONS(685),
    [anon_sym_EQ_GT] = ACTIONS(687),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(689),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(184),
    [anon_sym_DASH] = ACTIONS(184),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(691),
    [anon_sym_DASH_DASH] = ACTIONS(691),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(693),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_readonly] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [anon_sym_QMARK] = ACTIONS(695),
    [anon_sym_declare] = ACTIONS(664),
    [anon_sym_public] = ACTIONS(664),
    [anon_sym_private] = ACTIONS(664),
    [anon_sym_protected] = ACTIONS(664),
    [anon_sym_override] = ACTIONS(664),
    [anon_sym_module] = ACTIONS(664),
    [anon_sym_any] = ACTIONS(664),
    [anon_sym_number] = ACTIONS(664),
    [anon_sym_boolean] = ACTIONS(664),
    [anon_sym_string] = ACTIONS(664),
    [anon_sym_symbol] = ACTIONS(664),
    [anon_sym_object] = ACTIONS(664),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [74] = {
    [sym_import] = STATE(3513),
    [sym_parenthesized_expression] = STATE(1325),
    [sym_expression] = STATE(2638),
    [sym_primary_expression] = STATE(1712),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(2117),
    [sym_object_pattern] = STATE(5482),
    [sym_array] = STATE(2117),
    [sym_array_pattern] = STATE(5482),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(2117),
    [sym_function_expression] = STATE(2117),
    [sym_generator_function] = STATE(2117),
    [sym_arrow_function] = STATE(2117),
    [sym__call_signature] = STATE(5525),
    [sym_call_expression] = STATE(2117),
    [sym_new_expression] = STATE(2686),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1325),
    [sym_subscript_expression] = STATE(1325),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(2969),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5482),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(2117),
    [sym_template_string] = STATE(2117),
    [sym_regex] = STATE(2117),
    [sym_meta_property] = STATE(2117),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1325),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(537),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4499),
    [aux_sym_object_repeat1] = STATE(4905),
    [aux_sym_object_pattern_repeat1] = STATE(4835),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(664),
    [anon_sym_EQ] = ACTIONS(666),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(668),
    [anon_sym_LBRACE] = ACTIONS(670),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_RBRACE] = ACTIONS(699),
    [anon_sym_typeof] = ACTIONS(184),
    [anon_sym_import] = ACTIONS(674),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_BANG] = ACTIONS(184),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(679),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(681),
    [anon_sym_async] = ACTIONS(683),
    [anon_sym_function] = ACTIONS(685),
    [anon_sym_EQ_GT] = ACTIONS(687),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(689),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(184),
    [anon_sym_DASH] = ACTIONS(184),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(691),
    [anon_sym_DASH_DASH] = ACTIONS(691),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(693),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_readonly] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [anon_sym_QMARK] = ACTIONS(695),
    [anon_sym_declare] = ACTIONS(664),
    [anon_sym_public] = ACTIONS(664),
    [anon_sym_private] = ACTIONS(664),
    [anon_sym_protected] = ACTIONS(664),
    [anon_sym_override] = ACTIONS(664),
    [anon_sym_module] = ACTIONS(664),
    [anon_sym_any] = ACTIONS(664),
    [anon_sym_number] = ACTIONS(664),
    [anon_sym_boolean] = ACTIONS(664),
    [anon_sym_string] = ACTIONS(664),
    [anon_sym_symbol] = ACTIONS(664),
    [anon_sym_object] = ACTIONS(664),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [75] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1228),
    [sym_expression] = STATE(2615),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(3739),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(3739),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5824),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1302),
    [sym_subscript_expression] = STATE(1302),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(2969),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(3739),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_pattern] = STATE(4233),
    [sym_rest_pattern] = STATE(3605),
    [sym_non_null_expression] = STATE(1302),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(537),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(701),
    [anon_sym_export] = ACTIONS(115),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(115),
    [anon_sym_EQ] = ACTIONS(119),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(124),
    [anon_sym_LBRACE] = ACTIONS(703),
    [anon_sym_COMMA] = ACTIONS(128),
    [anon_sym_typeof] = ACTIONS(184),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(115),
    [anon_sym_BANG] = ACTIONS(136),
    [anon_sym_LPAREN] = ACTIONS(705),
    [anon_sym_RPAREN] = ACTIONS(128),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(128),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(708),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(122),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(155),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_EQ_GT] = ACTIONS(159),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(711),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(169),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(136),
    [anon_sym_DASH] = ACTIONS(136),
    [anon_sym_SLASH] = ACTIONS(177),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(713),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(186),
    [anon_sym_DASH_DASH] = ACTIONS(186),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(716),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(721),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(723),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(115),
    [anon_sym_readonly] = ACTIONS(115),
    [anon_sym_get] = ACTIONS(115),
    [anon_sym_set] = ACTIONS(115),
    [anon_sym_QMARK] = ACTIONS(725),
    [anon_sym_declare] = ACTIONS(115),
    [anon_sym_public] = ACTIONS(115),
    [anon_sym_private] = ACTIONS(115),
    [anon_sym_protected] = ACTIONS(115),
    [anon_sym_override] = ACTIONS(115),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_any] = ACTIONS(115),
    [anon_sym_number] = ACTIONS(115),
    [anon_sym_boolean] = ACTIONS(115),
    [anon_sym_string] = ACTIONS(115),
    [anon_sym_symbol] = ACTIONS(115),
    [anon_sym_object] = ACTIONS(115),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [76] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1228),
    [sym_expression] = STATE(2615),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(3739),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(3739),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5824),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1302),
    [sym_subscript_expression] = STATE(1302),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(2969),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(3739),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_pattern] = STATE(4236),
    [sym_rest_pattern] = STATE(3605),
    [sym_non_null_expression] = STATE(1302),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(537),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(701),
    [anon_sym_export] = ACTIONS(115),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(115),
    [anon_sym_EQ] = ACTIONS(119),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(124),
    [anon_sym_LBRACE] = ACTIONS(703),
    [anon_sym_COMMA] = ACTIONS(128),
    [anon_sym_typeof] = ACTIONS(184),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(115),
    [anon_sym_BANG] = ACTIONS(136),
    [anon_sym_LPAREN] = ACTIONS(705),
    [anon_sym_RPAREN] = ACTIONS(128),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(128),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(708),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(122),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(155),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_EQ_GT] = ACTIONS(159),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(711),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(169),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(136),
    [anon_sym_DASH] = ACTIONS(136),
    [anon_sym_SLASH] = ACTIONS(177),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(713),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(186),
    [anon_sym_DASH_DASH] = ACTIONS(186),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(716),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(727),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(723),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(115),
    [anon_sym_readonly] = ACTIONS(115),
    [anon_sym_get] = ACTIONS(115),
    [anon_sym_set] = ACTIONS(115),
    [anon_sym_QMARK] = ACTIONS(725),
    [anon_sym_declare] = ACTIONS(115),
    [anon_sym_public] = ACTIONS(115),
    [anon_sym_private] = ACTIONS(115),
    [anon_sym_protected] = ACTIONS(115),
    [anon_sym_override] = ACTIONS(115),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_any] = ACTIONS(115),
    [anon_sym_number] = ACTIONS(115),
    [anon_sym_boolean] = ACTIONS(115),
    [anon_sym_string] = ACTIONS(115),
    [anon_sym_symbol] = ACTIONS(115),
    [anon_sym_object] = ACTIONS(115),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [77] = {
    [sym_import] = STATE(3594),
    [sym_parenthesized_expression] = STATE(1381),
    [sym_expression] = STATE(1834),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(4097),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(4097),
    [sym_glimmer_template] = STATE(1652),
    [sym_nested_identifier] = STATE(5868),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5865),
    [sym__formal_parameter] = STATE(4551),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1357),
    [sym_subscript_expression] = STATE(1357),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(3033),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(4097),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_sequence_expression] = STATE(5858),
    [sym_string] = STATE(2142),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(4280),
    [sym_pattern] = STATE(4057),
    [sym_rest_pattern] = STATE(3605),
    [sym_non_null_expression] = STATE(1357),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_nested_type_identifier] = STATE(2941),
    [sym_accessibility_modifier] = STATE(288),
    [sym_override_modifier] = STATE(303),
    [sym_required_parameter] = STATE(4551),
    [sym_optional_parameter] = STATE(4551),
    [sym__parameter_name] = STATE(3611),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2942),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2944),
    [sym_type] = STATE(4390),
    [sym_constructor_type] = STATE(2974),
    [sym_primary_type] = STATE(3014),
    [sym_template_literal_type] = STATE(3018),
    [sym_infer_type] = STATE(2974),
    [sym_conditional_type] = STATE(3018),
    [sym_generic_type] = STATE(3018),
    [sym_type_query] = STATE(3018),
    [sym_index_type_query] = STATE(3018),
    [sym_lookup_type] = STATE(3018),
    [sym_literal_type] = STATE(3018),
    [sym__number] = STATE(3031),
    [sym_existential_type] = STATE(3018),
    [sym_flow_maybe_type] = STATE(3018),
    [sym_parenthesized_type] = STATE(3018),
    [sym_predefined_type] = STATE(3018),
    [sym_type_arguments] = STATE(635),
    [sym_object_type] = STATE(3018),
    [sym_type_parameters] = STATE(5262),
    [sym_array_type] = STATE(3018),
    [sym_tuple_type] = STATE(3018),
    [sym_readonly_type] = STATE(2974),
    [sym_union_type] = STATE(3018),
    [sym_intersection_type] = STATE(3018),
    [sym_function_type] = STATE(2974),
    [aux_sym_export_statement_repeat1] = STATE(265),
    [sym_identifier] = ACTIONS(729),
    [anon_sym_export] = ACTIONS(731),
    [anon_sym_STAR] = ACTIONS(582),
    [anon_sym_type] = ACTIONS(731),
    [anon_sym_namespace] = ACTIONS(733),
    [anon_sym_LBRACE] = ACTIONS(735),
    [anon_sym_typeof] = ACTIONS(737),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(731),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_LPAREN] = ACTIONS(139),
    [anon_sym_RPAREN] = ACTIONS(741),
    [anon_sym_await] = ACTIONS(743),
    [anon_sym_yield] = ACTIONS(745),
    [anon_sym_LBRACK] = ACTIONS(747),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(749),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(751),
    [anon_sym_using] = ACTIONS(753),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(169),
    [anon_sym_AMP] = ACTIONS(755),
    [anon_sym_PIPE] = ACTIONS(757),
    [anon_sym_PLUS] = ACTIONS(759),
    [anon_sym_DASH] = ACTIONS(759),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(739),
    [anon_sym_void] = ACTIONS(761),
    [anon_sym_delete] = ACTIONS(763),
    [anon_sym_PLUS_PLUS] = ACTIONS(765),
    [anon_sym_DASH_DASH] = ACTIONS(765),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(767),
    [sym_number] = ACTIONS(769),
    [sym_private_property_identifier] = ACTIONS(771),
    [sym_this] = ACTIONS(773),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(775),
    [sym_false] = ACTIONS(775),
    [sym_null] = ACTIONS(775),
    [sym_undefined] = ACTIONS(777),
    [anon_sym_AT] = ACTIONS(779),
    [anon_sym_static] = ACTIONS(731),
    [anon_sym_readonly] = ACTIONS(781),
    [anon_sym_get] = ACTIONS(731),
    [anon_sym_set] = ACTIONS(731),
    [anon_sym_QMARK] = ACTIONS(783),
    [anon_sym_declare] = ACTIONS(731),
    [anon_sym_public] = ACTIONS(785),
    [anon_sym_private] = ACTIONS(785),
    [anon_sym_protected] = ACTIONS(785),
    [anon_sym_override] = ACTIONS(787),
    [anon_sym_module] = ACTIONS(731),
    [anon_sym_any] = ACTIONS(789),
    [anon_sym_number] = ACTIONS(789),
    [anon_sym_boolean] = ACTIONS(789),
    [anon_sym_string] = ACTIONS(789),
    [anon_sym_symbol] = ACTIONS(789),
    [anon_sym_object] = ACTIONS(789),
    [anon_sym_abstract] = ACTIONS(209),
    [anon_sym_infer] = ACTIONS(211),
    [anon_sym_keyof] = ACTIONS(213),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym_html_comment] = ACTIONS(5),
  },
  [78] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1228),
    [sym_expression] = STATE(2615),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(3739),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(3739),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5824),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1302),
    [sym_subscript_expression] = STATE(1302),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(2969),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(3739),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_pattern] = STATE(4327),
    [sym_rest_pattern] = STATE(3605),
    [sym_non_null_expression] = STATE(1302),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(537),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(701),
    [anon_sym_export] = ACTIONS(115),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(115),
    [anon_sym_EQ] = ACTIONS(119),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(124),
    [anon_sym_LBRACE] = ACTIONS(703),
    [anon_sym_COMMA] = ACTIONS(128),
    [anon_sym_typeof] = ACTIONS(184),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(115),
    [anon_sym_BANG] = ACTIONS(136),
    [anon_sym_LPAREN] = ACTIONS(705),
    [anon_sym_RPAREN] = ACTIONS(128),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(128),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(708),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(122),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(155),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_EQ_GT] = ACTIONS(159),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(711),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(169),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(136),
    [anon_sym_DASH] = ACTIONS(136),
    [anon_sym_SLASH] = ACTIONS(177),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(713),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(186),
    [anon_sym_DASH_DASH] = ACTIONS(186),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(716),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(791),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(723),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(115),
    [anon_sym_readonly] = ACTIONS(115),
    [anon_sym_get] = ACTIONS(115),
    [anon_sym_set] = ACTIONS(115),
    [anon_sym_QMARK] = ACTIONS(725),
    [anon_sym_declare] = ACTIONS(115),
    [anon_sym_public] = ACTIONS(115),
    [anon_sym_private] = ACTIONS(115),
    [anon_sym_protected] = ACTIONS(115),
    [anon_sym_override] = ACTIONS(115),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_any] = ACTIONS(115),
    [anon_sym_number] = ACTIONS(115),
    [anon_sym_boolean] = ACTIONS(115),
    [anon_sym_string] = ACTIONS(115),
    [anon_sym_symbol] = ACTIONS(115),
    [anon_sym_object] = ACTIONS(115),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [79] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1228),
    [sym_expression] = STATE(2615),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(3739),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(3739),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5824),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1302),
    [sym_subscript_expression] = STATE(1302),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(2969),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(3739),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_pattern] = STATE(3920),
    [sym_rest_pattern] = STATE(3605),
    [sym_non_null_expression] = STATE(1302),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(537),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(701),
    [anon_sym_export] = ACTIONS(115),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(115),
    [anon_sym_EQ] = ACTIONS(119),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(124),
    [anon_sym_LBRACE] = ACTIONS(703),
    [anon_sym_COMMA] = ACTIONS(128),
    [anon_sym_typeof] = ACTIONS(184),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(115),
    [anon_sym_BANG] = ACTIONS(136),
    [anon_sym_LPAREN] = ACTIONS(705),
    [anon_sym_RPAREN] = ACTIONS(128),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(128),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(708),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(122),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(155),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_EQ_GT] = ACTIONS(159),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(711),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(169),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(136),
    [anon_sym_DASH] = ACTIONS(136),
    [anon_sym_SLASH] = ACTIONS(177),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(713),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(186),
    [anon_sym_DASH_DASH] = ACTIONS(186),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(716),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(793),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(723),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(115),
    [anon_sym_readonly] = ACTIONS(115),
    [anon_sym_get] = ACTIONS(115),
    [anon_sym_set] = ACTIONS(115),
    [anon_sym_QMARK] = ACTIONS(725),
    [anon_sym_declare] = ACTIONS(115),
    [anon_sym_public] = ACTIONS(115),
    [anon_sym_private] = ACTIONS(115),
    [anon_sym_protected] = ACTIONS(115),
    [anon_sym_override] = ACTIONS(115),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_any] = ACTIONS(115),
    [anon_sym_number] = ACTIONS(115),
    [anon_sym_boolean] = ACTIONS(115),
    [anon_sym_string] = ACTIONS(115),
    [anon_sym_symbol] = ACTIONS(115),
    [anon_sym_object] = ACTIONS(115),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [80] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1228),
    [sym_expression] = STATE(2615),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(3739),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(3739),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5824),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1302),
    [sym_subscript_expression] = STATE(1302),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(2969),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(3739),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_pattern] = STATE(4226),
    [sym_rest_pattern] = STATE(3605),
    [sym_non_null_expression] = STATE(1302),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(537),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(701),
    [anon_sym_export] = ACTIONS(115),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(115),
    [anon_sym_EQ] = ACTIONS(119),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(124),
    [anon_sym_LBRACE] = ACTIONS(703),
    [anon_sym_COMMA] = ACTIONS(128),
    [anon_sym_typeof] = ACTIONS(184),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(115),
    [anon_sym_BANG] = ACTIONS(136),
    [anon_sym_LPAREN] = ACTIONS(705),
    [anon_sym_RPAREN] = ACTIONS(128),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(128),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(708),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(122),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(155),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_EQ_GT] = ACTIONS(159),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(711),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(169),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(136),
    [anon_sym_DASH] = ACTIONS(136),
    [anon_sym_SLASH] = ACTIONS(177),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(713),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(186),
    [anon_sym_DASH_DASH] = ACTIONS(186),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(716),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(795),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(723),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(115),
    [anon_sym_readonly] = ACTIONS(115),
    [anon_sym_get] = ACTIONS(115),
    [anon_sym_set] = ACTIONS(115),
    [anon_sym_QMARK] = ACTIONS(725),
    [anon_sym_declare] = ACTIONS(115),
    [anon_sym_public] = ACTIONS(115),
    [anon_sym_private] = ACTIONS(115),
    [anon_sym_protected] = ACTIONS(115),
    [anon_sym_override] = ACTIONS(115),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_any] = ACTIONS(115),
    [anon_sym_number] = ACTIONS(115),
    [anon_sym_boolean] = ACTIONS(115),
    [anon_sym_string] = ACTIONS(115),
    [anon_sym_symbol] = ACTIONS(115),
    [anon_sym_object] = ACTIONS(115),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [81] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1228),
    [sym_expression] = STATE(2615),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(3739),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(3739),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5824),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1302),
    [sym_subscript_expression] = STATE(1302),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(2969),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(3739),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_pattern] = STATE(3926),
    [sym_rest_pattern] = STATE(3605),
    [sym_non_null_expression] = STATE(1302),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(537),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(701),
    [anon_sym_export] = ACTIONS(115),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(115),
    [anon_sym_EQ] = ACTIONS(119),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(124),
    [anon_sym_LBRACE] = ACTIONS(703),
    [anon_sym_COMMA] = ACTIONS(128),
    [anon_sym_typeof] = ACTIONS(184),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(115),
    [anon_sym_BANG] = ACTIONS(136),
    [anon_sym_LPAREN] = ACTIONS(705),
    [anon_sym_RPAREN] = ACTIONS(128),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(128),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(708),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(122),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(155),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_EQ_GT] = ACTIONS(159),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(711),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(169),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(136),
    [anon_sym_DASH] = ACTIONS(136),
    [anon_sym_SLASH] = ACTIONS(177),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(713),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(186),
    [anon_sym_DASH_DASH] = ACTIONS(186),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(716),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(797),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(723),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(115),
    [anon_sym_readonly] = ACTIONS(115),
    [anon_sym_get] = ACTIONS(115),
    [anon_sym_set] = ACTIONS(115),
    [anon_sym_QMARK] = ACTIONS(725),
    [anon_sym_declare] = ACTIONS(115),
    [anon_sym_public] = ACTIONS(115),
    [anon_sym_private] = ACTIONS(115),
    [anon_sym_protected] = ACTIONS(115),
    [anon_sym_override] = ACTIONS(115),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_any] = ACTIONS(115),
    [anon_sym_number] = ACTIONS(115),
    [anon_sym_boolean] = ACTIONS(115),
    [anon_sym_string] = ACTIONS(115),
    [anon_sym_symbol] = ACTIONS(115),
    [anon_sym_object] = ACTIONS(115),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [82] = {
    [sym_import] = STATE(3594),
    [sym_parenthesized_expression] = STATE(1381),
    [sym_expression] = STATE(1817),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(4097),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(4097),
    [sym_glimmer_template] = STATE(1652),
    [sym_nested_identifier] = STATE(5868),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5865),
    [sym__formal_parameter] = STATE(4551),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1357),
    [sym_subscript_expression] = STATE(1357),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(3033),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(4097),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_sequence_expression] = STATE(5646),
    [sym_string] = STATE(2142),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(4280),
    [sym_pattern] = STATE(4057),
    [sym_rest_pattern] = STATE(3605),
    [sym_non_null_expression] = STATE(1357),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_nested_type_identifier] = STATE(2941),
    [sym_accessibility_modifier] = STATE(288),
    [sym_override_modifier] = STATE(303),
    [sym_required_parameter] = STATE(4551),
    [sym_optional_parameter] = STATE(4551),
    [sym__parameter_name] = STATE(3611),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2942),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2944),
    [sym_type] = STATE(4390),
    [sym_constructor_type] = STATE(2974),
    [sym_primary_type] = STATE(3014),
    [sym_template_literal_type] = STATE(3018),
    [sym_infer_type] = STATE(2974),
    [sym_conditional_type] = STATE(3018),
    [sym_generic_type] = STATE(3018),
    [sym_type_query] = STATE(3018),
    [sym_index_type_query] = STATE(3018),
    [sym_lookup_type] = STATE(3018),
    [sym_literal_type] = STATE(3018),
    [sym__number] = STATE(3031),
    [sym_existential_type] = STATE(3018),
    [sym_flow_maybe_type] = STATE(3018),
    [sym_parenthesized_type] = STATE(3018),
    [sym_predefined_type] = STATE(3018),
    [sym_type_arguments] = STATE(635),
    [sym_object_type] = STATE(3018),
    [sym_type_parameters] = STATE(5262),
    [sym_array_type] = STATE(3018),
    [sym_tuple_type] = STATE(3018),
    [sym_readonly_type] = STATE(2974),
    [sym_union_type] = STATE(3018),
    [sym_intersection_type] = STATE(3018),
    [sym_function_type] = STATE(2974),
    [aux_sym_export_statement_repeat1] = STATE(265),
    [sym_identifier] = ACTIONS(729),
    [anon_sym_export] = ACTIONS(731),
    [anon_sym_STAR] = ACTIONS(582),
    [anon_sym_type] = ACTIONS(731),
    [anon_sym_namespace] = ACTIONS(733),
    [anon_sym_LBRACE] = ACTIONS(735),
    [anon_sym_typeof] = ACTIONS(737),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(731),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_LPAREN] = ACTIONS(139),
    [anon_sym_RPAREN] = ACTIONS(741),
    [anon_sym_await] = ACTIONS(743),
    [anon_sym_yield] = ACTIONS(745),
    [anon_sym_LBRACK] = ACTIONS(747),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(749),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(751),
    [anon_sym_using] = ACTIONS(753),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(169),
    [anon_sym_AMP] = ACTIONS(755),
    [anon_sym_PIPE] = ACTIONS(757),
    [anon_sym_PLUS] = ACTIONS(759),
    [anon_sym_DASH] = ACTIONS(759),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(739),
    [anon_sym_void] = ACTIONS(761),
    [anon_sym_delete] = ACTIONS(763),
    [anon_sym_PLUS_PLUS] = ACTIONS(765),
    [anon_sym_DASH_DASH] = ACTIONS(765),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(767),
    [sym_number] = ACTIONS(769),
    [sym_private_property_identifier] = ACTIONS(771),
    [sym_this] = ACTIONS(773),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(775),
    [sym_false] = ACTIONS(775),
    [sym_null] = ACTIONS(775),
    [sym_undefined] = ACTIONS(777),
    [anon_sym_AT] = ACTIONS(779),
    [anon_sym_static] = ACTIONS(731),
    [anon_sym_readonly] = ACTIONS(781),
    [anon_sym_get] = ACTIONS(731),
    [anon_sym_set] = ACTIONS(731),
    [anon_sym_QMARK] = ACTIONS(783),
    [anon_sym_declare] = ACTIONS(731),
    [anon_sym_public] = ACTIONS(785),
    [anon_sym_private] = ACTIONS(785),
    [anon_sym_protected] = ACTIONS(785),
    [anon_sym_override] = ACTIONS(787),
    [anon_sym_module] = ACTIONS(731),
    [anon_sym_any] = ACTIONS(789),
    [anon_sym_number] = ACTIONS(789),
    [anon_sym_boolean] = ACTIONS(789),
    [anon_sym_string] = ACTIONS(789),
    [anon_sym_symbol] = ACTIONS(789),
    [anon_sym_object] = ACTIONS(789),
    [anon_sym_abstract] = ACTIONS(209),
    [anon_sym_infer] = ACTIONS(211),
    [anon_sym_keyof] = ACTIONS(213),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym_html_comment] = ACTIONS(5),
  },
  [83] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1228),
    [sym_expression] = STATE(2615),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(3739),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(3739),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5824),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1302),
    [sym_subscript_expression] = STATE(1302),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(2969),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(3739),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_pattern] = STATE(4085),
    [sym_rest_pattern] = STATE(3605),
    [sym_non_null_expression] = STATE(1302),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(537),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(701),
    [anon_sym_export] = ACTIONS(115),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(115),
    [anon_sym_EQ] = ACTIONS(221),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(124),
    [anon_sym_LBRACE] = ACTIONS(703),
    [anon_sym_COMMA] = ACTIONS(224),
    [anon_sym_typeof] = ACTIONS(184),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(115),
    [anon_sym_BANG] = ACTIONS(136),
    [anon_sym_LPAREN] = ACTIONS(705),
    [anon_sym_RPAREN] = ACTIONS(224),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(224),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(708),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(122),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(155),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_EQ_GT] = ACTIONS(227),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(711),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(169),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(136),
    [anon_sym_DASH] = ACTIONS(136),
    [anon_sym_SLASH] = ACTIONS(177),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(713),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(186),
    [anon_sym_DASH_DASH] = ACTIONS(186),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(716),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(799),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(723),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(115),
    [anon_sym_readonly] = ACTIONS(115),
    [anon_sym_get] = ACTIONS(115),
    [anon_sym_set] = ACTIONS(115),
    [anon_sym_QMARK] = ACTIONS(725),
    [anon_sym_declare] = ACTIONS(115),
    [anon_sym_public] = ACTIONS(115),
    [anon_sym_private] = ACTIONS(115),
    [anon_sym_protected] = ACTIONS(115),
    [anon_sym_override] = ACTIONS(115),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_any] = ACTIONS(115),
    [anon_sym_number] = ACTIONS(115),
    [anon_sym_boolean] = ACTIONS(115),
    [anon_sym_string] = ACTIONS(115),
    [anon_sym_symbol] = ACTIONS(115),
    [anon_sym_object] = ACTIONS(115),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [84] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1228),
    [sym_expression] = STATE(2615),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(3739),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(3739),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5824),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1302),
    [sym_subscript_expression] = STATE(1302),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(2969),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(3739),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_pattern] = STATE(4085),
    [sym_rest_pattern] = STATE(3605),
    [sym_non_null_expression] = STATE(1302),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(537),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(701),
    [anon_sym_export] = ACTIONS(115),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(115),
    [anon_sym_EQ] = ACTIONS(119),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(124),
    [anon_sym_LBRACE] = ACTIONS(703),
    [anon_sym_COMMA] = ACTIONS(128),
    [anon_sym_typeof] = ACTIONS(184),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(115),
    [anon_sym_BANG] = ACTIONS(136),
    [anon_sym_LPAREN] = ACTIONS(705),
    [anon_sym_RPAREN] = ACTIONS(128),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(128),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(708),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(122),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(155),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_EQ_GT] = ACTIONS(159),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(711),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(169),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(136),
    [anon_sym_DASH] = ACTIONS(136),
    [anon_sym_SLASH] = ACTIONS(177),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(713),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(186),
    [anon_sym_DASH_DASH] = ACTIONS(186),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(716),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(799),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(723),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(115),
    [anon_sym_readonly] = ACTIONS(115),
    [anon_sym_get] = ACTIONS(115),
    [anon_sym_set] = ACTIONS(115),
    [anon_sym_QMARK] = ACTIONS(725),
    [anon_sym_declare] = ACTIONS(115),
    [anon_sym_public] = ACTIONS(115),
    [anon_sym_private] = ACTIONS(115),
    [anon_sym_protected] = ACTIONS(115),
    [anon_sym_override] = ACTIONS(115),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_any] = ACTIONS(115),
    [anon_sym_number] = ACTIONS(115),
    [anon_sym_boolean] = ACTIONS(115),
    [anon_sym_string] = ACTIONS(115),
    [anon_sym_symbol] = ACTIONS(115),
    [anon_sym_object] = ACTIONS(115),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [85] = {
    [sym_import] = STATE(3594),
    [sym_parenthesized_expression] = STATE(1381),
    [sym_expression] = STATE(1817),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(4097),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(4097),
    [sym_glimmer_template] = STATE(1652),
    [sym_nested_identifier] = STATE(5868),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5865),
    [sym__formal_parameter] = STATE(4551),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1357),
    [sym_subscript_expression] = STATE(1357),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(3033),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(4097),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_sequence_expression] = STATE(5646),
    [sym_string] = STATE(2142),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(4280),
    [sym_pattern] = STATE(4057),
    [sym_rest_pattern] = STATE(3605),
    [sym_non_null_expression] = STATE(1357),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_nested_type_identifier] = STATE(2941),
    [sym_accessibility_modifier] = STATE(288),
    [sym_override_modifier] = STATE(303),
    [sym_required_parameter] = STATE(4551),
    [sym_optional_parameter] = STATE(4551),
    [sym__parameter_name] = STATE(3611),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2942),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2944),
    [sym_type] = STATE(4414),
    [sym_constructor_type] = STATE(2974),
    [sym_primary_type] = STATE(3014),
    [sym_template_literal_type] = STATE(3018),
    [sym_infer_type] = STATE(2974),
    [sym_conditional_type] = STATE(3018),
    [sym_generic_type] = STATE(3018),
    [sym_type_query] = STATE(3018),
    [sym_index_type_query] = STATE(3018),
    [sym_lookup_type] = STATE(3018),
    [sym_literal_type] = STATE(3018),
    [sym__number] = STATE(3031),
    [sym_existential_type] = STATE(3018),
    [sym_flow_maybe_type] = STATE(3018),
    [sym_parenthesized_type] = STATE(3018),
    [sym_predefined_type] = STATE(3018),
    [sym_type_arguments] = STATE(635),
    [sym_object_type] = STATE(3018),
    [sym_type_parameters] = STATE(5262),
    [sym_array_type] = STATE(3018),
    [sym_tuple_type] = STATE(3018),
    [sym_readonly_type] = STATE(2974),
    [sym_union_type] = STATE(3018),
    [sym_intersection_type] = STATE(3018),
    [sym_function_type] = STATE(2974),
    [aux_sym_export_statement_repeat1] = STATE(265),
    [sym_identifier] = ACTIONS(729),
    [anon_sym_export] = ACTIONS(731),
    [anon_sym_STAR] = ACTIONS(582),
    [anon_sym_type] = ACTIONS(731),
    [anon_sym_namespace] = ACTIONS(733),
    [anon_sym_LBRACE] = ACTIONS(735),
    [anon_sym_typeof] = ACTIONS(737),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(731),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_LPAREN] = ACTIONS(139),
    [anon_sym_RPAREN] = ACTIONS(741),
    [anon_sym_await] = ACTIONS(743),
    [anon_sym_yield] = ACTIONS(745),
    [anon_sym_LBRACK] = ACTIONS(747),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(749),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(751),
    [anon_sym_using] = ACTIONS(753),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(169),
    [anon_sym_AMP] = ACTIONS(755),
    [anon_sym_PIPE] = ACTIONS(757),
    [anon_sym_PLUS] = ACTIONS(759),
    [anon_sym_DASH] = ACTIONS(759),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(739),
    [anon_sym_void] = ACTIONS(761),
    [anon_sym_delete] = ACTIONS(763),
    [anon_sym_PLUS_PLUS] = ACTIONS(765),
    [anon_sym_DASH_DASH] = ACTIONS(765),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(767),
    [sym_number] = ACTIONS(769),
    [sym_private_property_identifier] = ACTIONS(771),
    [sym_this] = ACTIONS(773),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(775),
    [sym_false] = ACTIONS(775),
    [sym_null] = ACTIONS(775),
    [sym_undefined] = ACTIONS(777),
    [anon_sym_AT] = ACTIONS(779),
    [anon_sym_static] = ACTIONS(731),
    [anon_sym_readonly] = ACTIONS(781),
    [anon_sym_get] = ACTIONS(731),
    [anon_sym_set] = ACTIONS(731),
    [anon_sym_QMARK] = ACTIONS(783),
    [anon_sym_declare] = ACTIONS(731),
    [anon_sym_public] = ACTIONS(785),
    [anon_sym_private] = ACTIONS(785),
    [anon_sym_protected] = ACTIONS(785),
    [anon_sym_override] = ACTIONS(787),
    [anon_sym_module] = ACTIONS(731),
    [anon_sym_any] = ACTIONS(789),
    [anon_sym_number] = ACTIONS(789),
    [anon_sym_boolean] = ACTIONS(789),
    [anon_sym_string] = ACTIONS(789),
    [anon_sym_symbol] = ACTIONS(789),
    [anon_sym_object] = ACTIONS(789),
    [anon_sym_abstract] = ACTIONS(209),
    [anon_sym_infer] = ACTIONS(211),
    [anon_sym_keyof] = ACTIONS(213),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym_html_comment] = ACTIONS(5),
  },
  [86] = {
    [sym_import] = STATE(3702),
    [sym_parenthesized_expression] = STATE(1228),
    [sym_expression] = STATE(2615),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(3739),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(3739),
    [sym_glimmer_template] = STATE(1652),
    [sym_nested_identifier] = STATE(5868),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5824),
    [sym__formal_parameter] = STATE(4551),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1302),
    [sym_subscript_expression] = STATE(1302),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(2969),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(3739),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(2255),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(4280),
    [sym_pattern] = STATE(4057),
    [sym_rest_pattern] = STATE(3605),
    [sym_non_null_expression] = STATE(1302),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_nested_type_identifier] = STATE(2941),
    [sym_accessibility_modifier] = STATE(288),
    [sym_override_modifier] = STATE(303),
    [sym_required_parameter] = STATE(4551),
    [sym_optional_parameter] = STATE(4551),
    [sym__parameter_name] = STATE(3611),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2942),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2944),
    [sym_type] = STATE(4390),
    [sym_constructor_type] = STATE(2974),
    [sym_primary_type] = STATE(3014),
    [sym_template_literal_type] = STATE(3018),
    [sym_infer_type] = STATE(2974),
    [sym_conditional_type] = STATE(3018),
    [sym_generic_type] = STATE(3018),
    [sym_type_query] = STATE(3018),
    [sym_index_type_query] = STATE(3018),
    [sym_lookup_type] = STATE(3018),
    [sym_literal_type] = STATE(3018),
    [sym__number] = STATE(3031),
    [sym_existential_type] = STATE(3018),
    [sym_flow_maybe_type] = STATE(3018),
    [sym_parenthesized_type] = STATE(3018),
    [sym_predefined_type] = STATE(3018),
    [sym_type_arguments] = STATE(537),
    [sym_object_type] = STATE(3018),
    [sym_type_parameters] = STATE(5262),
    [sym_array_type] = STATE(3018),
    [sym_tuple_type] = STATE(3018),
    [sym_readonly_type] = STATE(2974),
    [sym_union_type] = STATE(3018),
    [sym_intersection_type] = STATE(3018),
    [sym_function_type] = STATE(2974),
    [aux_sym_export_statement_repeat1] = STATE(265),
    [sym_identifier] = ACTIONS(113),
    [anon_sym_export] = ACTIONS(115),
    [anon_sym_STAR] = ACTIONS(582),
    [anon_sym_type] = ACTIONS(115),
    [anon_sym_namespace] = ACTIONS(124),
    [anon_sym_LBRACE] = ACTIONS(126),
    [anon_sym_typeof] = ACTIONS(130),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(115),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_BANG] = ACTIONS(180),
    [anon_sym_LPAREN] = ACTIONS(139),
    [anon_sym_RPAREN] = ACTIONS(741),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(145),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(155),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(163),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(169),
    [anon_sym_AMP] = ACTIONS(755),
    [anon_sym_PIPE] = ACTIONS(757),
    [anon_sym_PLUS] = ACTIONS(175),
    [anon_sym_DASH] = ACTIONS(175),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(182),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(691),
    [anon_sym_DASH_DASH] = ACTIONS(691),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(189),
    [sym_number] = ACTIONS(191),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(801),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(201),
    [anon_sym_AT] = ACTIONS(779),
    [anon_sym_static] = ACTIONS(115),
    [anon_sym_readonly] = ACTIONS(803),
    [anon_sym_get] = ACTIONS(115),
    [anon_sym_set] = ACTIONS(115),
    [anon_sym_QMARK] = ACTIONS(783),
    [anon_sym_declare] = ACTIONS(115),
    [anon_sym_public] = ACTIONS(805),
    [anon_sym_private] = ACTIONS(805),
    [anon_sym_protected] = ACTIONS(805),
    [anon_sym_override] = ACTIONS(807),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_any] = ACTIONS(207),
    [anon_sym_number] = ACTIONS(207),
    [anon_sym_boolean] = ACTIONS(207),
    [anon_sym_string] = ACTIONS(207),
    [anon_sym_symbol] = ACTIONS(207),
    [anon_sym_object] = ACTIONS(207),
    [anon_sym_abstract] = ACTIONS(209),
    [anon_sym_infer] = ACTIONS(211),
    [anon_sym_keyof] = ACTIONS(213),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym_html_comment] = ACTIONS(5),
  },
  [87] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1228),
    [sym_expression] = STATE(2615),
    [sym_primary_expression] = STATE(1502),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5482),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5482),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5824),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1228),
    [sym_subscript_expression] = STATE(1228),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(2969),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5482),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1228),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(537),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(809),
    [anon_sym_export] = ACTIONS(811),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(811),
    [anon_sym_EQ] = ACTIONS(119),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(813),
    [anon_sym_LBRACE] = ACTIONS(815),
    [anon_sym_COMMA] = ACTIONS(128),
    [anon_sym_RBRACE] = ACTIONS(128),
    [anon_sym_typeof] = ACTIONS(184),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(811),
    [anon_sym_BANG] = ACTIONS(184),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_RPAREN] = ACTIONS(128),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(128),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(819),
    [anon_sym_RBRACK] = ACTIONS(128),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(821),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(823),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_EQ_GT] = ACTIONS(159),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(825),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(184),
    [anon_sym_DASH] = ACTIONS(184),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(691),
    [anon_sym_DASH_DASH] = ACTIONS(691),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(829),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(811),
    [anon_sym_readonly] = ACTIONS(811),
    [anon_sym_get] = ACTIONS(811),
    [anon_sym_set] = ACTIONS(811),
    [anon_sym_QMARK] = ACTIONS(725),
    [anon_sym_declare] = ACTIONS(811),
    [anon_sym_public] = ACTIONS(811),
    [anon_sym_private] = ACTIONS(811),
    [anon_sym_protected] = ACTIONS(811),
    [anon_sym_override] = ACTIONS(811),
    [anon_sym_module] = ACTIONS(811),
    [anon_sym_any] = ACTIONS(811),
    [anon_sym_number] = ACTIONS(811),
    [anon_sym_boolean] = ACTIONS(811),
    [anon_sym_string] = ACTIONS(811),
    [anon_sym_symbol] = ACTIONS(811),
    [anon_sym_object] = ACTIONS(811),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [88] = {
    [sym_import] = STATE(3702),
    [sym_parenthesized_expression] = STATE(1228),
    [sym_expression] = STATE(2615),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(3739),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(3739),
    [sym_glimmer_template] = STATE(1652),
    [sym_nested_identifier] = STATE(5868),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5824),
    [sym__formal_parameter] = STATE(4551),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1302),
    [sym_subscript_expression] = STATE(1302),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(2969),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(3739),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(2255),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(4280),
    [sym_pattern] = STATE(4057),
    [sym_rest_pattern] = STATE(3605),
    [sym_non_null_expression] = STATE(1302),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_nested_type_identifier] = STATE(2941),
    [sym_accessibility_modifier] = STATE(288),
    [sym_override_modifier] = STATE(303),
    [sym_required_parameter] = STATE(4551),
    [sym_optional_parameter] = STATE(4551),
    [sym__parameter_name] = STATE(3611),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2942),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2944),
    [sym_type] = STATE(4445),
    [sym_constructor_type] = STATE(2974),
    [sym_primary_type] = STATE(3014),
    [sym_template_literal_type] = STATE(3018),
    [sym_infer_type] = STATE(2974),
    [sym_conditional_type] = STATE(3018),
    [sym_generic_type] = STATE(3018),
    [sym_type_query] = STATE(3018),
    [sym_index_type_query] = STATE(3018),
    [sym_lookup_type] = STATE(3018),
    [sym_literal_type] = STATE(3018),
    [sym__number] = STATE(3031),
    [sym_existential_type] = STATE(3018),
    [sym_flow_maybe_type] = STATE(3018),
    [sym_parenthesized_type] = STATE(3018),
    [sym_predefined_type] = STATE(3018),
    [sym_type_arguments] = STATE(537),
    [sym_object_type] = STATE(3018),
    [sym_type_parameters] = STATE(5262),
    [sym_array_type] = STATE(3018),
    [sym_tuple_type] = STATE(3018),
    [sym_readonly_type] = STATE(2974),
    [sym_union_type] = STATE(3018),
    [sym_intersection_type] = STATE(3018),
    [sym_function_type] = STATE(2974),
    [aux_sym_export_statement_repeat1] = STATE(265),
    [sym_identifier] = ACTIONS(113),
    [anon_sym_export] = ACTIONS(115),
    [anon_sym_STAR] = ACTIONS(582),
    [anon_sym_type] = ACTIONS(115),
    [anon_sym_namespace] = ACTIONS(124),
    [anon_sym_LBRACE] = ACTIONS(126),
    [anon_sym_typeof] = ACTIONS(130),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(115),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_BANG] = ACTIONS(180),
    [anon_sym_LPAREN] = ACTIONS(139),
    [anon_sym_RPAREN] = ACTIONS(741),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(145),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(155),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(163),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(169),
    [anon_sym_AMP] = ACTIONS(755),
    [anon_sym_PIPE] = ACTIONS(757),
    [anon_sym_PLUS] = ACTIONS(175),
    [anon_sym_DASH] = ACTIONS(175),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(182),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(691),
    [anon_sym_DASH_DASH] = ACTIONS(691),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(189),
    [sym_number] = ACTIONS(191),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(801),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(201),
    [anon_sym_AT] = ACTIONS(779),
    [anon_sym_static] = ACTIONS(115),
    [anon_sym_readonly] = ACTIONS(803),
    [anon_sym_get] = ACTIONS(115),
    [anon_sym_set] = ACTIONS(115),
    [anon_sym_QMARK] = ACTIONS(783),
    [anon_sym_declare] = ACTIONS(115),
    [anon_sym_public] = ACTIONS(805),
    [anon_sym_private] = ACTIONS(805),
    [anon_sym_protected] = ACTIONS(805),
    [anon_sym_override] = ACTIONS(807),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_any] = ACTIONS(207),
    [anon_sym_number] = ACTIONS(207),
    [anon_sym_boolean] = ACTIONS(207),
    [anon_sym_string] = ACTIONS(207),
    [anon_sym_symbol] = ACTIONS(207),
    [anon_sym_object] = ACTIONS(207),
    [anon_sym_abstract] = ACTIONS(209),
    [anon_sym_infer] = ACTIONS(211),
    [anon_sym_keyof] = ACTIONS(213),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym_html_comment] = ACTIONS(5),
  },
  [89] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1228),
    [sym_expression] = STATE(2615),
    [sym_primary_expression] = STATE(1502),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5482),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5482),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5824),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1228),
    [sym_subscript_expression] = STATE(1228),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(2969),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5482),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1228),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(537),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(809),
    [anon_sym_export] = ACTIONS(811),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(811),
    [anon_sym_EQ] = ACTIONS(831),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(813),
    [anon_sym_LBRACE] = ACTIONS(815),
    [anon_sym_COMMA] = ACTIONS(833),
    [anon_sym_RBRACE] = ACTIONS(833),
    [anon_sym_typeof] = ACTIONS(184),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(811),
    [anon_sym_BANG] = ACTIONS(184),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_RPAREN] = ACTIONS(833),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(833),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(819),
    [anon_sym_RBRACK] = ACTIONS(833),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(821),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(823),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_EQ_GT] = ACTIONS(159),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(825),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(184),
    [anon_sym_DASH] = ACTIONS(184),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(691),
    [anon_sym_DASH_DASH] = ACTIONS(691),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(829),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(811),
    [anon_sym_readonly] = ACTIONS(811),
    [anon_sym_get] = ACTIONS(811),
    [anon_sym_set] = ACTIONS(811),
    [anon_sym_QMARK] = ACTIONS(835),
    [anon_sym_declare] = ACTIONS(811),
    [anon_sym_public] = ACTIONS(811),
    [anon_sym_private] = ACTIONS(811),
    [anon_sym_protected] = ACTIONS(811),
    [anon_sym_override] = ACTIONS(811),
    [anon_sym_module] = ACTIONS(811),
    [anon_sym_any] = ACTIONS(811),
    [anon_sym_number] = ACTIONS(811),
    [anon_sym_boolean] = ACTIONS(811),
    [anon_sym_string] = ACTIONS(811),
    [anon_sym_symbol] = ACTIONS(811),
    [anon_sym_object] = ACTIONS(811),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [90] = {
    [sym_import] = STATE(3702),
    [sym_parenthesized_expression] = STATE(1228),
    [sym_expression] = STATE(2615),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(3739),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(3739),
    [sym_glimmer_template] = STATE(1652),
    [sym_nested_identifier] = STATE(5868),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5824),
    [sym__formal_parameter] = STATE(4551),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1302),
    [sym_subscript_expression] = STATE(1302),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(2969),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(3739),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(2255),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(4280),
    [sym_pattern] = STATE(4057),
    [sym_rest_pattern] = STATE(3605),
    [sym_non_null_expression] = STATE(1302),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_nested_type_identifier] = STATE(2941),
    [sym_accessibility_modifier] = STATE(288),
    [sym_override_modifier] = STATE(303),
    [sym_required_parameter] = STATE(4551),
    [sym_optional_parameter] = STATE(4551),
    [sym__parameter_name] = STATE(3611),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2942),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2944),
    [sym_type] = STATE(4414),
    [sym_constructor_type] = STATE(2974),
    [sym_primary_type] = STATE(3014),
    [sym_template_literal_type] = STATE(3018),
    [sym_infer_type] = STATE(2974),
    [sym_conditional_type] = STATE(3018),
    [sym_generic_type] = STATE(3018),
    [sym_type_query] = STATE(3018),
    [sym_index_type_query] = STATE(3018),
    [sym_lookup_type] = STATE(3018),
    [sym_literal_type] = STATE(3018),
    [sym__number] = STATE(3031),
    [sym_existential_type] = STATE(3018),
    [sym_flow_maybe_type] = STATE(3018),
    [sym_parenthesized_type] = STATE(3018),
    [sym_predefined_type] = STATE(3018),
    [sym_type_arguments] = STATE(537),
    [sym_object_type] = STATE(3018),
    [sym_type_parameters] = STATE(5262),
    [sym_array_type] = STATE(3018),
    [sym_tuple_type] = STATE(3018),
    [sym_readonly_type] = STATE(2974),
    [sym_union_type] = STATE(3018),
    [sym_intersection_type] = STATE(3018),
    [sym_function_type] = STATE(2974),
    [aux_sym_export_statement_repeat1] = STATE(265),
    [sym_identifier] = ACTIONS(113),
    [anon_sym_export] = ACTIONS(115),
    [anon_sym_STAR] = ACTIONS(582),
    [anon_sym_type] = ACTIONS(115),
    [anon_sym_namespace] = ACTIONS(124),
    [anon_sym_LBRACE] = ACTIONS(126),
    [anon_sym_typeof] = ACTIONS(130),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(115),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_BANG] = ACTIONS(180),
    [anon_sym_LPAREN] = ACTIONS(139),
    [anon_sym_RPAREN] = ACTIONS(741),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(145),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(155),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(163),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(169),
    [anon_sym_AMP] = ACTIONS(755),
    [anon_sym_PIPE] = ACTIONS(757),
    [anon_sym_PLUS] = ACTIONS(175),
    [anon_sym_DASH] = ACTIONS(175),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(182),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(691),
    [anon_sym_DASH_DASH] = ACTIONS(691),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(189),
    [sym_number] = ACTIONS(191),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(801),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(201),
    [anon_sym_AT] = ACTIONS(779),
    [anon_sym_static] = ACTIONS(115),
    [anon_sym_readonly] = ACTIONS(803),
    [anon_sym_get] = ACTIONS(115),
    [anon_sym_set] = ACTIONS(115),
    [anon_sym_QMARK] = ACTIONS(783),
    [anon_sym_declare] = ACTIONS(115),
    [anon_sym_public] = ACTIONS(805),
    [anon_sym_private] = ACTIONS(805),
    [anon_sym_protected] = ACTIONS(805),
    [anon_sym_override] = ACTIONS(807),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_any] = ACTIONS(207),
    [anon_sym_number] = ACTIONS(207),
    [anon_sym_boolean] = ACTIONS(207),
    [anon_sym_string] = ACTIONS(207),
    [anon_sym_symbol] = ACTIONS(207),
    [anon_sym_object] = ACTIONS(207),
    [anon_sym_abstract] = ACTIONS(209),
    [anon_sym_infer] = ACTIONS(211),
    [anon_sym_keyof] = ACTIONS(213),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym_html_comment] = ACTIONS(5),
  },
  [91] = {
    [sym_import] = STATE(3702),
    [sym_parenthesized_expression] = STATE(1228),
    [sym_expression] = STATE(2615),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(3739),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(3739),
    [sym_glimmer_template] = STATE(1652),
    [sym_nested_identifier] = STATE(5868),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5824),
    [sym__formal_parameter] = STATE(4551),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1302),
    [sym_subscript_expression] = STATE(1302),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(2969),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(3739),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(2255),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(4280),
    [sym_pattern] = STATE(4057),
    [sym_rest_pattern] = STATE(3605),
    [sym_non_null_expression] = STATE(1302),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_nested_type_identifier] = STATE(2941),
    [sym_accessibility_modifier] = STATE(288),
    [sym_override_modifier] = STATE(303),
    [sym_required_parameter] = STATE(4551),
    [sym_optional_parameter] = STATE(4551),
    [sym__parameter_name] = STATE(3611),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2942),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2944),
    [sym_type] = STATE(4388),
    [sym_constructor_type] = STATE(2974),
    [sym_primary_type] = STATE(3014),
    [sym_template_literal_type] = STATE(3018),
    [sym_infer_type] = STATE(2974),
    [sym_conditional_type] = STATE(3018),
    [sym_generic_type] = STATE(3018),
    [sym_type_query] = STATE(3018),
    [sym_index_type_query] = STATE(3018),
    [sym_lookup_type] = STATE(3018),
    [sym_literal_type] = STATE(3018),
    [sym__number] = STATE(3031),
    [sym_existential_type] = STATE(3018),
    [sym_flow_maybe_type] = STATE(3018),
    [sym_parenthesized_type] = STATE(3018),
    [sym_predefined_type] = STATE(3018),
    [sym_type_arguments] = STATE(537),
    [sym_object_type] = STATE(3018),
    [sym_type_parameters] = STATE(5262),
    [sym_array_type] = STATE(3018),
    [sym_tuple_type] = STATE(3018),
    [sym_readonly_type] = STATE(2974),
    [sym_union_type] = STATE(3018),
    [sym_intersection_type] = STATE(3018),
    [sym_function_type] = STATE(2974),
    [aux_sym_export_statement_repeat1] = STATE(265),
    [sym_identifier] = ACTIONS(113),
    [anon_sym_export] = ACTIONS(115),
    [anon_sym_STAR] = ACTIONS(582),
    [anon_sym_type] = ACTIONS(115),
    [anon_sym_namespace] = ACTIONS(124),
    [anon_sym_LBRACE] = ACTIONS(126),
    [anon_sym_typeof] = ACTIONS(130),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(115),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_BANG] = ACTIONS(180),
    [anon_sym_LPAREN] = ACTIONS(139),
    [anon_sym_RPAREN] = ACTIONS(741),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(145),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(155),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(163),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(169),
    [anon_sym_AMP] = ACTIONS(755),
    [anon_sym_PIPE] = ACTIONS(757),
    [anon_sym_PLUS] = ACTIONS(175),
    [anon_sym_DASH] = ACTIONS(175),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(182),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(691),
    [anon_sym_DASH_DASH] = ACTIONS(691),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(189),
    [sym_number] = ACTIONS(191),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(801),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(201),
    [anon_sym_AT] = ACTIONS(779),
    [anon_sym_static] = ACTIONS(115),
    [anon_sym_readonly] = ACTIONS(803),
    [anon_sym_get] = ACTIONS(115),
    [anon_sym_set] = ACTIONS(115),
    [anon_sym_QMARK] = ACTIONS(783),
    [anon_sym_declare] = ACTIONS(115),
    [anon_sym_public] = ACTIONS(805),
    [anon_sym_private] = ACTIONS(805),
    [anon_sym_protected] = ACTIONS(805),
    [anon_sym_override] = ACTIONS(807),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_any] = ACTIONS(207),
    [anon_sym_number] = ACTIONS(207),
    [anon_sym_boolean] = ACTIONS(207),
    [anon_sym_string] = ACTIONS(207),
    [anon_sym_symbol] = ACTIONS(207),
    [anon_sym_object] = ACTIONS(207),
    [anon_sym_abstract] = ACTIONS(209),
    [anon_sym_infer] = ACTIONS(211),
    [anon_sym_keyof] = ACTIONS(213),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym_html_comment] = ACTIONS(5),
  },
  [92] = {
    [sym_import] = STATE(3702),
    [sym_parenthesized_expression] = STATE(1228),
    [sym_expression] = STATE(2615),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(3739),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(3739),
    [sym_glimmer_template] = STATE(1652),
    [sym_nested_identifier] = STATE(5868),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5824),
    [sym__formal_parameter] = STATE(4551),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1302),
    [sym_subscript_expression] = STATE(1302),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(2969),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(3739),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(2255),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(4280),
    [sym_pattern] = STATE(4057),
    [sym_rest_pattern] = STATE(3605),
    [sym_non_null_expression] = STATE(1302),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_nested_type_identifier] = STATE(2941),
    [sym_accessibility_modifier] = STATE(288),
    [sym_override_modifier] = STATE(303),
    [sym_required_parameter] = STATE(4551),
    [sym_optional_parameter] = STATE(4551),
    [sym__parameter_name] = STATE(3611),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2942),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2944),
    [sym_type] = STATE(4468),
    [sym_constructor_type] = STATE(2974),
    [sym_primary_type] = STATE(3014),
    [sym_template_literal_type] = STATE(3018),
    [sym_infer_type] = STATE(2974),
    [sym_conditional_type] = STATE(3018),
    [sym_generic_type] = STATE(3018),
    [sym_type_query] = STATE(3018),
    [sym_index_type_query] = STATE(3018),
    [sym_lookup_type] = STATE(3018),
    [sym_literal_type] = STATE(3018),
    [sym__number] = STATE(3031),
    [sym_existential_type] = STATE(3018),
    [sym_flow_maybe_type] = STATE(3018),
    [sym_parenthesized_type] = STATE(3018),
    [sym_predefined_type] = STATE(3018),
    [sym_type_arguments] = STATE(537),
    [sym_object_type] = STATE(3018),
    [sym_type_parameters] = STATE(5262),
    [sym_array_type] = STATE(3018),
    [sym_tuple_type] = STATE(3018),
    [sym_readonly_type] = STATE(2974),
    [sym_union_type] = STATE(3018),
    [sym_intersection_type] = STATE(3018),
    [sym_function_type] = STATE(2974),
    [aux_sym_export_statement_repeat1] = STATE(265),
    [sym_identifier] = ACTIONS(113),
    [anon_sym_export] = ACTIONS(115),
    [anon_sym_STAR] = ACTIONS(582),
    [anon_sym_type] = ACTIONS(115),
    [anon_sym_namespace] = ACTIONS(124),
    [anon_sym_LBRACE] = ACTIONS(126),
    [anon_sym_typeof] = ACTIONS(130),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(115),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_BANG] = ACTIONS(180),
    [anon_sym_LPAREN] = ACTIONS(139),
    [anon_sym_RPAREN] = ACTIONS(741),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(145),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(155),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(163),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(169),
    [anon_sym_AMP] = ACTIONS(755),
    [anon_sym_PIPE] = ACTIONS(757),
    [anon_sym_PLUS] = ACTIONS(175),
    [anon_sym_DASH] = ACTIONS(175),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(182),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(691),
    [anon_sym_DASH_DASH] = ACTIONS(691),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(189),
    [sym_number] = ACTIONS(191),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(801),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(201),
    [anon_sym_AT] = ACTIONS(779),
    [anon_sym_static] = ACTIONS(115),
    [anon_sym_readonly] = ACTIONS(803),
    [anon_sym_get] = ACTIONS(115),
    [anon_sym_set] = ACTIONS(115),
    [anon_sym_QMARK] = ACTIONS(783),
    [anon_sym_declare] = ACTIONS(115),
    [anon_sym_public] = ACTIONS(805),
    [anon_sym_private] = ACTIONS(805),
    [anon_sym_protected] = ACTIONS(805),
    [anon_sym_override] = ACTIONS(807),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_any] = ACTIONS(207),
    [anon_sym_number] = ACTIONS(207),
    [anon_sym_boolean] = ACTIONS(207),
    [anon_sym_string] = ACTIONS(207),
    [anon_sym_symbol] = ACTIONS(207),
    [anon_sym_object] = ACTIONS(207),
    [anon_sym_abstract] = ACTIONS(209),
    [anon_sym_infer] = ACTIONS(211),
    [anon_sym_keyof] = ACTIONS(213),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym_html_comment] = ACTIONS(5),
  },
  [93] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1228),
    [sym_expression] = STATE(2615),
    [sym_primary_expression] = STATE(1502),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5482),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5482),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5565),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1228),
    [sym_subscript_expression] = STATE(1228),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(2969),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5482),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(4101),
    [sym_non_null_expression] = STATE(1228),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(537),
    [sym_type_parameters] = STATE(5152),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(837),
    [anon_sym_export] = ACTIONS(839),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(839),
    [anon_sym_EQ] = ACTIONS(841),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(843),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_RBRACE] = ACTIONS(161),
    [anon_sym_typeof] = ACTIONS(184),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(839),
    [anon_sym_BANG] = ACTIONS(184),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(161),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(847),
    [anon_sym_RBRACK] = ACTIONS(161),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(821),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(849),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_EQ_GT] = ACTIONS(851),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(853),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(184),
    [anon_sym_DASH] = ACTIONS(184),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(691),
    [anon_sym_DASH_DASH] = ACTIONS(691),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(829),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(839),
    [anon_sym_readonly] = ACTIONS(839),
    [anon_sym_get] = ACTIONS(839),
    [anon_sym_set] = ACTIONS(839),
    [anon_sym_declare] = ACTIONS(839),
    [anon_sym_public] = ACTIONS(839),
    [anon_sym_private] = ACTIONS(839),
    [anon_sym_protected] = ACTIONS(839),
    [anon_sym_override] = ACTIONS(839),
    [anon_sym_module] = ACTIONS(839),
    [anon_sym_any] = ACTIONS(839),
    [anon_sym_number] = ACTIONS(839),
    [anon_sym_boolean] = ACTIONS(839),
    [anon_sym_string] = ACTIONS(839),
    [anon_sym_symbol] = ACTIONS(839),
    [anon_sym_object] = ACTIONS(839),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [94] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1228),
    [sym_expression] = STATE(2615),
    [sym_primary_expression] = STATE(1502),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5482),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5482),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5565),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1228),
    [sym_subscript_expression] = STATE(1228),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(2969),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5482),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1228),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(537),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(837),
    [anon_sym_export] = ACTIONS(839),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(839),
    [anon_sym_EQ] = ACTIONS(841),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(843),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_RBRACE] = ACTIONS(161),
    [anon_sym_typeof] = ACTIONS(184),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(839),
    [anon_sym_BANG] = ACTIONS(184),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(161),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(847),
    [anon_sym_RBRACK] = ACTIONS(161),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(821),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(849),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_EQ_GT] = ACTIONS(851),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(853),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(184),
    [anon_sym_DASH] = ACTIONS(184),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(691),
    [anon_sym_DASH_DASH] = ACTIONS(691),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(829),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(839),
    [anon_sym_readonly] = ACTIONS(839),
    [anon_sym_get] = ACTIONS(839),
    [anon_sym_set] = ACTIONS(839),
    [anon_sym_declare] = ACTIONS(839),
    [anon_sym_public] = ACTIONS(839),
    [anon_sym_private] = ACTIONS(839),
    [anon_sym_protected] = ACTIONS(839),
    [anon_sym_override] = ACTIONS(839),
    [anon_sym_module] = ACTIONS(839),
    [anon_sym_any] = ACTIONS(839),
    [anon_sym_number] = ACTIONS(839),
    [anon_sym_boolean] = ACTIONS(839),
    [anon_sym_string] = ACTIONS(839),
    [anon_sym_symbol] = ACTIONS(839),
    [anon_sym_object] = ACTIONS(839),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [95] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1228),
    [sym_expression] = STATE(2615),
    [sym_primary_expression] = STATE(1502),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5482),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5482),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5824),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1228),
    [sym_subscript_expression] = STATE(1228),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(2969),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5482),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1228),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(537),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(809),
    [anon_sym_export] = ACTIONS(811),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(811),
    [anon_sym_EQ] = ACTIONS(831),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(813),
    [anon_sym_LBRACE] = ACTIONS(815),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_RBRACE] = ACTIONS(161),
    [anon_sym_typeof] = ACTIONS(184),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(811),
    [anon_sym_BANG] = ACTIONS(184),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(161),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(819),
    [anon_sym_RBRACK] = ACTIONS(161),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(821),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(823),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_EQ_GT] = ACTIONS(851),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(825),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(184),
    [anon_sym_DASH] = ACTIONS(184),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(691),
    [anon_sym_DASH_DASH] = ACTIONS(691),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(829),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(811),
    [anon_sym_readonly] = ACTIONS(811),
    [anon_sym_get] = ACTIONS(811),
    [anon_sym_set] = ACTIONS(811),
    [anon_sym_declare] = ACTIONS(811),
    [anon_sym_public] = ACTIONS(811),
    [anon_sym_private] = ACTIONS(811),
    [anon_sym_protected] = ACTIONS(811),
    [anon_sym_override] = ACTIONS(811),
    [anon_sym_module] = ACTIONS(811),
    [anon_sym_any] = ACTIONS(811),
    [anon_sym_number] = ACTIONS(811),
    [anon_sym_boolean] = ACTIONS(811),
    [anon_sym_string] = ACTIONS(811),
    [anon_sym_symbol] = ACTIONS(811),
    [anon_sym_object] = ACTIONS(811),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [96] = {
    [sym_import] = STATE(3513),
    [sym_parenthesized_expression] = STATE(1325),
    [sym_expression] = STATE(2638),
    [sym_primary_expression] = STATE(1712),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(2117),
    [sym_object_pattern] = STATE(5482),
    [sym_array] = STATE(2117),
    [sym_array_pattern] = STATE(5482),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(2117),
    [sym_function_expression] = STATE(2117),
    [sym_generator_function] = STATE(2117),
    [sym_arrow_function] = STATE(2117),
    [sym__call_signature] = STATE(5525),
    [sym_call_expression] = STATE(2117),
    [sym_new_expression] = STATE(2686),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1325),
    [sym_subscript_expression] = STATE(1325),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(2969),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5482),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(2117),
    [sym_template_string] = STATE(2117),
    [sym_regex] = STATE(2117),
    [sym_meta_property] = STATE(2117),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1325),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(537),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4499),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(664),
    [anon_sym_EQ] = ACTIONS(855),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(668),
    [anon_sym_LBRACE] = ACTIONS(670),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_typeof] = ACTIONS(184),
    [anon_sym_import] = ACTIONS(674),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_BANG] = ACTIONS(184),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(857),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(679),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(681),
    [anon_sym_async] = ACTIONS(683),
    [anon_sym_function] = ACTIONS(685),
    [anon_sym_EQ_GT] = ACTIONS(687),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(689),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(184),
    [anon_sym_DASH] = ACTIONS(184),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(691),
    [anon_sym_DASH_DASH] = ACTIONS(691),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(693),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_readonly] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [anon_sym_declare] = ACTIONS(664),
    [anon_sym_public] = ACTIONS(664),
    [anon_sym_private] = ACTIONS(664),
    [anon_sym_protected] = ACTIONS(664),
    [anon_sym_override] = ACTIONS(664),
    [anon_sym_module] = ACTIONS(664),
    [anon_sym_any] = ACTIONS(664),
    [anon_sym_number] = ACTIONS(664),
    [anon_sym_boolean] = ACTIONS(664),
    [anon_sym_string] = ACTIONS(664),
    [anon_sym_symbol] = ACTIONS(664),
    [anon_sym_object] = ACTIONS(664),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [97] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1228),
    [sym_expression] = STATE(2615),
    [sym_primary_expression] = STATE(1502),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5482),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5482),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5824),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1228),
    [sym_subscript_expression] = STATE(1228),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(2969),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5482),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(4101),
    [sym_non_null_expression] = STATE(1228),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(537),
    [sym_type_parameters] = STATE(5152),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(809),
    [anon_sym_export] = ACTIONS(811),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(811),
    [anon_sym_EQ] = ACTIONS(119),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(813),
    [anon_sym_LBRACE] = ACTIONS(815),
    [anon_sym_COMMA] = ACTIONS(128),
    [anon_sym_typeof] = ACTIONS(184),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(811),
    [anon_sym_BANG] = ACTIONS(184),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_RPAREN] = ACTIONS(128),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(128),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(819),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(821),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(823),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_EQ_GT] = ACTIONS(159),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(825),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(184),
    [anon_sym_DASH] = ACTIONS(184),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(691),
    [anon_sym_DASH_DASH] = ACTIONS(691),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(829),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(811),
    [anon_sym_readonly] = ACTIONS(811),
    [anon_sym_get] = ACTIONS(811),
    [anon_sym_set] = ACTIONS(811),
    [anon_sym_QMARK] = ACTIONS(725),
    [anon_sym_declare] = ACTIONS(811),
    [anon_sym_public] = ACTIONS(811),
    [anon_sym_private] = ACTIONS(811),
    [anon_sym_protected] = ACTIONS(811),
    [anon_sym_override] = ACTIONS(811),
    [anon_sym_module] = ACTIONS(811),
    [anon_sym_any] = ACTIONS(811),
    [anon_sym_number] = ACTIONS(811),
    [anon_sym_boolean] = ACTIONS(811),
    [anon_sym_string] = ACTIONS(811),
    [anon_sym_symbol] = ACTIONS(811),
    [anon_sym_object] = ACTIONS(811),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [98] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1228),
    [sym_expression] = STATE(2615),
    [sym_primary_expression] = STATE(1502),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5482),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5482),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5865),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1228),
    [sym_subscript_expression] = STATE(1228),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(2969),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5482),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(4101),
    [sym_non_null_expression] = STATE(1228),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(537),
    [sym_type_parameters] = STATE(5152),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(859),
    [anon_sym_export] = ACTIONS(861),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(861),
    [anon_sym_EQ] = ACTIONS(221),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(863),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_COMMA] = ACTIONS(224),
    [anon_sym_typeof] = ACTIONS(184),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(861),
    [anon_sym_BANG] = ACTIONS(184),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_RPAREN] = ACTIONS(224),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(224),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(821),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(865),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_EQ_GT] = ACTIONS(227),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(867),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(184),
    [anon_sym_DASH] = ACTIONS(184),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(691),
    [anon_sym_DASH_DASH] = ACTIONS(691),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(829),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(861),
    [anon_sym_readonly] = ACTIONS(861),
    [anon_sym_get] = ACTIONS(861),
    [anon_sym_set] = ACTIONS(861),
    [anon_sym_QMARK] = ACTIONS(725),
    [anon_sym_declare] = ACTIONS(861),
    [anon_sym_public] = ACTIONS(861),
    [anon_sym_private] = ACTIONS(861),
    [anon_sym_protected] = ACTIONS(861),
    [anon_sym_override] = ACTIONS(861),
    [anon_sym_module] = ACTIONS(861),
    [anon_sym_any] = ACTIONS(861),
    [anon_sym_number] = ACTIONS(861),
    [anon_sym_boolean] = ACTIONS(861),
    [anon_sym_string] = ACTIONS(861),
    [anon_sym_symbol] = ACTIONS(861),
    [anon_sym_object] = ACTIONS(861),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [99] = {
    [sym_import] = STATE(3513),
    [sym_parenthesized_expression] = STATE(1325),
    [sym_expression] = STATE(2638),
    [sym_primary_expression] = STATE(1712),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(2117),
    [sym_object_pattern] = STATE(5482),
    [sym_array] = STATE(2117),
    [sym_array_pattern] = STATE(5482),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(2117),
    [sym_function_expression] = STATE(2117),
    [sym_generator_function] = STATE(2117),
    [sym_arrow_function] = STATE(2117),
    [sym__call_signature] = STATE(5525),
    [sym_call_expression] = STATE(2117),
    [sym_new_expression] = STATE(2686),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1325),
    [sym_subscript_expression] = STATE(1325),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(2969),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5482),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(2117),
    [sym_template_string] = STATE(2117),
    [sym_regex] = STATE(2117),
    [sym_meta_property] = STATE(2117),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1325),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(537),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4499),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(664),
    [anon_sym_EQ] = ACTIONS(855),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(668),
    [anon_sym_LBRACE] = ACTIONS(670),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_typeof] = ACTIONS(184),
    [anon_sym_import] = ACTIONS(674),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_BANG] = ACTIONS(184),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(869),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(679),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(681),
    [anon_sym_async] = ACTIONS(683),
    [anon_sym_function] = ACTIONS(685),
    [anon_sym_EQ_GT] = ACTIONS(687),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(689),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(184),
    [anon_sym_DASH] = ACTIONS(184),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(691),
    [anon_sym_DASH_DASH] = ACTIONS(691),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(693),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_readonly] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [anon_sym_declare] = ACTIONS(664),
    [anon_sym_public] = ACTIONS(664),
    [anon_sym_private] = ACTIONS(664),
    [anon_sym_protected] = ACTIONS(664),
    [anon_sym_override] = ACTIONS(664),
    [anon_sym_module] = ACTIONS(664),
    [anon_sym_any] = ACTIONS(664),
    [anon_sym_number] = ACTIONS(664),
    [anon_sym_boolean] = ACTIONS(664),
    [anon_sym_string] = ACTIONS(664),
    [anon_sym_symbol] = ACTIONS(664),
    [anon_sym_object] = ACTIONS(664),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [100] = {
    [sym_import] = STATE(3513),
    [sym_parenthesized_expression] = STATE(1325),
    [sym_expression] = STATE(2638),
    [sym_primary_expression] = STATE(1712),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(2117),
    [sym_object_pattern] = STATE(5482),
    [sym_array] = STATE(2117),
    [sym_array_pattern] = STATE(5482),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(2117),
    [sym_function_expression] = STATE(2117),
    [sym_generator_function] = STATE(2117),
    [sym_arrow_function] = STATE(2117),
    [sym__call_signature] = STATE(5525),
    [sym_call_expression] = STATE(2117),
    [sym_new_expression] = STATE(2686),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1325),
    [sym_subscript_expression] = STATE(1325),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(2969),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5482),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(2117),
    [sym_template_string] = STATE(2117),
    [sym_regex] = STATE(2117),
    [sym_meta_property] = STATE(2117),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(4101),
    [sym_non_null_expression] = STATE(1325),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(537),
    [sym_type_parameters] = STATE(5152),
    [aux_sym_export_statement_repeat1] = STATE(4499),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(664),
    [anon_sym_EQ] = ACTIONS(855),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(668),
    [anon_sym_LBRACE] = ACTIONS(670),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_RBRACE] = ACTIONS(161),
    [anon_sym_typeof] = ACTIONS(184),
    [anon_sym_import] = ACTIONS(674),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_BANG] = ACTIONS(184),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(679),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(681),
    [anon_sym_async] = ACTIONS(683),
    [anon_sym_function] = ACTIONS(685),
    [anon_sym_EQ_GT] = ACTIONS(687),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(689),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(184),
    [anon_sym_DASH] = ACTIONS(184),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(691),
    [anon_sym_DASH_DASH] = ACTIONS(691),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(693),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_readonly] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [anon_sym_declare] = ACTIONS(664),
    [anon_sym_public] = ACTIONS(664),
    [anon_sym_private] = ACTIONS(664),
    [anon_sym_protected] = ACTIONS(664),
    [anon_sym_override] = ACTIONS(664),
    [anon_sym_module] = ACTIONS(664),
    [anon_sym_any] = ACTIONS(664),
    [anon_sym_number] = ACTIONS(664),
    [anon_sym_boolean] = ACTIONS(664),
    [anon_sym_string] = ACTIONS(664),
    [anon_sym_symbol] = ACTIONS(664),
    [anon_sym_object] = ACTIONS(664),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [101] = {
    [sym_import] = STATE(3513),
    [sym_parenthesized_expression] = STATE(1325),
    [sym_expression] = STATE(2638),
    [sym_primary_expression] = STATE(1712),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(2117),
    [sym_object_pattern] = STATE(5482),
    [sym_array] = STATE(2117),
    [sym_array_pattern] = STATE(5482),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(2117),
    [sym_function_expression] = STATE(2117),
    [sym_generator_function] = STATE(2117),
    [sym_arrow_function] = STATE(2117),
    [sym__call_signature] = STATE(5783),
    [sym_call_expression] = STATE(2117),
    [sym_new_expression] = STATE(2686),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1325),
    [sym_subscript_expression] = STATE(1325),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(2969),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5482),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(2117),
    [sym_template_string] = STATE(2117),
    [sym_regex] = STATE(2117),
    [sym_meta_property] = STATE(2117),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(4101),
    [sym_non_null_expression] = STATE(1325),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(537),
    [sym_type_parameters] = STATE(5152),
    [aux_sym_export_statement_repeat1] = STATE(4499),
    [sym_identifier] = ACTIONS(871),
    [anon_sym_export] = ACTIONS(873),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(873),
    [anon_sym_EQ] = ACTIONS(875),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(877),
    [anon_sym_LBRACE] = ACTIONS(670),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_typeof] = ACTIONS(184),
    [anon_sym_import] = ACTIONS(674),
    [anon_sym_let] = ACTIONS(873),
    [anon_sym_BANG] = ACTIONS(184),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_of] = ACTIONS(122),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(679),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(681),
    [anon_sym_async] = ACTIONS(879),
    [anon_sym_function] = ACTIONS(685),
    [anon_sym_EQ_GT] = ACTIONS(881),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(883),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(184),
    [anon_sym_DASH] = ACTIONS(184),
    [anon_sym_SLASH] = ACTIONS(885),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(691),
    [anon_sym_DASH_DASH] = ACTIONS(691),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(693),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(873),
    [anon_sym_readonly] = ACTIONS(873),
    [anon_sym_get] = ACTIONS(873),
    [anon_sym_set] = ACTIONS(873),
    [anon_sym_declare] = ACTIONS(873),
    [anon_sym_public] = ACTIONS(873),
    [anon_sym_private] = ACTIONS(873),
    [anon_sym_protected] = ACTIONS(873),
    [anon_sym_override] = ACTIONS(873),
    [anon_sym_module] = ACTIONS(873),
    [anon_sym_any] = ACTIONS(873),
    [anon_sym_number] = ACTIONS(873),
    [anon_sym_boolean] = ACTIONS(873),
    [anon_sym_string] = ACTIONS(873),
    [anon_sym_symbol] = ACTIONS(873),
    [anon_sym_object] = ACTIONS(873),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [102] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1228),
    [sym_expression] = STATE(2615),
    [sym_primary_expression] = STATE(1502),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5482),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5482),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5824),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1228),
    [sym_subscript_expression] = STATE(1228),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(2969),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5482),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1228),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(537),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(809),
    [anon_sym_export] = ACTIONS(811),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(811),
    [anon_sym_EQ] = ACTIONS(831),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(813),
    [anon_sym_LBRACE] = ACTIONS(815),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_RBRACE] = ACTIONS(161),
    [anon_sym_typeof] = ACTIONS(184),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(811),
    [anon_sym_BANG] = ACTIONS(184),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(819),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(679),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(823),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_EQ_GT] = ACTIONS(687),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(825),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(184),
    [anon_sym_DASH] = ACTIONS(184),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(691),
    [anon_sym_DASH_DASH] = ACTIONS(691),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(829),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(811),
    [anon_sym_readonly] = ACTIONS(811),
    [anon_sym_get] = ACTIONS(811),
    [anon_sym_set] = ACTIONS(811),
    [anon_sym_declare] = ACTIONS(811),
    [anon_sym_public] = ACTIONS(811),
    [anon_sym_private] = ACTIONS(811),
    [anon_sym_protected] = ACTIONS(811),
    [anon_sym_override] = ACTIONS(811),
    [anon_sym_module] = ACTIONS(811),
    [anon_sym_any] = ACTIONS(811),
    [anon_sym_number] = ACTIONS(811),
    [anon_sym_boolean] = ACTIONS(811),
    [anon_sym_string] = ACTIONS(811),
    [anon_sym_symbol] = ACTIONS(811),
    [anon_sym_object] = ACTIONS(811),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [103] = {
    [sym_import] = STATE(3513),
    [sym_parenthesized_expression] = STATE(1325),
    [sym_expression] = STATE(2638),
    [sym_primary_expression] = STATE(1712),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(2117),
    [sym_object_pattern] = STATE(5482),
    [sym_array] = STATE(2117),
    [sym_array_pattern] = STATE(5482),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(2117),
    [sym_function_expression] = STATE(2117),
    [sym_generator_function] = STATE(2117),
    [sym_arrow_function] = STATE(2117),
    [sym__call_signature] = STATE(5783),
    [sym_call_expression] = STATE(2117),
    [sym_new_expression] = STATE(2686),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1325),
    [sym_subscript_expression] = STATE(1325),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(2969),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5482),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(2117),
    [sym_template_string] = STATE(2117),
    [sym_regex] = STATE(2117),
    [sym_meta_property] = STATE(2117),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1325),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(537),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4499),
    [sym_identifier] = ACTIONS(871),
    [anon_sym_export] = ACTIONS(873),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(873),
    [anon_sym_EQ] = ACTIONS(875),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(877),
    [anon_sym_LBRACE] = ACTIONS(670),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_typeof] = ACTIONS(184),
    [anon_sym_import] = ACTIONS(674),
    [anon_sym_let] = ACTIONS(873),
    [anon_sym_BANG] = ACTIONS(184),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_of] = ACTIONS(122),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(679),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(681),
    [anon_sym_async] = ACTIONS(879),
    [anon_sym_function] = ACTIONS(685),
    [anon_sym_EQ_GT] = ACTIONS(881),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(883),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(184),
    [anon_sym_DASH] = ACTIONS(184),
    [anon_sym_SLASH] = ACTIONS(885),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(691),
    [anon_sym_DASH_DASH] = ACTIONS(691),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(693),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(873),
    [anon_sym_readonly] = ACTIONS(873),
    [anon_sym_get] = ACTIONS(873),
    [anon_sym_set] = ACTIONS(873),
    [anon_sym_declare] = ACTIONS(873),
    [anon_sym_public] = ACTIONS(873),
    [anon_sym_private] = ACTIONS(873),
    [anon_sym_protected] = ACTIONS(873),
    [anon_sym_override] = ACTIONS(873),
    [anon_sym_module] = ACTIONS(873),
    [anon_sym_any] = ACTIONS(873),
    [anon_sym_number] = ACTIONS(873),
    [anon_sym_boolean] = ACTIONS(873),
    [anon_sym_string] = ACTIONS(873),
    [anon_sym_symbol] = ACTIONS(873),
    [anon_sym_object] = ACTIONS(873),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [104] = {
    [sym_import] = STATE(3513),
    [sym_parenthesized_expression] = STATE(1325),
    [sym_expression] = STATE(2638),
    [sym_primary_expression] = STATE(1712),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(2117),
    [sym_object_pattern] = STATE(5482),
    [sym_array] = STATE(2117),
    [sym_array_pattern] = STATE(5482),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(2117),
    [sym_function_expression] = STATE(2117),
    [sym_generator_function] = STATE(2117),
    [sym_arrow_function] = STATE(2117),
    [sym__call_signature] = STATE(5525),
    [sym_call_expression] = STATE(2117),
    [sym_new_expression] = STATE(2686),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1325),
    [sym_subscript_expression] = STATE(1325),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(2969),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5482),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(2117),
    [sym_template_string] = STATE(2117),
    [sym_regex] = STATE(2117),
    [sym_meta_property] = STATE(2117),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1325),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(537),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4499),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(664),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(664),
    [anon_sym_EQ] = ACTIONS(855),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(668),
    [anon_sym_LBRACE] = ACTIONS(670),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_RBRACE] = ACTIONS(161),
    [anon_sym_typeof] = ACTIONS(184),
    [anon_sym_import] = ACTIONS(674),
    [anon_sym_let] = ACTIONS(664),
    [anon_sym_BANG] = ACTIONS(184),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(679),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(681),
    [anon_sym_async] = ACTIONS(683),
    [anon_sym_function] = ACTIONS(685),
    [anon_sym_EQ_GT] = ACTIONS(687),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(689),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(184),
    [anon_sym_DASH] = ACTIONS(184),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(691),
    [anon_sym_DASH_DASH] = ACTIONS(691),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(693),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(664),
    [anon_sym_readonly] = ACTIONS(664),
    [anon_sym_get] = ACTIONS(664),
    [anon_sym_set] = ACTIONS(664),
    [anon_sym_declare] = ACTIONS(664),
    [anon_sym_public] = ACTIONS(664),
    [anon_sym_private] = ACTIONS(664),
    [anon_sym_protected] = ACTIONS(664),
    [anon_sym_override] = ACTIONS(664),
    [anon_sym_module] = ACTIONS(664),
    [anon_sym_any] = ACTIONS(664),
    [anon_sym_number] = ACTIONS(664),
    [anon_sym_boolean] = ACTIONS(664),
    [anon_sym_string] = ACTIONS(664),
    [anon_sym_symbol] = ACTIONS(664),
    [anon_sym_object] = ACTIONS(664),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [105] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1228),
    [sym_expression] = STATE(2615),
    [sym_primary_expression] = STATE(1502),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5482),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5482),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5824),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1228),
    [sym_subscript_expression] = STATE(1228),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(2969),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5482),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1228),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(537),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(809),
    [anon_sym_export] = ACTIONS(811),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(811),
    [anon_sym_EQ] = ACTIONS(831),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(813),
    [anon_sym_LBRACE] = ACTIONS(815),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_typeof] = ACTIONS(184),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(811),
    [anon_sym_BANG] = ACTIONS(184),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_of] = ACTIONS(122),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(819),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(679),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(823),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_EQ_GT] = ACTIONS(881),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(825),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(184),
    [anon_sym_DASH] = ACTIONS(184),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(691),
    [anon_sym_DASH_DASH] = ACTIONS(691),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(829),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(811),
    [anon_sym_readonly] = ACTIONS(811),
    [anon_sym_get] = ACTIONS(811),
    [anon_sym_set] = ACTIONS(811),
    [anon_sym_declare] = ACTIONS(811),
    [anon_sym_public] = ACTIONS(811),
    [anon_sym_private] = ACTIONS(811),
    [anon_sym_protected] = ACTIONS(811),
    [anon_sym_override] = ACTIONS(811),
    [anon_sym_module] = ACTIONS(811),
    [anon_sym_any] = ACTIONS(811),
    [anon_sym_number] = ACTIONS(811),
    [anon_sym_boolean] = ACTIONS(811),
    [anon_sym_string] = ACTIONS(811),
    [anon_sym_symbol] = ACTIONS(811),
    [anon_sym_object] = ACTIONS(811),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [106] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1228),
    [sym_expression] = STATE(2615),
    [sym_primary_expression] = STATE(1502),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5482),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5482),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5865),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1228),
    [sym_subscript_expression] = STATE(1228),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(2969),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5482),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1228),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(537),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(859),
    [anon_sym_export] = ACTIONS(861),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(861),
    [anon_sym_EQ] = ACTIONS(221),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(863),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_COMMA] = ACTIONS(224),
    [anon_sym_typeof] = ACTIONS(184),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(861),
    [anon_sym_BANG] = ACTIONS(184),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_RPAREN] = ACTIONS(224),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(224),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(821),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(865),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_EQ_GT] = ACTIONS(227),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(867),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(184),
    [anon_sym_DASH] = ACTIONS(184),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(691),
    [anon_sym_DASH_DASH] = ACTIONS(691),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(829),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(861),
    [anon_sym_readonly] = ACTIONS(861),
    [anon_sym_get] = ACTIONS(861),
    [anon_sym_set] = ACTIONS(861),
    [anon_sym_QMARK] = ACTIONS(725),
    [anon_sym_declare] = ACTIONS(861),
    [anon_sym_public] = ACTIONS(861),
    [anon_sym_private] = ACTIONS(861),
    [anon_sym_protected] = ACTIONS(861),
    [anon_sym_override] = ACTIONS(861),
    [anon_sym_module] = ACTIONS(861),
    [anon_sym_any] = ACTIONS(861),
    [anon_sym_number] = ACTIONS(861),
    [anon_sym_boolean] = ACTIONS(861),
    [anon_sym_string] = ACTIONS(861),
    [anon_sym_symbol] = ACTIONS(861),
    [anon_sym_object] = ACTIONS(861),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [107] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1228),
    [sym_expression] = STATE(2615),
    [sym_primary_expression] = STATE(1502),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5482),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5482),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5565),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1228),
    [sym_subscript_expression] = STATE(1228),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(2969),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5482),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1228),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(537),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(837),
    [anon_sym_export] = ACTIONS(839),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(839),
    [anon_sym_EQ] = ACTIONS(887),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(843),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_COMMA] = ACTIONS(224),
    [anon_sym_RBRACE] = ACTIONS(224),
    [anon_sym_typeof] = ACTIONS(184),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(839),
    [anon_sym_BANG] = ACTIONS(184),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(847),
    [anon_sym_RBRACK] = ACTIONS(224),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(821),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(849),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_EQ_GT] = ACTIONS(851),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(853),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(184),
    [anon_sym_DASH] = ACTIONS(184),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(691),
    [anon_sym_DASH_DASH] = ACTIONS(691),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(829),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(839),
    [anon_sym_readonly] = ACTIONS(839),
    [anon_sym_get] = ACTIONS(839),
    [anon_sym_set] = ACTIONS(839),
    [anon_sym_declare] = ACTIONS(839),
    [anon_sym_public] = ACTIONS(839),
    [anon_sym_private] = ACTIONS(839),
    [anon_sym_protected] = ACTIONS(839),
    [anon_sym_override] = ACTIONS(839),
    [anon_sym_module] = ACTIONS(839),
    [anon_sym_any] = ACTIONS(839),
    [anon_sym_number] = ACTIONS(839),
    [anon_sym_boolean] = ACTIONS(839),
    [anon_sym_string] = ACTIONS(839),
    [anon_sym_symbol] = ACTIONS(839),
    [anon_sym_object] = ACTIONS(839),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [108] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1228),
    [sym_expression] = STATE(2615),
    [sym_primary_expression] = STATE(1502),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5482),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5482),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5865),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1228),
    [sym_subscript_expression] = STATE(1228),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(2969),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5482),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1228),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(537),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(859),
    [anon_sym_export] = ACTIONS(861),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(861),
    [anon_sym_EQ] = ACTIONS(890),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(863),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_typeof] = ACTIONS(184),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(861),
    [anon_sym_BANG] = ACTIONS(184),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_RPAREN] = ACTIONS(161),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(161),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(821),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(865),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_EQ_GT] = ACTIONS(227),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(867),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(184),
    [anon_sym_DASH] = ACTIONS(184),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(691),
    [anon_sym_DASH_DASH] = ACTIONS(691),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(829),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(861),
    [anon_sym_readonly] = ACTIONS(861),
    [anon_sym_get] = ACTIONS(861),
    [anon_sym_set] = ACTIONS(861),
    [anon_sym_declare] = ACTIONS(861),
    [anon_sym_public] = ACTIONS(861),
    [anon_sym_private] = ACTIONS(861),
    [anon_sym_protected] = ACTIONS(861),
    [anon_sym_override] = ACTIONS(861),
    [anon_sym_module] = ACTIONS(861),
    [anon_sym_any] = ACTIONS(861),
    [anon_sym_number] = ACTIONS(861),
    [anon_sym_boolean] = ACTIONS(861),
    [anon_sym_string] = ACTIONS(861),
    [anon_sym_symbol] = ACTIONS(861),
    [anon_sym_object] = ACTIONS(861),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [109] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1228),
    [sym_expression] = STATE(2615),
    [sym_primary_expression] = STATE(1502),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5482),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5482),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5865),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1228),
    [sym_subscript_expression] = STATE(1228),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(2969),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5482),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(4101),
    [sym_non_null_expression] = STATE(1228),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(537),
    [sym_type_parameters] = STATE(5152),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(859),
    [anon_sym_export] = ACTIONS(861),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(861),
    [anon_sym_EQ] = ACTIONS(890),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(863),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_typeof] = ACTIONS(184),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(861),
    [anon_sym_BANG] = ACTIONS(184),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_RPAREN] = ACTIONS(161),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(161),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(821),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(865),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_EQ_GT] = ACTIONS(227),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(867),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(184),
    [anon_sym_DASH] = ACTIONS(184),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(691),
    [anon_sym_DASH_DASH] = ACTIONS(691),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(829),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(861),
    [anon_sym_readonly] = ACTIONS(861),
    [anon_sym_get] = ACTIONS(861),
    [anon_sym_set] = ACTIONS(861),
    [anon_sym_declare] = ACTIONS(861),
    [anon_sym_public] = ACTIONS(861),
    [anon_sym_private] = ACTIONS(861),
    [anon_sym_protected] = ACTIONS(861),
    [anon_sym_override] = ACTIONS(861),
    [anon_sym_module] = ACTIONS(861),
    [anon_sym_any] = ACTIONS(861),
    [anon_sym_number] = ACTIONS(861),
    [anon_sym_boolean] = ACTIONS(861),
    [anon_sym_string] = ACTIONS(861),
    [anon_sym_symbol] = ACTIONS(861),
    [anon_sym_object] = ACTIONS(861),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [110] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1228),
    [sym_expression] = STATE(2615),
    [sym_primary_expression] = STATE(1502),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5482),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5482),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5565),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1228),
    [sym_subscript_expression] = STATE(1228),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(2969),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5482),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1228),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(537),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(837),
    [anon_sym_export] = ACTIONS(839),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(839),
    [anon_sym_EQ] = ACTIONS(841),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(843),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_COMMA] = ACTIONS(892),
    [anon_sym_RBRACE] = ACTIONS(892),
    [anon_sym_typeof] = ACTIONS(184),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(839),
    [anon_sym_BANG] = ACTIONS(184),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(847),
    [anon_sym_RBRACK] = ACTIONS(892),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(821),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(849),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_EQ_GT] = ACTIONS(851),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(853),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(184),
    [anon_sym_DASH] = ACTIONS(184),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(691),
    [anon_sym_DASH_DASH] = ACTIONS(691),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(829),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(839),
    [anon_sym_readonly] = ACTIONS(839),
    [anon_sym_get] = ACTIONS(839),
    [anon_sym_set] = ACTIONS(839),
    [anon_sym_declare] = ACTIONS(839),
    [anon_sym_public] = ACTIONS(839),
    [anon_sym_private] = ACTIONS(839),
    [anon_sym_protected] = ACTIONS(839),
    [anon_sym_override] = ACTIONS(839),
    [anon_sym_module] = ACTIONS(839),
    [anon_sym_any] = ACTIONS(839),
    [anon_sym_number] = ACTIONS(839),
    [anon_sym_boolean] = ACTIONS(839),
    [anon_sym_string] = ACTIONS(839),
    [anon_sym_symbol] = ACTIONS(839),
    [anon_sym_object] = ACTIONS(839),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [111] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1228),
    [sym_expression] = STATE(2615),
    [sym_primary_expression] = STATE(1502),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5482),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5482),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5565),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1228),
    [sym_subscript_expression] = STATE(1228),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(2969),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5482),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1228),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(537),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(837),
    [anon_sym_export] = ACTIONS(839),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(839),
    [anon_sym_EQ] = ACTIONS(841),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(843),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_typeof] = ACTIONS(184),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(839),
    [anon_sym_BANG] = ACTIONS(184),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_in] = ACTIONS(895),
    [anon_sym_of] = ACTIONS(898),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(821),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(849),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_EQ_GT] = ACTIONS(851),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(853),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(184),
    [anon_sym_DASH] = ACTIONS(184),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(691),
    [anon_sym_DASH_DASH] = ACTIONS(691),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(829),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(839),
    [anon_sym_readonly] = ACTIONS(839),
    [anon_sym_get] = ACTIONS(839),
    [anon_sym_set] = ACTIONS(839),
    [anon_sym_declare] = ACTIONS(839),
    [anon_sym_public] = ACTIONS(839),
    [anon_sym_private] = ACTIONS(839),
    [anon_sym_protected] = ACTIONS(839),
    [anon_sym_override] = ACTIONS(839),
    [anon_sym_module] = ACTIONS(839),
    [anon_sym_any] = ACTIONS(839),
    [anon_sym_number] = ACTIONS(839),
    [anon_sym_boolean] = ACTIONS(839),
    [anon_sym_string] = ACTIONS(839),
    [anon_sym_symbol] = ACTIONS(839),
    [anon_sym_object] = ACTIONS(839),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [112] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1228),
    [sym_expression] = STATE(2615),
    [sym_primary_expression] = STATE(1502),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5482),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5482),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5489),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1228),
    [sym_subscript_expression] = STATE(1228),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(2969),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5482),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1228),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(537),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(900),
    [anon_sym_export] = ACTIONS(902),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(902),
    [anon_sym_EQ] = ACTIONS(904),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(907),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_COMMA] = ACTIONS(128),
    [anon_sym_typeof] = ACTIONS(184),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(902),
    [anon_sym_BANG] = ACTIONS(184),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(909),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(847),
    [anon_sym_RBRACK] = ACTIONS(224),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(821),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(911),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_EQ_GT] = ACTIONS(913),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(915),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(184),
    [anon_sym_DASH] = ACTIONS(184),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(691),
    [anon_sym_DASH_DASH] = ACTIONS(691),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(829),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(902),
    [anon_sym_readonly] = ACTIONS(902),
    [anon_sym_get] = ACTIONS(902),
    [anon_sym_set] = ACTIONS(902),
    [anon_sym_declare] = ACTIONS(902),
    [anon_sym_public] = ACTIONS(902),
    [anon_sym_private] = ACTIONS(902),
    [anon_sym_protected] = ACTIONS(902),
    [anon_sym_override] = ACTIONS(902),
    [anon_sym_module] = ACTIONS(902),
    [anon_sym_any] = ACTIONS(902),
    [anon_sym_number] = ACTIONS(902),
    [anon_sym_boolean] = ACTIONS(902),
    [anon_sym_string] = ACTIONS(902),
    [anon_sym_symbol] = ACTIONS(902),
    [anon_sym_object] = ACTIONS(902),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [113] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1228),
    [sym_expression] = STATE(2615),
    [sym_primary_expression] = STATE(1502),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5482),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5482),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5824),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1228),
    [sym_subscript_expression] = STATE(1228),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(2969),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5482),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1228),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(537),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(809),
    [anon_sym_export] = ACTIONS(811),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(811),
    [anon_sym_EQ] = ACTIONS(831),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(813),
    [anon_sym_LBRACE] = ACTIONS(815),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_typeof] = ACTIONS(184),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(811),
    [anon_sym_BANG] = ACTIONS(184),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_RPAREN] = ACTIONS(161),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(161),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(819),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(821),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(823),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_EQ_GT] = ACTIONS(227),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(825),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(184),
    [anon_sym_DASH] = ACTIONS(184),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(691),
    [anon_sym_DASH_DASH] = ACTIONS(691),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(829),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(811),
    [anon_sym_readonly] = ACTIONS(811),
    [anon_sym_get] = ACTIONS(811),
    [anon_sym_set] = ACTIONS(811),
    [anon_sym_declare] = ACTIONS(811),
    [anon_sym_public] = ACTIONS(811),
    [anon_sym_private] = ACTIONS(811),
    [anon_sym_protected] = ACTIONS(811),
    [anon_sym_override] = ACTIONS(811),
    [anon_sym_module] = ACTIONS(811),
    [anon_sym_any] = ACTIONS(811),
    [anon_sym_number] = ACTIONS(811),
    [anon_sym_boolean] = ACTIONS(811),
    [anon_sym_string] = ACTIONS(811),
    [anon_sym_symbol] = ACTIONS(811),
    [anon_sym_object] = ACTIONS(811),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [114] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1228),
    [sym_expression] = STATE(2615),
    [sym_primary_expression] = STATE(1502),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5482),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5482),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5565),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1228),
    [sym_subscript_expression] = STATE(1228),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(2969),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5482),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(4101),
    [sym_non_null_expression] = STATE(1228),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(537),
    [sym_type_parameters] = STATE(5152),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(837),
    [anon_sym_export] = ACTIONS(839),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(839),
    [anon_sym_EQ] = ACTIONS(841),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(843),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_COMMA] = ACTIONS(892),
    [anon_sym_typeof] = ACTIONS(184),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(839),
    [anon_sym_BANG] = ACTIONS(184),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(833),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(847),
    [anon_sym_RBRACK] = ACTIONS(892),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(821),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(849),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_EQ_GT] = ACTIONS(851),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(853),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(184),
    [anon_sym_DASH] = ACTIONS(184),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(691),
    [anon_sym_DASH_DASH] = ACTIONS(691),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(829),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(839),
    [anon_sym_readonly] = ACTIONS(839),
    [anon_sym_get] = ACTIONS(839),
    [anon_sym_set] = ACTIONS(839),
    [anon_sym_declare] = ACTIONS(839),
    [anon_sym_public] = ACTIONS(839),
    [anon_sym_private] = ACTIONS(839),
    [anon_sym_protected] = ACTIONS(839),
    [anon_sym_override] = ACTIONS(839),
    [anon_sym_module] = ACTIONS(839),
    [anon_sym_any] = ACTIONS(839),
    [anon_sym_number] = ACTIONS(839),
    [anon_sym_boolean] = ACTIONS(839),
    [anon_sym_string] = ACTIONS(839),
    [anon_sym_symbol] = ACTIONS(839),
    [anon_sym_object] = ACTIONS(839),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [115] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1228),
    [sym_expression] = STATE(2615),
    [sym_primary_expression] = STATE(1502),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5482),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5482),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5565),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1228),
    [sym_subscript_expression] = STATE(1228),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(2969),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5482),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3956),
    [sym_non_null_expression] = STATE(1228),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(537),
    [sym_type_parameters] = STATE(5411),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(837),
    [anon_sym_export] = ACTIONS(839),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(839),
    [anon_sym_EQ] = ACTIONS(887),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(843),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_COMMA] = ACTIONS(224),
    [anon_sym_RBRACE] = ACTIONS(224),
    [anon_sym_typeof] = ACTIONS(184),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(839),
    [anon_sym_BANG] = ACTIONS(184),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(821),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(849),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_EQ_GT] = ACTIONS(851),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(853),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(184),
    [anon_sym_DASH] = ACTIONS(184),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(691),
    [anon_sym_DASH_DASH] = ACTIONS(691),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(829),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(839),
    [anon_sym_readonly] = ACTIONS(839),
    [anon_sym_get] = ACTIONS(839),
    [anon_sym_set] = ACTIONS(839),
    [anon_sym_declare] = ACTIONS(839),
    [anon_sym_public] = ACTIONS(839),
    [anon_sym_private] = ACTIONS(839),
    [anon_sym_protected] = ACTIONS(839),
    [anon_sym_override] = ACTIONS(839),
    [anon_sym_module] = ACTIONS(839),
    [anon_sym_any] = ACTIONS(839),
    [anon_sym_number] = ACTIONS(839),
    [anon_sym_boolean] = ACTIONS(839),
    [anon_sym_string] = ACTIONS(839),
    [anon_sym_symbol] = ACTIONS(839),
    [anon_sym_object] = ACTIONS(839),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [116] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1228),
    [sym_expression] = STATE(2615),
    [sym_primary_expression] = STATE(1502),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5482),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5482),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5489),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1228),
    [sym_subscript_expression] = STATE(1228),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(2969),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5482),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1228),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(537),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(900),
    [anon_sym_export] = ACTIONS(902),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(902),
    [anon_sym_EQ] = ACTIONS(904),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(907),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_COMMA] = ACTIONS(128),
    [anon_sym_typeof] = ACTIONS(184),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(902),
    [anon_sym_BANG] = ACTIONS(184),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(847),
    [anon_sym_RBRACK] = ACTIONS(224),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(821),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(911),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_EQ_GT] = ACTIONS(913),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(915),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(184),
    [anon_sym_DASH] = ACTIONS(184),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(691),
    [anon_sym_DASH_DASH] = ACTIONS(691),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(829),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(902),
    [anon_sym_readonly] = ACTIONS(902),
    [anon_sym_get] = ACTIONS(902),
    [anon_sym_set] = ACTIONS(902),
    [anon_sym_declare] = ACTIONS(902),
    [anon_sym_public] = ACTIONS(902),
    [anon_sym_private] = ACTIONS(902),
    [anon_sym_protected] = ACTIONS(902),
    [anon_sym_override] = ACTIONS(902),
    [anon_sym_module] = ACTIONS(902),
    [anon_sym_any] = ACTIONS(902),
    [anon_sym_number] = ACTIONS(902),
    [anon_sym_boolean] = ACTIONS(902),
    [anon_sym_string] = ACTIONS(902),
    [anon_sym_symbol] = ACTIONS(902),
    [anon_sym_object] = ACTIONS(902),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [117] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1228),
    [sym_expression] = STATE(2615),
    [sym_primary_expression] = STATE(1502),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5482),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5482),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5489),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1228),
    [sym_subscript_expression] = STATE(1228),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(2969),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5482),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1228),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(537),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(900),
    [anon_sym_export] = ACTIONS(902),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(902),
    [anon_sym_EQ] = ACTIONS(917),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(907),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(184),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(902),
    [anon_sym_BANG] = ACTIONS(184),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(919),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(847),
    [anon_sym_RBRACK] = ACTIONS(161),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(821),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(911),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_EQ_GT] = ACTIONS(913),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(915),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(184),
    [anon_sym_DASH] = ACTIONS(184),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(691),
    [anon_sym_DASH_DASH] = ACTIONS(691),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(829),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(902),
    [anon_sym_readonly] = ACTIONS(902),
    [anon_sym_get] = ACTIONS(902),
    [anon_sym_set] = ACTIONS(902),
    [anon_sym_declare] = ACTIONS(902),
    [anon_sym_public] = ACTIONS(902),
    [anon_sym_private] = ACTIONS(902),
    [anon_sym_protected] = ACTIONS(902),
    [anon_sym_override] = ACTIONS(902),
    [anon_sym_module] = ACTIONS(902),
    [anon_sym_any] = ACTIONS(902),
    [anon_sym_number] = ACTIONS(902),
    [anon_sym_boolean] = ACTIONS(902),
    [anon_sym_string] = ACTIONS(902),
    [anon_sym_symbol] = ACTIONS(902),
    [anon_sym_object] = ACTIONS(902),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [118] = {
    [sym_import] = STATE(3513),
    [sym_parenthesized_expression] = STATE(1325),
    [sym_expression] = STATE(2638),
    [sym_primary_expression] = STATE(1712),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(2117),
    [sym_object_pattern] = STATE(5482),
    [sym_array] = STATE(2117),
    [sym_array_pattern] = STATE(5482),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(2117),
    [sym_function_expression] = STATE(2117),
    [sym_generator_function] = STATE(2117),
    [sym_arrow_function] = STATE(2117),
    [sym__call_signature] = STATE(5478),
    [sym_call_expression] = STATE(2117),
    [sym_new_expression] = STATE(2686),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1325),
    [sym_subscript_expression] = STATE(1325),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(2969),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5482),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(2117),
    [sym_template_string] = STATE(2117),
    [sym_regex] = STATE(2117),
    [sym_meta_property] = STATE(2117),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(4101),
    [sym_non_null_expression] = STATE(1325),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(537),
    [sym_type_parameters] = STATE(5152),
    [aux_sym_export_statement_repeat1] = STATE(4499),
    [sym_identifier] = ACTIONS(921),
    [anon_sym_export] = ACTIONS(923),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(923),
    [anon_sym_EQ] = ACTIONS(925),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(927),
    [anon_sym_LBRACE] = ACTIONS(670),
    [anon_sym_typeof] = ACTIONS(184),
    [anon_sym_import] = ACTIONS(674),
    [anon_sym_let] = ACTIONS(923),
    [anon_sym_BANG] = ACTIONS(184),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(679),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(681),
    [anon_sym_async] = ACTIONS(929),
    [anon_sym_function] = ACTIONS(685),
    [anon_sym_EQ_GT] = ACTIONS(931),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(933),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(184),
    [anon_sym_DASH] = ACTIONS(184),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(691),
    [anon_sym_DASH_DASH] = ACTIONS(691),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(693),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(923),
    [anon_sym_readonly] = ACTIONS(923),
    [anon_sym_get] = ACTIONS(923),
    [anon_sym_set] = ACTIONS(923),
    [anon_sym_declare] = ACTIONS(923),
    [anon_sym_public] = ACTIONS(923),
    [anon_sym_private] = ACTIONS(923),
    [anon_sym_protected] = ACTIONS(923),
    [anon_sym_override] = ACTIONS(923),
    [anon_sym_module] = ACTIONS(923),
    [anon_sym_any] = ACTIONS(923),
    [anon_sym_number] = ACTIONS(923),
    [anon_sym_boolean] = ACTIONS(923),
    [anon_sym_string] = ACTIONS(923),
    [anon_sym_symbol] = ACTIONS(923),
    [anon_sym_object] = ACTIONS(923),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [119] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1228),
    [sym_expression] = STATE(2615),
    [sym_primary_expression] = STATE(1502),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5482),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5482),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5603),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1228),
    [sym_subscript_expression] = STATE(1228),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(2969),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5482),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(4101),
    [sym_non_null_expression] = STATE(1228),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(537),
    [sym_type_parameters] = STATE(5152),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(935),
    [anon_sym_export] = ACTIONS(937),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(937),
    [anon_sym_EQ] = ACTIONS(939),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(941),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_typeof] = ACTIONS(184),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(937),
    [anon_sym_BANG] = ACTIONS(184),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(821),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(943),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_EQ_GT] = ACTIONS(945),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(947),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(184),
    [anon_sym_DASH] = ACTIONS(184),
    [anon_sym_SLASH] = ACTIONS(949),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(691),
    [anon_sym_DASH_DASH] = ACTIONS(691),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(829),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(937),
    [anon_sym_readonly] = ACTIONS(937),
    [anon_sym_get] = ACTIONS(937),
    [anon_sym_set] = ACTIONS(937),
    [anon_sym_declare] = ACTIONS(937),
    [anon_sym_public] = ACTIONS(937),
    [anon_sym_private] = ACTIONS(937),
    [anon_sym_protected] = ACTIONS(937),
    [anon_sym_override] = ACTIONS(937),
    [anon_sym_module] = ACTIONS(937),
    [anon_sym_any] = ACTIONS(937),
    [anon_sym_number] = ACTIONS(937),
    [anon_sym_boolean] = ACTIONS(937),
    [anon_sym_string] = ACTIONS(937),
    [anon_sym_symbol] = ACTIONS(937),
    [anon_sym_object] = ACTIONS(937),
    [anon_sym_satisfies] = ACTIONS(122),
    [anon_sym_implements] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [120] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1228),
    [sym_expression] = STATE(2615),
    [sym_primary_expression] = STATE(1502),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5482),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5482),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5824),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1228),
    [sym_subscript_expression] = STATE(1228),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(2969),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5482),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1228),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(537),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(809),
    [anon_sym_export] = ACTIONS(811),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(811),
    [anon_sym_EQ] = ACTIONS(831),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(813),
    [anon_sym_LBRACE] = ACTIONS(815),
    [anon_sym_typeof] = ACTIONS(184),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(811),
    [anon_sym_BANG] = ACTIONS(184),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(819),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(679),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(823),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_EQ_GT] = ACTIONS(931),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(825),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(184),
    [anon_sym_DASH] = ACTIONS(184),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(691),
    [anon_sym_DASH_DASH] = ACTIONS(691),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(829),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(811),
    [anon_sym_readonly] = ACTIONS(811),
    [anon_sym_get] = ACTIONS(811),
    [anon_sym_set] = ACTIONS(811),
    [anon_sym_declare] = ACTIONS(811),
    [anon_sym_public] = ACTIONS(811),
    [anon_sym_private] = ACTIONS(811),
    [anon_sym_protected] = ACTIONS(811),
    [anon_sym_override] = ACTIONS(811),
    [anon_sym_module] = ACTIONS(811),
    [anon_sym_any] = ACTIONS(811),
    [anon_sym_number] = ACTIONS(811),
    [anon_sym_boolean] = ACTIONS(811),
    [anon_sym_string] = ACTIONS(811),
    [anon_sym_symbol] = ACTIONS(811),
    [anon_sym_object] = ACTIONS(811),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [121] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1228),
    [sym_expression] = STATE(2615),
    [sym_primary_expression] = STATE(1502),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5482),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5482),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5565),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1228),
    [sym_subscript_expression] = STATE(1228),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(2969),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5482),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(4346),
    [sym_non_null_expression] = STATE(1228),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(537),
    [sym_type_parameters] = STATE(5469),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(837),
    [anon_sym_export] = ACTIONS(839),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(839),
    [anon_sym_EQ] = ACTIONS(887),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(843),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_COMMA] = ACTIONS(224),
    [anon_sym_typeof] = ACTIONS(184),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(839),
    [anon_sym_BANG] = ACTIONS(184),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(847),
    [anon_sym_RBRACK] = ACTIONS(224),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(821),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(849),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_EQ_GT] = ACTIONS(851),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(853),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(184),
    [anon_sym_DASH] = ACTIONS(184),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(691),
    [anon_sym_DASH_DASH] = ACTIONS(691),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(829),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(839),
    [anon_sym_readonly] = ACTIONS(839),
    [anon_sym_get] = ACTIONS(839),
    [anon_sym_set] = ACTIONS(839),
    [anon_sym_declare] = ACTIONS(839),
    [anon_sym_public] = ACTIONS(839),
    [anon_sym_private] = ACTIONS(839),
    [anon_sym_protected] = ACTIONS(839),
    [anon_sym_override] = ACTIONS(839),
    [anon_sym_module] = ACTIONS(839),
    [anon_sym_any] = ACTIONS(839),
    [anon_sym_number] = ACTIONS(839),
    [anon_sym_boolean] = ACTIONS(839),
    [anon_sym_string] = ACTIONS(839),
    [anon_sym_symbol] = ACTIONS(839),
    [anon_sym_object] = ACTIONS(839),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [122] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1228),
    [sym_expression] = STATE(2615),
    [sym_primary_expression] = STATE(1502),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5482),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5482),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5489),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1228),
    [sym_subscript_expression] = STATE(1228),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(2969),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5482),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1228),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(537),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(900),
    [anon_sym_export] = ACTIONS(902),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(902),
    [anon_sym_EQ] = ACTIONS(917),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(907),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(184),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(902),
    [anon_sym_BANG] = ACTIONS(184),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(909),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(847),
    [anon_sym_RBRACK] = ACTIONS(161),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(821),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(911),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_EQ_GT] = ACTIONS(913),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(915),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(184),
    [anon_sym_DASH] = ACTIONS(184),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(691),
    [anon_sym_DASH_DASH] = ACTIONS(691),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(829),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(902),
    [anon_sym_readonly] = ACTIONS(902),
    [anon_sym_get] = ACTIONS(902),
    [anon_sym_set] = ACTIONS(902),
    [anon_sym_declare] = ACTIONS(902),
    [anon_sym_public] = ACTIONS(902),
    [anon_sym_private] = ACTIONS(902),
    [anon_sym_protected] = ACTIONS(902),
    [anon_sym_override] = ACTIONS(902),
    [anon_sym_module] = ACTIONS(902),
    [anon_sym_any] = ACTIONS(902),
    [anon_sym_number] = ACTIONS(902),
    [anon_sym_boolean] = ACTIONS(902),
    [anon_sym_string] = ACTIONS(902),
    [anon_sym_symbol] = ACTIONS(902),
    [anon_sym_object] = ACTIONS(902),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [123] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1228),
    [sym_expression] = STATE(2615),
    [sym_primary_expression] = STATE(1502),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5482),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5482),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5603),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1228),
    [sym_subscript_expression] = STATE(1228),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(2969),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5482),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1228),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(537),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(935),
    [anon_sym_export] = ACTIONS(937),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(937),
    [anon_sym_EQ] = ACTIONS(939),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(941),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_typeof] = ACTIONS(184),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(937),
    [anon_sym_BANG] = ACTIONS(184),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(821),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(943),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_EQ_GT] = ACTIONS(945),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(947),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(184),
    [anon_sym_DASH] = ACTIONS(184),
    [anon_sym_SLASH] = ACTIONS(949),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(691),
    [anon_sym_DASH_DASH] = ACTIONS(691),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(829),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(937),
    [anon_sym_readonly] = ACTIONS(937),
    [anon_sym_get] = ACTIONS(937),
    [anon_sym_set] = ACTIONS(937),
    [anon_sym_declare] = ACTIONS(937),
    [anon_sym_public] = ACTIONS(937),
    [anon_sym_private] = ACTIONS(937),
    [anon_sym_protected] = ACTIONS(937),
    [anon_sym_override] = ACTIONS(937),
    [anon_sym_module] = ACTIONS(937),
    [anon_sym_any] = ACTIONS(937),
    [anon_sym_number] = ACTIONS(937),
    [anon_sym_boolean] = ACTIONS(937),
    [anon_sym_string] = ACTIONS(937),
    [anon_sym_symbol] = ACTIONS(937),
    [anon_sym_object] = ACTIONS(937),
    [anon_sym_satisfies] = ACTIONS(122),
    [anon_sym_implements] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [124] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1228),
    [sym_expression] = STATE(2615),
    [sym_primary_expression] = STATE(1502),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5482),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5482),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5824),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1228),
    [sym_subscript_expression] = STATE(1228),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(2969),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5482),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1228),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(537),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(809),
    [anon_sym_export] = ACTIONS(811),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(811),
    [anon_sym_EQ] = ACTIONS(831),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(813),
    [anon_sym_LBRACE] = ACTIONS(815),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_typeof] = ACTIONS(184),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(811),
    [anon_sym_BANG] = ACTIONS(184),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(819),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(821),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(823),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_EQ_GT] = ACTIONS(945),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(825),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(184),
    [anon_sym_DASH] = ACTIONS(184),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(691),
    [anon_sym_DASH_DASH] = ACTIONS(691),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(829),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(811),
    [anon_sym_readonly] = ACTIONS(811),
    [anon_sym_get] = ACTIONS(811),
    [anon_sym_set] = ACTIONS(811),
    [anon_sym_declare] = ACTIONS(811),
    [anon_sym_public] = ACTIONS(811),
    [anon_sym_private] = ACTIONS(811),
    [anon_sym_protected] = ACTIONS(811),
    [anon_sym_override] = ACTIONS(811),
    [anon_sym_module] = ACTIONS(811),
    [anon_sym_any] = ACTIONS(811),
    [anon_sym_number] = ACTIONS(811),
    [anon_sym_boolean] = ACTIONS(811),
    [anon_sym_string] = ACTIONS(811),
    [anon_sym_symbol] = ACTIONS(811),
    [anon_sym_object] = ACTIONS(811),
    [anon_sym_satisfies] = ACTIONS(122),
    [anon_sym_implements] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [125] = {
    [sym_import] = STATE(3513),
    [sym_parenthesized_expression] = STATE(1325),
    [sym_expression] = STATE(2638),
    [sym_primary_expression] = STATE(1712),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(2117),
    [sym_object_pattern] = STATE(5482),
    [sym_array] = STATE(2117),
    [sym_array_pattern] = STATE(5482),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(2117),
    [sym_function_expression] = STATE(2117),
    [sym_generator_function] = STATE(2117),
    [sym_arrow_function] = STATE(2117),
    [sym__call_signature] = STATE(5478),
    [sym_call_expression] = STATE(2117),
    [sym_new_expression] = STATE(2686),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1325),
    [sym_subscript_expression] = STATE(1325),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(2969),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5482),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(2117),
    [sym_template_string] = STATE(2117),
    [sym_regex] = STATE(2117),
    [sym_meta_property] = STATE(2117),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1325),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(537),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4499),
    [sym_identifier] = ACTIONS(921),
    [anon_sym_export] = ACTIONS(923),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(923),
    [anon_sym_EQ] = ACTIONS(925),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(927),
    [anon_sym_LBRACE] = ACTIONS(670),
    [anon_sym_typeof] = ACTIONS(184),
    [anon_sym_import] = ACTIONS(674),
    [anon_sym_let] = ACTIONS(923),
    [anon_sym_BANG] = ACTIONS(184),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(679),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(681),
    [anon_sym_async] = ACTIONS(929),
    [anon_sym_function] = ACTIONS(685),
    [anon_sym_EQ_GT] = ACTIONS(931),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(933),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(184),
    [anon_sym_DASH] = ACTIONS(184),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(691),
    [anon_sym_DASH_DASH] = ACTIONS(691),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(693),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(923),
    [anon_sym_readonly] = ACTIONS(923),
    [anon_sym_get] = ACTIONS(923),
    [anon_sym_set] = ACTIONS(923),
    [anon_sym_declare] = ACTIONS(923),
    [anon_sym_public] = ACTIONS(923),
    [anon_sym_private] = ACTIONS(923),
    [anon_sym_protected] = ACTIONS(923),
    [anon_sym_override] = ACTIONS(923),
    [anon_sym_module] = ACTIONS(923),
    [anon_sym_any] = ACTIONS(923),
    [anon_sym_number] = ACTIONS(923),
    [anon_sym_boolean] = ACTIONS(923),
    [anon_sym_string] = ACTIONS(923),
    [anon_sym_symbol] = ACTIONS(923),
    [anon_sym_object] = ACTIONS(923),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [126] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1228),
    [sym_expression] = STATE(2615),
    [sym_primary_expression] = STATE(1502),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5482),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5482),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5824),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1228),
    [sym_subscript_expression] = STATE(1228),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(2969),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5482),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(4101),
    [sym_non_null_expression] = STATE(1228),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(537),
    [sym_type_parameters] = STATE(5152),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(809),
    [anon_sym_export] = ACTIONS(811),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(811),
    [anon_sym_EQ] = ACTIONS(831),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(813),
    [anon_sym_LBRACE] = ACTIONS(815),
    [anon_sym_typeof] = ACTIONS(184),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(811),
    [anon_sym_BANG] = ACTIONS(184),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(833),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(819),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(821),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(823),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_EQ_GT] = ACTIONS(159),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(825),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(184),
    [anon_sym_DASH] = ACTIONS(184),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(691),
    [anon_sym_DASH_DASH] = ACTIONS(691),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(829),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(811),
    [anon_sym_readonly] = ACTIONS(811),
    [anon_sym_get] = ACTIONS(811),
    [anon_sym_set] = ACTIONS(811),
    [anon_sym_declare] = ACTIONS(811),
    [anon_sym_public] = ACTIONS(811),
    [anon_sym_private] = ACTIONS(811),
    [anon_sym_protected] = ACTIONS(811),
    [anon_sym_override] = ACTIONS(811),
    [anon_sym_module] = ACTIONS(811),
    [anon_sym_any] = ACTIONS(811),
    [anon_sym_number] = ACTIONS(811),
    [anon_sym_boolean] = ACTIONS(811),
    [anon_sym_string] = ACTIONS(811),
    [anon_sym_symbol] = ACTIONS(811),
    [anon_sym_object] = ACTIONS(811),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [127] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1228),
    [sym_expression] = STATE(2615),
    [sym_primary_expression] = STATE(1502),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5482),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5482),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5824),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1228),
    [sym_subscript_expression] = STATE(1228),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(2969),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5482),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1228),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(537),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(809),
    [anon_sym_export] = ACTIONS(811),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(811),
    [anon_sym_EQ] = ACTIONS(831),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(813),
    [anon_sym_LBRACE] = ACTIONS(815),
    [anon_sym_typeof] = ACTIONS(184),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(811),
    [anon_sym_BANG] = ACTIONS(184),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_in] = ACTIONS(895),
    [anon_sym_of] = ACTIONS(898),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(819),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(821),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(823),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_EQ_GT] = ACTIONS(159),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(825),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(184),
    [anon_sym_DASH] = ACTIONS(184),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(691),
    [anon_sym_DASH_DASH] = ACTIONS(691),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(829),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(811),
    [anon_sym_readonly] = ACTIONS(811),
    [anon_sym_get] = ACTIONS(811),
    [anon_sym_set] = ACTIONS(811),
    [anon_sym_declare] = ACTIONS(811),
    [anon_sym_public] = ACTIONS(811),
    [anon_sym_private] = ACTIONS(811),
    [anon_sym_protected] = ACTIONS(811),
    [anon_sym_override] = ACTIONS(811),
    [anon_sym_module] = ACTIONS(811),
    [anon_sym_any] = ACTIONS(811),
    [anon_sym_number] = ACTIONS(811),
    [anon_sym_boolean] = ACTIONS(811),
    [anon_sym_string] = ACTIONS(811),
    [anon_sym_symbol] = ACTIONS(811),
    [anon_sym_object] = ACTIONS(811),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [128] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1228),
    [sym_expression] = STATE(2615),
    [sym_primary_expression] = STATE(1502),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5482),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5482),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5728),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1228),
    [sym_subscript_expression] = STATE(1228),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(2969),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5482),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(4101),
    [sym_non_null_expression] = STATE(1228),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(537),
    [sym_type_parameters] = STATE(5152),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(951),
    [anon_sym_export] = ACTIONS(953),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(953),
    [anon_sym_EQ] = ACTIONS(955),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(957),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(184),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(953),
    [anon_sym_BANG] = ACTIONS(184),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(161),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(821),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(959),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_EQ_GT] = ACTIONS(961),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(963),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(184),
    [anon_sym_DASH] = ACTIONS(184),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(691),
    [anon_sym_DASH_DASH] = ACTIONS(691),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(829),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(953),
    [anon_sym_readonly] = ACTIONS(953),
    [anon_sym_get] = ACTIONS(953),
    [anon_sym_set] = ACTIONS(953),
    [anon_sym_declare] = ACTIONS(953),
    [anon_sym_public] = ACTIONS(953),
    [anon_sym_private] = ACTIONS(953),
    [anon_sym_protected] = ACTIONS(953),
    [anon_sym_override] = ACTIONS(953),
    [anon_sym_module] = ACTIONS(953),
    [anon_sym_any] = ACTIONS(953),
    [anon_sym_number] = ACTIONS(953),
    [anon_sym_boolean] = ACTIONS(953),
    [anon_sym_string] = ACTIONS(953),
    [anon_sym_symbol] = ACTIONS(953),
    [anon_sym_object] = ACTIONS(953),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [129] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1228),
    [sym_expression] = STATE(2615),
    [sym_primary_expression] = STATE(1502),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5482),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5482),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5489),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1228),
    [sym_subscript_expression] = STATE(1228),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(2969),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5482),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(4101),
    [sym_non_null_expression] = STATE(1228),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(537),
    [sym_type_parameters] = STATE(5152),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(900),
    [anon_sym_export] = ACTIONS(902),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(902),
    [anon_sym_EQ] = ACTIONS(917),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(907),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(184),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(902),
    [anon_sym_BANG] = ACTIONS(184),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(847),
    [anon_sym_RBRACK] = ACTIONS(161),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(821),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(911),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_EQ_GT] = ACTIONS(913),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(915),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(184),
    [anon_sym_DASH] = ACTIONS(184),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(691),
    [anon_sym_DASH_DASH] = ACTIONS(691),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(829),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(902),
    [anon_sym_readonly] = ACTIONS(902),
    [anon_sym_get] = ACTIONS(902),
    [anon_sym_set] = ACTIONS(902),
    [anon_sym_declare] = ACTIONS(902),
    [anon_sym_public] = ACTIONS(902),
    [anon_sym_private] = ACTIONS(902),
    [anon_sym_protected] = ACTIONS(902),
    [anon_sym_override] = ACTIONS(902),
    [anon_sym_module] = ACTIONS(902),
    [anon_sym_any] = ACTIONS(902),
    [anon_sym_number] = ACTIONS(902),
    [anon_sym_boolean] = ACTIONS(902),
    [anon_sym_string] = ACTIONS(902),
    [anon_sym_symbol] = ACTIONS(902),
    [anon_sym_object] = ACTIONS(902),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [130] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1228),
    [sym_expression] = STATE(2615),
    [sym_primary_expression] = STATE(1502),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5482),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5482),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5728),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1228),
    [sym_subscript_expression] = STATE(1228),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(2969),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5482),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1228),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(537),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(951),
    [anon_sym_export] = ACTIONS(953),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(953),
    [anon_sym_EQ] = ACTIONS(955),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(957),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(184),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(953),
    [anon_sym_BANG] = ACTIONS(184),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(161),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(821),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(959),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_EQ_GT] = ACTIONS(961),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(963),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(184),
    [anon_sym_DASH] = ACTIONS(184),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(691),
    [anon_sym_DASH_DASH] = ACTIONS(691),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(829),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(953),
    [anon_sym_readonly] = ACTIONS(953),
    [anon_sym_get] = ACTIONS(953),
    [anon_sym_set] = ACTIONS(953),
    [anon_sym_declare] = ACTIONS(953),
    [anon_sym_public] = ACTIONS(953),
    [anon_sym_private] = ACTIONS(953),
    [anon_sym_protected] = ACTIONS(953),
    [anon_sym_override] = ACTIONS(953),
    [anon_sym_module] = ACTIONS(953),
    [anon_sym_any] = ACTIONS(953),
    [anon_sym_number] = ACTIONS(953),
    [anon_sym_boolean] = ACTIONS(953),
    [anon_sym_string] = ACTIONS(953),
    [anon_sym_symbol] = ACTIONS(953),
    [anon_sym_object] = ACTIONS(953),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [131] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1228),
    [sym_expression] = STATE(2615),
    [sym_primary_expression] = STATE(1502),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5482),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5482),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5489),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1228),
    [sym_subscript_expression] = STATE(1228),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(2969),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5482),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1228),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(537),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(900),
    [anon_sym_export] = ACTIONS(902),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(902),
    [anon_sym_EQ] = ACTIONS(917),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(907),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(184),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(902),
    [anon_sym_BANG] = ACTIONS(184),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(847),
    [anon_sym_RBRACK] = ACTIONS(161),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(821),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(911),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_EQ_GT] = ACTIONS(913),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(915),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(184),
    [anon_sym_DASH] = ACTIONS(184),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(691),
    [anon_sym_DASH_DASH] = ACTIONS(691),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(829),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(902),
    [anon_sym_readonly] = ACTIONS(902),
    [anon_sym_get] = ACTIONS(902),
    [anon_sym_set] = ACTIONS(902),
    [anon_sym_declare] = ACTIONS(902),
    [anon_sym_public] = ACTIONS(902),
    [anon_sym_private] = ACTIONS(902),
    [anon_sym_protected] = ACTIONS(902),
    [anon_sym_override] = ACTIONS(902),
    [anon_sym_module] = ACTIONS(902),
    [anon_sym_any] = ACTIONS(902),
    [anon_sym_number] = ACTIONS(902),
    [anon_sym_boolean] = ACTIONS(902),
    [anon_sym_string] = ACTIONS(902),
    [anon_sym_symbol] = ACTIONS(902),
    [anon_sym_object] = ACTIONS(902),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [132] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1228),
    [sym_expression] = STATE(2615),
    [sym_primary_expression] = STATE(1502),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5482),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5482),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5541),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1228),
    [sym_subscript_expression] = STATE(1228),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(2969),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5482),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(4101),
    [sym_non_null_expression] = STATE(1228),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(537),
    [sym_type_parameters] = STATE(5152),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(965),
    [anon_sym_export] = ACTIONS(967),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(967),
    [anon_sym_EQ] = ACTIONS(969),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(971),
    [anon_sym_LBRACE] = ACTIONS(815),
    [anon_sym_typeof] = ACTIONS(184),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(967),
    [anon_sym_BANG] = ACTIONS(184),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_of] = ACTIONS(122),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(819),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(821),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(973),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_EQ_GT] = ACTIONS(975),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(977),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(184),
    [anon_sym_DASH] = ACTIONS(184),
    [anon_sym_SLASH] = ACTIONS(979),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(691),
    [anon_sym_DASH_DASH] = ACTIONS(691),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(829),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(967),
    [anon_sym_readonly] = ACTIONS(967),
    [anon_sym_get] = ACTIONS(967),
    [anon_sym_set] = ACTIONS(967),
    [anon_sym_declare] = ACTIONS(967),
    [anon_sym_public] = ACTIONS(967),
    [anon_sym_private] = ACTIONS(967),
    [anon_sym_protected] = ACTIONS(967),
    [anon_sym_override] = ACTIONS(967),
    [anon_sym_module] = ACTIONS(967),
    [anon_sym_any] = ACTIONS(967),
    [anon_sym_number] = ACTIONS(967),
    [anon_sym_boolean] = ACTIONS(967),
    [anon_sym_string] = ACTIONS(967),
    [anon_sym_symbol] = ACTIONS(967),
    [anon_sym_object] = ACTIONS(967),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [133] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1228),
    [sym_expression] = STATE(2615),
    [sym_primary_expression] = STATE(1502),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5482),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5482),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5824),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1228),
    [sym_subscript_expression] = STATE(1228),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(2969),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5482),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1228),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(537),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(809),
    [anon_sym_export] = ACTIONS(811),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(811),
    [anon_sym_EQ] = ACTIONS(831),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(813),
    [anon_sym_LBRACE] = ACTIONS(815),
    [anon_sym_typeof] = ACTIONS(184),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(811),
    [anon_sym_BANG] = ACTIONS(184),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(161),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(819),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(821),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(823),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_EQ_GT] = ACTIONS(961),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(825),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(184),
    [anon_sym_DASH] = ACTIONS(184),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(691),
    [anon_sym_DASH_DASH] = ACTIONS(691),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(829),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(811),
    [anon_sym_readonly] = ACTIONS(811),
    [anon_sym_get] = ACTIONS(811),
    [anon_sym_set] = ACTIONS(811),
    [anon_sym_declare] = ACTIONS(811),
    [anon_sym_public] = ACTIONS(811),
    [anon_sym_private] = ACTIONS(811),
    [anon_sym_protected] = ACTIONS(811),
    [anon_sym_override] = ACTIONS(811),
    [anon_sym_module] = ACTIONS(811),
    [anon_sym_any] = ACTIONS(811),
    [anon_sym_number] = ACTIONS(811),
    [anon_sym_boolean] = ACTIONS(811),
    [anon_sym_string] = ACTIONS(811),
    [anon_sym_symbol] = ACTIONS(811),
    [anon_sym_object] = ACTIONS(811),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [134] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1228),
    [sym_expression] = STATE(2615),
    [sym_primary_expression] = STATE(1502),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5482),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5482),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5824),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1228),
    [sym_subscript_expression] = STATE(1228),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(2969),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5482),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1228),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(537),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(809),
    [anon_sym_export] = ACTIONS(811),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(811),
    [anon_sym_EQ] = ACTIONS(831),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(813),
    [anon_sym_LBRACE] = ACTIONS(815),
    [anon_sym_typeof] = ACTIONS(184),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(811),
    [anon_sym_BANG] = ACTIONS(184),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(819),
    [anon_sym_RBRACK] = ACTIONS(161),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(821),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(823),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_EQ_GT] = ACTIONS(913),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(825),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(184),
    [anon_sym_DASH] = ACTIONS(184),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(691),
    [anon_sym_DASH_DASH] = ACTIONS(691),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(829),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(811),
    [anon_sym_readonly] = ACTIONS(811),
    [anon_sym_get] = ACTIONS(811),
    [anon_sym_set] = ACTIONS(811),
    [anon_sym_declare] = ACTIONS(811),
    [anon_sym_public] = ACTIONS(811),
    [anon_sym_private] = ACTIONS(811),
    [anon_sym_protected] = ACTIONS(811),
    [anon_sym_override] = ACTIONS(811),
    [anon_sym_module] = ACTIONS(811),
    [anon_sym_any] = ACTIONS(811),
    [anon_sym_number] = ACTIONS(811),
    [anon_sym_boolean] = ACTIONS(811),
    [anon_sym_string] = ACTIONS(811),
    [anon_sym_symbol] = ACTIONS(811),
    [anon_sym_object] = ACTIONS(811),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [135] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1228),
    [sym_expression] = STATE(2615),
    [sym_primary_expression] = STATE(1502),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5482),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5482),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5541),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1228),
    [sym_subscript_expression] = STATE(1228),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(2969),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5482),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1228),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(537),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(965),
    [anon_sym_export] = ACTIONS(967),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(967),
    [anon_sym_EQ] = ACTIONS(969),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(971),
    [anon_sym_LBRACE] = ACTIONS(815),
    [anon_sym_typeof] = ACTIONS(184),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(967),
    [anon_sym_BANG] = ACTIONS(184),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_of] = ACTIONS(122),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(819),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(821),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(973),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_EQ_GT] = ACTIONS(975),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(977),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(184),
    [anon_sym_DASH] = ACTIONS(184),
    [anon_sym_SLASH] = ACTIONS(979),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(691),
    [anon_sym_DASH_DASH] = ACTIONS(691),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(829),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(967),
    [anon_sym_readonly] = ACTIONS(967),
    [anon_sym_get] = ACTIONS(967),
    [anon_sym_set] = ACTIONS(967),
    [anon_sym_declare] = ACTIONS(967),
    [anon_sym_public] = ACTIONS(967),
    [anon_sym_private] = ACTIONS(967),
    [anon_sym_protected] = ACTIONS(967),
    [anon_sym_override] = ACTIONS(967),
    [anon_sym_module] = ACTIONS(967),
    [anon_sym_any] = ACTIONS(967),
    [anon_sym_number] = ACTIONS(967),
    [anon_sym_boolean] = ACTIONS(967),
    [anon_sym_string] = ACTIONS(967),
    [anon_sym_symbol] = ACTIONS(967),
    [anon_sym_object] = ACTIONS(967),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [136] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1228),
    [sym_expression] = STATE(2615),
    [sym_primary_expression] = STATE(1502),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5482),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5482),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5824),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1228),
    [sym_subscript_expression] = STATE(1228),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(2969),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5482),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1228),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(537),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(809),
    [anon_sym_export] = ACTIONS(811),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(811),
    [anon_sym_EQ] = ACTIONS(831),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(813),
    [anon_sym_LBRACE] = ACTIONS(815),
    [anon_sym_typeof] = ACTIONS(184),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(811),
    [anon_sym_BANG] = ACTIONS(184),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_of] = ACTIONS(122),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(819),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(821),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(823),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_EQ_GT] = ACTIONS(975),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(825),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(184),
    [anon_sym_DASH] = ACTIONS(184),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(691),
    [anon_sym_DASH_DASH] = ACTIONS(691),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(829),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(811),
    [anon_sym_readonly] = ACTIONS(811),
    [anon_sym_get] = ACTIONS(811),
    [anon_sym_set] = ACTIONS(811),
    [anon_sym_declare] = ACTIONS(811),
    [anon_sym_public] = ACTIONS(811),
    [anon_sym_private] = ACTIONS(811),
    [anon_sym_protected] = ACTIONS(811),
    [anon_sym_override] = ACTIONS(811),
    [anon_sym_module] = ACTIONS(811),
    [anon_sym_any] = ACTIONS(811),
    [anon_sym_number] = ACTIONS(811),
    [anon_sym_boolean] = ACTIONS(811),
    [anon_sym_string] = ACTIONS(811),
    [anon_sym_symbol] = ACTIONS(811),
    [anon_sym_object] = ACTIONS(811),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [137] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1228),
    [sym_expression] = STATE(2615),
    [sym_primary_expression] = STATE(1502),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5482),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5482),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5824),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1228),
    [sym_subscript_expression] = STATE(1228),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(2969),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5482),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1228),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(537),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(809),
    [anon_sym_export] = ACTIONS(811),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(811),
    [anon_sym_EQ] = ACTIONS(981),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(813),
    [anon_sym_LBRACE] = ACTIONS(815),
    [anon_sym_typeof] = ACTIONS(184),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(811),
    [anon_sym_BANG] = ACTIONS(184),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(819),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(821),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(823),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_EQ_GT] = ACTIONS(159),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(825),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(184),
    [anon_sym_DASH] = ACTIONS(184),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(691),
    [anon_sym_DASH_DASH] = ACTIONS(691),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(829),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(811),
    [anon_sym_readonly] = ACTIONS(811),
    [anon_sym_get] = ACTIONS(811),
    [anon_sym_set] = ACTIONS(811),
    [anon_sym_declare] = ACTIONS(811),
    [anon_sym_public] = ACTIONS(811),
    [anon_sym_private] = ACTIONS(811),
    [anon_sym_protected] = ACTIONS(811),
    [anon_sym_override] = ACTIONS(811),
    [anon_sym_module] = ACTIONS(811),
    [anon_sym_any] = ACTIONS(811),
    [anon_sym_number] = ACTIONS(811),
    [anon_sym_boolean] = ACTIONS(811),
    [anon_sym_string] = ACTIONS(811),
    [anon_sym_symbol] = ACTIONS(811),
    [anon_sym_object] = ACTIONS(811),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [138] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1228),
    [sym_expression] = STATE(2615),
    [sym_primary_expression] = STATE(1502),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5482),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5482),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5824),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1228),
    [sym_subscript_expression] = STATE(1228),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(2969),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5482),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1228),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(537),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(809),
    [anon_sym_export] = ACTIONS(811),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(811),
    [anon_sym_EQ] = ACTIONS(983),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(813),
    [anon_sym_LBRACE] = ACTIONS(815),
    [anon_sym_typeof] = ACTIONS(184),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(811),
    [anon_sym_BANG] = ACTIONS(184),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(819),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(821),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(823),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_EQ_GT] = ACTIONS(159),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(825),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(184),
    [anon_sym_DASH] = ACTIONS(184),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(691),
    [anon_sym_DASH_DASH] = ACTIONS(691),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(829),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(811),
    [anon_sym_readonly] = ACTIONS(811),
    [anon_sym_get] = ACTIONS(811),
    [anon_sym_set] = ACTIONS(811),
    [anon_sym_declare] = ACTIONS(811),
    [anon_sym_public] = ACTIONS(811),
    [anon_sym_private] = ACTIONS(811),
    [anon_sym_protected] = ACTIONS(811),
    [anon_sym_override] = ACTIONS(811),
    [anon_sym_module] = ACTIONS(811),
    [anon_sym_any] = ACTIONS(811),
    [anon_sym_number] = ACTIONS(811),
    [anon_sym_boolean] = ACTIONS(811),
    [anon_sym_string] = ACTIONS(811),
    [anon_sym_symbol] = ACTIONS(811),
    [anon_sym_object] = ACTIONS(811),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [139] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1228),
    [sym_expression] = STATE(2615),
    [sym_primary_expression] = STATE(1502),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5482),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5482),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5824),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1228),
    [sym_subscript_expression] = STATE(1228),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(2969),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5482),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1228),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(537),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(809),
    [anon_sym_export] = ACTIONS(811),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(811),
    [anon_sym_EQ] = ACTIONS(985),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(813),
    [anon_sym_LBRACE] = ACTIONS(815),
    [anon_sym_typeof] = ACTIONS(184),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(811),
    [anon_sym_BANG] = ACTIONS(184),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(819),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(821),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(823),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_EQ_GT] = ACTIONS(159),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(825),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(184),
    [anon_sym_DASH] = ACTIONS(184),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(691),
    [anon_sym_DASH_DASH] = ACTIONS(691),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(829),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(811),
    [anon_sym_readonly] = ACTIONS(811),
    [anon_sym_get] = ACTIONS(811),
    [anon_sym_set] = ACTIONS(811),
    [anon_sym_declare] = ACTIONS(811),
    [anon_sym_public] = ACTIONS(811),
    [anon_sym_private] = ACTIONS(811),
    [anon_sym_protected] = ACTIONS(811),
    [anon_sym_override] = ACTIONS(811),
    [anon_sym_module] = ACTIONS(811),
    [anon_sym_any] = ACTIONS(811),
    [anon_sym_number] = ACTIONS(811),
    [anon_sym_boolean] = ACTIONS(811),
    [anon_sym_string] = ACTIONS(811),
    [anon_sym_symbol] = ACTIONS(811),
    [anon_sym_object] = ACTIONS(811),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [140] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1228),
    [sym_expression] = STATE(2615),
    [sym_primary_expression] = STATE(1502),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5482),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5482),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5824),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1228),
    [sym_subscript_expression] = STATE(1228),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(2969),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5482),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1228),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(537),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(809),
    [anon_sym_export] = ACTIONS(811),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(811),
    [anon_sym_EQ] = ACTIONS(987),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(813),
    [anon_sym_LBRACE] = ACTIONS(815),
    [anon_sym_typeof] = ACTIONS(184),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(811),
    [anon_sym_BANG] = ACTIONS(184),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(819),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(821),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(823),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_EQ_GT] = ACTIONS(159),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(825),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(184),
    [anon_sym_DASH] = ACTIONS(184),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(691),
    [anon_sym_DASH_DASH] = ACTIONS(691),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(829),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(811),
    [anon_sym_readonly] = ACTIONS(811),
    [anon_sym_get] = ACTIONS(811),
    [anon_sym_set] = ACTIONS(811),
    [anon_sym_declare] = ACTIONS(811),
    [anon_sym_public] = ACTIONS(811),
    [anon_sym_private] = ACTIONS(811),
    [anon_sym_protected] = ACTIONS(811),
    [anon_sym_override] = ACTIONS(811),
    [anon_sym_module] = ACTIONS(811),
    [anon_sym_any] = ACTIONS(811),
    [anon_sym_number] = ACTIONS(811),
    [anon_sym_boolean] = ACTIONS(811),
    [anon_sym_string] = ACTIONS(811),
    [anon_sym_symbol] = ACTIONS(811),
    [anon_sym_object] = ACTIONS(811),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [141] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1228),
    [sym_expression] = STATE(2615),
    [sym_primary_expression] = STATE(1502),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5482),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5482),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5824),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1228),
    [sym_subscript_expression] = STATE(1228),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(2969),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5482),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(4101),
    [sym_non_null_expression] = STATE(1228),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(537),
    [sym_type_parameters] = STATE(5152),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(809),
    [anon_sym_export] = ACTIONS(811),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(811),
    [anon_sym_EQ] = ACTIONS(831),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(813),
    [anon_sym_LBRACE] = ACTIONS(815),
    [anon_sym_typeof] = ACTIONS(184),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(811),
    [anon_sym_BANG] = ACTIONS(184),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(819),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(821),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(823),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_EQ_GT] = ACTIONS(159),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(825),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(184),
    [anon_sym_DASH] = ACTIONS(184),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(691),
    [anon_sym_DASH_DASH] = ACTIONS(691),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(829),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(811),
    [anon_sym_readonly] = ACTIONS(811),
    [anon_sym_get] = ACTIONS(811),
    [anon_sym_set] = ACTIONS(811),
    [anon_sym_declare] = ACTIONS(811),
    [anon_sym_public] = ACTIONS(811),
    [anon_sym_private] = ACTIONS(811),
    [anon_sym_protected] = ACTIONS(811),
    [anon_sym_override] = ACTIONS(811),
    [anon_sym_module] = ACTIONS(811),
    [anon_sym_any] = ACTIONS(811),
    [anon_sym_number] = ACTIONS(811),
    [anon_sym_boolean] = ACTIONS(811),
    [anon_sym_string] = ACTIONS(811),
    [anon_sym_symbol] = ACTIONS(811),
    [anon_sym_object] = ACTIONS(811),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [142] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1228),
    [sym_expression] = STATE(2615),
    [sym_primary_expression] = STATE(1502),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5482),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5482),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5824),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1228),
    [sym_subscript_expression] = STATE(1228),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(2969),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5482),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1228),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(537),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(809),
    [anon_sym_export] = ACTIONS(811),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(811),
    [anon_sym_EQ] = ACTIONS(989),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(813),
    [anon_sym_LBRACE] = ACTIONS(815),
    [anon_sym_typeof] = ACTIONS(184),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(811),
    [anon_sym_BANG] = ACTIONS(184),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(819),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(821),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(823),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_EQ_GT] = ACTIONS(159),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(825),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(184),
    [anon_sym_DASH] = ACTIONS(184),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(691),
    [anon_sym_DASH_DASH] = ACTIONS(691),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(829),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(811),
    [anon_sym_readonly] = ACTIONS(811),
    [anon_sym_get] = ACTIONS(811),
    [anon_sym_set] = ACTIONS(811),
    [anon_sym_declare] = ACTIONS(811),
    [anon_sym_public] = ACTIONS(811),
    [anon_sym_private] = ACTIONS(811),
    [anon_sym_protected] = ACTIONS(811),
    [anon_sym_override] = ACTIONS(811),
    [anon_sym_module] = ACTIONS(811),
    [anon_sym_any] = ACTIONS(811),
    [anon_sym_number] = ACTIONS(811),
    [anon_sym_boolean] = ACTIONS(811),
    [anon_sym_string] = ACTIONS(811),
    [anon_sym_symbol] = ACTIONS(811),
    [anon_sym_object] = ACTIONS(811),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [143] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1228),
    [sym_expression] = STATE(2615),
    [sym_primary_expression] = STATE(1502),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5482),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5482),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5824),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1228),
    [sym_subscript_expression] = STATE(1228),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(2969),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5482),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1228),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(537),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(809),
    [anon_sym_export] = ACTIONS(811),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(811),
    [anon_sym_EQ] = ACTIONS(991),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(813),
    [anon_sym_LBRACE] = ACTIONS(815),
    [anon_sym_typeof] = ACTIONS(184),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(811),
    [anon_sym_BANG] = ACTIONS(184),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(819),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(821),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(823),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_EQ_GT] = ACTIONS(159),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(825),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(184),
    [anon_sym_DASH] = ACTIONS(184),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(691),
    [anon_sym_DASH_DASH] = ACTIONS(691),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(829),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(811),
    [anon_sym_readonly] = ACTIONS(811),
    [anon_sym_get] = ACTIONS(811),
    [anon_sym_set] = ACTIONS(811),
    [anon_sym_declare] = ACTIONS(811),
    [anon_sym_public] = ACTIONS(811),
    [anon_sym_private] = ACTIONS(811),
    [anon_sym_protected] = ACTIONS(811),
    [anon_sym_override] = ACTIONS(811),
    [anon_sym_module] = ACTIONS(811),
    [anon_sym_any] = ACTIONS(811),
    [anon_sym_number] = ACTIONS(811),
    [anon_sym_boolean] = ACTIONS(811),
    [anon_sym_string] = ACTIONS(811),
    [anon_sym_symbol] = ACTIONS(811),
    [anon_sym_object] = ACTIONS(811),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [144] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1228),
    [sym_expression] = STATE(2615),
    [sym_primary_expression] = STATE(1502),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5482),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5482),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5824),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1228),
    [sym_subscript_expression] = STATE(1228),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(2969),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5482),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1228),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(537),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(809),
    [anon_sym_export] = ACTIONS(811),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(811),
    [anon_sym_EQ] = ACTIONS(993),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(813),
    [anon_sym_LBRACE] = ACTIONS(815),
    [anon_sym_typeof] = ACTIONS(184),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(811),
    [anon_sym_BANG] = ACTIONS(184),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(819),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(821),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(823),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_EQ_GT] = ACTIONS(159),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(825),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(184),
    [anon_sym_DASH] = ACTIONS(184),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(691),
    [anon_sym_DASH_DASH] = ACTIONS(691),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(829),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(811),
    [anon_sym_readonly] = ACTIONS(811),
    [anon_sym_get] = ACTIONS(811),
    [anon_sym_set] = ACTIONS(811),
    [anon_sym_declare] = ACTIONS(811),
    [anon_sym_public] = ACTIONS(811),
    [anon_sym_private] = ACTIONS(811),
    [anon_sym_protected] = ACTIONS(811),
    [anon_sym_override] = ACTIONS(811),
    [anon_sym_module] = ACTIONS(811),
    [anon_sym_any] = ACTIONS(811),
    [anon_sym_number] = ACTIONS(811),
    [anon_sym_boolean] = ACTIONS(811),
    [anon_sym_string] = ACTIONS(811),
    [anon_sym_symbol] = ACTIONS(811),
    [anon_sym_object] = ACTIONS(811),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [145] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1228),
    [sym_expression] = STATE(2615),
    [sym_primary_expression] = STATE(1502),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5482),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5482),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5824),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1228),
    [sym_subscript_expression] = STATE(1228),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(2969),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5482),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1228),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(537),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(809),
    [anon_sym_export] = ACTIONS(811),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(811),
    [anon_sym_EQ] = ACTIONS(831),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(813),
    [anon_sym_LBRACE] = ACTIONS(815),
    [anon_sym_typeof] = ACTIONS(184),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(811),
    [anon_sym_BANG] = ACTIONS(184),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(819),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(821),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(823),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_EQ_GT] = ACTIONS(159),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(825),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(184),
    [anon_sym_DASH] = ACTIONS(184),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(691),
    [anon_sym_DASH_DASH] = ACTIONS(691),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(829),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(811),
    [anon_sym_readonly] = ACTIONS(811),
    [anon_sym_get] = ACTIONS(811),
    [anon_sym_set] = ACTIONS(811),
    [anon_sym_declare] = ACTIONS(811),
    [anon_sym_public] = ACTIONS(811),
    [anon_sym_private] = ACTIONS(811),
    [anon_sym_protected] = ACTIONS(811),
    [anon_sym_override] = ACTIONS(811),
    [anon_sym_module] = ACTIONS(811),
    [anon_sym_any] = ACTIONS(811),
    [anon_sym_number] = ACTIONS(811),
    [anon_sym_boolean] = ACTIONS(811),
    [anon_sym_string] = ACTIONS(811),
    [anon_sym_symbol] = ACTIONS(811),
    [anon_sym_object] = ACTIONS(811),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [146] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1228),
    [sym_expression] = STATE(2615),
    [sym_primary_expression] = STATE(1502),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5482),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5482),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5824),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1228),
    [sym_subscript_expression] = STATE(1228),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(2969),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5482),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1228),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(537),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(809),
    [anon_sym_export] = ACTIONS(811),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(811),
    [anon_sym_EQ] = ACTIONS(995),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(813),
    [anon_sym_LBRACE] = ACTIONS(815),
    [anon_sym_typeof] = ACTIONS(184),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(811),
    [anon_sym_BANG] = ACTIONS(184),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(819),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(821),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(823),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_EQ_GT] = ACTIONS(159),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(825),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(184),
    [anon_sym_DASH] = ACTIONS(184),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(691),
    [anon_sym_DASH_DASH] = ACTIONS(691),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(829),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(811),
    [anon_sym_readonly] = ACTIONS(811),
    [anon_sym_get] = ACTIONS(811),
    [anon_sym_set] = ACTIONS(811),
    [anon_sym_declare] = ACTIONS(811),
    [anon_sym_public] = ACTIONS(811),
    [anon_sym_private] = ACTIONS(811),
    [anon_sym_protected] = ACTIONS(811),
    [anon_sym_override] = ACTIONS(811),
    [anon_sym_module] = ACTIONS(811),
    [anon_sym_any] = ACTIONS(811),
    [anon_sym_number] = ACTIONS(811),
    [anon_sym_boolean] = ACTIONS(811),
    [anon_sym_string] = ACTIONS(811),
    [anon_sym_symbol] = ACTIONS(811),
    [anon_sym_object] = ACTIONS(811),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [147] = {
    [sym_import] = STATE(3622),
    [sym_parenthesized_expression] = STATE(1324),
    [sym_expression] = STATE(2439),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(4448),
    [sym_assignment_pattern] = STATE(5210),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(4448),
    [sym_glimmer_template] = STATE(1652),
    [sym_nested_identifier] = STATE(5583),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5565),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1399),
    [sym_subscript_expression] = STATE(1399),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(2958),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(4448),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1956),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3937),
    [sym_pattern] = STATE(4534),
    [sym_rest_pattern] = STATE(3605),
    [sym_non_null_expression] = STATE(1399),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_nested_type_identifier] = STATE(3131),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3073),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3209),
    [sym_type] = STATE(3312),
    [sym_constructor_type] = STATE(3272),
    [sym_primary_type] = STATE(3273),
    [sym_template_literal_type] = STATE(3274),
    [sym_infer_type] = STATE(3272),
    [sym_conditional_type] = STATE(3274),
    [sym_generic_type] = STATE(3274),
    [sym_type_query] = STATE(3274),
    [sym_index_type_query] = STATE(3274),
    [sym_lookup_type] = STATE(3274),
    [sym_literal_type] = STATE(3274),
    [sym__number] = STATE(3275),
    [sym_existential_type] = STATE(3274),
    [sym_flow_maybe_type] = STATE(3274),
    [sym_parenthesized_type] = STATE(3274),
    [sym_predefined_type] = STATE(3274),
    [sym_type_arguments] = STATE(482),
    [sym_object_type] = STATE(3274),
    [sym_type_parameters] = STATE(5333),
    [sym_array_type] = STATE(3274),
    [sym_tuple_type] = STATE(3274),
    [sym_readonly_type] = STATE(3272),
    [sym_union_type] = STATE(3274),
    [sym_intersection_type] = STATE(3274),
    [sym_function_type] = STATE(3272),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(997),
    [anon_sym_export] = ACTIONS(580),
    [anon_sym_STAR] = ACTIONS(999),
    [anon_sym_type] = ACTIONS(580),
    [anon_sym_namespace] = ACTIONS(584),
    [anon_sym_LBRACE] = ACTIONS(1001),
    [anon_sym_typeof] = ACTIONS(1003),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(580),
    [anon_sym_const] = ACTIONS(1005),
    [anon_sym_BANG] = ACTIONS(592),
    [anon_sym_LPAREN] = ACTIONS(1007),
    [anon_sym_await] = ACTIONS(594),
    [anon_sym_yield] = ACTIONS(596),
    [anon_sym_LBRACK] = ACTIONS(1009),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(602),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1011),
    [anon_sym_using] = ACTIONS(606),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(169),
    [anon_sym_AMP] = ACTIONS(1013),
    [anon_sym_PIPE] = ACTIONS(1015),
    [anon_sym_PLUS] = ACTIONS(1017),
    [anon_sym_DASH] = ACTIONS(1017),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(592),
    [anon_sym_void] = ACTIONS(1019),
    [anon_sym_delete] = ACTIONS(620),
    [anon_sym_PLUS_PLUS] = ACTIONS(622),
    [anon_sym_DASH_DASH] = ACTIONS(622),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1021),
    [sym_number] = ACTIONS(1023),
    [sym_private_property_identifier] = ACTIONS(624),
    [sym_this] = ACTIONS(1025),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(1027),
    [sym_false] = ACTIONS(1027),
    [sym_null] = ACTIONS(1027),
    [sym_undefined] = ACTIONS(1029),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(580),
    [anon_sym_readonly] = ACTIONS(1031),
    [anon_sym_get] = ACTIONS(580),
    [anon_sym_set] = ACTIONS(580),
    [anon_sym_QMARK] = ACTIONS(1033),
    [anon_sym_declare] = ACTIONS(580),
    [anon_sym_public] = ACTIONS(580),
    [anon_sym_private] = ACTIONS(580),
    [anon_sym_protected] = ACTIONS(580),
    [anon_sym_override] = ACTIONS(580),
    [anon_sym_module] = ACTIONS(580),
    [anon_sym_any] = ACTIONS(1035),
    [anon_sym_number] = ACTIONS(1035),
    [anon_sym_boolean] = ACTIONS(1035),
    [anon_sym_string] = ACTIONS(1035),
    [anon_sym_symbol] = ACTIONS(1035),
    [anon_sym_object] = ACTIONS(1035),
    [anon_sym_abstract] = ACTIONS(1037),
    [anon_sym_infer] = ACTIONS(1039),
    [anon_sym_keyof] = ACTIONS(1041),
    [anon_sym_unique] = ACTIONS(1043),
    [anon_sym_unknown] = ACTIONS(1045),
    [anon_sym_never] = ACTIONS(1045),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1047),
    [sym_html_comment] = ACTIONS(5),
  },
  [148] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1228),
    [sym_expression] = STATE(2615),
    [sym_primary_expression] = STATE(1502),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5482),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5482),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5824),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1228),
    [sym_subscript_expression] = STATE(1228),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(2969),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5482),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1228),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(537),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(809),
    [anon_sym_export] = ACTIONS(811),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(811),
    [anon_sym_EQ] = ACTIONS(1049),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(813),
    [anon_sym_LBRACE] = ACTIONS(815),
    [anon_sym_typeof] = ACTIONS(184),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(811),
    [anon_sym_BANG] = ACTIONS(184),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(819),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(821),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(823),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_EQ_GT] = ACTIONS(159),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(825),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(184),
    [anon_sym_DASH] = ACTIONS(184),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(691),
    [anon_sym_DASH_DASH] = ACTIONS(691),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(829),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(811),
    [anon_sym_readonly] = ACTIONS(811),
    [anon_sym_get] = ACTIONS(811),
    [anon_sym_set] = ACTIONS(811),
    [anon_sym_declare] = ACTIONS(811),
    [anon_sym_public] = ACTIONS(811),
    [anon_sym_private] = ACTIONS(811),
    [anon_sym_protected] = ACTIONS(811),
    [anon_sym_override] = ACTIONS(811),
    [anon_sym_module] = ACTIONS(811),
    [anon_sym_any] = ACTIONS(811),
    [anon_sym_number] = ACTIONS(811),
    [anon_sym_boolean] = ACTIONS(811),
    [anon_sym_string] = ACTIONS(811),
    [anon_sym_symbol] = ACTIONS(811),
    [anon_sym_object] = ACTIONS(811),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [149] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1228),
    [sym_expression] = STATE(2615),
    [sym_primary_expression] = STATE(1502),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5482),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5482),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5824),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1228),
    [sym_subscript_expression] = STATE(1228),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(2969),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5482),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1228),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(537),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(809),
    [anon_sym_export] = ACTIONS(811),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(811),
    [anon_sym_EQ] = ACTIONS(1051),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(813),
    [anon_sym_LBRACE] = ACTIONS(815),
    [anon_sym_typeof] = ACTIONS(184),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(811),
    [anon_sym_BANG] = ACTIONS(184),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(819),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(821),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(823),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_EQ_GT] = ACTIONS(159),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(825),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(184),
    [anon_sym_DASH] = ACTIONS(184),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(691),
    [anon_sym_DASH_DASH] = ACTIONS(691),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(829),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(811),
    [anon_sym_readonly] = ACTIONS(811),
    [anon_sym_get] = ACTIONS(811),
    [anon_sym_set] = ACTIONS(811),
    [anon_sym_declare] = ACTIONS(811),
    [anon_sym_public] = ACTIONS(811),
    [anon_sym_private] = ACTIONS(811),
    [anon_sym_protected] = ACTIONS(811),
    [anon_sym_override] = ACTIONS(811),
    [anon_sym_module] = ACTIONS(811),
    [anon_sym_any] = ACTIONS(811),
    [anon_sym_number] = ACTIONS(811),
    [anon_sym_boolean] = ACTIONS(811),
    [anon_sym_string] = ACTIONS(811),
    [anon_sym_symbol] = ACTIONS(811),
    [anon_sym_object] = ACTIONS(811),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [150] = {
    [sym_import] = STATE(3702),
    [sym_parenthesized_expression] = STATE(1324),
    [sym_expression] = STATE(2319),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5710),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5710),
    [sym_glimmer_template] = STATE(1652),
    [sym_nested_identifier] = STATE(5868),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5565),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1324),
    [sym_subscript_expression] = STATE(1324),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(2958),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5710),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_sequence_expression] = STATE(5796),
    [sym_string] = STATE(2142),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(4280),
    [sym_non_null_expression] = STATE(1324),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_nested_type_identifier] = STATE(2941),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2942),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2944),
    [sym_type] = STATE(4983),
    [sym_constructor_type] = STATE(2974),
    [sym_primary_type] = STATE(4114),
    [sym_template_literal_type] = STATE(3018),
    [sym_infer_type] = STATE(4406),
    [sym_conditional_type] = STATE(3018),
    [sym_generic_type] = STATE(3018),
    [sym_type_query] = STATE(3018),
    [sym_index_type_query] = STATE(3018),
    [sym_lookup_type] = STATE(3018),
    [sym_literal_type] = STATE(3018),
    [sym__number] = STATE(3031),
    [sym_existential_type] = STATE(3018),
    [sym_flow_maybe_type] = STATE(3018),
    [sym_parenthesized_type] = STATE(3018),
    [sym_predefined_type] = STATE(3018),
    [sym_type_arguments] = STATE(482),
    [sym_object_type] = STATE(3018),
    [sym_type_parameters] = STATE(5262),
    [sym_array_type] = STATE(3018),
    [sym_tuple_type] = STATE(3018),
    [sym_readonly_type] = STATE(2974),
    [sym_union_type] = STATE(3018),
    [sym_intersection_type] = STATE(3018),
    [sym_function_type] = STATE(2974),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(1053),
    [anon_sym_export] = ACTIONS(1055),
    [anon_sym_STAR] = ACTIONS(582),
    [anon_sym_type] = ACTIONS(1055),
    [anon_sym_namespace] = ACTIONS(1057),
    [anon_sym_LBRACE] = ACTIONS(1059),
    [anon_sym_typeof] = ACTIONS(1061),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1055),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_BANG] = ACTIONS(592),
    [anon_sym_LPAREN] = ACTIONS(139),
    [anon_sym_await] = ACTIONS(594),
    [anon_sym_yield] = ACTIONS(596),
    [anon_sym_LBRACK] = ACTIONS(1063),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1065),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1067),
    [anon_sym_using] = ACTIONS(606),
    [anon_sym_AMP] = ACTIONS(755),
    [anon_sym_PIPE] = ACTIONS(757),
    [anon_sym_PLUS] = ACTIONS(1069),
    [anon_sym_DASH] = ACTIONS(1069),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(592),
    [anon_sym_void] = ACTIONS(618),
    [anon_sym_delete] = ACTIONS(620),
    [anon_sym_PLUS_PLUS] = ACTIONS(622),
    [anon_sym_DASH_DASH] = ACTIONS(622),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(767),
    [sym_number] = ACTIONS(769),
    [sym_private_property_identifier] = ACTIONS(624),
    [sym_this] = ACTIONS(1071),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(775),
    [sym_false] = ACTIONS(775),
    [sym_null] = ACTIONS(775),
    [sym_undefined] = ACTIONS(1073),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1055),
    [anon_sym_readonly] = ACTIONS(1075),
    [anon_sym_get] = ACTIONS(1055),
    [anon_sym_set] = ACTIONS(1055),
    [anon_sym_QMARK] = ACTIONS(783),
    [anon_sym_declare] = ACTIONS(1055),
    [anon_sym_public] = ACTIONS(1055),
    [anon_sym_private] = ACTIONS(1055),
    [anon_sym_protected] = ACTIONS(1055),
    [anon_sym_override] = ACTIONS(1055),
    [anon_sym_module] = ACTIONS(1055),
    [anon_sym_any] = ACTIONS(1077),
    [anon_sym_number] = ACTIONS(1077),
    [anon_sym_boolean] = ACTIONS(1077),
    [anon_sym_string] = ACTIONS(1077),
    [anon_sym_symbol] = ACTIONS(1077),
    [anon_sym_object] = ACTIONS(1077),
    [anon_sym_abstract] = ACTIONS(209),
    [anon_sym_infer] = ACTIONS(211),
    [anon_sym_keyof] = ACTIONS(213),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym_html_comment] = ACTIONS(5),
  },
  [151] = {
    [sym_import] = STATE(3620),
    [sym_parenthesized_expression] = STATE(1459),
    [sym_expression] = STATE(2397),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5835),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5835),
    [sym_glimmer_template] = STATE(1652),
    [sym_nested_identifier] = STATE(5868),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5489),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1459),
    [sym_subscript_expression] = STATE(1459),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(3006),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5835),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(2351),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(4280),
    [sym_non_null_expression] = STATE(1459),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_nested_type_identifier] = STATE(2941),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2942),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2944),
    [sym_type] = STATE(3900),
    [sym_constructor_type] = STATE(2974),
    [sym_primary_type] = STATE(3014),
    [sym_template_literal_type] = STATE(3018),
    [sym_infer_type] = STATE(2974),
    [sym_conditional_type] = STATE(3018),
    [sym_generic_type] = STATE(3018),
    [sym_type_query] = STATE(3018),
    [sym_index_type_query] = STATE(3018),
    [sym_lookup_type] = STATE(3018),
    [sym_literal_type] = STATE(3018),
    [sym__number] = STATE(3031),
    [sym_existential_type] = STATE(3018),
    [sym_flow_maybe_type] = STATE(3018),
    [sym_parenthesized_type] = STATE(3018),
    [sym_predefined_type] = STATE(3018),
    [sym_type_arguments] = STATE(617),
    [sym_object_type] = STATE(3018),
    [sym_type_parameters] = STATE(5262),
    [sym_array_type] = STATE(3018),
    [sym_tuple_type] = STATE(3018),
    [sym_readonly_type] = STATE(2974),
    [sym_union_type] = STATE(3018),
    [sym_intersection_type] = STATE(3018),
    [sym_function_type] = STATE(2974),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(1079),
    [anon_sym_export] = ACTIONS(1081),
    [anon_sym_STAR] = ACTIONS(582),
    [anon_sym_type] = ACTIONS(1081),
    [anon_sym_namespace] = ACTIONS(1083),
    [anon_sym_LBRACE] = ACTIONS(1085),
    [anon_sym_typeof] = ACTIONS(1087),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1081),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_BANG] = ACTIONS(1089),
    [anon_sym_LPAREN] = ACTIONS(139),
    [anon_sym_await] = ACTIONS(1091),
    [anon_sym_yield] = ACTIONS(1093),
    [anon_sym_LBRACK] = ACTIONS(1095),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1097),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1099),
    [anon_sym_using] = ACTIONS(1101),
    [anon_sym_AMP] = ACTIONS(755),
    [anon_sym_PIPE] = ACTIONS(757),
    [anon_sym_PLUS] = ACTIONS(1103),
    [anon_sym_DASH] = ACTIONS(1103),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1089),
    [anon_sym_void] = ACTIONS(1105),
    [anon_sym_delete] = ACTIONS(1107),
    [anon_sym_PLUS_PLUS] = ACTIONS(1109),
    [anon_sym_DASH_DASH] = ACTIONS(1109),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(1113),
    [sym_private_property_identifier] = ACTIONS(1115),
    [sym_this] = ACTIONS(1117),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(1119),
    [sym_false] = ACTIONS(1119),
    [sym_null] = ACTIONS(1119),
    [sym_undefined] = ACTIONS(1121),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1081),
    [anon_sym_readonly] = ACTIONS(1123),
    [anon_sym_get] = ACTIONS(1081),
    [anon_sym_set] = ACTIONS(1081),
    [anon_sym_QMARK] = ACTIONS(783),
    [anon_sym_declare] = ACTIONS(1081),
    [anon_sym_public] = ACTIONS(1081),
    [anon_sym_private] = ACTIONS(1081),
    [anon_sym_protected] = ACTIONS(1081),
    [anon_sym_override] = ACTIONS(1081),
    [anon_sym_module] = ACTIONS(1081),
    [anon_sym_any] = ACTIONS(1125),
    [anon_sym_number] = ACTIONS(1125),
    [anon_sym_boolean] = ACTIONS(1125),
    [anon_sym_string] = ACTIONS(1125),
    [anon_sym_symbol] = ACTIONS(1125),
    [anon_sym_object] = ACTIONS(1125),
    [anon_sym_abstract] = ACTIONS(209),
    [anon_sym_infer] = ACTIONS(211),
    [anon_sym_keyof] = ACTIONS(213),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym_html_comment] = ACTIONS(5),
  },
  [152] = {
    [sym_import] = STATE(3614),
    [sym_parenthesized_expression] = STATE(1417),
    [sym_expression] = STATE(2191),
    [sym_primary_expression] = STATE(1833),
    [sym_yield_expression] = STATE(2130),
    [sym_object] = STATE(2117),
    [sym_object_pattern] = STATE(5592),
    [sym_array] = STATE(2117),
    [sym_array_pattern] = STATE(5592),
    [sym_glimmer_template] = STATE(2130),
    [sym_nested_identifier] = STATE(5868),
    [sym_class] = STATE(2117),
    [sym_function_expression] = STATE(2117),
    [sym_generator_function] = STATE(2117),
    [sym_arrow_function] = STATE(2117),
    [sym__call_signature] = STATE(5478),
    [sym_call_expression] = STATE(2117),
    [sym_new_expression] = STATE(1963),
    [sym_await_expression] = STATE(2130),
    [sym_member_expression] = STATE(1417),
    [sym_subscript_expression] = STATE(1417),
    [sym_assignment_expression] = STATE(2130),
    [sym__augmented_assignment_lhs] = STATE(3012),
    [sym_augmented_assignment_expression] = STATE(2130),
    [sym__destructuring_pattern] = STATE(5592),
    [sym_ternary_expression] = STATE(2130),
    [sym_binary_expression] = STATE(2130),
    [sym_unary_expression] = STATE(2130),
    [sym_update_expression] = STATE(2130),
    [sym_string] = STATE(2424),
    [sym_template_string] = STATE(2117),
    [sym_regex] = STATE(2117),
    [sym_meta_property] = STATE(2117),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(4280),
    [sym_non_null_expression] = STATE(1417),
    [sym_type_assertion] = STATE(2130),
    [sym_as_expression] = STATE(2130),
    [sym_satisfies_expression] = STATE(2130),
    [sym_instantiation_expression] = STATE(2130),
    [sym_internal_module] = STATE(2130),
    [sym_nested_type_identifier] = STATE(2941),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2942),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2944),
    [sym_type] = STATE(3788),
    [sym_constructor_type] = STATE(2974),
    [sym_primary_type] = STATE(3014),
    [sym_template_literal_type] = STATE(3018),
    [sym_infer_type] = STATE(2974),
    [sym_conditional_type] = STATE(3018),
    [sym_generic_type] = STATE(3018),
    [sym_type_query] = STATE(3018),
    [sym_index_type_query] = STATE(3018),
    [sym_lookup_type] = STATE(3018),
    [sym_literal_type] = STATE(3018),
    [sym__number] = STATE(3031),
    [sym_existential_type] = STATE(3018),
    [sym_flow_maybe_type] = STATE(3018),
    [sym_parenthesized_type] = STATE(3018),
    [sym_predefined_type] = STATE(3018),
    [sym_type_arguments] = STATE(450),
    [sym_object_type] = STATE(3018),
    [sym_type_parameters] = STATE(5262),
    [sym_array_type] = STATE(3018),
    [sym_tuple_type] = STATE(3018),
    [sym_readonly_type] = STATE(2974),
    [sym_union_type] = STATE(3018),
    [sym_intersection_type] = STATE(3018),
    [sym_function_type] = STATE(2974),
    [aux_sym_export_statement_repeat1] = STATE(4499),
    [sym_identifier] = ACTIONS(1127),
    [anon_sym_export] = ACTIONS(1129),
    [anon_sym_STAR] = ACTIONS(582),
    [anon_sym_type] = ACTIONS(1129),
    [anon_sym_namespace] = ACTIONS(1131),
    [anon_sym_LBRACE] = ACTIONS(1133),
    [anon_sym_typeof] = ACTIONS(1135),
    [anon_sym_import] = ACTIONS(674),
    [anon_sym_let] = ACTIONS(1129),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_BANG] = ACTIONS(1137),
    [anon_sym_LPAREN] = ACTIONS(1139),
    [anon_sym_await] = ACTIONS(1141),
    [anon_sym_yield] = ACTIONS(1143),
    [anon_sym_LBRACK] = ACTIONS(1145),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(681),
    [anon_sym_async] = ACTIONS(1147),
    [anon_sym_function] = ACTIONS(685),
    [anon_sym_new] = ACTIONS(1149),
    [anon_sym_using] = ACTIONS(1151),
    [anon_sym_AMP] = ACTIONS(755),
    [anon_sym_PIPE] = ACTIONS(757),
    [anon_sym_PLUS] = ACTIONS(1153),
    [anon_sym_DASH] = ACTIONS(1153),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1137),
    [anon_sym_void] = ACTIONS(1155),
    [anon_sym_delete] = ACTIONS(1157),
    [anon_sym_PLUS_PLUS] = ACTIONS(1159),
    [anon_sym_DASH_DASH] = ACTIONS(1159),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1161),
    [sym_number] = ACTIONS(1163),
    [sym_private_property_identifier] = ACTIONS(1165),
    [sym_this] = ACTIONS(1167),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(1169),
    [sym_false] = ACTIONS(1169),
    [sym_null] = ACTIONS(1169),
    [sym_undefined] = ACTIONS(1171),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1129),
    [anon_sym_readonly] = ACTIONS(1173),
    [anon_sym_get] = ACTIONS(1129),
    [anon_sym_set] = ACTIONS(1129),
    [anon_sym_QMARK] = ACTIONS(783),
    [anon_sym_declare] = ACTIONS(1129),
    [anon_sym_public] = ACTIONS(1129),
    [anon_sym_private] = ACTIONS(1129),
    [anon_sym_protected] = ACTIONS(1129),
    [anon_sym_override] = ACTIONS(1129),
    [anon_sym_module] = ACTIONS(1129),
    [anon_sym_any] = ACTIONS(1175),
    [anon_sym_number] = ACTIONS(1175),
    [anon_sym_boolean] = ACTIONS(1175),
    [anon_sym_string] = ACTIONS(1175),
    [anon_sym_symbol] = ACTIONS(1175),
    [anon_sym_object] = ACTIONS(1175),
    [anon_sym_abstract] = ACTIONS(209),
    [anon_sym_infer] = ACTIONS(211),
    [anon_sym_keyof] = ACTIONS(213),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym_html_comment] = ACTIONS(5),
  },
  [153] = {
    [sym_import] = STATE(3603),
    [sym_parenthesized_expression] = STATE(1228),
    [sym_expression] = STATE(2560),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5482),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5482),
    [sym_glimmer_template] = STATE(1652),
    [sym_nested_identifier] = STATE(5868),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5824),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1228),
    [sym_subscript_expression] = STATE(1228),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(2969),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5482),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(2351),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(4280),
    [sym_non_null_expression] = STATE(1228),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_nested_type_identifier] = STATE(2941),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2942),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2944),
    [sym_type] = STATE(3900),
    [sym_constructor_type] = STATE(2974),
    [sym_primary_type] = STATE(3014),
    [sym_template_literal_type] = STATE(3018),
    [sym_infer_type] = STATE(2974),
    [sym_conditional_type] = STATE(3018),
    [sym_generic_type] = STATE(3018),
    [sym_type_query] = STATE(3018),
    [sym_index_type_query] = STATE(3018),
    [sym_lookup_type] = STATE(3018),
    [sym_literal_type] = STATE(3018),
    [sym__number] = STATE(3031),
    [sym_existential_type] = STATE(3018),
    [sym_flow_maybe_type] = STATE(3018),
    [sym_parenthesized_type] = STATE(3018),
    [sym_predefined_type] = STATE(3018),
    [sym_type_arguments] = STATE(537),
    [sym_object_type] = STATE(3018),
    [sym_type_parameters] = STATE(5262),
    [sym_array_type] = STATE(3018),
    [sym_tuple_type] = STATE(3018),
    [sym_readonly_type] = STATE(2974),
    [sym_union_type] = STATE(3018),
    [sym_intersection_type] = STATE(3018),
    [sym_function_type] = STATE(2974),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(1177),
    [anon_sym_export] = ACTIONS(811),
    [anon_sym_STAR] = ACTIONS(582),
    [anon_sym_type] = ACTIONS(811),
    [anon_sym_namespace] = ACTIONS(813),
    [anon_sym_LBRACE] = ACTIONS(1179),
    [anon_sym_typeof] = ACTIONS(1181),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(811),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_BANG] = ACTIONS(180),
    [anon_sym_LPAREN] = ACTIONS(139),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(1095),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(823),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1183),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_AMP] = ACTIONS(755),
    [anon_sym_PIPE] = ACTIONS(757),
    [anon_sym_PLUS] = ACTIONS(1185),
    [anon_sym_DASH] = ACTIONS(1185),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(182),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(691),
    [anon_sym_DASH_DASH] = ACTIONS(691),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(1113),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(1117),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(1119),
    [sym_false] = ACTIONS(1119),
    [sym_null] = ACTIONS(1119),
    [sym_undefined] = ACTIONS(1187),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(811),
    [anon_sym_readonly] = ACTIONS(1189),
    [anon_sym_get] = ACTIONS(811),
    [anon_sym_set] = ACTIONS(811),
    [anon_sym_QMARK] = ACTIONS(783),
    [anon_sym_declare] = ACTIONS(811),
    [anon_sym_public] = ACTIONS(811),
    [anon_sym_private] = ACTIONS(811),
    [anon_sym_protected] = ACTIONS(811),
    [anon_sym_override] = ACTIONS(811),
    [anon_sym_module] = ACTIONS(811),
    [anon_sym_any] = ACTIONS(1191),
    [anon_sym_number] = ACTIONS(1191),
    [anon_sym_boolean] = ACTIONS(1191),
    [anon_sym_string] = ACTIONS(1191),
    [anon_sym_symbol] = ACTIONS(1191),
    [anon_sym_object] = ACTIONS(1191),
    [anon_sym_abstract] = ACTIONS(209),
    [anon_sym_infer] = ACTIONS(211),
    [anon_sym_keyof] = ACTIONS(213),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym_html_comment] = ACTIONS(5),
  },
  [154] = {
    [sym_import] = STATE(3603),
    [sym_parenthesized_expression] = STATE(1228),
    [sym_expression] = STATE(2615),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(3727),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(3727),
    [sym_glimmer_template] = STATE(1652),
    [sym_nested_identifier] = STATE(5868),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5824),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1448),
    [sym_subscript_expression] = STATE(1448),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(2969),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(3727),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(2547),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(4280),
    [sym_non_null_expression] = STATE(1448),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_nested_type_identifier] = STATE(2941),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2942),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2944),
    [sym_type] = STATE(4112),
    [sym_constructor_type] = STATE(2974),
    [sym_primary_type] = STATE(3014),
    [sym_template_literal_type] = STATE(3018),
    [sym_infer_type] = STATE(2974),
    [sym_conditional_type] = STATE(3018),
    [sym_generic_type] = STATE(3018),
    [sym_type_query] = STATE(3018),
    [sym_index_type_query] = STATE(3018),
    [sym_lookup_type] = STATE(3018),
    [sym_literal_type] = STATE(3018),
    [sym__number] = STATE(3031),
    [sym_existential_type] = STATE(3018),
    [sym_flow_maybe_type] = STATE(3018),
    [sym_parenthesized_type] = STATE(3018),
    [sym_predefined_type] = STATE(3018),
    [sym_type_arguments] = STATE(537),
    [sym_object_type] = STATE(3018),
    [sym_type_parameters] = STATE(5262),
    [sym_array_type] = STATE(3018),
    [sym_tuple_type] = STATE(3018),
    [sym_readonly_type] = STATE(2974),
    [sym_union_type] = STATE(3018),
    [sym_intersection_type] = STATE(3018),
    [sym_function_type] = STATE(2974),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(1193),
    [anon_sym_export] = ACTIONS(1195),
    [anon_sym_STAR] = ACTIONS(582),
    [anon_sym_type] = ACTIONS(1195),
    [anon_sym_namespace] = ACTIONS(1197),
    [anon_sym_LBRACE] = ACTIONS(1199),
    [anon_sym_typeof] = ACTIONS(1201),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1195),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_BANG] = ACTIONS(180),
    [anon_sym_LPAREN] = ACTIONS(139),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(1203),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1205),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1207),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_AMP] = ACTIONS(755),
    [anon_sym_PIPE] = ACTIONS(757),
    [anon_sym_PLUS] = ACTIONS(1209),
    [anon_sym_DASH] = ACTIONS(1209),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(182),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(691),
    [anon_sym_DASH_DASH] = ACTIONS(691),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1211),
    [sym_number] = ACTIONS(1213),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(1215),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(1217),
    [sym_false] = ACTIONS(1217),
    [sym_null] = ACTIONS(1217),
    [sym_undefined] = ACTIONS(1219),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1195),
    [anon_sym_readonly] = ACTIONS(1221),
    [anon_sym_get] = ACTIONS(1195),
    [anon_sym_set] = ACTIONS(1195),
    [anon_sym_QMARK] = ACTIONS(783),
    [anon_sym_declare] = ACTIONS(1195),
    [anon_sym_public] = ACTIONS(1195),
    [anon_sym_private] = ACTIONS(1195),
    [anon_sym_protected] = ACTIONS(1195),
    [anon_sym_override] = ACTIONS(1195),
    [anon_sym_module] = ACTIONS(1195),
    [anon_sym_any] = ACTIONS(1223),
    [anon_sym_number] = ACTIONS(1223),
    [anon_sym_boolean] = ACTIONS(1223),
    [anon_sym_string] = ACTIONS(1223),
    [anon_sym_symbol] = ACTIONS(1223),
    [anon_sym_object] = ACTIONS(1223),
    [anon_sym_abstract] = ACTIONS(209),
    [anon_sym_infer] = ACTIONS(211),
    [anon_sym_keyof] = ACTIONS(213),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym_html_comment] = ACTIONS(5),
  },
  [155] = {
    [sym_import] = STATE(3557),
    [sym_parenthesized_expression] = STATE(1364),
    [sym_expression] = STATE(1844),
    [sym_primary_expression] = STATE(1833),
    [sym_yield_expression] = STATE(2130),
    [sym_object] = STATE(2117),
    [sym_object_pattern] = STATE(5785),
    [sym_array] = STATE(2117),
    [sym_array_pattern] = STATE(5785),
    [sym_glimmer_template] = STATE(2130),
    [sym_nested_identifier] = STATE(5868),
    [sym_class] = STATE(2117),
    [sym_function_expression] = STATE(2117),
    [sym_generator_function] = STATE(2117),
    [sym_arrow_function] = STATE(2117),
    [sym__call_signature] = STATE(5783),
    [sym_call_expression] = STATE(2117),
    [sym_new_expression] = STATE(1963),
    [sym_await_expression] = STATE(2130),
    [sym_member_expression] = STATE(1364),
    [sym_subscript_expression] = STATE(1364),
    [sym_assignment_expression] = STATE(2130),
    [sym__augmented_assignment_lhs] = STATE(3037),
    [sym_augmented_assignment_expression] = STATE(2130),
    [sym__destructuring_pattern] = STATE(5785),
    [sym_ternary_expression] = STATE(2130),
    [sym_binary_expression] = STATE(2130),
    [sym_unary_expression] = STATE(2130),
    [sym_update_expression] = STATE(2130),
    [sym_string] = STATE(1981),
    [sym_template_string] = STATE(2117),
    [sym_regex] = STATE(2117),
    [sym_meta_property] = STATE(2117),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(4280),
    [sym_non_null_expression] = STATE(1364),
    [sym_type_assertion] = STATE(2130),
    [sym_as_expression] = STATE(2130),
    [sym_satisfies_expression] = STATE(2130),
    [sym_instantiation_expression] = STATE(2130),
    [sym_internal_module] = STATE(2130),
    [sym_nested_type_identifier] = STATE(2941),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2942),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2944),
    [sym_type] = STATE(3788),
    [sym_constructor_type] = STATE(2974),
    [sym_primary_type] = STATE(3014),
    [sym_template_literal_type] = STATE(3018),
    [sym_infer_type] = STATE(2974),
    [sym_conditional_type] = STATE(3018),
    [sym_generic_type] = STATE(3018),
    [sym_type_query] = STATE(3018),
    [sym_index_type_query] = STATE(3018),
    [sym_lookup_type] = STATE(3018),
    [sym_literal_type] = STATE(3018),
    [sym__number] = STATE(3031),
    [sym_existential_type] = STATE(3018),
    [sym_flow_maybe_type] = STATE(3018),
    [sym_parenthesized_type] = STATE(3018),
    [sym_predefined_type] = STATE(3018),
    [sym_type_arguments] = STATE(511),
    [sym_object_type] = STATE(3018),
    [sym_type_parameters] = STATE(5262),
    [sym_array_type] = STATE(3018),
    [sym_tuple_type] = STATE(3018),
    [sym_readonly_type] = STATE(2974),
    [sym_union_type] = STATE(3018),
    [sym_intersection_type] = STATE(3018),
    [sym_function_type] = STATE(2974),
    [aux_sym_export_statement_repeat1] = STATE(4499),
    [sym_identifier] = ACTIONS(1225),
    [anon_sym_export] = ACTIONS(1227),
    [anon_sym_STAR] = ACTIONS(582),
    [anon_sym_type] = ACTIONS(1227),
    [anon_sym_namespace] = ACTIONS(1229),
    [anon_sym_LBRACE] = ACTIONS(1231),
    [anon_sym_typeof] = ACTIONS(1233),
    [anon_sym_import] = ACTIONS(674),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_BANG] = ACTIONS(1235),
    [anon_sym_LPAREN] = ACTIONS(1139),
    [anon_sym_await] = ACTIONS(1237),
    [anon_sym_yield] = ACTIONS(1239),
    [anon_sym_LBRACK] = ACTIONS(1241),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(681),
    [anon_sym_async] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(685),
    [anon_sym_new] = ACTIONS(1245),
    [anon_sym_using] = ACTIONS(1247),
    [anon_sym_AMP] = ACTIONS(755),
    [anon_sym_PIPE] = ACTIONS(757),
    [anon_sym_PLUS] = ACTIONS(1249),
    [anon_sym_DASH] = ACTIONS(1249),
    [anon_sym_SLASH] = ACTIONS(885),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1235),
    [anon_sym_void] = ACTIONS(1251),
    [anon_sym_delete] = ACTIONS(1253),
    [anon_sym_PLUS_PLUS] = ACTIONS(1255),
    [anon_sym_DASH_DASH] = ACTIONS(1255),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1257),
    [sym_number] = ACTIONS(1259),
    [sym_private_property_identifier] = ACTIONS(1261),
    [sym_this] = ACTIONS(1263),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(1265),
    [sym_false] = ACTIONS(1265),
    [sym_null] = ACTIONS(1265),
    [sym_undefined] = ACTIONS(1267),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1227),
    [anon_sym_readonly] = ACTIONS(1269),
    [anon_sym_get] = ACTIONS(1227),
    [anon_sym_set] = ACTIONS(1227),
    [anon_sym_QMARK] = ACTIONS(783),
    [anon_sym_declare] = ACTIONS(1227),
    [anon_sym_public] = ACTIONS(1227),
    [anon_sym_private] = ACTIONS(1227),
    [anon_sym_protected] = ACTIONS(1227),
    [anon_sym_override] = ACTIONS(1227),
    [anon_sym_module] = ACTIONS(1227),
    [anon_sym_any] = ACTIONS(1271),
    [anon_sym_number] = ACTIONS(1271),
    [anon_sym_boolean] = ACTIONS(1271),
    [anon_sym_string] = ACTIONS(1271),
    [anon_sym_symbol] = ACTIONS(1271),
    [anon_sym_object] = ACTIONS(1271),
    [anon_sym_abstract] = ACTIONS(209),
    [anon_sym_infer] = ACTIONS(211),
    [anon_sym_keyof] = ACTIONS(213),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym_html_comment] = ACTIONS(5),
  },
  [156] = {
    [sym_import] = STATE(3594),
    [sym_parenthesized_expression] = STATE(1381),
    [sym_expression] = STATE(1892),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5574),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5574),
    [sym_glimmer_template] = STATE(1652),
    [sym_nested_identifier] = STATE(5868),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5865),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1381),
    [sym_subscript_expression] = STATE(1381),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(3033),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5574),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1709),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(4280),
    [sym_non_null_expression] = STATE(1381),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_nested_type_identifier] = STATE(2941),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2942),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2944),
    [sym_type] = STATE(3900),
    [sym_constructor_type] = STATE(2974),
    [sym_primary_type] = STATE(3014),
    [sym_template_literal_type] = STATE(3018),
    [sym_infer_type] = STATE(2974),
    [sym_conditional_type] = STATE(3018),
    [sym_generic_type] = STATE(3018),
    [sym_type_query] = STATE(3018),
    [sym_index_type_query] = STATE(3018),
    [sym_lookup_type] = STATE(3018),
    [sym_literal_type] = STATE(3018),
    [sym__number] = STATE(3031),
    [sym_existential_type] = STATE(3018),
    [sym_flow_maybe_type] = STATE(3018),
    [sym_parenthesized_type] = STATE(3018),
    [sym_predefined_type] = STATE(3018),
    [sym_type_arguments] = STATE(635),
    [sym_object_type] = STATE(3018),
    [sym_type_parameters] = STATE(5262),
    [sym_array_type] = STATE(3018),
    [sym_tuple_type] = STATE(3018),
    [sym_readonly_type] = STATE(2974),
    [sym_union_type] = STATE(3018),
    [sym_intersection_type] = STATE(3018),
    [sym_function_type] = STATE(2974),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(1273),
    [anon_sym_export] = ACTIONS(1275),
    [anon_sym_STAR] = ACTIONS(582),
    [anon_sym_type] = ACTIONS(1275),
    [anon_sym_namespace] = ACTIONS(1277),
    [anon_sym_LBRACE] = ACTIONS(1279),
    [anon_sym_typeof] = ACTIONS(1281),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1275),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_LPAREN] = ACTIONS(139),
    [anon_sym_await] = ACTIONS(743),
    [anon_sym_yield] = ACTIONS(745),
    [anon_sym_LBRACK] = ACTIONS(1283),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1285),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1287),
    [anon_sym_using] = ACTIONS(753),
    [anon_sym_AMP] = ACTIONS(755),
    [anon_sym_PIPE] = ACTIONS(757),
    [anon_sym_PLUS] = ACTIONS(1289),
    [anon_sym_DASH] = ACTIONS(1289),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(739),
    [anon_sym_void] = ACTIONS(761),
    [anon_sym_delete] = ACTIONS(763),
    [anon_sym_PLUS_PLUS] = ACTIONS(765),
    [anon_sym_DASH_DASH] = ACTIONS(765),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1291),
    [sym_number] = ACTIONS(1293),
    [sym_private_property_identifier] = ACTIONS(771),
    [sym_this] = ACTIONS(1295),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(1297),
    [sym_false] = ACTIONS(1297),
    [sym_null] = ACTIONS(1297),
    [sym_undefined] = ACTIONS(1299),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1275),
    [anon_sym_readonly] = ACTIONS(1301),
    [anon_sym_get] = ACTIONS(1275),
    [anon_sym_set] = ACTIONS(1275),
    [anon_sym_QMARK] = ACTIONS(783),
    [anon_sym_declare] = ACTIONS(1275),
    [anon_sym_public] = ACTIONS(1275),
    [anon_sym_private] = ACTIONS(1275),
    [anon_sym_protected] = ACTIONS(1275),
    [anon_sym_override] = ACTIONS(1275),
    [anon_sym_module] = ACTIONS(1275),
    [anon_sym_any] = ACTIONS(1303),
    [anon_sym_number] = ACTIONS(1303),
    [anon_sym_boolean] = ACTIONS(1303),
    [anon_sym_string] = ACTIONS(1303),
    [anon_sym_symbol] = ACTIONS(1303),
    [anon_sym_object] = ACTIONS(1303),
    [anon_sym_abstract] = ACTIONS(209),
    [anon_sym_infer] = ACTIONS(211),
    [anon_sym_keyof] = ACTIONS(213),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym_html_comment] = ACTIONS(5),
  },
  [157] = {
    [sym_import] = STATE(3702),
    [sym_parenthesized_expression] = STATE(1324),
    [sym_expression] = STATE(2323),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(4302),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(4302),
    [sym_glimmer_template] = STATE(1652),
    [sym_nested_identifier] = STATE(5868),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5565),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1351),
    [sym_subscript_expression] = STATE(1351),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(2958),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(4302),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(2255),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(4280),
    [sym_non_null_expression] = STATE(1351),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_nested_type_identifier] = STATE(2941),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2942),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2944),
    [sym_type] = STATE(4112),
    [sym_constructor_type] = STATE(2974),
    [sym_primary_type] = STATE(3014),
    [sym_template_literal_type] = STATE(3018),
    [sym_infer_type] = STATE(2974),
    [sym_conditional_type] = STATE(3018),
    [sym_generic_type] = STATE(3018),
    [sym_type_query] = STATE(3018),
    [sym_index_type_query] = STATE(3018),
    [sym_lookup_type] = STATE(3018),
    [sym_literal_type] = STATE(3018),
    [sym__number] = STATE(3031),
    [sym_existential_type] = STATE(3018),
    [sym_flow_maybe_type] = STATE(3018),
    [sym_parenthesized_type] = STATE(3018),
    [sym_predefined_type] = STATE(3018),
    [sym_type_arguments] = STATE(482),
    [sym_object_type] = STATE(3018),
    [sym_type_parameters] = STATE(5262),
    [sym_array_type] = STATE(3018),
    [sym_tuple_type] = STATE(3018),
    [sym_readonly_type] = STATE(2974),
    [sym_union_type] = STATE(3018),
    [sym_intersection_type] = STATE(3018),
    [sym_function_type] = STATE(2974),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(1305),
    [anon_sym_export] = ACTIONS(1307),
    [anon_sym_STAR] = ACTIONS(582),
    [anon_sym_type] = ACTIONS(1307),
    [anon_sym_namespace] = ACTIONS(1309),
    [anon_sym_LBRACE] = ACTIONS(1311),
    [anon_sym_typeof] = ACTIONS(590),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1307),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_BANG] = ACTIONS(592),
    [anon_sym_LPAREN] = ACTIONS(139),
    [anon_sym_await] = ACTIONS(594),
    [anon_sym_yield] = ACTIONS(596),
    [anon_sym_LBRACK] = ACTIONS(598),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1313),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1315),
    [anon_sym_using] = ACTIONS(606),
    [anon_sym_AMP] = ACTIONS(755),
    [anon_sym_PIPE] = ACTIONS(757),
    [anon_sym_PLUS] = ACTIONS(614),
    [anon_sym_DASH] = ACTIONS(614),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(592),
    [anon_sym_void] = ACTIONS(618),
    [anon_sym_delete] = ACTIONS(620),
    [anon_sym_PLUS_PLUS] = ACTIONS(622),
    [anon_sym_DASH_DASH] = ACTIONS(622),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(189),
    [sym_number] = ACTIONS(191),
    [sym_private_property_identifier] = ACTIONS(624),
    [sym_this] = ACTIONS(626),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1317),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1307),
    [anon_sym_readonly] = ACTIONS(1319),
    [anon_sym_get] = ACTIONS(1307),
    [anon_sym_set] = ACTIONS(1307),
    [anon_sym_QMARK] = ACTIONS(783),
    [anon_sym_declare] = ACTIONS(1307),
    [anon_sym_public] = ACTIONS(1307),
    [anon_sym_private] = ACTIONS(1307),
    [anon_sym_protected] = ACTIONS(1307),
    [anon_sym_override] = ACTIONS(1307),
    [anon_sym_module] = ACTIONS(1307),
    [anon_sym_any] = ACTIONS(1321),
    [anon_sym_number] = ACTIONS(1321),
    [anon_sym_boolean] = ACTIONS(1321),
    [anon_sym_string] = ACTIONS(1321),
    [anon_sym_symbol] = ACTIONS(1321),
    [anon_sym_object] = ACTIONS(1321),
    [anon_sym_abstract] = ACTIONS(209),
    [anon_sym_infer] = ACTIONS(211),
    [anon_sym_keyof] = ACTIONS(213),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym_html_comment] = ACTIONS(5),
  },
  [158] = {
    [sym_import] = STATE(3702),
    [sym_parenthesized_expression] = STATE(1391),
    [sym_expression] = STATE(2088),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5815),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5815),
    [sym_glimmer_template] = STATE(1652),
    [sym_nested_identifier] = STATE(5868),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5603),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1391),
    [sym_subscript_expression] = STATE(1391),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(2984),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5815),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1709),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(4280),
    [sym_non_null_expression] = STATE(1391),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_nested_type_identifier] = STATE(2941),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2942),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2944),
    [sym_type] = STATE(3900),
    [sym_constructor_type] = STATE(2974),
    [sym_primary_type] = STATE(3014),
    [sym_template_literal_type] = STATE(3018),
    [sym_infer_type] = STATE(2974),
    [sym_conditional_type] = STATE(3018),
    [sym_generic_type] = STATE(3018),
    [sym_type_query] = STATE(3018),
    [sym_index_type_query] = STATE(3018),
    [sym_lookup_type] = STATE(3018),
    [sym_literal_type] = STATE(3018),
    [sym__number] = STATE(3031),
    [sym_existential_type] = STATE(3018),
    [sym_flow_maybe_type] = STATE(3018),
    [sym_parenthesized_type] = STATE(3018),
    [sym_predefined_type] = STATE(3018),
    [sym_type_arguments] = STATE(564),
    [sym_object_type] = STATE(3018),
    [sym_type_parameters] = STATE(5262),
    [sym_array_type] = STATE(3018),
    [sym_tuple_type] = STATE(3018),
    [sym_readonly_type] = STATE(2974),
    [sym_union_type] = STATE(3018),
    [sym_intersection_type] = STATE(3018),
    [sym_function_type] = STATE(2974),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(1323),
    [anon_sym_export] = ACTIONS(1325),
    [anon_sym_STAR] = ACTIONS(582),
    [anon_sym_type] = ACTIONS(1325),
    [anon_sym_namespace] = ACTIONS(1327),
    [anon_sym_LBRACE] = ACTIONS(1279),
    [anon_sym_typeof] = ACTIONS(1329),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1325),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_BANG] = ACTIONS(1331),
    [anon_sym_LPAREN] = ACTIONS(139),
    [anon_sym_await] = ACTIONS(1333),
    [anon_sym_yield] = ACTIONS(1335),
    [anon_sym_LBRACK] = ACTIONS(1283),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1337),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1339),
    [anon_sym_using] = ACTIONS(1341),
    [anon_sym_AMP] = ACTIONS(755),
    [anon_sym_PIPE] = ACTIONS(757),
    [anon_sym_PLUS] = ACTIONS(1343),
    [anon_sym_DASH] = ACTIONS(1343),
    [anon_sym_SLASH] = ACTIONS(949),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1331),
    [anon_sym_void] = ACTIONS(1345),
    [anon_sym_delete] = ACTIONS(1347),
    [anon_sym_PLUS_PLUS] = ACTIONS(1349),
    [anon_sym_DASH_DASH] = ACTIONS(1349),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1291),
    [sym_number] = ACTIONS(1293),
    [sym_private_property_identifier] = ACTIONS(1351),
    [sym_this] = ACTIONS(1295),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(1297),
    [sym_false] = ACTIONS(1297),
    [sym_null] = ACTIONS(1297),
    [sym_undefined] = ACTIONS(1353),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1325),
    [anon_sym_readonly] = ACTIONS(1355),
    [anon_sym_get] = ACTIONS(1325),
    [anon_sym_set] = ACTIONS(1325),
    [anon_sym_QMARK] = ACTIONS(783),
    [anon_sym_declare] = ACTIONS(1325),
    [anon_sym_public] = ACTIONS(1325),
    [anon_sym_private] = ACTIONS(1325),
    [anon_sym_protected] = ACTIONS(1325),
    [anon_sym_override] = ACTIONS(1325),
    [anon_sym_module] = ACTIONS(1325),
    [anon_sym_any] = ACTIONS(1357),
    [anon_sym_number] = ACTIONS(1357),
    [anon_sym_boolean] = ACTIONS(1357),
    [anon_sym_string] = ACTIONS(1357),
    [anon_sym_symbol] = ACTIONS(1357),
    [anon_sym_object] = ACTIONS(1357),
    [anon_sym_abstract] = ACTIONS(209),
    [anon_sym_infer] = ACTIONS(211),
    [anon_sym_keyof] = ACTIONS(213),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym_html_comment] = ACTIONS(5),
  },
  [159] = {
    [sym_import] = STATE(3603),
    [sym_parenthesized_expression] = STATE(1457),
    [sym_expression] = STATE(2370),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5827),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5827),
    [sym_glimmer_template] = STATE(1652),
    [sym_nested_identifier] = STATE(5868),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5728),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1457),
    [sym_subscript_expression] = STATE(1457),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(3001),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5827),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(2351),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(4280),
    [sym_non_null_expression] = STATE(1457),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_nested_type_identifier] = STATE(2941),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2942),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2944),
    [sym_type] = STATE(3900),
    [sym_constructor_type] = STATE(2974),
    [sym_primary_type] = STATE(3014),
    [sym_template_literal_type] = STATE(3018),
    [sym_infer_type] = STATE(2974),
    [sym_conditional_type] = STATE(3018),
    [sym_generic_type] = STATE(3018),
    [sym_type_query] = STATE(3018),
    [sym_index_type_query] = STATE(3018),
    [sym_lookup_type] = STATE(3018),
    [sym_literal_type] = STATE(3018),
    [sym__number] = STATE(3031),
    [sym_existential_type] = STATE(3018),
    [sym_flow_maybe_type] = STATE(3018),
    [sym_parenthesized_type] = STATE(3018),
    [sym_predefined_type] = STATE(3018),
    [sym_type_arguments] = STATE(591),
    [sym_object_type] = STATE(3018),
    [sym_type_parameters] = STATE(5262),
    [sym_array_type] = STATE(3018),
    [sym_tuple_type] = STATE(3018),
    [sym_readonly_type] = STATE(2974),
    [sym_union_type] = STATE(3018),
    [sym_intersection_type] = STATE(3018),
    [sym_function_type] = STATE(2974),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(1359),
    [anon_sym_export] = ACTIONS(1361),
    [anon_sym_STAR] = ACTIONS(582),
    [anon_sym_type] = ACTIONS(1361),
    [anon_sym_namespace] = ACTIONS(1363),
    [anon_sym_LBRACE] = ACTIONS(1085),
    [anon_sym_typeof] = ACTIONS(1365),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1361),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_BANG] = ACTIONS(1367),
    [anon_sym_LPAREN] = ACTIONS(139),
    [anon_sym_await] = ACTIONS(1369),
    [anon_sym_yield] = ACTIONS(1371),
    [anon_sym_LBRACK] = ACTIONS(1095),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1373),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1375),
    [anon_sym_using] = ACTIONS(1377),
    [anon_sym_AMP] = ACTIONS(755),
    [anon_sym_PIPE] = ACTIONS(757),
    [anon_sym_PLUS] = ACTIONS(1379),
    [anon_sym_DASH] = ACTIONS(1379),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1367),
    [anon_sym_void] = ACTIONS(1381),
    [anon_sym_delete] = ACTIONS(1383),
    [anon_sym_PLUS_PLUS] = ACTIONS(1385),
    [anon_sym_DASH_DASH] = ACTIONS(1385),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(1113),
    [sym_private_property_identifier] = ACTIONS(1387),
    [sym_this] = ACTIONS(1117),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(1119),
    [sym_false] = ACTIONS(1119),
    [sym_null] = ACTIONS(1119),
    [sym_undefined] = ACTIONS(1389),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1361),
    [anon_sym_readonly] = ACTIONS(1391),
    [anon_sym_get] = ACTIONS(1361),
    [anon_sym_set] = ACTIONS(1361),
    [anon_sym_QMARK] = ACTIONS(783),
    [anon_sym_declare] = ACTIONS(1361),
    [anon_sym_public] = ACTIONS(1361),
    [anon_sym_private] = ACTIONS(1361),
    [anon_sym_protected] = ACTIONS(1361),
    [anon_sym_override] = ACTIONS(1361),
    [anon_sym_module] = ACTIONS(1361),
    [anon_sym_any] = ACTIONS(1393),
    [anon_sym_number] = ACTIONS(1393),
    [anon_sym_boolean] = ACTIONS(1393),
    [anon_sym_string] = ACTIONS(1393),
    [anon_sym_symbol] = ACTIONS(1393),
    [anon_sym_object] = ACTIONS(1393),
    [anon_sym_abstract] = ACTIONS(209),
    [anon_sym_infer] = ACTIONS(211),
    [anon_sym_keyof] = ACTIONS(213),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym_html_comment] = ACTIONS(5),
  },
  [160] = {
    [sym_import] = STATE(3702),
    [sym_parenthesized_expression] = STATE(1324),
    [sym_expression] = STATE(1747),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5710),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5710),
    [sym_glimmer_template] = STATE(1652),
    [sym_nested_identifier] = STATE(5868),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5565),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1324),
    [sym_subscript_expression] = STATE(1324),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(2958),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5710),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1709),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(4280),
    [sym_non_null_expression] = STATE(1324),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_nested_type_identifier] = STATE(2941),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2942),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2944),
    [sym_type] = STATE(3900),
    [sym_constructor_type] = STATE(2974),
    [sym_primary_type] = STATE(3014),
    [sym_template_literal_type] = STATE(3018),
    [sym_infer_type] = STATE(2974),
    [sym_conditional_type] = STATE(3018),
    [sym_generic_type] = STATE(3018),
    [sym_type_query] = STATE(3018),
    [sym_index_type_query] = STATE(3018),
    [sym_lookup_type] = STATE(3018),
    [sym_literal_type] = STATE(3018),
    [sym__number] = STATE(3031),
    [sym_existential_type] = STATE(3018),
    [sym_flow_maybe_type] = STATE(3018),
    [sym_parenthesized_type] = STATE(3018),
    [sym_predefined_type] = STATE(3018),
    [sym_type_arguments] = STATE(482),
    [sym_object_type] = STATE(3018),
    [sym_type_parameters] = STATE(5262),
    [sym_array_type] = STATE(3018),
    [sym_tuple_type] = STATE(3018),
    [sym_readonly_type] = STATE(2974),
    [sym_union_type] = STATE(3018),
    [sym_intersection_type] = STATE(3018),
    [sym_function_type] = STATE(2974),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(1395),
    [anon_sym_export] = ACTIONS(1055),
    [anon_sym_STAR] = ACTIONS(582),
    [anon_sym_type] = ACTIONS(1055),
    [anon_sym_namespace] = ACTIONS(1057),
    [anon_sym_LBRACE] = ACTIONS(1279),
    [anon_sym_typeof] = ACTIONS(1397),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1055),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_BANG] = ACTIONS(592),
    [anon_sym_LPAREN] = ACTIONS(139),
    [anon_sym_await] = ACTIONS(594),
    [anon_sym_yield] = ACTIONS(596),
    [anon_sym_LBRACK] = ACTIONS(1283),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1065),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1067),
    [anon_sym_using] = ACTIONS(606),
    [anon_sym_AMP] = ACTIONS(755),
    [anon_sym_PIPE] = ACTIONS(757),
    [anon_sym_PLUS] = ACTIONS(1399),
    [anon_sym_DASH] = ACTIONS(1399),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(592),
    [anon_sym_void] = ACTIONS(618),
    [anon_sym_delete] = ACTIONS(620),
    [anon_sym_PLUS_PLUS] = ACTIONS(622),
    [anon_sym_DASH_DASH] = ACTIONS(622),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1291),
    [sym_number] = ACTIONS(1293),
    [sym_private_property_identifier] = ACTIONS(624),
    [sym_this] = ACTIONS(1295),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(1297),
    [sym_false] = ACTIONS(1297),
    [sym_null] = ACTIONS(1297),
    [sym_undefined] = ACTIONS(1401),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1055),
    [anon_sym_readonly] = ACTIONS(1075),
    [anon_sym_get] = ACTIONS(1055),
    [anon_sym_set] = ACTIONS(1055),
    [anon_sym_QMARK] = ACTIONS(783),
    [anon_sym_declare] = ACTIONS(1055),
    [anon_sym_public] = ACTIONS(1055),
    [anon_sym_private] = ACTIONS(1055),
    [anon_sym_protected] = ACTIONS(1055),
    [anon_sym_override] = ACTIONS(1055),
    [anon_sym_module] = ACTIONS(1055),
    [anon_sym_any] = ACTIONS(1403),
    [anon_sym_number] = ACTIONS(1403),
    [anon_sym_boolean] = ACTIONS(1403),
    [anon_sym_string] = ACTIONS(1403),
    [anon_sym_symbol] = ACTIONS(1403),
    [anon_sym_object] = ACTIONS(1403),
    [anon_sym_abstract] = ACTIONS(209),
    [anon_sym_infer] = ACTIONS(211),
    [anon_sym_keyof] = ACTIONS(213),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym_html_comment] = ACTIONS(5),
  },
  [161] = {
    [sym_import] = STATE(3603),
    [sym_parenthesized_expression] = STATE(1461),
    [sym_expression] = STATE(2496),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5839),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5839),
    [sym_glimmer_template] = STATE(1652),
    [sym_nested_identifier] = STATE(5868),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5541),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1461),
    [sym_subscript_expression] = STATE(1461),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(3010),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5839),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(2351),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(4280),
    [sym_non_null_expression] = STATE(1461),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_nested_type_identifier] = STATE(2941),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2942),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2944),
    [sym_type] = STATE(3900),
    [sym_constructor_type] = STATE(2974),
    [sym_primary_type] = STATE(3014),
    [sym_template_literal_type] = STATE(3018),
    [sym_infer_type] = STATE(2974),
    [sym_conditional_type] = STATE(3018),
    [sym_generic_type] = STATE(3018),
    [sym_type_query] = STATE(3018),
    [sym_index_type_query] = STATE(3018),
    [sym_lookup_type] = STATE(3018),
    [sym_literal_type] = STATE(3018),
    [sym__number] = STATE(3031),
    [sym_existential_type] = STATE(3018),
    [sym_flow_maybe_type] = STATE(3018),
    [sym_parenthesized_type] = STATE(3018),
    [sym_predefined_type] = STATE(3018),
    [sym_type_arguments] = STATE(644),
    [sym_object_type] = STATE(3018),
    [sym_type_parameters] = STATE(5262),
    [sym_array_type] = STATE(3018),
    [sym_tuple_type] = STATE(3018),
    [sym_readonly_type] = STATE(2974),
    [sym_union_type] = STATE(3018),
    [sym_intersection_type] = STATE(3018),
    [sym_function_type] = STATE(2974),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(1405),
    [anon_sym_export] = ACTIONS(1407),
    [anon_sym_STAR] = ACTIONS(582),
    [anon_sym_type] = ACTIONS(1407),
    [anon_sym_namespace] = ACTIONS(1409),
    [anon_sym_LBRACE] = ACTIONS(1179),
    [anon_sym_typeof] = ACTIONS(1411),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1407),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_BANG] = ACTIONS(1413),
    [anon_sym_LPAREN] = ACTIONS(139),
    [anon_sym_await] = ACTIONS(1415),
    [anon_sym_yield] = ACTIONS(1417),
    [anon_sym_LBRACK] = ACTIONS(1095),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1419),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1421),
    [anon_sym_using] = ACTIONS(1423),
    [anon_sym_AMP] = ACTIONS(755),
    [anon_sym_PIPE] = ACTIONS(757),
    [anon_sym_PLUS] = ACTIONS(1425),
    [anon_sym_DASH] = ACTIONS(1425),
    [anon_sym_SLASH] = ACTIONS(979),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1413),
    [anon_sym_void] = ACTIONS(1427),
    [anon_sym_delete] = ACTIONS(1429),
    [anon_sym_PLUS_PLUS] = ACTIONS(1431),
    [anon_sym_DASH_DASH] = ACTIONS(1431),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1111),
    [sym_number] = ACTIONS(1113),
    [sym_private_property_identifier] = ACTIONS(1433),
    [sym_this] = ACTIONS(1117),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(1119),
    [sym_false] = ACTIONS(1119),
    [sym_null] = ACTIONS(1119),
    [sym_undefined] = ACTIONS(1435),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1407),
    [anon_sym_readonly] = ACTIONS(1437),
    [anon_sym_get] = ACTIONS(1407),
    [anon_sym_set] = ACTIONS(1407),
    [anon_sym_QMARK] = ACTIONS(783),
    [anon_sym_declare] = ACTIONS(1407),
    [anon_sym_public] = ACTIONS(1407),
    [anon_sym_private] = ACTIONS(1407),
    [anon_sym_protected] = ACTIONS(1407),
    [anon_sym_override] = ACTIONS(1407),
    [anon_sym_module] = ACTIONS(1407),
    [anon_sym_any] = ACTIONS(1439),
    [anon_sym_number] = ACTIONS(1439),
    [anon_sym_boolean] = ACTIONS(1439),
    [anon_sym_string] = ACTIONS(1439),
    [anon_sym_symbol] = ACTIONS(1439),
    [anon_sym_object] = ACTIONS(1439),
    [anon_sym_abstract] = ACTIONS(209),
    [anon_sym_infer] = ACTIONS(211),
    [anon_sym_keyof] = ACTIONS(213),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym_html_comment] = ACTIONS(5),
  },
  [162] = {
    [sym_import] = STATE(3557),
    [sym_parenthesized_expression] = STATE(1353),
    [sym_expression] = STATE(1796),
    [sym_primary_expression] = STATE(1833),
    [sym_yield_expression] = STATE(2130),
    [sym_object] = STATE(2117),
    [sym_object_pattern] = STATE(5484),
    [sym_array] = STATE(2117),
    [sym_array_pattern] = STATE(5484),
    [sym_glimmer_template] = STATE(2130),
    [sym_nested_identifier] = STATE(5868),
    [sym_class] = STATE(2117),
    [sym_function_expression] = STATE(2117),
    [sym_generator_function] = STATE(2117),
    [sym_arrow_function] = STATE(2117),
    [sym__call_signature] = STATE(5525),
    [sym_call_expression] = STATE(2117),
    [sym_new_expression] = STATE(1963),
    [sym_await_expression] = STATE(2130),
    [sym_member_expression] = STATE(1353),
    [sym_subscript_expression] = STATE(1353),
    [sym_assignment_expression] = STATE(2130),
    [sym__augmented_assignment_lhs] = STATE(3036),
    [sym_augmented_assignment_expression] = STATE(2130),
    [sym__destructuring_pattern] = STATE(5484),
    [sym_ternary_expression] = STATE(2130),
    [sym_binary_expression] = STATE(2130),
    [sym_unary_expression] = STATE(2130),
    [sym_update_expression] = STATE(2130),
    [sym_string] = STATE(1981),
    [sym_template_string] = STATE(2117),
    [sym_regex] = STATE(2117),
    [sym_meta_property] = STATE(2117),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(4280),
    [sym_non_null_expression] = STATE(1353),
    [sym_type_assertion] = STATE(2130),
    [sym_as_expression] = STATE(2130),
    [sym_satisfies_expression] = STATE(2130),
    [sym_instantiation_expression] = STATE(2130),
    [sym_internal_module] = STATE(2130),
    [sym_nested_type_identifier] = STATE(2941),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2942),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2944),
    [sym_type] = STATE(3788),
    [sym_constructor_type] = STATE(2974),
    [sym_primary_type] = STATE(3014),
    [sym_template_literal_type] = STATE(3018),
    [sym_infer_type] = STATE(2974),
    [sym_conditional_type] = STATE(3018),
    [sym_generic_type] = STATE(3018),
    [sym_type_query] = STATE(3018),
    [sym_index_type_query] = STATE(3018),
    [sym_lookup_type] = STATE(3018),
    [sym_literal_type] = STATE(3018),
    [sym__number] = STATE(3031),
    [sym_existential_type] = STATE(3018),
    [sym_flow_maybe_type] = STATE(3018),
    [sym_parenthesized_type] = STATE(3018),
    [sym_predefined_type] = STATE(3018),
    [sym_type_arguments] = STATE(427),
    [sym_object_type] = STATE(3018),
    [sym_type_parameters] = STATE(5262),
    [sym_array_type] = STATE(3018),
    [sym_tuple_type] = STATE(3018),
    [sym_readonly_type] = STATE(2974),
    [sym_union_type] = STATE(3018),
    [sym_intersection_type] = STATE(3018),
    [sym_function_type] = STATE(2974),
    [aux_sym_export_statement_repeat1] = STATE(4499),
    [sym_identifier] = ACTIONS(1441),
    [anon_sym_export] = ACTIONS(1443),
    [anon_sym_STAR] = ACTIONS(582),
    [anon_sym_type] = ACTIONS(1443),
    [anon_sym_namespace] = ACTIONS(1445),
    [anon_sym_LBRACE] = ACTIONS(1231),
    [anon_sym_typeof] = ACTIONS(1447),
    [anon_sym_import] = ACTIONS(674),
    [anon_sym_let] = ACTIONS(1443),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(1139),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(1241),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(681),
    [anon_sym_async] = ACTIONS(1449),
    [anon_sym_function] = ACTIONS(685),
    [anon_sym_new] = ACTIONS(1451),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_AMP] = ACTIONS(755),
    [anon_sym_PIPE] = ACTIONS(757),
    [anon_sym_PLUS] = ACTIONS(1453),
    [anon_sym_DASH] = ACTIONS(1453),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(1455),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1257),
    [sym_number] = ACTIONS(1259),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(1263),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(1265),
    [sym_false] = ACTIONS(1265),
    [sym_null] = ACTIONS(1265),
    [sym_undefined] = ACTIONS(1457),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1443),
    [anon_sym_readonly] = ACTIONS(1459),
    [anon_sym_get] = ACTIONS(1443),
    [anon_sym_set] = ACTIONS(1443),
    [anon_sym_QMARK] = ACTIONS(783),
    [anon_sym_declare] = ACTIONS(1443),
    [anon_sym_public] = ACTIONS(1443),
    [anon_sym_private] = ACTIONS(1443),
    [anon_sym_protected] = ACTIONS(1443),
    [anon_sym_override] = ACTIONS(1443),
    [anon_sym_module] = ACTIONS(1443),
    [anon_sym_any] = ACTIONS(1461),
    [anon_sym_number] = ACTIONS(1461),
    [anon_sym_boolean] = ACTIONS(1461),
    [anon_sym_string] = ACTIONS(1461),
    [anon_sym_symbol] = ACTIONS(1461),
    [anon_sym_object] = ACTIONS(1461),
    [anon_sym_abstract] = ACTIONS(209),
    [anon_sym_infer] = ACTIONS(211),
    [anon_sym_keyof] = ACTIONS(213),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym_html_comment] = ACTIONS(5),
  },
  [163] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1324),
    [sym_expression] = STATE(1780),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5710),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5710),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5565),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1324),
    [sym_subscript_expression] = STATE(1324),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(2958),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5710),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1324),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(482),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(1463),
    [anon_sym_export] = ACTIONS(1055),
    [anon_sym_STAR] = ACTIONS(1465),
    [anon_sym_type] = ACTIONS(1055),
    [anon_sym_as] = ACTIONS(1467),
    [anon_sym_namespace] = ACTIONS(1057),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_COMMA] = ACTIONS(1469),
    [anon_sym_RBRACE] = ACTIONS(1469),
    [anon_sym_typeof] = ACTIONS(620),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1055),
    [anon_sym_BANG] = ACTIONS(620),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_SEMI] = ACTIONS(1469),
    [anon_sym_await] = ACTIONS(594),
    [anon_sym_in] = ACTIONS(1467),
    [anon_sym_COLON] = ACTIONS(1469),
    [anon_sym_yield] = ACTIONS(596),
    [anon_sym_LBRACK] = ACTIONS(847),
    [anon_sym_RBRACK] = ACTIONS(1469),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(1467),
    [anon_sym_DOT] = ACTIONS(1467),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1065),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_QMARK_DOT] = ACTIONS(1469),
    [anon_sym_new] = ACTIONS(1471),
    [anon_sym_using] = ACTIONS(606),
    [anon_sym_AMP_AMP] = ACTIONS(1469),
    [anon_sym_PIPE_PIPE] = ACTIONS(1469),
    [anon_sym_GT_GT] = ACTIONS(1467),
    [anon_sym_GT_GT_GT] = ACTIONS(1469),
    [anon_sym_LT_LT] = ACTIONS(1469),
    [anon_sym_AMP] = ACTIONS(1467),
    [anon_sym_CARET] = ACTIONS(1469),
    [anon_sym_PIPE] = ACTIONS(1467),
    [anon_sym_PLUS] = ACTIONS(620),
    [anon_sym_DASH] = ACTIONS(620),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_PERCENT] = ACTIONS(1469),
    [anon_sym_STAR_STAR] = ACTIONS(1469),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_LT_EQ] = ACTIONS(1469),
    [anon_sym_EQ_EQ] = ACTIONS(1467),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1469),
    [anon_sym_BANG_EQ] = ACTIONS(1467),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1469),
    [anon_sym_GT_EQ] = ACTIONS(1469),
    [anon_sym_QMARK_QMARK] = ACTIONS(1469),
    [anon_sym_instanceof] = ACTIONS(1467),
    [anon_sym_TILDE] = ACTIONS(592),
    [anon_sym_void] = ACTIONS(620),
    [anon_sym_delete] = ACTIONS(620),
    [anon_sym_PLUS_PLUS] = ACTIONS(622),
    [anon_sym_DASH_DASH] = ACTIONS(622),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(624),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1473),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1055),
    [anon_sym_readonly] = ACTIONS(1055),
    [anon_sym_get] = ACTIONS(1055),
    [anon_sym_set] = ACTIONS(1055),
    [anon_sym_declare] = ACTIONS(1055),
    [anon_sym_public] = ACTIONS(1055),
    [anon_sym_private] = ACTIONS(1055),
    [anon_sym_protected] = ACTIONS(1055),
    [anon_sym_override] = ACTIONS(1055),
    [anon_sym_module] = ACTIONS(1055),
    [anon_sym_any] = ACTIONS(1055),
    [anon_sym_number] = ACTIONS(1055),
    [anon_sym_boolean] = ACTIONS(1055),
    [anon_sym_string] = ACTIONS(1055),
    [anon_sym_symbol] = ACTIONS(1055),
    [anon_sym_object] = ACTIONS(1055),
    [anon_sym_satisfies] = ACTIONS(1467),
    [sym__ternary_qmark] = ACTIONS(1469),
    [sym_html_comment] = ACTIONS(5),
  },
  [164] = {
    [sym_import] = STATE(3513),
    [sym_parenthesized_expression] = STATE(1353),
    [sym_expression] = STATE(1784),
    [sym_primary_expression] = STATE(1833),
    [sym_yield_expression] = STATE(2130),
    [sym_object] = STATE(2117),
    [sym_object_pattern] = STATE(5484),
    [sym_array] = STATE(2117),
    [sym_array_pattern] = STATE(5484),
    [sym_glimmer_template] = STATE(2130),
    [sym_class] = STATE(2117),
    [sym_function_expression] = STATE(2117),
    [sym_generator_function] = STATE(2117),
    [sym_arrow_function] = STATE(2117),
    [sym__call_signature] = STATE(5525),
    [sym_call_expression] = STATE(2117),
    [sym_new_expression] = STATE(1963),
    [sym_await_expression] = STATE(2130),
    [sym_member_expression] = STATE(1353),
    [sym_subscript_expression] = STATE(1353),
    [sym_assignment_expression] = STATE(2130),
    [sym__augmented_assignment_lhs] = STATE(3036),
    [sym_augmented_assignment_expression] = STATE(2130),
    [sym__destructuring_pattern] = STATE(5484),
    [sym_ternary_expression] = STATE(2130),
    [sym_binary_expression] = STATE(2130),
    [sym_unary_expression] = STATE(2130),
    [sym_update_expression] = STATE(2130),
    [sym_string] = STATE(2117),
    [sym_template_string] = STATE(2117),
    [sym_regex] = STATE(2117),
    [sym_meta_property] = STATE(2117),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1353),
    [sym_type_assertion] = STATE(2130),
    [sym_as_expression] = STATE(2130),
    [sym_satisfies_expression] = STATE(2130),
    [sym_instantiation_expression] = STATE(2130),
    [sym_internal_module] = STATE(2130),
    [sym_type_arguments] = STATE(427),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4499),
    [sym_identifier] = ACTIONS(1475),
    [anon_sym_export] = ACTIONS(1443),
    [anon_sym_STAR] = ACTIONS(1477),
    [anon_sym_type] = ACTIONS(1443),
    [anon_sym_as] = ACTIONS(1467),
    [anon_sym_namespace] = ACTIONS(1445),
    [anon_sym_LBRACE] = ACTIONS(670),
    [anon_sym_COMMA] = ACTIONS(1469),
    [anon_sym_RBRACE] = ACTIONS(1469),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(674),
    [anon_sym_let] = ACTIONS(1443),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_SEMI] = ACTIONS(1469),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_in] = ACTIONS(1467),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_GT] = ACTIONS(1467),
    [anon_sym_DOT] = ACTIONS(1467),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(681),
    [anon_sym_async] = ACTIONS(1449),
    [anon_sym_function] = ACTIONS(685),
    [anon_sym_QMARK_DOT] = ACTIONS(1469),
    [anon_sym_new] = ACTIONS(1479),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_AMP_AMP] = ACTIONS(1469),
    [anon_sym_PIPE_PIPE] = ACTIONS(1469),
    [anon_sym_GT_GT] = ACTIONS(1467),
    [anon_sym_GT_GT_GT] = ACTIONS(1469),
    [anon_sym_LT_LT] = ACTIONS(1469),
    [anon_sym_AMP] = ACTIONS(1467),
    [anon_sym_CARET] = ACTIONS(1469),
    [anon_sym_PIPE] = ACTIONS(1467),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_PERCENT] = ACTIONS(1469),
    [anon_sym_STAR_STAR] = ACTIONS(1469),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_LT_EQ] = ACTIONS(1469),
    [anon_sym_EQ_EQ] = ACTIONS(1467),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1469),
    [anon_sym_BANG_EQ] = ACTIONS(1467),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1469),
    [anon_sym_GT_EQ] = ACTIONS(1469),
    [anon_sym_QMARK_QMARK] = ACTIONS(1469),
    [anon_sym_instanceof] = ACTIONS(1467),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1443),
    [anon_sym_readonly] = ACTIONS(1443),
    [anon_sym_get] = ACTIONS(1443),
    [anon_sym_set] = ACTIONS(1443),
    [anon_sym_declare] = ACTIONS(1443),
    [anon_sym_public] = ACTIONS(1443),
    [anon_sym_private] = ACTIONS(1443),
    [anon_sym_protected] = ACTIONS(1443),
    [anon_sym_override] = ACTIONS(1443),
    [anon_sym_module] = ACTIONS(1443),
    [anon_sym_any] = ACTIONS(1443),
    [anon_sym_number] = ACTIONS(1443),
    [anon_sym_boolean] = ACTIONS(1443),
    [anon_sym_string] = ACTIONS(1443),
    [anon_sym_symbol] = ACTIONS(1443),
    [anon_sym_object] = ACTIONS(1443),
    [anon_sym_satisfies] = ACTIONS(1467),
    [sym__automatic_semicolon] = ACTIONS(1469),
    [sym__ternary_qmark] = ACTIONS(1469),
    [sym_html_comment] = ACTIONS(5),
  },
  [165] = {
    [sym_import] = STATE(3513),
    [sym_parenthesized_expression] = STATE(1364),
    [sym_expression] = STATE(1877),
    [sym_primary_expression] = STATE(1833),
    [sym_yield_expression] = STATE(2130),
    [sym_object] = STATE(2117),
    [sym_object_pattern] = STATE(5785),
    [sym_array] = STATE(2117),
    [sym_array_pattern] = STATE(5785),
    [sym_glimmer_template] = STATE(2130),
    [sym_class] = STATE(2117),
    [sym_function_expression] = STATE(2117),
    [sym_generator_function] = STATE(2117),
    [sym_arrow_function] = STATE(2117),
    [sym__call_signature] = STATE(5783),
    [sym_call_expression] = STATE(2117),
    [sym_new_expression] = STATE(1963),
    [sym_await_expression] = STATE(2130),
    [sym_member_expression] = STATE(1364),
    [sym_subscript_expression] = STATE(1364),
    [sym_assignment_expression] = STATE(2130),
    [sym__augmented_assignment_lhs] = STATE(3037),
    [sym_augmented_assignment_expression] = STATE(2130),
    [sym__destructuring_pattern] = STATE(5785),
    [sym_ternary_expression] = STATE(2130),
    [sym_binary_expression] = STATE(2130),
    [sym_unary_expression] = STATE(2130),
    [sym_update_expression] = STATE(2130),
    [sym_string] = STATE(2117),
    [sym_template_string] = STATE(2117),
    [sym_regex] = STATE(2117),
    [sym_meta_property] = STATE(2117),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1364),
    [sym_type_assertion] = STATE(2130),
    [sym_as_expression] = STATE(2130),
    [sym_satisfies_expression] = STATE(2130),
    [sym_instantiation_expression] = STATE(2130),
    [sym_internal_module] = STATE(2130),
    [sym_type_arguments] = STATE(511),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4499),
    [sym_identifier] = ACTIONS(1481),
    [anon_sym_export] = ACTIONS(1227),
    [anon_sym_STAR] = ACTIONS(1483),
    [anon_sym_type] = ACTIONS(1227),
    [anon_sym_as] = ACTIONS(1467),
    [anon_sym_namespace] = ACTIONS(1229),
    [anon_sym_LBRACE] = ACTIONS(670),
    [anon_sym_COMMA] = ACTIONS(1469),
    [anon_sym_typeof] = ACTIONS(1253),
    [anon_sym_import] = ACTIONS(674),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_BANG] = ACTIONS(1253),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_SEMI] = ACTIONS(1469),
    [anon_sym_await] = ACTIONS(1237),
    [anon_sym_in] = ACTIONS(1467),
    [anon_sym_of] = ACTIONS(1467),
    [anon_sym_yield] = ACTIONS(1239),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_GT] = ACTIONS(1467),
    [anon_sym_DOT] = ACTIONS(1467),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(681),
    [anon_sym_async] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(685),
    [anon_sym_QMARK_DOT] = ACTIONS(1469),
    [anon_sym_new] = ACTIONS(1485),
    [anon_sym_using] = ACTIONS(1247),
    [anon_sym_AMP_AMP] = ACTIONS(1469),
    [anon_sym_PIPE_PIPE] = ACTIONS(1469),
    [anon_sym_GT_GT] = ACTIONS(1467),
    [anon_sym_GT_GT_GT] = ACTIONS(1469),
    [anon_sym_LT_LT] = ACTIONS(1469),
    [anon_sym_AMP] = ACTIONS(1467),
    [anon_sym_CARET] = ACTIONS(1469),
    [anon_sym_PIPE] = ACTIONS(1467),
    [anon_sym_PLUS] = ACTIONS(1253),
    [anon_sym_DASH] = ACTIONS(1253),
    [anon_sym_SLASH] = ACTIONS(885),
    [anon_sym_PERCENT] = ACTIONS(1469),
    [anon_sym_STAR_STAR] = ACTIONS(1469),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_LT_EQ] = ACTIONS(1469),
    [anon_sym_EQ_EQ] = ACTIONS(1467),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1469),
    [anon_sym_BANG_EQ] = ACTIONS(1467),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1469),
    [anon_sym_GT_EQ] = ACTIONS(1469),
    [anon_sym_QMARK_QMARK] = ACTIONS(1469),
    [anon_sym_instanceof] = ACTIONS(1467),
    [anon_sym_TILDE] = ACTIONS(1235),
    [anon_sym_void] = ACTIONS(1253),
    [anon_sym_delete] = ACTIONS(1253),
    [anon_sym_PLUS_PLUS] = ACTIONS(1255),
    [anon_sym_DASH_DASH] = ACTIONS(1255),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1261),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1487),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1227),
    [anon_sym_readonly] = ACTIONS(1227),
    [anon_sym_get] = ACTIONS(1227),
    [anon_sym_set] = ACTIONS(1227),
    [anon_sym_declare] = ACTIONS(1227),
    [anon_sym_public] = ACTIONS(1227),
    [anon_sym_private] = ACTIONS(1227),
    [anon_sym_protected] = ACTIONS(1227),
    [anon_sym_override] = ACTIONS(1227),
    [anon_sym_module] = ACTIONS(1227),
    [anon_sym_any] = ACTIONS(1227),
    [anon_sym_number] = ACTIONS(1227),
    [anon_sym_boolean] = ACTIONS(1227),
    [anon_sym_string] = ACTIONS(1227),
    [anon_sym_symbol] = ACTIONS(1227),
    [anon_sym_object] = ACTIONS(1227),
    [anon_sym_satisfies] = ACTIONS(1467),
    [sym__automatic_semicolon] = ACTIONS(1469),
    [sym__ternary_qmark] = ACTIONS(1469),
    [sym_html_comment] = ACTIONS(5),
  },
  [166] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1381),
    [sym_expression] = STATE(1894),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5574),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5574),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5865),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1381),
    [sym_subscript_expression] = STATE(1381),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(3033),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5574),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1381),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(635),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(1489),
    [anon_sym_export] = ACTIONS(1275),
    [anon_sym_STAR] = ACTIONS(1491),
    [anon_sym_type] = ACTIONS(1275),
    [anon_sym_as] = ACTIONS(1467),
    [anon_sym_namespace] = ACTIONS(1277),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_COMMA] = ACTIONS(1469),
    [anon_sym_typeof] = ACTIONS(763),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1275),
    [anon_sym_BANG] = ACTIONS(763),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_RPAREN] = ACTIONS(1469),
    [anon_sym_await] = ACTIONS(743),
    [anon_sym_in] = ACTIONS(1467),
    [anon_sym_COLON] = ACTIONS(1469),
    [anon_sym_yield] = ACTIONS(745),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(1467),
    [anon_sym_DOT] = ACTIONS(1467),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1285),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_QMARK_DOT] = ACTIONS(1469),
    [anon_sym_new] = ACTIONS(1493),
    [anon_sym_using] = ACTIONS(753),
    [anon_sym_AMP_AMP] = ACTIONS(1469),
    [anon_sym_PIPE_PIPE] = ACTIONS(1469),
    [anon_sym_GT_GT] = ACTIONS(1467),
    [anon_sym_GT_GT_GT] = ACTIONS(1469),
    [anon_sym_LT_LT] = ACTIONS(1469),
    [anon_sym_AMP] = ACTIONS(1467),
    [anon_sym_CARET] = ACTIONS(1469),
    [anon_sym_PIPE] = ACTIONS(1467),
    [anon_sym_PLUS] = ACTIONS(763),
    [anon_sym_DASH] = ACTIONS(763),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_PERCENT] = ACTIONS(1469),
    [anon_sym_STAR_STAR] = ACTIONS(1469),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_LT_EQ] = ACTIONS(1469),
    [anon_sym_EQ_EQ] = ACTIONS(1467),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1469),
    [anon_sym_BANG_EQ] = ACTIONS(1467),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1469),
    [anon_sym_GT_EQ] = ACTIONS(1469),
    [anon_sym_QMARK_QMARK] = ACTIONS(1469),
    [anon_sym_instanceof] = ACTIONS(1467),
    [anon_sym_TILDE] = ACTIONS(739),
    [anon_sym_void] = ACTIONS(763),
    [anon_sym_delete] = ACTIONS(763),
    [anon_sym_PLUS_PLUS] = ACTIONS(765),
    [anon_sym_DASH_DASH] = ACTIONS(765),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(771),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1495),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1275),
    [anon_sym_readonly] = ACTIONS(1275),
    [anon_sym_get] = ACTIONS(1275),
    [anon_sym_set] = ACTIONS(1275),
    [anon_sym_declare] = ACTIONS(1275),
    [anon_sym_public] = ACTIONS(1275),
    [anon_sym_private] = ACTIONS(1275),
    [anon_sym_protected] = ACTIONS(1275),
    [anon_sym_override] = ACTIONS(1275),
    [anon_sym_module] = ACTIONS(1275),
    [anon_sym_any] = ACTIONS(1275),
    [anon_sym_number] = ACTIONS(1275),
    [anon_sym_boolean] = ACTIONS(1275),
    [anon_sym_string] = ACTIONS(1275),
    [anon_sym_symbol] = ACTIONS(1275),
    [anon_sym_object] = ACTIONS(1275),
    [anon_sym_satisfies] = ACTIONS(1467),
    [sym__ternary_qmark] = ACTIONS(1469),
    [sym_html_comment] = ACTIONS(5),
  },
  [167] = {
    [sym_import] = STATE(3513),
    [sym_parenthesized_expression] = STATE(1417),
    [sym_expression] = STATE(2261),
    [sym_primary_expression] = STATE(1833),
    [sym_yield_expression] = STATE(2130),
    [sym_object] = STATE(2117),
    [sym_object_pattern] = STATE(5592),
    [sym_array] = STATE(2117),
    [sym_array_pattern] = STATE(5592),
    [sym_glimmer_template] = STATE(2130),
    [sym_class] = STATE(2117),
    [sym_function_expression] = STATE(2117),
    [sym_generator_function] = STATE(2117),
    [sym_arrow_function] = STATE(2117),
    [sym__call_signature] = STATE(5478),
    [sym_call_expression] = STATE(2117),
    [sym_new_expression] = STATE(1963),
    [sym_await_expression] = STATE(2130),
    [sym_member_expression] = STATE(1417),
    [sym_subscript_expression] = STATE(1417),
    [sym_assignment_expression] = STATE(2130),
    [sym__augmented_assignment_lhs] = STATE(3012),
    [sym_augmented_assignment_expression] = STATE(2130),
    [sym__destructuring_pattern] = STATE(5592),
    [sym_ternary_expression] = STATE(2130),
    [sym_binary_expression] = STATE(2130),
    [sym_unary_expression] = STATE(2130),
    [sym_update_expression] = STATE(2130),
    [sym_string] = STATE(2117),
    [sym_template_string] = STATE(2117),
    [sym_regex] = STATE(2117),
    [sym_meta_property] = STATE(2117),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1417),
    [sym_type_assertion] = STATE(2130),
    [sym_as_expression] = STATE(2130),
    [sym_satisfies_expression] = STATE(2130),
    [sym_instantiation_expression] = STATE(2130),
    [sym_internal_module] = STATE(2130),
    [sym_type_arguments] = STATE(450),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4499),
    [sym_identifier] = ACTIONS(1497),
    [anon_sym_export] = ACTIONS(1129),
    [anon_sym_STAR] = ACTIONS(1499),
    [anon_sym_type] = ACTIONS(1129),
    [anon_sym_as] = ACTIONS(1467),
    [anon_sym_namespace] = ACTIONS(1131),
    [anon_sym_LBRACE] = ACTIONS(670),
    [anon_sym_typeof] = ACTIONS(1157),
    [anon_sym_import] = ACTIONS(674),
    [anon_sym_let] = ACTIONS(1129),
    [anon_sym_BANG] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_SEMI] = ACTIONS(1469),
    [anon_sym_await] = ACTIONS(1141),
    [anon_sym_in] = ACTIONS(1467),
    [anon_sym_yield] = ACTIONS(1143),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_GT] = ACTIONS(1467),
    [anon_sym_DOT] = ACTIONS(1467),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(681),
    [anon_sym_async] = ACTIONS(1147),
    [anon_sym_function] = ACTIONS(685),
    [anon_sym_QMARK_DOT] = ACTIONS(1469),
    [anon_sym_new] = ACTIONS(1501),
    [anon_sym_using] = ACTIONS(1151),
    [anon_sym_AMP_AMP] = ACTIONS(1469),
    [anon_sym_PIPE_PIPE] = ACTIONS(1469),
    [anon_sym_GT_GT] = ACTIONS(1467),
    [anon_sym_GT_GT_GT] = ACTIONS(1469),
    [anon_sym_LT_LT] = ACTIONS(1469),
    [anon_sym_AMP] = ACTIONS(1467),
    [anon_sym_CARET] = ACTIONS(1469),
    [anon_sym_PIPE] = ACTIONS(1467),
    [anon_sym_PLUS] = ACTIONS(1157),
    [anon_sym_DASH] = ACTIONS(1157),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_PERCENT] = ACTIONS(1469),
    [anon_sym_STAR_STAR] = ACTIONS(1469),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_LT_EQ] = ACTIONS(1469),
    [anon_sym_EQ_EQ] = ACTIONS(1467),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1469),
    [anon_sym_BANG_EQ] = ACTIONS(1467),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1469),
    [anon_sym_GT_EQ] = ACTIONS(1469),
    [anon_sym_QMARK_QMARK] = ACTIONS(1469),
    [anon_sym_instanceof] = ACTIONS(1467),
    [anon_sym_TILDE] = ACTIONS(1137),
    [anon_sym_void] = ACTIONS(1157),
    [anon_sym_delete] = ACTIONS(1157),
    [anon_sym_PLUS_PLUS] = ACTIONS(1159),
    [anon_sym_DASH_DASH] = ACTIONS(1159),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1165),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1503),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1129),
    [anon_sym_readonly] = ACTIONS(1129),
    [anon_sym_get] = ACTIONS(1129),
    [anon_sym_set] = ACTIONS(1129),
    [anon_sym_declare] = ACTIONS(1129),
    [anon_sym_public] = ACTIONS(1129),
    [anon_sym_private] = ACTIONS(1129),
    [anon_sym_protected] = ACTIONS(1129),
    [anon_sym_override] = ACTIONS(1129),
    [anon_sym_module] = ACTIONS(1129),
    [anon_sym_any] = ACTIONS(1129),
    [anon_sym_number] = ACTIONS(1129),
    [anon_sym_boolean] = ACTIONS(1129),
    [anon_sym_string] = ACTIONS(1129),
    [anon_sym_symbol] = ACTIONS(1129),
    [anon_sym_object] = ACTIONS(1129),
    [anon_sym_satisfies] = ACTIONS(1467),
    [sym__automatic_semicolon] = ACTIONS(1469),
    [sym__ternary_qmark] = ACTIONS(1469),
    [sym_html_comment] = ACTIONS(5),
  },
  [168] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1391),
    [sym_expression] = STATE(2110),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5815),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5815),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5603),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1391),
    [sym_subscript_expression] = STATE(1391),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(2984),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5815),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1391),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(564),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(1505),
    [anon_sym_export] = ACTIONS(1325),
    [anon_sym_STAR] = ACTIONS(1507),
    [anon_sym_type] = ACTIONS(1325),
    [anon_sym_as] = ACTIONS(1467),
    [anon_sym_namespace] = ACTIONS(1327),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_COMMA] = ACTIONS(1469),
    [anon_sym_typeof] = ACTIONS(1347),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1325),
    [anon_sym_BANG] = ACTIONS(1347),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(1333),
    [anon_sym_in] = ACTIONS(1467),
    [anon_sym_yield] = ACTIONS(1335),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(1467),
    [anon_sym_DOT] = ACTIONS(1467),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1337),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_QMARK_DOT] = ACTIONS(1469),
    [anon_sym_new] = ACTIONS(1509),
    [anon_sym_using] = ACTIONS(1341),
    [anon_sym_AMP_AMP] = ACTIONS(1469),
    [anon_sym_PIPE_PIPE] = ACTIONS(1469),
    [anon_sym_GT_GT] = ACTIONS(1467),
    [anon_sym_GT_GT_GT] = ACTIONS(1469),
    [anon_sym_LT_LT] = ACTIONS(1469),
    [anon_sym_AMP] = ACTIONS(1467),
    [anon_sym_CARET] = ACTIONS(1469),
    [anon_sym_PIPE] = ACTIONS(1467),
    [anon_sym_PLUS] = ACTIONS(1347),
    [anon_sym_DASH] = ACTIONS(1347),
    [anon_sym_SLASH] = ACTIONS(949),
    [anon_sym_PERCENT] = ACTIONS(1469),
    [anon_sym_STAR_STAR] = ACTIONS(1469),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_LT_EQ] = ACTIONS(1469),
    [anon_sym_EQ_EQ] = ACTIONS(1467),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1469),
    [anon_sym_BANG_EQ] = ACTIONS(1467),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1469),
    [anon_sym_GT_EQ] = ACTIONS(1469),
    [anon_sym_QMARK_QMARK] = ACTIONS(1469),
    [anon_sym_instanceof] = ACTIONS(1467),
    [anon_sym_TILDE] = ACTIONS(1331),
    [anon_sym_void] = ACTIONS(1347),
    [anon_sym_delete] = ACTIONS(1347),
    [anon_sym_PLUS_PLUS] = ACTIONS(1349),
    [anon_sym_DASH_DASH] = ACTIONS(1349),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(1351),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1511),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1325),
    [anon_sym_readonly] = ACTIONS(1325),
    [anon_sym_get] = ACTIONS(1325),
    [anon_sym_set] = ACTIONS(1325),
    [anon_sym_declare] = ACTIONS(1325),
    [anon_sym_public] = ACTIONS(1325),
    [anon_sym_private] = ACTIONS(1325),
    [anon_sym_protected] = ACTIONS(1325),
    [anon_sym_override] = ACTIONS(1325),
    [anon_sym_module] = ACTIONS(1325),
    [anon_sym_any] = ACTIONS(1325),
    [anon_sym_number] = ACTIONS(1325),
    [anon_sym_boolean] = ACTIONS(1325),
    [anon_sym_string] = ACTIONS(1325),
    [anon_sym_symbol] = ACTIONS(1325),
    [anon_sym_object] = ACTIONS(1325),
    [anon_sym_satisfies] = ACTIONS(1467),
    [anon_sym_implements] = ACTIONS(1467),
    [sym__ternary_qmark] = ACTIONS(1469),
    [sym_html_comment] = ACTIONS(5),
  },
  [169] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1461),
    [sym_expression] = STATE(2520),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5839),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5839),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5541),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1461),
    [sym_subscript_expression] = STATE(1461),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(3010),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5839),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1461),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(644),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(1513),
    [anon_sym_export] = ACTIONS(1407),
    [anon_sym_STAR] = ACTIONS(1515),
    [anon_sym_type] = ACTIONS(1407),
    [anon_sym_as] = ACTIONS(1467),
    [anon_sym_namespace] = ACTIONS(1409),
    [anon_sym_LBRACE] = ACTIONS(815),
    [anon_sym_typeof] = ACTIONS(1429),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(1429),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(1415),
    [anon_sym_in] = ACTIONS(1467),
    [anon_sym_of] = ACTIONS(1467),
    [anon_sym_yield] = ACTIONS(1417),
    [anon_sym_LBRACK] = ACTIONS(819),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(1467),
    [anon_sym_DOT] = ACTIONS(1467),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1419),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_QMARK_DOT] = ACTIONS(1469),
    [anon_sym_new] = ACTIONS(1517),
    [anon_sym_using] = ACTIONS(1423),
    [anon_sym_AMP_AMP] = ACTIONS(1469),
    [anon_sym_PIPE_PIPE] = ACTIONS(1469),
    [anon_sym_GT_GT] = ACTIONS(1467),
    [anon_sym_GT_GT_GT] = ACTIONS(1469),
    [anon_sym_LT_LT] = ACTIONS(1469),
    [anon_sym_AMP] = ACTIONS(1467),
    [anon_sym_CARET] = ACTIONS(1469),
    [anon_sym_PIPE] = ACTIONS(1467),
    [anon_sym_PLUS] = ACTIONS(1429),
    [anon_sym_DASH] = ACTIONS(1429),
    [anon_sym_SLASH] = ACTIONS(979),
    [anon_sym_PERCENT] = ACTIONS(1469),
    [anon_sym_STAR_STAR] = ACTIONS(1469),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_LT_EQ] = ACTIONS(1469),
    [anon_sym_EQ_EQ] = ACTIONS(1467),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1469),
    [anon_sym_BANG_EQ] = ACTIONS(1467),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1469),
    [anon_sym_GT_EQ] = ACTIONS(1469),
    [anon_sym_QMARK_QMARK] = ACTIONS(1469),
    [anon_sym_instanceof] = ACTIONS(1467),
    [anon_sym_TILDE] = ACTIONS(1413),
    [anon_sym_void] = ACTIONS(1429),
    [anon_sym_delete] = ACTIONS(1429),
    [anon_sym_PLUS_PLUS] = ACTIONS(1431),
    [anon_sym_DASH_DASH] = ACTIONS(1431),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(1433),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1519),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1407),
    [anon_sym_readonly] = ACTIONS(1407),
    [anon_sym_get] = ACTIONS(1407),
    [anon_sym_set] = ACTIONS(1407),
    [anon_sym_declare] = ACTIONS(1407),
    [anon_sym_public] = ACTIONS(1407),
    [anon_sym_private] = ACTIONS(1407),
    [anon_sym_protected] = ACTIONS(1407),
    [anon_sym_override] = ACTIONS(1407),
    [anon_sym_module] = ACTIONS(1407),
    [anon_sym_any] = ACTIONS(1407),
    [anon_sym_number] = ACTIONS(1407),
    [anon_sym_boolean] = ACTIONS(1407),
    [anon_sym_string] = ACTIONS(1407),
    [anon_sym_symbol] = ACTIONS(1407),
    [anon_sym_object] = ACTIONS(1407),
    [anon_sym_satisfies] = ACTIONS(1467),
    [sym__ternary_qmark] = ACTIONS(1469),
    [sym_html_comment] = ACTIONS(5),
  },
  [170] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1457),
    [sym_expression] = STATE(2452),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5827),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5827),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5728),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1457),
    [sym_subscript_expression] = STATE(1457),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(3001),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5827),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1457),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(591),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(1521),
    [anon_sym_export] = ACTIONS(1361),
    [anon_sym_STAR] = ACTIONS(1523),
    [anon_sym_type] = ACTIONS(1361),
    [anon_sym_as] = ACTIONS(1467),
    [anon_sym_namespace] = ACTIONS(1363),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(1383),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1361),
    [anon_sym_BANG] = ACTIONS(1383),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(1369),
    [anon_sym_in] = ACTIONS(1467),
    [anon_sym_COLON] = ACTIONS(1469),
    [anon_sym_yield] = ACTIONS(1371),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(1467),
    [anon_sym_DOT] = ACTIONS(1467),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1373),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_QMARK_DOT] = ACTIONS(1469),
    [anon_sym_new] = ACTIONS(1525),
    [anon_sym_using] = ACTIONS(1377),
    [anon_sym_AMP_AMP] = ACTIONS(1469),
    [anon_sym_PIPE_PIPE] = ACTIONS(1469),
    [anon_sym_GT_GT] = ACTIONS(1467),
    [anon_sym_GT_GT_GT] = ACTIONS(1469),
    [anon_sym_LT_LT] = ACTIONS(1469),
    [anon_sym_AMP] = ACTIONS(1467),
    [anon_sym_CARET] = ACTIONS(1469),
    [anon_sym_PIPE] = ACTIONS(1467),
    [anon_sym_PLUS] = ACTIONS(1383),
    [anon_sym_DASH] = ACTIONS(1383),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_PERCENT] = ACTIONS(1469),
    [anon_sym_STAR_STAR] = ACTIONS(1469),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_LT_EQ] = ACTIONS(1469),
    [anon_sym_EQ_EQ] = ACTIONS(1467),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1469),
    [anon_sym_BANG_EQ] = ACTIONS(1467),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1469),
    [anon_sym_GT_EQ] = ACTIONS(1469),
    [anon_sym_QMARK_QMARK] = ACTIONS(1469),
    [anon_sym_instanceof] = ACTIONS(1467),
    [anon_sym_TILDE] = ACTIONS(1367),
    [anon_sym_void] = ACTIONS(1383),
    [anon_sym_delete] = ACTIONS(1383),
    [anon_sym_PLUS_PLUS] = ACTIONS(1385),
    [anon_sym_DASH_DASH] = ACTIONS(1385),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(1387),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1527),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1361),
    [anon_sym_readonly] = ACTIONS(1361),
    [anon_sym_get] = ACTIONS(1361),
    [anon_sym_set] = ACTIONS(1361),
    [anon_sym_declare] = ACTIONS(1361),
    [anon_sym_public] = ACTIONS(1361),
    [anon_sym_private] = ACTIONS(1361),
    [anon_sym_protected] = ACTIONS(1361),
    [anon_sym_override] = ACTIONS(1361),
    [anon_sym_module] = ACTIONS(1361),
    [anon_sym_any] = ACTIONS(1361),
    [anon_sym_number] = ACTIONS(1361),
    [anon_sym_boolean] = ACTIONS(1361),
    [anon_sym_string] = ACTIONS(1361),
    [anon_sym_symbol] = ACTIONS(1361),
    [anon_sym_object] = ACTIONS(1361),
    [anon_sym_satisfies] = ACTIONS(1467),
    [sym__ternary_qmark] = ACTIONS(1469),
    [sym_html_comment] = ACTIONS(5),
  },
  [171] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1459),
    [sym_expression] = STATE(2460),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5835),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5835),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5489),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1459),
    [sym_subscript_expression] = STATE(1459),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(3006),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5835),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1459),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(617),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(1529),
    [anon_sym_export] = ACTIONS(1081),
    [anon_sym_STAR] = ACTIONS(1531),
    [anon_sym_type] = ACTIONS(1081),
    [anon_sym_as] = ACTIONS(1467),
    [anon_sym_namespace] = ACTIONS(1083),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(1107),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1081),
    [anon_sym_BANG] = ACTIONS(1107),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(1091),
    [anon_sym_in] = ACTIONS(1467),
    [anon_sym_yield] = ACTIONS(1093),
    [anon_sym_LBRACK] = ACTIONS(847),
    [anon_sym_RBRACK] = ACTIONS(1469),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(1467),
    [anon_sym_DOT] = ACTIONS(1467),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1097),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_QMARK_DOT] = ACTIONS(1469),
    [anon_sym_new] = ACTIONS(1533),
    [anon_sym_using] = ACTIONS(1101),
    [anon_sym_AMP_AMP] = ACTIONS(1469),
    [anon_sym_PIPE_PIPE] = ACTIONS(1469),
    [anon_sym_GT_GT] = ACTIONS(1467),
    [anon_sym_GT_GT_GT] = ACTIONS(1469),
    [anon_sym_LT_LT] = ACTIONS(1469),
    [anon_sym_AMP] = ACTIONS(1467),
    [anon_sym_CARET] = ACTIONS(1469),
    [anon_sym_PIPE] = ACTIONS(1467),
    [anon_sym_PLUS] = ACTIONS(1107),
    [anon_sym_DASH] = ACTIONS(1107),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_PERCENT] = ACTIONS(1469),
    [anon_sym_STAR_STAR] = ACTIONS(1469),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_LT_EQ] = ACTIONS(1469),
    [anon_sym_EQ_EQ] = ACTIONS(1467),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1469),
    [anon_sym_BANG_EQ] = ACTIONS(1467),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1469),
    [anon_sym_GT_EQ] = ACTIONS(1469),
    [anon_sym_QMARK_QMARK] = ACTIONS(1469),
    [anon_sym_instanceof] = ACTIONS(1467),
    [anon_sym_TILDE] = ACTIONS(1089),
    [anon_sym_void] = ACTIONS(1107),
    [anon_sym_delete] = ACTIONS(1107),
    [anon_sym_PLUS_PLUS] = ACTIONS(1109),
    [anon_sym_DASH_DASH] = ACTIONS(1109),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(1115),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1535),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1081),
    [anon_sym_readonly] = ACTIONS(1081),
    [anon_sym_get] = ACTIONS(1081),
    [anon_sym_set] = ACTIONS(1081),
    [anon_sym_declare] = ACTIONS(1081),
    [anon_sym_public] = ACTIONS(1081),
    [anon_sym_private] = ACTIONS(1081),
    [anon_sym_protected] = ACTIONS(1081),
    [anon_sym_override] = ACTIONS(1081),
    [anon_sym_module] = ACTIONS(1081),
    [anon_sym_any] = ACTIONS(1081),
    [anon_sym_number] = ACTIONS(1081),
    [anon_sym_boolean] = ACTIONS(1081),
    [anon_sym_string] = ACTIONS(1081),
    [anon_sym_symbol] = ACTIONS(1081),
    [anon_sym_object] = ACTIONS(1081),
    [anon_sym_satisfies] = ACTIONS(1467),
    [sym__ternary_qmark] = ACTIONS(1469),
    [sym_html_comment] = ACTIONS(5),
  },
  [172] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1228),
    [sym_expression] = STATE(2545),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5482),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5482),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5824),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1228),
    [sym_subscript_expression] = STATE(1228),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(2969),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5482),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1228),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(537),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(809),
    [anon_sym_export] = ACTIONS(811),
    [anon_sym_STAR] = ACTIONS(1537),
    [anon_sym_type] = ACTIONS(811),
    [anon_sym_as] = ACTIONS(1467),
    [anon_sym_namespace] = ACTIONS(813),
    [anon_sym_LBRACE] = ACTIONS(815),
    [anon_sym_typeof] = ACTIONS(184),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(811),
    [anon_sym_BANG] = ACTIONS(184),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_in] = ACTIONS(1467),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(819),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(1467),
    [anon_sym_DOT] = ACTIONS(1467),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(823),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_QMARK_DOT] = ACTIONS(1469),
    [anon_sym_new] = ACTIONS(825),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_AMP_AMP] = ACTIONS(1469),
    [anon_sym_PIPE_PIPE] = ACTIONS(1469),
    [anon_sym_GT_GT] = ACTIONS(1467),
    [anon_sym_GT_GT_GT] = ACTIONS(1469),
    [anon_sym_LT_LT] = ACTIONS(1469),
    [anon_sym_AMP] = ACTIONS(1467),
    [anon_sym_CARET] = ACTIONS(1469),
    [anon_sym_PIPE] = ACTIONS(1467),
    [anon_sym_PLUS] = ACTIONS(184),
    [anon_sym_DASH] = ACTIONS(184),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_PERCENT] = ACTIONS(1469),
    [anon_sym_STAR_STAR] = ACTIONS(1469),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_LT_EQ] = ACTIONS(1469),
    [anon_sym_EQ_EQ] = ACTIONS(1467),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1469),
    [anon_sym_BANG_EQ] = ACTIONS(1467),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1469),
    [anon_sym_GT_EQ] = ACTIONS(1469),
    [anon_sym_QMARK_QMARK] = ACTIONS(1469),
    [anon_sym_instanceof] = ACTIONS(1467),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(691),
    [anon_sym_DASH_DASH] = ACTIONS(691),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(829),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(811),
    [anon_sym_readonly] = ACTIONS(811),
    [anon_sym_get] = ACTIONS(811),
    [anon_sym_set] = ACTIONS(811),
    [anon_sym_declare] = ACTIONS(811),
    [anon_sym_public] = ACTIONS(811),
    [anon_sym_private] = ACTIONS(811),
    [anon_sym_protected] = ACTIONS(811),
    [anon_sym_override] = ACTIONS(811),
    [anon_sym_module] = ACTIONS(811),
    [anon_sym_any] = ACTIONS(811),
    [anon_sym_number] = ACTIONS(811),
    [anon_sym_boolean] = ACTIONS(811),
    [anon_sym_string] = ACTIONS(811),
    [anon_sym_symbol] = ACTIONS(811),
    [anon_sym_object] = ACTIONS(811),
    [anon_sym_satisfies] = ACTIONS(1467),
    [sym__ternary_qmark] = ACTIONS(1469),
    [sym_html_comment] = ACTIONS(5),
  },
  [173] = {
    [sym_import] = STATE(4788),
    [sym_nested_identifier] = STATE(5868),
    [sym_string] = STATE(3013),
    [sym_formal_parameters] = STATE(5623),
    [sym_nested_type_identifier] = STATE(2941),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2942),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2944),
    [sym_type] = STATE(3102),
    [sym_constructor_type] = STATE(2974),
    [sym_primary_type] = STATE(3014),
    [sym_template_literal_type] = STATE(3018),
    [sym_infer_type] = STATE(2974),
    [sym_conditional_type] = STATE(3018),
    [sym_generic_type] = STATE(3018),
    [sym_type_query] = STATE(3018),
    [sym_index_type_query] = STATE(3018),
    [sym_lookup_type] = STATE(3018),
    [sym_literal_type] = STATE(3018),
    [sym__number] = STATE(3031),
    [sym_existential_type] = STATE(3018),
    [sym_flow_maybe_type] = STATE(3018),
    [sym_parenthesized_type] = STATE(3018),
    [sym_predefined_type] = STATE(3018),
    [sym_object_type] = STATE(3018),
    [sym_type_parameters] = STATE(5442),
    [sym_array_type] = STATE(3018),
    [sym_tuple_type] = STATE(3018),
    [sym_readonly_type] = STATE(2974),
    [sym_union_type] = STATE(3018),
    [sym_intersection_type] = STATE(3018),
    [sym_function_type] = STATE(2974),
    [sym_identifier] = ACTIONS(1539),
    [anon_sym_STAR] = ACTIONS(117),
    [anon_sym_EQ] = ACTIONS(841),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_LBRACE] = ACTIONS(1541),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_RBRACE] = ACTIONS(161),
    [anon_sym_typeof] = ACTIONS(1543),
    [anon_sym_import] = ACTIONS(1545),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(1547),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(161),
    [anon_sym_LBRACK] = ACTIONS(1549),
    [anon_sym_RBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(122),
    [anon_sym_DQUOTE] = ACTIONS(1551),
    [anon_sym_SQUOTE] = ACTIONS(1553),
    [anon_sym_EQ_GT] = ACTIONS(851),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(1555),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(171),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(173),
    [anon_sym_PLUS] = ACTIONS(1557),
    [anon_sym_DASH] = ACTIONS(1557),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(1559),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_void] = ACTIONS(217),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1561),
    [sym_number] = ACTIONS(1563),
    [sym_this] = ACTIONS(1565),
    [sym_true] = ACTIONS(1567),
    [sym_false] = ACTIONS(1567),
    [sym_null] = ACTIONS(1567),
    [sym_undefined] = ACTIONS(1567),
    [anon_sym_readonly] = ACTIONS(1569),
    [anon_sym_QMARK] = ACTIONS(205),
    [anon_sym_any] = ACTIONS(217),
    [anon_sym_number] = ACTIONS(217),
    [anon_sym_boolean] = ACTIONS(217),
    [anon_sym_string] = ACTIONS(217),
    [anon_sym_symbol] = ACTIONS(217),
    [anon_sym_object] = ACTIONS(217),
    [anon_sym_abstract] = ACTIONS(209),
    [anon_sym_satisfies] = ACTIONS(122),
    [anon_sym_infer] = ACTIONS(211),
    [anon_sym_keyof] = ACTIONS(213),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [174] = {
    [sym_declaration] = STATE(3969),
    [sym_import] = STATE(3513),
    [sym_variable_declaration] = STATE(3912),
    [sym_lexical_declaration] = STATE(3912),
    [sym_parenthesized_expression] = STATE(1417),
    [sym_expression] = STATE(2417),
    [sym_primary_expression] = STATE(1833),
    [sym_yield_expression] = STATE(2130),
    [sym_object] = STATE(2117),
    [sym_object_pattern] = STATE(5592),
    [sym_array] = STATE(2117),
    [sym_array_pattern] = STATE(5592),
    [sym_glimmer_template] = STATE(2130),
    [sym_class] = STATE(2117),
    [sym_class_declaration] = STATE(3912),
    [sym_function_expression] = STATE(2117),
    [sym_function_declaration] = STATE(3912),
    [sym_generator_function] = STATE(2117),
    [sym_generator_function_declaration] = STATE(3912),
    [sym_arrow_function] = STATE(2117),
    [sym__call_signature] = STATE(5478),
    [sym_call_expression] = STATE(2117),
    [sym_new_expression] = STATE(1963),
    [sym_await_expression] = STATE(2130),
    [sym_member_expression] = STATE(1417),
    [sym_subscript_expression] = STATE(1417),
    [sym_assignment_expression] = STATE(2130),
    [sym__augmented_assignment_lhs] = STATE(3012),
    [sym_augmented_assignment_expression] = STATE(2130),
    [sym__destructuring_pattern] = STATE(5592),
    [sym_ternary_expression] = STATE(2130),
    [sym_binary_expression] = STATE(2130),
    [sym_unary_expression] = STATE(2130),
    [sym_update_expression] = STATE(2130),
    [sym_string] = STATE(2117),
    [sym_template_string] = STATE(2117),
    [sym_regex] = STATE(2117),
    [sym_meta_property] = STATE(2117),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1417),
    [sym_function_signature] = STATE(3912),
    [sym_type_assertion] = STATE(2130),
    [sym_as_expression] = STATE(2130),
    [sym_satisfies_expression] = STATE(2130),
    [sym_instantiation_expression] = STATE(2130),
    [sym_ambient_declaration] = STATE(3912),
    [sym_abstract_class_declaration] = STATE(3912),
    [sym_module] = STATE(3912),
    [sym_internal_module] = STATE(2390),
    [sym_import_alias] = STATE(3912),
    [sym_interface_declaration] = STATE(3912),
    [sym_enum_declaration] = STATE(3912),
    [sym_type_alias_declaration] = STATE(3912),
    [sym_type_arguments] = STATE(450),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4229),
    [sym_identifier] = ACTIONS(1497),
    [anon_sym_export] = ACTIONS(1129),
    [anon_sym_type] = ACTIONS(1571),
    [anon_sym_namespace] = ACTIONS(1131),
    [anon_sym_LBRACE] = ACTIONS(670),
    [anon_sym_typeof] = ACTIONS(1157),
    [anon_sym_import] = ACTIONS(1573),
    [anon_sym_var] = ACTIONS(1575),
    [anon_sym_let] = ACTIONS(1577),
    [anon_sym_const] = ACTIONS(1579),
    [anon_sym_BANG] = ACTIONS(1137),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1141),
    [anon_sym_yield] = ACTIONS(1143),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(1581),
    [anon_sym_async] = ACTIONS(1583),
    [anon_sym_function] = ACTIONS(1585),
    [anon_sym_new] = ACTIONS(1501),
    [anon_sym_using] = ACTIONS(1151),
    [anon_sym_PLUS] = ACTIONS(1157),
    [anon_sym_DASH] = ACTIONS(1157),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1137),
    [anon_sym_void] = ACTIONS(1157),
    [anon_sym_delete] = ACTIONS(1157),
    [anon_sym_PLUS_PLUS] = ACTIONS(1159),
    [anon_sym_DASH_DASH] = ACTIONS(1159),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1165),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1503),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1129),
    [anon_sym_readonly] = ACTIONS(1129),
    [anon_sym_get] = ACTIONS(1129),
    [anon_sym_set] = ACTIONS(1129),
    [anon_sym_declare] = ACTIONS(1587),
    [anon_sym_public] = ACTIONS(1129),
    [anon_sym_private] = ACTIONS(1129),
    [anon_sym_protected] = ACTIONS(1129),
    [anon_sym_override] = ACTIONS(1129),
    [anon_sym_module] = ACTIONS(1589),
    [anon_sym_any] = ACTIONS(1129),
    [anon_sym_number] = ACTIONS(1129),
    [anon_sym_boolean] = ACTIONS(1129),
    [anon_sym_string] = ACTIONS(1129),
    [anon_sym_symbol] = ACTIONS(1129),
    [anon_sym_object] = ACTIONS(1129),
    [anon_sym_abstract] = ACTIONS(1591),
    [anon_sym_interface] = ACTIONS(1593),
    [anon_sym_enum] = ACTIONS(1595),
    [sym_html_comment] = ACTIONS(5),
  },
  [175] = {
    [sym_declaration] = STATE(929),
    [sym_import] = STATE(3513),
    [sym_variable_declaration] = STATE(836),
    [sym_lexical_declaration] = STATE(836),
    [sym_parenthesized_expression] = STATE(1417),
    [sym_expression] = STATE(2433),
    [sym_primary_expression] = STATE(1833),
    [sym_yield_expression] = STATE(2130),
    [sym_object] = STATE(2117),
    [sym_object_pattern] = STATE(5592),
    [sym_array] = STATE(2117),
    [sym_array_pattern] = STATE(5592),
    [sym_glimmer_template] = STATE(2130),
    [sym_class] = STATE(2117),
    [sym_class_declaration] = STATE(836),
    [sym_function_expression] = STATE(2117),
    [sym_function_declaration] = STATE(836),
    [sym_generator_function] = STATE(2117),
    [sym_generator_function_declaration] = STATE(836),
    [sym_arrow_function] = STATE(2117),
    [sym__call_signature] = STATE(5478),
    [sym_call_expression] = STATE(2117),
    [sym_new_expression] = STATE(1963),
    [sym_await_expression] = STATE(2130),
    [sym_member_expression] = STATE(1417),
    [sym_subscript_expression] = STATE(1417),
    [sym_assignment_expression] = STATE(2130),
    [sym__augmented_assignment_lhs] = STATE(3012),
    [sym_augmented_assignment_expression] = STATE(2130),
    [sym__destructuring_pattern] = STATE(5592),
    [sym_ternary_expression] = STATE(2130),
    [sym_binary_expression] = STATE(2130),
    [sym_unary_expression] = STATE(2130),
    [sym_update_expression] = STATE(2130),
    [sym_string] = STATE(2117),
    [sym_template_string] = STATE(2117),
    [sym_regex] = STATE(2117),
    [sym_meta_property] = STATE(2117),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1417),
    [sym_function_signature] = STATE(836),
    [sym_type_assertion] = STATE(2130),
    [sym_as_expression] = STATE(2130),
    [sym_satisfies_expression] = STATE(2130),
    [sym_instantiation_expression] = STATE(2130),
    [sym_ambient_declaration] = STATE(836),
    [sym_abstract_class_declaration] = STATE(836),
    [sym_module] = STATE(836),
    [sym_internal_module] = STATE(239),
    [sym_import_alias] = STATE(836),
    [sym_interface_declaration] = STATE(836),
    [sym_enum_declaration] = STATE(836),
    [sym_type_alias_declaration] = STATE(836),
    [sym_type_arguments] = STATE(450),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4161),
    [sym_identifier] = ACTIONS(1497),
    [anon_sym_export] = ACTIONS(1129),
    [anon_sym_type] = ACTIONS(1597),
    [anon_sym_namespace] = ACTIONS(1599),
    [anon_sym_LBRACE] = ACTIONS(670),
    [anon_sym_typeof] = ACTIONS(1157),
    [anon_sym_import] = ACTIONS(1601),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(1603),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(1137),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1141),
    [anon_sym_yield] = ACTIONS(1143),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_async] = ACTIONS(1605),
    [anon_sym_function] = ACTIONS(77),
    [anon_sym_new] = ACTIONS(1501),
    [anon_sym_using] = ACTIONS(1151),
    [anon_sym_PLUS] = ACTIONS(1157),
    [anon_sym_DASH] = ACTIONS(1157),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1137),
    [anon_sym_void] = ACTIONS(1157),
    [anon_sym_delete] = ACTIONS(1157),
    [anon_sym_PLUS_PLUS] = ACTIONS(1159),
    [anon_sym_DASH_DASH] = ACTIONS(1159),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1165),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1503),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1129),
    [anon_sym_readonly] = ACTIONS(1129),
    [anon_sym_get] = ACTIONS(1129),
    [anon_sym_set] = ACTIONS(1129),
    [anon_sym_declare] = ACTIONS(1607),
    [anon_sym_public] = ACTIONS(1129),
    [anon_sym_private] = ACTIONS(1129),
    [anon_sym_protected] = ACTIONS(1129),
    [anon_sym_override] = ACTIONS(1129),
    [anon_sym_module] = ACTIONS(1609),
    [anon_sym_any] = ACTIONS(1129),
    [anon_sym_number] = ACTIONS(1129),
    [anon_sym_boolean] = ACTIONS(1129),
    [anon_sym_string] = ACTIONS(1129),
    [anon_sym_symbol] = ACTIONS(1129),
    [anon_sym_object] = ACTIONS(1129),
    [anon_sym_abstract] = ACTIONS(107),
    [anon_sym_interface] = ACTIONS(109),
    [anon_sym_enum] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [176] = {
    [sym_declaration] = STATE(4141),
    [sym_import] = STATE(3513),
    [sym_variable_declaration] = STATE(3912),
    [sym_lexical_declaration] = STATE(3912),
    [sym_parenthesized_expression] = STATE(1417),
    [sym_expression] = STATE(2442),
    [sym_primary_expression] = STATE(1833),
    [sym_yield_expression] = STATE(2130),
    [sym_object] = STATE(2117),
    [sym_object_pattern] = STATE(5592),
    [sym_array] = STATE(2117),
    [sym_array_pattern] = STATE(5592),
    [sym_glimmer_template] = STATE(2130),
    [sym_class] = STATE(2117),
    [sym_class_declaration] = STATE(3912),
    [sym_function_expression] = STATE(2117),
    [sym_function_declaration] = STATE(3912),
    [sym_generator_function] = STATE(2117),
    [sym_generator_function_declaration] = STATE(3912),
    [sym_arrow_function] = STATE(2117),
    [sym__call_signature] = STATE(5478),
    [sym_call_expression] = STATE(2117),
    [sym_new_expression] = STATE(1963),
    [sym_await_expression] = STATE(2130),
    [sym_member_expression] = STATE(1417),
    [sym_subscript_expression] = STATE(1417),
    [sym_assignment_expression] = STATE(2130),
    [sym__augmented_assignment_lhs] = STATE(3012),
    [sym_augmented_assignment_expression] = STATE(2130),
    [sym__destructuring_pattern] = STATE(5592),
    [sym_ternary_expression] = STATE(2130),
    [sym_binary_expression] = STATE(2130),
    [sym_unary_expression] = STATE(2130),
    [sym_update_expression] = STATE(2130),
    [sym_string] = STATE(2117),
    [sym_template_string] = STATE(2117),
    [sym_regex] = STATE(2117),
    [sym_meta_property] = STATE(2117),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1417),
    [sym_function_signature] = STATE(3912),
    [sym_type_assertion] = STATE(2130),
    [sym_as_expression] = STATE(2130),
    [sym_satisfies_expression] = STATE(2130),
    [sym_instantiation_expression] = STATE(2130),
    [sym_ambient_declaration] = STATE(3912),
    [sym_abstract_class_declaration] = STATE(3912),
    [sym_module] = STATE(3912),
    [sym_internal_module] = STATE(2390),
    [sym_import_alias] = STATE(3912),
    [sym_interface_declaration] = STATE(3912),
    [sym_enum_declaration] = STATE(3912),
    [sym_type_alias_declaration] = STATE(3912),
    [sym_type_arguments] = STATE(450),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4229),
    [sym_identifier] = ACTIONS(1497),
    [anon_sym_export] = ACTIONS(1129),
    [anon_sym_type] = ACTIONS(1571),
    [anon_sym_namespace] = ACTIONS(1131),
    [anon_sym_LBRACE] = ACTIONS(670),
    [anon_sym_typeof] = ACTIONS(1157),
    [anon_sym_import] = ACTIONS(1573),
    [anon_sym_var] = ACTIONS(1575),
    [anon_sym_let] = ACTIONS(1577),
    [anon_sym_const] = ACTIONS(1579),
    [anon_sym_BANG] = ACTIONS(1137),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1141),
    [anon_sym_yield] = ACTIONS(1143),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(1581),
    [anon_sym_async] = ACTIONS(1583),
    [anon_sym_function] = ACTIONS(1585),
    [anon_sym_new] = ACTIONS(1501),
    [anon_sym_using] = ACTIONS(1151),
    [anon_sym_PLUS] = ACTIONS(1157),
    [anon_sym_DASH] = ACTIONS(1157),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1137),
    [anon_sym_void] = ACTIONS(1157),
    [anon_sym_delete] = ACTIONS(1157),
    [anon_sym_PLUS_PLUS] = ACTIONS(1159),
    [anon_sym_DASH_DASH] = ACTIONS(1159),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1165),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1503),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1129),
    [anon_sym_readonly] = ACTIONS(1129),
    [anon_sym_get] = ACTIONS(1129),
    [anon_sym_set] = ACTIONS(1129),
    [anon_sym_declare] = ACTIONS(1587),
    [anon_sym_public] = ACTIONS(1129),
    [anon_sym_private] = ACTIONS(1129),
    [anon_sym_protected] = ACTIONS(1129),
    [anon_sym_override] = ACTIONS(1129),
    [anon_sym_module] = ACTIONS(1589),
    [anon_sym_any] = ACTIONS(1129),
    [anon_sym_number] = ACTIONS(1129),
    [anon_sym_boolean] = ACTIONS(1129),
    [anon_sym_string] = ACTIONS(1129),
    [anon_sym_symbol] = ACTIONS(1129),
    [anon_sym_object] = ACTIONS(1129),
    [anon_sym_abstract] = ACTIONS(1591),
    [anon_sym_interface] = ACTIONS(1593),
    [anon_sym_enum] = ACTIONS(1595),
    [sym_html_comment] = ACTIONS(5),
  },
  [177] = {
    [sym_import] = STATE(4788),
    [sym_nested_identifier] = STATE(5868),
    [sym_string] = STATE(3013),
    [sym_formal_parameters] = STATE(5623),
    [sym_nested_type_identifier] = STATE(2941),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2942),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2944),
    [sym_type] = STATE(3102),
    [sym_constructor_type] = STATE(2974),
    [sym_primary_type] = STATE(3014),
    [sym_template_literal_type] = STATE(3018),
    [sym_infer_type] = STATE(2974),
    [sym_conditional_type] = STATE(3018),
    [sym_generic_type] = STATE(3018),
    [sym_type_query] = STATE(3018),
    [sym_index_type_query] = STATE(3018),
    [sym_lookup_type] = STATE(3018),
    [sym_literal_type] = STATE(3018),
    [sym__number] = STATE(3031),
    [sym_existential_type] = STATE(3018),
    [sym_flow_maybe_type] = STATE(3018),
    [sym_parenthesized_type] = STATE(3018),
    [sym_predefined_type] = STATE(3018),
    [sym_object_type] = STATE(3018),
    [sym_type_parameters] = STATE(5442),
    [sym_array_type] = STATE(3018),
    [sym_tuple_type] = STATE(3018),
    [sym_readonly_type] = STATE(2974),
    [sym_union_type] = STATE(3018),
    [sym_intersection_type] = STATE(3018),
    [sym_function_type] = STATE(2974),
    [sym_identifier] = ACTIONS(1539),
    [anon_sym_STAR] = ACTIONS(117),
    [anon_sym_EQ] = ACTIONS(855),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_LBRACE] = ACTIONS(1541),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_RBRACE] = ACTIONS(161),
    [anon_sym_typeof] = ACTIONS(1543),
    [anon_sym_import] = ACTIONS(1545),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(1547),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_LBRACK] = ACTIONS(1549),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(122),
    [anon_sym_DQUOTE] = ACTIONS(1551),
    [anon_sym_SQUOTE] = ACTIONS(1553),
    [anon_sym_EQ_GT] = ACTIONS(687),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(1555),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(171),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(173),
    [anon_sym_PLUS] = ACTIONS(1557),
    [anon_sym_DASH] = ACTIONS(1557),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(1559),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_void] = ACTIONS(217),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1561),
    [sym_number] = ACTIONS(1563),
    [sym_this] = ACTIONS(1565),
    [sym_true] = ACTIONS(1567),
    [sym_false] = ACTIONS(1567),
    [sym_null] = ACTIONS(1567),
    [sym_undefined] = ACTIONS(1567),
    [anon_sym_readonly] = ACTIONS(1569),
    [anon_sym_QMARK] = ACTIONS(205),
    [anon_sym_any] = ACTIONS(217),
    [anon_sym_number] = ACTIONS(217),
    [anon_sym_boolean] = ACTIONS(217),
    [anon_sym_string] = ACTIONS(217),
    [anon_sym_symbol] = ACTIONS(217),
    [anon_sym_object] = ACTIONS(217),
    [anon_sym_abstract] = ACTIONS(209),
    [anon_sym_satisfies] = ACTIONS(122),
    [anon_sym_infer] = ACTIONS(211),
    [anon_sym_keyof] = ACTIONS(213),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [178] = {
    [sym_declaration] = STATE(934),
    [sym_import] = STATE(3513),
    [sym_variable_declaration] = STATE(836),
    [sym_lexical_declaration] = STATE(836),
    [sym_parenthesized_expression] = STATE(1417),
    [sym_expression] = STATE(2434),
    [sym_primary_expression] = STATE(1833),
    [sym_yield_expression] = STATE(2130),
    [sym_object] = STATE(2117),
    [sym_object_pattern] = STATE(5592),
    [sym_array] = STATE(2117),
    [sym_array_pattern] = STATE(5592),
    [sym_glimmer_template] = STATE(2130),
    [sym_class] = STATE(2117),
    [sym_class_declaration] = STATE(836),
    [sym_function_expression] = STATE(2117),
    [sym_function_declaration] = STATE(836),
    [sym_generator_function] = STATE(2117),
    [sym_generator_function_declaration] = STATE(836),
    [sym_arrow_function] = STATE(2117),
    [sym__call_signature] = STATE(5478),
    [sym_call_expression] = STATE(2117),
    [sym_new_expression] = STATE(1963),
    [sym_await_expression] = STATE(2130),
    [sym_member_expression] = STATE(1417),
    [sym_subscript_expression] = STATE(1417),
    [sym_assignment_expression] = STATE(2130),
    [sym__augmented_assignment_lhs] = STATE(3012),
    [sym_augmented_assignment_expression] = STATE(2130),
    [sym__destructuring_pattern] = STATE(5592),
    [sym_ternary_expression] = STATE(2130),
    [sym_binary_expression] = STATE(2130),
    [sym_unary_expression] = STATE(2130),
    [sym_update_expression] = STATE(2130),
    [sym_string] = STATE(2117),
    [sym_template_string] = STATE(2117),
    [sym_regex] = STATE(2117),
    [sym_meta_property] = STATE(2117),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1417),
    [sym_function_signature] = STATE(836),
    [sym_type_assertion] = STATE(2130),
    [sym_as_expression] = STATE(2130),
    [sym_satisfies_expression] = STATE(2130),
    [sym_instantiation_expression] = STATE(2130),
    [sym_ambient_declaration] = STATE(836),
    [sym_abstract_class_declaration] = STATE(836),
    [sym_module] = STATE(836),
    [sym_internal_module] = STATE(2470),
    [sym_import_alias] = STATE(836),
    [sym_interface_declaration] = STATE(836),
    [sym_enum_declaration] = STATE(836),
    [sym_type_alias_declaration] = STATE(836),
    [sym_type_arguments] = STATE(450),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4135),
    [sym_identifier] = ACTIONS(1497),
    [anon_sym_export] = ACTIONS(1129),
    [anon_sym_type] = ACTIONS(1597),
    [anon_sym_namespace] = ACTIONS(1131),
    [anon_sym_LBRACE] = ACTIONS(670),
    [anon_sym_typeof] = ACTIONS(1157),
    [anon_sym_import] = ACTIONS(1601),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(1603),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(1137),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1141),
    [anon_sym_yield] = ACTIONS(1143),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(564),
    [anon_sym_async] = ACTIONS(1611),
    [anon_sym_function] = ACTIONS(568),
    [anon_sym_new] = ACTIONS(1501),
    [anon_sym_using] = ACTIONS(1151),
    [anon_sym_PLUS] = ACTIONS(1157),
    [anon_sym_DASH] = ACTIONS(1157),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1137),
    [anon_sym_void] = ACTIONS(1157),
    [anon_sym_delete] = ACTIONS(1157),
    [anon_sym_PLUS_PLUS] = ACTIONS(1159),
    [anon_sym_DASH_DASH] = ACTIONS(1159),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1165),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1503),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1129),
    [anon_sym_readonly] = ACTIONS(1129),
    [anon_sym_get] = ACTIONS(1129),
    [anon_sym_set] = ACTIONS(1129),
    [anon_sym_declare] = ACTIONS(1607),
    [anon_sym_public] = ACTIONS(1129),
    [anon_sym_private] = ACTIONS(1129),
    [anon_sym_protected] = ACTIONS(1129),
    [anon_sym_override] = ACTIONS(1129),
    [anon_sym_module] = ACTIONS(1609),
    [anon_sym_any] = ACTIONS(1129),
    [anon_sym_number] = ACTIONS(1129),
    [anon_sym_boolean] = ACTIONS(1129),
    [anon_sym_string] = ACTIONS(1129),
    [anon_sym_symbol] = ACTIONS(1129),
    [anon_sym_object] = ACTIONS(1129),
    [anon_sym_abstract] = ACTIONS(107),
    [anon_sym_interface] = ACTIONS(109),
    [anon_sym_enum] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [179] = {
    [sym_import] = STATE(4788),
    [sym_nested_identifier] = STATE(5868),
    [sym_string] = STATE(3013),
    [sym_formal_parameters] = STATE(5623),
    [sym_nested_type_identifier] = STATE(2941),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2942),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2944),
    [sym_type] = STATE(3102),
    [sym_constructor_type] = STATE(2974),
    [sym_primary_type] = STATE(3014),
    [sym_template_literal_type] = STATE(3018),
    [sym_infer_type] = STATE(2974),
    [sym_conditional_type] = STATE(3018),
    [sym_generic_type] = STATE(3018),
    [sym_type_query] = STATE(3018),
    [sym_index_type_query] = STATE(3018),
    [sym_lookup_type] = STATE(3018),
    [sym_literal_type] = STATE(3018),
    [sym__number] = STATE(3031),
    [sym_existential_type] = STATE(3018),
    [sym_flow_maybe_type] = STATE(3018),
    [sym_parenthesized_type] = STATE(3018),
    [sym_predefined_type] = STATE(3018),
    [sym_object_type] = STATE(3018),
    [sym_type_parameters] = STATE(5442),
    [sym_array_type] = STATE(3018),
    [sym_tuple_type] = STATE(3018),
    [sym_readonly_type] = STATE(2974),
    [sym_union_type] = STATE(3018),
    [sym_intersection_type] = STATE(3018),
    [sym_function_type] = STATE(2974),
    [sym_identifier] = ACTIONS(1539),
    [anon_sym_STAR] = ACTIONS(117),
    [anon_sym_EQ] = ACTIONS(875),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_LBRACE] = ACTIONS(1541),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_typeof] = ACTIONS(1543),
    [anon_sym_import] = ACTIONS(1545),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(1547),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_of] = ACTIONS(122),
    [anon_sym_LBRACK] = ACTIONS(1549),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(122),
    [anon_sym_DQUOTE] = ACTIONS(1551),
    [anon_sym_SQUOTE] = ACTIONS(1553),
    [anon_sym_EQ_GT] = ACTIONS(881),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(1555),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(171),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(173),
    [anon_sym_PLUS] = ACTIONS(1557),
    [anon_sym_DASH] = ACTIONS(1557),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(1559),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_void] = ACTIONS(217),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1561),
    [sym_number] = ACTIONS(1563),
    [sym_this] = ACTIONS(1565),
    [sym_true] = ACTIONS(1567),
    [sym_false] = ACTIONS(1567),
    [sym_null] = ACTIONS(1567),
    [sym_undefined] = ACTIONS(1567),
    [anon_sym_readonly] = ACTIONS(1569),
    [anon_sym_QMARK] = ACTIONS(205),
    [anon_sym_any] = ACTIONS(217),
    [anon_sym_number] = ACTIONS(217),
    [anon_sym_boolean] = ACTIONS(217),
    [anon_sym_string] = ACTIONS(217),
    [anon_sym_symbol] = ACTIONS(217),
    [anon_sym_object] = ACTIONS(217),
    [anon_sym_abstract] = ACTIONS(209),
    [anon_sym_satisfies] = ACTIONS(122),
    [anon_sym_infer] = ACTIONS(211),
    [anon_sym_keyof] = ACTIONS(213),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [180] = {
    [sym_declaration] = STATE(934),
    [sym_import] = STATE(3513),
    [sym_variable_declaration] = STATE(836),
    [sym_lexical_declaration] = STATE(836),
    [sym_parenthesized_expression] = STATE(1417),
    [sym_expression] = STATE(2434),
    [sym_primary_expression] = STATE(1833),
    [sym_yield_expression] = STATE(2130),
    [sym_object] = STATE(2117),
    [sym_object_pattern] = STATE(5592),
    [sym_array] = STATE(2117),
    [sym_array_pattern] = STATE(5592),
    [sym_glimmer_template] = STATE(2130),
    [sym_class] = STATE(2117),
    [sym_class_declaration] = STATE(836),
    [sym_function_expression] = STATE(2117),
    [sym_function_declaration] = STATE(836),
    [sym_generator_function] = STATE(2117),
    [sym_generator_function_declaration] = STATE(836),
    [sym_arrow_function] = STATE(2117),
    [sym__call_signature] = STATE(5478),
    [sym_call_expression] = STATE(2117),
    [sym_new_expression] = STATE(1963),
    [sym_await_expression] = STATE(2130),
    [sym_member_expression] = STATE(1417),
    [sym_subscript_expression] = STATE(1417),
    [sym_assignment_expression] = STATE(2130),
    [sym__augmented_assignment_lhs] = STATE(3012),
    [sym_augmented_assignment_expression] = STATE(2130),
    [sym__destructuring_pattern] = STATE(5592),
    [sym_ternary_expression] = STATE(2130),
    [sym_binary_expression] = STATE(2130),
    [sym_unary_expression] = STATE(2130),
    [sym_update_expression] = STATE(2130),
    [sym_string] = STATE(2117),
    [sym_template_string] = STATE(2117),
    [sym_regex] = STATE(2117),
    [sym_meta_property] = STATE(2117),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1417),
    [sym_function_signature] = STATE(836),
    [sym_type_assertion] = STATE(2130),
    [sym_as_expression] = STATE(2130),
    [sym_satisfies_expression] = STATE(2130),
    [sym_instantiation_expression] = STATE(2130),
    [sym_ambient_declaration] = STATE(836),
    [sym_abstract_class_declaration] = STATE(836),
    [sym_module] = STATE(836),
    [sym_internal_module] = STATE(239),
    [sym_import_alias] = STATE(836),
    [sym_interface_declaration] = STATE(836),
    [sym_enum_declaration] = STATE(836),
    [sym_type_alias_declaration] = STATE(836),
    [sym_type_arguments] = STATE(450),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4161),
    [sym_identifier] = ACTIONS(1497),
    [anon_sym_export] = ACTIONS(1129),
    [anon_sym_type] = ACTIONS(1597),
    [anon_sym_namespace] = ACTIONS(1599),
    [anon_sym_LBRACE] = ACTIONS(670),
    [anon_sym_typeof] = ACTIONS(1157),
    [anon_sym_import] = ACTIONS(1601),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(1603),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(1137),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1141),
    [anon_sym_yield] = ACTIONS(1143),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_async] = ACTIONS(1605),
    [anon_sym_function] = ACTIONS(77),
    [anon_sym_new] = ACTIONS(1501),
    [anon_sym_using] = ACTIONS(1151),
    [anon_sym_PLUS] = ACTIONS(1157),
    [anon_sym_DASH] = ACTIONS(1157),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1137),
    [anon_sym_void] = ACTIONS(1157),
    [anon_sym_delete] = ACTIONS(1157),
    [anon_sym_PLUS_PLUS] = ACTIONS(1159),
    [anon_sym_DASH_DASH] = ACTIONS(1159),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1165),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1503),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1129),
    [anon_sym_readonly] = ACTIONS(1129),
    [anon_sym_get] = ACTIONS(1129),
    [anon_sym_set] = ACTIONS(1129),
    [anon_sym_declare] = ACTIONS(1607),
    [anon_sym_public] = ACTIONS(1129),
    [anon_sym_private] = ACTIONS(1129),
    [anon_sym_protected] = ACTIONS(1129),
    [anon_sym_override] = ACTIONS(1129),
    [anon_sym_module] = ACTIONS(1609),
    [anon_sym_any] = ACTIONS(1129),
    [anon_sym_number] = ACTIONS(1129),
    [anon_sym_boolean] = ACTIONS(1129),
    [anon_sym_string] = ACTIONS(1129),
    [anon_sym_symbol] = ACTIONS(1129),
    [anon_sym_object] = ACTIONS(1129),
    [anon_sym_abstract] = ACTIONS(107),
    [anon_sym_interface] = ACTIONS(109),
    [anon_sym_enum] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [181] = {
    [sym_declaration] = STATE(929),
    [sym_import] = STATE(3513),
    [sym_variable_declaration] = STATE(836),
    [sym_lexical_declaration] = STATE(836),
    [sym_parenthesized_expression] = STATE(1417),
    [sym_expression] = STATE(2433),
    [sym_primary_expression] = STATE(1833),
    [sym_yield_expression] = STATE(2130),
    [sym_object] = STATE(2117),
    [sym_object_pattern] = STATE(5592),
    [sym_array] = STATE(2117),
    [sym_array_pattern] = STATE(5592),
    [sym_glimmer_template] = STATE(2130),
    [sym_class] = STATE(2117),
    [sym_class_declaration] = STATE(836),
    [sym_function_expression] = STATE(2117),
    [sym_function_declaration] = STATE(836),
    [sym_generator_function] = STATE(2117),
    [sym_generator_function_declaration] = STATE(836),
    [sym_arrow_function] = STATE(2117),
    [sym__call_signature] = STATE(5478),
    [sym_call_expression] = STATE(2117),
    [sym_new_expression] = STATE(1963),
    [sym_await_expression] = STATE(2130),
    [sym_member_expression] = STATE(1417),
    [sym_subscript_expression] = STATE(1417),
    [sym_assignment_expression] = STATE(2130),
    [sym__augmented_assignment_lhs] = STATE(3012),
    [sym_augmented_assignment_expression] = STATE(2130),
    [sym__destructuring_pattern] = STATE(5592),
    [sym_ternary_expression] = STATE(2130),
    [sym_binary_expression] = STATE(2130),
    [sym_unary_expression] = STATE(2130),
    [sym_update_expression] = STATE(2130),
    [sym_string] = STATE(2117),
    [sym_template_string] = STATE(2117),
    [sym_regex] = STATE(2117),
    [sym_meta_property] = STATE(2117),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1417),
    [sym_function_signature] = STATE(836),
    [sym_type_assertion] = STATE(2130),
    [sym_as_expression] = STATE(2130),
    [sym_satisfies_expression] = STATE(2130),
    [sym_instantiation_expression] = STATE(2130),
    [sym_ambient_declaration] = STATE(836),
    [sym_abstract_class_declaration] = STATE(836),
    [sym_module] = STATE(836),
    [sym_internal_module] = STATE(2470),
    [sym_import_alias] = STATE(836),
    [sym_interface_declaration] = STATE(836),
    [sym_enum_declaration] = STATE(836),
    [sym_type_alias_declaration] = STATE(836),
    [sym_type_arguments] = STATE(450),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4135),
    [sym_identifier] = ACTIONS(1497),
    [anon_sym_export] = ACTIONS(1129),
    [anon_sym_type] = ACTIONS(1597),
    [anon_sym_namespace] = ACTIONS(1131),
    [anon_sym_LBRACE] = ACTIONS(670),
    [anon_sym_typeof] = ACTIONS(1157),
    [anon_sym_import] = ACTIONS(1601),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(1603),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(1137),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1141),
    [anon_sym_yield] = ACTIONS(1143),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(564),
    [anon_sym_async] = ACTIONS(1611),
    [anon_sym_function] = ACTIONS(568),
    [anon_sym_new] = ACTIONS(1501),
    [anon_sym_using] = ACTIONS(1151),
    [anon_sym_PLUS] = ACTIONS(1157),
    [anon_sym_DASH] = ACTIONS(1157),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1137),
    [anon_sym_void] = ACTIONS(1157),
    [anon_sym_delete] = ACTIONS(1157),
    [anon_sym_PLUS_PLUS] = ACTIONS(1159),
    [anon_sym_DASH_DASH] = ACTIONS(1159),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1165),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1503),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1129),
    [anon_sym_readonly] = ACTIONS(1129),
    [anon_sym_get] = ACTIONS(1129),
    [anon_sym_set] = ACTIONS(1129),
    [anon_sym_declare] = ACTIONS(1607),
    [anon_sym_public] = ACTIONS(1129),
    [anon_sym_private] = ACTIONS(1129),
    [anon_sym_protected] = ACTIONS(1129),
    [anon_sym_override] = ACTIONS(1129),
    [anon_sym_module] = ACTIONS(1609),
    [anon_sym_any] = ACTIONS(1129),
    [anon_sym_number] = ACTIONS(1129),
    [anon_sym_boolean] = ACTIONS(1129),
    [anon_sym_string] = ACTIONS(1129),
    [anon_sym_symbol] = ACTIONS(1129),
    [anon_sym_object] = ACTIONS(1129),
    [anon_sym_abstract] = ACTIONS(107),
    [anon_sym_interface] = ACTIONS(109),
    [anon_sym_enum] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [182] = {
    [sym_import] = STATE(4788),
    [sym_nested_identifier] = STATE(5868),
    [sym_string] = STATE(3013),
    [sym_formal_parameters] = STATE(5623),
    [sym_nested_type_identifier] = STATE(2941),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2942),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2944),
    [sym_type] = STATE(3102),
    [sym_constructor_type] = STATE(2974),
    [sym_primary_type] = STATE(3014),
    [sym_template_literal_type] = STATE(3018),
    [sym_infer_type] = STATE(2974),
    [sym_conditional_type] = STATE(3018),
    [sym_generic_type] = STATE(3018),
    [sym_type_query] = STATE(3018),
    [sym_index_type_query] = STATE(3018),
    [sym_lookup_type] = STATE(3018),
    [sym_literal_type] = STATE(3018),
    [sym__number] = STATE(3031),
    [sym_existential_type] = STATE(3018),
    [sym_flow_maybe_type] = STATE(3018),
    [sym_parenthesized_type] = STATE(3018),
    [sym_predefined_type] = STATE(3018),
    [sym_object_type] = STATE(3018),
    [sym_type_parameters] = STATE(5442),
    [sym_array_type] = STATE(3018),
    [sym_tuple_type] = STATE(3018),
    [sym_readonly_type] = STATE(2974),
    [sym_union_type] = STATE(3018),
    [sym_intersection_type] = STATE(3018),
    [sym_function_type] = STATE(2974),
    [sym_identifier] = ACTIONS(1539),
    [anon_sym_STAR] = ACTIONS(117),
    [anon_sym_EQ] = ACTIONS(841),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_LBRACE] = ACTIONS(1541),
    [anon_sym_COMMA] = ACTIONS(892),
    [anon_sym_typeof] = ACTIONS(1543),
    [anon_sym_import] = ACTIONS(1545),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(1547),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(833),
    [anon_sym_LBRACK] = ACTIONS(1549),
    [anon_sym_RBRACK] = ACTIONS(892),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(122),
    [anon_sym_DQUOTE] = ACTIONS(1551),
    [anon_sym_SQUOTE] = ACTIONS(1553),
    [anon_sym_EQ_GT] = ACTIONS(851),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(1555),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(171),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(173),
    [anon_sym_PLUS] = ACTIONS(1557),
    [anon_sym_DASH] = ACTIONS(1557),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(1559),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_void] = ACTIONS(217),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1561),
    [sym_number] = ACTIONS(1563),
    [sym_this] = ACTIONS(1565),
    [sym_true] = ACTIONS(1567),
    [sym_false] = ACTIONS(1567),
    [sym_null] = ACTIONS(1567),
    [sym_undefined] = ACTIONS(1567),
    [anon_sym_readonly] = ACTIONS(1569),
    [anon_sym_QMARK] = ACTIONS(205),
    [anon_sym_any] = ACTIONS(217),
    [anon_sym_number] = ACTIONS(217),
    [anon_sym_boolean] = ACTIONS(217),
    [anon_sym_string] = ACTIONS(217),
    [anon_sym_symbol] = ACTIONS(217),
    [anon_sym_object] = ACTIONS(217),
    [anon_sym_abstract] = ACTIONS(209),
    [anon_sym_satisfies] = ACTIONS(122),
    [anon_sym_infer] = ACTIONS(211),
    [anon_sym_keyof] = ACTIONS(213),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [183] = {
    [sym_import] = STATE(4788),
    [sym_nested_identifier] = STATE(5868),
    [sym_string] = STATE(3013),
    [sym_formal_parameters] = STATE(5623),
    [sym_nested_type_identifier] = STATE(2941),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2942),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2944),
    [sym_type] = STATE(3102),
    [sym_constructor_type] = STATE(2974),
    [sym_primary_type] = STATE(3014),
    [sym_template_literal_type] = STATE(3018),
    [sym_infer_type] = STATE(2974),
    [sym_conditional_type] = STATE(3018),
    [sym_generic_type] = STATE(3018),
    [sym_type_query] = STATE(3018),
    [sym_index_type_query] = STATE(3018),
    [sym_lookup_type] = STATE(3018),
    [sym_literal_type] = STATE(3018),
    [sym__number] = STATE(3031),
    [sym_existential_type] = STATE(3018),
    [sym_flow_maybe_type] = STATE(3018),
    [sym_parenthesized_type] = STATE(3018),
    [sym_predefined_type] = STATE(3018),
    [sym_object_type] = STATE(3018),
    [sym_type_parameters] = STATE(5442),
    [sym_array_type] = STATE(3018),
    [sym_tuple_type] = STATE(3018),
    [sym_readonly_type] = STATE(2974),
    [sym_union_type] = STATE(3018),
    [sym_intersection_type] = STATE(3018),
    [sym_function_type] = STATE(2974),
    [sym_identifier] = ACTIONS(1539),
    [anon_sym_STAR] = ACTIONS(117),
    [anon_sym_EQ] = ACTIONS(119),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_LBRACE] = ACTIONS(1541),
    [anon_sym_COMMA] = ACTIONS(128),
    [anon_sym_typeof] = ACTIONS(1543),
    [anon_sym_import] = ACTIONS(1545),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(1547),
    [anon_sym_RPAREN] = ACTIONS(128),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(128),
    [anon_sym_LBRACK] = ACTIONS(1549),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(122),
    [anon_sym_DQUOTE] = ACTIONS(1551),
    [anon_sym_SQUOTE] = ACTIONS(1553),
    [anon_sym_EQ_GT] = ACTIONS(159),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(1555),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(171),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(173),
    [anon_sym_PLUS] = ACTIONS(1557),
    [anon_sym_DASH] = ACTIONS(1557),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(1559),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_void] = ACTIONS(217),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1561),
    [sym_number] = ACTIONS(1563),
    [sym_this] = ACTIONS(1565),
    [sym_true] = ACTIONS(1567),
    [sym_false] = ACTIONS(1567),
    [sym_null] = ACTIONS(1567),
    [sym_undefined] = ACTIONS(1567),
    [anon_sym_readonly] = ACTIONS(1569),
    [anon_sym_QMARK] = ACTIONS(205),
    [anon_sym_any] = ACTIONS(217),
    [anon_sym_number] = ACTIONS(217),
    [anon_sym_boolean] = ACTIONS(217),
    [anon_sym_string] = ACTIONS(217),
    [anon_sym_symbol] = ACTIONS(217),
    [anon_sym_object] = ACTIONS(217),
    [anon_sym_abstract] = ACTIONS(209),
    [anon_sym_satisfies] = ACTIONS(122),
    [anon_sym_infer] = ACTIONS(211),
    [anon_sym_keyof] = ACTIONS(213),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [184] = {
    [sym_import] = STATE(4788),
    [sym_nested_identifier] = STATE(5868),
    [sym_string] = STATE(3013),
    [sym_formal_parameters] = STATE(5623),
    [sym_nested_type_identifier] = STATE(2941),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2942),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2944),
    [sym_type] = STATE(3102),
    [sym_constructor_type] = STATE(2974),
    [sym_primary_type] = STATE(3014),
    [sym_template_literal_type] = STATE(3018),
    [sym_infer_type] = STATE(2974),
    [sym_conditional_type] = STATE(3018),
    [sym_generic_type] = STATE(3018),
    [sym_type_query] = STATE(3018),
    [sym_index_type_query] = STATE(3018),
    [sym_lookup_type] = STATE(3018),
    [sym_literal_type] = STATE(3018),
    [sym__number] = STATE(3031),
    [sym_existential_type] = STATE(3018),
    [sym_flow_maybe_type] = STATE(3018),
    [sym_parenthesized_type] = STATE(3018),
    [sym_predefined_type] = STATE(3018),
    [sym_object_type] = STATE(3018),
    [sym_type_parameters] = STATE(5442),
    [sym_array_type] = STATE(3018),
    [sym_tuple_type] = STATE(3018),
    [sym_readonly_type] = STATE(2974),
    [sym_union_type] = STATE(3018),
    [sym_intersection_type] = STATE(3018),
    [sym_function_type] = STATE(2974),
    [sym_identifier] = ACTIONS(1539),
    [anon_sym_STAR] = ACTIONS(117),
    [anon_sym_EQ] = ACTIONS(890),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_LBRACE] = ACTIONS(1541),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_typeof] = ACTIONS(1543),
    [anon_sym_import] = ACTIONS(1545),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(1547),
    [anon_sym_RPAREN] = ACTIONS(161),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(161),
    [anon_sym_LBRACK] = ACTIONS(1549),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(122),
    [anon_sym_DQUOTE] = ACTIONS(1551),
    [anon_sym_SQUOTE] = ACTIONS(1553),
    [anon_sym_EQ_GT] = ACTIONS(227),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(1555),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(171),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(173),
    [anon_sym_PLUS] = ACTIONS(1557),
    [anon_sym_DASH] = ACTIONS(1557),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(1559),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_void] = ACTIONS(217),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1561),
    [sym_number] = ACTIONS(1563),
    [sym_this] = ACTIONS(1565),
    [sym_true] = ACTIONS(1567),
    [sym_false] = ACTIONS(1567),
    [sym_null] = ACTIONS(1567),
    [sym_undefined] = ACTIONS(1567),
    [anon_sym_readonly] = ACTIONS(1569),
    [anon_sym_QMARK] = ACTIONS(205),
    [anon_sym_any] = ACTIONS(217),
    [anon_sym_number] = ACTIONS(217),
    [anon_sym_boolean] = ACTIONS(217),
    [anon_sym_string] = ACTIONS(217),
    [anon_sym_symbol] = ACTIONS(217),
    [anon_sym_object] = ACTIONS(217),
    [anon_sym_abstract] = ACTIONS(209),
    [anon_sym_satisfies] = ACTIONS(122),
    [anon_sym_infer] = ACTIONS(211),
    [anon_sym_keyof] = ACTIONS(213),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [185] = {
    [sym_import] = STATE(4788),
    [sym_nested_identifier] = STATE(5868),
    [sym_string] = STATE(3013),
    [sym_formal_parameters] = STATE(5623),
    [sym_nested_type_identifier] = STATE(2941),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2942),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2944),
    [sym_type] = STATE(3102),
    [sym_constructor_type] = STATE(2974),
    [sym_primary_type] = STATE(3014),
    [sym_template_literal_type] = STATE(3018),
    [sym_infer_type] = STATE(2974),
    [sym_conditional_type] = STATE(3018),
    [sym_generic_type] = STATE(3018),
    [sym_type_query] = STATE(3018),
    [sym_index_type_query] = STATE(3018),
    [sym_lookup_type] = STATE(3018),
    [sym_literal_type] = STATE(3018),
    [sym__number] = STATE(3031),
    [sym_existential_type] = STATE(3018),
    [sym_flow_maybe_type] = STATE(3018),
    [sym_parenthesized_type] = STATE(3018),
    [sym_predefined_type] = STATE(3018),
    [sym_object_type] = STATE(3018),
    [sym_type_parameters] = STATE(5442),
    [sym_array_type] = STATE(3018),
    [sym_tuple_type] = STATE(3018),
    [sym_readonly_type] = STATE(2974),
    [sym_union_type] = STATE(3018),
    [sym_intersection_type] = STATE(3018),
    [sym_function_type] = STATE(2974),
    [sym_identifier] = ACTIONS(1539),
    [anon_sym_STAR] = ACTIONS(117),
    [anon_sym_EQ] = ACTIONS(925),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_LBRACE] = ACTIONS(1541),
    [anon_sym_typeof] = ACTIONS(1543),
    [anon_sym_import] = ACTIONS(1545),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(1547),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_LBRACK] = ACTIONS(1549),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(122),
    [anon_sym_DQUOTE] = ACTIONS(1551),
    [anon_sym_SQUOTE] = ACTIONS(1553),
    [anon_sym_EQ_GT] = ACTIONS(931),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(1555),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(171),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(173),
    [anon_sym_PLUS] = ACTIONS(1557),
    [anon_sym_DASH] = ACTIONS(1557),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(1559),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_void] = ACTIONS(217),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1561),
    [sym_number] = ACTIONS(1563),
    [sym_this] = ACTIONS(1565),
    [sym_true] = ACTIONS(1567),
    [sym_false] = ACTIONS(1567),
    [sym_null] = ACTIONS(1567),
    [sym_undefined] = ACTIONS(1567),
    [anon_sym_readonly] = ACTIONS(1569),
    [anon_sym_QMARK] = ACTIONS(205),
    [anon_sym_any] = ACTIONS(217),
    [anon_sym_number] = ACTIONS(217),
    [anon_sym_boolean] = ACTIONS(217),
    [anon_sym_string] = ACTIONS(217),
    [anon_sym_symbol] = ACTIONS(217),
    [anon_sym_object] = ACTIONS(217),
    [anon_sym_abstract] = ACTIONS(209),
    [anon_sym_satisfies] = ACTIONS(122),
    [anon_sym_infer] = ACTIONS(211),
    [anon_sym_keyof] = ACTIONS(213),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [186] = {
    [sym_import] = STATE(4680),
    [sym_nested_identifier] = STATE(5868),
    [sym_string] = STATE(3013),
    [sym_formal_parameters] = STATE(5631),
    [sym_nested_type_identifier] = STATE(2941),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3315),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2944),
    [sym_type] = STATE(3729),
    [sym_constructor_type] = STATE(2974),
    [sym_primary_type] = STATE(3014),
    [sym_template_literal_type] = STATE(3018),
    [sym_infer_type] = STATE(2974),
    [sym_conditional_type] = STATE(3018),
    [sym_generic_type] = STATE(3018),
    [sym_type_query] = STATE(3018),
    [sym_index_type_query] = STATE(3018),
    [sym_lookup_type] = STATE(3018),
    [sym_literal_type] = STATE(3018),
    [sym__number] = STATE(3031),
    [sym_existential_type] = STATE(3018),
    [sym_flow_maybe_type] = STATE(3018),
    [sym_parenthesized_type] = STATE(3018),
    [sym_predefined_type] = STATE(3018),
    [sym_object_type] = STATE(3018),
    [sym_type_parameters] = STATE(5464),
    [sym_array_type] = STATE(3018),
    [sym_tuple_type] = STATE(3018),
    [sym_readonly_type] = STATE(2974),
    [sym_union_type] = STATE(3018),
    [sym_intersection_type] = STATE(3018),
    [sym_function_type] = STATE(2974),
    [sym_identifier] = ACTIONS(1539),
    [anon_sym_STAR] = ACTIONS(117),
    [anon_sym_EQ] = ACTIONS(887),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_LBRACE] = ACTIONS(1541),
    [anon_sym_COMMA] = ACTIONS(224),
    [anon_sym_typeof] = ACTIONS(1543),
    [anon_sym_import] = ACTIONS(1545),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(1547),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_LBRACK] = ACTIONS(1549),
    [anon_sym_RBRACK] = ACTIONS(224),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(122),
    [anon_sym_DQUOTE] = ACTIONS(1551),
    [anon_sym_SQUOTE] = ACTIONS(1553),
    [anon_sym_EQ_GT] = ACTIONS(851),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(1613),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(1615),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(1617),
    [anon_sym_PLUS] = ACTIONS(1557),
    [anon_sym_DASH] = ACTIONS(1557),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(1559),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_void] = ACTIONS(217),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1561),
    [sym_number] = ACTIONS(1563),
    [sym_this] = ACTIONS(1565),
    [sym_true] = ACTIONS(1567),
    [sym_false] = ACTIONS(1567),
    [sym_null] = ACTIONS(1567),
    [sym_undefined] = ACTIONS(1567),
    [anon_sym_readonly] = ACTIONS(1619),
    [anon_sym_QMARK] = ACTIONS(1621),
    [anon_sym_any] = ACTIONS(217),
    [anon_sym_number] = ACTIONS(217),
    [anon_sym_boolean] = ACTIONS(217),
    [anon_sym_string] = ACTIONS(217),
    [anon_sym_symbol] = ACTIONS(217),
    [anon_sym_object] = ACTIONS(217),
    [anon_sym_abstract] = ACTIONS(636),
    [anon_sym_satisfies] = ACTIONS(122),
    [anon_sym_infer] = ACTIONS(638),
    [anon_sym_keyof] = ACTIONS(640),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [187] = {
    [sym_import] = STATE(4926),
    [sym_nested_identifier] = STATE(5583),
    [sym_string] = STATE(3268),
    [sym_formal_parameters] = STATE(5787),
    [sym_nested_type_identifier] = STATE(3131),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3073),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3209),
    [sym_type] = STATE(3254),
    [sym_constructor_type] = STATE(3272),
    [sym_primary_type] = STATE(3273),
    [sym_template_literal_type] = STATE(3274),
    [sym_infer_type] = STATE(3272),
    [sym_conditional_type] = STATE(3274),
    [sym_generic_type] = STATE(3274),
    [sym_type_query] = STATE(3274),
    [sym_index_type_query] = STATE(3274),
    [sym_lookup_type] = STATE(3274),
    [sym_literal_type] = STATE(3274),
    [sym__number] = STATE(3275),
    [sym_existential_type] = STATE(3274),
    [sym_flow_maybe_type] = STATE(3274),
    [sym_parenthesized_type] = STATE(3274),
    [sym_predefined_type] = STATE(3274),
    [sym_object_type] = STATE(3274),
    [sym_type_parameters] = STATE(5160),
    [sym_array_type] = STATE(3274),
    [sym_tuple_type] = STATE(3274),
    [sym_readonly_type] = STATE(3272),
    [sym_union_type] = STATE(3274),
    [sym_intersection_type] = STATE(3274),
    [sym_function_type] = STATE(3272),
    [sym_identifier] = ACTIONS(1623),
    [anon_sym_STAR] = ACTIONS(1625),
    [anon_sym_EQ] = ACTIONS(887),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_LBRACE] = ACTIONS(1627),
    [anon_sym_COMMA] = ACTIONS(224),
    [anon_sym_RBRACE] = ACTIONS(224),
    [anon_sym_typeof] = ACTIONS(1629),
    [anon_sym_import] = ACTIONS(1545),
    [anon_sym_const] = ACTIONS(1005),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(1631),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_LBRACK] = ACTIONS(1633),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(122),
    [anon_sym_DQUOTE] = ACTIONS(1635),
    [anon_sym_SQUOTE] = ACTIONS(1637),
    [anon_sym_EQ_GT] = ACTIONS(851),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(1639),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(1641),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(1643),
    [anon_sym_PLUS] = ACTIONS(1645),
    [anon_sym_DASH] = ACTIONS(1645),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(1559),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_void] = ACTIONS(1045),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1647),
    [sym_number] = ACTIONS(1649),
    [sym_this] = ACTIONS(1651),
    [sym_true] = ACTIONS(1653),
    [sym_false] = ACTIONS(1653),
    [sym_null] = ACTIONS(1653),
    [sym_undefined] = ACTIONS(1653),
    [anon_sym_readonly] = ACTIONS(1655),
    [anon_sym_QMARK] = ACTIONS(1657),
    [anon_sym_any] = ACTIONS(1045),
    [anon_sym_number] = ACTIONS(1045),
    [anon_sym_boolean] = ACTIONS(1045),
    [anon_sym_string] = ACTIONS(1045),
    [anon_sym_symbol] = ACTIONS(1045),
    [anon_sym_object] = ACTIONS(1045),
    [anon_sym_abstract] = ACTIONS(1037),
    [anon_sym_satisfies] = ACTIONS(122),
    [anon_sym_infer] = ACTIONS(1039),
    [anon_sym_keyof] = ACTIONS(1041),
    [anon_sym_unique] = ACTIONS(1043),
    [anon_sym_unknown] = ACTIONS(1045),
    [anon_sym_never] = ACTIONS(1045),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1047),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [188] = {
    [sym_import] = STATE(4788),
    [sym_nested_identifier] = STATE(5868),
    [sym_string] = STATE(3013),
    [sym_formal_parameters] = STATE(5623),
    [sym_nested_type_identifier] = STATE(2941),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2942),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2944),
    [sym_type] = STATE(3102),
    [sym_constructor_type] = STATE(2974),
    [sym_primary_type] = STATE(3014),
    [sym_template_literal_type] = STATE(3018),
    [sym_infer_type] = STATE(2974),
    [sym_conditional_type] = STATE(3018),
    [sym_generic_type] = STATE(3018),
    [sym_type_query] = STATE(3018),
    [sym_index_type_query] = STATE(3018),
    [sym_lookup_type] = STATE(3018),
    [sym_literal_type] = STATE(3018),
    [sym__number] = STATE(3031),
    [sym_existential_type] = STATE(3018),
    [sym_flow_maybe_type] = STATE(3018),
    [sym_parenthesized_type] = STATE(3018),
    [sym_predefined_type] = STATE(3018),
    [sym_object_type] = STATE(3018),
    [sym_type_parameters] = STATE(5442),
    [sym_array_type] = STATE(3018),
    [sym_tuple_type] = STATE(3018),
    [sym_readonly_type] = STATE(2974),
    [sym_union_type] = STATE(3018),
    [sym_intersection_type] = STATE(3018),
    [sym_function_type] = STATE(2974),
    [sym_identifier] = ACTIONS(1539),
    [anon_sym_STAR] = ACTIONS(117),
    [anon_sym_EQ] = ACTIONS(939),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_LBRACE] = ACTIONS(1541),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_typeof] = ACTIONS(1543),
    [anon_sym_import] = ACTIONS(1545),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(1547),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_LBRACK] = ACTIONS(1549),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(122),
    [anon_sym_DQUOTE] = ACTIONS(1551),
    [anon_sym_SQUOTE] = ACTIONS(1553),
    [anon_sym_EQ_GT] = ACTIONS(945),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(1555),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(171),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(173),
    [anon_sym_PLUS] = ACTIONS(1557),
    [anon_sym_DASH] = ACTIONS(1557),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(1559),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_void] = ACTIONS(217),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1561),
    [sym_number] = ACTIONS(1563),
    [sym_this] = ACTIONS(1565),
    [sym_true] = ACTIONS(1567),
    [sym_false] = ACTIONS(1567),
    [sym_null] = ACTIONS(1567),
    [sym_undefined] = ACTIONS(1567),
    [anon_sym_readonly] = ACTIONS(1569),
    [anon_sym_QMARK] = ACTIONS(205),
    [anon_sym_any] = ACTIONS(217),
    [anon_sym_number] = ACTIONS(217),
    [anon_sym_boolean] = ACTIONS(217),
    [anon_sym_string] = ACTIONS(217),
    [anon_sym_symbol] = ACTIONS(217),
    [anon_sym_object] = ACTIONS(217),
    [anon_sym_abstract] = ACTIONS(209),
    [anon_sym_satisfies] = ACTIONS(122),
    [anon_sym_implements] = ACTIONS(122),
    [anon_sym_infer] = ACTIONS(211),
    [anon_sym_keyof] = ACTIONS(213),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [189] = {
    [sym_import] = STATE(4788),
    [sym_nested_identifier] = STATE(5868),
    [sym_string] = STATE(3013),
    [sym_formal_parameters] = STATE(5623),
    [sym_nested_type_identifier] = STATE(2941),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2942),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2944),
    [sym_type] = STATE(3102),
    [sym_constructor_type] = STATE(2974),
    [sym_primary_type] = STATE(3014),
    [sym_template_literal_type] = STATE(3018),
    [sym_infer_type] = STATE(2974),
    [sym_conditional_type] = STATE(3018),
    [sym_generic_type] = STATE(3018),
    [sym_type_query] = STATE(3018),
    [sym_index_type_query] = STATE(3018),
    [sym_lookup_type] = STATE(3018),
    [sym_literal_type] = STATE(3018),
    [sym__number] = STATE(3031),
    [sym_existential_type] = STATE(3018),
    [sym_flow_maybe_type] = STATE(3018),
    [sym_parenthesized_type] = STATE(3018),
    [sym_predefined_type] = STATE(3018),
    [sym_object_type] = STATE(3018),
    [sym_type_parameters] = STATE(5442),
    [sym_array_type] = STATE(3018),
    [sym_tuple_type] = STATE(3018),
    [sym_readonly_type] = STATE(2974),
    [sym_union_type] = STATE(3018),
    [sym_intersection_type] = STATE(3018),
    [sym_function_type] = STATE(2974),
    [sym_identifier] = ACTIONS(1539),
    [anon_sym_STAR] = ACTIONS(117),
    [anon_sym_EQ] = ACTIONS(831),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_LBRACE] = ACTIONS(1541),
    [anon_sym_typeof] = ACTIONS(1543),
    [anon_sym_import] = ACTIONS(1545),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(1547),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(833),
    [anon_sym_LBRACK] = ACTIONS(1549),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(122),
    [anon_sym_DQUOTE] = ACTIONS(1551),
    [anon_sym_SQUOTE] = ACTIONS(1553),
    [anon_sym_EQ_GT] = ACTIONS(159),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(1555),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(171),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(173),
    [anon_sym_PLUS] = ACTIONS(1557),
    [anon_sym_DASH] = ACTIONS(1557),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(1559),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_void] = ACTIONS(217),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1561),
    [sym_number] = ACTIONS(1563),
    [sym_this] = ACTIONS(1565),
    [sym_true] = ACTIONS(1567),
    [sym_false] = ACTIONS(1567),
    [sym_null] = ACTIONS(1567),
    [sym_undefined] = ACTIONS(1567),
    [anon_sym_readonly] = ACTIONS(1569),
    [anon_sym_QMARK] = ACTIONS(205),
    [anon_sym_any] = ACTIONS(217),
    [anon_sym_number] = ACTIONS(217),
    [anon_sym_boolean] = ACTIONS(217),
    [anon_sym_string] = ACTIONS(217),
    [anon_sym_symbol] = ACTIONS(217),
    [anon_sym_object] = ACTIONS(217),
    [anon_sym_abstract] = ACTIONS(209),
    [anon_sym_satisfies] = ACTIONS(122),
    [anon_sym_infer] = ACTIONS(211),
    [anon_sym_keyof] = ACTIONS(213),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [190] = {
    [sym_import] = STATE(4788),
    [sym_nested_identifier] = STATE(5868),
    [sym_string] = STATE(3013),
    [sym_formal_parameters] = STATE(5623),
    [sym_nested_type_identifier] = STATE(2941),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2942),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2944),
    [sym_type] = STATE(3102),
    [sym_constructor_type] = STATE(2974),
    [sym_primary_type] = STATE(3014),
    [sym_template_literal_type] = STATE(3018),
    [sym_infer_type] = STATE(2974),
    [sym_conditional_type] = STATE(3018),
    [sym_generic_type] = STATE(3018),
    [sym_type_query] = STATE(3018),
    [sym_index_type_query] = STATE(3018),
    [sym_lookup_type] = STATE(3018),
    [sym_literal_type] = STATE(3018),
    [sym__number] = STATE(3031),
    [sym_existential_type] = STATE(3018),
    [sym_flow_maybe_type] = STATE(3018),
    [sym_parenthesized_type] = STATE(3018),
    [sym_predefined_type] = STATE(3018),
    [sym_object_type] = STATE(3018),
    [sym_type_parameters] = STATE(5442),
    [sym_array_type] = STATE(3018),
    [sym_tuple_type] = STATE(3018),
    [sym_readonly_type] = STATE(2974),
    [sym_union_type] = STATE(3018),
    [sym_intersection_type] = STATE(3018),
    [sym_function_type] = STATE(2974),
    [sym_identifier] = ACTIONS(1539),
    [anon_sym_STAR] = ACTIONS(117),
    [anon_sym_EQ] = ACTIONS(917),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_LBRACE] = ACTIONS(1541),
    [anon_sym_typeof] = ACTIONS(1543),
    [anon_sym_import] = ACTIONS(1545),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(1547),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_LBRACK] = ACTIONS(1549),
    [anon_sym_RBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(122),
    [anon_sym_DQUOTE] = ACTIONS(1551),
    [anon_sym_SQUOTE] = ACTIONS(1553),
    [anon_sym_EQ_GT] = ACTIONS(913),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(1555),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(171),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(173),
    [anon_sym_PLUS] = ACTIONS(1557),
    [anon_sym_DASH] = ACTIONS(1557),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(1559),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_void] = ACTIONS(217),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1561),
    [sym_number] = ACTIONS(1563),
    [sym_this] = ACTIONS(1565),
    [sym_true] = ACTIONS(1567),
    [sym_false] = ACTIONS(1567),
    [sym_null] = ACTIONS(1567),
    [sym_undefined] = ACTIONS(1567),
    [anon_sym_readonly] = ACTIONS(1569),
    [anon_sym_QMARK] = ACTIONS(205),
    [anon_sym_any] = ACTIONS(217),
    [anon_sym_number] = ACTIONS(217),
    [anon_sym_boolean] = ACTIONS(217),
    [anon_sym_string] = ACTIONS(217),
    [anon_sym_symbol] = ACTIONS(217),
    [anon_sym_object] = ACTIONS(217),
    [anon_sym_abstract] = ACTIONS(209),
    [anon_sym_satisfies] = ACTIONS(122),
    [anon_sym_infer] = ACTIONS(211),
    [anon_sym_keyof] = ACTIONS(213),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [191] = {
    [sym_import] = STATE(4788),
    [sym_nested_identifier] = STATE(5868),
    [sym_string] = STATE(3013),
    [sym_formal_parameters] = STATE(5623),
    [sym_nested_type_identifier] = STATE(2941),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2942),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2944),
    [sym_type] = STATE(3102),
    [sym_constructor_type] = STATE(2974),
    [sym_primary_type] = STATE(3014),
    [sym_template_literal_type] = STATE(3018),
    [sym_infer_type] = STATE(2974),
    [sym_conditional_type] = STATE(3018),
    [sym_generic_type] = STATE(3018),
    [sym_type_query] = STATE(3018),
    [sym_index_type_query] = STATE(3018),
    [sym_lookup_type] = STATE(3018),
    [sym_literal_type] = STATE(3018),
    [sym__number] = STATE(3031),
    [sym_existential_type] = STATE(3018),
    [sym_flow_maybe_type] = STATE(3018),
    [sym_parenthesized_type] = STATE(3018),
    [sym_predefined_type] = STATE(3018),
    [sym_object_type] = STATE(3018),
    [sym_type_parameters] = STATE(5442),
    [sym_array_type] = STATE(3018),
    [sym_tuple_type] = STATE(3018),
    [sym_readonly_type] = STATE(2974),
    [sym_union_type] = STATE(3018),
    [sym_intersection_type] = STATE(3018),
    [sym_function_type] = STATE(2974),
    [sym_identifier] = ACTIONS(1539),
    [anon_sym_STAR] = ACTIONS(117),
    [anon_sym_EQ] = ACTIONS(955),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_LBRACE] = ACTIONS(1541),
    [anon_sym_typeof] = ACTIONS(1543),
    [anon_sym_import] = ACTIONS(1545),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(1547),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(161),
    [anon_sym_LBRACK] = ACTIONS(1549),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(122),
    [anon_sym_DQUOTE] = ACTIONS(1551),
    [anon_sym_SQUOTE] = ACTIONS(1553),
    [anon_sym_EQ_GT] = ACTIONS(961),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(1555),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(171),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(173),
    [anon_sym_PLUS] = ACTIONS(1557),
    [anon_sym_DASH] = ACTIONS(1557),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(1559),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_void] = ACTIONS(217),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1561),
    [sym_number] = ACTIONS(1563),
    [sym_this] = ACTIONS(1565),
    [sym_true] = ACTIONS(1567),
    [sym_false] = ACTIONS(1567),
    [sym_null] = ACTIONS(1567),
    [sym_undefined] = ACTIONS(1567),
    [anon_sym_readonly] = ACTIONS(1569),
    [anon_sym_QMARK] = ACTIONS(205),
    [anon_sym_any] = ACTIONS(217),
    [anon_sym_number] = ACTIONS(217),
    [anon_sym_boolean] = ACTIONS(217),
    [anon_sym_string] = ACTIONS(217),
    [anon_sym_symbol] = ACTIONS(217),
    [anon_sym_object] = ACTIONS(217),
    [anon_sym_abstract] = ACTIONS(209),
    [anon_sym_satisfies] = ACTIONS(122),
    [anon_sym_infer] = ACTIONS(211),
    [anon_sym_keyof] = ACTIONS(213),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [192] = {
    [sym_import] = STATE(4788),
    [sym_nested_identifier] = STATE(5868),
    [sym_string] = STATE(3013),
    [sym_formal_parameters] = STATE(5623),
    [sym_nested_type_identifier] = STATE(2941),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2942),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2944),
    [sym_type] = STATE(3102),
    [sym_constructor_type] = STATE(2974),
    [sym_primary_type] = STATE(3014),
    [sym_template_literal_type] = STATE(3018),
    [sym_infer_type] = STATE(2974),
    [sym_conditional_type] = STATE(3018),
    [sym_generic_type] = STATE(3018),
    [sym_type_query] = STATE(3018),
    [sym_index_type_query] = STATE(3018),
    [sym_lookup_type] = STATE(3018),
    [sym_literal_type] = STATE(3018),
    [sym__number] = STATE(3031),
    [sym_existential_type] = STATE(3018),
    [sym_flow_maybe_type] = STATE(3018),
    [sym_parenthesized_type] = STATE(3018),
    [sym_predefined_type] = STATE(3018),
    [sym_object_type] = STATE(3018),
    [sym_type_parameters] = STATE(5442),
    [sym_array_type] = STATE(3018),
    [sym_tuple_type] = STATE(3018),
    [sym_readonly_type] = STATE(2974),
    [sym_union_type] = STATE(3018),
    [sym_intersection_type] = STATE(3018),
    [sym_function_type] = STATE(2974),
    [sym_identifier] = ACTIONS(1539),
    [anon_sym_STAR] = ACTIONS(117),
    [anon_sym_EQ] = ACTIONS(969),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_LBRACE] = ACTIONS(1541),
    [anon_sym_typeof] = ACTIONS(1543),
    [anon_sym_import] = ACTIONS(1545),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(1547),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_of] = ACTIONS(122),
    [anon_sym_LBRACK] = ACTIONS(1549),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(122),
    [anon_sym_DQUOTE] = ACTIONS(1551),
    [anon_sym_SQUOTE] = ACTIONS(1553),
    [anon_sym_EQ_GT] = ACTIONS(975),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(1555),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(171),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(173),
    [anon_sym_PLUS] = ACTIONS(1557),
    [anon_sym_DASH] = ACTIONS(1557),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(1559),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_void] = ACTIONS(217),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1561),
    [sym_number] = ACTIONS(1563),
    [sym_this] = ACTIONS(1565),
    [sym_true] = ACTIONS(1567),
    [sym_false] = ACTIONS(1567),
    [sym_null] = ACTIONS(1567),
    [sym_undefined] = ACTIONS(1567),
    [anon_sym_readonly] = ACTIONS(1569),
    [anon_sym_QMARK] = ACTIONS(205),
    [anon_sym_any] = ACTIONS(217),
    [anon_sym_number] = ACTIONS(217),
    [anon_sym_boolean] = ACTIONS(217),
    [anon_sym_string] = ACTIONS(217),
    [anon_sym_symbol] = ACTIONS(217),
    [anon_sym_object] = ACTIONS(217),
    [anon_sym_abstract] = ACTIONS(209),
    [anon_sym_satisfies] = ACTIONS(122),
    [anon_sym_infer] = ACTIONS(211),
    [anon_sym_keyof] = ACTIONS(213),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [193] = {
    [sym_import] = STATE(4788),
    [sym_nested_identifier] = STATE(5868),
    [sym_string] = STATE(3013),
    [sym_formal_parameters] = STATE(5623),
    [sym_nested_type_identifier] = STATE(2941),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2942),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2944),
    [sym_type] = STATE(3102),
    [sym_constructor_type] = STATE(2974),
    [sym_primary_type] = STATE(3014),
    [sym_template_literal_type] = STATE(3018),
    [sym_infer_type] = STATE(2974),
    [sym_conditional_type] = STATE(3018),
    [sym_generic_type] = STATE(3018),
    [sym_type_query] = STATE(3018),
    [sym_index_type_query] = STATE(3018),
    [sym_lookup_type] = STATE(3018),
    [sym_literal_type] = STATE(3018),
    [sym__number] = STATE(3031),
    [sym_existential_type] = STATE(3018),
    [sym_flow_maybe_type] = STATE(3018),
    [sym_parenthesized_type] = STATE(3018),
    [sym_predefined_type] = STATE(3018),
    [sym_object_type] = STATE(3018),
    [sym_type_parameters] = STATE(5442),
    [sym_array_type] = STATE(3018),
    [sym_tuple_type] = STATE(3018),
    [sym_readonly_type] = STATE(2974),
    [sym_union_type] = STATE(3018),
    [sym_intersection_type] = STATE(3018),
    [sym_function_type] = STATE(2974),
    [sym_identifier] = ACTIONS(1539),
    [anon_sym_STAR] = ACTIONS(117),
    [anon_sym_EQ] = ACTIONS(831),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_LBRACE] = ACTIONS(1541),
    [anon_sym_typeof] = ACTIONS(1543),
    [anon_sym_import] = ACTIONS(1545),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(1547),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_LBRACK] = ACTIONS(1549),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(122),
    [anon_sym_DQUOTE] = ACTIONS(1551),
    [anon_sym_SQUOTE] = ACTIONS(1553),
    [anon_sym_EQ_GT] = ACTIONS(159),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(1555),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(171),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(173),
    [anon_sym_PLUS] = ACTIONS(1557),
    [anon_sym_DASH] = ACTIONS(1557),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(1559),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_void] = ACTIONS(217),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1561),
    [sym_number] = ACTIONS(1563),
    [sym_this] = ACTIONS(1565),
    [sym_true] = ACTIONS(1567),
    [sym_false] = ACTIONS(1567),
    [sym_null] = ACTIONS(1567),
    [sym_undefined] = ACTIONS(1567),
    [anon_sym_readonly] = ACTIONS(1569),
    [anon_sym_QMARK] = ACTIONS(205),
    [anon_sym_any] = ACTIONS(217),
    [anon_sym_number] = ACTIONS(217),
    [anon_sym_boolean] = ACTIONS(217),
    [anon_sym_string] = ACTIONS(217),
    [anon_sym_symbol] = ACTIONS(217),
    [anon_sym_object] = ACTIONS(217),
    [anon_sym_abstract] = ACTIONS(209),
    [anon_sym_satisfies] = ACTIONS(122),
    [anon_sym_infer] = ACTIONS(211),
    [anon_sym_keyof] = ACTIONS(213),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [194] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1381),
    [sym_expression] = STATE(1817),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(4097),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(4097),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5865),
    [sym__formal_parameter] = STATE(4551),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1357),
    [sym_subscript_expression] = STATE(1357),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(3033),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(4097),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_sequence_expression] = STATE(5646),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_pattern] = STATE(4057),
    [sym_rest_pattern] = STATE(3605),
    [sym_non_null_expression] = STATE(1357),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_accessibility_modifier] = STATE(288),
    [sym_override_modifier] = STATE(303),
    [sym_required_parameter] = STATE(4551),
    [sym_optional_parameter] = STATE(4551),
    [sym__parameter_name] = STATE(3611),
    [sym_type_arguments] = STATE(635),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(265),
    [sym_identifier] = ACTIONS(1659),
    [anon_sym_export] = ACTIONS(731),
    [anon_sym_type] = ACTIONS(731),
    [anon_sym_namespace] = ACTIONS(733),
    [anon_sym_LBRACE] = ACTIONS(815),
    [anon_sym_typeof] = ACTIONS(763),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(731),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_RPAREN] = ACTIONS(741),
    [anon_sym_await] = ACTIONS(743),
    [anon_sym_yield] = ACTIONS(745),
    [anon_sym_LBRACK] = ACTIONS(819),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(749),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1661),
    [anon_sym_using] = ACTIONS(753),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(169),
    [anon_sym_PLUS] = ACTIONS(763),
    [anon_sym_DASH] = ACTIONS(763),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(739),
    [anon_sym_void] = ACTIONS(763),
    [anon_sym_delete] = ACTIONS(763),
    [anon_sym_PLUS_PLUS] = ACTIONS(765),
    [anon_sym_DASH_DASH] = ACTIONS(765),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(771),
    [sym_this] = ACTIONS(1663),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1665),
    [anon_sym_AT] = ACTIONS(779),
    [anon_sym_static] = ACTIONS(731),
    [anon_sym_readonly] = ACTIONS(1667),
    [anon_sym_get] = ACTIONS(731),
    [anon_sym_set] = ACTIONS(731),
    [anon_sym_declare] = ACTIONS(731),
    [anon_sym_public] = ACTIONS(785),
    [anon_sym_private] = ACTIONS(785),
    [anon_sym_protected] = ACTIONS(785),
    [anon_sym_override] = ACTIONS(787),
    [anon_sym_module] = ACTIONS(731),
    [anon_sym_any] = ACTIONS(731),
    [anon_sym_number] = ACTIONS(731),
    [anon_sym_boolean] = ACTIONS(731),
    [anon_sym_string] = ACTIONS(731),
    [anon_sym_symbol] = ACTIONS(731),
    [anon_sym_object] = ACTIONS(731),
    [sym_html_comment] = ACTIONS(5),
  },
  [195] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1381),
    [sym_expression] = STATE(1834),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(4097),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(4097),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5865),
    [sym__formal_parameter] = STATE(4551),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1357),
    [sym_subscript_expression] = STATE(1357),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(3033),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(4097),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_sequence_expression] = STATE(5858),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_pattern] = STATE(4057),
    [sym_rest_pattern] = STATE(3605),
    [sym_non_null_expression] = STATE(1357),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_accessibility_modifier] = STATE(288),
    [sym_override_modifier] = STATE(303),
    [sym_required_parameter] = STATE(4551),
    [sym_optional_parameter] = STATE(4551),
    [sym__parameter_name] = STATE(3611),
    [sym_type_arguments] = STATE(635),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(265),
    [sym_identifier] = ACTIONS(1659),
    [anon_sym_export] = ACTIONS(731),
    [anon_sym_type] = ACTIONS(731),
    [anon_sym_namespace] = ACTIONS(733),
    [anon_sym_LBRACE] = ACTIONS(815),
    [anon_sym_typeof] = ACTIONS(763),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(731),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_RPAREN] = ACTIONS(741),
    [anon_sym_await] = ACTIONS(743),
    [anon_sym_yield] = ACTIONS(745),
    [anon_sym_LBRACK] = ACTIONS(819),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(749),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1661),
    [anon_sym_using] = ACTIONS(753),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(169),
    [anon_sym_PLUS] = ACTIONS(763),
    [anon_sym_DASH] = ACTIONS(763),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(739),
    [anon_sym_void] = ACTIONS(763),
    [anon_sym_delete] = ACTIONS(763),
    [anon_sym_PLUS_PLUS] = ACTIONS(765),
    [anon_sym_DASH_DASH] = ACTIONS(765),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(771),
    [sym_this] = ACTIONS(1663),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1665),
    [anon_sym_AT] = ACTIONS(779),
    [anon_sym_static] = ACTIONS(731),
    [anon_sym_readonly] = ACTIONS(1667),
    [anon_sym_get] = ACTIONS(731),
    [anon_sym_set] = ACTIONS(731),
    [anon_sym_declare] = ACTIONS(731),
    [anon_sym_public] = ACTIONS(785),
    [anon_sym_private] = ACTIONS(785),
    [anon_sym_protected] = ACTIONS(785),
    [anon_sym_override] = ACTIONS(787),
    [anon_sym_module] = ACTIONS(731),
    [anon_sym_any] = ACTIONS(731),
    [anon_sym_number] = ACTIONS(731),
    [anon_sym_boolean] = ACTIONS(731),
    [anon_sym_string] = ACTIONS(731),
    [anon_sym_symbol] = ACTIONS(731),
    [anon_sym_object] = ACTIONS(731),
    [sym_html_comment] = ACTIONS(5),
  },
  [196] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1228),
    [sym_expression] = STATE(2615),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(3739),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(3739),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5824),
    [sym__formal_parameter] = STATE(4587),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1302),
    [sym_subscript_expression] = STATE(1302),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(2969),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(3739),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_pattern] = STATE(4057),
    [sym_rest_pattern] = STATE(3605),
    [sym_non_null_expression] = STATE(1302),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_accessibility_modifier] = STATE(288),
    [sym_override_modifier] = STATE(303),
    [sym_required_parameter] = STATE(4587),
    [sym_optional_parameter] = STATE(4587),
    [sym__parameter_name] = STATE(3611),
    [sym_type_arguments] = STATE(537),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(265),
    [sym_identifier] = ACTIONS(701),
    [anon_sym_export] = ACTIONS(115),
    [anon_sym_type] = ACTIONS(115),
    [anon_sym_namespace] = ACTIONS(124),
    [anon_sym_LBRACE] = ACTIONS(703),
    [anon_sym_typeof] = ACTIONS(184),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(115),
    [anon_sym_BANG] = ACTIONS(180),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_RPAREN] = ACTIONS(1669),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(1671),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(155),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(711),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(169),
    [anon_sym_PLUS] = ACTIONS(184),
    [anon_sym_DASH] = ACTIONS(184),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(691),
    [anon_sym_DASH_DASH] = ACTIONS(691),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(1673),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(723),
    [anon_sym_AT] = ACTIONS(779),
    [anon_sym_static] = ACTIONS(115),
    [anon_sym_readonly] = ACTIONS(1675),
    [anon_sym_get] = ACTIONS(115),
    [anon_sym_set] = ACTIONS(115),
    [anon_sym_declare] = ACTIONS(115),
    [anon_sym_public] = ACTIONS(805),
    [anon_sym_private] = ACTIONS(805),
    [anon_sym_protected] = ACTIONS(805),
    [anon_sym_override] = ACTIONS(807),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_any] = ACTIONS(115),
    [anon_sym_number] = ACTIONS(115),
    [anon_sym_boolean] = ACTIONS(115),
    [anon_sym_string] = ACTIONS(115),
    [anon_sym_symbol] = ACTIONS(115),
    [anon_sym_object] = ACTIONS(115),
    [sym_html_comment] = ACTIONS(5),
  },
  [197] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1228),
    [sym_expression] = STATE(2615),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(3739),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(3739),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5824),
    [sym__formal_parameter] = STATE(4904),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1302),
    [sym_subscript_expression] = STATE(1302),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(2969),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(3739),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_pattern] = STATE(4057),
    [sym_rest_pattern] = STATE(3605),
    [sym_non_null_expression] = STATE(1302),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_accessibility_modifier] = STATE(288),
    [sym_override_modifier] = STATE(303),
    [sym_required_parameter] = STATE(4904),
    [sym_optional_parameter] = STATE(4904),
    [sym__parameter_name] = STATE(3611),
    [sym_type_arguments] = STATE(537),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(265),
    [sym_identifier] = ACTIONS(701),
    [anon_sym_export] = ACTIONS(115),
    [anon_sym_type] = ACTIONS(115),
    [anon_sym_namespace] = ACTIONS(124),
    [anon_sym_LBRACE] = ACTIONS(703),
    [anon_sym_typeof] = ACTIONS(184),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(115),
    [anon_sym_BANG] = ACTIONS(180),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_RPAREN] = ACTIONS(1677),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(1671),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(155),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(711),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(169),
    [anon_sym_PLUS] = ACTIONS(184),
    [anon_sym_DASH] = ACTIONS(184),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(691),
    [anon_sym_DASH_DASH] = ACTIONS(691),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(1673),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(723),
    [anon_sym_AT] = ACTIONS(779),
    [anon_sym_static] = ACTIONS(115),
    [anon_sym_readonly] = ACTIONS(1675),
    [anon_sym_get] = ACTIONS(115),
    [anon_sym_set] = ACTIONS(115),
    [anon_sym_declare] = ACTIONS(115),
    [anon_sym_public] = ACTIONS(805),
    [anon_sym_private] = ACTIONS(805),
    [anon_sym_protected] = ACTIONS(805),
    [anon_sym_override] = ACTIONS(807),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_any] = ACTIONS(115),
    [anon_sym_number] = ACTIONS(115),
    [anon_sym_boolean] = ACTIONS(115),
    [anon_sym_string] = ACTIONS(115),
    [anon_sym_symbol] = ACTIONS(115),
    [anon_sym_object] = ACTIONS(115),
    [sym_html_comment] = ACTIONS(5),
  },
  [198] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1228),
    [sym_expression] = STATE(2615),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(3739),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(3739),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5824),
    [sym__formal_parameter] = STATE(5283),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1302),
    [sym_subscript_expression] = STATE(1302),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(2969),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(3739),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_pattern] = STATE(4057),
    [sym_rest_pattern] = STATE(3605),
    [sym_non_null_expression] = STATE(1302),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_accessibility_modifier] = STATE(288),
    [sym_override_modifier] = STATE(303),
    [sym_required_parameter] = STATE(5283),
    [sym_optional_parameter] = STATE(5283),
    [sym__parameter_name] = STATE(3611),
    [sym_type_arguments] = STATE(537),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(265),
    [sym_identifier] = ACTIONS(701),
    [anon_sym_export] = ACTIONS(115),
    [anon_sym_type] = ACTIONS(115),
    [anon_sym_namespace] = ACTIONS(124),
    [anon_sym_LBRACE] = ACTIONS(703),
    [anon_sym_typeof] = ACTIONS(184),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(115),
    [anon_sym_BANG] = ACTIONS(180),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_RPAREN] = ACTIONS(1679),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(1671),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(155),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(711),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(169),
    [anon_sym_PLUS] = ACTIONS(184),
    [anon_sym_DASH] = ACTIONS(184),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(691),
    [anon_sym_DASH_DASH] = ACTIONS(691),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(1673),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(723),
    [anon_sym_AT] = ACTIONS(779),
    [anon_sym_static] = ACTIONS(115),
    [anon_sym_readonly] = ACTIONS(1675),
    [anon_sym_get] = ACTIONS(115),
    [anon_sym_set] = ACTIONS(115),
    [anon_sym_declare] = ACTIONS(115),
    [anon_sym_public] = ACTIONS(805),
    [anon_sym_private] = ACTIONS(805),
    [anon_sym_protected] = ACTIONS(805),
    [anon_sym_override] = ACTIONS(807),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_any] = ACTIONS(115),
    [anon_sym_number] = ACTIONS(115),
    [anon_sym_boolean] = ACTIONS(115),
    [anon_sym_string] = ACTIONS(115),
    [anon_sym_symbol] = ACTIONS(115),
    [anon_sym_object] = ACTIONS(115),
    [sym_html_comment] = ACTIONS(5),
  },
  [199] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1228),
    [sym_expression] = STATE(2615),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(3739),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(3739),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5824),
    [sym__formal_parameter] = STATE(5283),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1302),
    [sym_subscript_expression] = STATE(1302),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(2969),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(3739),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_pattern] = STATE(4057),
    [sym_rest_pattern] = STATE(3605),
    [sym_non_null_expression] = STATE(1302),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_accessibility_modifier] = STATE(288),
    [sym_override_modifier] = STATE(303),
    [sym_required_parameter] = STATE(5283),
    [sym_optional_parameter] = STATE(5283),
    [sym__parameter_name] = STATE(3611),
    [sym_type_arguments] = STATE(537),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(265),
    [sym_identifier] = ACTIONS(701),
    [anon_sym_export] = ACTIONS(115),
    [anon_sym_type] = ACTIONS(115),
    [anon_sym_namespace] = ACTIONS(124),
    [anon_sym_LBRACE] = ACTIONS(703),
    [anon_sym_typeof] = ACTIONS(184),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(115),
    [anon_sym_BANG] = ACTIONS(180),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_RPAREN] = ACTIONS(1681),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(1671),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(155),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(711),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(169),
    [anon_sym_PLUS] = ACTIONS(184),
    [anon_sym_DASH] = ACTIONS(184),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(691),
    [anon_sym_DASH_DASH] = ACTIONS(691),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(1673),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(723),
    [anon_sym_AT] = ACTIONS(779),
    [anon_sym_static] = ACTIONS(115),
    [anon_sym_readonly] = ACTIONS(1675),
    [anon_sym_get] = ACTIONS(115),
    [anon_sym_set] = ACTIONS(115),
    [anon_sym_declare] = ACTIONS(115),
    [anon_sym_public] = ACTIONS(805),
    [anon_sym_private] = ACTIONS(805),
    [anon_sym_protected] = ACTIONS(805),
    [anon_sym_override] = ACTIONS(807),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_any] = ACTIONS(115),
    [anon_sym_number] = ACTIONS(115),
    [anon_sym_boolean] = ACTIONS(115),
    [anon_sym_string] = ACTIONS(115),
    [anon_sym_symbol] = ACTIONS(115),
    [anon_sym_object] = ACTIONS(115),
    [sym_html_comment] = ACTIONS(5),
  },
  [200] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1228),
    [sym_expression] = STATE(2615),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(3739),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(3739),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5824),
    [sym__formal_parameter] = STATE(5283),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1302),
    [sym_subscript_expression] = STATE(1302),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(2969),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(3739),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_pattern] = STATE(4057),
    [sym_rest_pattern] = STATE(3605),
    [sym_non_null_expression] = STATE(1302),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_accessibility_modifier] = STATE(288),
    [sym_override_modifier] = STATE(303),
    [sym_required_parameter] = STATE(5283),
    [sym_optional_parameter] = STATE(5283),
    [sym__parameter_name] = STATE(3611),
    [sym_type_arguments] = STATE(537),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(265),
    [sym_identifier] = ACTIONS(701),
    [anon_sym_export] = ACTIONS(115),
    [anon_sym_type] = ACTIONS(115),
    [anon_sym_namespace] = ACTIONS(124),
    [anon_sym_LBRACE] = ACTIONS(703),
    [anon_sym_typeof] = ACTIONS(184),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(115),
    [anon_sym_BANG] = ACTIONS(180),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_RPAREN] = ACTIONS(1683),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(1671),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(155),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(711),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(169),
    [anon_sym_PLUS] = ACTIONS(184),
    [anon_sym_DASH] = ACTIONS(184),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(691),
    [anon_sym_DASH_DASH] = ACTIONS(691),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(1673),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(723),
    [anon_sym_AT] = ACTIONS(779),
    [anon_sym_static] = ACTIONS(115),
    [anon_sym_readonly] = ACTIONS(1675),
    [anon_sym_get] = ACTIONS(115),
    [anon_sym_set] = ACTIONS(115),
    [anon_sym_declare] = ACTIONS(115),
    [anon_sym_public] = ACTIONS(805),
    [anon_sym_private] = ACTIONS(805),
    [anon_sym_protected] = ACTIONS(805),
    [anon_sym_override] = ACTIONS(807),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_any] = ACTIONS(115),
    [anon_sym_number] = ACTIONS(115),
    [anon_sym_boolean] = ACTIONS(115),
    [anon_sym_string] = ACTIONS(115),
    [anon_sym_symbol] = ACTIONS(115),
    [anon_sym_object] = ACTIONS(115),
    [sym_html_comment] = ACTIONS(5),
  },
  [201] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1228),
    [sym_expression] = STATE(2615),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(3739),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(3739),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5824),
    [sym__formal_parameter] = STATE(4551),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1302),
    [sym_subscript_expression] = STATE(1302),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(2969),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(3739),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_pattern] = STATE(4057),
    [sym_rest_pattern] = STATE(3605),
    [sym_non_null_expression] = STATE(1302),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_accessibility_modifier] = STATE(288),
    [sym_override_modifier] = STATE(303),
    [sym_required_parameter] = STATE(4551),
    [sym_optional_parameter] = STATE(4551),
    [sym__parameter_name] = STATE(3611),
    [sym_type_arguments] = STATE(537),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(265),
    [sym_identifier] = ACTIONS(701),
    [anon_sym_export] = ACTIONS(115),
    [anon_sym_type] = ACTIONS(115),
    [anon_sym_namespace] = ACTIONS(124),
    [anon_sym_LBRACE] = ACTIONS(703),
    [anon_sym_typeof] = ACTIONS(184),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(115),
    [anon_sym_BANG] = ACTIONS(180),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_RPAREN] = ACTIONS(741),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(1671),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(155),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(711),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(169),
    [anon_sym_PLUS] = ACTIONS(184),
    [anon_sym_DASH] = ACTIONS(184),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(691),
    [anon_sym_DASH_DASH] = ACTIONS(691),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(1673),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(723),
    [anon_sym_AT] = ACTIONS(779),
    [anon_sym_static] = ACTIONS(115),
    [anon_sym_readonly] = ACTIONS(1675),
    [anon_sym_get] = ACTIONS(115),
    [anon_sym_set] = ACTIONS(115),
    [anon_sym_declare] = ACTIONS(115),
    [anon_sym_public] = ACTIONS(805),
    [anon_sym_private] = ACTIONS(805),
    [anon_sym_protected] = ACTIONS(805),
    [anon_sym_override] = ACTIONS(807),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_any] = ACTIONS(115),
    [anon_sym_number] = ACTIONS(115),
    [anon_sym_boolean] = ACTIONS(115),
    [anon_sym_string] = ACTIONS(115),
    [anon_sym_symbol] = ACTIONS(115),
    [anon_sym_object] = ACTIONS(115),
    [sym_html_comment] = ACTIONS(5),
  },
  [202] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1228),
    [sym_expression] = STATE(2615),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(3739),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(3739),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5824),
    [sym__formal_parameter] = STATE(5283),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1302),
    [sym_subscript_expression] = STATE(1302),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(2969),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(3739),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_pattern] = STATE(4057),
    [sym_rest_pattern] = STATE(3605),
    [sym_non_null_expression] = STATE(1302),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_accessibility_modifier] = STATE(288),
    [sym_override_modifier] = STATE(303),
    [sym_required_parameter] = STATE(5283),
    [sym_optional_parameter] = STATE(5283),
    [sym__parameter_name] = STATE(3611),
    [sym_type_arguments] = STATE(537),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(265),
    [sym_identifier] = ACTIONS(701),
    [anon_sym_export] = ACTIONS(115),
    [anon_sym_type] = ACTIONS(115),
    [anon_sym_namespace] = ACTIONS(124),
    [anon_sym_LBRACE] = ACTIONS(703),
    [anon_sym_typeof] = ACTIONS(184),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(115),
    [anon_sym_BANG] = ACTIONS(180),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_RPAREN] = ACTIONS(1685),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(1671),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(155),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(711),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(169),
    [anon_sym_PLUS] = ACTIONS(184),
    [anon_sym_DASH] = ACTIONS(184),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(691),
    [anon_sym_DASH_DASH] = ACTIONS(691),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(1673),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(723),
    [anon_sym_AT] = ACTIONS(779),
    [anon_sym_static] = ACTIONS(115),
    [anon_sym_readonly] = ACTIONS(1675),
    [anon_sym_get] = ACTIONS(115),
    [anon_sym_set] = ACTIONS(115),
    [anon_sym_declare] = ACTIONS(115),
    [anon_sym_public] = ACTIONS(805),
    [anon_sym_private] = ACTIONS(805),
    [anon_sym_protected] = ACTIONS(805),
    [anon_sym_override] = ACTIONS(807),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_any] = ACTIONS(115),
    [anon_sym_number] = ACTIONS(115),
    [anon_sym_boolean] = ACTIONS(115),
    [anon_sym_string] = ACTIONS(115),
    [anon_sym_symbol] = ACTIONS(115),
    [anon_sym_object] = ACTIONS(115),
    [sym_html_comment] = ACTIONS(5),
  },
  [203] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1228),
    [sym_expression] = STATE(2615),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(3739),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(3739),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5824),
    [sym__formal_parameter] = STATE(5283),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1302),
    [sym_subscript_expression] = STATE(1302),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(2969),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(3739),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_pattern] = STATE(4057),
    [sym_rest_pattern] = STATE(3605),
    [sym_non_null_expression] = STATE(1302),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_accessibility_modifier] = STATE(288),
    [sym_override_modifier] = STATE(303),
    [sym_required_parameter] = STATE(5283),
    [sym_optional_parameter] = STATE(5283),
    [sym__parameter_name] = STATE(3611),
    [sym_type_arguments] = STATE(537),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(265),
    [sym_identifier] = ACTIONS(701),
    [anon_sym_export] = ACTIONS(115),
    [anon_sym_type] = ACTIONS(115),
    [anon_sym_namespace] = ACTIONS(124),
    [anon_sym_LBRACE] = ACTIONS(703),
    [anon_sym_typeof] = ACTIONS(184),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(115),
    [anon_sym_BANG] = ACTIONS(180),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_RPAREN] = ACTIONS(1687),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(1671),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(155),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(711),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(169),
    [anon_sym_PLUS] = ACTIONS(184),
    [anon_sym_DASH] = ACTIONS(184),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(691),
    [anon_sym_DASH_DASH] = ACTIONS(691),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(1673),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(723),
    [anon_sym_AT] = ACTIONS(779),
    [anon_sym_static] = ACTIONS(115),
    [anon_sym_readonly] = ACTIONS(1675),
    [anon_sym_get] = ACTIONS(115),
    [anon_sym_set] = ACTIONS(115),
    [anon_sym_declare] = ACTIONS(115),
    [anon_sym_public] = ACTIONS(805),
    [anon_sym_private] = ACTIONS(805),
    [anon_sym_protected] = ACTIONS(805),
    [anon_sym_override] = ACTIONS(807),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_any] = ACTIONS(115),
    [anon_sym_number] = ACTIONS(115),
    [anon_sym_boolean] = ACTIONS(115),
    [anon_sym_string] = ACTIONS(115),
    [anon_sym_symbol] = ACTIONS(115),
    [anon_sym_object] = ACTIONS(115),
    [sym_html_comment] = ACTIONS(5),
  },
  [204] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1228),
    [sym_expression] = STATE(2615),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(3739),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(3739),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5824),
    [sym__formal_parameter] = STATE(5283),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1302),
    [sym_subscript_expression] = STATE(1302),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(2969),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(3739),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_pattern] = STATE(4057),
    [sym_rest_pattern] = STATE(3605),
    [sym_non_null_expression] = STATE(1302),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_accessibility_modifier] = STATE(288),
    [sym_override_modifier] = STATE(303),
    [sym_required_parameter] = STATE(5283),
    [sym_optional_parameter] = STATE(5283),
    [sym__parameter_name] = STATE(3611),
    [sym_type_arguments] = STATE(537),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(265),
    [sym_identifier] = ACTIONS(701),
    [anon_sym_export] = ACTIONS(115),
    [anon_sym_type] = ACTIONS(115),
    [anon_sym_namespace] = ACTIONS(124),
    [anon_sym_LBRACE] = ACTIONS(703),
    [anon_sym_typeof] = ACTIONS(184),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(115),
    [anon_sym_BANG] = ACTIONS(180),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_RPAREN] = ACTIONS(1689),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(1671),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(155),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(711),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(169),
    [anon_sym_PLUS] = ACTIONS(184),
    [anon_sym_DASH] = ACTIONS(184),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(691),
    [anon_sym_DASH_DASH] = ACTIONS(691),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(1673),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(723),
    [anon_sym_AT] = ACTIONS(779),
    [anon_sym_static] = ACTIONS(115),
    [anon_sym_readonly] = ACTIONS(1675),
    [anon_sym_get] = ACTIONS(115),
    [anon_sym_set] = ACTIONS(115),
    [anon_sym_declare] = ACTIONS(115),
    [anon_sym_public] = ACTIONS(805),
    [anon_sym_private] = ACTIONS(805),
    [anon_sym_protected] = ACTIONS(805),
    [anon_sym_override] = ACTIONS(807),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_any] = ACTIONS(115),
    [anon_sym_number] = ACTIONS(115),
    [anon_sym_boolean] = ACTIONS(115),
    [anon_sym_string] = ACTIONS(115),
    [anon_sym_symbol] = ACTIONS(115),
    [anon_sym_object] = ACTIONS(115),
    [sym_html_comment] = ACTIONS(5),
  },
  [205] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1324),
    [sym_expression] = STATE(2136),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(4448),
    [sym_assignment_pattern] = STATE(5020),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(4448),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5565),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1399),
    [sym_subscript_expression] = STATE(1399),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(2958),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(4448),
    [sym_spread_element] = STATE(5119),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_pattern] = STATE(4511),
    [sym_rest_pattern] = STATE(3605),
    [sym_non_null_expression] = STATE(1399),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(482),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [aux_sym_array_repeat1] = STATE(4579),
    [aux_sym_array_pattern_repeat1] = STATE(4615),
    [sym_identifier] = ACTIONS(1691),
    [anon_sym_export] = ACTIONS(580),
    [anon_sym_type] = ACTIONS(580),
    [anon_sym_namespace] = ACTIONS(584),
    [anon_sym_LBRACE] = ACTIONS(815),
    [anon_sym_COMMA] = ACTIONS(1693),
    [anon_sym_typeof] = ACTIONS(620),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(580),
    [anon_sym_BANG] = ACTIONS(592),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(594),
    [anon_sym_yield] = ACTIONS(596),
    [anon_sym_LBRACK] = ACTIONS(819),
    [anon_sym_RBRACK] = ACTIONS(1695),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(602),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1697),
    [anon_sym_using] = ACTIONS(606),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(251),
    [anon_sym_PLUS] = ACTIONS(620),
    [anon_sym_DASH] = ACTIONS(620),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(592),
    [anon_sym_void] = ACTIONS(620),
    [anon_sym_delete] = ACTIONS(620),
    [anon_sym_PLUS_PLUS] = ACTIONS(622),
    [anon_sym_DASH_DASH] = ACTIONS(622),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(624),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1699),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(580),
    [anon_sym_readonly] = ACTIONS(580),
    [anon_sym_get] = ACTIONS(580),
    [anon_sym_set] = ACTIONS(580),
    [anon_sym_declare] = ACTIONS(580),
    [anon_sym_public] = ACTIONS(580),
    [anon_sym_private] = ACTIONS(580),
    [anon_sym_protected] = ACTIONS(580),
    [anon_sym_override] = ACTIONS(580),
    [anon_sym_module] = ACTIONS(580),
    [anon_sym_any] = ACTIONS(580),
    [anon_sym_number] = ACTIONS(580),
    [anon_sym_boolean] = ACTIONS(580),
    [anon_sym_string] = ACTIONS(580),
    [anon_sym_symbol] = ACTIONS(580),
    [anon_sym_object] = ACTIONS(580),
    [sym_html_comment] = ACTIONS(5),
  },
  [206] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1324),
    [sym_expression] = STATE(2177),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(4448),
    [sym_assignment_pattern] = STATE(5020),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(4448),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5565),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1399),
    [sym_subscript_expression] = STATE(1399),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(2958),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(4448),
    [sym_spread_element] = STATE(4622),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_pattern] = STATE(4511),
    [sym_rest_pattern] = STATE(3605),
    [sym_non_null_expression] = STATE(1399),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(482),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [aux_sym_array_repeat1] = STATE(4627),
    [aux_sym_array_pattern_repeat1] = STATE(4615),
    [sym_identifier] = ACTIONS(1691),
    [anon_sym_export] = ACTIONS(580),
    [anon_sym_type] = ACTIONS(580),
    [anon_sym_namespace] = ACTIONS(584),
    [anon_sym_LBRACE] = ACTIONS(815),
    [anon_sym_COMMA] = ACTIONS(1693),
    [anon_sym_typeof] = ACTIONS(620),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(580),
    [anon_sym_BANG] = ACTIONS(592),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(594),
    [anon_sym_yield] = ACTIONS(596),
    [anon_sym_LBRACK] = ACTIONS(819),
    [anon_sym_RBRACK] = ACTIONS(1701),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(602),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1697),
    [anon_sym_using] = ACTIONS(606),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(251),
    [anon_sym_PLUS] = ACTIONS(620),
    [anon_sym_DASH] = ACTIONS(620),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(592),
    [anon_sym_void] = ACTIONS(620),
    [anon_sym_delete] = ACTIONS(620),
    [anon_sym_PLUS_PLUS] = ACTIONS(622),
    [anon_sym_DASH_DASH] = ACTIONS(622),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(624),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1699),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(580),
    [anon_sym_readonly] = ACTIONS(580),
    [anon_sym_get] = ACTIONS(580),
    [anon_sym_set] = ACTIONS(580),
    [anon_sym_declare] = ACTIONS(580),
    [anon_sym_public] = ACTIONS(580),
    [anon_sym_private] = ACTIONS(580),
    [anon_sym_protected] = ACTIONS(580),
    [anon_sym_override] = ACTIONS(580),
    [anon_sym_module] = ACTIONS(580),
    [anon_sym_any] = ACTIONS(580),
    [anon_sym_number] = ACTIONS(580),
    [anon_sym_boolean] = ACTIONS(580),
    [anon_sym_string] = ACTIONS(580),
    [anon_sym_symbol] = ACTIONS(580),
    [anon_sym_object] = ACTIONS(580),
    [sym_html_comment] = ACTIONS(5),
  },
  [207] = {
    [ts_builtin_sym_end] = ACTIONS(1703),
    [sym_identifier] = ACTIONS(1705),
    [anon_sym_export] = ACTIONS(1705),
    [anon_sym_STAR] = ACTIONS(1707),
    [anon_sym_default] = ACTIONS(1705),
    [anon_sym_type] = ACTIONS(1705),
    [anon_sym_EQ] = ACTIONS(1709),
    [anon_sym_as] = ACTIONS(1707),
    [anon_sym_namespace] = ACTIONS(1705),
    [anon_sym_LBRACE] = ACTIONS(1703),
    [anon_sym_COMMA] = ACTIONS(1711),
    [anon_sym_RBRACE] = ACTIONS(1703),
    [anon_sym_typeof] = ACTIONS(1705),
    [anon_sym_import] = ACTIONS(1705),
    [anon_sym_with] = ACTIONS(1705),
    [anon_sym_var] = ACTIONS(1705),
    [anon_sym_let] = ACTIONS(1705),
    [anon_sym_const] = ACTIONS(1705),
    [anon_sym_BANG] = ACTIONS(1705),
    [anon_sym_else] = ACTIONS(1705),
    [anon_sym_if] = ACTIONS(1705),
    [anon_sym_switch] = ACTIONS(1705),
    [anon_sym_for] = ACTIONS(1705),
    [anon_sym_LPAREN] = ACTIONS(1703),
    [anon_sym_SEMI] = ACTIONS(1703),
    [anon_sym_await] = ACTIONS(1705),
    [anon_sym_in] = ACTIONS(1707),
    [anon_sym_while] = ACTIONS(1705),
    [anon_sym_do] = ACTIONS(1705),
    [anon_sym_try] = ACTIONS(1705),
    [anon_sym_break] = ACTIONS(1705),
    [anon_sym_continue] = ACTIONS(1705),
    [anon_sym_debugger] = ACTIONS(1705),
    [anon_sym_return] = ACTIONS(1705),
    [anon_sym_throw] = ACTIONS(1705),
    [anon_sym_case] = ACTIONS(1705),
    [anon_sym_yield] = ACTIONS(1705),
    [anon_sym_LBRACK] = ACTIONS(1703),
    [sym_glimmer_opening_tag] = ACTIONS(1703),
    [anon_sym_GT] = ACTIONS(1707),
    [anon_sym_DOT] = ACTIONS(1707),
    [anon_sym_DQUOTE] = ACTIONS(1703),
    [anon_sym_SQUOTE] = ACTIONS(1703),
    [anon_sym_class] = ACTIONS(1705),
    [anon_sym_async] = ACTIONS(1705),
    [anon_sym_function] = ACTIONS(1705),
    [anon_sym_QMARK_DOT] = ACTIONS(1711),
    [anon_sym_new] = ACTIONS(1705),
    [anon_sym_using] = ACTIONS(1705),
    [anon_sym_AMP_AMP] = ACTIONS(1711),
    [anon_sym_PIPE_PIPE] = ACTIONS(1711),
    [anon_sym_GT_GT] = ACTIONS(1707),
    [anon_sym_GT_GT_GT] = ACTIONS(1711),
    [anon_sym_LT_LT] = ACTIONS(1711),
    [anon_sym_AMP] = ACTIONS(1707),
    [anon_sym_CARET] = ACTIONS(1711),
    [anon_sym_PIPE] = ACTIONS(1707),
    [anon_sym_PLUS] = ACTIONS(1705),
    [anon_sym_DASH] = ACTIONS(1705),
    [anon_sym_SLASH] = ACTIONS(1705),
    [anon_sym_PERCENT] = ACTIONS(1711),
    [anon_sym_STAR_STAR] = ACTIONS(1711),
    [anon_sym_LT] = ACTIONS(1705),
    [anon_sym_LT_EQ] = ACTIONS(1711),
    [anon_sym_EQ_EQ] = ACTIONS(1707),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1711),
    [anon_sym_BANG_EQ] = ACTIONS(1707),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1711),
    [anon_sym_GT_EQ] = ACTIONS(1711),
    [anon_sym_QMARK_QMARK] = ACTIONS(1711),
    [anon_sym_instanceof] = ACTIONS(1707),
    [anon_sym_TILDE] = ACTIONS(1703),
    [anon_sym_void] = ACTIONS(1705),
    [anon_sym_delete] = ACTIONS(1705),
    [anon_sym_PLUS_PLUS] = ACTIONS(1703),
    [anon_sym_DASH_DASH] = ACTIONS(1703),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1703),
    [sym_number] = ACTIONS(1703),
    [sym_private_property_identifier] = ACTIONS(1703),
    [sym_this] = ACTIONS(1705),
    [sym_super] = ACTIONS(1705),
    [sym_true] = ACTIONS(1705),
    [sym_false] = ACTIONS(1705),
    [sym_null] = ACTIONS(1705),
    [sym_undefined] = ACTIONS(1705),
    [anon_sym_AT] = ACTIONS(1703),
    [anon_sym_static] = ACTIONS(1705),
    [anon_sym_readonly] = ACTIONS(1705),
    [anon_sym_get] = ACTIONS(1705),
    [anon_sym_set] = ACTIONS(1705),
    [anon_sym_declare] = ACTIONS(1705),
    [anon_sym_public] = ACTIONS(1705),
    [anon_sym_private] = ACTIONS(1705),
    [anon_sym_protected] = ACTIONS(1705),
    [anon_sym_override] = ACTIONS(1705),
    [anon_sym_module] = ACTIONS(1705),
    [anon_sym_any] = ACTIONS(1705),
    [anon_sym_number] = ACTIONS(1705),
    [anon_sym_boolean] = ACTIONS(1705),
    [anon_sym_string] = ACTIONS(1705),
    [anon_sym_symbol] = ACTIONS(1705),
    [anon_sym_object] = ACTIONS(1705),
    [anon_sym_abstract] = ACTIONS(1705),
    [anon_sym_satisfies] = ACTIONS(1707),
    [anon_sym_interface] = ACTIONS(1705),
    [anon_sym_enum] = ACTIONS(1705),
    [sym__automatic_semicolon] = ACTIONS(1713),
    [sym__ternary_qmark] = ACTIONS(1711),
    [sym_html_comment] = ACTIONS(5),
  },
  [208] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1324),
    [sym_expression] = STATE(2177),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(4448),
    [sym_assignment_pattern] = STATE(5020),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(4448),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5565),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1399),
    [sym_subscript_expression] = STATE(1399),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(2958),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(4448),
    [sym_spread_element] = STATE(4622),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_pattern] = STATE(4511),
    [sym_rest_pattern] = STATE(3605),
    [sym_non_null_expression] = STATE(1399),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(482),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [aux_sym_array_repeat1] = STATE(4627),
    [aux_sym_array_pattern_repeat1] = STATE(4615),
    [sym_identifier] = ACTIONS(1691),
    [anon_sym_export] = ACTIONS(580),
    [anon_sym_type] = ACTIONS(580),
    [anon_sym_namespace] = ACTIONS(584),
    [anon_sym_LBRACE] = ACTIONS(815),
    [anon_sym_COMMA] = ACTIONS(1693),
    [anon_sym_typeof] = ACTIONS(620),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(580),
    [anon_sym_BANG] = ACTIONS(592),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(594),
    [anon_sym_yield] = ACTIONS(596),
    [anon_sym_LBRACK] = ACTIONS(819),
    [anon_sym_RBRACK] = ACTIONS(1715),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(602),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1697),
    [anon_sym_using] = ACTIONS(606),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(251),
    [anon_sym_PLUS] = ACTIONS(620),
    [anon_sym_DASH] = ACTIONS(620),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(592),
    [anon_sym_void] = ACTIONS(620),
    [anon_sym_delete] = ACTIONS(620),
    [anon_sym_PLUS_PLUS] = ACTIONS(622),
    [anon_sym_DASH_DASH] = ACTIONS(622),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(624),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1699),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(580),
    [anon_sym_readonly] = ACTIONS(580),
    [anon_sym_get] = ACTIONS(580),
    [anon_sym_set] = ACTIONS(580),
    [anon_sym_declare] = ACTIONS(580),
    [anon_sym_public] = ACTIONS(580),
    [anon_sym_private] = ACTIONS(580),
    [anon_sym_protected] = ACTIONS(580),
    [anon_sym_override] = ACTIONS(580),
    [anon_sym_module] = ACTIONS(580),
    [anon_sym_any] = ACTIONS(580),
    [anon_sym_number] = ACTIONS(580),
    [anon_sym_boolean] = ACTIONS(580),
    [anon_sym_string] = ACTIONS(580),
    [anon_sym_symbol] = ACTIONS(580),
    [anon_sym_object] = ACTIONS(580),
    [sym_html_comment] = ACTIONS(5),
  },
  [209] = {
    [sym_statement_block] = STATE(236),
    [ts_builtin_sym_end] = ACTIONS(1717),
    [sym_identifier] = ACTIONS(1719),
    [anon_sym_export] = ACTIONS(1719),
    [anon_sym_STAR] = ACTIONS(1719),
    [anon_sym_default] = ACTIONS(1719),
    [anon_sym_type] = ACTIONS(1719),
    [anon_sym_as] = ACTIONS(1719),
    [anon_sym_namespace] = ACTIONS(1719),
    [anon_sym_LBRACE] = ACTIONS(1721),
    [anon_sym_COMMA] = ACTIONS(1717),
    [anon_sym_RBRACE] = ACTIONS(1717),
    [anon_sym_typeof] = ACTIONS(1719),
    [anon_sym_import] = ACTIONS(1719),
    [anon_sym_with] = ACTIONS(1719),
    [anon_sym_var] = ACTIONS(1719),
    [anon_sym_let] = ACTIONS(1719),
    [anon_sym_const] = ACTIONS(1719),
    [anon_sym_BANG] = ACTIONS(1719),
    [anon_sym_else] = ACTIONS(1719),
    [anon_sym_if] = ACTIONS(1719),
    [anon_sym_switch] = ACTIONS(1719),
    [anon_sym_for] = ACTIONS(1719),
    [anon_sym_LPAREN] = ACTIONS(1717),
    [anon_sym_SEMI] = ACTIONS(1717),
    [anon_sym_await] = ACTIONS(1719),
    [anon_sym_in] = ACTIONS(1719),
    [anon_sym_while] = ACTIONS(1719),
    [anon_sym_do] = ACTIONS(1719),
    [anon_sym_try] = ACTIONS(1719),
    [anon_sym_break] = ACTIONS(1719),
    [anon_sym_continue] = ACTIONS(1719),
    [anon_sym_debugger] = ACTIONS(1719),
    [anon_sym_return] = ACTIONS(1719),
    [anon_sym_throw] = ACTIONS(1719),
    [anon_sym_case] = ACTIONS(1719),
    [anon_sym_yield] = ACTIONS(1719),
    [anon_sym_LBRACK] = ACTIONS(1717),
    [sym_glimmer_opening_tag] = ACTIONS(1717),
    [anon_sym_GT] = ACTIONS(1719),
    [anon_sym_DOT] = ACTIONS(1719),
    [anon_sym_DQUOTE] = ACTIONS(1717),
    [anon_sym_SQUOTE] = ACTIONS(1717),
    [anon_sym_class] = ACTIONS(1719),
    [anon_sym_async] = ACTIONS(1719),
    [anon_sym_function] = ACTIONS(1719),
    [anon_sym_QMARK_DOT] = ACTIONS(1717),
    [anon_sym_new] = ACTIONS(1719),
    [anon_sym_using] = ACTIONS(1719),
    [anon_sym_AMP_AMP] = ACTIONS(1717),
    [anon_sym_PIPE_PIPE] = ACTIONS(1717),
    [anon_sym_GT_GT] = ACTIONS(1719),
    [anon_sym_GT_GT_GT] = ACTIONS(1717),
    [anon_sym_LT_LT] = ACTIONS(1717),
    [anon_sym_AMP] = ACTIONS(1719),
    [anon_sym_CARET] = ACTIONS(1717),
    [anon_sym_PIPE] = ACTIONS(1719),
    [anon_sym_PLUS] = ACTIONS(1719),
    [anon_sym_DASH] = ACTIONS(1719),
    [anon_sym_SLASH] = ACTIONS(1719),
    [anon_sym_PERCENT] = ACTIONS(1717),
    [anon_sym_STAR_STAR] = ACTIONS(1717),
    [anon_sym_LT] = ACTIONS(1719),
    [anon_sym_LT_EQ] = ACTIONS(1717),
    [anon_sym_EQ_EQ] = ACTIONS(1719),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1717),
    [anon_sym_BANG_EQ] = ACTIONS(1719),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1717),
    [anon_sym_GT_EQ] = ACTIONS(1717),
    [anon_sym_QMARK_QMARK] = ACTIONS(1717),
    [anon_sym_instanceof] = ACTIONS(1719),
    [anon_sym_TILDE] = ACTIONS(1717),
    [anon_sym_void] = ACTIONS(1719),
    [anon_sym_delete] = ACTIONS(1719),
    [anon_sym_PLUS_PLUS] = ACTIONS(1717),
    [anon_sym_DASH_DASH] = ACTIONS(1717),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1717),
    [sym_number] = ACTIONS(1717),
    [sym_private_property_identifier] = ACTIONS(1717),
    [sym_this] = ACTIONS(1719),
    [sym_super] = ACTIONS(1719),
    [sym_true] = ACTIONS(1719),
    [sym_false] = ACTIONS(1719),
    [sym_null] = ACTIONS(1719),
    [sym_undefined] = ACTIONS(1719),
    [anon_sym_AT] = ACTIONS(1717),
    [anon_sym_static] = ACTIONS(1719),
    [anon_sym_readonly] = ACTIONS(1719),
    [anon_sym_get] = ACTIONS(1719),
    [anon_sym_set] = ACTIONS(1719),
    [anon_sym_declare] = ACTIONS(1719),
    [anon_sym_public] = ACTIONS(1719),
    [anon_sym_private] = ACTIONS(1719),
    [anon_sym_protected] = ACTIONS(1719),
    [anon_sym_override] = ACTIONS(1719),
    [anon_sym_module] = ACTIONS(1719),
    [anon_sym_any] = ACTIONS(1719),
    [anon_sym_number] = ACTIONS(1719),
    [anon_sym_boolean] = ACTIONS(1719),
    [anon_sym_string] = ACTIONS(1719),
    [anon_sym_symbol] = ACTIONS(1719),
    [anon_sym_object] = ACTIONS(1719),
    [anon_sym_abstract] = ACTIONS(1719),
    [anon_sym_satisfies] = ACTIONS(1719),
    [anon_sym_interface] = ACTIONS(1719),
    [anon_sym_enum] = ACTIONS(1719),
    [sym__automatic_semicolon] = ACTIONS(1717),
    [sym__ternary_qmark] = ACTIONS(1717),
    [sym_html_comment] = ACTIONS(5),
  },
  [210] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1324),
    [sym_expression] = STATE(2177),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(4448),
    [sym_assignment_pattern] = STATE(5020),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(4448),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5565),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1399),
    [sym_subscript_expression] = STATE(1399),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(2958),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(4448),
    [sym_spread_element] = STATE(4622),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_pattern] = STATE(4511),
    [sym_rest_pattern] = STATE(3605),
    [sym_non_null_expression] = STATE(1399),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(482),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [aux_sym_array_repeat1] = STATE(4627),
    [aux_sym_array_pattern_repeat1] = STATE(4615),
    [sym_identifier] = ACTIONS(1691),
    [anon_sym_export] = ACTIONS(580),
    [anon_sym_type] = ACTIONS(580),
    [anon_sym_namespace] = ACTIONS(584),
    [anon_sym_LBRACE] = ACTIONS(815),
    [anon_sym_COMMA] = ACTIONS(1693),
    [anon_sym_typeof] = ACTIONS(620),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(580),
    [anon_sym_BANG] = ACTIONS(592),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(594),
    [anon_sym_yield] = ACTIONS(596),
    [anon_sym_LBRACK] = ACTIONS(819),
    [anon_sym_RBRACK] = ACTIONS(1723),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(602),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1697),
    [anon_sym_using] = ACTIONS(606),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(251),
    [anon_sym_PLUS] = ACTIONS(620),
    [anon_sym_DASH] = ACTIONS(620),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(592),
    [anon_sym_void] = ACTIONS(620),
    [anon_sym_delete] = ACTIONS(620),
    [anon_sym_PLUS_PLUS] = ACTIONS(622),
    [anon_sym_DASH_DASH] = ACTIONS(622),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(624),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1699),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(580),
    [anon_sym_readonly] = ACTIONS(580),
    [anon_sym_get] = ACTIONS(580),
    [anon_sym_set] = ACTIONS(580),
    [anon_sym_declare] = ACTIONS(580),
    [anon_sym_public] = ACTIONS(580),
    [anon_sym_private] = ACTIONS(580),
    [anon_sym_protected] = ACTIONS(580),
    [anon_sym_override] = ACTIONS(580),
    [anon_sym_module] = ACTIONS(580),
    [anon_sym_any] = ACTIONS(580),
    [anon_sym_number] = ACTIONS(580),
    [anon_sym_boolean] = ACTIONS(580),
    [anon_sym_string] = ACTIONS(580),
    [anon_sym_symbol] = ACTIONS(580),
    [anon_sym_object] = ACTIONS(580),
    [sym_html_comment] = ACTIONS(5),
  },
  [211] = {
    [sym_statement_block] = STATE(236),
    [ts_builtin_sym_end] = ACTIONS(1717),
    [sym_identifier] = ACTIONS(1719),
    [anon_sym_export] = ACTIONS(1719),
    [anon_sym_STAR] = ACTIONS(1719),
    [anon_sym_default] = ACTIONS(1719),
    [anon_sym_type] = ACTIONS(1719),
    [anon_sym_as] = ACTIONS(1719),
    [anon_sym_namespace] = ACTIONS(1719),
    [anon_sym_LBRACE] = ACTIONS(1721),
    [anon_sym_COMMA] = ACTIONS(1717),
    [anon_sym_RBRACE] = ACTIONS(1717),
    [anon_sym_typeof] = ACTIONS(1719),
    [anon_sym_import] = ACTIONS(1719),
    [anon_sym_with] = ACTIONS(1719),
    [anon_sym_var] = ACTIONS(1719),
    [anon_sym_let] = ACTIONS(1719),
    [anon_sym_const] = ACTIONS(1719),
    [anon_sym_BANG] = ACTIONS(1719),
    [anon_sym_else] = ACTIONS(1719),
    [anon_sym_if] = ACTIONS(1719),
    [anon_sym_switch] = ACTIONS(1719),
    [anon_sym_for] = ACTIONS(1719),
    [anon_sym_LPAREN] = ACTIONS(1717),
    [anon_sym_SEMI] = ACTIONS(1717),
    [anon_sym_await] = ACTIONS(1719),
    [anon_sym_in] = ACTIONS(1719),
    [anon_sym_while] = ACTIONS(1719),
    [anon_sym_do] = ACTIONS(1719),
    [anon_sym_try] = ACTIONS(1719),
    [anon_sym_break] = ACTIONS(1719),
    [anon_sym_continue] = ACTIONS(1719),
    [anon_sym_debugger] = ACTIONS(1719),
    [anon_sym_return] = ACTIONS(1719),
    [anon_sym_throw] = ACTIONS(1719),
    [anon_sym_case] = ACTIONS(1719),
    [anon_sym_yield] = ACTIONS(1719),
    [anon_sym_LBRACK] = ACTIONS(1717),
    [sym_glimmer_opening_tag] = ACTIONS(1717),
    [anon_sym_GT] = ACTIONS(1719),
    [anon_sym_DOT] = ACTIONS(1725),
    [anon_sym_DQUOTE] = ACTIONS(1717),
    [anon_sym_SQUOTE] = ACTIONS(1717),
    [anon_sym_class] = ACTIONS(1719),
    [anon_sym_async] = ACTIONS(1719),
    [anon_sym_function] = ACTIONS(1719),
    [anon_sym_QMARK_DOT] = ACTIONS(1717),
    [anon_sym_new] = ACTIONS(1719),
    [anon_sym_using] = ACTIONS(1719),
    [anon_sym_AMP_AMP] = ACTIONS(1717),
    [anon_sym_PIPE_PIPE] = ACTIONS(1717),
    [anon_sym_GT_GT] = ACTIONS(1719),
    [anon_sym_GT_GT_GT] = ACTIONS(1717),
    [anon_sym_LT_LT] = ACTIONS(1717),
    [anon_sym_AMP] = ACTIONS(1719),
    [anon_sym_CARET] = ACTIONS(1717),
    [anon_sym_PIPE] = ACTIONS(1719),
    [anon_sym_PLUS] = ACTIONS(1719),
    [anon_sym_DASH] = ACTIONS(1719),
    [anon_sym_SLASH] = ACTIONS(1719),
    [anon_sym_PERCENT] = ACTIONS(1717),
    [anon_sym_STAR_STAR] = ACTIONS(1717),
    [anon_sym_LT] = ACTIONS(1719),
    [anon_sym_LT_EQ] = ACTIONS(1717),
    [anon_sym_EQ_EQ] = ACTIONS(1719),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1717),
    [anon_sym_BANG_EQ] = ACTIONS(1719),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1717),
    [anon_sym_GT_EQ] = ACTIONS(1717),
    [anon_sym_QMARK_QMARK] = ACTIONS(1717),
    [anon_sym_instanceof] = ACTIONS(1719),
    [anon_sym_TILDE] = ACTIONS(1717),
    [anon_sym_void] = ACTIONS(1719),
    [anon_sym_delete] = ACTIONS(1719),
    [anon_sym_PLUS_PLUS] = ACTIONS(1717),
    [anon_sym_DASH_DASH] = ACTIONS(1717),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1717),
    [sym_number] = ACTIONS(1717),
    [sym_private_property_identifier] = ACTIONS(1717),
    [sym_this] = ACTIONS(1719),
    [sym_super] = ACTIONS(1719),
    [sym_true] = ACTIONS(1719),
    [sym_false] = ACTIONS(1719),
    [sym_null] = ACTIONS(1719),
    [sym_undefined] = ACTIONS(1719),
    [anon_sym_AT] = ACTIONS(1717),
    [anon_sym_static] = ACTIONS(1719),
    [anon_sym_readonly] = ACTIONS(1719),
    [anon_sym_get] = ACTIONS(1719),
    [anon_sym_set] = ACTIONS(1719),
    [anon_sym_declare] = ACTIONS(1719),
    [anon_sym_public] = ACTIONS(1719),
    [anon_sym_private] = ACTIONS(1719),
    [anon_sym_protected] = ACTIONS(1719),
    [anon_sym_override] = ACTIONS(1719),
    [anon_sym_module] = ACTIONS(1719),
    [anon_sym_any] = ACTIONS(1719),
    [anon_sym_number] = ACTIONS(1719),
    [anon_sym_boolean] = ACTIONS(1719),
    [anon_sym_string] = ACTIONS(1719),
    [anon_sym_symbol] = ACTIONS(1719),
    [anon_sym_object] = ACTIONS(1719),
    [anon_sym_abstract] = ACTIONS(1719),
    [anon_sym_satisfies] = ACTIONS(1719),
    [anon_sym_interface] = ACTIONS(1719),
    [anon_sym_enum] = ACTIONS(1719),
    [sym__automatic_semicolon] = ACTIONS(1717),
    [sym__ternary_qmark] = ACTIONS(1717),
    [sym_html_comment] = ACTIONS(5),
  },
  [212] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1228),
    [sym_expression] = STATE(2615),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(3739),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(3739),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5824),
    [sym__formal_parameter] = STATE(5283),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1302),
    [sym_subscript_expression] = STATE(1302),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(2969),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(3739),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_pattern] = STATE(4057),
    [sym_rest_pattern] = STATE(3605),
    [sym_non_null_expression] = STATE(1302),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_accessibility_modifier] = STATE(288),
    [sym_override_modifier] = STATE(303),
    [sym_required_parameter] = STATE(5283),
    [sym_optional_parameter] = STATE(5283),
    [sym__parameter_name] = STATE(3611),
    [sym_type_arguments] = STATE(537),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(265),
    [sym_identifier] = ACTIONS(701),
    [anon_sym_export] = ACTIONS(115),
    [anon_sym_type] = ACTIONS(115),
    [anon_sym_namespace] = ACTIONS(124),
    [anon_sym_LBRACE] = ACTIONS(703),
    [anon_sym_typeof] = ACTIONS(184),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(115),
    [anon_sym_BANG] = ACTIONS(180),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(1671),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(155),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(711),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(169),
    [anon_sym_PLUS] = ACTIONS(184),
    [anon_sym_DASH] = ACTIONS(184),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(691),
    [anon_sym_DASH_DASH] = ACTIONS(691),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(1673),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(723),
    [anon_sym_AT] = ACTIONS(779),
    [anon_sym_static] = ACTIONS(115),
    [anon_sym_readonly] = ACTIONS(1675),
    [anon_sym_get] = ACTIONS(115),
    [anon_sym_set] = ACTIONS(115),
    [anon_sym_declare] = ACTIONS(115),
    [anon_sym_public] = ACTIONS(805),
    [anon_sym_private] = ACTIONS(805),
    [anon_sym_protected] = ACTIONS(805),
    [anon_sym_override] = ACTIONS(807),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_any] = ACTIONS(115),
    [anon_sym_number] = ACTIONS(115),
    [anon_sym_boolean] = ACTIONS(115),
    [anon_sym_string] = ACTIONS(115),
    [anon_sym_symbol] = ACTIONS(115),
    [anon_sym_object] = ACTIONS(115),
    [sym_html_comment] = ACTIONS(5),
  },
  [213] = {
    [sym_statement_block] = STATE(236),
    [ts_builtin_sym_end] = ACTIONS(1717),
    [sym_identifier] = ACTIONS(1719),
    [anon_sym_export] = ACTIONS(1719),
    [anon_sym_STAR] = ACTIONS(1719),
    [anon_sym_default] = ACTIONS(1719),
    [anon_sym_type] = ACTIONS(1719),
    [anon_sym_as] = ACTIONS(1719),
    [anon_sym_namespace] = ACTIONS(1719),
    [anon_sym_LBRACE] = ACTIONS(1721),
    [anon_sym_COMMA] = ACTIONS(1717),
    [anon_sym_RBRACE] = ACTIONS(1717),
    [anon_sym_typeof] = ACTIONS(1719),
    [anon_sym_import] = ACTIONS(1719),
    [anon_sym_with] = ACTIONS(1719),
    [anon_sym_var] = ACTIONS(1719),
    [anon_sym_let] = ACTIONS(1719),
    [anon_sym_const] = ACTIONS(1719),
    [anon_sym_BANG] = ACTIONS(1719),
    [anon_sym_else] = ACTIONS(1719),
    [anon_sym_if] = ACTIONS(1719),
    [anon_sym_switch] = ACTIONS(1719),
    [anon_sym_for] = ACTIONS(1719),
    [anon_sym_LPAREN] = ACTIONS(1717),
    [anon_sym_SEMI] = ACTIONS(1717),
    [anon_sym_await] = ACTIONS(1719),
    [anon_sym_in] = ACTIONS(1719),
    [anon_sym_while] = ACTIONS(1719),
    [anon_sym_do] = ACTIONS(1719),
    [anon_sym_try] = ACTIONS(1719),
    [anon_sym_break] = ACTIONS(1719),
    [anon_sym_continue] = ACTIONS(1719),
    [anon_sym_debugger] = ACTIONS(1719),
    [anon_sym_return] = ACTIONS(1719),
    [anon_sym_throw] = ACTIONS(1719),
    [anon_sym_case] = ACTIONS(1719),
    [anon_sym_yield] = ACTIONS(1719),
    [anon_sym_LBRACK] = ACTIONS(1717),
    [sym_glimmer_opening_tag] = ACTIONS(1717),
    [anon_sym_GT] = ACTIONS(1719),
    [anon_sym_DOT] = ACTIONS(1727),
    [anon_sym_DQUOTE] = ACTIONS(1717),
    [anon_sym_SQUOTE] = ACTIONS(1717),
    [anon_sym_class] = ACTIONS(1719),
    [anon_sym_async] = ACTIONS(1719),
    [anon_sym_function] = ACTIONS(1719),
    [anon_sym_QMARK_DOT] = ACTIONS(1717),
    [anon_sym_new] = ACTIONS(1719),
    [anon_sym_using] = ACTIONS(1719),
    [anon_sym_AMP_AMP] = ACTIONS(1717),
    [anon_sym_PIPE_PIPE] = ACTIONS(1717),
    [anon_sym_GT_GT] = ACTIONS(1719),
    [anon_sym_GT_GT_GT] = ACTIONS(1717),
    [anon_sym_LT_LT] = ACTIONS(1717),
    [anon_sym_AMP] = ACTIONS(1719),
    [anon_sym_CARET] = ACTIONS(1717),
    [anon_sym_PIPE] = ACTIONS(1719),
    [anon_sym_PLUS] = ACTIONS(1719),
    [anon_sym_DASH] = ACTIONS(1719),
    [anon_sym_SLASH] = ACTIONS(1719),
    [anon_sym_PERCENT] = ACTIONS(1717),
    [anon_sym_STAR_STAR] = ACTIONS(1717),
    [anon_sym_LT] = ACTIONS(1719),
    [anon_sym_LT_EQ] = ACTIONS(1717),
    [anon_sym_EQ_EQ] = ACTIONS(1719),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1717),
    [anon_sym_BANG_EQ] = ACTIONS(1719),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1717),
    [anon_sym_GT_EQ] = ACTIONS(1717),
    [anon_sym_QMARK_QMARK] = ACTIONS(1717),
    [anon_sym_instanceof] = ACTIONS(1719),
    [anon_sym_TILDE] = ACTIONS(1717),
    [anon_sym_void] = ACTIONS(1719),
    [anon_sym_delete] = ACTIONS(1719),
    [anon_sym_PLUS_PLUS] = ACTIONS(1717),
    [anon_sym_DASH_DASH] = ACTIONS(1717),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1717),
    [sym_number] = ACTIONS(1717),
    [sym_private_property_identifier] = ACTIONS(1717),
    [sym_this] = ACTIONS(1719),
    [sym_super] = ACTIONS(1719),
    [sym_true] = ACTIONS(1719),
    [sym_false] = ACTIONS(1719),
    [sym_null] = ACTIONS(1719),
    [sym_undefined] = ACTIONS(1719),
    [anon_sym_AT] = ACTIONS(1717),
    [anon_sym_static] = ACTIONS(1719),
    [anon_sym_readonly] = ACTIONS(1719),
    [anon_sym_get] = ACTIONS(1719),
    [anon_sym_set] = ACTIONS(1719),
    [anon_sym_declare] = ACTIONS(1719),
    [anon_sym_public] = ACTIONS(1719),
    [anon_sym_private] = ACTIONS(1719),
    [anon_sym_protected] = ACTIONS(1719),
    [anon_sym_override] = ACTIONS(1719),
    [anon_sym_module] = ACTIONS(1719),
    [anon_sym_any] = ACTIONS(1719),
    [anon_sym_number] = ACTIONS(1719),
    [anon_sym_boolean] = ACTIONS(1719),
    [anon_sym_string] = ACTIONS(1719),
    [anon_sym_symbol] = ACTIONS(1719),
    [anon_sym_object] = ACTIONS(1719),
    [anon_sym_abstract] = ACTIONS(1719),
    [anon_sym_satisfies] = ACTIONS(1719),
    [anon_sym_interface] = ACTIONS(1719),
    [anon_sym_enum] = ACTIONS(1719),
    [sym__automatic_semicolon] = ACTIONS(1717),
    [sym__ternary_qmark] = ACTIONS(1717),
    [sym_html_comment] = ACTIONS(5),
  },
  [214] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1324),
    [sym_expression] = STATE(2113),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(4448),
    [sym_assignment_pattern] = STATE(5020),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(4448),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5565),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1399),
    [sym_subscript_expression] = STATE(1399),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(2958),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(4448),
    [sym_spread_element] = STATE(5119),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_pattern] = STATE(4511),
    [sym_rest_pattern] = STATE(3605),
    [sym_non_null_expression] = STATE(1399),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(482),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [aux_sym_array_repeat1] = STATE(4579),
    [aux_sym_array_pattern_repeat1] = STATE(4615),
    [sym_identifier] = ACTIONS(1691),
    [anon_sym_export] = ACTIONS(580),
    [anon_sym_type] = ACTIONS(580),
    [anon_sym_namespace] = ACTIONS(584),
    [anon_sym_LBRACE] = ACTIONS(815),
    [anon_sym_COMMA] = ACTIONS(1693),
    [anon_sym_typeof] = ACTIONS(620),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(580),
    [anon_sym_BANG] = ACTIONS(592),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(594),
    [anon_sym_yield] = ACTIONS(596),
    [anon_sym_LBRACK] = ACTIONS(819),
    [anon_sym_RBRACK] = ACTIONS(1695),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(602),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1697),
    [anon_sym_using] = ACTIONS(606),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(251),
    [anon_sym_PLUS] = ACTIONS(620),
    [anon_sym_DASH] = ACTIONS(620),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(592),
    [anon_sym_void] = ACTIONS(620),
    [anon_sym_delete] = ACTIONS(620),
    [anon_sym_PLUS_PLUS] = ACTIONS(622),
    [anon_sym_DASH_DASH] = ACTIONS(622),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(624),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1699),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(580),
    [anon_sym_readonly] = ACTIONS(580),
    [anon_sym_get] = ACTIONS(580),
    [anon_sym_set] = ACTIONS(580),
    [anon_sym_declare] = ACTIONS(580),
    [anon_sym_public] = ACTIONS(580),
    [anon_sym_private] = ACTIONS(580),
    [anon_sym_protected] = ACTIONS(580),
    [anon_sym_override] = ACTIONS(580),
    [anon_sym_module] = ACTIONS(580),
    [anon_sym_any] = ACTIONS(580),
    [anon_sym_number] = ACTIONS(580),
    [anon_sym_boolean] = ACTIONS(580),
    [anon_sym_string] = ACTIONS(580),
    [anon_sym_symbol] = ACTIONS(580),
    [anon_sym_object] = ACTIONS(580),
    [sym_html_comment] = ACTIONS(5),
  },
  [215] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1324),
    [sym_expression] = STATE(2177),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(4448),
    [sym_assignment_pattern] = STATE(5020),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(4448),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5565),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1399),
    [sym_subscript_expression] = STATE(1399),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(2958),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(4448),
    [sym_spread_element] = STATE(4622),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_pattern] = STATE(4511),
    [sym_rest_pattern] = STATE(3605),
    [sym_non_null_expression] = STATE(1399),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(482),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [aux_sym_array_repeat1] = STATE(4627),
    [aux_sym_array_pattern_repeat1] = STATE(4615),
    [sym_identifier] = ACTIONS(1691),
    [anon_sym_export] = ACTIONS(580),
    [anon_sym_type] = ACTIONS(580),
    [anon_sym_namespace] = ACTIONS(584),
    [anon_sym_LBRACE] = ACTIONS(815),
    [anon_sym_COMMA] = ACTIONS(1693),
    [anon_sym_typeof] = ACTIONS(620),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(580),
    [anon_sym_BANG] = ACTIONS(592),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(594),
    [anon_sym_yield] = ACTIONS(596),
    [anon_sym_LBRACK] = ACTIONS(819),
    [anon_sym_RBRACK] = ACTIONS(1729),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(602),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1697),
    [anon_sym_using] = ACTIONS(606),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(251),
    [anon_sym_PLUS] = ACTIONS(620),
    [anon_sym_DASH] = ACTIONS(620),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(592),
    [anon_sym_void] = ACTIONS(620),
    [anon_sym_delete] = ACTIONS(620),
    [anon_sym_PLUS_PLUS] = ACTIONS(622),
    [anon_sym_DASH_DASH] = ACTIONS(622),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(624),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1699),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(580),
    [anon_sym_readonly] = ACTIONS(580),
    [anon_sym_get] = ACTIONS(580),
    [anon_sym_set] = ACTIONS(580),
    [anon_sym_declare] = ACTIONS(580),
    [anon_sym_public] = ACTIONS(580),
    [anon_sym_private] = ACTIONS(580),
    [anon_sym_protected] = ACTIONS(580),
    [anon_sym_override] = ACTIONS(580),
    [anon_sym_module] = ACTIONS(580),
    [anon_sym_any] = ACTIONS(580),
    [anon_sym_number] = ACTIONS(580),
    [anon_sym_boolean] = ACTIONS(580),
    [anon_sym_string] = ACTIONS(580),
    [anon_sym_symbol] = ACTIONS(580),
    [anon_sym_object] = ACTIONS(580),
    [sym_html_comment] = ACTIONS(5),
  },
  [216] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1324),
    [sym_expression] = STATE(2177),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(4448),
    [sym_assignment_pattern] = STATE(5020),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(4448),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5565),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1399),
    [sym_subscript_expression] = STATE(1399),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(2958),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(4448),
    [sym_spread_element] = STATE(4622),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_pattern] = STATE(4511),
    [sym_rest_pattern] = STATE(3605),
    [sym_non_null_expression] = STATE(1399),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(482),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [aux_sym_array_repeat1] = STATE(4627),
    [aux_sym_array_pattern_repeat1] = STATE(4615),
    [sym_identifier] = ACTIONS(1691),
    [anon_sym_export] = ACTIONS(580),
    [anon_sym_type] = ACTIONS(580),
    [anon_sym_namespace] = ACTIONS(584),
    [anon_sym_LBRACE] = ACTIONS(815),
    [anon_sym_COMMA] = ACTIONS(1693),
    [anon_sym_typeof] = ACTIONS(620),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(580),
    [anon_sym_BANG] = ACTIONS(592),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(594),
    [anon_sym_yield] = ACTIONS(596),
    [anon_sym_LBRACK] = ACTIONS(819),
    [anon_sym_RBRACK] = ACTIONS(1731),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(602),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1697),
    [anon_sym_using] = ACTIONS(606),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(251),
    [anon_sym_PLUS] = ACTIONS(620),
    [anon_sym_DASH] = ACTIONS(620),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(592),
    [anon_sym_void] = ACTIONS(620),
    [anon_sym_delete] = ACTIONS(620),
    [anon_sym_PLUS_PLUS] = ACTIONS(622),
    [anon_sym_DASH_DASH] = ACTIONS(622),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(624),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1699),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(580),
    [anon_sym_readonly] = ACTIONS(580),
    [anon_sym_get] = ACTIONS(580),
    [anon_sym_set] = ACTIONS(580),
    [anon_sym_declare] = ACTIONS(580),
    [anon_sym_public] = ACTIONS(580),
    [anon_sym_private] = ACTIONS(580),
    [anon_sym_protected] = ACTIONS(580),
    [anon_sym_override] = ACTIONS(580),
    [anon_sym_module] = ACTIONS(580),
    [anon_sym_any] = ACTIONS(580),
    [anon_sym_number] = ACTIONS(580),
    [anon_sym_boolean] = ACTIONS(580),
    [anon_sym_string] = ACTIONS(580),
    [anon_sym_symbol] = ACTIONS(580),
    [anon_sym_object] = ACTIONS(580),
    [sym_html_comment] = ACTIONS(5),
  },
  [217] = {
    [ts_builtin_sym_end] = ACTIONS(1733),
    [sym_identifier] = ACTIONS(1735),
    [anon_sym_export] = ACTIONS(1735),
    [anon_sym_STAR] = ACTIONS(1737),
    [anon_sym_default] = ACTIONS(1735),
    [anon_sym_type] = ACTIONS(1735),
    [anon_sym_as] = ACTIONS(1737),
    [anon_sym_namespace] = ACTIONS(1735),
    [anon_sym_LBRACE] = ACTIONS(1733),
    [anon_sym_COMMA] = ACTIONS(1739),
    [anon_sym_RBRACE] = ACTIONS(1733),
    [anon_sym_typeof] = ACTIONS(1735),
    [anon_sym_import] = ACTIONS(1735),
    [anon_sym_with] = ACTIONS(1735),
    [anon_sym_var] = ACTIONS(1735),
    [anon_sym_let] = ACTIONS(1735),
    [anon_sym_const] = ACTIONS(1735),
    [anon_sym_BANG] = ACTIONS(1735),
    [anon_sym_else] = ACTIONS(1735),
    [anon_sym_if] = ACTIONS(1735),
    [anon_sym_switch] = ACTIONS(1735),
    [anon_sym_for] = ACTIONS(1735),
    [anon_sym_LPAREN] = ACTIONS(1733),
    [anon_sym_SEMI] = ACTIONS(1733),
    [anon_sym_await] = ACTIONS(1735),
    [anon_sym_in] = ACTIONS(1737),
    [anon_sym_while] = ACTIONS(1735),
    [anon_sym_do] = ACTIONS(1735),
    [anon_sym_try] = ACTIONS(1735),
    [anon_sym_break] = ACTIONS(1735),
    [anon_sym_continue] = ACTIONS(1735),
    [anon_sym_debugger] = ACTIONS(1735),
    [anon_sym_return] = ACTIONS(1735),
    [anon_sym_throw] = ACTIONS(1735),
    [anon_sym_case] = ACTIONS(1735),
    [anon_sym_yield] = ACTIONS(1735),
    [anon_sym_LBRACK] = ACTIONS(1733),
    [sym_glimmer_opening_tag] = ACTIONS(1733),
    [anon_sym_GT] = ACTIONS(1737),
    [anon_sym_DOT] = ACTIONS(1737),
    [anon_sym_DQUOTE] = ACTIONS(1733),
    [anon_sym_SQUOTE] = ACTIONS(1733),
    [anon_sym_class] = ACTIONS(1735),
    [anon_sym_async] = ACTIONS(1735),
    [anon_sym_function] = ACTIONS(1735),
    [anon_sym_QMARK_DOT] = ACTIONS(1739),
    [anon_sym_new] = ACTIONS(1735),
    [anon_sym_using] = ACTIONS(1735),
    [anon_sym_AMP_AMP] = ACTIONS(1739),
    [anon_sym_PIPE_PIPE] = ACTIONS(1739),
    [anon_sym_GT_GT] = ACTIONS(1737),
    [anon_sym_GT_GT_GT] = ACTIONS(1739),
    [anon_sym_LT_LT] = ACTIONS(1739),
    [anon_sym_AMP] = ACTIONS(1737),
    [anon_sym_CARET] = ACTIONS(1739),
    [anon_sym_PIPE] = ACTIONS(1737),
    [anon_sym_PLUS] = ACTIONS(1735),
    [anon_sym_DASH] = ACTIONS(1735),
    [anon_sym_SLASH] = ACTIONS(1735),
    [anon_sym_PERCENT] = ACTIONS(1739),
    [anon_sym_STAR_STAR] = ACTIONS(1739),
    [anon_sym_LT] = ACTIONS(1735),
    [anon_sym_LT_EQ] = ACTIONS(1739),
    [anon_sym_EQ_EQ] = ACTIONS(1737),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1739),
    [anon_sym_BANG_EQ] = ACTIONS(1737),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1739),
    [anon_sym_GT_EQ] = ACTIONS(1739),
    [anon_sym_QMARK_QMARK] = ACTIONS(1739),
    [anon_sym_instanceof] = ACTIONS(1737),
    [anon_sym_TILDE] = ACTIONS(1733),
    [anon_sym_void] = ACTIONS(1735),
    [anon_sym_delete] = ACTIONS(1735),
    [anon_sym_PLUS_PLUS] = ACTIONS(1733),
    [anon_sym_DASH_DASH] = ACTIONS(1733),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1733),
    [sym_number] = ACTIONS(1733),
    [sym_private_property_identifier] = ACTIONS(1733),
    [sym_this] = ACTIONS(1735),
    [sym_super] = ACTIONS(1735),
    [sym_true] = ACTIONS(1735),
    [sym_false] = ACTIONS(1735),
    [sym_null] = ACTIONS(1735),
    [sym_undefined] = ACTIONS(1735),
    [anon_sym_AT] = ACTIONS(1733),
    [anon_sym_static] = ACTIONS(1735),
    [anon_sym_readonly] = ACTIONS(1735),
    [anon_sym_get] = ACTIONS(1735),
    [anon_sym_set] = ACTIONS(1735),
    [anon_sym_declare] = ACTIONS(1735),
    [anon_sym_public] = ACTIONS(1735),
    [anon_sym_private] = ACTIONS(1735),
    [anon_sym_protected] = ACTIONS(1735),
    [anon_sym_override] = ACTIONS(1735),
    [anon_sym_module] = ACTIONS(1735),
    [anon_sym_any] = ACTIONS(1735),
    [anon_sym_number] = ACTIONS(1735),
    [anon_sym_boolean] = ACTIONS(1735),
    [anon_sym_string] = ACTIONS(1735),
    [anon_sym_symbol] = ACTIONS(1735),
    [anon_sym_object] = ACTIONS(1735),
    [anon_sym_abstract] = ACTIONS(1735),
    [anon_sym_satisfies] = ACTIONS(1737),
    [anon_sym_interface] = ACTIONS(1735),
    [anon_sym_enum] = ACTIONS(1735),
    [sym__automatic_semicolon] = ACTIONS(1741),
    [sym__ternary_qmark] = ACTIONS(1739),
    [sym_html_comment] = ACTIONS(5),
  },
  [218] = {
    [ts_builtin_sym_end] = ACTIONS(1743),
    [sym_identifier] = ACTIONS(1745),
    [anon_sym_export] = ACTIONS(1745),
    [anon_sym_STAR] = ACTIONS(1747),
    [anon_sym_default] = ACTIONS(1745),
    [anon_sym_type] = ACTIONS(1745),
    [anon_sym_as] = ACTIONS(1747),
    [anon_sym_namespace] = ACTIONS(1745),
    [anon_sym_LBRACE] = ACTIONS(1743),
    [anon_sym_COMMA] = ACTIONS(1749),
    [anon_sym_RBRACE] = ACTIONS(1743),
    [anon_sym_typeof] = ACTIONS(1745),
    [anon_sym_import] = ACTIONS(1745),
    [anon_sym_with] = ACTIONS(1745),
    [anon_sym_var] = ACTIONS(1745),
    [anon_sym_let] = ACTIONS(1745),
    [anon_sym_const] = ACTIONS(1745),
    [anon_sym_BANG] = ACTIONS(1745),
    [anon_sym_else] = ACTIONS(1745),
    [anon_sym_if] = ACTIONS(1745),
    [anon_sym_switch] = ACTIONS(1745),
    [anon_sym_for] = ACTIONS(1745),
    [anon_sym_LPAREN] = ACTIONS(1743),
    [anon_sym_SEMI] = ACTIONS(1743),
    [anon_sym_await] = ACTIONS(1745),
    [anon_sym_in] = ACTIONS(1747),
    [anon_sym_while] = ACTIONS(1745),
    [anon_sym_do] = ACTIONS(1745),
    [anon_sym_try] = ACTIONS(1745),
    [anon_sym_break] = ACTIONS(1745),
    [anon_sym_continue] = ACTIONS(1745),
    [anon_sym_debugger] = ACTIONS(1745),
    [anon_sym_return] = ACTIONS(1745),
    [anon_sym_throw] = ACTIONS(1745),
    [anon_sym_case] = ACTIONS(1745),
    [anon_sym_yield] = ACTIONS(1745),
    [anon_sym_LBRACK] = ACTIONS(1743),
    [sym_glimmer_opening_tag] = ACTIONS(1743),
    [anon_sym_GT] = ACTIONS(1747),
    [anon_sym_DOT] = ACTIONS(1747),
    [anon_sym_DQUOTE] = ACTIONS(1743),
    [anon_sym_SQUOTE] = ACTIONS(1743),
    [anon_sym_class] = ACTIONS(1745),
    [anon_sym_async] = ACTIONS(1745),
    [anon_sym_function] = ACTIONS(1745),
    [anon_sym_QMARK_DOT] = ACTIONS(1749),
    [anon_sym_new] = ACTIONS(1745),
    [anon_sym_using] = ACTIONS(1745),
    [anon_sym_AMP_AMP] = ACTIONS(1749),
    [anon_sym_PIPE_PIPE] = ACTIONS(1749),
    [anon_sym_GT_GT] = ACTIONS(1747),
    [anon_sym_GT_GT_GT] = ACTIONS(1749),
    [anon_sym_LT_LT] = ACTIONS(1749),
    [anon_sym_AMP] = ACTIONS(1747),
    [anon_sym_CARET] = ACTIONS(1749),
    [anon_sym_PIPE] = ACTIONS(1747),
    [anon_sym_PLUS] = ACTIONS(1745),
    [anon_sym_DASH] = ACTIONS(1745),
    [anon_sym_SLASH] = ACTIONS(1745),
    [anon_sym_PERCENT] = ACTIONS(1749),
    [anon_sym_STAR_STAR] = ACTIONS(1749),
    [anon_sym_LT] = ACTIONS(1745),
    [anon_sym_LT_EQ] = ACTIONS(1749),
    [anon_sym_EQ_EQ] = ACTIONS(1747),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1749),
    [anon_sym_BANG_EQ] = ACTIONS(1747),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1749),
    [anon_sym_GT_EQ] = ACTIONS(1749),
    [anon_sym_QMARK_QMARK] = ACTIONS(1749),
    [anon_sym_instanceof] = ACTIONS(1747),
    [anon_sym_TILDE] = ACTIONS(1743),
    [anon_sym_void] = ACTIONS(1745),
    [anon_sym_delete] = ACTIONS(1745),
    [anon_sym_PLUS_PLUS] = ACTIONS(1743),
    [anon_sym_DASH_DASH] = ACTIONS(1743),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1743),
    [sym_number] = ACTIONS(1743),
    [sym_private_property_identifier] = ACTIONS(1743),
    [sym_this] = ACTIONS(1745),
    [sym_super] = ACTIONS(1745),
    [sym_true] = ACTIONS(1745),
    [sym_false] = ACTIONS(1745),
    [sym_null] = ACTIONS(1745),
    [sym_undefined] = ACTIONS(1745),
    [anon_sym_AT] = ACTIONS(1743),
    [anon_sym_static] = ACTIONS(1745),
    [anon_sym_readonly] = ACTIONS(1745),
    [anon_sym_get] = ACTIONS(1745),
    [anon_sym_set] = ACTIONS(1745),
    [anon_sym_declare] = ACTIONS(1745),
    [anon_sym_public] = ACTIONS(1745),
    [anon_sym_private] = ACTIONS(1745),
    [anon_sym_protected] = ACTIONS(1745),
    [anon_sym_override] = ACTIONS(1745),
    [anon_sym_module] = ACTIONS(1745),
    [anon_sym_any] = ACTIONS(1745),
    [anon_sym_number] = ACTIONS(1745),
    [anon_sym_boolean] = ACTIONS(1745),
    [anon_sym_string] = ACTIONS(1745),
    [anon_sym_symbol] = ACTIONS(1745),
    [anon_sym_object] = ACTIONS(1745),
    [anon_sym_abstract] = ACTIONS(1745),
    [anon_sym_satisfies] = ACTIONS(1747),
    [anon_sym_interface] = ACTIONS(1745),
    [anon_sym_enum] = ACTIONS(1745),
    [sym__automatic_semicolon] = ACTIONS(1751),
    [sym__ternary_qmark] = ACTIONS(1749),
    [sym_html_comment] = ACTIONS(5),
  },
  [219] = {
    [ts_builtin_sym_end] = ACTIONS(1753),
    [sym_identifier] = ACTIONS(1755),
    [anon_sym_export] = ACTIONS(1755),
    [anon_sym_STAR] = ACTIONS(1757),
    [anon_sym_default] = ACTIONS(1755),
    [anon_sym_type] = ACTIONS(1755),
    [anon_sym_as] = ACTIONS(1757),
    [anon_sym_namespace] = ACTIONS(1755),
    [anon_sym_LBRACE] = ACTIONS(1753),
    [anon_sym_COMMA] = ACTIONS(1759),
    [anon_sym_RBRACE] = ACTIONS(1753),
    [anon_sym_typeof] = ACTIONS(1755),
    [anon_sym_import] = ACTIONS(1755),
    [anon_sym_with] = ACTIONS(1755),
    [anon_sym_var] = ACTIONS(1755),
    [anon_sym_let] = ACTIONS(1755),
    [anon_sym_const] = ACTIONS(1755),
    [anon_sym_BANG] = ACTIONS(1755),
    [anon_sym_else] = ACTIONS(1755),
    [anon_sym_if] = ACTIONS(1755),
    [anon_sym_switch] = ACTIONS(1755),
    [anon_sym_for] = ACTIONS(1755),
    [anon_sym_LPAREN] = ACTIONS(1753),
    [anon_sym_SEMI] = ACTIONS(1753),
    [anon_sym_await] = ACTIONS(1755),
    [anon_sym_in] = ACTIONS(1757),
    [anon_sym_while] = ACTIONS(1755),
    [anon_sym_do] = ACTIONS(1755),
    [anon_sym_try] = ACTIONS(1755),
    [anon_sym_break] = ACTIONS(1755),
    [anon_sym_continue] = ACTIONS(1755),
    [anon_sym_debugger] = ACTIONS(1755),
    [anon_sym_return] = ACTIONS(1755),
    [anon_sym_throw] = ACTIONS(1755),
    [anon_sym_case] = ACTIONS(1755),
    [anon_sym_yield] = ACTIONS(1755),
    [anon_sym_LBRACK] = ACTIONS(1753),
    [sym_glimmer_opening_tag] = ACTIONS(1753),
    [anon_sym_GT] = ACTIONS(1757),
    [anon_sym_DOT] = ACTIONS(1757),
    [anon_sym_DQUOTE] = ACTIONS(1753),
    [anon_sym_SQUOTE] = ACTIONS(1753),
    [anon_sym_class] = ACTIONS(1755),
    [anon_sym_async] = ACTIONS(1755),
    [anon_sym_function] = ACTIONS(1755),
    [anon_sym_QMARK_DOT] = ACTIONS(1759),
    [anon_sym_new] = ACTIONS(1755),
    [anon_sym_using] = ACTIONS(1755),
    [anon_sym_AMP_AMP] = ACTIONS(1759),
    [anon_sym_PIPE_PIPE] = ACTIONS(1759),
    [anon_sym_GT_GT] = ACTIONS(1757),
    [anon_sym_GT_GT_GT] = ACTIONS(1759),
    [anon_sym_LT_LT] = ACTIONS(1759),
    [anon_sym_AMP] = ACTIONS(1757),
    [anon_sym_CARET] = ACTIONS(1759),
    [anon_sym_PIPE] = ACTIONS(1757),
    [anon_sym_PLUS] = ACTIONS(1755),
    [anon_sym_DASH] = ACTIONS(1755),
    [anon_sym_SLASH] = ACTIONS(1755),
    [anon_sym_PERCENT] = ACTIONS(1759),
    [anon_sym_STAR_STAR] = ACTIONS(1759),
    [anon_sym_LT] = ACTIONS(1755),
    [anon_sym_LT_EQ] = ACTIONS(1759),
    [anon_sym_EQ_EQ] = ACTIONS(1757),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1759),
    [anon_sym_BANG_EQ] = ACTIONS(1757),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1759),
    [anon_sym_GT_EQ] = ACTIONS(1759),
    [anon_sym_QMARK_QMARK] = ACTIONS(1759),
    [anon_sym_instanceof] = ACTIONS(1757),
    [anon_sym_TILDE] = ACTIONS(1753),
    [anon_sym_void] = ACTIONS(1755),
    [anon_sym_delete] = ACTIONS(1755),
    [anon_sym_PLUS_PLUS] = ACTIONS(1753),
    [anon_sym_DASH_DASH] = ACTIONS(1753),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1753),
    [sym_number] = ACTIONS(1753),
    [sym_private_property_identifier] = ACTIONS(1753),
    [sym_this] = ACTIONS(1755),
    [sym_super] = ACTIONS(1755),
    [sym_true] = ACTIONS(1755),
    [sym_false] = ACTIONS(1755),
    [sym_null] = ACTIONS(1755),
    [sym_undefined] = ACTIONS(1755),
    [anon_sym_AT] = ACTIONS(1753),
    [anon_sym_static] = ACTIONS(1755),
    [anon_sym_readonly] = ACTIONS(1755),
    [anon_sym_get] = ACTIONS(1755),
    [anon_sym_set] = ACTIONS(1755),
    [anon_sym_declare] = ACTIONS(1755),
    [anon_sym_public] = ACTIONS(1755),
    [anon_sym_private] = ACTIONS(1755),
    [anon_sym_protected] = ACTIONS(1755),
    [anon_sym_override] = ACTIONS(1755),
    [anon_sym_module] = ACTIONS(1755),
    [anon_sym_any] = ACTIONS(1755),
    [anon_sym_number] = ACTIONS(1755),
    [anon_sym_boolean] = ACTIONS(1755),
    [anon_sym_string] = ACTIONS(1755),
    [anon_sym_symbol] = ACTIONS(1755),
    [anon_sym_object] = ACTIONS(1755),
    [anon_sym_abstract] = ACTIONS(1755),
    [anon_sym_satisfies] = ACTIONS(1757),
    [anon_sym_interface] = ACTIONS(1755),
    [anon_sym_enum] = ACTIONS(1755),
    [sym__automatic_semicolon] = ACTIONS(1761),
    [sym__ternary_qmark] = ACTIONS(1759),
    [sym_html_comment] = ACTIONS(5),
  },
  [220] = {
    [ts_builtin_sym_end] = ACTIONS(1763),
    [sym_identifier] = ACTIONS(1765),
    [anon_sym_export] = ACTIONS(1765),
    [anon_sym_STAR] = ACTIONS(1765),
    [anon_sym_default] = ACTIONS(1765),
    [anon_sym_type] = ACTIONS(1765),
    [anon_sym_as] = ACTIONS(1765),
    [anon_sym_namespace] = ACTIONS(1765),
    [anon_sym_LBRACE] = ACTIONS(1763),
    [anon_sym_COMMA] = ACTIONS(1763),
    [anon_sym_RBRACE] = ACTIONS(1763),
    [anon_sym_typeof] = ACTIONS(1765),
    [anon_sym_import] = ACTIONS(1765),
    [anon_sym_with] = ACTIONS(1765),
    [anon_sym_var] = ACTIONS(1765),
    [anon_sym_let] = ACTIONS(1765),
    [anon_sym_const] = ACTIONS(1765),
    [anon_sym_BANG] = ACTIONS(1765),
    [anon_sym_else] = ACTIONS(1765),
    [anon_sym_if] = ACTIONS(1765),
    [anon_sym_switch] = ACTIONS(1765),
    [anon_sym_for] = ACTIONS(1765),
    [anon_sym_LPAREN] = ACTIONS(1763),
    [anon_sym_SEMI] = ACTIONS(1763),
    [anon_sym_await] = ACTIONS(1765),
    [anon_sym_in] = ACTIONS(1765),
    [anon_sym_while] = ACTIONS(1765),
    [anon_sym_do] = ACTIONS(1765),
    [anon_sym_try] = ACTIONS(1765),
    [anon_sym_break] = ACTIONS(1765),
    [anon_sym_continue] = ACTIONS(1765),
    [anon_sym_debugger] = ACTIONS(1765),
    [anon_sym_return] = ACTIONS(1765),
    [anon_sym_throw] = ACTIONS(1765),
    [anon_sym_case] = ACTIONS(1765),
    [anon_sym_yield] = ACTIONS(1765),
    [anon_sym_LBRACK] = ACTIONS(1763),
    [sym_glimmer_opening_tag] = ACTIONS(1763),
    [anon_sym_GT] = ACTIONS(1765),
    [anon_sym_DOT] = ACTIONS(1765),
    [anon_sym_DQUOTE] = ACTIONS(1763),
    [anon_sym_SQUOTE] = ACTIONS(1763),
    [anon_sym_class] = ACTIONS(1765),
    [anon_sym_async] = ACTIONS(1765),
    [anon_sym_function] = ACTIONS(1765),
    [anon_sym_QMARK_DOT] = ACTIONS(1763),
    [anon_sym_new] = ACTIONS(1765),
    [anon_sym_using] = ACTIONS(1765),
    [anon_sym_AMP_AMP] = ACTIONS(1763),
    [anon_sym_PIPE_PIPE] = ACTIONS(1763),
    [anon_sym_GT_GT] = ACTIONS(1765),
    [anon_sym_GT_GT_GT] = ACTIONS(1763),
    [anon_sym_LT_LT] = ACTIONS(1763),
    [anon_sym_AMP] = ACTIONS(1765),
    [anon_sym_CARET] = ACTIONS(1763),
    [anon_sym_PIPE] = ACTIONS(1765),
    [anon_sym_PLUS] = ACTIONS(1765),
    [anon_sym_DASH] = ACTIONS(1765),
    [anon_sym_SLASH] = ACTIONS(1765),
    [anon_sym_PERCENT] = ACTIONS(1763),
    [anon_sym_STAR_STAR] = ACTIONS(1763),
    [anon_sym_LT] = ACTIONS(1765),
    [anon_sym_LT_EQ] = ACTIONS(1763),
    [anon_sym_EQ_EQ] = ACTIONS(1765),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1763),
    [anon_sym_BANG_EQ] = ACTIONS(1765),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1763),
    [anon_sym_GT_EQ] = ACTIONS(1763),
    [anon_sym_QMARK_QMARK] = ACTIONS(1763),
    [anon_sym_instanceof] = ACTIONS(1765),
    [anon_sym_TILDE] = ACTIONS(1763),
    [anon_sym_void] = ACTIONS(1765),
    [anon_sym_delete] = ACTIONS(1765),
    [anon_sym_PLUS_PLUS] = ACTIONS(1763),
    [anon_sym_DASH_DASH] = ACTIONS(1763),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1763),
    [sym_number] = ACTIONS(1763),
    [sym_private_property_identifier] = ACTIONS(1763),
    [sym_this] = ACTIONS(1765),
    [sym_super] = ACTIONS(1765),
    [sym_true] = ACTIONS(1765),
    [sym_false] = ACTIONS(1765),
    [sym_null] = ACTIONS(1765),
    [sym_undefined] = ACTIONS(1765),
    [anon_sym_AT] = ACTIONS(1763),
    [anon_sym_static] = ACTIONS(1765),
    [anon_sym_readonly] = ACTIONS(1765),
    [anon_sym_get] = ACTIONS(1765),
    [anon_sym_set] = ACTIONS(1765),
    [anon_sym_declare] = ACTIONS(1765),
    [anon_sym_public] = ACTIONS(1765),
    [anon_sym_private] = ACTIONS(1765),
    [anon_sym_protected] = ACTIONS(1765),
    [anon_sym_override] = ACTIONS(1765),
    [anon_sym_module] = ACTIONS(1765),
    [anon_sym_any] = ACTIONS(1765),
    [anon_sym_number] = ACTIONS(1765),
    [anon_sym_boolean] = ACTIONS(1765),
    [anon_sym_string] = ACTIONS(1765),
    [anon_sym_symbol] = ACTIONS(1765),
    [anon_sym_object] = ACTIONS(1765),
    [anon_sym_abstract] = ACTIONS(1765),
    [anon_sym_satisfies] = ACTIONS(1765),
    [anon_sym_interface] = ACTIONS(1765),
    [anon_sym_enum] = ACTIONS(1765),
    [sym__automatic_semicolon] = ACTIONS(1763),
    [sym__ternary_qmark] = ACTIONS(1763),
    [sym_html_comment] = ACTIONS(5),
  },
  [221] = {
    [ts_builtin_sym_end] = ACTIONS(1767),
    [sym_identifier] = ACTIONS(1769),
    [anon_sym_export] = ACTIONS(1769),
    [anon_sym_STAR] = ACTIONS(1771),
    [anon_sym_default] = ACTIONS(1769),
    [anon_sym_type] = ACTIONS(1769),
    [anon_sym_as] = ACTIONS(1771),
    [anon_sym_namespace] = ACTIONS(1769),
    [anon_sym_LBRACE] = ACTIONS(1767),
    [anon_sym_COMMA] = ACTIONS(1773),
    [anon_sym_RBRACE] = ACTIONS(1767),
    [anon_sym_typeof] = ACTIONS(1769),
    [anon_sym_import] = ACTIONS(1769),
    [anon_sym_with] = ACTIONS(1769),
    [anon_sym_var] = ACTIONS(1769),
    [anon_sym_let] = ACTIONS(1769),
    [anon_sym_const] = ACTIONS(1769),
    [anon_sym_BANG] = ACTIONS(1769),
    [anon_sym_else] = ACTIONS(1769),
    [anon_sym_if] = ACTIONS(1769),
    [anon_sym_switch] = ACTIONS(1769),
    [anon_sym_for] = ACTIONS(1769),
    [anon_sym_LPAREN] = ACTIONS(1767),
    [anon_sym_SEMI] = ACTIONS(1767),
    [anon_sym_await] = ACTIONS(1769),
    [anon_sym_in] = ACTIONS(1771),
    [anon_sym_while] = ACTIONS(1769),
    [anon_sym_do] = ACTIONS(1769),
    [anon_sym_try] = ACTIONS(1769),
    [anon_sym_break] = ACTIONS(1769),
    [anon_sym_continue] = ACTIONS(1769),
    [anon_sym_debugger] = ACTIONS(1769),
    [anon_sym_return] = ACTIONS(1769),
    [anon_sym_throw] = ACTIONS(1769),
    [anon_sym_case] = ACTIONS(1769),
    [anon_sym_yield] = ACTIONS(1769),
    [anon_sym_LBRACK] = ACTIONS(1767),
    [sym_glimmer_opening_tag] = ACTIONS(1767),
    [anon_sym_GT] = ACTIONS(1771),
    [anon_sym_DOT] = ACTIONS(1771),
    [anon_sym_DQUOTE] = ACTIONS(1767),
    [anon_sym_SQUOTE] = ACTIONS(1767),
    [anon_sym_class] = ACTIONS(1769),
    [anon_sym_async] = ACTIONS(1769),
    [anon_sym_function] = ACTIONS(1769),
    [anon_sym_QMARK_DOT] = ACTIONS(1773),
    [anon_sym_new] = ACTIONS(1769),
    [anon_sym_using] = ACTIONS(1769),
    [anon_sym_AMP_AMP] = ACTIONS(1773),
    [anon_sym_PIPE_PIPE] = ACTIONS(1773),
    [anon_sym_GT_GT] = ACTIONS(1771),
    [anon_sym_GT_GT_GT] = ACTIONS(1773),
    [anon_sym_LT_LT] = ACTIONS(1773),
    [anon_sym_AMP] = ACTIONS(1771),
    [anon_sym_CARET] = ACTIONS(1773),
    [anon_sym_PIPE] = ACTIONS(1771),
    [anon_sym_PLUS] = ACTIONS(1769),
    [anon_sym_DASH] = ACTIONS(1769),
    [anon_sym_SLASH] = ACTIONS(1769),
    [anon_sym_PERCENT] = ACTIONS(1773),
    [anon_sym_STAR_STAR] = ACTIONS(1773),
    [anon_sym_LT] = ACTIONS(1769),
    [anon_sym_LT_EQ] = ACTIONS(1773),
    [anon_sym_EQ_EQ] = ACTIONS(1771),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1773),
    [anon_sym_BANG_EQ] = ACTIONS(1771),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1773),
    [anon_sym_GT_EQ] = ACTIONS(1773),
    [anon_sym_QMARK_QMARK] = ACTIONS(1773),
    [anon_sym_instanceof] = ACTIONS(1771),
    [anon_sym_TILDE] = ACTIONS(1767),
    [anon_sym_void] = ACTIONS(1769),
    [anon_sym_delete] = ACTIONS(1769),
    [anon_sym_PLUS_PLUS] = ACTIONS(1767),
    [anon_sym_DASH_DASH] = ACTIONS(1767),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1767),
    [sym_number] = ACTIONS(1767),
    [sym_private_property_identifier] = ACTIONS(1767),
    [sym_this] = ACTIONS(1769),
    [sym_super] = ACTIONS(1769),
    [sym_true] = ACTIONS(1769),
    [sym_false] = ACTIONS(1769),
    [sym_null] = ACTIONS(1769),
    [sym_undefined] = ACTIONS(1769),
    [anon_sym_AT] = ACTIONS(1767),
    [anon_sym_static] = ACTIONS(1769),
    [anon_sym_readonly] = ACTIONS(1769),
    [anon_sym_get] = ACTIONS(1769),
    [anon_sym_set] = ACTIONS(1769),
    [anon_sym_declare] = ACTIONS(1769),
    [anon_sym_public] = ACTIONS(1769),
    [anon_sym_private] = ACTIONS(1769),
    [anon_sym_protected] = ACTIONS(1769),
    [anon_sym_override] = ACTIONS(1769),
    [anon_sym_module] = ACTIONS(1769),
    [anon_sym_any] = ACTIONS(1769),
    [anon_sym_number] = ACTIONS(1769),
    [anon_sym_boolean] = ACTIONS(1769),
    [anon_sym_string] = ACTIONS(1769),
    [anon_sym_symbol] = ACTIONS(1769),
    [anon_sym_object] = ACTIONS(1769),
    [anon_sym_abstract] = ACTIONS(1769),
    [anon_sym_satisfies] = ACTIONS(1771),
    [anon_sym_interface] = ACTIONS(1769),
    [anon_sym_enum] = ACTIONS(1769),
    [sym__automatic_semicolon] = ACTIONS(1775),
    [sym__ternary_qmark] = ACTIONS(1773),
    [sym_html_comment] = ACTIONS(5),
  },
  [222] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1324),
    [sym_expression] = STATE(1778),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5710),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5710),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5565),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1324),
    [sym_subscript_expression] = STATE(1324),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(2958),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5710),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1324),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(482),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(1463),
    [anon_sym_export] = ACTIONS(1055),
    [anon_sym_type] = ACTIONS(1055),
    [anon_sym_namespace] = ACTIONS(1057),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_COMMA] = ACTIONS(1777),
    [anon_sym_RBRACE] = ACTIONS(1777),
    [anon_sym_typeof] = ACTIONS(620),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1055),
    [anon_sym_BANG] = ACTIONS(592),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(594),
    [anon_sym_yield] = ACTIONS(596),
    [anon_sym_LBRACK] = ACTIONS(1777),
    [anon_sym_RBRACK] = ACTIONS(1777),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(1777),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1065),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1471),
    [anon_sym_using] = ACTIONS(606),
    [anon_sym_AMP] = ACTIONS(1777),
    [anon_sym_PIPE] = ACTIONS(1777),
    [anon_sym_PLUS] = ACTIONS(620),
    [anon_sym_DASH] = ACTIONS(620),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(592),
    [anon_sym_void] = ACTIONS(620),
    [anon_sym_delete] = ACTIONS(620),
    [anon_sym_PLUS_PLUS] = ACTIONS(622),
    [anon_sym_DASH_DASH] = ACTIONS(622),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(624),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1473),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1055),
    [anon_sym_readonly] = ACTIONS(1055),
    [anon_sym_get] = ACTIONS(1055),
    [anon_sym_set] = ACTIONS(1055),
    [anon_sym_QMARK] = ACTIONS(1777),
    [anon_sym_declare] = ACTIONS(1055),
    [anon_sym_public] = ACTIONS(1055),
    [anon_sym_private] = ACTIONS(1055),
    [anon_sym_protected] = ACTIONS(1055),
    [anon_sym_override] = ACTIONS(1055),
    [anon_sym_module] = ACTIONS(1055),
    [anon_sym_any] = ACTIONS(1055),
    [anon_sym_number] = ACTIONS(1055),
    [anon_sym_boolean] = ACTIONS(1055),
    [anon_sym_string] = ACTIONS(1055),
    [anon_sym_symbol] = ACTIONS(1055),
    [anon_sym_object] = ACTIONS(1055),
    [anon_sym_extends] = ACTIONS(1779),
    [sym_html_comment] = ACTIONS(5),
  },
  [223] = {
    [ts_builtin_sym_end] = ACTIONS(1781),
    [sym_identifier] = ACTIONS(1783),
    [anon_sym_export] = ACTIONS(1783),
    [anon_sym_STAR] = ACTIONS(1785),
    [anon_sym_default] = ACTIONS(1783),
    [anon_sym_type] = ACTIONS(1783),
    [anon_sym_as] = ACTIONS(1785),
    [anon_sym_namespace] = ACTIONS(1783),
    [anon_sym_LBRACE] = ACTIONS(1781),
    [anon_sym_COMMA] = ACTIONS(1787),
    [anon_sym_RBRACE] = ACTIONS(1781),
    [anon_sym_typeof] = ACTIONS(1783),
    [anon_sym_import] = ACTIONS(1783),
    [anon_sym_with] = ACTIONS(1783),
    [anon_sym_var] = ACTIONS(1783),
    [anon_sym_let] = ACTIONS(1783),
    [anon_sym_const] = ACTIONS(1783),
    [anon_sym_BANG] = ACTIONS(1783),
    [anon_sym_else] = ACTIONS(1783),
    [anon_sym_if] = ACTIONS(1783),
    [anon_sym_switch] = ACTIONS(1783),
    [anon_sym_for] = ACTIONS(1783),
    [anon_sym_LPAREN] = ACTIONS(1781),
    [anon_sym_SEMI] = ACTIONS(1781),
    [anon_sym_await] = ACTIONS(1783),
    [anon_sym_in] = ACTIONS(1785),
    [anon_sym_while] = ACTIONS(1783),
    [anon_sym_do] = ACTIONS(1783),
    [anon_sym_try] = ACTIONS(1783),
    [anon_sym_break] = ACTIONS(1783),
    [anon_sym_continue] = ACTIONS(1783),
    [anon_sym_debugger] = ACTIONS(1783),
    [anon_sym_return] = ACTIONS(1783),
    [anon_sym_throw] = ACTIONS(1783),
    [anon_sym_case] = ACTIONS(1783),
    [anon_sym_yield] = ACTIONS(1783),
    [anon_sym_LBRACK] = ACTIONS(1781),
    [sym_glimmer_opening_tag] = ACTIONS(1781),
    [anon_sym_GT] = ACTIONS(1785),
    [anon_sym_DOT] = ACTIONS(1785),
    [anon_sym_DQUOTE] = ACTIONS(1781),
    [anon_sym_SQUOTE] = ACTIONS(1781),
    [anon_sym_class] = ACTIONS(1783),
    [anon_sym_async] = ACTIONS(1783),
    [anon_sym_function] = ACTIONS(1783),
    [anon_sym_QMARK_DOT] = ACTIONS(1787),
    [anon_sym_new] = ACTIONS(1783),
    [anon_sym_using] = ACTIONS(1783),
    [anon_sym_AMP_AMP] = ACTIONS(1787),
    [anon_sym_PIPE_PIPE] = ACTIONS(1787),
    [anon_sym_GT_GT] = ACTIONS(1785),
    [anon_sym_GT_GT_GT] = ACTIONS(1787),
    [anon_sym_LT_LT] = ACTIONS(1787),
    [anon_sym_AMP] = ACTIONS(1785),
    [anon_sym_CARET] = ACTIONS(1787),
    [anon_sym_PIPE] = ACTIONS(1785),
    [anon_sym_PLUS] = ACTIONS(1783),
    [anon_sym_DASH] = ACTIONS(1783),
    [anon_sym_SLASH] = ACTIONS(1783),
    [anon_sym_PERCENT] = ACTIONS(1787),
    [anon_sym_STAR_STAR] = ACTIONS(1787),
    [anon_sym_LT] = ACTIONS(1783),
    [anon_sym_LT_EQ] = ACTIONS(1787),
    [anon_sym_EQ_EQ] = ACTIONS(1785),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1787),
    [anon_sym_BANG_EQ] = ACTIONS(1785),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1787),
    [anon_sym_GT_EQ] = ACTIONS(1787),
    [anon_sym_QMARK_QMARK] = ACTIONS(1787),
    [anon_sym_instanceof] = ACTIONS(1785),
    [anon_sym_TILDE] = ACTIONS(1781),
    [anon_sym_void] = ACTIONS(1783),
    [anon_sym_delete] = ACTIONS(1783),
    [anon_sym_PLUS_PLUS] = ACTIONS(1781),
    [anon_sym_DASH_DASH] = ACTIONS(1781),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1781),
    [sym_number] = ACTIONS(1781),
    [sym_private_property_identifier] = ACTIONS(1781),
    [sym_this] = ACTIONS(1783),
    [sym_super] = ACTIONS(1783),
    [sym_true] = ACTIONS(1783),
    [sym_false] = ACTIONS(1783),
    [sym_null] = ACTIONS(1783),
    [sym_undefined] = ACTIONS(1783),
    [anon_sym_AT] = ACTIONS(1781),
    [anon_sym_static] = ACTIONS(1783),
    [anon_sym_readonly] = ACTIONS(1783),
    [anon_sym_get] = ACTIONS(1783),
    [anon_sym_set] = ACTIONS(1783),
    [anon_sym_declare] = ACTIONS(1783),
    [anon_sym_public] = ACTIONS(1783),
    [anon_sym_private] = ACTIONS(1783),
    [anon_sym_protected] = ACTIONS(1783),
    [anon_sym_override] = ACTIONS(1783),
    [anon_sym_module] = ACTIONS(1783),
    [anon_sym_any] = ACTIONS(1783),
    [anon_sym_number] = ACTIONS(1783),
    [anon_sym_boolean] = ACTIONS(1783),
    [anon_sym_string] = ACTIONS(1783),
    [anon_sym_symbol] = ACTIONS(1783),
    [anon_sym_object] = ACTIONS(1783),
    [anon_sym_abstract] = ACTIONS(1783),
    [anon_sym_satisfies] = ACTIONS(1785),
    [anon_sym_interface] = ACTIONS(1783),
    [anon_sym_enum] = ACTIONS(1783),
    [sym__automatic_semicolon] = ACTIONS(1789),
    [sym__ternary_qmark] = ACTIONS(1787),
    [sym_html_comment] = ACTIONS(5),
  },
  [224] = {
    [ts_builtin_sym_end] = ACTIONS(1791),
    [sym_identifier] = ACTIONS(1793),
    [anon_sym_export] = ACTIONS(1793),
    [anon_sym_STAR] = ACTIONS(1795),
    [anon_sym_default] = ACTIONS(1793),
    [anon_sym_type] = ACTIONS(1793),
    [anon_sym_as] = ACTIONS(1795),
    [anon_sym_namespace] = ACTIONS(1793),
    [anon_sym_LBRACE] = ACTIONS(1791),
    [anon_sym_COMMA] = ACTIONS(1797),
    [anon_sym_RBRACE] = ACTIONS(1791),
    [anon_sym_typeof] = ACTIONS(1793),
    [anon_sym_import] = ACTIONS(1793),
    [anon_sym_with] = ACTIONS(1793),
    [anon_sym_var] = ACTIONS(1793),
    [anon_sym_let] = ACTIONS(1793),
    [anon_sym_const] = ACTIONS(1793),
    [anon_sym_BANG] = ACTIONS(1793),
    [anon_sym_else] = ACTIONS(1793),
    [anon_sym_if] = ACTIONS(1793),
    [anon_sym_switch] = ACTIONS(1793),
    [anon_sym_for] = ACTIONS(1793),
    [anon_sym_LPAREN] = ACTIONS(1791),
    [anon_sym_SEMI] = ACTIONS(1791),
    [anon_sym_await] = ACTIONS(1793),
    [anon_sym_in] = ACTIONS(1795),
    [anon_sym_while] = ACTIONS(1793),
    [anon_sym_do] = ACTIONS(1793),
    [anon_sym_try] = ACTIONS(1793),
    [anon_sym_break] = ACTIONS(1793),
    [anon_sym_continue] = ACTIONS(1793),
    [anon_sym_debugger] = ACTIONS(1793),
    [anon_sym_return] = ACTIONS(1793),
    [anon_sym_throw] = ACTIONS(1793),
    [anon_sym_case] = ACTIONS(1793),
    [anon_sym_yield] = ACTIONS(1793),
    [anon_sym_LBRACK] = ACTIONS(1791),
    [sym_glimmer_opening_tag] = ACTIONS(1791),
    [anon_sym_GT] = ACTIONS(1795),
    [anon_sym_DOT] = ACTIONS(1795),
    [anon_sym_DQUOTE] = ACTIONS(1791),
    [anon_sym_SQUOTE] = ACTIONS(1791),
    [anon_sym_class] = ACTIONS(1793),
    [anon_sym_async] = ACTIONS(1793),
    [anon_sym_function] = ACTIONS(1793),
    [anon_sym_QMARK_DOT] = ACTIONS(1797),
    [anon_sym_new] = ACTIONS(1793),
    [anon_sym_using] = ACTIONS(1793),
    [anon_sym_AMP_AMP] = ACTIONS(1797),
    [anon_sym_PIPE_PIPE] = ACTIONS(1797),
    [anon_sym_GT_GT] = ACTIONS(1795),
    [anon_sym_GT_GT_GT] = ACTIONS(1797),
    [anon_sym_LT_LT] = ACTIONS(1797),
    [anon_sym_AMP] = ACTIONS(1795),
    [anon_sym_CARET] = ACTIONS(1797),
    [anon_sym_PIPE] = ACTIONS(1795),
    [anon_sym_PLUS] = ACTIONS(1793),
    [anon_sym_DASH] = ACTIONS(1793),
    [anon_sym_SLASH] = ACTIONS(1793),
    [anon_sym_PERCENT] = ACTIONS(1797),
    [anon_sym_STAR_STAR] = ACTIONS(1797),
    [anon_sym_LT] = ACTIONS(1793),
    [anon_sym_LT_EQ] = ACTIONS(1797),
    [anon_sym_EQ_EQ] = ACTIONS(1795),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1797),
    [anon_sym_BANG_EQ] = ACTIONS(1795),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1797),
    [anon_sym_GT_EQ] = ACTIONS(1797),
    [anon_sym_QMARK_QMARK] = ACTIONS(1797),
    [anon_sym_instanceof] = ACTIONS(1795),
    [anon_sym_TILDE] = ACTIONS(1791),
    [anon_sym_void] = ACTIONS(1793),
    [anon_sym_delete] = ACTIONS(1793),
    [anon_sym_PLUS_PLUS] = ACTIONS(1791),
    [anon_sym_DASH_DASH] = ACTIONS(1791),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1791),
    [sym_number] = ACTIONS(1791),
    [sym_private_property_identifier] = ACTIONS(1791),
    [sym_this] = ACTIONS(1793),
    [sym_super] = ACTIONS(1793),
    [sym_true] = ACTIONS(1793),
    [sym_false] = ACTIONS(1793),
    [sym_null] = ACTIONS(1793),
    [sym_undefined] = ACTIONS(1793),
    [anon_sym_AT] = ACTIONS(1791),
    [anon_sym_static] = ACTIONS(1793),
    [anon_sym_readonly] = ACTIONS(1793),
    [anon_sym_get] = ACTIONS(1793),
    [anon_sym_set] = ACTIONS(1793),
    [anon_sym_declare] = ACTIONS(1793),
    [anon_sym_public] = ACTIONS(1793),
    [anon_sym_private] = ACTIONS(1793),
    [anon_sym_protected] = ACTIONS(1793),
    [anon_sym_override] = ACTIONS(1793),
    [anon_sym_module] = ACTIONS(1793),
    [anon_sym_any] = ACTIONS(1793),
    [anon_sym_number] = ACTIONS(1793),
    [anon_sym_boolean] = ACTIONS(1793),
    [anon_sym_string] = ACTIONS(1793),
    [anon_sym_symbol] = ACTIONS(1793),
    [anon_sym_object] = ACTIONS(1793),
    [anon_sym_abstract] = ACTIONS(1793),
    [anon_sym_satisfies] = ACTIONS(1795),
    [anon_sym_interface] = ACTIONS(1793),
    [anon_sym_enum] = ACTIONS(1793),
    [sym__automatic_semicolon] = ACTIONS(1799),
    [sym__ternary_qmark] = ACTIONS(1797),
    [sym_html_comment] = ACTIONS(5),
  },
  [225] = {
    [ts_builtin_sym_end] = ACTIONS(1801),
    [sym_identifier] = ACTIONS(1803),
    [anon_sym_export] = ACTIONS(1803),
    [anon_sym_STAR] = ACTIONS(1803),
    [anon_sym_default] = ACTIONS(1803),
    [anon_sym_type] = ACTIONS(1803),
    [anon_sym_as] = ACTIONS(1803),
    [anon_sym_namespace] = ACTIONS(1803),
    [anon_sym_LBRACE] = ACTIONS(1801),
    [anon_sym_COMMA] = ACTIONS(1801),
    [anon_sym_RBRACE] = ACTIONS(1801),
    [anon_sym_typeof] = ACTIONS(1803),
    [anon_sym_import] = ACTIONS(1803),
    [anon_sym_with] = ACTIONS(1803),
    [anon_sym_var] = ACTIONS(1803),
    [anon_sym_let] = ACTIONS(1803),
    [anon_sym_const] = ACTIONS(1803),
    [anon_sym_BANG] = ACTIONS(1803),
    [anon_sym_else] = ACTIONS(1803),
    [anon_sym_if] = ACTIONS(1803),
    [anon_sym_switch] = ACTIONS(1803),
    [anon_sym_for] = ACTIONS(1803),
    [anon_sym_LPAREN] = ACTIONS(1801),
    [anon_sym_SEMI] = ACTIONS(1801),
    [anon_sym_await] = ACTIONS(1803),
    [anon_sym_in] = ACTIONS(1803),
    [anon_sym_while] = ACTIONS(1803),
    [anon_sym_do] = ACTIONS(1803),
    [anon_sym_try] = ACTIONS(1803),
    [anon_sym_break] = ACTIONS(1803),
    [anon_sym_continue] = ACTIONS(1803),
    [anon_sym_debugger] = ACTIONS(1803),
    [anon_sym_return] = ACTIONS(1803),
    [anon_sym_throw] = ACTIONS(1803),
    [anon_sym_case] = ACTIONS(1803),
    [anon_sym_yield] = ACTIONS(1803),
    [anon_sym_LBRACK] = ACTIONS(1801),
    [sym_glimmer_opening_tag] = ACTIONS(1801),
    [anon_sym_GT] = ACTIONS(1803),
    [anon_sym_DOT] = ACTIONS(1803),
    [anon_sym_DQUOTE] = ACTIONS(1801),
    [anon_sym_SQUOTE] = ACTIONS(1801),
    [anon_sym_class] = ACTIONS(1803),
    [anon_sym_async] = ACTIONS(1803),
    [anon_sym_function] = ACTIONS(1803),
    [anon_sym_QMARK_DOT] = ACTIONS(1801),
    [anon_sym_new] = ACTIONS(1803),
    [anon_sym_using] = ACTIONS(1803),
    [anon_sym_AMP_AMP] = ACTIONS(1801),
    [anon_sym_PIPE_PIPE] = ACTIONS(1801),
    [anon_sym_GT_GT] = ACTIONS(1803),
    [anon_sym_GT_GT_GT] = ACTIONS(1801),
    [anon_sym_LT_LT] = ACTIONS(1801),
    [anon_sym_AMP] = ACTIONS(1803),
    [anon_sym_CARET] = ACTIONS(1801),
    [anon_sym_PIPE] = ACTIONS(1803),
    [anon_sym_PLUS] = ACTIONS(1803),
    [anon_sym_DASH] = ACTIONS(1803),
    [anon_sym_SLASH] = ACTIONS(1803),
    [anon_sym_PERCENT] = ACTIONS(1801),
    [anon_sym_STAR_STAR] = ACTIONS(1801),
    [anon_sym_LT] = ACTIONS(1803),
    [anon_sym_LT_EQ] = ACTIONS(1801),
    [anon_sym_EQ_EQ] = ACTIONS(1803),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1801),
    [anon_sym_BANG_EQ] = ACTIONS(1803),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1801),
    [anon_sym_GT_EQ] = ACTIONS(1801),
    [anon_sym_QMARK_QMARK] = ACTIONS(1801),
    [anon_sym_instanceof] = ACTIONS(1803),
    [anon_sym_TILDE] = ACTIONS(1801),
    [anon_sym_void] = ACTIONS(1803),
    [anon_sym_delete] = ACTIONS(1803),
    [anon_sym_PLUS_PLUS] = ACTIONS(1801),
    [anon_sym_DASH_DASH] = ACTIONS(1801),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1801),
    [sym_number] = ACTIONS(1801),
    [sym_private_property_identifier] = ACTIONS(1801),
    [sym_this] = ACTIONS(1803),
    [sym_super] = ACTIONS(1803),
    [sym_true] = ACTIONS(1803),
    [sym_false] = ACTIONS(1803),
    [sym_null] = ACTIONS(1803),
    [sym_undefined] = ACTIONS(1803),
    [anon_sym_AT] = ACTIONS(1801),
    [anon_sym_static] = ACTIONS(1803),
    [anon_sym_readonly] = ACTIONS(1803),
    [anon_sym_get] = ACTIONS(1803),
    [anon_sym_set] = ACTIONS(1803),
    [anon_sym_declare] = ACTIONS(1803),
    [anon_sym_public] = ACTIONS(1803),
    [anon_sym_private] = ACTIONS(1803),
    [anon_sym_protected] = ACTIONS(1803),
    [anon_sym_override] = ACTIONS(1803),
    [anon_sym_module] = ACTIONS(1803),
    [anon_sym_any] = ACTIONS(1803),
    [anon_sym_number] = ACTIONS(1803),
    [anon_sym_boolean] = ACTIONS(1803),
    [anon_sym_string] = ACTIONS(1803),
    [anon_sym_symbol] = ACTIONS(1803),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_abstract] = ACTIONS(1803),
    [anon_sym_satisfies] = ACTIONS(1803),
    [anon_sym_interface] = ACTIONS(1803),
    [anon_sym_enum] = ACTIONS(1803),
    [sym__automatic_semicolon] = ACTIONS(1801),
    [sym__ternary_qmark] = ACTIONS(1801),
    [sym_html_comment] = ACTIONS(5),
  },
  [226] = {
    [ts_builtin_sym_end] = ACTIONS(1801),
    [sym_identifier] = ACTIONS(1803),
    [anon_sym_export] = ACTIONS(1803),
    [anon_sym_STAR] = ACTIONS(1803),
    [anon_sym_default] = ACTIONS(1803),
    [anon_sym_type] = ACTIONS(1803),
    [anon_sym_as] = ACTIONS(1803),
    [anon_sym_namespace] = ACTIONS(1803),
    [anon_sym_LBRACE] = ACTIONS(1801),
    [anon_sym_COMMA] = ACTIONS(1801),
    [anon_sym_RBRACE] = ACTIONS(1801),
    [anon_sym_typeof] = ACTIONS(1803),
    [anon_sym_import] = ACTIONS(1803),
    [anon_sym_with] = ACTIONS(1803),
    [anon_sym_var] = ACTIONS(1803),
    [anon_sym_let] = ACTIONS(1803),
    [anon_sym_const] = ACTIONS(1803),
    [anon_sym_BANG] = ACTIONS(1803),
    [anon_sym_else] = ACTIONS(1803),
    [anon_sym_if] = ACTIONS(1803),
    [anon_sym_switch] = ACTIONS(1803),
    [anon_sym_for] = ACTIONS(1803),
    [anon_sym_LPAREN] = ACTIONS(1801),
    [anon_sym_SEMI] = ACTIONS(1801),
    [anon_sym_await] = ACTIONS(1803),
    [anon_sym_in] = ACTIONS(1803),
    [anon_sym_while] = ACTIONS(1803),
    [anon_sym_do] = ACTIONS(1803),
    [anon_sym_try] = ACTIONS(1803),
    [anon_sym_break] = ACTIONS(1803),
    [anon_sym_continue] = ACTIONS(1803),
    [anon_sym_debugger] = ACTIONS(1803),
    [anon_sym_return] = ACTIONS(1803),
    [anon_sym_throw] = ACTIONS(1803),
    [anon_sym_case] = ACTIONS(1803),
    [anon_sym_yield] = ACTIONS(1803),
    [anon_sym_LBRACK] = ACTIONS(1801),
    [sym_glimmer_opening_tag] = ACTIONS(1801),
    [anon_sym_GT] = ACTIONS(1803),
    [anon_sym_DOT] = ACTIONS(1803),
    [anon_sym_DQUOTE] = ACTIONS(1801),
    [anon_sym_SQUOTE] = ACTIONS(1801),
    [anon_sym_class] = ACTIONS(1803),
    [anon_sym_async] = ACTIONS(1803),
    [anon_sym_function] = ACTIONS(1803),
    [anon_sym_QMARK_DOT] = ACTIONS(1801),
    [anon_sym_new] = ACTIONS(1803),
    [anon_sym_using] = ACTIONS(1803),
    [anon_sym_AMP_AMP] = ACTIONS(1801),
    [anon_sym_PIPE_PIPE] = ACTIONS(1801),
    [anon_sym_GT_GT] = ACTIONS(1803),
    [anon_sym_GT_GT_GT] = ACTIONS(1801),
    [anon_sym_LT_LT] = ACTIONS(1801),
    [anon_sym_AMP] = ACTIONS(1803),
    [anon_sym_CARET] = ACTIONS(1801),
    [anon_sym_PIPE] = ACTIONS(1803),
    [anon_sym_PLUS] = ACTIONS(1803),
    [anon_sym_DASH] = ACTIONS(1803),
    [anon_sym_SLASH] = ACTIONS(1803),
    [anon_sym_PERCENT] = ACTIONS(1801),
    [anon_sym_STAR_STAR] = ACTIONS(1801),
    [anon_sym_LT] = ACTIONS(1803),
    [anon_sym_LT_EQ] = ACTIONS(1801),
    [anon_sym_EQ_EQ] = ACTIONS(1803),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1801),
    [anon_sym_BANG_EQ] = ACTIONS(1803),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1801),
    [anon_sym_GT_EQ] = ACTIONS(1801),
    [anon_sym_QMARK_QMARK] = ACTIONS(1801),
    [anon_sym_instanceof] = ACTIONS(1803),
    [anon_sym_TILDE] = ACTIONS(1801),
    [anon_sym_void] = ACTIONS(1803),
    [anon_sym_delete] = ACTIONS(1803),
    [anon_sym_PLUS_PLUS] = ACTIONS(1801),
    [anon_sym_DASH_DASH] = ACTIONS(1801),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1801),
    [sym_number] = ACTIONS(1801),
    [sym_private_property_identifier] = ACTIONS(1801),
    [sym_this] = ACTIONS(1803),
    [sym_super] = ACTIONS(1803),
    [sym_true] = ACTIONS(1803),
    [sym_false] = ACTIONS(1803),
    [sym_null] = ACTIONS(1803),
    [sym_undefined] = ACTIONS(1803),
    [anon_sym_AT] = ACTIONS(1801),
    [anon_sym_static] = ACTIONS(1803),
    [anon_sym_readonly] = ACTIONS(1803),
    [anon_sym_get] = ACTIONS(1803),
    [anon_sym_set] = ACTIONS(1803),
    [anon_sym_declare] = ACTIONS(1803),
    [anon_sym_public] = ACTIONS(1803),
    [anon_sym_private] = ACTIONS(1803),
    [anon_sym_protected] = ACTIONS(1803),
    [anon_sym_override] = ACTIONS(1803),
    [anon_sym_module] = ACTIONS(1803),
    [anon_sym_any] = ACTIONS(1803),
    [anon_sym_number] = ACTIONS(1803),
    [anon_sym_boolean] = ACTIONS(1803),
    [anon_sym_string] = ACTIONS(1803),
    [anon_sym_symbol] = ACTIONS(1803),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_abstract] = ACTIONS(1803),
    [anon_sym_satisfies] = ACTIONS(1803),
    [anon_sym_interface] = ACTIONS(1803),
    [anon_sym_enum] = ACTIONS(1803),
    [sym__automatic_semicolon] = ACTIONS(1805),
    [sym__ternary_qmark] = ACTIONS(1801),
    [sym_html_comment] = ACTIONS(5),
  },
  [227] = {
    [ts_builtin_sym_end] = ACTIONS(1807),
    [sym_identifier] = ACTIONS(1809),
    [anon_sym_export] = ACTIONS(1809),
    [anon_sym_STAR] = ACTIONS(1809),
    [anon_sym_default] = ACTIONS(1809),
    [anon_sym_type] = ACTIONS(1809),
    [anon_sym_as] = ACTIONS(1809),
    [anon_sym_namespace] = ACTIONS(1809),
    [anon_sym_LBRACE] = ACTIONS(1807),
    [anon_sym_COMMA] = ACTIONS(1807),
    [anon_sym_RBRACE] = ACTIONS(1807),
    [anon_sym_typeof] = ACTIONS(1809),
    [anon_sym_import] = ACTIONS(1809),
    [anon_sym_with] = ACTIONS(1809),
    [anon_sym_var] = ACTIONS(1809),
    [anon_sym_let] = ACTIONS(1809),
    [anon_sym_const] = ACTIONS(1809),
    [anon_sym_BANG] = ACTIONS(1809),
    [anon_sym_else] = ACTIONS(1809),
    [anon_sym_if] = ACTIONS(1809),
    [anon_sym_switch] = ACTIONS(1809),
    [anon_sym_for] = ACTIONS(1809),
    [anon_sym_LPAREN] = ACTIONS(1807),
    [anon_sym_SEMI] = ACTIONS(1807),
    [anon_sym_await] = ACTIONS(1809),
    [anon_sym_in] = ACTIONS(1809),
    [anon_sym_while] = ACTIONS(1809),
    [anon_sym_do] = ACTIONS(1809),
    [anon_sym_try] = ACTIONS(1809),
    [anon_sym_break] = ACTIONS(1809),
    [anon_sym_continue] = ACTIONS(1809),
    [anon_sym_debugger] = ACTIONS(1809),
    [anon_sym_return] = ACTIONS(1809),
    [anon_sym_throw] = ACTIONS(1809),
    [anon_sym_case] = ACTIONS(1809),
    [anon_sym_yield] = ACTIONS(1809),
    [anon_sym_LBRACK] = ACTIONS(1807),
    [sym_glimmer_opening_tag] = ACTIONS(1807),
    [anon_sym_GT] = ACTIONS(1809),
    [anon_sym_DOT] = ACTIONS(1809),
    [anon_sym_DQUOTE] = ACTIONS(1807),
    [anon_sym_SQUOTE] = ACTIONS(1807),
    [anon_sym_class] = ACTIONS(1809),
    [anon_sym_async] = ACTIONS(1809),
    [anon_sym_function] = ACTIONS(1809),
    [anon_sym_QMARK_DOT] = ACTIONS(1807),
    [anon_sym_new] = ACTIONS(1809),
    [anon_sym_using] = ACTIONS(1809),
    [anon_sym_AMP_AMP] = ACTIONS(1807),
    [anon_sym_PIPE_PIPE] = ACTIONS(1807),
    [anon_sym_GT_GT] = ACTIONS(1809),
    [anon_sym_GT_GT_GT] = ACTIONS(1807),
    [anon_sym_LT_LT] = ACTIONS(1807),
    [anon_sym_AMP] = ACTIONS(1809),
    [anon_sym_CARET] = ACTIONS(1807),
    [anon_sym_PIPE] = ACTIONS(1809),
    [anon_sym_PLUS] = ACTIONS(1809),
    [anon_sym_DASH] = ACTIONS(1809),
    [anon_sym_SLASH] = ACTIONS(1809),
    [anon_sym_PERCENT] = ACTIONS(1807),
    [anon_sym_STAR_STAR] = ACTIONS(1807),
    [anon_sym_LT] = ACTIONS(1809),
    [anon_sym_LT_EQ] = ACTIONS(1807),
    [anon_sym_EQ_EQ] = ACTIONS(1809),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1807),
    [anon_sym_BANG_EQ] = ACTIONS(1809),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1807),
    [anon_sym_GT_EQ] = ACTIONS(1807),
    [anon_sym_QMARK_QMARK] = ACTIONS(1807),
    [anon_sym_instanceof] = ACTIONS(1809),
    [anon_sym_TILDE] = ACTIONS(1807),
    [anon_sym_void] = ACTIONS(1809),
    [anon_sym_delete] = ACTIONS(1809),
    [anon_sym_PLUS_PLUS] = ACTIONS(1807),
    [anon_sym_DASH_DASH] = ACTIONS(1807),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1807),
    [sym_number] = ACTIONS(1807),
    [sym_private_property_identifier] = ACTIONS(1807),
    [sym_this] = ACTIONS(1809),
    [sym_super] = ACTIONS(1809),
    [sym_true] = ACTIONS(1809),
    [sym_false] = ACTIONS(1809),
    [sym_null] = ACTIONS(1809),
    [sym_undefined] = ACTIONS(1809),
    [anon_sym_AT] = ACTIONS(1807),
    [anon_sym_static] = ACTIONS(1809),
    [anon_sym_readonly] = ACTIONS(1809),
    [anon_sym_get] = ACTIONS(1809),
    [anon_sym_set] = ACTIONS(1809),
    [anon_sym_declare] = ACTIONS(1809),
    [anon_sym_public] = ACTIONS(1809),
    [anon_sym_private] = ACTIONS(1809),
    [anon_sym_protected] = ACTIONS(1809),
    [anon_sym_override] = ACTIONS(1809),
    [anon_sym_module] = ACTIONS(1809),
    [anon_sym_any] = ACTIONS(1809),
    [anon_sym_number] = ACTIONS(1809),
    [anon_sym_boolean] = ACTIONS(1809),
    [anon_sym_string] = ACTIONS(1809),
    [anon_sym_symbol] = ACTIONS(1809),
    [anon_sym_object] = ACTIONS(1809),
    [anon_sym_abstract] = ACTIONS(1809),
    [anon_sym_satisfies] = ACTIONS(1809),
    [anon_sym_interface] = ACTIONS(1809),
    [anon_sym_enum] = ACTIONS(1809),
    [sym__automatic_semicolon] = ACTIONS(1807),
    [sym__ternary_qmark] = ACTIONS(1807),
    [sym_html_comment] = ACTIONS(5),
  },
  [228] = {
    [ts_builtin_sym_end] = ACTIONS(1811),
    [sym_identifier] = ACTIONS(1813),
    [anon_sym_export] = ACTIONS(1813),
    [anon_sym_STAR] = ACTIONS(1815),
    [anon_sym_default] = ACTIONS(1813),
    [anon_sym_type] = ACTIONS(1813),
    [anon_sym_as] = ACTIONS(1815),
    [anon_sym_namespace] = ACTIONS(1813),
    [anon_sym_LBRACE] = ACTIONS(1811),
    [anon_sym_COMMA] = ACTIONS(1817),
    [anon_sym_RBRACE] = ACTIONS(1811),
    [anon_sym_typeof] = ACTIONS(1813),
    [anon_sym_import] = ACTIONS(1813),
    [anon_sym_with] = ACTIONS(1813),
    [anon_sym_var] = ACTIONS(1813),
    [anon_sym_let] = ACTIONS(1813),
    [anon_sym_const] = ACTIONS(1813),
    [anon_sym_BANG] = ACTIONS(1813),
    [anon_sym_else] = ACTIONS(1813),
    [anon_sym_if] = ACTIONS(1813),
    [anon_sym_switch] = ACTIONS(1813),
    [anon_sym_for] = ACTIONS(1813),
    [anon_sym_LPAREN] = ACTIONS(1811),
    [anon_sym_SEMI] = ACTIONS(1811),
    [anon_sym_await] = ACTIONS(1813),
    [anon_sym_in] = ACTIONS(1815),
    [anon_sym_while] = ACTIONS(1813),
    [anon_sym_do] = ACTIONS(1813),
    [anon_sym_try] = ACTIONS(1813),
    [anon_sym_break] = ACTIONS(1813),
    [anon_sym_continue] = ACTIONS(1813),
    [anon_sym_debugger] = ACTIONS(1813),
    [anon_sym_return] = ACTIONS(1813),
    [anon_sym_throw] = ACTIONS(1813),
    [anon_sym_case] = ACTIONS(1813),
    [anon_sym_yield] = ACTIONS(1813),
    [anon_sym_LBRACK] = ACTIONS(1811),
    [sym_glimmer_opening_tag] = ACTIONS(1811),
    [anon_sym_GT] = ACTIONS(1815),
    [anon_sym_DOT] = ACTIONS(1815),
    [anon_sym_DQUOTE] = ACTIONS(1811),
    [anon_sym_SQUOTE] = ACTIONS(1811),
    [anon_sym_class] = ACTIONS(1813),
    [anon_sym_async] = ACTIONS(1813),
    [anon_sym_function] = ACTIONS(1813),
    [anon_sym_QMARK_DOT] = ACTIONS(1817),
    [anon_sym_new] = ACTIONS(1813),
    [anon_sym_using] = ACTIONS(1813),
    [anon_sym_AMP_AMP] = ACTIONS(1817),
    [anon_sym_PIPE_PIPE] = ACTIONS(1817),
    [anon_sym_GT_GT] = ACTIONS(1815),
    [anon_sym_GT_GT_GT] = ACTIONS(1817),
    [anon_sym_LT_LT] = ACTIONS(1817),
    [anon_sym_AMP] = ACTIONS(1815),
    [anon_sym_CARET] = ACTIONS(1817),
    [anon_sym_PIPE] = ACTIONS(1815),
    [anon_sym_PLUS] = ACTIONS(1813),
    [anon_sym_DASH] = ACTIONS(1813),
    [anon_sym_SLASH] = ACTIONS(1813),
    [anon_sym_PERCENT] = ACTIONS(1817),
    [anon_sym_STAR_STAR] = ACTIONS(1817),
    [anon_sym_LT] = ACTIONS(1813),
    [anon_sym_LT_EQ] = ACTIONS(1817),
    [anon_sym_EQ_EQ] = ACTIONS(1815),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1817),
    [anon_sym_BANG_EQ] = ACTIONS(1815),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1817),
    [anon_sym_GT_EQ] = ACTIONS(1817),
    [anon_sym_QMARK_QMARK] = ACTIONS(1817),
    [anon_sym_instanceof] = ACTIONS(1815),
    [anon_sym_TILDE] = ACTIONS(1811),
    [anon_sym_void] = ACTIONS(1813),
    [anon_sym_delete] = ACTIONS(1813),
    [anon_sym_PLUS_PLUS] = ACTIONS(1811),
    [anon_sym_DASH_DASH] = ACTIONS(1811),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1811),
    [sym_number] = ACTIONS(1811),
    [sym_private_property_identifier] = ACTIONS(1811),
    [sym_this] = ACTIONS(1813),
    [sym_super] = ACTIONS(1813),
    [sym_true] = ACTIONS(1813),
    [sym_false] = ACTIONS(1813),
    [sym_null] = ACTIONS(1813),
    [sym_undefined] = ACTIONS(1813),
    [anon_sym_AT] = ACTIONS(1811),
    [anon_sym_static] = ACTIONS(1813),
    [anon_sym_readonly] = ACTIONS(1813),
    [anon_sym_get] = ACTIONS(1813),
    [anon_sym_set] = ACTIONS(1813),
    [anon_sym_declare] = ACTIONS(1813),
    [anon_sym_public] = ACTIONS(1813),
    [anon_sym_private] = ACTIONS(1813),
    [anon_sym_protected] = ACTIONS(1813),
    [anon_sym_override] = ACTIONS(1813),
    [anon_sym_module] = ACTIONS(1813),
    [anon_sym_any] = ACTIONS(1813),
    [anon_sym_number] = ACTIONS(1813),
    [anon_sym_boolean] = ACTIONS(1813),
    [anon_sym_string] = ACTIONS(1813),
    [anon_sym_symbol] = ACTIONS(1813),
    [anon_sym_object] = ACTIONS(1813),
    [anon_sym_abstract] = ACTIONS(1813),
    [anon_sym_satisfies] = ACTIONS(1815),
    [anon_sym_interface] = ACTIONS(1813),
    [anon_sym_enum] = ACTIONS(1813),
    [sym__automatic_semicolon] = ACTIONS(1819),
    [sym__ternary_qmark] = ACTIONS(1817),
    [sym_html_comment] = ACTIONS(5),
  },
  [229] = {
    [ts_builtin_sym_end] = ACTIONS(1703),
    [sym_identifier] = ACTIONS(1705),
    [anon_sym_export] = ACTIONS(1705),
    [anon_sym_STAR] = ACTIONS(1705),
    [anon_sym_default] = ACTIONS(1705),
    [anon_sym_type] = ACTIONS(1705),
    [anon_sym_as] = ACTIONS(1705),
    [anon_sym_namespace] = ACTIONS(1705),
    [anon_sym_LBRACE] = ACTIONS(1703),
    [anon_sym_COMMA] = ACTIONS(1703),
    [anon_sym_RBRACE] = ACTIONS(1703),
    [anon_sym_typeof] = ACTIONS(1705),
    [anon_sym_import] = ACTIONS(1705),
    [anon_sym_with] = ACTIONS(1705),
    [anon_sym_var] = ACTIONS(1705),
    [anon_sym_let] = ACTIONS(1705),
    [anon_sym_const] = ACTIONS(1705),
    [anon_sym_BANG] = ACTIONS(1705),
    [anon_sym_else] = ACTIONS(1705),
    [anon_sym_if] = ACTIONS(1705),
    [anon_sym_switch] = ACTIONS(1705),
    [anon_sym_for] = ACTIONS(1705),
    [anon_sym_LPAREN] = ACTIONS(1703),
    [anon_sym_SEMI] = ACTIONS(1703),
    [anon_sym_await] = ACTIONS(1705),
    [anon_sym_in] = ACTIONS(1705),
    [anon_sym_while] = ACTIONS(1705),
    [anon_sym_do] = ACTIONS(1705),
    [anon_sym_try] = ACTIONS(1705),
    [anon_sym_break] = ACTIONS(1705),
    [anon_sym_continue] = ACTIONS(1705),
    [anon_sym_debugger] = ACTIONS(1705),
    [anon_sym_return] = ACTIONS(1705),
    [anon_sym_throw] = ACTIONS(1705),
    [anon_sym_case] = ACTIONS(1705),
    [anon_sym_yield] = ACTIONS(1705),
    [anon_sym_LBRACK] = ACTIONS(1703),
    [sym_glimmer_opening_tag] = ACTIONS(1703),
    [anon_sym_GT] = ACTIONS(1705),
    [anon_sym_DOT] = ACTIONS(1705),
    [anon_sym_DQUOTE] = ACTIONS(1703),
    [anon_sym_SQUOTE] = ACTIONS(1703),
    [anon_sym_class] = ACTIONS(1705),
    [anon_sym_async] = ACTIONS(1705),
    [anon_sym_function] = ACTIONS(1705),
    [anon_sym_QMARK_DOT] = ACTIONS(1703),
    [anon_sym_new] = ACTIONS(1705),
    [anon_sym_using] = ACTIONS(1705),
    [anon_sym_AMP_AMP] = ACTIONS(1703),
    [anon_sym_PIPE_PIPE] = ACTIONS(1703),
    [anon_sym_GT_GT] = ACTIONS(1705),
    [anon_sym_GT_GT_GT] = ACTIONS(1703),
    [anon_sym_LT_LT] = ACTIONS(1703),
    [anon_sym_AMP] = ACTIONS(1705),
    [anon_sym_CARET] = ACTIONS(1703),
    [anon_sym_PIPE] = ACTIONS(1705),
    [anon_sym_PLUS] = ACTIONS(1705),
    [anon_sym_DASH] = ACTIONS(1705),
    [anon_sym_SLASH] = ACTIONS(1705),
    [anon_sym_PERCENT] = ACTIONS(1703),
    [anon_sym_STAR_STAR] = ACTIONS(1703),
    [anon_sym_LT] = ACTIONS(1705),
    [anon_sym_LT_EQ] = ACTIONS(1703),
    [anon_sym_EQ_EQ] = ACTIONS(1705),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1703),
    [anon_sym_BANG_EQ] = ACTIONS(1705),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1703),
    [anon_sym_GT_EQ] = ACTIONS(1703),
    [anon_sym_QMARK_QMARK] = ACTIONS(1703),
    [anon_sym_instanceof] = ACTIONS(1705),
    [anon_sym_TILDE] = ACTIONS(1703),
    [anon_sym_void] = ACTIONS(1705),
    [anon_sym_delete] = ACTIONS(1705),
    [anon_sym_PLUS_PLUS] = ACTIONS(1703),
    [anon_sym_DASH_DASH] = ACTIONS(1703),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1703),
    [sym_number] = ACTIONS(1703),
    [sym_private_property_identifier] = ACTIONS(1703),
    [sym_this] = ACTIONS(1705),
    [sym_super] = ACTIONS(1705),
    [sym_true] = ACTIONS(1705),
    [sym_false] = ACTIONS(1705),
    [sym_null] = ACTIONS(1705),
    [sym_undefined] = ACTIONS(1705),
    [anon_sym_AT] = ACTIONS(1703),
    [anon_sym_static] = ACTIONS(1705),
    [anon_sym_readonly] = ACTIONS(1705),
    [anon_sym_get] = ACTIONS(1705),
    [anon_sym_set] = ACTIONS(1705),
    [anon_sym_declare] = ACTIONS(1705),
    [anon_sym_public] = ACTIONS(1705),
    [anon_sym_private] = ACTIONS(1705),
    [anon_sym_protected] = ACTIONS(1705),
    [anon_sym_override] = ACTIONS(1705),
    [anon_sym_module] = ACTIONS(1705),
    [anon_sym_any] = ACTIONS(1705),
    [anon_sym_number] = ACTIONS(1705),
    [anon_sym_boolean] = ACTIONS(1705),
    [anon_sym_string] = ACTIONS(1705),
    [anon_sym_symbol] = ACTIONS(1705),
    [anon_sym_object] = ACTIONS(1705),
    [anon_sym_abstract] = ACTIONS(1705),
    [anon_sym_satisfies] = ACTIONS(1705),
    [anon_sym_interface] = ACTIONS(1705),
    [anon_sym_enum] = ACTIONS(1705),
    [sym__automatic_semicolon] = ACTIONS(1821),
    [sym__ternary_qmark] = ACTIONS(1703),
    [sym_html_comment] = ACTIONS(5),
  },
  [230] = {
    [ts_builtin_sym_end] = ACTIONS(1823),
    [sym_identifier] = ACTIONS(1825),
    [anon_sym_export] = ACTIONS(1825),
    [anon_sym_STAR] = ACTIONS(1827),
    [anon_sym_default] = ACTIONS(1825),
    [anon_sym_type] = ACTIONS(1825),
    [anon_sym_as] = ACTIONS(1827),
    [anon_sym_namespace] = ACTIONS(1825),
    [anon_sym_LBRACE] = ACTIONS(1823),
    [anon_sym_COMMA] = ACTIONS(1829),
    [anon_sym_RBRACE] = ACTIONS(1823),
    [anon_sym_typeof] = ACTIONS(1825),
    [anon_sym_import] = ACTIONS(1825),
    [anon_sym_with] = ACTIONS(1825),
    [anon_sym_var] = ACTIONS(1825),
    [anon_sym_let] = ACTIONS(1825),
    [anon_sym_const] = ACTIONS(1825),
    [anon_sym_BANG] = ACTIONS(1825),
    [anon_sym_else] = ACTIONS(1825),
    [anon_sym_if] = ACTIONS(1825),
    [anon_sym_switch] = ACTIONS(1825),
    [anon_sym_for] = ACTIONS(1825),
    [anon_sym_LPAREN] = ACTIONS(1823),
    [anon_sym_SEMI] = ACTIONS(1823),
    [anon_sym_await] = ACTIONS(1825),
    [anon_sym_in] = ACTIONS(1827),
    [anon_sym_while] = ACTIONS(1825),
    [anon_sym_do] = ACTIONS(1825),
    [anon_sym_try] = ACTIONS(1825),
    [anon_sym_break] = ACTIONS(1825),
    [anon_sym_continue] = ACTIONS(1825),
    [anon_sym_debugger] = ACTIONS(1825),
    [anon_sym_return] = ACTIONS(1825),
    [anon_sym_throw] = ACTIONS(1825),
    [anon_sym_case] = ACTIONS(1825),
    [anon_sym_yield] = ACTIONS(1825),
    [anon_sym_LBRACK] = ACTIONS(1823),
    [sym_glimmer_opening_tag] = ACTIONS(1823),
    [anon_sym_GT] = ACTIONS(1827),
    [anon_sym_DOT] = ACTIONS(1827),
    [anon_sym_DQUOTE] = ACTIONS(1823),
    [anon_sym_SQUOTE] = ACTIONS(1823),
    [anon_sym_class] = ACTIONS(1825),
    [anon_sym_async] = ACTIONS(1825),
    [anon_sym_function] = ACTIONS(1825),
    [anon_sym_QMARK_DOT] = ACTIONS(1829),
    [anon_sym_new] = ACTIONS(1825),
    [anon_sym_using] = ACTIONS(1825),
    [anon_sym_AMP_AMP] = ACTIONS(1829),
    [anon_sym_PIPE_PIPE] = ACTIONS(1829),
    [anon_sym_GT_GT] = ACTIONS(1827),
    [anon_sym_GT_GT_GT] = ACTIONS(1829),
    [anon_sym_LT_LT] = ACTIONS(1829),
    [anon_sym_AMP] = ACTIONS(1827),
    [anon_sym_CARET] = ACTIONS(1829),
    [anon_sym_PIPE] = ACTIONS(1827),
    [anon_sym_PLUS] = ACTIONS(1825),
    [anon_sym_DASH] = ACTIONS(1825),
    [anon_sym_SLASH] = ACTIONS(1825),
    [anon_sym_PERCENT] = ACTIONS(1829),
    [anon_sym_STAR_STAR] = ACTIONS(1829),
    [anon_sym_LT] = ACTIONS(1825),
    [anon_sym_LT_EQ] = ACTIONS(1829),
    [anon_sym_EQ_EQ] = ACTIONS(1827),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1829),
    [anon_sym_BANG_EQ] = ACTIONS(1827),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1829),
    [anon_sym_GT_EQ] = ACTIONS(1829),
    [anon_sym_QMARK_QMARK] = ACTIONS(1829),
    [anon_sym_instanceof] = ACTIONS(1827),
    [anon_sym_TILDE] = ACTIONS(1823),
    [anon_sym_void] = ACTIONS(1825),
    [anon_sym_delete] = ACTIONS(1825),
    [anon_sym_PLUS_PLUS] = ACTIONS(1823),
    [anon_sym_DASH_DASH] = ACTIONS(1823),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1823),
    [sym_number] = ACTIONS(1823),
    [sym_private_property_identifier] = ACTIONS(1823),
    [sym_this] = ACTIONS(1825),
    [sym_super] = ACTIONS(1825),
    [sym_true] = ACTIONS(1825),
    [sym_false] = ACTIONS(1825),
    [sym_null] = ACTIONS(1825),
    [sym_undefined] = ACTIONS(1825),
    [anon_sym_AT] = ACTIONS(1823),
    [anon_sym_static] = ACTIONS(1825),
    [anon_sym_readonly] = ACTIONS(1825),
    [anon_sym_get] = ACTIONS(1825),
    [anon_sym_set] = ACTIONS(1825),
    [anon_sym_declare] = ACTIONS(1825),
    [anon_sym_public] = ACTIONS(1825),
    [anon_sym_private] = ACTIONS(1825),
    [anon_sym_protected] = ACTIONS(1825),
    [anon_sym_override] = ACTIONS(1825),
    [anon_sym_module] = ACTIONS(1825),
    [anon_sym_any] = ACTIONS(1825),
    [anon_sym_number] = ACTIONS(1825),
    [anon_sym_boolean] = ACTIONS(1825),
    [anon_sym_string] = ACTIONS(1825),
    [anon_sym_symbol] = ACTIONS(1825),
    [anon_sym_object] = ACTIONS(1825),
    [anon_sym_abstract] = ACTIONS(1825),
    [anon_sym_satisfies] = ACTIONS(1827),
    [anon_sym_interface] = ACTIONS(1825),
    [anon_sym_enum] = ACTIONS(1825),
    [sym__automatic_semicolon] = ACTIONS(1831),
    [sym__ternary_qmark] = ACTIONS(1829),
    [sym_html_comment] = ACTIONS(5),
  },
  [231] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1324),
    [sym_expression] = STATE(1778),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5710),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5710),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5565),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1324),
    [sym_subscript_expression] = STATE(1324),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(2958),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5710),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1324),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(482),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(1463),
    [anon_sym_export] = ACTIONS(1055),
    [anon_sym_type] = ACTIONS(1055),
    [anon_sym_namespace] = ACTIONS(1057),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_COMMA] = ACTIONS(1777),
    [anon_sym_RBRACE] = ACTIONS(1777),
    [anon_sym_typeof] = ACTIONS(620),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1055),
    [anon_sym_BANG] = ACTIONS(592),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_SEMI] = ACTIONS(1777),
    [anon_sym_await] = ACTIONS(594),
    [anon_sym_yield] = ACTIONS(596),
    [anon_sym_LBRACK] = ACTIONS(1777),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1065),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1471),
    [anon_sym_using] = ACTIONS(606),
    [anon_sym_AMP] = ACTIONS(1777),
    [anon_sym_PIPE] = ACTIONS(1779),
    [anon_sym_PLUS] = ACTIONS(620),
    [anon_sym_DASH] = ACTIONS(620),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(592),
    [anon_sym_void] = ACTIONS(620),
    [anon_sym_delete] = ACTIONS(620),
    [anon_sym_PLUS_PLUS] = ACTIONS(622),
    [anon_sym_DASH_DASH] = ACTIONS(622),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(624),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1473),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1055),
    [anon_sym_readonly] = ACTIONS(1055),
    [anon_sym_get] = ACTIONS(1055),
    [anon_sym_set] = ACTIONS(1055),
    [anon_sym_declare] = ACTIONS(1055),
    [anon_sym_public] = ACTIONS(1055),
    [anon_sym_private] = ACTIONS(1055),
    [anon_sym_protected] = ACTIONS(1055),
    [anon_sym_override] = ACTIONS(1055),
    [anon_sym_module] = ACTIONS(1055),
    [anon_sym_any] = ACTIONS(1055),
    [anon_sym_number] = ACTIONS(1055),
    [anon_sym_boolean] = ACTIONS(1055),
    [anon_sym_string] = ACTIONS(1055),
    [anon_sym_symbol] = ACTIONS(1055),
    [anon_sym_object] = ACTIONS(1055),
    [anon_sym_extends] = ACTIONS(1779),
    [anon_sym_PIPE_RBRACE] = ACTIONS(1777),
    [sym__automatic_semicolon] = ACTIONS(1777),
    [sym_html_comment] = ACTIONS(5),
  },
  [232] = {
    [ts_builtin_sym_end] = ACTIONS(1833),
    [sym_identifier] = ACTIONS(1835),
    [anon_sym_export] = ACTIONS(1835),
    [anon_sym_STAR] = ACTIONS(1837),
    [anon_sym_default] = ACTIONS(1835),
    [anon_sym_type] = ACTIONS(1835),
    [anon_sym_as] = ACTIONS(1837),
    [anon_sym_namespace] = ACTIONS(1835),
    [anon_sym_LBRACE] = ACTIONS(1833),
    [anon_sym_COMMA] = ACTIONS(1839),
    [anon_sym_RBRACE] = ACTIONS(1833),
    [anon_sym_typeof] = ACTIONS(1835),
    [anon_sym_import] = ACTIONS(1835),
    [anon_sym_with] = ACTIONS(1835),
    [anon_sym_var] = ACTIONS(1835),
    [anon_sym_let] = ACTIONS(1835),
    [anon_sym_const] = ACTIONS(1835),
    [anon_sym_BANG] = ACTIONS(1835),
    [anon_sym_else] = ACTIONS(1835),
    [anon_sym_if] = ACTIONS(1835),
    [anon_sym_switch] = ACTIONS(1835),
    [anon_sym_for] = ACTIONS(1835),
    [anon_sym_LPAREN] = ACTIONS(1833),
    [anon_sym_SEMI] = ACTIONS(1833),
    [anon_sym_await] = ACTIONS(1835),
    [anon_sym_in] = ACTIONS(1837),
    [anon_sym_while] = ACTIONS(1835),
    [anon_sym_do] = ACTIONS(1835),
    [anon_sym_try] = ACTIONS(1835),
    [anon_sym_break] = ACTIONS(1835),
    [anon_sym_continue] = ACTIONS(1835),
    [anon_sym_debugger] = ACTIONS(1835),
    [anon_sym_return] = ACTIONS(1835),
    [anon_sym_throw] = ACTIONS(1835),
    [anon_sym_case] = ACTIONS(1835),
    [anon_sym_yield] = ACTIONS(1835),
    [anon_sym_LBRACK] = ACTIONS(1833),
    [sym_glimmer_opening_tag] = ACTIONS(1833),
    [anon_sym_GT] = ACTIONS(1837),
    [anon_sym_DOT] = ACTIONS(1837),
    [anon_sym_DQUOTE] = ACTIONS(1833),
    [anon_sym_SQUOTE] = ACTIONS(1833),
    [anon_sym_class] = ACTIONS(1835),
    [anon_sym_async] = ACTIONS(1835),
    [anon_sym_function] = ACTIONS(1835),
    [anon_sym_QMARK_DOT] = ACTIONS(1839),
    [anon_sym_new] = ACTIONS(1835),
    [anon_sym_using] = ACTIONS(1835),
    [anon_sym_AMP_AMP] = ACTIONS(1839),
    [anon_sym_PIPE_PIPE] = ACTIONS(1839),
    [anon_sym_GT_GT] = ACTIONS(1837),
    [anon_sym_GT_GT_GT] = ACTIONS(1839),
    [anon_sym_LT_LT] = ACTIONS(1839),
    [anon_sym_AMP] = ACTIONS(1837),
    [anon_sym_CARET] = ACTIONS(1839),
    [anon_sym_PIPE] = ACTIONS(1837),
    [anon_sym_PLUS] = ACTIONS(1835),
    [anon_sym_DASH] = ACTIONS(1835),
    [anon_sym_SLASH] = ACTIONS(1835),
    [anon_sym_PERCENT] = ACTIONS(1839),
    [anon_sym_STAR_STAR] = ACTIONS(1839),
    [anon_sym_LT] = ACTIONS(1835),
    [anon_sym_LT_EQ] = ACTIONS(1839),
    [anon_sym_EQ_EQ] = ACTIONS(1837),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1839),
    [anon_sym_BANG_EQ] = ACTIONS(1837),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1839),
    [anon_sym_GT_EQ] = ACTIONS(1839),
    [anon_sym_QMARK_QMARK] = ACTIONS(1839),
    [anon_sym_instanceof] = ACTIONS(1837),
    [anon_sym_TILDE] = ACTIONS(1833),
    [anon_sym_void] = ACTIONS(1835),
    [anon_sym_delete] = ACTIONS(1835),
    [anon_sym_PLUS_PLUS] = ACTIONS(1833),
    [anon_sym_DASH_DASH] = ACTIONS(1833),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1833),
    [sym_number] = ACTIONS(1833),
    [sym_private_property_identifier] = ACTIONS(1833),
    [sym_this] = ACTIONS(1835),
    [sym_super] = ACTIONS(1835),
    [sym_true] = ACTIONS(1835),
    [sym_false] = ACTIONS(1835),
    [sym_null] = ACTIONS(1835),
    [sym_undefined] = ACTIONS(1835),
    [anon_sym_AT] = ACTIONS(1833),
    [anon_sym_static] = ACTIONS(1835),
    [anon_sym_readonly] = ACTIONS(1835),
    [anon_sym_get] = ACTIONS(1835),
    [anon_sym_set] = ACTIONS(1835),
    [anon_sym_declare] = ACTIONS(1835),
    [anon_sym_public] = ACTIONS(1835),
    [anon_sym_private] = ACTIONS(1835),
    [anon_sym_protected] = ACTIONS(1835),
    [anon_sym_override] = ACTIONS(1835),
    [anon_sym_module] = ACTIONS(1835),
    [anon_sym_any] = ACTIONS(1835),
    [anon_sym_number] = ACTIONS(1835),
    [anon_sym_boolean] = ACTIONS(1835),
    [anon_sym_string] = ACTIONS(1835),
    [anon_sym_symbol] = ACTIONS(1835),
    [anon_sym_object] = ACTIONS(1835),
    [anon_sym_abstract] = ACTIONS(1835),
    [anon_sym_satisfies] = ACTIONS(1837),
    [anon_sym_interface] = ACTIONS(1835),
    [anon_sym_enum] = ACTIONS(1835),
    [sym__automatic_semicolon] = ACTIONS(1841),
    [sym__ternary_qmark] = ACTIONS(1839),
    [sym_html_comment] = ACTIONS(5),
  },
  [233] = {
    [ts_builtin_sym_end] = ACTIONS(1843),
    [sym_identifier] = ACTIONS(1845),
    [anon_sym_export] = ACTIONS(1845),
    [anon_sym_STAR] = ACTIONS(1845),
    [anon_sym_default] = ACTIONS(1845),
    [anon_sym_type] = ACTIONS(1845),
    [anon_sym_as] = ACTIONS(1845),
    [anon_sym_namespace] = ACTIONS(1845),
    [anon_sym_LBRACE] = ACTIONS(1843),
    [anon_sym_COMMA] = ACTIONS(1843),
    [anon_sym_RBRACE] = ACTIONS(1843),
    [anon_sym_typeof] = ACTIONS(1845),
    [anon_sym_import] = ACTIONS(1845),
    [anon_sym_with] = ACTIONS(1845),
    [anon_sym_var] = ACTIONS(1845),
    [anon_sym_let] = ACTIONS(1845),
    [anon_sym_const] = ACTIONS(1845),
    [anon_sym_BANG] = ACTIONS(1845),
    [anon_sym_else] = ACTIONS(1845),
    [anon_sym_if] = ACTIONS(1845),
    [anon_sym_switch] = ACTIONS(1845),
    [anon_sym_for] = ACTIONS(1845),
    [anon_sym_LPAREN] = ACTIONS(1843),
    [anon_sym_SEMI] = ACTIONS(1843),
    [anon_sym_await] = ACTIONS(1845),
    [anon_sym_in] = ACTIONS(1845),
    [anon_sym_while] = ACTIONS(1845),
    [anon_sym_do] = ACTIONS(1845),
    [anon_sym_try] = ACTIONS(1845),
    [anon_sym_break] = ACTIONS(1845),
    [anon_sym_continue] = ACTIONS(1845),
    [anon_sym_debugger] = ACTIONS(1845),
    [anon_sym_return] = ACTIONS(1845),
    [anon_sym_throw] = ACTIONS(1845),
    [anon_sym_case] = ACTIONS(1845),
    [anon_sym_yield] = ACTIONS(1845),
    [anon_sym_LBRACK] = ACTIONS(1843),
    [sym_glimmer_opening_tag] = ACTIONS(1843),
    [anon_sym_GT] = ACTIONS(1845),
    [anon_sym_DOT] = ACTIONS(1845),
    [anon_sym_DQUOTE] = ACTIONS(1843),
    [anon_sym_SQUOTE] = ACTIONS(1843),
    [anon_sym_class] = ACTIONS(1845),
    [anon_sym_async] = ACTIONS(1845),
    [anon_sym_function] = ACTIONS(1845),
    [anon_sym_QMARK_DOT] = ACTIONS(1843),
    [anon_sym_new] = ACTIONS(1845),
    [anon_sym_using] = ACTIONS(1845),
    [anon_sym_AMP_AMP] = ACTIONS(1843),
    [anon_sym_PIPE_PIPE] = ACTIONS(1843),
    [anon_sym_GT_GT] = ACTIONS(1845),
    [anon_sym_GT_GT_GT] = ACTIONS(1843),
    [anon_sym_LT_LT] = ACTIONS(1843),
    [anon_sym_AMP] = ACTIONS(1845),
    [anon_sym_CARET] = ACTIONS(1843),
    [anon_sym_PIPE] = ACTIONS(1845),
    [anon_sym_PLUS] = ACTIONS(1845),
    [anon_sym_DASH] = ACTIONS(1845),
    [anon_sym_SLASH] = ACTIONS(1845),
    [anon_sym_PERCENT] = ACTIONS(1843),
    [anon_sym_STAR_STAR] = ACTIONS(1843),
    [anon_sym_LT] = ACTIONS(1845),
    [anon_sym_LT_EQ] = ACTIONS(1843),
    [anon_sym_EQ_EQ] = ACTIONS(1845),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1843),
    [anon_sym_BANG_EQ] = ACTIONS(1845),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1843),
    [anon_sym_GT_EQ] = ACTIONS(1843),
    [anon_sym_QMARK_QMARK] = ACTIONS(1843),
    [anon_sym_instanceof] = ACTIONS(1845),
    [anon_sym_TILDE] = ACTIONS(1843),
    [anon_sym_void] = ACTIONS(1845),
    [anon_sym_delete] = ACTIONS(1845),
    [anon_sym_PLUS_PLUS] = ACTIONS(1843),
    [anon_sym_DASH_DASH] = ACTIONS(1843),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1843),
    [sym_number] = ACTIONS(1843),
    [sym_private_property_identifier] = ACTIONS(1843),
    [sym_this] = ACTIONS(1845),
    [sym_super] = ACTIONS(1845),
    [sym_true] = ACTIONS(1845),
    [sym_false] = ACTIONS(1845),
    [sym_null] = ACTIONS(1845),
    [sym_undefined] = ACTIONS(1845),
    [anon_sym_AT] = ACTIONS(1843),
    [anon_sym_static] = ACTIONS(1845),
    [anon_sym_readonly] = ACTIONS(1845),
    [anon_sym_get] = ACTIONS(1845),
    [anon_sym_set] = ACTIONS(1845),
    [anon_sym_declare] = ACTIONS(1845),
    [anon_sym_public] = ACTIONS(1845),
    [anon_sym_private] = ACTIONS(1845),
    [anon_sym_protected] = ACTIONS(1845),
    [anon_sym_override] = ACTIONS(1845),
    [anon_sym_module] = ACTIONS(1845),
    [anon_sym_any] = ACTIONS(1845),
    [anon_sym_number] = ACTIONS(1845),
    [anon_sym_boolean] = ACTIONS(1845),
    [anon_sym_string] = ACTIONS(1845),
    [anon_sym_symbol] = ACTIONS(1845),
    [anon_sym_object] = ACTIONS(1845),
    [anon_sym_abstract] = ACTIONS(1845),
    [anon_sym_satisfies] = ACTIONS(1845),
    [anon_sym_interface] = ACTIONS(1845),
    [anon_sym_enum] = ACTIONS(1845),
    [sym__automatic_semicolon] = ACTIONS(1843),
    [sym__ternary_qmark] = ACTIONS(1843),
    [sym_html_comment] = ACTIONS(5),
  },
  [234] = {
    [ts_builtin_sym_end] = ACTIONS(1847),
    [sym_identifier] = ACTIONS(1849),
    [anon_sym_export] = ACTIONS(1849),
    [anon_sym_STAR] = ACTIONS(1849),
    [anon_sym_default] = ACTIONS(1849),
    [anon_sym_type] = ACTIONS(1849),
    [anon_sym_as] = ACTIONS(1849),
    [anon_sym_namespace] = ACTIONS(1849),
    [anon_sym_LBRACE] = ACTIONS(1847),
    [anon_sym_COMMA] = ACTIONS(1847),
    [anon_sym_RBRACE] = ACTIONS(1847),
    [anon_sym_typeof] = ACTIONS(1849),
    [anon_sym_import] = ACTIONS(1849),
    [anon_sym_with] = ACTIONS(1849),
    [anon_sym_var] = ACTIONS(1849),
    [anon_sym_let] = ACTIONS(1849),
    [anon_sym_const] = ACTIONS(1849),
    [anon_sym_BANG] = ACTIONS(1849),
    [anon_sym_else] = ACTIONS(1849),
    [anon_sym_if] = ACTIONS(1849),
    [anon_sym_switch] = ACTIONS(1849),
    [anon_sym_for] = ACTIONS(1849),
    [anon_sym_LPAREN] = ACTIONS(1847),
    [anon_sym_SEMI] = ACTIONS(1847),
    [anon_sym_await] = ACTIONS(1849),
    [anon_sym_in] = ACTIONS(1849),
    [anon_sym_while] = ACTIONS(1849),
    [anon_sym_do] = ACTIONS(1849),
    [anon_sym_try] = ACTIONS(1849),
    [anon_sym_break] = ACTIONS(1849),
    [anon_sym_continue] = ACTIONS(1849),
    [anon_sym_debugger] = ACTIONS(1849),
    [anon_sym_return] = ACTIONS(1849),
    [anon_sym_throw] = ACTIONS(1849),
    [anon_sym_case] = ACTIONS(1849),
    [anon_sym_yield] = ACTIONS(1849),
    [anon_sym_LBRACK] = ACTIONS(1847),
    [sym_glimmer_opening_tag] = ACTIONS(1847),
    [anon_sym_GT] = ACTIONS(1849),
    [anon_sym_DOT] = ACTIONS(1849),
    [anon_sym_DQUOTE] = ACTIONS(1847),
    [anon_sym_SQUOTE] = ACTIONS(1847),
    [anon_sym_class] = ACTIONS(1849),
    [anon_sym_async] = ACTIONS(1849),
    [anon_sym_function] = ACTIONS(1849),
    [anon_sym_QMARK_DOT] = ACTIONS(1847),
    [anon_sym_new] = ACTIONS(1849),
    [anon_sym_using] = ACTIONS(1849),
    [anon_sym_AMP_AMP] = ACTIONS(1847),
    [anon_sym_PIPE_PIPE] = ACTIONS(1847),
    [anon_sym_GT_GT] = ACTIONS(1849),
    [anon_sym_GT_GT_GT] = ACTIONS(1847),
    [anon_sym_LT_LT] = ACTIONS(1847),
    [anon_sym_AMP] = ACTIONS(1849),
    [anon_sym_CARET] = ACTIONS(1847),
    [anon_sym_PIPE] = ACTIONS(1849),
    [anon_sym_PLUS] = ACTIONS(1849),
    [anon_sym_DASH] = ACTIONS(1849),
    [anon_sym_SLASH] = ACTIONS(1849),
    [anon_sym_PERCENT] = ACTIONS(1847),
    [anon_sym_STAR_STAR] = ACTIONS(1847),
    [anon_sym_LT] = ACTIONS(1849),
    [anon_sym_LT_EQ] = ACTIONS(1847),
    [anon_sym_EQ_EQ] = ACTIONS(1849),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1847),
    [anon_sym_BANG_EQ] = ACTIONS(1849),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1847),
    [anon_sym_GT_EQ] = ACTIONS(1847),
    [anon_sym_QMARK_QMARK] = ACTIONS(1847),
    [anon_sym_instanceof] = ACTIONS(1849),
    [anon_sym_TILDE] = ACTIONS(1847),
    [anon_sym_void] = ACTIONS(1849),
    [anon_sym_delete] = ACTIONS(1849),
    [anon_sym_PLUS_PLUS] = ACTIONS(1847),
    [anon_sym_DASH_DASH] = ACTIONS(1847),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1847),
    [sym_number] = ACTIONS(1847),
    [sym_private_property_identifier] = ACTIONS(1847),
    [sym_this] = ACTIONS(1849),
    [sym_super] = ACTIONS(1849),
    [sym_true] = ACTIONS(1849),
    [sym_false] = ACTIONS(1849),
    [sym_null] = ACTIONS(1849),
    [sym_undefined] = ACTIONS(1849),
    [anon_sym_AT] = ACTIONS(1847),
    [anon_sym_static] = ACTIONS(1849),
    [anon_sym_readonly] = ACTIONS(1849),
    [anon_sym_get] = ACTIONS(1849),
    [anon_sym_set] = ACTIONS(1849),
    [anon_sym_declare] = ACTIONS(1849),
    [anon_sym_public] = ACTIONS(1849),
    [anon_sym_private] = ACTIONS(1849),
    [anon_sym_protected] = ACTIONS(1849),
    [anon_sym_override] = ACTIONS(1849),
    [anon_sym_module] = ACTIONS(1849),
    [anon_sym_any] = ACTIONS(1849),
    [anon_sym_number] = ACTIONS(1849),
    [anon_sym_boolean] = ACTIONS(1849),
    [anon_sym_string] = ACTIONS(1849),
    [anon_sym_symbol] = ACTIONS(1849),
    [anon_sym_object] = ACTIONS(1849),
    [anon_sym_abstract] = ACTIONS(1849),
    [anon_sym_satisfies] = ACTIONS(1849),
    [anon_sym_interface] = ACTIONS(1849),
    [anon_sym_enum] = ACTIONS(1849),
    [sym__automatic_semicolon] = ACTIONS(1847),
    [sym__ternary_qmark] = ACTIONS(1847),
    [sym_html_comment] = ACTIONS(5),
  },
  [235] = {
    [ts_builtin_sym_end] = ACTIONS(1851),
    [sym_identifier] = ACTIONS(1853),
    [anon_sym_export] = ACTIONS(1853),
    [anon_sym_STAR] = ACTIONS(1855),
    [anon_sym_default] = ACTIONS(1853),
    [anon_sym_type] = ACTIONS(1853),
    [anon_sym_as] = ACTIONS(1855),
    [anon_sym_namespace] = ACTIONS(1853),
    [anon_sym_LBRACE] = ACTIONS(1851),
    [anon_sym_COMMA] = ACTIONS(1857),
    [anon_sym_RBRACE] = ACTIONS(1851),
    [anon_sym_typeof] = ACTIONS(1853),
    [anon_sym_import] = ACTIONS(1853),
    [anon_sym_with] = ACTIONS(1853),
    [anon_sym_var] = ACTIONS(1853),
    [anon_sym_let] = ACTIONS(1853),
    [anon_sym_const] = ACTIONS(1853),
    [anon_sym_BANG] = ACTIONS(1853),
    [anon_sym_else] = ACTIONS(1853),
    [anon_sym_if] = ACTIONS(1853),
    [anon_sym_switch] = ACTIONS(1853),
    [anon_sym_for] = ACTIONS(1853),
    [anon_sym_LPAREN] = ACTIONS(1851),
    [anon_sym_SEMI] = ACTIONS(1851),
    [anon_sym_await] = ACTIONS(1853),
    [anon_sym_in] = ACTIONS(1855),
    [anon_sym_while] = ACTIONS(1853),
    [anon_sym_do] = ACTIONS(1853),
    [anon_sym_try] = ACTIONS(1853),
    [anon_sym_break] = ACTIONS(1853),
    [anon_sym_continue] = ACTIONS(1853),
    [anon_sym_debugger] = ACTIONS(1853),
    [anon_sym_return] = ACTIONS(1853),
    [anon_sym_throw] = ACTIONS(1853),
    [anon_sym_case] = ACTIONS(1853),
    [anon_sym_yield] = ACTIONS(1853),
    [anon_sym_LBRACK] = ACTIONS(1851),
    [sym_glimmer_opening_tag] = ACTIONS(1851),
    [anon_sym_GT] = ACTIONS(1855),
    [anon_sym_DOT] = ACTIONS(1855),
    [anon_sym_DQUOTE] = ACTIONS(1851),
    [anon_sym_SQUOTE] = ACTIONS(1851),
    [anon_sym_class] = ACTIONS(1853),
    [anon_sym_async] = ACTIONS(1853),
    [anon_sym_function] = ACTIONS(1853),
    [anon_sym_QMARK_DOT] = ACTIONS(1857),
    [anon_sym_new] = ACTIONS(1853),
    [anon_sym_using] = ACTIONS(1853),
    [anon_sym_AMP_AMP] = ACTIONS(1857),
    [anon_sym_PIPE_PIPE] = ACTIONS(1857),
    [anon_sym_GT_GT] = ACTIONS(1855),
    [anon_sym_GT_GT_GT] = ACTIONS(1857),
    [anon_sym_LT_LT] = ACTIONS(1857),
    [anon_sym_AMP] = ACTIONS(1855),
    [anon_sym_CARET] = ACTIONS(1857),
    [anon_sym_PIPE] = ACTIONS(1855),
    [anon_sym_PLUS] = ACTIONS(1853),
    [anon_sym_DASH] = ACTIONS(1853),
    [anon_sym_SLASH] = ACTIONS(1853),
    [anon_sym_PERCENT] = ACTIONS(1857),
    [anon_sym_STAR_STAR] = ACTIONS(1857),
    [anon_sym_LT] = ACTIONS(1853),
    [anon_sym_LT_EQ] = ACTIONS(1857),
    [anon_sym_EQ_EQ] = ACTIONS(1855),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1857),
    [anon_sym_BANG_EQ] = ACTIONS(1855),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1857),
    [anon_sym_GT_EQ] = ACTIONS(1857),
    [anon_sym_QMARK_QMARK] = ACTIONS(1857),
    [anon_sym_instanceof] = ACTIONS(1855),
    [anon_sym_TILDE] = ACTIONS(1851),
    [anon_sym_void] = ACTIONS(1853),
    [anon_sym_delete] = ACTIONS(1853),
    [anon_sym_PLUS_PLUS] = ACTIONS(1851),
    [anon_sym_DASH_DASH] = ACTIONS(1851),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1851),
    [sym_number] = ACTIONS(1851),
    [sym_private_property_identifier] = ACTIONS(1851),
    [sym_this] = ACTIONS(1853),
    [sym_super] = ACTIONS(1853),
    [sym_true] = ACTIONS(1853),
    [sym_false] = ACTIONS(1853),
    [sym_null] = ACTIONS(1853),
    [sym_undefined] = ACTIONS(1853),
    [anon_sym_AT] = ACTIONS(1851),
    [anon_sym_static] = ACTIONS(1853),
    [anon_sym_readonly] = ACTIONS(1853),
    [anon_sym_get] = ACTIONS(1853),
    [anon_sym_set] = ACTIONS(1853),
    [anon_sym_declare] = ACTIONS(1853),
    [anon_sym_public] = ACTIONS(1853),
    [anon_sym_private] = ACTIONS(1853),
    [anon_sym_protected] = ACTIONS(1853),
    [anon_sym_override] = ACTIONS(1853),
    [anon_sym_module] = ACTIONS(1853),
    [anon_sym_any] = ACTIONS(1853),
    [anon_sym_number] = ACTIONS(1853),
    [anon_sym_boolean] = ACTIONS(1853),
    [anon_sym_string] = ACTIONS(1853),
    [anon_sym_symbol] = ACTIONS(1853),
    [anon_sym_object] = ACTIONS(1853),
    [anon_sym_abstract] = ACTIONS(1853),
    [anon_sym_satisfies] = ACTIONS(1855),
    [anon_sym_interface] = ACTIONS(1853),
    [anon_sym_enum] = ACTIONS(1853),
    [sym__automatic_semicolon] = ACTIONS(1859),
    [sym__ternary_qmark] = ACTIONS(1857),
    [sym_html_comment] = ACTIONS(5),
  },
  [236] = {
    [ts_builtin_sym_end] = ACTIONS(1861),
    [sym_identifier] = ACTIONS(1863),
    [anon_sym_export] = ACTIONS(1863),
    [anon_sym_STAR] = ACTIONS(1863),
    [anon_sym_default] = ACTIONS(1863),
    [anon_sym_type] = ACTIONS(1863),
    [anon_sym_as] = ACTIONS(1863),
    [anon_sym_namespace] = ACTIONS(1863),
    [anon_sym_LBRACE] = ACTIONS(1861),
    [anon_sym_COMMA] = ACTIONS(1861),
    [anon_sym_RBRACE] = ACTIONS(1861),
    [anon_sym_typeof] = ACTIONS(1863),
    [anon_sym_import] = ACTIONS(1863),
    [anon_sym_with] = ACTIONS(1863),
    [anon_sym_var] = ACTIONS(1863),
    [anon_sym_let] = ACTIONS(1863),
    [anon_sym_const] = ACTIONS(1863),
    [anon_sym_BANG] = ACTIONS(1863),
    [anon_sym_else] = ACTIONS(1863),
    [anon_sym_if] = ACTIONS(1863),
    [anon_sym_switch] = ACTIONS(1863),
    [anon_sym_for] = ACTIONS(1863),
    [anon_sym_LPAREN] = ACTIONS(1861),
    [anon_sym_SEMI] = ACTIONS(1861),
    [anon_sym_await] = ACTIONS(1863),
    [anon_sym_in] = ACTIONS(1863),
    [anon_sym_while] = ACTIONS(1863),
    [anon_sym_do] = ACTIONS(1863),
    [anon_sym_try] = ACTIONS(1863),
    [anon_sym_break] = ACTIONS(1863),
    [anon_sym_continue] = ACTIONS(1863),
    [anon_sym_debugger] = ACTIONS(1863),
    [anon_sym_return] = ACTIONS(1863),
    [anon_sym_throw] = ACTIONS(1863),
    [anon_sym_case] = ACTIONS(1863),
    [anon_sym_yield] = ACTIONS(1863),
    [anon_sym_LBRACK] = ACTIONS(1861),
    [sym_glimmer_opening_tag] = ACTIONS(1861),
    [anon_sym_GT] = ACTIONS(1863),
    [anon_sym_DOT] = ACTIONS(1863),
    [anon_sym_DQUOTE] = ACTIONS(1861),
    [anon_sym_SQUOTE] = ACTIONS(1861),
    [anon_sym_class] = ACTIONS(1863),
    [anon_sym_async] = ACTIONS(1863),
    [anon_sym_function] = ACTIONS(1863),
    [anon_sym_QMARK_DOT] = ACTIONS(1861),
    [anon_sym_new] = ACTIONS(1863),
    [anon_sym_using] = ACTIONS(1863),
    [anon_sym_AMP_AMP] = ACTIONS(1861),
    [anon_sym_PIPE_PIPE] = ACTIONS(1861),
    [anon_sym_GT_GT] = ACTIONS(1863),
    [anon_sym_GT_GT_GT] = ACTIONS(1861),
    [anon_sym_LT_LT] = ACTIONS(1861),
    [anon_sym_AMP] = ACTIONS(1863),
    [anon_sym_CARET] = ACTIONS(1861),
    [anon_sym_PIPE] = ACTIONS(1863),
    [anon_sym_PLUS] = ACTIONS(1863),
    [anon_sym_DASH] = ACTIONS(1863),
    [anon_sym_SLASH] = ACTIONS(1863),
    [anon_sym_PERCENT] = ACTIONS(1861),
    [anon_sym_STAR_STAR] = ACTIONS(1861),
    [anon_sym_LT] = ACTIONS(1863),
    [anon_sym_LT_EQ] = ACTIONS(1861),
    [anon_sym_EQ_EQ] = ACTIONS(1863),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1861),
    [anon_sym_BANG_EQ] = ACTIONS(1863),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1861),
    [anon_sym_GT_EQ] = ACTIONS(1861),
    [anon_sym_QMARK_QMARK] = ACTIONS(1861),
    [anon_sym_instanceof] = ACTIONS(1863),
    [anon_sym_TILDE] = ACTIONS(1861),
    [anon_sym_void] = ACTIONS(1863),
    [anon_sym_delete] = ACTIONS(1863),
    [anon_sym_PLUS_PLUS] = ACTIONS(1861),
    [anon_sym_DASH_DASH] = ACTIONS(1861),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1861),
    [sym_number] = ACTIONS(1861),
    [sym_private_property_identifier] = ACTIONS(1861),
    [sym_this] = ACTIONS(1863),
    [sym_super] = ACTIONS(1863),
    [sym_true] = ACTIONS(1863),
    [sym_false] = ACTIONS(1863),
    [sym_null] = ACTIONS(1863),
    [sym_undefined] = ACTIONS(1863),
    [anon_sym_AT] = ACTIONS(1861),
    [anon_sym_static] = ACTIONS(1863),
    [anon_sym_readonly] = ACTIONS(1863),
    [anon_sym_get] = ACTIONS(1863),
    [anon_sym_set] = ACTIONS(1863),
    [anon_sym_declare] = ACTIONS(1863),
    [anon_sym_public] = ACTIONS(1863),
    [anon_sym_private] = ACTIONS(1863),
    [anon_sym_protected] = ACTIONS(1863),
    [anon_sym_override] = ACTIONS(1863),
    [anon_sym_module] = ACTIONS(1863),
    [anon_sym_any] = ACTIONS(1863),
    [anon_sym_number] = ACTIONS(1863),
    [anon_sym_boolean] = ACTIONS(1863),
    [anon_sym_string] = ACTIONS(1863),
    [anon_sym_symbol] = ACTIONS(1863),
    [anon_sym_object] = ACTIONS(1863),
    [anon_sym_abstract] = ACTIONS(1863),
    [anon_sym_satisfies] = ACTIONS(1863),
    [anon_sym_interface] = ACTIONS(1863),
    [anon_sym_enum] = ACTIONS(1863),
    [sym__automatic_semicolon] = ACTIONS(1861),
    [sym__ternary_qmark] = ACTIONS(1861),
    [sym_html_comment] = ACTIONS(5),
  },
  [237] = {
    [ts_builtin_sym_end] = ACTIONS(1865),
    [sym_identifier] = ACTIONS(1867),
    [anon_sym_export] = ACTIONS(1867),
    [anon_sym_STAR] = ACTIONS(1869),
    [anon_sym_default] = ACTIONS(1867),
    [anon_sym_type] = ACTIONS(1867),
    [anon_sym_as] = ACTIONS(1869),
    [anon_sym_namespace] = ACTIONS(1867),
    [anon_sym_LBRACE] = ACTIONS(1865),
    [anon_sym_COMMA] = ACTIONS(1871),
    [anon_sym_RBRACE] = ACTIONS(1865),
    [anon_sym_typeof] = ACTIONS(1867),
    [anon_sym_import] = ACTIONS(1867),
    [anon_sym_with] = ACTIONS(1867),
    [anon_sym_var] = ACTIONS(1867),
    [anon_sym_let] = ACTIONS(1867),
    [anon_sym_const] = ACTIONS(1867),
    [anon_sym_BANG] = ACTIONS(1867),
    [anon_sym_else] = ACTIONS(1867),
    [anon_sym_if] = ACTIONS(1867),
    [anon_sym_switch] = ACTIONS(1867),
    [anon_sym_for] = ACTIONS(1867),
    [anon_sym_LPAREN] = ACTIONS(1865),
    [anon_sym_SEMI] = ACTIONS(1865),
    [anon_sym_await] = ACTIONS(1867),
    [anon_sym_in] = ACTIONS(1869),
    [anon_sym_while] = ACTIONS(1867),
    [anon_sym_do] = ACTIONS(1867),
    [anon_sym_try] = ACTIONS(1867),
    [anon_sym_break] = ACTIONS(1867),
    [anon_sym_continue] = ACTIONS(1867),
    [anon_sym_debugger] = ACTIONS(1867),
    [anon_sym_return] = ACTIONS(1867),
    [anon_sym_throw] = ACTIONS(1867),
    [anon_sym_case] = ACTIONS(1867),
    [anon_sym_yield] = ACTIONS(1867),
    [anon_sym_LBRACK] = ACTIONS(1865),
    [sym_glimmer_opening_tag] = ACTIONS(1865),
    [anon_sym_GT] = ACTIONS(1869),
    [anon_sym_DOT] = ACTIONS(1869),
    [anon_sym_DQUOTE] = ACTIONS(1865),
    [anon_sym_SQUOTE] = ACTIONS(1865),
    [anon_sym_class] = ACTIONS(1867),
    [anon_sym_async] = ACTIONS(1867),
    [anon_sym_function] = ACTIONS(1867),
    [anon_sym_QMARK_DOT] = ACTIONS(1871),
    [anon_sym_new] = ACTIONS(1867),
    [anon_sym_using] = ACTIONS(1867),
    [anon_sym_AMP_AMP] = ACTIONS(1871),
    [anon_sym_PIPE_PIPE] = ACTIONS(1871),
    [anon_sym_GT_GT] = ACTIONS(1869),
    [anon_sym_GT_GT_GT] = ACTIONS(1871),
    [anon_sym_LT_LT] = ACTIONS(1871),
    [anon_sym_AMP] = ACTIONS(1869),
    [anon_sym_CARET] = ACTIONS(1871),
    [anon_sym_PIPE] = ACTIONS(1869),
    [anon_sym_PLUS] = ACTIONS(1867),
    [anon_sym_DASH] = ACTIONS(1867),
    [anon_sym_SLASH] = ACTIONS(1867),
    [anon_sym_PERCENT] = ACTIONS(1871),
    [anon_sym_STAR_STAR] = ACTIONS(1871),
    [anon_sym_LT] = ACTIONS(1867),
    [anon_sym_LT_EQ] = ACTIONS(1871),
    [anon_sym_EQ_EQ] = ACTIONS(1869),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1871),
    [anon_sym_BANG_EQ] = ACTIONS(1869),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1871),
    [anon_sym_GT_EQ] = ACTIONS(1871),
    [anon_sym_QMARK_QMARK] = ACTIONS(1871),
    [anon_sym_instanceof] = ACTIONS(1869),
    [anon_sym_TILDE] = ACTIONS(1865),
    [anon_sym_void] = ACTIONS(1867),
    [anon_sym_delete] = ACTIONS(1867),
    [anon_sym_PLUS_PLUS] = ACTIONS(1865),
    [anon_sym_DASH_DASH] = ACTIONS(1865),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1865),
    [sym_number] = ACTIONS(1865),
    [sym_private_property_identifier] = ACTIONS(1865),
    [sym_this] = ACTIONS(1867),
    [sym_super] = ACTIONS(1867),
    [sym_true] = ACTIONS(1867),
    [sym_false] = ACTIONS(1867),
    [sym_null] = ACTIONS(1867),
    [sym_undefined] = ACTIONS(1867),
    [anon_sym_AT] = ACTIONS(1865),
    [anon_sym_static] = ACTIONS(1867),
    [anon_sym_readonly] = ACTIONS(1867),
    [anon_sym_get] = ACTIONS(1867),
    [anon_sym_set] = ACTIONS(1867),
    [anon_sym_declare] = ACTIONS(1867),
    [anon_sym_public] = ACTIONS(1867),
    [anon_sym_private] = ACTIONS(1867),
    [anon_sym_protected] = ACTIONS(1867),
    [anon_sym_override] = ACTIONS(1867),
    [anon_sym_module] = ACTIONS(1867),
    [anon_sym_any] = ACTIONS(1867),
    [anon_sym_number] = ACTIONS(1867),
    [anon_sym_boolean] = ACTIONS(1867),
    [anon_sym_string] = ACTIONS(1867),
    [anon_sym_symbol] = ACTIONS(1867),
    [anon_sym_object] = ACTIONS(1867),
    [anon_sym_abstract] = ACTIONS(1867),
    [anon_sym_satisfies] = ACTIONS(1869),
    [anon_sym_interface] = ACTIONS(1867),
    [anon_sym_enum] = ACTIONS(1867),
    [sym__automatic_semicolon] = ACTIONS(1873),
    [sym__ternary_qmark] = ACTIONS(1871),
    [sym_html_comment] = ACTIONS(5),
  },
  [238] = {
    [ts_builtin_sym_end] = ACTIONS(1875),
    [sym_identifier] = ACTIONS(1877),
    [anon_sym_export] = ACTIONS(1877),
    [anon_sym_STAR] = ACTIONS(1879),
    [anon_sym_default] = ACTIONS(1877),
    [anon_sym_type] = ACTIONS(1877),
    [anon_sym_as] = ACTIONS(1879),
    [anon_sym_namespace] = ACTIONS(1877),
    [anon_sym_LBRACE] = ACTIONS(1875),
    [anon_sym_COMMA] = ACTIONS(1881),
    [anon_sym_RBRACE] = ACTIONS(1875),
    [anon_sym_typeof] = ACTIONS(1877),
    [anon_sym_import] = ACTIONS(1877),
    [anon_sym_with] = ACTIONS(1877),
    [anon_sym_var] = ACTIONS(1877),
    [anon_sym_let] = ACTIONS(1877),
    [anon_sym_const] = ACTIONS(1877),
    [anon_sym_BANG] = ACTIONS(1877),
    [anon_sym_else] = ACTIONS(1877),
    [anon_sym_if] = ACTIONS(1877),
    [anon_sym_switch] = ACTIONS(1877),
    [anon_sym_for] = ACTIONS(1877),
    [anon_sym_LPAREN] = ACTIONS(1875),
    [anon_sym_SEMI] = ACTIONS(1875),
    [anon_sym_await] = ACTIONS(1877),
    [anon_sym_in] = ACTIONS(1879),
    [anon_sym_while] = ACTIONS(1877),
    [anon_sym_do] = ACTIONS(1877),
    [anon_sym_try] = ACTIONS(1877),
    [anon_sym_break] = ACTIONS(1877),
    [anon_sym_continue] = ACTIONS(1877),
    [anon_sym_debugger] = ACTIONS(1877),
    [anon_sym_return] = ACTIONS(1877),
    [anon_sym_throw] = ACTIONS(1877),
    [anon_sym_case] = ACTIONS(1877),
    [anon_sym_yield] = ACTIONS(1877),
    [anon_sym_LBRACK] = ACTIONS(1875),
    [sym_glimmer_opening_tag] = ACTIONS(1875),
    [anon_sym_GT] = ACTIONS(1879),
    [anon_sym_DOT] = ACTIONS(1879),
    [anon_sym_DQUOTE] = ACTIONS(1875),
    [anon_sym_SQUOTE] = ACTIONS(1875),
    [anon_sym_class] = ACTIONS(1877),
    [anon_sym_async] = ACTIONS(1877),
    [anon_sym_function] = ACTIONS(1877),
    [anon_sym_QMARK_DOT] = ACTIONS(1881),
    [anon_sym_new] = ACTIONS(1877),
    [anon_sym_using] = ACTIONS(1877),
    [anon_sym_AMP_AMP] = ACTIONS(1881),
    [anon_sym_PIPE_PIPE] = ACTIONS(1881),
    [anon_sym_GT_GT] = ACTIONS(1879),
    [anon_sym_GT_GT_GT] = ACTIONS(1881),
    [anon_sym_LT_LT] = ACTIONS(1881),
    [anon_sym_AMP] = ACTIONS(1879),
    [anon_sym_CARET] = ACTIONS(1881),
    [anon_sym_PIPE] = ACTIONS(1879),
    [anon_sym_PLUS] = ACTIONS(1877),
    [anon_sym_DASH] = ACTIONS(1877),
    [anon_sym_SLASH] = ACTIONS(1877),
    [anon_sym_PERCENT] = ACTIONS(1881),
    [anon_sym_STAR_STAR] = ACTIONS(1881),
    [anon_sym_LT] = ACTIONS(1877),
    [anon_sym_LT_EQ] = ACTIONS(1881),
    [anon_sym_EQ_EQ] = ACTIONS(1879),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1881),
    [anon_sym_BANG_EQ] = ACTIONS(1879),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1881),
    [anon_sym_GT_EQ] = ACTIONS(1881),
    [anon_sym_QMARK_QMARK] = ACTIONS(1881),
    [anon_sym_instanceof] = ACTIONS(1879),
    [anon_sym_TILDE] = ACTIONS(1875),
    [anon_sym_void] = ACTIONS(1877),
    [anon_sym_delete] = ACTIONS(1877),
    [anon_sym_PLUS_PLUS] = ACTIONS(1875),
    [anon_sym_DASH_DASH] = ACTIONS(1875),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1875),
    [sym_number] = ACTIONS(1875),
    [sym_private_property_identifier] = ACTIONS(1875),
    [sym_this] = ACTIONS(1877),
    [sym_super] = ACTIONS(1877),
    [sym_true] = ACTIONS(1877),
    [sym_false] = ACTIONS(1877),
    [sym_null] = ACTIONS(1877),
    [sym_undefined] = ACTIONS(1877),
    [anon_sym_AT] = ACTIONS(1875),
    [anon_sym_static] = ACTIONS(1877),
    [anon_sym_readonly] = ACTIONS(1877),
    [anon_sym_get] = ACTIONS(1877),
    [anon_sym_set] = ACTIONS(1877),
    [anon_sym_declare] = ACTIONS(1877),
    [anon_sym_public] = ACTIONS(1877),
    [anon_sym_private] = ACTIONS(1877),
    [anon_sym_protected] = ACTIONS(1877),
    [anon_sym_override] = ACTIONS(1877),
    [anon_sym_module] = ACTIONS(1877),
    [anon_sym_any] = ACTIONS(1877),
    [anon_sym_number] = ACTIONS(1877),
    [anon_sym_boolean] = ACTIONS(1877),
    [anon_sym_string] = ACTIONS(1877),
    [anon_sym_symbol] = ACTIONS(1877),
    [anon_sym_object] = ACTIONS(1877),
    [anon_sym_abstract] = ACTIONS(1877),
    [anon_sym_satisfies] = ACTIONS(1879),
    [anon_sym_interface] = ACTIONS(1877),
    [anon_sym_enum] = ACTIONS(1877),
    [sym__automatic_semicolon] = ACTIONS(1883),
    [sym__ternary_qmark] = ACTIONS(1881),
    [sym_html_comment] = ACTIONS(5),
  },
  [239] = {
    [ts_builtin_sym_end] = ACTIONS(1885),
    [sym_identifier] = ACTIONS(1887),
    [anon_sym_export] = ACTIONS(1887),
    [anon_sym_STAR] = ACTIONS(1889),
    [anon_sym_default] = ACTIONS(1887),
    [anon_sym_type] = ACTIONS(1887),
    [anon_sym_as] = ACTIONS(1889),
    [anon_sym_namespace] = ACTIONS(1887),
    [anon_sym_LBRACE] = ACTIONS(1885),
    [anon_sym_COMMA] = ACTIONS(1891),
    [anon_sym_RBRACE] = ACTIONS(1885),
    [anon_sym_typeof] = ACTIONS(1887),
    [anon_sym_import] = ACTIONS(1887),
    [anon_sym_with] = ACTIONS(1887),
    [anon_sym_var] = ACTIONS(1887),
    [anon_sym_let] = ACTIONS(1887),
    [anon_sym_const] = ACTIONS(1887),
    [anon_sym_BANG] = ACTIONS(1887),
    [anon_sym_else] = ACTIONS(1887),
    [anon_sym_if] = ACTIONS(1887),
    [anon_sym_switch] = ACTIONS(1887),
    [anon_sym_for] = ACTIONS(1887),
    [anon_sym_LPAREN] = ACTIONS(1885),
    [anon_sym_SEMI] = ACTIONS(1885),
    [anon_sym_await] = ACTIONS(1887),
    [anon_sym_in] = ACTIONS(1889),
    [anon_sym_while] = ACTIONS(1887),
    [anon_sym_do] = ACTIONS(1887),
    [anon_sym_try] = ACTIONS(1887),
    [anon_sym_break] = ACTIONS(1887),
    [anon_sym_continue] = ACTIONS(1887),
    [anon_sym_debugger] = ACTIONS(1887),
    [anon_sym_return] = ACTIONS(1887),
    [anon_sym_throw] = ACTIONS(1887),
    [anon_sym_case] = ACTIONS(1887),
    [anon_sym_yield] = ACTIONS(1887),
    [anon_sym_LBRACK] = ACTIONS(1885),
    [sym_glimmer_opening_tag] = ACTIONS(1885),
    [anon_sym_GT] = ACTIONS(1889),
    [anon_sym_DOT] = ACTIONS(1889),
    [anon_sym_DQUOTE] = ACTIONS(1885),
    [anon_sym_SQUOTE] = ACTIONS(1885),
    [anon_sym_class] = ACTIONS(1887),
    [anon_sym_async] = ACTIONS(1887),
    [anon_sym_function] = ACTIONS(1887),
    [anon_sym_QMARK_DOT] = ACTIONS(1891),
    [anon_sym_new] = ACTIONS(1887),
    [anon_sym_using] = ACTIONS(1887),
    [anon_sym_AMP_AMP] = ACTIONS(1891),
    [anon_sym_PIPE_PIPE] = ACTIONS(1891),
    [anon_sym_GT_GT] = ACTIONS(1889),
    [anon_sym_GT_GT_GT] = ACTIONS(1891),
    [anon_sym_LT_LT] = ACTIONS(1891),
    [anon_sym_AMP] = ACTIONS(1889),
    [anon_sym_CARET] = ACTIONS(1891),
    [anon_sym_PIPE] = ACTIONS(1889),
    [anon_sym_PLUS] = ACTIONS(1887),
    [anon_sym_DASH] = ACTIONS(1887),
    [anon_sym_SLASH] = ACTIONS(1887),
    [anon_sym_PERCENT] = ACTIONS(1891),
    [anon_sym_STAR_STAR] = ACTIONS(1891),
    [anon_sym_LT] = ACTIONS(1887),
    [anon_sym_LT_EQ] = ACTIONS(1891),
    [anon_sym_EQ_EQ] = ACTIONS(1889),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1891),
    [anon_sym_BANG_EQ] = ACTIONS(1889),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1891),
    [anon_sym_GT_EQ] = ACTIONS(1891),
    [anon_sym_QMARK_QMARK] = ACTIONS(1891),
    [anon_sym_instanceof] = ACTIONS(1889),
    [anon_sym_TILDE] = ACTIONS(1885),
    [anon_sym_void] = ACTIONS(1887),
    [anon_sym_delete] = ACTIONS(1887),
    [anon_sym_PLUS_PLUS] = ACTIONS(1885),
    [anon_sym_DASH_DASH] = ACTIONS(1885),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1885),
    [sym_number] = ACTIONS(1885),
    [sym_private_property_identifier] = ACTIONS(1885),
    [sym_this] = ACTIONS(1887),
    [sym_super] = ACTIONS(1887),
    [sym_true] = ACTIONS(1887),
    [sym_false] = ACTIONS(1887),
    [sym_null] = ACTIONS(1887),
    [sym_undefined] = ACTIONS(1887),
    [anon_sym_AT] = ACTIONS(1885),
    [anon_sym_static] = ACTIONS(1887),
    [anon_sym_readonly] = ACTIONS(1887),
    [anon_sym_get] = ACTIONS(1887),
    [anon_sym_set] = ACTIONS(1887),
    [anon_sym_declare] = ACTIONS(1887),
    [anon_sym_public] = ACTIONS(1887),
    [anon_sym_private] = ACTIONS(1887),
    [anon_sym_protected] = ACTIONS(1887),
    [anon_sym_override] = ACTIONS(1887),
    [anon_sym_module] = ACTIONS(1887),
    [anon_sym_any] = ACTIONS(1887),
    [anon_sym_number] = ACTIONS(1887),
    [anon_sym_boolean] = ACTIONS(1887),
    [anon_sym_string] = ACTIONS(1887),
    [anon_sym_symbol] = ACTIONS(1887),
    [anon_sym_object] = ACTIONS(1887),
    [anon_sym_abstract] = ACTIONS(1887),
    [anon_sym_satisfies] = ACTIONS(1889),
    [anon_sym_interface] = ACTIONS(1887),
    [anon_sym_enum] = ACTIONS(1887),
    [sym__automatic_semicolon] = ACTIONS(1891),
    [sym__ternary_qmark] = ACTIONS(1891),
    [sym_html_comment] = ACTIONS(5),
  },
  [240] = {
    [ts_builtin_sym_end] = ACTIONS(1893),
    [sym_identifier] = ACTIONS(1895),
    [anon_sym_export] = ACTIONS(1895),
    [anon_sym_STAR] = ACTIONS(1895),
    [anon_sym_default] = ACTIONS(1895),
    [anon_sym_type] = ACTIONS(1895),
    [anon_sym_as] = ACTIONS(1895),
    [anon_sym_namespace] = ACTIONS(1895),
    [anon_sym_LBRACE] = ACTIONS(1893),
    [anon_sym_COMMA] = ACTIONS(1893),
    [anon_sym_RBRACE] = ACTIONS(1893),
    [anon_sym_typeof] = ACTIONS(1895),
    [anon_sym_import] = ACTIONS(1895),
    [anon_sym_with] = ACTIONS(1895),
    [anon_sym_var] = ACTIONS(1895),
    [anon_sym_let] = ACTIONS(1895),
    [anon_sym_const] = ACTIONS(1895),
    [anon_sym_BANG] = ACTIONS(1895),
    [anon_sym_else] = ACTIONS(1895),
    [anon_sym_if] = ACTIONS(1895),
    [anon_sym_switch] = ACTIONS(1895),
    [anon_sym_for] = ACTIONS(1895),
    [anon_sym_LPAREN] = ACTIONS(1893),
    [anon_sym_SEMI] = ACTIONS(1893),
    [anon_sym_await] = ACTIONS(1895),
    [anon_sym_in] = ACTIONS(1895),
    [anon_sym_while] = ACTIONS(1895),
    [anon_sym_do] = ACTIONS(1895),
    [anon_sym_try] = ACTIONS(1895),
    [anon_sym_break] = ACTIONS(1895),
    [anon_sym_continue] = ACTIONS(1895),
    [anon_sym_debugger] = ACTIONS(1895),
    [anon_sym_return] = ACTIONS(1895),
    [anon_sym_throw] = ACTIONS(1895),
    [anon_sym_case] = ACTIONS(1895),
    [anon_sym_yield] = ACTIONS(1895),
    [anon_sym_LBRACK] = ACTIONS(1893),
    [sym_glimmer_opening_tag] = ACTIONS(1893),
    [anon_sym_GT] = ACTIONS(1895),
    [anon_sym_DOT] = ACTIONS(1895),
    [anon_sym_DQUOTE] = ACTIONS(1893),
    [anon_sym_SQUOTE] = ACTIONS(1893),
    [anon_sym_class] = ACTIONS(1895),
    [anon_sym_async] = ACTIONS(1895),
    [anon_sym_function] = ACTIONS(1895),
    [anon_sym_QMARK_DOT] = ACTIONS(1893),
    [anon_sym_new] = ACTIONS(1895),
    [anon_sym_using] = ACTIONS(1895),
    [anon_sym_AMP_AMP] = ACTIONS(1893),
    [anon_sym_PIPE_PIPE] = ACTIONS(1893),
    [anon_sym_GT_GT] = ACTIONS(1895),
    [anon_sym_GT_GT_GT] = ACTIONS(1893),
    [anon_sym_LT_LT] = ACTIONS(1893),
    [anon_sym_AMP] = ACTIONS(1895),
    [anon_sym_CARET] = ACTIONS(1893),
    [anon_sym_PIPE] = ACTIONS(1895),
    [anon_sym_PLUS] = ACTIONS(1895),
    [anon_sym_DASH] = ACTIONS(1895),
    [anon_sym_SLASH] = ACTIONS(1895),
    [anon_sym_PERCENT] = ACTIONS(1893),
    [anon_sym_STAR_STAR] = ACTIONS(1893),
    [anon_sym_LT] = ACTIONS(1895),
    [anon_sym_LT_EQ] = ACTIONS(1893),
    [anon_sym_EQ_EQ] = ACTIONS(1895),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1893),
    [anon_sym_BANG_EQ] = ACTIONS(1895),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1893),
    [anon_sym_GT_EQ] = ACTIONS(1893),
    [anon_sym_QMARK_QMARK] = ACTIONS(1893),
    [anon_sym_instanceof] = ACTIONS(1895),
    [anon_sym_TILDE] = ACTIONS(1893),
    [anon_sym_void] = ACTIONS(1895),
    [anon_sym_delete] = ACTIONS(1895),
    [anon_sym_PLUS_PLUS] = ACTIONS(1893),
    [anon_sym_DASH_DASH] = ACTIONS(1893),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1893),
    [sym_number] = ACTIONS(1893),
    [sym_private_property_identifier] = ACTIONS(1893),
    [sym_this] = ACTIONS(1895),
    [sym_super] = ACTIONS(1895),
    [sym_true] = ACTIONS(1895),
    [sym_false] = ACTIONS(1895),
    [sym_null] = ACTIONS(1895),
    [sym_undefined] = ACTIONS(1895),
    [anon_sym_AT] = ACTIONS(1893),
    [anon_sym_static] = ACTIONS(1895),
    [anon_sym_readonly] = ACTIONS(1895),
    [anon_sym_get] = ACTIONS(1895),
    [anon_sym_set] = ACTIONS(1895),
    [anon_sym_declare] = ACTIONS(1895),
    [anon_sym_public] = ACTIONS(1895),
    [anon_sym_private] = ACTIONS(1895),
    [anon_sym_protected] = ACTIONS(1895),
    [anon_sym_override] = ACTIONS(1895),
    [anon_sym_module] = ACTIONS(1895),
    [anon_sym_any] = ACTIONS(1895),
    [anon_sym_number] = ACTIONS(1895),
    [anon_sym_boolean] = ACTIONS(1895),
    [anon_sym_string] = ACTIONS(1895),
    [anon_sym_symbol] = ACTIONS(1895),
    [anon_sym_object] = ACTIONS(1895),
    [anon_sym_abstract] = ACTIONS(1895),
    [anon_sym_satisfies] = ACTIONS(1895),
    [anon_sym_interface] = ACTIONS(1895),
    [anon_sym_enum] = ACTIONS(1895),
    [sym__automatic_semicolon] = ACTIONS(1893),
    [sym__ternary_qmark] = ACTIONS(1893),
    [sym_html_comment] = ACTIONS(5),
  },
  [241] = {
    [ts_builtin_sym_end] = ACTIONS(1897),
    [sym_identifier] = ACTIONS(1899),
    [anon_sym_export] = ACTIONS(1899),
    [anon_sym_STAR] = ACTIONS(1899),
    [anon_sym_default] = ACTIONS(1899),
    [anon_sym_type] = ACTIONS(1899),
    [anon_sym_as] = ACTIONS(1899),
    [anon_sym_namespace] = ACTIONS(1899),
    [anon_sym_LBRACE] = ACTIONS(1897),
    [anon_sym_COMMA] = ACTIONS(1897),
    [anon_sym_RBRACE] = ACTIONS(1897),
    [anon_sym_typeof] = ACTIONS(1899),
    [anon_sym_import] = ACTIONS(1899),
    [anon_sym_with] = ACTIONS(1899),
    [anon_sym_var] = ACTIONS(1899),
    [anon_sym_let] = ACTIONS(1899),
    [anon_sym_const] = ACTIONS(1899),
    [anon_sym_BANG] = ACTIONS(1899),
    [anon_sym_else] = ACTIONS(1899),
    [anon_sym_if] = ACTIONS(1899),
    [anon_sym_switch] = ACTIONS(1899),
    [anon_sym_for] = ACTIONS(1899),
    [anon_sym_LPAREN] = ACTIONS(1897),
    [anon_sym_SEMI] = ACTIONS(1897),
    [anon_sym_await] = ACTIONS(1899),
    [anon_sym_in] = ACTIONS(1899),
    [anon_sym_while] = ACTIONS(1899),
    [anon_sym_do] = ACTIONS(1899),
    [anon_sym_try] = ACTIONS(1899),
    [anon_sym_break] = ACTIONS(1899),
    [anon_sym_continue] = ACTIONS(1899),
    [anon_sym_debugger] = ACTIONS(1899),
    [anon_sym_return] = ACTIONS(1899),
    [anon_sym_throw] = ACTIONS(1899),
    [anon_sym_case] = ACTIONS(1899),
    [anon_sym_yield] = ACTIONS(1899),
    [anon_sym_LBRACK] = ACTIONS(1897),
    [sym_glimmer_opening_tag] = ACTIONS(1897),
    [anon_sym_GT] = ACTIONS(1899),
    [anon_sym_DOT] = ACTIONS(1899),
    [anon_sym_DQUOTE] = ACTIONS(1897),
    [anon_sym_SQUOTE] = ACTIONS(1897),
    [anon_sym_class] = ACTIONS(1899),
    [anon_sym_async] = ACTIONS(1899),
    [anon_sym_function] = ACTIONS(1899),
    [anon_sym_QMARK_DOT] = ACTIONS(1897),
    [anon_sym_new] = ACTIONS(1899),
    [anon_sym_using] = ACTIONS(1899),
    [anon_sym_AMP_AMP] = ACTIONS(1897),
    [anon_sym_PIPE_PIPE] = ACTIONS(1897),
    [anon_sym_GT_GT] = ACTIONS(1899),
    [anon_sym_GT_GT_GT] = ACTIONS(1897),
    [anon_sym_LT_LT] = ACTIONS(1897),
    [anon_sym_AMP] = ACTIONS(1899),
    [anon_sym_CARET] = ACTIONS(1897),
    [anon_sym_PIPE] = ACTIONS(1899),
    [anon_sym_PLUS] = ACTIONS(1899),
    [anon_sym_DASH] = ACTIONS(1899),
    [anon_sym_SLASH] = ACTIONS(1899),
    [anon_sym_PERCENT] = ACTIONS(1897),
    [anon_sym_STAR_STAR] = ACTIONS(1897),
    [anon_sym_LT] = ACTIONS(1899),
    [anon_sym_LT_EQ] = ACTIONS(1897),
    [anon_sym_EQ_EQ] = ACTIONS(1899),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1897),
    [anon_sym_BANG_EQ] = ACTIONS(1899),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1897),
    [anon_sym_GT_EQ] = ACTIONS(1897),
    [anon_sym_QMARK_QMARK] = ACTIONS(1897),
    [anon_sym_instanceof] = ACTIONS(1899),
    [anon_sym_TILDE] = ACTIONS(1897),
    [anon_sym_void] = ACTIONS(1899),
    [anon_sym_delete] = ACTIONS(1899),
    [anon_sym_PLUS_PLUS] = ACTIONS(1897),
    [anon_sym_DASH_DASH] = ACTIONS(1897),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1897),
    [sym_number] = ACTIONS(1897),
    [sym_private_property_identifier] = ACTIONS(1897),
    [sym_this] = ACTIONS(1899),
    [sym_super] = ACTIONS(1899),
    [sym_true] = ACTIONS(1899),
    [sym_false] = ACTIONS(1899),
    [sym_null] = ACTIONS(1899),
    [sym_undefined] = ACTIONS(1899),
    [anon_sym_AT] = ACTIONS(1897),
    [anon_sym_static] = ACTIONS(1899),
    [anon_sym_readonly] = ACTIONS(1899),
    [anon_sym_get] = ACTIONS(1899),
    [anon_sym_set] = ACTIONS(1899),
    [anon_sym_declare] = ACTIONS(1899),
    [anon_sym_public] = ACTIONS(1899),
    [anon_sym_private] = ACTIONS(1899),
    [anon_sym_protected] = ACTIONS(1899),
    [anon_sym_override] = ACTIONS(1899),
    [anon_sym_module] = ACTIONS(1899),
    [anon_sym_any] = ACTIONS(1899),
    [anon_sym_number] = ACTIONS(1899),
    [anon_sym_boolean] = ACTIONS(1899),
    [anon_sym_string] = ACTIONS(1899),
    [anon_sym_symbol] = ACTIONS(1899),
    [anon_sym_object] = ACTIONS(1899),
    [anon_sym_abstract] = ACTIONS(1899),
    [anon_sym_satisfies] = ACTIONS(1899),
    [anon_sym_interface] = ACTIONS(1899),
    [anon_sym_enum] = ACTIONS(1899),
    [sym__automatic_semicolon] = ACTIONS(1897),
    [sym__ternary_qmark] = ACTIONS(1897),
    [sym_html_comment] = ACTIONS(5),
  },
  [242] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1459),
    [sym_expression] = STATE(2605),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5106),
    [sym_assignment_pattern] = STATE(5020),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5106),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5489),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1412),
    [sym_subscript_expression] = STATE(1412),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(3006),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5106),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_pattern] = STATE(4511),
    [sym_rest_pattern] = STATE(3605),
    [sym_non_null_expression] = STATE(1412),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_mapped_type_clause] = STATE(5723),
    [sym_type_arguments] = STATE(617),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [aux_sym_array_pattern_repeat1] = STATE(4615),
    [sym_identifier] = ACTIONS(1901),
    [anon_sym_export] = ACTIONS(1903),
    [anon_sym_type] = ACTIONS(1903),
    [anon_sym_namespace] = ACTIONS(1905),
    [anon_sym_LBRACE] = ACTIONS(1907),
    [anon_sym_COMMA] = ACTIONS(1909),
    [anon_sym_typeof] = ACTIONS(1107),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1903),
    [anon_sym_BANG] = ACTIONS(1089),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(1091),
    [anon_sym_yield] = ACTIONS(1093),
    [anon_sym_LBRACK] = ACTIONS(1911),
    [anon_sym_RBRACK] = ACTIONS(1913),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1915),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1917),
    [anon_sym_using] = ACTIONS(1101),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(169),
    [anon_sym_PLUS] = ACTIONS(1107),
    [anon_sym_DASH] = ACTIONS(1107),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1089),
    [anon_sym_void] = ACTIONS(1107),
    [anon_sym_delete] = ACTIONS(1107),
    [anon_sym_PLUS_PLUS] = ACTIONS(1109),
    [anon_sym_DASH_DASH] = ACTIONS(1109),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(1115),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1919),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1903),
    [anon_sym_readonly] = ACTIONS(1903),
    [anon_sym_get] = ACTIONS(1903),
    [anon_sym_set] = ACTIONS(1903),
    [anon_sym_declare] = ACTIONS(1903),
    [anon_sym_public] = ACTIONS(1903),
    [anon_sym_private] = ACTIONS(1903),
    [anon_sym_protected] = ACTIONS(1903),
    [anon_sym_override] = ACTIONS(1903),
    [anon_sym_module] = ACTIONS(1903),
    [anon_sym_any] = ACTIONS(1903),
    [anon_sym_number] = ACTIONS(1903),
    [anon_sym_boolean] = ACTIONS(1903),
    [anon_sym_string] = ACTIONS(1903),
    [anon_sym_symbol] = ACTIONS(1903),
    [anon_sym_object] = ACTIONS(1903),
    [sym_html_comment] = ACTIONS(5),
  },
  [243] = {
    [ts_builtin_sym_end] = ACTIONS(1921),
    [sym_identifier] = ACTIONS(1923),
    [anon_sym_export] = ACTIONS(1923),
    [anon_sym_STAR] = ACTIONS(1923),
    [anon_sym_default] = ACTIONS(1923),
    [anon_sym_type] = ACTIONS(1923),
    [anon_sym_as] = ACTIONS(1923),
    [anon_sym_namespace] = ACTIONS(1923),
    [anon_sym_LBRACE] = ACTIONS(1921),
    [anon_sym_COMMA] = ACTIONS(1921),
    [anon_sym_RBRACE] = ACTIONS(1921),
    [anon_sym_typeof] = ACTIONS(1923),
    [anon_sym_import] = ACTIONS(1923),
    [anon_sym_with] = ACTIONS(1923),
    [anon_sym_var] = ACTIONS(1923),
    [anon_sym_let] = ACTIONS(1923),
    [anon_sym_const] = ACTIONS(1923),
    [anon_sym_BANG] = ACTIONS(1923),
    [anon_sym_else] = ACTIONS(1923),
    [anon_sym_if] = ACTIONS(1923),
    [anon_sym_switch] = ACTIONS(1923),
    [anon_sym_for] = ACTIONS(1923),
    [anon_sym_LPAREN] = ACTIONS(1921),
    [anon_sym_SEMI] = ACTIONS(1921),
    [anon_sym_await] = ACTIONS(1923),
    [anon_sym_in] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1923),
    [anon_sym_do] = ACTIONS(1923),
    [anon_sym_try] = ACTIONS(1923),
    [anon_sym_break] = ACTIONS(1923),
    [anon_sym_continue] = ACTIONS(1923),
    [anon_sym_debugger] = ACTIONS(1923),
    [anon_sym_return] = ACTIONS(1923),
    [anon_sym_throw] = ACTIONS(1923),
    [anon_sym_case] = ACTIONS(1923),
    [anon_sym_yield] = ACTIONS(1923),
    [anon_sym_LBRACK] = ACTIONS(1921),
    [sym_glimmer_opening_tag] = ACTIONS(1921),
    [anon_sym_GT] = ACTIONS(1923),
    [anon_sym_DOT] = ACTIONS(1923),
    [anon_sym_DQUOTE] = ACTIONS(1921),
    [anon_sym_SQUOTE] = ACTIONS(1921),
    [anon_sym_class] = ACTIONS(1923),
    [anon_sym_async] = ACTIONS(1923),
    [anon_sym_function] = ACTIONS(1923),
    [anon_sym_QMARK_DOT] = ACTIONS(1921),
    [anon_sym_new] = ACTIONS(1923),
    [anon_sym_using] = ACTIONS(1923),
    [anon_sym_AMP_AMP] = ACTIONS(1921),
    [anon_sym_PIPE_PIPE] = ACTIONS(1921),
    [anon_sym_GT_GT] = ACTIONS(1923),
    [anon_sym_GT_GT_GT] = ACTIONS(1921),
    [anon_sym_LT_LT] = ACTIONS(1921),
    [anon_sym_AMP] = ACTIONS(1923),
    [anon_sym_CARET] = ACTIONS(1921),
    [anon_sym_PIPE] = ACTIONS(1923),
    [anon_sym_PLUS] = ACTIONS(1923),
    [anon_sym_DASH] = ACTIONS(1923),
    [anon_sym_SLASH] = ACTIONS(1923),
    [anon_sym_PERCENT] = ACTIONS(1921),
    [anon_sym_STAR_STAR] = ACTIONS(1921),
    [anon_sym_LT] = ACTIONS(1923),
    [anon_sym_LT_EQ] = ACTIONS(1921),
    [anon_sym_EQ_EQ] = ACTIONS(1923),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1921),
    [anon_sym_BANG_EQ] = ACTIONS(1923),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1921),
    [anon_sym_GT_EQ] = ACTIONS(1921),
    [anon_sym_QMARK_QMARK] = ACTIONS(1921),
    [anon_sym_instanceof] = ACTIONS(1923),
    [anon_sym_TILDE] = ACTIONS(1921),
    [anon_sym_void] = ACTIONS(1923),
    [anon_sym_delete] = ACTIONS(1923),
    [anon_sym_PLUS_PLUS] = ACTIONS(1921),
    [anon_sym_DASH_DASH] = ACTIONS(1921),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1921),
    [sym_number] = ACTIONS(1921),
    [sym_private_property_identifier] = ACTIONS(1921),
    [sym_this] = ACTIONS(1923),
    [sym_super] = ACTIONS(1923),
    [sym_true] = ACTIONS(1923),
    [sym_false] = ACTIONS(1923),
    [sym_null] = ACTIONS(1923),
    [sym_undefined] = ACTIONS(1923),
    [anon_sym_AT] = ACTIONS(1921),
    [anon_sym_static] = ACTIONS(1923),
    [anon_sym_readonly] = ACTIONS(1923),
    [anon_sym_get] = ACTIONS(1923),
    [anon_sym_set] = ACTIONS(1923),
    [anon_sym_declare] = ACTIONS(1923),
    [anon_sym_public] = ACTIONS(1923),
    [anon_sym_private] = ACTIONS(1923),
    [anon_sym_protected] = ACTIONS(1923),
    [anon_sym_override] = ACTIONS(1923),
    [anon_sym_module] = ACTIONS(1923),
    [anon_sym_any] = ACTIONS(1923),
    [anon_sym_number] = ACTIONS(1923),
    [anon_sym_boolean] = ACTIONS(1923),
    [anon_sym_string] = ACTIONS(1923),
    [anon_sym_symbol] = ACTIONS(1923),
    [anon_sym_object] = ACTIONS(1923),
    [anon_sym_abstract] = ACTIONS(1923),
    [anon_sym_satisfies] = ACTIONS(1923),
    [anon_sym_interface] = ACTIONS(1923),
    [anon_sym_enum] = ACTIONS(1923),
    [sym__automatic_semicolon] = ACTIONS(1921),
    [sym__ternary_qmark] = ACTIONS(1921),
    [sym_html_comment] = ACTIONS(5),
  },
  [244] = {
    [ts_builtin_sym_end] = ACTIONS(1925),
    [sym_identifier] = ACTIONS(1927),
    [anon_sym_export] = ACTIONS(1927),
    [anon_sym_STAR] = ACTIONS(1927),
    [anon_sym_default] = ACTIONS(1927),
    [anon_sym_type] = ACTIONS(1927),
    [anon_sym_as] = ACTIONS(1927),
    [anon_sym_namespace] = ACTIONS(1927),
    [anon_sym_LBRACE] = ACTIONS(1925),
    [anon_sym_COMMA] = ACTIONS(1925),
    [anon_sym_RBRACE] = ACTIONS(1925),
    [anon_sym_typeof] = ACTIONS(1927),
    [anon_sym_import] = ACTIONS(1927),
    [anon_sym_with] = ACTIONS(1927),
    [anon_sym_var] = ACTIONS(1927),
    [anon_sym_let] = ACTIONS(1927),
    [anon_sym_const] = ACTIONS(1927),
    [anon_sym_BANG] = ACTIONS(1927),
    [anon_sym_else] = ACTIONS(1927),
    [anon_sym_if] = ACTIONS(1927),
    [anon_sym_switch] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(1927),
    [anon_sym_LPAREN] = ACTIONS(1925),
    [anon_sym_SEMI] = ACTIONS(1925),
    [anon_sym_await] = ACTIONS(1927),
    [anon_sym_in] = ACTIONS(1927),
    [anon_sym_while] = ACTIONS(1927),
    [anon_sym_do] = ACTIONS(1927),
    [anon_sym_try] = ACTIONS(1927),
    [anon_sym_break] = ACTIONS(1927),
    [anon_sym_continue] = ACTIONS(1927),
    [anon_sym_debugger] = ACTIONS(1927),
    [anon_sym_return] = ACTIONS(1927),
    [anon_sym_throw] = ACTIONS(1927),
    [anon_sym_case] = ACTIONS(1927),
    [anon_sym_yield] = ACTIONS(1927),
    [anon_sym_LBRACK] = ACTIONS(1925),
    [sym_glimmer_opening_tag] = ACTIONS(1925),
    [anon_sym_GT] = ACTIONS(1927),
    [anon_sym_DOT] = ACTIONS(1927),
    [anon_sym_DQUOTE] = ACTIONS(1925),
    [anon_sym_SQUOTE] = ACTIONS(1925),
    [anon_sym_class] = ACTIONS(1927),
    [anon_sym_async] = ACTIONS(1927),
    [anon_sym_function] = ACTIONS(1927),
    [anon_sym_QMARK_DOT] = ACTIONS(1925),
    [anon_sym_new] = ACTIONS(1927),
    [anon_sym_using] = ACTIONS(1927),
    [anon_sym_AMP_AMP] = ACTIONS(1925),
    [anon_sym_PIPE_PIPE] = ACTIONS(1925),
    [anon_sym_GT_GT] = ACTIONS(1927),
    [anon_sym_GT_GT_GT] = ACTIONS(1925),
    [anon_sym_LT_LT] = ACTIONS(1925),
    [anon_sym_AMP] = ACTIONS(1927),
    [anon_sym_CARET] = ACTIONS(1925),
    [anon_sym_PIPE] = ACTIONS(1927),
    [anon_sym_PLUS] = ACTIONS(1927),
    [anon_sym_DASH] = ACTIONS(1927),
    [anon_sym_SLASH] = ACTIONS(1927),
    [anon_sym_PERCENT] = ACTIONS(1925),
    [anon_sym_STAR_STAR] = ACTIONS(1925),
    [anon_sym_LT] = ACTIONS(1927),
    [anon_sym_LT_EQ] = ACTIONS(1925),
    [anon_sym_EQ_EQ] = ACTIONS(1927),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1925),
    [anon_sym_BANG_EQ] = ACTIONS(1927),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1925),
    [anon_sym_GT_EQ] = ACTIONS(1925),
    [anon_sym_QMARK_QMARK] = ACTIONS(1925),
    [anon_sym_instanceof] = ACTIONS(1927),
    [anon_sym_TILDE] = ACTIONS(1925),
    [anon_sym_void] = ACTIONS(1927),
    [anon_sym_delete] = ACTIONS(1927),
    [anon_sym_PLUS_PLUS] = ACTIONS(1925),
    [anon_sym_DASH_DASH] = ACTIONS(1925),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1925),
    [sym_number] = ACTIONS(1925),
    [sym_private_property_identifier] = ACTIONS(1925),
    [sym_this] = ACTIONS(1927),
    [sym_super] = ACTIONS(1927),
    [sym_true] = ACTIONS(1927),
    [sym_false] = ACTIONS(1927),
    [sym_null] = ACTIONS(1927),
    [sym_undefined] = ACTIONS(1927),
    [anon_sym_AT] = ACTIONS(1925),
    [anon_sym_static] = ACTIONS(1927),
    [anon_sym_readonly] = ACTIONS(1927),
    [anon_sym_get] = ACTIONS(1927),
    [anon_sym_set] = ACTIONS(1927),
    [anon_sym_declare] = ACTIONS(1927),
    [anon_sym_public] = ACTIONS(1927),
    [anon_sym_private] = ACTIONS(1927),
    [anon_sym_protected] = ACTIONS(1927),
    [anon_sym_override] = ACTIONS(1927),
    [anon_sym_module] = ACTIONS(1927),
    [anon_sym_any] = ACTIONS(1927),
    [anon_sym_number] = ACTIONS(1927),
    [anon_sym_boolean] = ACTIONS(1927),
    [anon_sym_string] = ACTIONS(1927),
    [anon_sym_symbol] = ACTIONS(1927),
    [anon_sym_object] = ACTIONS(1927),
    [anon_sym_abstract] = ACTIONS(1927),
    [anon_sym_satisfies] = ACTIONS(1927),
    [anon_sym_interface] = ACTIONS(1927),
    [anon_sym_enum] = ACTIONS(1927),
    [sym__automatic_semicolon] = ACTIONS(1925),
    [sym__ternary_qmark] = ACTIONS(1925),
    [sym_html_comment] = ACTIONS(5),
  },
  [245] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1228),
    [sym_expression] = STATE(2615),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(3739),
    [sym_assignment_pattern] = STATE(5020),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(3739),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5824),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1302),
    [sym_subscript_expression] = STATE(1302),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(2969),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(3739),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_pattern] = STATE(4511),
    [sym_rest_pattern] = STATE(3605),
    [sym_non_null_expression] = STATE(1302),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(537),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [aux_sym_array_pattern_repeat1] = STATE(4615),
    [sym_identifier] = ACTIONS(701),
    [anon_sym_export] = ACTIONS(115),
    [anon_sym_type] = ACTIONS(115),
    [anon_sym_namespace] = ACTIONS(124),
    [anon_sym_LBRACE] = ACTIONS(703),
    [anon_sym_COMMA] = ACTIONS(1909),
    [anon_sym_typeof] = ACTIONS(184),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(115),
    [anon_sym_BANG] = ACTIONS(180),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(1671),
    [anon_sym_RBRACK] = ACTIONS(1913),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(155),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(711),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(169),
    [anon_sym_PLUS] = ACTIONS(184),
    [anon_sym_DASH] = ACTIONS(184),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(691),
    [anon_sym_DASH_DASH] = ACTIONS(691),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(723),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(115),
    [anon_sym_readonly] = ACTIONS(115),
    [anon_sym_get] = ACTIONS(115),
    [anon_sym_set] = ACTIONS(115),
    [anon_sym_declare] = ACTIONS(115),
    [anon_sym_public] = ACTIONS(115),
    [anon_sym_private] = ACTIONS(115),
    [anon_sym_protected] = ACTIONS(115),
    [anon_sym_override] = ACTIONS(115),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_any] = ACTIONS(115),
    [anon_sym_number] = ACTIONS(115),
    [anon_sym_boolean] = ACTIONS(115),
    [anon_sym_string] = ACTIONS(115),
    [anon_sym_symbol] = ACTIONS(115),
    [anon_sym_object] = ACTIONS(115),
    [sym_html_comment] = ACTIONS(5),
  },
  [246] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1459),
    [sym_expression] = STATE(2600),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5106),
    [sym_assignment_pattern] = STATE(5020),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5106),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5489),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1412),
    [sym_subscript_expression] = STATE(1412),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(3006),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5106),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_pattern] = STATE(4511),
    [sym_rest_pattern] = STATE(3605),
    [sym_non_null_expression] = STATE(1412),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(617),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [aux_sym_array_pattern_repeat1] = STATE(4615),
    [sym_identifier] = ACTIONS(1929),
    [anon_sym_export] = ACTIONS(1931),
    [anon_sym_type] = ACTIONS(1931),
    [anon_sym_namespace] = ACTIONS(1933),
    [anon_sym_LBRACE] = ACTIONS(1907),
    [anon_sym_COMMA] = ACTIONS(1909),
    [anon_sym_typeof] = ACTIONS(1107),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1931),
    [anon_sym_BANG] = ACTIONS(1089),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(1091),
    [anon_sym_yield] = ACTIONS(1093),
    [anon_sym_LBRACK] = ACTIONS(1911),
    [anon_sym_RBRACK] = ACTIONS(1913),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1935),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1937),
    [anon_sym_using] = ACTIONS(1101),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(169),
    [anon_sym_PLUS] = ACTIONS(1107),
    [anon_sym_DASH] = ACTIONS(1107),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1089),
    [anon_sym_void] = ACTIONS(1107),
    [anon_sym_delete] = ACTIONS(1107),
    [anon_sym_PLUS_PLUS] = ACTIONS(1109),
    [anon_sym_DASH_DASH] = ACTIONS(1109),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(1115),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1919),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1931),
    [anon_sym_readonly] = ACTIONS(1931),
    [anon_sym_get] = ACTIONS(1931),
    [anon_sym_set] = ACTIONS(1931),
    [anon_sym_declare] = ACTIONS(1931),
    [anon_sym_public] = ACTIONS(1931),
    [anon_sym_private] = ACTIONS(1931),
    [anon_sym_protected] = ACTIONS(1931),
    [anon_sym_override] = ACTIONS(1931),
    [anon_sym_module] = ACTIONS(1931),
    [anon_sym_any] = ACTIONS(1931),
    [anon_sym_number] = ACTIONS(1931),
    [anon_sym_boolean] = ACTIONS(1931),
    [anon_sym_string] = ACTIONS(1931),
    [anon_sym_symbol] = ACTIONS(1931),
    [anon_sym_object] = ACTIONS(1931),
    [sym_html_comment] = ACTIONS(5),
  },
  [247] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1324),
    [sym_expression] = STATE(2428),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(4448),
    [sym_assignment_pattern] = STATE(5357),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(4448),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5565),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1399),
    [sym_subscript_expression] = STATE(1399),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(2958),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(4448),
    [sym_spread_element] = STATE(4549),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_pattern] = STATE(4553),
    [sym_rest_pattern] = STATE(3605),
    [sym_non_null_expression] = STATE(1399),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(482),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(1691),
    [anon_sym_export] = ACTIONS(580),
    [anon_sym_type] = ACTIONS(580),
    [anon_sym_namespace] = ACTIONS(584),
    [anon_sym_LBRACE] = ACTIONS(815),
    [anon_sym_COMMA] = ACTIONS(1939),
    [anon_sym_typeof] = ACTIONS(620),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(580),
    [anon_sym_BANG] = ACTIONS(592),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(594),
    [anon_sym_yield] = ACTIONS(596),
    [anon_sym_LBRACK] = ACTIONS(819),
    [anon_sym_RBRACK] = ACTIONS(1939),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(602),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1697),
    [anon_sym_using] = ACTIONS(606),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(251),
    [anon_sym_PLUS] = ACTIONS(620),
    [anon_sym_DASH] = ACTIONS(620),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(592),
    [anon_sym_void] = ACTIONS(620),
    [anon_sym_delete] = ACTIONS(620),
    [anon_sym_PLUS_PLUS] = ACTIONS(622),
    [anon_sym_DASH_DASH] = ACTIONS(622),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(624),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1699),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(580),
    [anon_sym_readonly] = ACTIONS(580),
    [anon_sym_get] = ACTIONS(580),
    [anon_sym_set] = ACTIONS(580),
    [anon_sym_declare] = ACTIONS(580),
    [anon_sym_public] = ACTIONS(580),
    [anon_sym_private] = ACTIONS(580),
    [anon_sym_protected] = ACTIONS(580),
    [anon_sym_override] = ACTIONS(580),
    [anon_sym_module] = ACTIONS(580),
    [anon_sym_any] = ACTIONS(580),
    [anon_sym_number] = ACTIONS(580),
    [anon_sym_boolean] = ACTIONS(580),
    [anon_sym_string] = ACTIONS(580),
    [anon_sym_symbol] = ACTIONS(580),
    [anon_sym_object] = ACTIONS(580),
    [sym_html_comment] = ACTIONS(5),
  },
  [248] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1324),
    [sym_expression] = STATE(2428),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(4448),
    [sym_assignment_pattern] = STATE(5357),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(4448),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5565),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1399),
    [sym_subscript_expression] = STATE(1399),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(2958),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(4448),
    [sym_spread_element] = STATE(4549),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_pattern] = STATE(4553),
    [sym_rest_pattern] = STATE(3605),
    [sym_non_null_expression] = STATE(1399),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(482),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(1691),
    [anon_sym_export] = ACTIONS(580),
    [anon_sym_type] = ACTIONS(580),
    [anon_sym_namespace] = ACTIONS(584),
    [anon_sym_LBRACE] = ACTIONS(815),
    [anon_sym_COMMA] = ACTIONS(1939),
    [anon_sym_typeof] = ACTIONS(620),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(580),
    [anon_sym_BANG] = ACTIONS(592),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(594),
    [anon_sym_yield] = ACTIONS(596),
    [anon_sym_LBRACK] = ACTIONS(819),
    [anon_sym_RBRACK] = ACTIONS(1942),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(602),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1697),
    [anon_sym_using] = ACTIONS(606),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(251),
    [anon_sym_PLUS] = ACTIONS(620),
    [anon_sym_DASH] = ACTIONS(620),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(592),
    [anon_sym_void] = ACTIONS(620),
    [anon_sym_delete] = ACTIONS(620),
    [anon_sym_PLUS_PLUS] = ACTIONS(622),
    [anon_sym_DASH_DASH] = ACTIONS(622),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(624),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1699),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(580),
    [anon_sym_readonly] = ACTIONS(580),
    [anon_sym_get] = ACTIONS(580),
    [anon_sym_set] = ACTIONS(580),
    [anon_sym_declare] = ACTIONS(580),
    [anon_sym_public] = ACTIONS(580),
    [anon_sym_private] = ACTIONS(580),
    [anon_sym_protected] = ACTIONS(580),
    [anon_sym_override] = ACTIONS(580),
    [anon_sym_module] = ACTIONS(580),
    [anon_sym_any] = ACTIONS(580),
    [anon_sym_number] = ACTIONS(580),
    [anon_sym_boolean] = ACTIONS(580),
    [anon_sym_string] = ACTIONS(580),
    [anon_sym_symbol] = ACTIONS(580),
    [anon_sym_object] = ACTIONS(580),
    [sym_html_comment] = ACTIONS(5),
  },
  [249] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1324),
    [sym_expression] = STATE(2428),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(4448),
    [sym_assignment_pattern] = STATE(5357),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(4448),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5565),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1399),
    [sym_subscript_expression] = STATE(1399),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(2958),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(4448),
    [sym_spread_element] = STATE(4549),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_pattern] = STATE(4553),
    [sym_rest_pattern] = STATE(3605),
    [sym_non_null_expression] = STATE(1399),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(482),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(1691),
    [anon_sym_export] = ACTIONS(580),
    [anon_sym_type] = ACTIONS(580),
    [anon_sym_namespace] = ACTIONS(584),
    [anon_sym_LBRACE] = ACTIONS(815),
    [anon_sym_COMMA] = ACTIONS(1939),
    [anon_sym_typeof] = ACTIONS(620),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(580),
    [anon_sym_BANG] = ACTIONS(592),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(594),
    [anon_sym_yield] = ACTIONS(596),
    [anon_sym_LBRACK] = ACTIONS(819),
    [anon_sym_RBRACK] = ACTIONS(1946),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(602),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1697),
    [anon_sym_using] = ACTIONS(606),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(251),
    [anon_sym_PLUS] = ACTIONS(620),
    [anon_sym_DASH] = ACTIONS(620),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(592),
    [anon_sym_void] = ACTIONS(620),
    [anon_sym_delete] = ACTIONS(620),
    [anon_sym_PLUS_PLUS] = ACTIONS(622),
    [anon_sym_DASH_DASH] = ACTIONS(622),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(624),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1699),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(580),
    [anon_sym_readonly] = ACTIONS(580),
    [anon_sym_get] = ACTIONS(580),
    [anon_sym_set] = ACTIONS(580),
    [anon_sym_declare] = ACTIONS(580),
    [anon_sym_public] = ACTIONS(580),
    [anon_sym_private] = ACTIONS(580),
    [anon_sym_protected] = ACTIONS(580),
    [anon_sym_override] = ACTIONS(580),
    [anon_sym_module] = ACTIONS(580),
    [anon_sym_any] = ACTIONS(580),
    [anon_sym_number] = ACTIONS(580),
    [anon_sym_boolean] = ACTIONS(580),
    [anon_sym_string] = ACTIONS(580),
    [anon_sym_symbol] = ACTIONS(580),
    [anon_sym_object] = ACTIONS(580),
    [sym_html_comment] = ACTIONS(5),
  },
  [250] = {
    [sym_import] = STATE(3542),
    [sym_variable_declaration] = STATE(299),
    [sym_lexical_declaration] = STATE(299),
    [sym_empty_statement] = STATE(299),
    [sym_parenthesized_expression] = STATE(1383),
    [sym_expression] = STATE(2233),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(4588),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(4588),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5565),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1383),
    [sym_subscript_expression] = STATE(1383),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(2958),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(4588),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_sequence_expression] = STATE(5507),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1383),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(482),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(1950),
    [anon_sym_export] = ACTIONS(1952),
    [anon_sym_type] = ACTIONS(1952),
    [anon_sym_namespace] = ACTIONS(1954),
    [anon_sym_LBRACE] = ACTIONS(1956),
    [anon_sym_typeof] = ACTIONS(620),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_var] = ACTIONS(1958),
    [anon_sym_let] = ACTIONS(1960),
    [anon_sym_const] = ACTIONS(1962),
    [anon_sym_BANG] = ACTIONS(592),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_SEMI] = ACTIONS(43),
    [anon_sym_await] = ACTIONS(594),
    [anon_sym_yield] = ACTIONS(596),
    [anon_sym_LBRACK] = ACTIONS(1964),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1966),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1968),
    [anon_sym_using] = ACTIONS(606),
    [anon_sym_PLUS] = ACTIONS(620),
    [anon_sym_DASH] = ACTIONS(620),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(592),
    [anon_sym_void] = ACTIONS(620),
    [anon_sym_delete] = ACTIONS(620),
    [anon_sym_PLUS_PLUS] = ACTIONS(622),
    [anon_sym_DASH_DASH] = ACTIONS(622),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(624),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1970),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1952),
    [anon_sym_readonly] = ACTIONS(1952),
    [anon_sym_get] = ACTIONS(1952),
    [anon_sym_set] = ACTIONS(1952),
    [anon_sym_declare] = ACTIONS(1952),
    [anon_sym_public] = ACTIONS(1952),
    [anon_sym_private] = ACTIONS(1952),
    [anon_sym_protected] = ACTIONS(1952),
    [anon_sym_override] = ACTIONS(1952),
    [anon_sym_module] = ACTIONS(1952),
    [anon_sym_any] = ACTIONS(1952),
    [anon_sym_number] = ACTIONS(1952),
    [anon_sym_boolean] = ACTIONS(1952),
    [anon_sym_string] = ACTIONS(1952),
    [anon_sym_symbol] = ACTIONS(1952),
    [anon_sym_object] = ACTIONS(1952),
    [sym_html_comment] = ACTIONS(5),
  },
  [251] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1228),
    [sym_expression] = STATE(2543),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5482),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5482),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5824),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1228),
    [sym_subscript_expression] = STATE(1228),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(2969),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5482),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1228),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(537),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(809),
    [anon_sym_export] = ACTIONS(811),
    [anon_sym_type] = ACTIONS(811),
    [anon_sym_namespace] = ACTIONS(813),
    [anon_sym_LBRACE] = ACTIONS(815),
    [anon_sym_COMMA] = ACTIONS(1777),
    [anon_sym_typeof] = ACTIONS(184),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(811),
    [anon_sym_BANG] = ACTIONS(180),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_RPAREN] = ACTIONS(1777),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(1777),
    [anon_sym_RBRACK] = ACTIONS(1777),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(1777),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(823),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(825),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_AMP] = ACTIONS(1777),
    [anon_sym_PIPE] = ACTIONS(1777),
    [anon_sym_PLUS] = ACTIONS(184),
    [anon_sym_DASH] = ACTIONS(184),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(691),
    [anon_sym_DASH_DASH] = ACTIONS(691),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(829),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(811),
    [anon_sym_readonly] = ACTIONS(811),
    [anon_sym_get] = ACTIONS(811),
    [anon_sym_set] = ACTIONS(811),
    [anon_sym_declare] = ACTIONS(811),
    [anon_sym_public] = ACTIONS(811),
    [anon_sym_private] = ACTIONS(811),
    [anon_sym_protected] = ACTIONS(811),
    [anon_sym_override] = ACTIONS(811),
    [anon_sym_module] = ACTIONS(811),
    [anon_sym_any] = ACTIONS(811),
    [anon_sym_number] = ACTIONS(811),
    [anon_sym_boolean] = ACTIONS(811),
    [anon_sym_string] = ACTIONS(811),
    [anon_sym_symbol] = ACTIONS(811),
    [anon_sym_object] = ACTIONS(811),
    [anon_sym_extends] = ACTIONS(1779),
    [sym_html_comment] = ACTIONS(5),
  },
  [252] = {
    [sym_import] = STATE(3542),
    [sym_variable_declaration] = STATE(304),
    [sym_lexical_declaration] = STATE(304),
    [sym_empty_statement] = STATE(304),
    [sym_parenthesized_expression] = STATE(1383),
    [sym_expression] = STATE(2361),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(4588),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(4588),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5565),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1383),
    [sym_subscript_expression] = STATE(1383),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(2958),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(4588),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_sequence_expression] = STATE(5861),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1383),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(482),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(1950),
    [anon_sym_export] = ACTIONS(1952),
    [anon_sym_type] = ACTIONS(1952),
    [anon_sym_namespace] = ACTIONS(1954),
    [anon_sym_LBRACE] = ACTIONS(1956),
    [anon_sym_typeof] = ACTIONS(620),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_var] = ACTIONS(1958),
    [anon_sym_let] = ACTIONS(1960),
    [anon_sym_const] = ACTIONS(1962),
    [anon_sym_BANG] = ACTIONS(592),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_SEMI] = ACTIONS(43),
    [anon_sym_await] = ACTIONS(594),
    [anon_sym_yield] = ACTIONS(596),
    [anon_sym_LBRACK] = ACTIONS(1964),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1966),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1968),
    [anon_sym_using] = ACTIONS(606),
    [anon_sym_PLUS] = ACTIONS(620),
    [anon_sym_DASH] = ACTIONS(620),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(592),
    [anon_sym_void] = ACTIONS(620),
    [anon_sym_delete] = ACTIONS(620),
    [anon_sym_PLUS_PLUS] = ACTIONS(622),
    [anon_sym_DASH_DASH] = ACTIONS(622),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(624),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1970),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1952),
    [anon_sym_readonly] = ACTIONS(1952),
    [anon_sym_get] = ACTIONS(1952),
    [anon_sym_set] = ACTIONS(1952),
    [anon_sym_declare] = ACTIONS(1952),
    [anon_sym_public] = ACTIONS(1952),
    [anon_sym_private] = ACTIONS(1952),
    [anon_sym_protected] = ACTIONS(1952),
    [anon_sym_override] = ACTIONS(1952),
    [anon_sym_module] = ACTIONS(1952),
    [anon_sym_any] = ACTIONS(1952),
    [anon_sym_number] = ACTIONS(1952),
    [anon_sym_boolean] = ACTIONS(1952),
    [anon_sym_string] = ACTIONS(1952),
    [anon_sym_symbol] = ACTIONS(1952),
    [anon_sym_object] = ACTIONS(1952),
    [sym_html_comment] = ACTIONS(5),
  },
  [253] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1228),
    [sym_expression] = STATE(2615),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(3739),
    [sym_assignment_pattern] = STATE(4617),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(3739),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5824),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1302),
    [sym_subscript_expression] = STATE(1302),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(2969),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(3739),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_pattern] = STATE(4428),
    [sym_rest_pattern] = STATE(3605),
    [sym_non_null_expression] = STATE(1302),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(537),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [aux_sym_array_pattern_repeat1] = STATE(4629),
    [sym_identifier] = ACTIONS(701),
    [anon_sym_export] = ACTIONS(115),
    [anon_sym_type] = ACTIONS(115),
    [anon_sym_namespace] = ACTIONS(124),
    [anon_sym_LBRACE] = ACTIONS(703),
    [anon_sym_COMMA] = ACTIONS(1909),
    [anon_sym_typeof] = ACTIONS(184),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(115),
    [anon_sym_BANG] = ACTIONS(180),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(1671),
    [anon_sym_RBRACK] = ACTIONS(1972),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(155),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(711),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(169),
    [anon_sym_PLUS] = ACTIONS(184),
    [anon_sym_DASH] = ACTIONS(184),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(691),
    [anon_sym_DASH_DASH] = ACTIONS(691),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(723),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(115),
    [anon_sym_readonly] = ACTIONS(115),
    [anon_sym_get] = ACTIONS(115),
    [anon_sym_set] = ACTIONS(115),
    [anon_sym_declare] = ACTIONS(115),
    [anon_sym_public] = ACTIONS(115),
    [anon_sym_private] = ACTIONS(115),
    [anon_sym_protected] = ACTIONS(115),
    [anon_sym_override] = ACTIONS(115),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_any] = ACTIONS(115),
    [anon_sym_number] = ACTIONS(115),
    [anon_sym_boolean] = ACTIONS(115),
    [anon_sym_string] = ACTIONS(115),
    [anon_sym_symbol] = ACTIONS(115),
    [anon_sym_object] = ACTIONS(115),
    [sym_html_comment] = ACTIONS(5),
  },
  [254] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1381),
    [sym_expression] = STATE(1924),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5574),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5574),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5865),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1381),
    [sym_subscript_expression] = STATE(1381),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(3033),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5574),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1381),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(635),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(1489),
    [anon_sym_export] = ACTIONS(1275),
    [anon_sym_type] = ACTIONS(1275),
    [anon_sym_namespace] = ACTIONS(1277),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_COMMA] = ACTIONS(1777),
    [anon_sym_typeof] = ACTIONS(763),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1275),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_RPAREN] = ACTIONS(1777),
    [anon_sym_await] = ACTIONS(743),
    [anon_sym_yield] = ACTIONS(745),
    [anon_sym_LBRACK] = ACTIONS(1777),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(1777),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1285),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1493),
    [anon_sym_using] = ACTIONS(753),
    [anon_sym_AMP] = ACTIONS(1777),
    [anon_sym_PIPE] = ACTIONS(1777),
    [anon_sym_PLUS] = ACTIONS(763),
    [anon_sym_DASH] = ACTIONS(763),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(739),
    [anon_sym_void] = ACTIONS(763),
    [anon_sym_delete] = ACTIONS(763),
    [anon_sym_PLUS_PLUS] = ACTIONS(765),
    [anon_sym_DASH_DASH] = ACTIONS(765),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(771),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1495),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1275),
    [anon_sym_readonly] = ACTIONS(1275),
    [anon_sym_get] = ACTIONS(1275),
    [anon_sym_set] = ACTIONS(1275),
    [anon_sym_declare] = ACTIONS(1275),
    [anon_sym_public] = ACTIONS(1275),
    [anon_sym_private] = ACTIONS(1275),
    [anon_sym_protected] = ACTIONS(1275),
    [anon_sym_override] = ACTIONS(1275),
    [anon_sym_module] = ACTIONS(1275),
    [anon_sym_any] = ACTIONS(1275),
    [anon_sym_number] = ACTIONS(1275),
    [anon_sym_boolean] = ACTIONS(1275),
    [anon_sym_string] = ACTIONS(1275),
    [anon_sym_symbol] = ACTIONS(1275),
    [anon_sym_object] = ACTIONS(1275),
    [anon_sym_extends] = ACTIONS(1779),
    [sym_html_comment] = ACTIONS(5),
  },
  [255] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1228),
    [sym_expression] = STATE(2615),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(3739),
    [sym_assignment_pattern] = STATE(5357),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(3739),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5824),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1302),
    [sym_subscript_expression] = STATE(1302),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(2969),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(3739),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_pattern] = STATE(4553),
    [sym_rest_pattern] = STATE(3605),
    [sym_non_null_expression] = STATE(1302),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(537),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(701),
    [anon_sym_export] = ACTIONS(115),
    [anon_sym_type] = ACTIONS(115),
    [anon_sym_namespace] = ACTIONS(124),
    [anon_sym_LBRACE] = ACTIONS(703),
    [anon_sym_COMMA] = ACTIONS(1974),
    [anon_sym_typeof] = ACTIONS(184),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(115),
    [anon_sym_BANG] = ACTIONS(180),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(1671),
    [anon_sym_RBRACK] = ACTIONS(1974),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(155),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(711),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(169),
    [anon_sym_PLUS] = ACTIONS(184),
    [anon_sym_DASH] = ACTIONS(184),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(691),
    [anon_sym_DASH_DASH] = ACTIONS(691),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(723),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(115),
    [anon_sym_readonly] = ACTIONS(115),
    [anon_sym_get] = ACTIONS(115),
    [anon_sym_set] = ACTIONS(115),
    [anon_sym_declare] = ACTIONS(115),
    [anon_sym_public] = ACTIONS(115),
    [anon_sym_private] = ACTIONS(115),
    [anon_sym_protected] = ACTIONS(115),
    [anon_sym_override] = ACTIONS(115),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_any] = ACTIONS(115),
    [anon_sym_number] = ACTIONS(115),
    [anon_sym_boolean] = ACTIONS(115),
    [anon_sym_string] = ACTIONS(115),
    [anon_sym_symbol] = ACTIONS(115),
    [anon_sym_object] = ACTIONS(115),
    [sym_html_comment] = ACTIONS(5),
  },
  [256] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1381),
    [sym_expression] = STATE(2258),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5574),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5574),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5865),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1381),
    [sym_subscript_expression] = STATE(1381),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(3033),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5574),
    [sym_spread_element] = STATE(4648),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1381),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(635),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [aux_sym_array_repeat1] = STATE(4649),
    [sym_identifier] = ACTIONS(1489),
    [anon_sym_export] = ACTIONS(1275),
    [anon_sym_type] = ACTIONS(1275),
    [anon_sym_namespace] = ACTIONS(1277),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_COMMA] = ACTIONS(1976),
    [anon_sym_typeof] = ACTIONS(763),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1275),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_RPAREN] = ACTIONS(1978),
    [anon_sym_await] = ACTIONS(743),
    [anon_sym_yield] = ACTIONS(745),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1285),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1493),
    [anon_sym_using] = ACTIONS(753),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1980),
    [anon_sym_PLUS] = ACTIONS(763),
    [anon_sym_DASH] = ACTIONS(763),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(739),
    [anon_sym_void] = ACTIONS(763),
    [anon_sym_delete] = ACTIONS(763),
    [anon_sym_PLUS_PLUS] = ACTIONS(765),
    [anon_sym_DASH_DASH] = ACTIONS(765),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(771),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1495),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1275),
    [anon_sym_readonly] = ACTIONS(1275),
    [anon_sym_get] = ACTIONS(1275),
    [anon_sym_set] = ACTIONS(1275),
    [anon_sym_declare] = ACTIONS(1275),
    [anon_sym_public] = ACTIONS(1275),
    [anon_sym_private] = ACTIONS(1275),
    [anon_sym_protected] = ACTIONS(1275),
    [anon_sym_override] = ACTIONS(1275),
    [anon_sym_module] = ACTIONS(1275),
    [anon_sym_any] = ACTIONS(1275),
    [anon_sym_number] = ACTIONS(1275),
    [anon_sym_boolean] = ACTIONS(1275),
    [anon_sym_string] = ACTIONS(1275),
    [anon_sym_symbol] = ACTIONS(1275),
    [anon_sym_object] = ACTIONS(1275),
    [sym_html_comment] = ACTIONS(5),
  },
  [257] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1391),
    [sym_expression] = STATE(2108),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5815),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5815),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5603),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1391),
    [sym_subscript_expression] = STATE(1391),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(2984),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5815),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1391),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(564),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(1505),
    [anon_sym_export] = ACTIONS(1325),
    [anon_sym_type] = ACTIONS(1325),
    [anon_sym_namespace] = ACTIONS(1327),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_COMMA] = ACTIONS(1777),
    [anon_sym_typeof] = ACTIONS(1347),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1325),
    [anon_sym_BANG] = ACTIONS(1331),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(1333),
    [anon_sym_yield] = ACTIONS(1335),
    [anon_sym_LBRACK] = ACTIONS(1777),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(1777),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1337),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1509),
    [anon_sym_using] = ACTIONS(1341),
    [anon_sym_AMP] = ACTIONS(1777),
    [anon_sym_PIPE] = ACTIONS(1777),
    [anon_sym_PLUS] = ACTIONS(1347),
    [anon_sym_DASH] = ACTIONS(1347),
    [anon_sym_SLASH] = ACTIONS(949),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1331),
    [anon_sym_void] = ACTIONS(1347),
    [anon_sym_delete] = ACTIONS(1347),
    [anon_sym_PLUS_PLUS] = ACTIONS(1349),
    [anon_sym_DASH_DASH] = ACTIONS(1349),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(1351),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1511),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1325),
    [anon_sym_readonly] = ACTIONS(1325),
    [anon_sym_get] = ACTIONS(1325),
    [anon_sym_set] = ACTIONS(1325),
    [anon_sym_declare] = ACTIONS(1325),
    [anon_sym_public] = ACTIONS(1325),
    [anon_sym_private] = ACTIONS(1325),
    [anon_sym_protected] = ACTIONS(1325),
    [anon_sym_override] = ACTIONS(1325),
    [anon_sym_module] = ACTIONS(1325),
    [anon_sym_any] = ACTIONS(1325),
    [anon_sym_number] = ACTIONS(1325),
    [anon_sym_boolean] = ACTIONS(1325),
    [anon_sym_string] = ACTIONS(1325),
    [anon_sym_symbol] = ACTIONS(1325),
    [anon_sym_object] = ACTIONS(1325),
    [anon_sym_extends] = ACTIONS(1779),
    [sym_html_comment] = ACTIONS(5),
  },
  [258] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1459),
    [sym_expression] = STATE(2458),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5835),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5835),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5489),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1459),
    [sym_subscript_expression] = STATE(1459),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(3006),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5835),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1459),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(617),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(1529),
    [anon_sym_export] = ACTIONS(1081),
    [anon_sym_type] = ACTIONS(1081),
    [anon_sym_namespace] = ACTIONS(1083),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_COMMA] = ACTIONS(1777),
    [anon_sym_typeof] = ACTIONS(1107),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1081),
    [anon_sym_BANG] = ACTIONS(1089),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(1091),
    [anon_sym_yield] = ACTIONS(1093),
    [anon_sym_LBRACK] = ACTIONS(1777),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(1777),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1097),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1533),
    [anon_sym_using] = ACTIONS(1101),
    [anon_sym_AMP] = ACTIONS(1777),
    [anon_sym_PIPE] = ACTIONS(1777),
    [anon_sym_PLUS] = ACTIONS(1107),
    [anon_sym_DASH] = ACTIONS(1107),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1089),
    [anon_sym_void] = ACTIONS(1107),
    [anon_sym_delete] = ACTIONS(1107),
    [anon_sym_PLUS_PLUS] = ACTIONS(1109),
    [anon_sym_DASH_DASH] = ACTIONS(1109),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(1115),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1535),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1081),
    [anon_sym_readonly] = ACTIONS(1081),
    [anon_sym_get] = ACTIONS(1081),
    [anon_sym_set] = ACTIONS(1081),
    [anon_sym_declare] = ACTIONS(1081),
    [anon_sym_public] = ACTIONS(1081),
    [anon_sym_private] = ACTIONS(1081),
    [anon_sym_protected] = ACTIONS(1081),
    [anon_sym_override] = ACTIONS(1081),
    [anon_sym_module] = ACTIONS(1081),
    [anon_sym_any] = ACTIONS(1081),
    [anon_sym_number] = ACTIONS(1081),
    [anon_sym_boolean] = ACTIONS(1081),
    [anon_sym_string] = ACTIONS(1081),
    [anon_sym_symbol] = ACTIONS(1081),
    [anon_sym_object] = ACTIONS(1081),
    [anon_sym_extends] = ACTIONS(1779),
    [sym_html_comment] = ACTIONS(5),
  },
  [259] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1381),
    [sym_expression] = STATE(2192),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5574),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5574),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5865),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1381),
    [sym_subscript_expression] = STATE(1381),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(3033),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5574),
    [sym_spread_element] = STATE(4563),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1381),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(635),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [aux_sym_array_repeat1] = STATE(4564),
    [sym_identifier] = ACTIONS(1489),
    [anon_sym_export] = ACTIONS(1275),
    [anon_sym_type] = ACTIONS(1275),
    [anon_sym_namespace] = ACTIONS(1277),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_COMMA] = ACTIONS(1976),
    [anon_sym_typeof] = ACTIONS(763),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1275),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_RPAREN] = ACTIONS(1982),
    [anon_sym_await] = ACTIONS(743),
    [anon_sym_yield] = ACTIONS(745),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1285),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1493),
    [anon_sym_using] = ACTIONS(753),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1980),
    [anon_sym_PLUS] = ACTIONS(763),
    [anon_sym_DASH] = ACTIONS(763),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(739),
    [anon_sym_void] = ACTIONS(763),
    [anon_sym_delete] = ACTIONS(763),
    [anon_sym_PLUS_PLUS] = ACTIONS(765),
    [anon_sym_DASH_DASH] = ACTIONS(765),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(771),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1495),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1275),
    [anon_sym_readonly] = ACTIONS(1275),
    [anon_sym_get] = ACTIONS(1275),
    [anon_sym_set] = ACTIONS(1275),
    [anon_sym_declare] = ACTIONS(1275),
    [anon_sym_public] = ACTIONS(1275),
    [anon_sym_private] = ACTIONS(1275),
    [anon_sym_protected] = ACTIONS(1275),
    [anon_sym_override] = ACTIONS(1275),
    [anon_sym_module] = ACTIONS(1275),
    [anon_sym_any] = ACTIONS(1275),
    [anon_sym_number] = ACTIONS(1275),
    [anon_sym_boolean] = ACTIONS(1275),
    [anon_sym_string] = ACTIONS(1275),
    [anon_sym_symbol] = ACTIONS(1275),
    [anon_sym_object] = ACTIONS(1275),
    [sym_html_comment] = ACTIONS(5),
  },
  [260] = {
    [sym_identifier] = ACTIONS(1984),
    [anon_sym_export] = ACTIONS(1984),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(1984),
    [anon_sym_EQ] = ACTIONS(221),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(1984),
    [anon_sym_LBRACE] = ACTIONS(1986),
    [anon_sym_COMMA] = ACTIONS(224),
    [anon_sym_typeof] = ACTIONS(1984),
    [anon_sym_import] = ACTIONS(1984),
    [anon_sym_let] = ACTIONS(1984),
    [anon_sym_BANG] = ACTIONS(1984),
    [anon_sym_LPAREN] = ACTIONS(1986),
    [anon_sym_RPAREN] = ACTIONS(224),
    [anon_sym_await] = ACTIONS(1984),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(224),
    [anon_sym_yield] = ACTIONS(1984),
    [anon_sym_LBRACK] = ACTIONS(1986),
    [sym_glimmer_opening_tag] = ACTIONS(1986),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(122),
    [anon_sym_DQUOTE] = ACTIONS(1986),
    [anon_sym_SQUOTE] = ACTIONS(1986),
    [anon_sym_class] = ACTIONS(1984),
    [anon_sym_async] = ACTIONS(1984),
    [anon_sym_function] = ACTIONS(1984),
    [anon_sym_EQ_GT] = ACTIONS(227),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(1984),
    [anon_sym_using] = ACTIONS(1984),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1986),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(1984),
    [anon_sym_DASH] = ACTIONS(1984),
    [anon_sym_SLASH] = ACTIONS(1984),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(1984),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(1986),
    [anon_sym_void] = ACTIONS(1984),
    [anon_sym_delete] = ACTIONS(1984),
    [anon_sym_PLUS_PLUS] = ACTIONS(1986),
    [anon_sym_DASH_DASH] = ACTIONS(1986),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1986),
    [sym_number] = ACTIONS(1986),
    [sym_private_property_identifier] = ACTIONS(1986),
    [sym_this] = ACTIONS(1984),
    [sym_super] = ACTIONS(1984),
    [sym_true] = ACTIONS(1984),
    [sym_false] = ACTIONS(1984),
    [sym_null] = ACTIONS(1984),
    [sym_undefined] = ACTIONS(1984),
    [anon_sym_AT] = ACTIONS(1986),
    [anon_sym_static] = ACTIONS(1984),
    [anon_sym_readonly] = ACTIONS(1984),
    [anon_sym_get] = ACTIONS(1984),
    [anon_sym_set] = ACTIONS(1984),
    [anon_sym_QMARK] = ACTIONS(725),
    [anon_sym_declare] = ACTIONS(1984),
    [anon_sym_public] = ACTIONS(1984),
    [anon_sym_private] = ACTIONS(1984),
    [anon_sym_protected] = ACTIONS(1984),
    [anon_sym_override] = ACTIONS(1984),
    [anon_sym_module] = ACTIONS(1984),
    [anon_sym_any] = ACTIONS(1984),
    [anon_sym_number] = ACTIONS(1984),
    [anon_sym_boolean] = ACTIONS(1984),
    [anon_sym_string] = ACTIONS(1984),
    [anon_sym_symbol] = ACTIONS(1984),
    [anon_sym_object] = ACTIONS(1984),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [261] = {
    [sym_import] = STATE(3513),
    [sym_parenthesized_expression] = STATE(1353),
    [sym_expression] = STATE(1826),
    [sym_primary_expression] = STATE(1833),
    [sym_yield_expression] = STATE(2130),
    [sym_object] = STATE(2117),
    [sym_object_pattern] = STATE(5484),
    [sym_array] = STATE(2117),
    [sym_array_pattern] = STATE(5484),
    [sym_glimmer_template] = STATE(2130),
    [sym_class] = STATE(2117),
    [sym_function_expression] = STATE(2117),
    [sym_generator_function] = STATE(2117),
    [sym_arrow_function] = STATE(2117),
    [sym__call_signature] = STATE(5525),
    [sym_call_expression] = STATE(2117),
    [sym_new_expression] = STATE(1963),
    [sym_await_expression] = STATE(2130),
    [sym_member_expression] = STATE(1353),
    [sym_subscript_expression] = STATE(1353),
    [sym_assignment_expression] = STATE(2130),
    [sym__augmented_assignment_lhs] = STATE(3036),
    [sym_augmented_assignment_expression] = STATE(2130),
    [sym__destructuring_pattern] = STATE(5484),
    [sym_ternary_expression] = STATE(2130),
    [sym_binary_expression] = STATE(2130),
    [sym_unary_expression] = STATE(2130),
    [sym_update_expression] = STATE(2130),
    [sym_string] = STATE(2117),
    [sym_template_string] = STATE(2117),
    [sym_regex] = STATE(2117),
    [sym_meta_property] = STATE(2117),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1353),
    [sym_type_assertion] = STATE(2130),
    [sym_as_expression] = STATE(2130),
    [sym_satisfies_expression] = STATE(2130),
    [sym_instantiation_expression] = STATE(2130),
    [sym_internal_module] = STATE(2130),
    [sym_type_arguments] = STATE(427),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4499),
    [sym_identifier] = ACTIONS(1475),
    [anon_sym_export] = ACTIONS(1443),
    [anon_sym_type] = ACTIONS(1443),
    [anon_sym_namespace] = ACTIONS(1445),
    [anon_sym_LBRACE] = ACTIONS(670),
    [anon_sym_COMMA] = ACTIONS(1777),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(674),
    [anon_sym_let] = ACTIONS(1443),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(1777),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_GT] = ACTIONS(1777),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(681),
    [anon_sym_async] = ACTIONS(1449),
    [anon_sym_function] = ACTIONS(685),
    [anon_sym_new] = ACTIONS(1479),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_AMP] = ACTIONS(1777),
    [anon_sym_PIPE] = ACTIONS(1777),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1443),
    [anon_sym_readonly] = ACTIONS(1443),
    [anon_sym_get] = ACTIONS(1443),
    [anon_sym_set] = ACTIONS(1443),
    [anon_sym_declare] = ACTIONS(1443),
    [anon_sym_public] = ACTIONS(1443),
    [anon_sym_private] = ACTIONS(1443),
    [anon_sym_protected] = ACTIONS(1443),
    [anon_sym_override] = ACTIONS(1443),
    [anon_sym_module] = ACTIONS(1443),
    [anon_sym_any] = ACTIONS(1443),
    [anon_sym_number] = ACTIONS(1443),
    [anon_sym_boolean] = ACTIONS(1443),
    [anon_sym_string] = ACTIONS(1443),
    [anon_sym_symbol] = ACTIONS(1443),
    [anon_sym_object] = ACTIONS(1443),
    [anon_sym_extends] = ACTIONS(1779),
    [sym_html_comment] = ACTIONS(5),
  },
  [262] = {
    [sym_identifier] = ACTIONS(1988),
    [anon_sym_export] = ACTIONS(1988),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(1988),
    [anon_sym_EQ] = ACTIONS(221),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(1988),
    [anon_sym_LBRACE] = ACTIONS(1990),
    [anon_sym_COMMA] = ACTIONS(224),
    [anon_sym_typeof] = ACTIONS(1988),
    [anon_sym_import] = ACTIONS(1988),
    [anon_sym_let] = ACTIONS(1988),
    [anon_sym_BANG] = ACTIONS(1988),
    [anon_sym_LPAREN] = ACTIONS(1990),
    [anon_sym_RPAREN] = ACTIONS(224),
    [anon_sym_await] = ACTIONS(1988),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(224),
    [anon_sym_yield] = ACTIONS(1988),
    [anon_sym_LBRACK] = ACTIONS(1990),
    [sym_glimmer_opening_tag] = ACTIONS(1990),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(122),
    [anon_sym_DQUOTE] = ACTIONS(1990),
    [anon_sym_SQUOTE] = ACTIONS(1990),
    [anon_sym_class] = ACTIONS(1988),
    [anon_sym_async] = ACTIONS(1988),
    [anon_sym_function] = ACTIONS(1988),
    [anon_sym_EQ_GT] = ACTIONS(227),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(1988),
    [anon_sym_using] = ACTIONS(1988),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1990),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(1988),
    [anon_sym_DASH] = ACTIONS(1988),
    [anon_sym_SLASH] = ACTIONS(1988),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(1988),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(1990),
    [anon_sym_void] = ACTIONS(1988),
    [anon_sym_delete] = ACTIONS(1988),
    [anon_sym_PLUS_PLUS] = ACTIONS(1990),
    [anon_sym_DASH_DASH] = ACTIONS(1990),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1990),
    [sym_number] = ACTIONS(1990),
    [sym_private_property_identifier] = ACTIONS(1990),
    [sym_this] = ACTIONS(1988),
    [sym_super] = ACTIONS(1988),
    [sym_true] = ACTIONS(1988),
    [sym_false] = ACTIONS(1988),
    [sym_null] = ACTIONS(1988),
    [sym_undefined] = ACTIONS(1988),
    [anon_sym_AT] = ACTIONS(1990),
    [anon_sym_static] = ACTIONS(1988),
    [anon_sym_readonly] = ACTIONS(1988),
    [anon_sym_get] = ACTIONS(1988),
    [anon_sym_set] = ACTIONS(1988),
    [anon_sym_QMARK] = ACTIONS(725),
    [anon_sym_declare] = ACTIONS(1988),
    [anon_sym_public] = ACTIONS(1988),
    [anon_sym_private] = ACTIONS(1988),
    [anon_sym_protected] = ACTIONS(1988),
    [anon_sym_override] = ACTIONS(1988),
    [anon_sym_module] = ACTIONS(1988),
    [anon_sym_any] = ACTIONS(1988),
    [anon_sym_number] = ACTIONS(1988),
    [anon_sym_boolean] = ACTIONS(1988),
    [anon_sym_string] = ACTIONS(1988),
    [anon_sym_symbol] = ACTIONS(1988),
    [anon_sym_object] = ACTIONS(1988),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [263] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1457),
    [sym_expression] = STATE(2450),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5827),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5827),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5728),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1457),
    [sym_subscript_expression] = STATE(1457),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(3001),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5827),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1457),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(591),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(1521),
    [anon_sym_export] = ACTIONS(1361),
    [anon_sym_type] = ACTIONS(1361),
    [anon_sym_namespace] = ACTIONS(1363),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_COMMA] = ACTIONS(1777),
    [anon_sym_typeof] = ACTIONS(1383),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1361),
    [anon_sym_BANG] = ACTIONS(1367),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(1369),
    [anon_sym_yield] = ACTIONS(1371),
    [anon_sym_LBRACK] = ACTIONS(1777),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(1777),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1373),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1525),
    [anon_sym_using] = ACTIONS(1377),
    [anon_sym_AMP] = ACTIONS(1777),
    [anon_sym_PIPE] = ACTIONS(1777),
    [anon_sym_PLUS] = ACTIONS(1383),
    [anon_sym_DASH] = ACTIONS(1383),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1367),
    [anon_sym_void] = ACTIONS(1383),
    [anon_sym_delete] = ACTIONS(1383),
    [anon_sym_PLUS_PLUS] = ACTIONS(1385),
    [anon_sym_DASH_DASH] = ACTIONS(1385),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(1387),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1527),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1361),
    [anon_sym_readonly] = ACTIONS(1361),
    [anon_sym_get] = ACTIONS(1361),
    [anon_sym_set] = ACTIONS(1361),
    [anon_sym_declare] = ACTIONS(1361),
    [anon_sym_public] = ACTIONS(1361),
    [anon_sym_private] = ACTIONS(1361),
    [anon_sym_protected] = ACTIONS(1361),
    [anon_sym_override] = ACTIONS(1361),
    [anon_sym_module] = ACTIONS(1361),
    [anon_sym_any] = ACTIONS(1361),
    [anon_sym_number] = ACTIONS(1361),
    [anon_sym_boolean] = ACTIONS(1361),
    [anon_sym_string] = ACTIONS(1361),
    [anon_sym_symbol] = ACTIONS(1361),
    [anon_sym_object] = ACTIONS(1361),
    [anon_sym_extends] = ACTIONS(1779),
    [sym_html_comment] = ACTIONS(5),
  },
  [264] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1381),
    [sym_expression] = STATE(2256),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5574),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5574),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5865),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1381),
    [sym_subscript_expression] = STATE(1381),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(3033),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5574),
    [sym_spread_element] = STATE(4637),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1381),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(635),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [aux_sym_array_repeat1] = STATE(4638),
    [sym_identifier] = ACTIONS(1489),
    [anon_sym_export] = ACTIONS(1275),
    [anon_sym_type] = ACTIONS(1275),
    [anon_sym_namespace] = ACTIONS(1277),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_COMMA] = ACTIONS(1976),
    [anon_sym_typeof] = ACTIONS(763),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1275),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_RPAREN] = ACTIONS(1992),
    [anon_sym_await] = ACTIONS(743),
    [anon_sym_yield] = ACTIONS(745),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1285),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1493),
    [anon_sym_using] = ACTIONS(753),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1980),
    [anon_sym_PLUS] = ACTIONS(763),
    [anon_sym_DASH] = ACTIONS(763),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(739),
    [anon_sym_void] = ACTIONS(763),
    [anon_sym_delete] = ACTIONS(763),
    [anon_sym_PLUS_PLUS] = ACTIONS(765),
    [anon_sym_DASH_DASH] = ACTIONS(765),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(771),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1495),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1275),
    [anon_sym_readonly] = ACTIONS(1275),
    [anon_sym_get] = ACTIONS(1275),
    [anon_sym_set] = ACTIONS(1275),
    [anon_sym_declare] = ACTIONS(1275),
    [anon_sym_public] = ACTIONS(1275),
    [anon_sym_private] = ACTIONS(1275),
    [anon_sym_protected] = ACTIONS(1275),
    [anon_sym_override] = ACTIONS(1275),
    [anon_sym_module] = ACTIONS(1275),
    [anon_sym_any] = ACTIONS(1275),
    [anon_sym_number] = ACTIONS(1275),
    [anon_sym_boolean] = ACTIONS(1275),
    [anon_sym_string] = ACTIONS(1275),
    [anon_sym_symbol] = ACTIONS(1275),
    [anon_sym_object] = ACTIONS(1275),
    [sym_html_comment] = ACTIONS(5),
  },
  [265] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1228),
    [sym_expression] = STATE(2615),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(3739),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(3739),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5824),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1302),
    [sym_subscript_expression] = STATE(1302),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(2969),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(3739),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_pattern] = STATE(3921),
    [sym_rest_pattern] = STATE(3605),
    [sym_non_null_expression] = STATE(1302),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_accessibility_modifier] = STATE(279),
    [sym_override_modifier] = STATE(298),
    [sym_type_arguments] = STATE(537),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(1257),
    [sym_identifier] = ACTIONS(701),
    [anon_sym_export] = ACTIONS(115),
    [anon_sym_type] = ACTIONS(115),
    [anon_sym_namespace] = ACTIONS(124),
    [anon_sym_LBRACE] = ACTIONS(703),
    [anon_sym_typeof] = ACTIONS(184),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(115),
    [anon_sym_BANG] = ACTIONS(180),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(1671),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(1994),
    [anon_sym_async] = ACTIONS(155),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(711),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(169),
    [anon_sym_PLUS] = ACTIONS(184),
    [anon_sym_DASH] = ACTIONS(184),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(691),
    [anon_sym_DASH_DASH] = ACTIONS(691),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(1996),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(723),
    [anon_sym_AT] = ACTIONS(779),
    [anon_sym_static] = ACTIONS(115),
    [anon_sym_readonly] = ACTIONS(1998),
    [anon_sym_get] = ACTIONS(115),
    [anon_sym_set] = ACTIONS(115),
    [anon_sym_declare] = ACTIONS(115),
    [anon_sym_public] = ACTIONS(805),
    [anon_sym_private] = ACTIONS(805),
    [anon_sym_protected] = ACTIONS(805),
    [anon_sym_override] = ACTIONS(807),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_any] = ACTIONS(115),
    [anon_sym_number] = ACTIONS(115),
    [anon_sym_boolean] = ACTIONS(115),
    [anon_sym_string] = ACTIONS(115),
    [anon_sym_symbol] = ACTIONS(115),
    [anon_sym_object] = ACTIONS(115),
    [sym_html_comment] = ACTIONS(5),
  },
  [266] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1381),
    [sym_expression] = STATE(2251),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5574),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5574),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5865),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1381),
    [sym_subscript_expression] = STATE(1381),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(3033),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5574),
    [sym_spread_element] = STATE(4595),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1381),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(635),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [aux_sym_array_repeat1] = STATE(4596),
    [sym_identifier] = ACTIONS(1489),
    [anon_sym_export] = ACTIONS(1275),
    [anon_sym_type] = ACTIONS(1275),
    [anon_sym_namespace] = ACTIONS(1277),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_COMMA] = ACTIONS(1976),
    [anon_sym_typeof] = ACTIONS(763),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1275),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_RPAREN] = ACTIONS(2000),
    [anon_sym_await] = ACTIONS(743),
    [anon_sym_yield] = ACTIONS(745),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1285),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1493),
    [anon_sym_using] = ACTIONS(753),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1980),
    [anon_sym_PLUS] = ACTIONS(763),
    [anon_sym_DASH] = ACTIONS(763),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(739),
    [anon_sym_void] = ACTIONS(763),
    [anon_sym_delete] = ACTIONS(763),
    [anon_sym_PLUS_PLUS] = ACTIONS(765),
    [anon_sym_DASH_DASH] = ACTIONS(765),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(771),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1495),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1275),
    [anon_sym_readonly] = ACTIONS(1275),
    [anon_sym_get] = ACTIONS(1275),
    [anon_sym_set] = ACTIONS(1275),
    [anon_sym_declare] = ACTIONS(1275),
    [anon_sym_public] = ACTIONS(1275),
    [anon_sym_private] = ACTIONS(1275),
    [anon_sym_protected] = ACTIONS(1275),
    [anon_sym_override] = ACTIONS(1275),
    [anon_sym_module] = ACTIONS(1275),
    [anon_sym_any] = ACTIONS(1275),
    [anon_sym_number] = ACTIONS(1275),
    [anon_sym_boolean] = ACTIONS(1275),
    [anon_sym_string] = ACTIONS(1275),
    [anon_sym_symbol] = ACTIONS(1275),
    [anon_sym_object] = ACTIONS(1275),
    [sym_html_comment] = ACTIONS(5),
  },
  [267] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1381),
    [sym_expression] = STATE(2347),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5574),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5574),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5865),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1381),
    [sym_subscript_expression] = STATE(1381),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(3033),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5574),
    [sym_spread_element] = STATE(4571),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1381),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(635),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [aux_sym_array_repeat1] = STATE(4554),
    [sym_identifier] = ACTIONS(1489),
    [anon_sym_export] = ACTIONS(1275),
    [anon_sym_type] = ACTIONS(1275),
    [anon_sym_namespace] = ACTIONS(1277),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_COMMA] = ACTIONS(1976),
    [anon_sym_typeof] = ACTIONS(763),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1275),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_RPAREN] = ACTIONS(2002),
    [anon_sym_await] = ACTIONS(743),
    [anon_sym_yield] = ACTIONS(745),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1285),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1493),
    [anon_sym_using] = ACTIONS(753),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1980),
    [anon_sym_PLUS] = ACTIONS(763),
    [anon_sym_DASH] = ACTIONS(763),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(739),
    [anon_sym_void] = ACTIONS(763),
    [anon_sym_delete] = ACTIONS(763),
    [anon_sym_PLUS_PLUS] = ACTIONS(765),
    [anon_sym_DASH_DASH] = ACTIONS(765),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(771),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1495),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1275),
    [anon_sym_readonly] = ACTIONS(1275),
    [anon_sym_get] = ACTIONS(1275),
    [anon_sym_set] = ACTIONS(1275),
    [anon_sym_declare] = ACTIONS(1275),
    [anon_sym_public] = ACTIONS(1275),
    [anon_sym_private] = ACTIONS(1275),
    [anon_sym_protected] = ACTIONS(1275),
    [anon_sym_override] = ACTIONS(1275),
    [anon_sym_module] = ACTIONS(1275),
    [anon_sym_any] = ACTIONS(1275),
    [anon_sym_number] = ACTIONS(1275),
    [anon_sym_boolean] = ACTIONS(1275),
    [anon_sym_string] = ACTIONS(1275),
    [anon_sym_symbol] = ACTIONS(1275),
    [anon_sym_object] = ACTIONS(1275),
    [sym_html_comment] = ACTIONS(5),
  },
  [268] = {
    [sym_identifier] = ACTIONS(1984),
    [anon_sym_export] = ACTIONS(1984),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(1984),
    [anon_sym_EQ] = ACTIONS(119),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(1984),
    [anon_sym_LBRACE] = ACTIONS(1986),
    [anon_sym_COMMA] = ACTIONS(128),
    [anon_sym_typeof] = ACTIONS(1984),
    [anon_sym_import] = ACTIONS(1984),
    [anon_sym_let] = ACTIONS(1984),
    [anon_sym_BANG] = ACTIONS(1984),
    [anon_sym_LPAREN] = ACTIONS(1986),
    [anon_sym_RPAREN] = ACTIONS(128),
    [anon_sym_await] = ACTIONS(1984),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(128),
    [anon_sym_yield] = ACTIONS(1984),
    [anon_sym_LBRACK] = ACTIONS(1986),
    [sym_glimmer_opening_tag] = ACTIONS(1986),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(122),
    [anon_sym_DQUOTE] = ACTIONS(1986),
    [anon_sym_SQUOTE] = ACTIONS(1986),
    [anon_sym_class] = ACTIONS(1984),
    [anon_sym_async] = ACTIONS(1984),
    [anon_sym_function] = ACTIONS(1984),
    [anon_sym_EQ_GT] = ACTIONS(159),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(1984),
    [anon_sym_using] = ACTIONS(1984),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1986),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(1984),
    [anon_sym_DASH] = ACTIONS(1984),
    [anon_sym_SLASH] = ACTIONS(1984),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(1984),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(1986),
    [anon_sym_void] = ACTIONS(1984),
    [anon_sym_delete] = ACTIONS(1984),
    [anon_sym_PLUS_PLUS] = ACTIONS(1986),
    [anon_sym_DASH_DASH] = ACTIONS(1986),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1986),
    [sym_number] = ACTIONS(1986),
    [sym_private_property_identifier] = ACTIONS(1986),
    [sym_this] = ACTIONS(1984),
    [sym_super] = ACTIONS(1984),
    [sym_true] = ACTIONS(1984),
    [sym_false] = ACTIONS(1984),
    [sym_null] = ACTIONS(1984),
    [sym_undefined] = ACTIONS(1984),
    [anon_sym_AT] = ACTIONS(1986),
    [anon_sym_static] = ACTIONS(1984),
    [anon_sym_readonly] = ACTIONS(1984),
    [anon_sym_get] = ACTIONS(1984),
    [anon_sym_set] = ACTIONS(1984),
    [anon_sym_QMARK] = ACTIONS(725),
    [anon_sym_declare] = ACTIONS(1984),
    [anon_sym_public] = ACTIONS(1984),
    [anon_sym_private] = ACTIONS(1984),
    [anon_sym_protected] = ACTIONS(1984),
    [anon_sym_override] = ACTIONS(1984),
    [anon_sym_module] = ACTIONS(1984),
    [anon_sym_any] = ACTIONS(1984),
    [anon_sym_number] = ACTIONS(1984),
    [anon_sym_boolean] = ACTIONS(1984),
    [anon_sym_string] = ACTIONS(1984),
    [anon_sym_symbol] = ACTIONS(1984),
    [anon_sym_object] = ACTIONS(1984),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [269] = {
    [sym_identifier] = ACTIONS(1988),
    [anon_sym_export] = ACTIONS(1988),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(1988),
    [anon_sym_EQ] = ACTIONS(119),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(1988),
    [anon_sym_LBRACE] = ACTIONS(1990),
    [anon_sym_COMMA] = ACTIONS(128),
    [anon_sym_typeof] = ACTIONS(1988),
    [anon_sym_import] = ACTIONS(1988),
    [anon_sym_let] = ACTIONS(1988),
    [anon_sym_BANG] = ACTIONS(1988),
    [anon_sym_LPAREN] = ACTIONS(1990),
    [anon_sym_RPAREN] = ACTIONS(128),
    [anon_sym_await] = ACTIONS(1988),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(128),
    [anon_sym_yield] = ACTIONS(1988),
    [anon_sym_LBRACK] = ACTIONS(1990),
    [sym_glimmer_opening_tag] = ACTIONS(1990),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(122),
    [anon_sym_DQUOTE] = ACTIONS(1990),
    [anon_sym_SQUOTE] = ACTIONS(1990),
    [anon_sym_class] = ACTIONS(1988),
    [anon_sym_async] = ACTIONS(1988),
    [anon_sym_function] = ACTIONS(1988),
    [anon_sym_EQ_GT] = ACTIONS(159),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(1988),
    [anon_sym_using] = ACTIONS(1988),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1990),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(1988),
    [anon_sym_DASH] = ACTIONS(1988),
    [anon_sym_SLASH] = ACTIONS(1988),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(1988),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(1990),
    [anon_sym_void] = ACTIONS(1988),
    [anon_sym_delete] = ACTIONS(1988),
    [anon_sym_PLUS_PLUS] = ACTIONS(1990),
    [anon_sym_DASH_DASH] = ACTIONS(1990),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1990),
    [sym_number] = ACTIONS(1990),
    [sym_private_property_identifier] = ACTIONS(1990),
    [sym_this] = ACTIONS(1988),
    [sym_super] = ACTIONS(1988),
    [sym_true] = ACTIONS(1988),
    [sym_false] = ACTIONS(1988),
    [sym_null] = ACTIONS(1988),
    [sym_undefined] = ACTIONS(1988),
    [anon_sym_AT] = ACTIONS(1990),
    [anon_sym_static] = ACTIONS(1988),
    [anon_sym_readonly] = ACTIONS(1988),
    [anon_sym_get] = ACTIONS(1988),
    [anon_sym_set] = ACTIONS(1988),
    [anon_sym_QMARK] = ACTIONS(725),
    [anon_sym_declare] = ACTIONS(1988),
    [anon_sym_public] = ACTIONS(1988),
    [anon_sym_private] = ACTIONS(1988),
    [anon_sym_protected] = ACTIONS(1988),
    [anon_sym_override] = ACTIONS(1988),
    [anon_sym_module] = ACTIONS(1988),
    [anon_sym_any] = ACTIONS(1988),
    [anon_sym_number] = ACTIONS(1988),
    [anon_sym_boolean] = ACTIONS(1988),
    [anon_sym_string] = ACTIONS(1988),
    [anon_sym_symbol] = ACTIONS(1988),
    [anon_sym_object] = ACTIONS(1988),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [270] = {
    [sym_import] = STATE(3513),
    [sym_parenthesized_expression] = STATE(1364),
    [sym_expression] = STATE(1875),
    [sym_primary_expression] = STATE(1833),
    [sym_yield_expression] = STATE(2130),
    [sym_object] = STATE(2117),
    [sym_object_pattern] = STATE(5785),
    [sym_array] = STATE(2117),
    [sym_array_pattern] = STATE(5785),
    [sym_glimmer_template] = STATE(2130),
    [sym_class] = STATE(2117),
    [sym_function_expression] = STATE(2117),
    [sym_generator_function] = STATE(2117),
    [sym_arrow_function] = STATE(2117),
    [sym__call_signature] = STATE(5783),
    [sym_call_expression] = STATE(2117),
    [sym_new_expression] = STATE(1963),
    [sym_await_expression] = STATE(2130),
    [sym_member_expression] = STATE(1364),
    [sym_subscript_expression] = STATE(1364),
    [sym_assignment_expression] = STATE(2130),
    [sym__augmented_assignment_lhs] = STATE(3037),
    [sym_augmented_assignment_expression] = STATE(2130),
    [sym__destructuring_pattern] = STATE(5785),
    [sym_ternary_expression] = STATE(2130),
    [sym_binary_expression] = STATE(2130),
    [sym_unary_expression] = STATE(2130),
    [sym_update_expression] = STATE(2130),
    [sym_string] = STATE(2117),
    [sym_template_string] = STATE(2117),
    [sym_regex] = STATE(2117),
    [sym_meta_property] = STATE(2117),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1364),
    [sym_type_assertion] = STATE(2130),
    [sym_as_expression] = STATE(2130),
    [sym_satisfies_expression] = STATE(2130),
    [sym_instantiation_expression] = STATE(2130),
    [sym_internal_module] = STATE(2130),
    [sym_type_arguments] = STATE(511),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4499),
    [sym_identifier] = ACTIONS(1481),
    [anon_sym_export] = ACTIONS(1227),
    [anon_sym_type] = ACTIONS(1227),
    [anon_sym_namespace] = ACTIONS(1229),
    [anon_sym_LBRACE] = ACTIONS(670),
    [anon_sym_COMMA] = ACTIONS(1777),
    [anon_sym_typeof] = ACTIONS(1253),
    [anon_sym_import] = ACTIONS(674),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_BANG] = ACTIONS(1235),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1237),
    [anon_sym_yield] = ACTIONS(1239),
    [anon_sym_LBRACK] = ACTIONS(1777),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_GT] = ACTIONS(1777),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(681),
    [anon_sym_async] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(685),
    [anon_sym_new] = ACTIONS(1485),
    [anon_sym_using] = ACTIONS(1247),
    [anon_sym_AMP] = ACTIONS(1777),
    [anon_sym_PIPE] = ACTIONS(1777),
    [anon_sym_PLUS] = ACTIONS(1253),
    [anon_sym_DASH] = ACTIONS(1253),
    [anon_sym_SLASH] = ACTIONS(885),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1235),
    [anon_sym_void] = ACTIONS(1253),
    [anon_sym_delete] = ACTIONS(1253),
    [anon_sym_PLUS_PLUS] = ACTIONS(1255),
    [anon_sym_DASH_DASH] = ACTIONS(1255),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1261),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1487),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1227),
    [anon_sym_readonly] = ACTIONS(1227),
    [anon_sym_get] = ACTIONS(1227),
    [anon_sym_set] = ACTIONS(1227),
    [anon_sym_declare] = ACTIONS(1227),
    [anon_sym_public] = ACTIONS(1227),
    [anon_sym_private] = ACTIONS(1227),
    [anon_sym_protected] = ACTIONS(1227),
    [anon_sym_override] = ACTIONS(1227),
    [anon_sym_module] = ACTIONS(1227),
    [anon_sym_any] = ACTIONS(1227),
    [anon_sym_number] = ACTIONS(1227),
    [anon_sym_boolean] = ACTIONS(1227),
    [anon_sym_string] = ACTIONS(1227),
    [anon_sym_symbol] = ACTIONS(1227),
    [anon_sym_object] = ACTIONS(1227),
    [anon_sym_extends] = ACTIONS(1779),
    [sym_html_comment] = ACTIONS(5),
  },
  [271] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1381),
    [sym_expression] = STATE(2241),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5574),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5574),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5865),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1381),
    [sym_subscript_expression] = STATE(1381),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(3033),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5574),
    [sym_spread_element] = STATE(4997),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1381),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(635),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [aux_sym_array_repeat1] = STATE(4998),
    [sym_identifier] = ACTIONS(1489),
    [anon_sym_export] = ACTIONS(1275),
    [anon_sym_type] = ACTIONS(1275),
    [anon_sym_namespace] = ACTIONS(1277),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_COMMA] = ACTIONS(1976),
    [anon_sym_typeof] = ACTIONS(763),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1275),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_RPAREN] = ACTIONS(2004),
    [anon_sym_await] = ACTIONS(743),
    [anon_sym_yield] = ACTIONS(745),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1285),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1493),
    [anon_sym_using] = ACTIONS(753),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1980),
    [anon_sym_PLUS] = ACTIONS(763),
    [anon_sym_DASH] = ACTIONS(763),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(739),
    [anon_sym_void] = ACTIONS(763),
    [anon_sym_delete] = ACTIONS(763),
    [anon_sym_PLUS_PLUS] = ACTIONS(765),
    [anon_sym_DASH_DASH] = ACTIONS(765),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(771),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1495),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1275),
    [anon_sym_readonly] = ACTIONS(1275),
    [anon_sym_get] = ACTIONS(1275),
    [anon_sym_set] = ACTIONS(1275),
    [anon_sym_declare] = ACTIONS(1275),
    [anon_sym_public] = ACTIONS(1275),
    [anon_sym_private] = ACTIONS(1275),
    [anon_sym_protected] = ACTIONS(1275),
    [anon_sym_override] = ACTIONS(1275),
    [anon_sym_module] = ACTIONS(1275),
    [anon_sym_any] = ACTIONS(1275),
    [anon_sym_number] = ACTIONS(1275),
    [anon_sym_boolean] = ACTIONS(1275),
    [anon_sym_string] = ACTIONS(1275),
    [anon_sym_symbol] = ACTIONS(1275),
    [anon_sym_object] = ACTIONS(1275),
    [sym_html_comment] = ACTIONS(5),
  },
  [272] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1461),
    [sym_expression] = STATE(2518),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5839),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5839),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5541),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1461),
    [sym_subscript_expression] = STATE(1461),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(3010),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5839),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1461),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(644),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(1513),
    [anon_sym_export] = ACTIONS(1407),
    [anon_sym_type] = ACTIONS(1407),
    [anon_sym_namespace] = ACTIONS(1409),
    [anon_sym_LBRACE] = ACTIONS(815),
    [anon_sym_COMMA] = ACTIONS(1777),
    [anon_sym_typeof] = ACTIONS(1429),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(1413),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(1415),
    [anon_sym_yield] = ACTIONS(1417),
    [anon_sym_LBRACK] = ACTIONS(1777),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(1777),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1419),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1517),
    [anon_sym_using] = ACTIONS(1423),
    [anon_sym_AMP] = ACTIONS(1777),
    [anon_sym_PIPE] = ACTIONS(1777),
    [anon_sym_PLUS] = ACTIONS(1429),
    [anon_sym_DASH] = ACTIONS(1429),
    [anon_sym_SLASH] = ACTIONS(979),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1413),
    [anon_sym_void] = ACTIONS(1429),
    [anon_sym_delete] = ACTIONS(1429),
    [anon_sym_PLUS_PLUS] = ACTIONS(1431),
    [anon_sym_DASH_DASH] = ACTIONS(1431),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(1433),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1519),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1407),
    [anon_sym_readonly] = ACTIONS(1407),
    [anon_sym_get] = ACTIONS(1407),
    [anon_sym_set] = ACTIONS(1407),
    [anon_sym_declare] = ACTIONS(1407),
    [anon_sym_public] = ACTIONS(1407),
    [anon_sym_private] = ACTIONS(1407),
    [anon_sym_protected] = ACTIONS(1407),
    [anon_sym_override] = ACTIONS(1407),
    [anon_sym_module] = ACTIONS(1407),
    [anon_sym_any] = ACTIONS(1407),
    [anon_sym_number] = ACTIONS(1407),
    [anon_sym_boolean] = ACTIONS(1407),
    [anon_sym_string] = ACTIONS(1407),
    [anon_sym_symbol] = ACTIONS(1407),
    [anon_sym_object] = ACTIONS(1407),
    [anon_sym_extends] = ACTIONS(1779),
    [sym_html_comment] = ACTIONS(5),
  },
  [273] = {
    [sym_import] = STATE(3513),
    [sym_parenthesized_expression] = STATE(1417),
    [sym_expression] = STATE(2259),
    [sym_primary_expression] = STATE(1833),
    [sym_yield_expression] = STATE(2130),
    [sym_object] = STATE(2117),
    [sym_object_pattern] = STATE(5592),
    [sym_array] = STATE(2117),
    [sym_array_pattern] = STATE(5592),
    [sym_glimmer_template] = STATE(2130),
    [sym_class] = STATE(2117),
    [sym_function_expression] = STATE(2117),
    [sym_generator_function] = STATE(2117),
    [sym_arrow_function] = STATE(2117),
    [sym__call_signature] = STATE(5478),
    [sym_call_expression] = STATE(2117),
    [sym_new_expression] = STATE(1963),
    [sym_await_expression] = STATE(2130),
    [sym_member_expression] = STATE(1417),
    [sym_subscript_expression] = STATE(1417),
    [sym_assignment_expression] = STATE(2130),
    [sym__augmented_assignment_lhs] = STATE(3012),
    [sym_augmented_assignment_expression] = STATE(2130),
    [sym__destructuring_pattern] = STATE(5592),
    [sym_ternary_expression] = STATE(2130),
    [sym_binary_expression] = STATE(2130),
    [sym_unary_expression] = STATE(2130),
    [sym_update_expression] = STATE(2130),
    [sym_string] = STATE(2117),
    [sym_template_string] = STATE(2117),
    [sym_regex] = STATE(2117),
    [sym_meta_property] = STATE(2117),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1417),
    [sym_type_assertion] = STATE(2130),
    [sym_as_expression] = STATE(2130),
    [sym_satisfies_expression] = STATE(2130),
    [sym_instantiation_expression] = STATE(2130),
    [sym_internal_module] = STATE(2130),
    [sym_type_arguments] = STATE(450),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4499),
    [sym_identifier] = ACTIONS(1497),
    [anon_sym_export] = ACTIONS(1129),
    [anon_sym_type] = ACTIONS(1129),
    [anon_sym_namespace] = ACTIONS(1131),
    [anon_sym_LBRACE] = ACTIONS(670),
    [anon_sym_COMMA] = ACTIONS(1777),
    [anon_sym_typeof] = ACTIONS(1157),
    [anon_sym_import] = ACTIONS(674),
    [anon_sym_let] = ACTIONS(1129),
    [anon_sym_BANG] = ACTIONS(1137),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1141),
    [anon_sym_yield] = ACTIONS(1143),
    [anon_sym_LBRACK] = ACTIONS(1777),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_GT] = ACTIONS(1777),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(681),
    [anon_sym_async] = ACTIONS(1147),
    [anon_sym_function] = ACTIONS(685),
    [anon_sym_new] = ACTIONS(1501),
    [anon_sym_using] = ACTIONS(1151),
    [anon_sym_AMP] = ACTIONS(1777),
    [anon_sym_PIPE] = ACTIONS(1777),
    [anon_sym_PLUS] = ACTIONS(1157),
    [anon_sym_DASH] = ACTIONS(1157),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1137),
    [anon_sym_void] = ACTIONS(1157),
    [anon_sym_delete] = ACTIONS(1157),
    [anon_sym_PLUS_PLUS] = ACTIONS(1159),
    [anon_sym_DASH_DASH] = ACTIONS(1159),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1165),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1503),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1129),
    [anon_sym_readonly] = ACTIONS(1129),
    [anon_sym_get] = ACTIONS(1129),
    [anon_sym_set] = ACTIONS(1129),
    [anon_sym_declare] = ACTIONS(1129),
    [anon_sym_public] = ACTIONS(1129),
    [anon_sym_private] = ACTIONS(1129),
    [anon_sym_protected] = ACTIONS(1129),
    [anon_sym_override] = ACTIONS(1129),
    [anon_sym_module] = ACTIONS(1129),
    [anon_sym_any] = ACTIONS(1129),
    [anon_sym_number] = ACTIONS(1129),
    [anon_sym_boolean] = ACTIONS(1129),
    [anon_sym_string] = ACTIONS(1129),
    [anon_sym_symbol] = ACTIONS(1129),
    [anon_sym_object] = ACTIONS(1129),
    [anon_sym_extends] = ACTIONS(1779),
    [sym_html_comment] = ACTIONS(5),
  },
  [274] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1381),
    [sym_expression] = STATE(2248),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5574),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5574),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5865),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1381),
    [sym_subscript_expression] = STATE(1381),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(3033),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5574),
    [sym_spread_element] = STATE(4547),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1381),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(635),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [aux_sym_array_repeat1] = STATE(4548),
    [sym_identifier] = ACTIONS(1489),
    [anon_sym_export] = ACTIONS(1275),
    [anon_sym_type] = ACTIONS(1275),
    [anon_sym_namespace] = ACTIONS(1277),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_COMMA] = ACTIONS(1976),
    [anon_sym_typeof] = ACTIONS(763),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1275),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_RPAREN] = ACTIONS(2006),
    [anon_sym_await] = ACTIONS(743),
    [anon_sym_yield] = ACTIONS(745),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1285),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1493),
    [anon_sym_using] = ACTIONS(753),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1980),
    [anon_sym_PLUS] = ACTIONS(763),
    [anon_sym_DASH] = ACTIONS(763),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(739),
    [anon_sym_void] = ACTIONS(763),
    [anon_sym_delete] = ACTIONS(763),
    [anon_sym_PLUS_PLUS] = ACTIONS(765),
    [anon_sym_DASH_DASH] = ACTIONS(765),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(771),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1495),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1275),
    [anon_sym_readonly] = ACTIONS(1275),
    [anon_sym_get] = ACTIONS(1275),
    [anon_sym_set] = ACTIONS(1275),
    [anon_sym_declare] = ACTIONS(1275),
    [anon_sym_public] = ACTIONS(1275),
    [anon_sym_private] = ACTIONS(1275),
    [anon_sym_protected] = ACTIONS(1275),
    [anon_sym_override] = ACTIONS(1275),
    [anon_sym_module] = ACTIONS(1275),
    [anon_sym_any] = ACTIONS(1275),
    [anon_sym_number] = ACTIONS(1275),
    [anon_sym_boolean] = ACTIONS(1275),
    [anon_sym_string] = ACTIONS(1275),
    [anon_sym_symbol] = ACTIONS(1275),
    [anon_sym_object] = ACTIONS(1275),
    [sym_html_comment] = ACTIONS(5),
  },
  [275] = {
    [sym_import] = STATE(3623),
    [sym_parenthesized_expression] = STATE(1324),
    [sym_expression] = STATE(1778),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5710),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5710),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5565),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1324),
    [sym_subscript_expression] = STATE(1324),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(2958),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5710),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1324),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym__type_query_member_expression] = STATE(2931),
    [sym__type_query_subscript_expression] = STATE(2926),
    [sym__type_query_call_expression] = STATE(3123),
    [sym__type_query_instantiation_expression] = STATE(3222),
    [sym_type_arguments] = STATE(482),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(2008),
    [anon_sym_export] = ACTIONS(1055),
    [anon_sym_type] = ACTIONS(1055),
    [anon_sym_namespace] = ACTIONS(1057),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(620),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1055),
    [anon_sym_BANG] = ACTIONS(592),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(594),
    [anon_sym_yield] = ACTIONS(596),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1065),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1471),
    [anon_sym_using] = ACTIONS(606),
    [anon_sym_PLUS] = ACTIONS(620),
    [anon_sym_DASH] = ACTIONS(620),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(592),
    [anon_sym_void] = ACTIONS(620),
    [anon_sym_delete] = ACTIONS(620),
    [anon_sym_PLUS_PLUS] = ACTIONS(622),
    [anon_sym_DASH_DASH] = ACTIONS(622),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(624),
    [sym_this] = ACTIONS(2010),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1473),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1055),
    [anon_sym_readonly] = ACTIONS(1055),
    [anon_sym_get] = ACTIONS(1055),
    [anon_sym_set] = ACTIONS(1055),
    [anon_sym_declare] = ACTIONS(1055),
    [anon_sym_public] = ACTIONS(1055),
    [anon_sym_private] = ACTIONS(1055),
    [anon_sym_protected] = ACTIONS(1055),
    [anon_sym_override] = ACTIONS(1055),
    [anon_sym_module] = ACTIONS(1055),
    [anon_sym_any] = ACTIONS(1055),
    [anon_sym_number] = ACTIONS(1055),
    [anon_sym_boolean] = ACTIONS(1055),
    [anon_sym_string] = ACTIONS(1055),
    [anon_sym_symbol] = ACTIONS(1055),
    [anon_sym_object] = ACTIONS(1055),
    [sym_html_comment] = ACTIONS(5),
  },
  [276] = {
    [sym_import] = STATE(3604),
    [sym_parenthesized_expression] = STATE(1461),
    [sym_expression] = STATE(2518),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5839),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5839),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5541),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1461),
    [sym_subscript_expression] = STATE(1461),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(3010),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5839),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1461),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym__type_query_member_expression] = STATE(2882),
    [sym__type_query_subscript_expression] = STATE(2880),
    [sym__type_query_call_expression] = STATE(2924),
    [sym__type_query_instantiation_expression] = STATE(2985),
    [sym_type_arguments] = STATE(644),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(2012),
    [anon_sym_export] = ACTIONS(1407),
    [anon_sym_type] = ACTIONS(1407),
    [anon_sym_namespace] = ACTIONS(1409),
    [anon_sym_LBRACE] = ACTIONS(815),
    [anon_sym_typeof] = ACTIONS(1429),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(1413),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(1415),
    [anon_sym_yield] = ACTIONS(1417),
    [anon_sym_LBRACK] = ACTIONS(819),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1419),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1517),
    [anon_sym_using] = ACTIONS(1423),
    [anon_sym_PLUS] = ACTIONS(1429),
    [anon_sym_DASH] = ACTIONS(1429),
    [anon_sym_SLASH] = ACTIONS(979),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1413),
    [anon_sym_void] = ACTIONS(1429),
    [anon_sym_delete] = ACTIONS(1429),
    [anon_sym_PLUS_PLUS] = ACTIONS(1431),
    [anon_sym_DASH_DASH] = ACTIONS(1431),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(1433),
    [sym_this] = ACTIONS(2014),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1519),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1407),
    [anon_sym_readonly] = ACTIONS(1407),
    [anon_sym_get] = ACTIONS(1407),
    [anon_sym_set] = ACTIONS(1407),
    [anon_sym_declare] = ACTIONS(1407),
    [anon_sym_public] = ACTIONS(1407),
    [anon_sym_private] = ACTIONS(1407),
    [anon_sym_protected] = ACTIONS(1407),
    [anon_sym_override] = ACTIONS(1407),
    [anon_sym_module] = ACTIONS(1407),
    [anon_sym_any] = ACTIONS(1407),
    [anon_sym_number] = ACTIONS(1407),
    [anon_sym_boolean] = ACTIONS(1407),
    [anon_sym_string] = ACTIONS(1407),
    [anon_sym_symbol] = ACTIONS(1407),
    [anon_sym_object] = ACTIONS(1407),
    [sym_html_comment] = ACTIONS(5),
  },
  [277] = {
    [sym_import] = STATE(3566),
    [sym_parenthesized_expression] = STATE(1353),
    [sym_expression] = STATE(1826),
    [sym_primary_expression] = STATE(1833),
    [sym_yield_expression] = STATE(2130),
    [sym_object] = STATE(2117),
    [sym_object_pattern] = STATE(5484),
    [sym_array] = STATE(2117),
    [sym_array_pattern] = STATE(5484),
    [sym_glimmer_template] = STATE(2130),
    [sym_class] = STATE(2117),
    [sym_function_expression] = STATE(2117),
    [sym_generator_function] = STATE(2117),
    [sym_arrow_function] = STATE(2117),
    [sym__call_signature] = STATE(5525),
    [sym_call_expression] = STATE(2117),
    [sym_new_expression] = STATE(1963),
    [sym_await_expression] = STATE(2130),
    [sym_member_expression] = STATE(1353),
    [sym_subscript_expression] = STATE(1353),
    [sym_assignment_expression] = STATE(2130),
    [sym__augmented_assignment_lhs] = STATE(3036),
    [sym_augmented_assignment_expression] = STATE(2130),
    [sym__destructuring_pattern] = STATE(5484),
    [sym_ternary_expression] = STATE(2130),
    [sym_binary_expression] = STATE(2130),
    [sym_unary_expression] = STATE(2130),
    [sym_update_expression] = STATE(2130),
    [sym_string] = STATE(2117),
    [sym_template_string] = STATE(2117),
    [sym_regex] = STATE(2117),
    [sym_meta_property] = STATE(2117),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1353),
    [sym_type_assertion] = STATE(2130),
    [sym_as_expression] = STATE(2130),
    [sym_satisfies_expression] = STATE(2130),
    [sym_instantiation_expression] = STATE(2130),
    [sym_internal_module] = STATE(2130),
    [sym__type_query_member_expression] = STATE(2882),
    [sym__type_query_subscript_expression] = STATE(2880),
    [sym__type_query_call_expression] = STATE(2924),
    [sym__type_query_instantiation_expression] = STATE(2985),
    [sym_type_arguments] = STATE(427),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4499),
    [sym_identifier] = ACTIONS(2016),
    [anon_sym_export] = ACTIONS(1443),
    [anon_sym_type] = ACTIONS(1443),
    [anon_sym_namespace] = ACTIONS(1445),
    [anon_sym_LBRACE] = ACTIONS(670),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(674),
    [anon_sym_let] = ACTIONS(1443),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(681),
    [anon_sym_async] = ACTIONS(1449),
    [anon_sym_function] = ACTIONS(685),
    [anon_sym_new] = ACTIONS(1479),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(2018),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1443),
    [anon_sym_readonly] = ACTIONS(1443),
    [anon_sym_get] = ACTIONS(1443),
    [anon_sym_set] = ACTIONS(1443),
    [anon_sym_declare] = ACTIONS(1443),
    [anon_sym_public] = ACTIONS(1443),
    [anon_sym_private] = ACTIONS(1443),
    [anon_sym_protected] = ACTIONS(1443),
    [anon_sym_override] = ACTIONS(1443),
    [anon_sym_module] = ACTIONS(1443),
    [anon_sym_any] = ACTIONS(1443),
    [anon_sym_number] = ACTIONS(1443),
    [anon_sym_boolean] = ACTIONS(1443),
    [anon_sym_string] = ACTIONS(1443),
    [anon_sym_symbol] = ACTIONS(1443),
    [anon_sym_object] = ACTIONS(1443),
    [sym_html_comment] = ACTIONS(5),
  },
  [278] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1324),
    [sym_expression] = STATE(2439),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(4448),
    [sym_assignment_pattern] = STATE(5210),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(4448),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5565),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1399),
    [sym_subscript_expression] = STATE(1399),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(2958),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(4448),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_pattern] = STATE(4534),
    [sym_rest_pattern] = STATE(3605),
    [sym_non_null_expression] = STATE(1399),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(482),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(1691),
    [anon_sym_export] = ACTIONS(580),
    [anon_sym_type] = ACTIONS(580),
    [anon_sym_namespace] = ACTIONS(584),
    [anon_sym_LBRACE] = ACTIONS(815),
    [anon_sym_typeof] = ACTIONS(620),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(580),
    [anon_sym_BANG] = ACTIONS(592),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(594),
    [anon_sym_yield] = ACTIONS(596),
    [anon_sym_LBRACK] = ACTIONS(819),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(602),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1697),
    [anon_sym_using] = ACTIONS(606),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(169),
    [anon_sym_PLUS] = ACTIONS(620),
    [anon_sym_DASH] = ACTIONS(620),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(592),
    [anon_sym_void] = ACTIONS(620),
    [anon_sym_delete] = ACTIONS(620),
    [anon_sym_PLUS_PLUS] = ACTIONS(622),
    [anon_sym_DASH_DASH] = ACTIONS(622),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(624),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1699),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(580),
    [anon_sym_readonly] = ACTIONS(580),
    [anon_sym_get] = ACTIONS(580),
    [anon_sym_set] = ACTIONS(580),
    [anon_sym_declare] = ACTIONS(580),
    [anon_sym_public] = ACTIONS(580),
    [anon_sym_private] = ACTIONS(580),
    [anon_sym_protected] = ACTIONS(580),
    [anon_sym_override] = ACTIONS(580),
    [anon_sym_module] = ACTIONS(580),
    [anon_sym_any] = ACTIONS(580),
    [anon_sym_number] = ACTIONS(580),
    [anon_sym_boolean] = ACTIONS(580),
    [anon_sym_string] = ACTIONS(580),
    [anon_sym_symbol] = ACTIONS(580),
    [anon_sym_object] = ACTIONS(580),
    [sym_html_comment] = ACTIONS(5),
  },
  [279] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1228),
    [sym_expression] = STATE(2615),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(3739),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(3739),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5824),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1302),
    [sym_subscript_expression] = STATE(1302),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(2969),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(3739),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_pattern] = STATE(3927),
    [sym_rest_pattern] = STATE(3605),
    [sym_non_null_expression] = STATE(1302),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_override_modifier] = STATE(302),
    [sym_type_arguments] = STATE(537),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(701),
    [anon_sym_export] = ACTIONS(115),
    [anon_sym_type] = ACTIONS(115),
    [anon_sym_namespace] = ACTIONS(124),
    [anon_sym_LBRACE] = ACTIONS(703),
    [anon_sym_typeof] = ACTIONS(184),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(115),
    [anon_sym_BANG] = ACTIONS(180),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(1671),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(155),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(711),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(169),
    [anon_sym_PLUS] = ACTIONS(184),
    [anon_sym_DASH] = ACTIONS(184),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(691),
    [anon_sym_DASH_DASH] = ACTIONS(691),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(2020),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(723),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(115),
    [anon_sym_readonly] = ACTIONS(2022),
    [anon_sym_get] = ACTIONS(115),
    [anon_sym_set] = ACTIONS(115),
    [anon_sym_declare] = ACTIONS(115),
    [anon_sym_public] = ACTIONS(115),
    [anon_sym_private] = ACTIONS(115),
    [anon_sym_protected] = ACTIONS(115),
    [anon_sym_override] = ACTIONS(807),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_any] = ACTIONS(115),
    [anon_sym_number] = ACTIONS(115),
    [anon_sym_boolean] = ACTIONS(115),
    [anon_sym_string] = ACTIONS(115),
    [anon_sym_symbol] = ACTIONS(115),
    [anon_sym_object] = ACTIONS(115),
    [sym_html_comment] = ACTIONS(5),
  },
  [280] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1324),
    [sym_expression] = STATE(2428),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5710),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5710),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5565),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1324),
    [sym_subscript_expression] = STATE(1324),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(2958),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5710),
    [sym_spread_element] = STATE(4549),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1324),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(482),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(1463),
    [anon_sym_export] = ACTIONS(1055),
    [anon_sym_type] = ACTIONS(1055),
    [anon_sym_namespace] = ACTIONS(1057),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_COMMA] = ACTIONS(2024),
    [anon_sym_typeof] = ACTIONS(620),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1055),
    [anon_sym_BANG] = ACTIONS(592),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(594),
    [anon_sym_yield] = ACTIONS(596),
    [anon_sym_LBRACK] = ACTIONS(847),
    [anon_sym_RBRACK] = ACTIONS(2024),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1065),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1471),
    [anon_sym_using] = ACTIONS(606),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2026),
    [anon_sym_PLUS] = ACTIONS(620),
    [anon_sym_DASH] = ACTIONS(620),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(592),
    [anon_sym_void] = ACTIONS(620),
    [anon_sym_delete] = ACTIONS(620),
    [anon_sym_PLUS_PLUS] = ACTIONS(622),
    [anon_sym_DASH_DASH] = ACTIONS(622),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(624),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1473),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1055),
    [anon_sym_readonly] = ACTIONS(1055),
    [anon_sym_get] = ACTIONS(1055),
    [anon_sym_set] = ACTIONS(1055),
    [anon_sym_declare] = ACTIONS(1055),
    [anon_sym_public] = ACTIONS(1055),
    [anon_sym_private] = ACTIONS(1055),
    [anon_sym_protected] = ACTIONS(1055),
    [anon_sym_override] = ACTIONS(1055),
    [anon_sym_module] = ACTIONS(1055),
    [anon_sym_any] = ACTIONS(1055),
    [anon_sym_number] = ACTIONS(1055),
    [anon_sym_boolean] = ACTIONS(1055),
    [anon_sym_string] = ACTIONS(1055),
    [anon_sym_symbol] = ACTIONS(1055),
    [anon_sym_object] = ACTIONS(1055),
    [sym_html_comment] = ACTIONS(5),
  },
  [281] = {
    [sym_import] = STATE(3615),
    [sym_parenthesized_expression] = STATE(1324),
    [sym_expression] = STATE(1778),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5710),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5710),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5565),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1324),
    [sym_subscript_expression] = STATE(1324),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(2958),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5710),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1324),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym__type_query_member_expression] = STATE(2882),
    [sym__type_query_subscript_expression] = STATE(2880),
    [sym__type_query_call_expression] = STATE(2924),
    [sym__type_query_instantiation_expression] = STATE(2985),
    [sym_type_arguments] = STATE(482),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(2028),
    [anon_sym_export] = ACTIONS(1055),
    [anon_sym_type] = ACTIONS(1055),
    [anon_sym_namespace] = ACTIONS(1057),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(620),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1055),
    [anon_sym_BANG] = ACTIONS(592),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(594),
    [anon_sym_yield] = ACTIONS(596),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1065),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1471),
    [anon_sym_using] = ACTIONS(606),
    [anon_sym_PLUS] = ACTIONS(620),
    [anon_sym_DASH] = ACTIONS(620),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(592),
    [anon_sym_void] = ACTIONS(620),
    [anon_sym_delete] = ACTIONS(620),
    [anon_sym_PLUS_PLUS] = ACTIONS(622),
    [anon_sym_DASH_DASH] = ACTIONS(622),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(624),
    [sym_this] = ACTIONS(2014),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1473),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1055),
    [anon_sym_readonly] = ACTIONS(1055),
    [anon_sym_get] = ACTIONS(1055),
    [anon_sym_set] = ACTIONS(1055),
    [anon_sym_declare] = ACTIONS(1055),
    [anon_sym_public] = ACTIONS(1055),
    [anon_sym_private] = ACTIONS(1055),
    [anon_sym_protected] = ACTIONS(1055),
    [anon_sym_override] = ACTIONS(1055),
    [anon_sym_module] = ACTIONS(1055),
    [anon_sym_any] = ACTIONS(1055),
    [anon_sym_number] = ACTIONS(1055),
    [anon_sym_boolean] = ACTIONS(1055),
    [anon_sym_string] = ACTIONS(1055),
    [anon_sym_symbol] = ACTIONS(1055),
    [anon_sym_object] = ACTIONS(1055),
    [sym_html_comment] = ACTIONS(5),
  },
  [282] = {
    [sym_import] = STATE(3604),
    [sym_parenthesized_expression] = STATE(1228),
    [sym_expression] = STATE(2543),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5482),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5482),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5824),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1228),
    [sym_subscript_expression] = STATE(1228),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(2969),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5482),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1228),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym__type_query_member_expression] = STATE(2882),
    [sym__type_query_subscript_expression] = STATE(2880),
    [sym__type_query_call_expression] = STATE(2924),
    [sym__type_query_instantiation_expression] = STATE(2985),
    [sym_type_arguments] = STATE(537),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(2030),
    [anon_sym_export] = ACTIONS(811),
    [anon_sym_type] = ACTIONS(811),
    [anon_sym_namespace] = ACTIONS(813),
    [anon_sym_LBRACE] = ACTIONS(815),
    [anon_sym_typeof] = ACTIONS(184),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(811),
    [anon_sym_BANG] = ACTIONS(180),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(819),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(823),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(825),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(184),
    [anon_sym_DASH] = ACTIONS(184),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(691),
    [anon_sym_DASH_DASH] = ACTIONS(691),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(2014),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(829),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(811),
    [anon_sym_readonly] = ACTIONS(811),
    [anon_sym_get] = ACTIONS(811),
    [anon_sym_set] = ACTIONS(811),
    [anon_sym_declare] = ACTIONS(811),
    [anon_sym_public] = ACTIONS(811),
    [anon_sym_private] = ACTIONS(811),
    [anon_sym_protected] = ACTIONS(811),
    [anon_sym_override] = ACTIONS(811),
    [anon_sym_module] = ACTIONS(811),
    [anon_sym_any] = ACTIONS(811),
    [anon_sym_number] = ACTIONS(811),
    [anon_sym_boolean] = ACTIONS(811),
    [anon_sym_string] = ACTIONS(811),
    [anon_sym_symbol] = ACTIONS(811),
    [anon_sym_object] = ACTIONS(811),
    [sym_html_comment] = ACTIONS(5),
  },
  [283] = {
    [sym_import] = STATE(3597),
    [sym_parenthesized_expression] = STATE(1381),
    [sym_expression] = STATE(1924),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5574),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5574),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5865),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1381),
    [sym_subscript_expression] = STATE(1381),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(3033),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5574),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1381),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym__type_query_member_expression] = STATE(2882),
    [sym__type_query_subscript_expression] = STATE(2880),
    [sym__type_query_call_expression] = STATE(2924),
    [sym__type_query_instantiation_expression] = STATE(2985),
    [sym_type_arguments] = STATE(635),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(2032),
    [anon_sym_export] = ACTIONS(1275),
    [anon_sym_type] = ACTIONS(1275),
    [anon_sym_namespace] = ACTIONS(1277),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(763),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1275),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(743),
    [anon_sym_yield] = ACTIONS(745),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1285),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1493),
    [anon_sym_using] = ACTIONS(753),
    [anon_sym_PLUS] = ACTIONS(763),
    [anon_sym_DASH] = ACTIONS(763),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(739),
    [anon_sym_void] = ACTIONS(763),
    [anon_sym_delete] = ACTIONS(763),
    [anon_sym_PLUS_PLUS] = ACTIONS(765),
    [anon_sym_DASH_DASH] = ACTIONS(765),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(771),
    [sym_this] = ACTIONS(2014),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1495),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1275),
    [anon_sym_readonly] = ACTIONS(1275),
    [anon_sym_get] = ACTIONS(1275),
    [anon_sym_set] = ACTIONS(1275),
    [anon_sym_declare] = ACTIONS(1275),
    [anon_sym_public] = ACTIONS(1275),
    [anon_sym_private] = ACTIONS(1275),
    [anon_sym_protected] = ACTIONS(1275),
    [anon_sym_override] = ACTIONS(1275),
    [anon_sym_module] = ACTIONS(1275),
    [anon_sym_any] = ACTIONS(1275),
    [anon_sym_number] = ACTIONS(1275),
    [anon_sym_boolean] = ACTIONS(1275),
    [anon_sym_string] = ACTIONS(1275),
    [anon_sym_symbol] = ACTIONS(1275),
    [anon_sym_object] = ACTIONS(1275),
    [sym_html_comment] = ACTIONS(5),
  },
  [284] = {
    [sym_import] = STATE(3615),
    [sym_parenthesized_expression] = STATE(1228),
    [sym_expression] = STATE(2543),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5482),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5482),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5824),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1228),
    [sym_subscript_expression] = STATE(1228),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(2969),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5482),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1228),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym__type_query_member_expression] = STATE(2882),
    [sym__type_query_subscript_expression] = STATE(2880),
    [sym__type_query_call_expression] = STATE(2924),
    [sym__type_query_instantiation_expression] = STATE(2985),
    [sym_type_arguments] = STATE(537),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(2034),
    [anon_sym_export] = ACTIONS(811),
    [anon_sym_type] = ACTIONS(811),
    [anon_sym_namespace] = ACTIONS(813),
    [anon_sym_LBRACE] = ACTIONS(815),
    [anon_sym_typeof] = ACTIONS(184),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(811),
    [anon_sym_BANG] = ACTIONS(180),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(819),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(823),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(825),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(184),
    [anon_sym_DASH] = ACTIONS(184),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(691),
    [anon_sym_DASH_DASH] = ACTIONS(691),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(2036),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(829),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(811),
    [anon_sym_readonly] = ACTIONS(811),
    [anon_sym_get] = ACTIONS(811),
    [anon_sym_set] = ACTIONS(811),
    [anon_sym_declare] = ACTIONS(811),
    [anon_sym_public] = ACTIONS(811),
    [anon_sym_private] = ACTIONS(811),
    [anon_sym_protected] = ACTIONS(811),
    [anon_sym_override] = ACTIONS(811),
    [anon_sym_module] = ACTIONS(811),
    [anon_sym_any] = ACTIONS(811),
    [anon_sym_number] = ACTIONS(811),
    [anon_sym_boolean] = ACTIONS(811),
    [anon_sym_string] = ACTIONS(811),
    [anon_sym_symbol] = ACTIONS(811),
    [anon_sym_object] = ACTIONS(811),
    [sym_html_comment] = ACTIONS(5),
  },
  [285] = {
    [sym_import] = STATE(3615),
    [sym_parenthesized_expression] = STATE(1324),
    [sym_expression] = STATE(1778),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5710),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5710),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5565),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1324),
    [sym_subscript_expression] = STATE(1324),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(2958),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5710),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1324),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym__type_query_member_expression] = STATE(2882),
    [sym__type_query_subscript_expression] = STATE(2880),
    [sym__type_query_call_expression] = STATE(2924),
    [sym__type_query_instantiation_expression] = STATE(2985),
    [sym_type_arguments] = STATE(482),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(2038),
    [anon_sym_export] = ACTIONS(1055),
    [anon_sym_type] = ACTIONS(1055),
    [anon_sym_namespace] = ACTIONS(1057),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(620),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1055),
    [anon_sym_BANG] = ACTIONS(592),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(594),
    [anon_sym_yield] = ACTIONS(596),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1065),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1471),
    [anon_sym_using] = ACTIONS(606),
    [anon_sym_PLUS] = ACTIONS(620),
    [anon_sym_DASH] = ACTIONS(620),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(592),
    [anon_sym_void] = ACTIONS(620),
    [anon_sym_delete] = ACTIONS(620),
    [anon_sym_PLUS_PLUS] = ACTIONS(622),
    [anon_sym_DASH_DASH] = ACTIONS(622),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(624),
    [sym_this] = ACTIONS(2040),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1473),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1055),
    [anon_sym_readonly] = ACTIONS(1055),
    [anon_sym_get] = ACTIONS(1055),
    [anon_sym_set] = ACTIONS(1055),
    [anon_sym_declare] = ACTIONS(1055),
    [anon_sym_public] = ACTIONS(1055),
    [anon_sym_private] = ACTIONS(1055),
    [anon_sym_protected] = ACTIONS(1055),
    [anon_sym_override] = ACTIONS(1055),
    [anon_sym_module] = ACTIONS(1055),
    [anon_sym_any] = ACTIONS(1055),
    [anon_sym_number] = ACTIONS(1055),
    [anon_sym_boolean] = ACTIONS(1055),
    [anon_sym_string] = ACTIONS(1055),
    [anon_sym_symbol] = ACTIONS(1055),
    [anon_sym_object] = ACTIONS(1055),
    [sym_html_comment] = ACTIONS(5),
  },
  [286] = {
    [sym_import] = STATE(3604),
    [sym_parenthesized_expression] = STATE(1228),
    [sym_expression] = STATE(2543),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5482),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5482),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5824),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1228),
    [sym_subscript_expression] = STATE(1228),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(2969),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5482),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1228),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym__type_query_member_expression] = STATE(2882),
    [sym__type_query_subscript_expression] = STATE(2880),
    [sym__type_query_call_expression] = STATE(2924),
    [sym__type_query_instantiation_expression] = STATE(2985),
    [sym_type_arguments] = STATE(537),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(2042),
    [anon_sym_export] = ACTIONS(811),
    [anon_sym_type] = ACTIONS(811),
    [anon_sym_namespace] = ACTIONS(813),
    [anon_sym_LBRACE] = ACTIONS(815),
    [anon_sym_typeof] = ACTIONS(184),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(811),
    [anon_sym_BANG] = ACTIONS(180),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(819),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(823),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(825),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(184),
    [anon_sym_DASH] = ACTIONS(184),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(691),
    [anon_sym_DASH_DASH] = ACTIONS(691),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(2040),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(829),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(811),
    [anon_sym_readonly] = ACTIONS(811),
    [anon_sym_get] = ACTIONS(811),
    [anon_sym_set] = ACTIONS(811),
    [anon_sym_declare] = ACTIONS(811),
    [anon_sym_public] = ACTIONS(811),
    [anon_sym_private] = ACTIONS(811),
    [anon_sym_protected] = ACTIONS(811),
    [anon_sym_override] = ACTIONS(811),
    [anon_sym_module] = ACTIONS(811),
    [anon_sym_any] = ACTIONS(811),
    [anon_sym_number] = ACTIONS(811),
    [anon_sym_boolean] = ACTIONS(811),
    [anon_sym_string] = ACTIONS(811),
    [anon_sym_symbol] = ACTIONS(811),
    [anon_sym_object] = ACTIONS(811),
    [sym_html_comment] = ACTIONS(5),
  },
  [287] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1228),
    [sym_expression] = STATE(2615),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(3739),
    [sym_assignment_pattern] = STATE(5210),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(3739),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5824),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1302),
    [sym_subscript_expression] = STATE(1302),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(2969),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(3739),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_pattern] = STATE(4534),
    [sym_rest_pattern] = STATE(3605),
    [sym_non_null_expression] = STATE(1302),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(537),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(701),
    [anon_sym_export] = ACTIONS(115),
    [anon_sym_type] = ACTIONS(115),
    [anon_sym_namespace] = ACTIONS(124),
    [anon_sym_LBRACE] = ACTIONS(703),
    [anon_sym_typeof] = ACTIONS(184),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(115),
    [anon_sym_BANG] = ACTIONS(180),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(1671),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(155),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(711),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(169),
    [anon_sym_PLUS] = ACTIONS(184),
    [anon_sym_DASH] = ACTIONS(184),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(691),
    [anon_sym_DASH_DASH] = ACTIONS(691),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(723),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(115),
    [anon_sym_readonly] = ACTIONS(115),
    [anon_sym_get] = ACTIONS(115),
    [anon_sym_set] = ACTIONS(115),
    [anon_sym_declare] = ACTIONS(115),
    [anon_sym_public] = ACTIONS(115),
    [anon_sym_private] = ACTIONS(115),
    [anon_sym_protected] = ACTIONS(115),
    [anon_sym_override] = ACTIONS(115),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_any] = ACTIONS(115),
    [anon_sym_number] = ACTIONS(115),
    [anon_sym_boolean] = ACTIONS(115),
    [anon_sym_string] = ACTIONS(115),
    [anon_sym_symbol] = ACTIONS(115),
    [anon_sym_object] = ACTIONS(115),
    [sym_html_comment] = ACTIONS(5),
  },
  [288] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1228),
    [sym_expression] = STATE(2615),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(3739),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(3739),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5824),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1302),
    [sym_subscript_expression] = STATE(1302),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(2969),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(3739),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_pattern] = STATE(4085),
    [sym_rest_pattern] = STATE(3605),
    [sym_non_null_expression] = STATE(1302),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_override_modifier] = STATE(300),
    [sym_type_arguments] = STATE(537),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(701),
    [anon_sym_export] = ACTIONS(115),
    [anon_sym_type] = ACTIONS(115),
    [anon_sym_namespace] = ACTIONS(124),
    [anon_sym_LBRACE] = ACTIONS(703),
    [anon_sym_typeof] = ACTIONS(184),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(115),
    [anon_sym_BANG] = ACTIONS(180),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(1671),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(155),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(711),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(169),
    [anon_sym_PLUS] = ACTIONS(184),
    [anon_sym_DASH] = ACTIONS(184),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(691),
    [anon_sym_DASH_DASH] = ACTIONS(691),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(799),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(723),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(115),
    [anon_sym_readonly] = ACTIONS(2044),
    [anon_sym_get] = ACTIONS(115),
    [anon_sym_set] = ACTIONS(115),
    [anon_sym_declare] = ACTIONS(115),
    [anon_sym_public] = ACTIONS(115),
    [anon_sym_private] = ACTIONS(115),
    [anon_sym_protected] = ACTIONS(115),
    [anon_sym_override] = ACTIONS(807),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_any] = ACTIONS(115),
    [anon_sym_number] = ACTIONS(115),
    [anon_sym_boolean] = ACTIONS(115),
    [anon_sym_string] = ACTIONS(115),
    [anon_sym_symbol] = ACTIONS(115),
    [anon_sym_object] = ACTIONS(115),
    [sym_html_comment] = ACTIONS(5),
  },
  [289] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1381),
    [sym_expression] = STATE(2423),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5574),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5574),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5865),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1381),
    [sym_subscript_expression] = STATE(1381),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(3033),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5574),
    [sym_spread_element] = STATE(4549),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1381),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(635),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(1489),
    [anon_sym_export] = ACTIONS(1275),
    [anon_sym_type] = ACTIONS(1275),
    [anon_sym_namespace] = ACTIONS(1277),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_COMMA] = ACTIONS(2024),
    [anon_sym_typeof] = ACTIONS(763),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1275),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_RPAREN] = ACTIONS(2024),
    [anon_sym_await] = ACTIONS(743),
    [anon_sym_yield] = ACTIONS(745),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1285),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1493),
    [anon_sym_using] = ACTIONS(753),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1980),
    [anon_sym_PLUS] = ACTIONS(763),
    [anon_sym_DASH] = ACTIONS(763),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(739),
    [anon_sym_void] = ACTIONS(763),
    [anon_sym_delete] = ACTIONS(763),
    [anon_sym_PLUS_PLUS] = ACTIONS(765),
    [anon_sym_DASH_DASH] = ACTIONS(765),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(771),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1495),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1275),
    [anon_sym_readonly] = ACTIONS(1275),
    [anon_sym_get] = ACTIONS(1275),
    [anon_sym_set] = ACTIONS(1275),
    [anon_sym_declare] = ACTIONS(1275),
    [anon_sym_public] = ACTIONS(1275),
    [anon_sym_private] = ACTIONS(1275),
    [anon_sym_protected] = ACTIONS(1275),
    [anon_sym_override] = ACTIONS(1275),
    [anon_sym_module] = ACTIONS(1275),
    [anon_sym_any] = ACTIONS(1275),
    [anon_sym_number] = ACTIONS(1275),
    [anon_sym_boolean] = ACTIONS(1275),
    [anon_sym_string] = ACTIONS(1275),
    [anon_sym_symbol] = ACTIONS(1275),
    [anon_sym_object] = ACTIONS(1275),
    [sym_html_comment] = ACTIONS(5),
  },
  [290] = {
    [sym_import] = STATE(3597),
    [sym_parenthesized_expression] = STATE(1381),
    [sym_expression] = STATE(1924),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5574),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5574),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5865),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1381),
    [sym_subscript_expression] = STATE(1381),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(3033),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5574),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1381),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym__type_query_member_expression] = STATE(2882),
    [sym__type_query_subscript_expression] = STATE(2880),
    [sym__type_query_call_expression] = STATE(2924),
    [sym__type_query_instantiation_expression] = STATE(2985),
    [sym_type_arguments] = STATE(635),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(2046),
    [anon_sym_export] = ACTIONS(1275),
    [anon_sym_type] = ACTIONS(1275),
    [anon_sym_namespace] = ACTIONS(1277),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(763),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1275),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(743),
    [anon_sym_yield] = ACTIONS(745),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1285),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1493),
    [anon_sym_using] = ACTIONS(753),
    [anon_sym_PLUS] = ACTIONS(763),
    [anon_sym_DASH] = ACTIONS(763),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(739),
    [anon_sym_void] = ACTIONS(763),
    [anon_sym_delete] = ACTIONS(763),
    [anon_sym_PLUS_PLUS] = ACTIONS(765),
    [anon_sym_DASH_DASH] = ACTIONS(765),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(771),
    [sym_this] = ACTIONS(2036),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1495),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1275),
    [anon_sym_readonly] = ACTIONS(1275),
    [anon_sym_get] = ACTIONS(1275),
    [anon_sym_set] = ACTIONS(1275),
    [anon_sym_declare] = ACTIONS(1275),
    [anon_sym_public] = ACTIONS(1275),
    [anon_sym_private] = ACTIONS(1275),
    [anon_sym_protected] = ACTIONS(1275),
    [anon_sym_override] = ACTIONS(1275),
    [anon_sym_module] = ACTIONS(1275),
    [anon_sym_any] = ACTIONS(1275),
    [anon_sym_number] = ACTIONS(1275),
    [anon_sym_boolean] = ACTIONS(1275),
    [anon_sym_string] = ACTIONS(1275),
    [anon_sym_symbol] = ACTIONS(1275),
    [anon_sym_object] = ACTIONS(1275),
    [sym_html_comment] = ACTIONS(5),
  },
  [291] = {
    [sym_import] = STATE(3616),
    [sym_parenthesized_expression] = STATE(1417),
    [sym_expression] = STATE(2259),
    [sym_primary_expression] = STATE(1833),
    [sym_yield_expression] = STATE(2130),
    [sym_object] = STATE(2117),
    [sym_object_pattern] = STATE(5592),
    [sym_array] = STATE(2117),
    [sym_array_pattern] = STATE(5592),
    [sym_glimmer_template] = STATE(2130),
    [sym_class] = STATE(2117),
    [sym_function_expression] = STATE(2117),
    [sym_generator_function] = STATE(2117),
    [sym_arrow_function] = STATE(2117),
    [sym__call_signature] = STATE(5478),
    [sym_call_expression] = STATE(2117),
    [sym_new_expression] = STATE(1963),
    [sym_await_expression] = STATE(2130),
    [sym_member_expression] = STATE(1417),
    [sym_subscript_expression] = STATE(1417),
    [sym_assignment_expression] = STATE(2130),
    [sym__augmented_assignment_lhs] = STATE(3012),
    [sym_augmented_assignment_expression] = STATE(2130),
    [sym__destructuring_pattern] = STATE(5592),
    [sym_ternary_expression] = STATE(2130),
    [sym_binary_expression] = STATE(2130),
    [sym_unary_expression] = STATE(2130),
    [sym_update_expression] = STATE(2130),
    [sym_string] = STATE(2117),
    [sym_template_string] = STATE(2117),
    [sym_regex] = STATE(2117),
    [sym_meta_property] = STATE(2117),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1417),
    [sym_type_assertion] = STATE(2130),
    [sym_as_expression] = STATE(2130),
    [sym_satisfies_expression] = STATE(2130),
    [sym_instantiation_expression] = STATE(2130),
    [sym_internal_module] = STATE(2130),
    [sym__type_query_member_expression] = STATE(2882),
    [sym__type_query_subscript_expression] = STATE(2880),
    [sym__type_query_call_expression] = STATE(2924),
    [sym__type_query_instantiation_expression] = STATE(2985),
    [sym_type_arguments] = STATE(450),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4499),
    [sym_identifier] = ACTIONS(2048),
    [anon_sym_export] = ACTIONS(1129),
    [anon_sym_type] = ACTIONS(1129),
    [anon_sym_namespace] = ACTIONS(1131),
    [anon_sym_LBRACE] = ACTIONS(670),
    [anon_sym_typeof] = ACTIONS(1157),
    [anon_sym_import] = ACTIONS(674),
    [anon_sym_let] = ACTIONS(1129),
    [anon_sym_BANG] = ACTIONS(1137),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1141),
    [anon_sym_yield] = ACTIONS(1143),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(681),
    [anon_sym_async] = ACTIONS(1147),
    [anon_sym_function] = ACTIONS(685),
    [anon_sym_new] = ACTIONS(1501),
    [anon_sym_using] = ACTIONS(1151),
    [anon_sym_PLUS] = ACTIONS(1157),
    [anon_sym_DASH] = ACTIONS(1157),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1137),
    [anon_sym_void] = ACTIONS(1157),
    [anon_sym_delete] = ACTIONS(1157),
    [anon_sym_PLUS_PLUS] = ACTIONS(1159),
    [anon_sym_DASH_DASH] = ACTIONS(1159),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1165),
    [sym_this] = ACTIONS(2018),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1503),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1129),
    [anon_sym_readonly] = ACTIONS(1129),
    [anon_sym_get] = ACTIONS(1129),
    [anon_sym_set] = ACTIONS(1129),
    [anon_sym_declare] = ACTIONS(1129),
    [anon_sym_public] = ACTIONS(1129),
    [anon_sym_private] = ACTIONS(1129),
    [anon_sym_protected] = ACTIONS(1129),
    [anon_sym_override] = ACTIONS(1129),
    [anon_sym_module] = ACTIONS(1129),
    [anon_sym_any] = ACTIONS(1129),
    [anon_sym_number] = ACTIONS(1129),
    [anon_sym_boolean] = ACTIONS(1129),
    [anon_sym_string] = ACTIONS(1129),
    [anon_sym_symbol] = ACTIONS(1129),
    [anon_sym_object] = ACTIONS(1129),
    [sym_html_comment] = ACTIONS(5),
  },
  [292] = {
    [sym_import] = STATE(3754),
    [sym_parenthesized_expression] = STATE(1459),
    [sym_expression] = STATE(2458),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5835),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5835),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5489),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1459),
    [sym_subscript_expression] = STATE(1459),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(3006),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5835),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1459),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym__type_query_member_expression] = STATE(2882),
    [sym__type_query_subscript_expression] = STATE(2880),
    [sym__type_query_call_expression] = STATE(2924),
    [sym__type_query_instantiation_expression] = STATE(2985),
    [sym_type_arguments] = STATE(617),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(2050),
    [anon_sym_export] = ACTIONS(1081),
    [anon_sym_type] = ACTIONS(1081),
    [anon_sym_namespace] = ACTIONS(1083),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(1107),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1081),
    [anon_sym_BANG] = ACTIONS(1089),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(1091),
    [anon_sym_yield] = ACTIONS(1093),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1097),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1533),
    [anon_sym_using] = ACTIONS(1101),
    [anon_sym_PLUS] = ACTIONS(1107),
    [anon_sym_DASH] = ACTIONS(1107),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1089),
    [anon_sym_void] = ACTIONS(1107),
    [anon_sym_delete] = ACTIONS(1107),
    [anon_sym_PLUS_PLUS] = ACTIONS(1109),
    [anon_sym_DASH_DASH] = ACTIONS(1109),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(1115),
    [sym_this] = ACTIONS(2014),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1535),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1081),
    [anon_sym_readonly] = ACTIONS(1081),
    [anon_sym_get] = ACTIONS(1081),
    [anon_sym_set] = ACTIONS(1081),
    [anon_sym_declare] = ACTIONS(1081),
    [anon_sym_public] = ACTIONS(1081),
    [anon_sym_private] = ACTIONS(1081),
    [anon_sym_protected] = ACTIONS(1081),
    [anon_sym_override] = ACTIONS(1081),
    [anon_sym_module] = ACTIONS(1081),
    [anon_sym_any] = ACTIONS(1081),
    [anon_sym_number] = ACTIONS(1081),
    [anon_sym_boolean] = ACTIONS(1081),
    [anon_sym_string] = ACTIONS(1081),
    [anon_sym_symbol] = ACTIONS(1081),
    [anon_sym_object] = ACTIONS(1081),
    [sym_html_comment] = ACTIONS(5),
  },
  [293] = {
    [sym_import] = STATE(3566),
    [sym_parenthesized_expression] = STATE(1364),
    [sym_expression] = STATE(1875),
    [sym_primary_expression] = STATE(1833),
    [sym_yield_expression] = STATE(2130),
    [sym_object] = STATE(2117),
    [sym_object_pattern] = STATE(5785),
    [sym_array] = STATE(2117),
    [sym_array_pattern] = STATE(5785),
    [sym_glimmer_template] = STATE(2130),
    [sym_class] = STATE(2117),
    [sym_function_expression] = STATE(2117),
    [sym_generator_function] = STATE(2117),
    [sym_arrow_function] = STATE(2117),
    [sym__call_signature] = STATE(5783),
    [sym_call_expression] = STATE(2117),
    [sym_new_expression] = STATE(1963),
    [sym_await_expression] = STATE(2130),
    [sym_member_expression] = STATE(1364),
    [sym_subscript_expression] = STATE(1364),
    [sym_assignment_expression] = STATE(2130),
    [sym__augmented_assignment_lhs] = STATE(3037),
    [sym_augmented_assignment_expression] = STATE(2130),
    [sym__destructuring_pattern] = STATE(5785),
    [sym_ternary_expression] = STATE(2130),
    [sym_binary_expression] = STATE(2130),
    [sym_unary_expression] = STATE(2130),
    [sym_update_expression] = STATE(2130),
    [sym_string] = STATE(2117),
    [sym_template_string] = STATE(2117),
    [sym_regex] = STATE(2117),
    [sym_meta_property] = STATE(2117),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1364),
    [sym_type_assertion] = STATE(2130),
    [sym_as_expression] = STATE(2130),
    [sym_satisfies_expression] = STATE(2130),
    [sym_instantiation_expression] = STATE(2130),
    [sym_internal_module] = STATE(2130),
    [sym__type_query_member_expression] = STATE(2882),
    [sym__type_query_subscript_expression] = STATE(2880),
    [sym__type_query_call_expression] = STATE(2924),
    [sym__type_query_instantiation_expression] = STATE(2985),
    [sym_type_arguments] = STATE(511),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4499),
    [sym_identifier] = ACTIONS(2052),
    [anon_sym_export] = ACTIONS(1227),
    [anon_sym_type] = ACTIONS(1227),
    [anon_sym_namespace] = ACTIONS(1229),
    [anon_sym_LBRACE] = ACTIONS(670),
    [anon_sym_typeof] = ACTIONS(1253),
    [anon_sym_import] = ACTIONS(674),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_BANG] = ACTIONS(1235),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1237),
    [anon_sym_yield] = ACTIONS(1239),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(681),
    [anon_sym_async] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(685),
    [anon_sym_new] = ACTIONS(1485),
    [anon_sym_using] = ACTIONS(1247),
    [anon_sym_PLUS] = ACTIONS(1253),
    [anon_sym_DASH] = ACTIONS(1253),
    [anon_sym_SLASH] = ACTIONS(885),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1235),
    [anon_sym_void] = ACTIONS(1253),
    [anon_sym_delete] = ACTIONS(1253),
    [anon_sym_PLUS_PLUS] = ACTIONS(1255),
    [anon_sym_DASH_DASH] = ACTIONS(1255),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1261),
    [sym_this] = ACTIONS(2018),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1487),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1227),
    [anon_sym_readonly] = ACTIONS(1227),
    [anon_sym_get] = ACTIONS(1227),
    [anon_sym_set] = ACTIONS(1227),
    [anon_sym_declare] = ACTIONS(1227),
    [anon_sym_public] = ACTIONS(1227),
    [anon_sym_private] = ACTIONS(1227),
    [anon_sym_protected] = ACTIONS(1227),
    [anon_sym_override] = ACTIONS(1227),
    [anon_sym_module] = ACTIONS(1227),
    [anon_sym_any] = ACTIONS(1227),
    [anon_sym_number] = ACTIONS(1227),
    [anon_sym_boolean] = ACTIONS(1227),
    [anon_sym_string] = ACTIONS(1227),
    [anon_sym_symbol] = ACTIONS(1227),
    [anon_sym_object] = ACTIONS(1227),
    [sym_html_comment] = ACTIONS(5),
  },
  [294] = {
    [sym_import] = STATE(3615),
    [sym_parenthesized_expression] = STATE(1324),
    [sym_expression] = STATE(1778),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5710),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5710),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5565),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1324),
    [sym_subscript_expression] = STATE(1324),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(2958),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5710),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1324),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym__type_query_member_expression] = STATE(2882),
    [sym__type_query_subscript_expression] = STATE(2880),
    [sym__type_query_call_expression] = STATE(2924),
    [sym__type_query_instantiation_expression] = STATE(2985),
    [sym_type_arguments] = STATE(482),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(2054),
    [anon_sym_export] = ACTIONS(1055),
    [anon_sym_type] = ACTIONS(1055),
    [anon_sym_namespace] = ACTIONS(1057),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(620),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1055),
    [anon_sym_BANG] = ACTIONS(592),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(594),
    [anon_sym_yield] = ACTIONS(596),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1065),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1471),
    [anon_sym_using] = ACTIONS(606),
    [anon_sym_PLUS] = ACTIONS(620),
    [anon_sym_DASH] = ACTIONS(620),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(592),
    [anon_sym_void] = ACTIONS(620),
    [anon_sym_delete] = ACTIONS(620),
    [anon_sym_PLUS_PLUS] = ACTIONS(622),
    [anon_sym_DASH_DASH] = ACTIONS(622),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(624),
    [sym_this] = ACTIONS(2036),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1473),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1055),
    [anon_sym_readonly] = ACTIONS(1055),
    [anon_sym_get] = ACTIONS(1055),
    [anon_sym_set] = ACTIONS(1055),
    [anon_sym_declare] = ACTIONS(1055),
    [anon_sym_public] = ACTIONS(1055),
    [anon_sym_private] = ACTIONS(1055),
    [anon_sym_protected] = ACTIONS(1055),
    [anon_sym_override] = ACTIONS(1055),
    [anon_sym_module] = ACTIONS(1055),
    [anon_sym_any] = ACTIONS(1055),
    [anon_sym_number] = ACTIONS(1055),
    [anon_sym_boolean] = ACTIONS(1055),
    [anon_sym_string] = ACTIONS(1055),
    [anon_sym_symbol] = ACTIONS(1055),
    [anon_sym_object] = ACTIONS(1055),
    [sym_html_comment] = ACTIONS(5),
  },
  [295] = {
    [sym_import] = STATE(3604),
    [sym_parenthesized_expression] = STATE(1457),
    [sym_expression] = STATE(2450),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5827),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5827),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5728),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1457),
    [sym_subscript_expression] = STATE(1457),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(3001),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5827),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1457),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym__type_query_member_expression] = STATE(2882),
    [sym__type_query_subscript_expression] = STATE(2880),
    [sym__type_query_call_expression] = STATE(2924),
    [sym__type_query_instantiation_expression] = STATE(2985),
    [sym_type_arguments] = STATE(591),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(2056),
    [anon_sym_export] = ACTIONS(1361),
    [anon_sym_type] = ACTIONS(1361),
    [anon_sym_namespace] = ACTIONS(1363),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(1383),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1361),
    [anon_sym_BANG] = ACTIONS(1367),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(1369),
    [anon_sym_yield] = ACTIONS(1371),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1373),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1525),
    [anon_sym_using] = ACTIONS(1377),
    [anon_sym_PLUS] = ACTIONS(1383),
    [anon_sym_DASH] = ACTIONS(1383),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1367),
    [anon_sym_void] = ACTIONS(1383),
    [anon_sym_delete] = ACTIONS(1383),
    [anon_sym_PLUS_PLUS] = ACTIONS(1385),
    [anon_sym_DASH_DASH] = ACTIONS(1385),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(1387),
    [sym_this] = ACTIONS(2014),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1527),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1361),
    [anon_sym_readonly] = ACTIONS(1361),
    [anon_sym_get] = ACTIONS(1361),
    [anon_sym_set] = ACTIONS(1361),
    [anon_sym_declare] = ACTIONS(1361),
    [anon_sym_public] = ACTIONS(1361),
    [anon_sym_private] = ACTIONS(1361),
    [anon_sym_protected] = ACTIONS(1361),
    [anon_sym_override] = ACTIONS(1361),
    [anon_sym_module] = ACTIONS(1361),
    [anon_sym_any] = ACTIONS(1361),
    [anon_sym_number] = ACTIONS(1361),
    [anon_sym_boolean] = ACTIONS(1361),
    [anon_sym_string] = ACTIONS(1361),
    [anon_sym_symbol] = ACTIONS(1361),
    [anon_sym_object] = ACTIONS(1361),
    [sym_html_comment] = ACTIONS(5),
  },
  [296] = {
    [sym_import] = STATE(3615),
    [sym_parenthesized_expression] = STATE(1391),
    [sym_expression] = STATE(2108),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5815),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5815),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5603),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1391),
    [sym_subscript_expression] = STATE(1391),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(2984),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5815),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1391),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym__type_query_member_expression] = STATE(2882),
    [sym__type_query_subscript_expression] = STATE(2880),
    [sym__type_query_call_expression] = STATE(2924),
    [sym__type_query_instantiation_expression] = STATE(2985),
    [sym_type_arguments] = STATE(564),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(2058),
    [anon_sym_export] = ACTIONS(1325),
    [anon_sym_type] = ACTIONS(1325),
    [anon_sym_namespace] = ACTIONS(1327),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(1347),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1325),
    [anon_sym_BANG] = ACTIONS(1331),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(1333),
    [anon_sym_yield] = ACTIONS(1335),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1337),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1509),
    [anon_sym_using] = ACTIONS(1341),
    [anon_sym_PLUS] = ACTIONS(1347),
    [anon_sym_DASH] = ACTIONS(1347),
    [anon_sym_SLASH] = ACTIONS(949),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1331),
    [anon_sym_void] = ACTIONS(1347),
    [anon_sym_delete] = ACTIONS(1347),
    [anon_sym_PLUS_PLUS] = ACTIONS(1349),
    [anon_sym_DASH_DASH] = ACTIONS(1349),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(1351),
    [sym_this] = ACTIONS(2014),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1511),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1325),
    [anon_sym_readonly] = ACTIONS(1325),
    [anon_sym_get] = ACTIONS(1325),
    [anon_sym_set] = ACTIONS(1325),
    [anon_sym_declare] = ACTIONS(1325),
    [anon_sym_public] = ACTIONS(1325),
    [anon_sym_private] = ACTIONS(1325),
    [anon_sym_protected] = ACTIONS(1325),
    [anon_sym_override] = ACTIONS(1325),
    [anon_sym_module] = ACTIONS(1325),
    [anon_sym_any] = ACTIONS(1325),
    [anon_sym_number] = ACTIONS(1325),
    [anon_sym_boolean] = ACTIONS(1325),
    [anon_sym_string] = ACTIONS(1325),
    [anon_sym_symbol] = ACTIONS(1325),
    [anon_sym_object] = ACTIONS(1325),
    [sym_html_comment] = ACTIONS(5),
  },
  [297] = {
    [sym_import] = STATE(3513),
    [sym_parenthesized_expression] = STATE(1353),
    [sym_expression] = STATE(1926),
    [sym_primary_expression] = STATE(1833),
    [sym_yield_expression] = STATE(2130),
    [sym_object] = STATE(2117),
    [sym_object_pattern] = STATE(5484),
    [sym_array] = STATE(2117),
    [sym_array_pattern] = STATE(5484),
    [sym_glimmer_template] = STATE(2130),
    [sym_class] = STATE(2117),
    [sym_function_expression] = STATE(2117),
    [sym_generator_function] = STATE(2117),
    [sym_arrow_function] = STATE(2117),
    [sym__call_signature] = STATE(5525),
    [sym_call_expression] = STATE(2117),
    [sym_new_expression] = STATE(1963),
    [sym_await_expression] = STATE(2130),
    [sym_member_expression] = STATE(1353),
    [sym_subscript_expression] = STATE(1353),
    [sym_assignment_expression] = STATE(2130),
    [sym__augmented_assignment_lhs] = STATE(3036),
    [sym_augmented_assignment_expression] = STATE(2130),
    [sym__destructuring_pattern] = STATE(5484),
    [sym_ternary_expression] = STATE(2130),
    [sym_binary_expression] = STATE(2130),
    [sym_unary_expression] = STATE(2130),
    [sym_update_expression] = STATE(2130),
    [sym_sequence_expression] = STATE(5433),
    [sym_string] = STATE(2117),
    [sym_template_string] = STATE(2117),
    [sym_regex] = STATE(2117),
    [sym_meta_property] = STATE(2117),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1353),
    [sym_type_assertion] = STATE(2130),
    [sym_as_expression] = STATE(2130),
    [sym_satisfies_expression] = STATE(2130),
    [sym_instantiation_expression] = STATE(2130),
    [sym_internal_module] = STATE(2130),
    [sym_type_arguments] = STATE(427),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4499),
    [sym_identifier] = ACTIONS(1475),
    [anon_sym_export] = ACTIONS(1443),
    [anon_sym_type] = ACTIONS(1443),
    [anon_sym_namespace] = ACTIONS(1445),
    [anon_sym_LBRACE] = ACTIONS(670),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(674),
    [anon_sym_let] = ACTIONS(1443),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_SEMI] = ACTIONS(2060),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(681),
    [anon_sym_async] = ACTIONS(1449),
    [anon_sym_function] = ACTIONS(685),
    [anon_sym_new] = ACTIONS(1479),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1443),
    [anon_sym_readonly] = ACTIONS(1443),
    [anon_sym_get] = ACTIONS(1443),
    [anon_sym_set] = ACTIONS(1443),
    [anon_sym_declare] = ACTIONS(1443),
    [anon_sym_public] = ACTIONS(1443),
    [anon_sym_private] = ACTIONS(1443),
    [anon_sym_protected] = ACTIONS(1443),
    [anon_sym_override] = ACTIONS(1443),
    [anon_sym_module] = ACTIONS(1443),
    [anon_sym_any] = ACTIONS(1443),
    [anon_sym_number] = ACTIONS(1443),
    [anon_sym_boolean] = ACTIONS(1443),
    [anon_sym_string] = ACTIONS(1443),
    [anon_sym_symbol] = ACTIONS(1443),
    [anon_sym_object] = ACTIONS(1443),
    [sym__automatic_semicolon] = ACTIONS(2060),
    [sym_html_comment] = ACTIONS(5),
  },
  [298] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1228),
    [sym_expression] = STATE(2615),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(3739),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(3739),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5824),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1302),
    [sym_subscript_expression] = STATE(1302),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(2969),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(3739),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_pattern] = STATE(3928),
    [sym_rest_pattern] = STATE(3605),
    [sym_non_null_expression] = STATE(1302),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(537),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(701),
    [anon_sym_export] = ACTIONS(115),
    [anon_sym_type] = ACTIONS(115),
    [anon_sym_namespace] = ACTIONS(124),
    [anon_sym_LBRACE] = ACTIONS(703),
    [anon_sym_typeof] = ACTIONS(184),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(115),
    [anon_sym_BANG] = ACTIONS(180),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(1671),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(155),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(711),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(169),
    [anon_sym_PLUS] = ACTIONS(184),
    [anon_sym_DASH] = ACTIONS(184),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(691),
    [anon_sym_DASH_DASH] = ACTIONS(691),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(2062),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(723),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(115),
    [anon_sym_readonly] = ACTIONS(2064),
    [anon_sym_get] = ACTIONS(115),
    [anon_sym_set] = ACTIONS(115),
    [anon_sym_declare] = ACTIONS(115),
    [anon_sym_public] = ACTIONS(115),
    [anon_sym_private] = ACTIONS(115),
    [anon_sym_protected] = ACTIONS(115),
    [anon_sym_override] = ACTIONS(115),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_any] = ACTIONS(115),
    [anon_sym_number] = ACTIONS(115),
    [anon_sym_boolean] = ACTIONS(115),
    [anon_sym_string] = ACTIONS(115),
    [anon_sym_symbol] = ACTIONS(115),
    [anon_sym_object] = ACTIONS(115),
    [sym_html_comment] = ACTIONS(5),
  },
  [299] = {
    [sym_import] = STATE(3542),
    [sym_empty_statement] = STATE(314),
    [sym_parenthesized_expression] = STATE(1324),
    [sym_expression] = STATE(2175),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5710),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5710),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5565),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1324),
    [sym_subscript_expression] = STATE(1324),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(2958),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5710),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_sequence_expression] = STATE(5642),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1324),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(482),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(1463),
    [anon_sym_export] = ACTIONS(1055),
    [anon_sym_type] = ACTIONS(1055),
    [anon_sym_namespace] = ACTIONS(1057),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(620),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1055),
    [anon_sym_BANG] = ACTIONS(592),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_SEMI] = ACTIONS(43),
    [anon_sym_await] = ACTIONS(594),
    [anon_sym_yield] = ACTIONS(596),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1065),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1471),
    [anon_sym_using] = ACTIONS(606),
    [anon_sym_PLUS] = ACTIONS(620),
    [anon_sym_DASH] = ACTIONS(620),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(592),
    [anon_sym_void] = ACTIONS(620),
    [anon_sym_delete] = ACTIONS(620),
    [anon_sym_PLUS_PLUS] = ACTIONS(622),
    [anon_sym_DASH_DASH] = ACTIONS(622),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(624),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1473),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1055),
    [anon_sym_readonly] = ACTIONS(1055),
    [anon_sym_get] = ACTIONS(1055),
    [anon_sym_set] = ACTIONS(1055),
    [anon_sym_declare] = ACTIONS(1055),
    [anon_sym_public] = ACTIONS(1055),
    [anon_sym_private] = ACTIONS(1055),
    [anon_sym_protected] = ACTIONS(1055),
    [anon_sym_override] = ACTIONS(1055),
    [anon_sym_module] = ACTIONS(1055),
    [anon_sym_any] = ACTIONS(1055),
    [anon_sym_number] = ACTIONS(1055),
    [anon_sym_boolean] = ACTIONS(1055),
    [anon_sym_string] = ACTIONS(1055),
    [anon_sym_symbol] = ACTIONS(1055),
    [anon_sym_object] = ACTIONS(1055),
    [sym_html_comment] = ACTIONS(5),
  },
  [300] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1228),
    [sym_expression] = STATE(2615),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(3739),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(3739),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5824),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1302),
    [sym_subscript_expression] = STATE(1302),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(2969),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(3739),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_pattern] = STATE(3920),
    [sym_rest_pattern] = STATE(3605),
    [sym_non_null_expression] = STATE(1302),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(537),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(701),
    [anon_sym_export] = ACTIONS(115),
    [anon_sym_type] = ACTIONS(115),
    [anon_sym_namespace] = ACTIONS(124),
    [anon_sym_LBRACE] = ACTIONS(703),
    [anon_sym_typeof] = ACTIONS(184),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(115),
    [anon_sym_BANG] = ACTIONS(180),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(1671),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(155),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(711),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(169),
    [anon_sym_PLUS] = ACTIONS(184),
    [anon_sym_DASH] = ACTIONS(184),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(691),
    [anon_sym_DASH_DASH] = ACTIONS(691),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(793),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(723),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(115),
    [anon_sym_readonly] = ACTIONS(2066),
    [anon_sym_get] = ACTIONS(115),
    [anon_sym_set] = ACTIONS(115),
    [anon_sym_declare] = ACTIONS(115),
    [anon_sym_public] = ACTIONS(115),
    [anon_sym_private] = ACTIONS(115),
    [anon_sym_protected] = ACTIONS(115),
    [anon_sym_override] = ACTIONS(115),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_any] = ACTIONS(115),
    [anon_sym_number] = ACTIONS(115),
    [anon_sym_boolean] = ACTIONS(115),
    [anon_sym_string] = ACTIONS(115),
    [anon_sym_symbol] = ACTIONS(115),
    [anon_sym_object] = ACTIONS(115),
    [sym_html_comment] = ACTIONS(5),
  },
  [301] = {
    [sym_import] = STATE(3542),
    [sym_empty_statement] = STATE(306),
    [sym_parenthesized_expression] = STATE(1324),
    [sym_expression] = STATE(2301),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5710),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5710),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5565),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1324),
    [sym_subscript_expression] = STATE(1324),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(2958),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5710),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_sequence_expression] = STATE(5656),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1324),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(482),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(1463),
    [anon_sym_export] = ACTIONS(1055),
    [anon_sym_type] = ACTIONS(1055),
    [anon_sym_namespace] = ACTIONS(1057),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(620),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1055),
    [anon_sym_BANG] = ACTIONS(592),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_SEMI] = ACTIONS(43),
    [anon_sym_await] = ACTIONS(594),
    [anon_sym_yield] = ACTIONS(596),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1065),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1471),
    [anon_sym_using] = ACTIONS(606),
    [anon_sym_PLUS] = ACTIONS(620),
    [anon_sym_DASH] = ACTIONS(620),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(592),
    [anon_sym_void] = ACTIONS(620),
    [anon_sym_delete] = ACTIONS(620),
    [anon_sym_PLUS_PLUS] = ACTIONS(622),
    [anon_sym_DASH_DASH] = ACTIONS(622),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(624),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1473),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1055),
    [anon_sym_readonly] = ACTIONS(1055),
    [anon_sym_get] = ACTIONS(1055),
    [anon_sym_set] = ACTIONS(1055),
    [anon_sym_declare] = ACTIONS(1055),
    [anon_sym_public] = ACTIONS(1055),
    [anon_sym_private] = ACTIONS(1055),
    [anon_sym_protected] = ACTIONS(1055),
    [anon_sym_override] = ACTIONS(1055),
    [anon_sym_module] = ACTIONS(1055),
    [anon_sym_any] = ACTIONS(1055),
    [anon_sym_number] = ACTIONS(1055),
    [anon_sym_boolean] = ACTIONS(1055),
    [anon_sym_string] = ACTIONS(1055),
    [anon_sym_symbol] = ACTIONS(1055),
    [anon_sym_object] = ACTIONS(1055),
    [sym_html_comment] = ACTIONS(5),
  },
  [302] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1228),
    [sym_expression] = STATE(2615),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(3739),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(3739),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5824),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1302),
    [sym_subscript_expression] = STATE(1302),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(2969),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(3739),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_pattern] = STATE(4235),
    [sym_rest_pattern] = STATE(3605),
    [sym_non_null_expression] = STATE(1302),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(537),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(701),
    [anon_sym_export] = ACTIONS(115),
    [anon_sym_type] = ACTIONS(115),
    [anon_sym_namespace] = ACTIONS(124),
    [anon_sym_LBRACE] = ACTIONS(703),
    [anon_sym_typeof] = ACTIONS(184),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(115),
    [anon_sym_BANG] = ACTIONS(180),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(1671),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(155),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(711),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(169),
    [anon_sym_PLUS] = ACTIONS(184),
    [anon_sym_DASH] = ACTIONS(184),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(691),
    [anon_sym_DASH_DASH] = ACTIONS(691),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(2068),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(723),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(115),
    [anon_sym_readonly] = ACTIONS(2070),
    [anon_sym_get] = ACTIONS(115),
    [anon_sym_set] = ACTIONS(115),
    [anon_sym_declare] = ACTIONS(115),
    [anon_sym_public] = ACTIONS(115),
    [anon_sym_private] = ACTIONS(115),
    [anon_sym_protected] = ACTIONS(115),
    [anon_sym_override] = ACTIONS(115),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_any] = ACTIONS(115),
    [anon_sym_number] = ACTIONS(115),
    [anon_sym_boolean] = ACTIONS(115),
    [anon_sym_string] = ACTIONS(115),
    [anon_sym_symbol] = ACTIONS(115),
    [anon_sym_object] = ACTIONS(115),
    [sym_html_comment] = ACTIONS(5),
  },
  [303] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1228),
    [sym_expression] = STATE(2615),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(3739),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(3739),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5824),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1302),
    [sym_subscript_expression] = STATE(1302),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(2969),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(3739),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_pattern] = STATE(4085),
    [sym_rest_pattern] = STATE(3605),
    [sym_non_null_expression] = STATE(1302),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(537),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(701),
    [anon_sym_export] = ACTIONS(115),
    [anon_sym_type] = ACTIONS(115),
    [anon_sym_namespace] = ACTIONS(124),
    [anon_sym_LBRACE] = ACTIONS(703),
    [anon_sym_typeof] = ACTIONS(184),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(115),
    [anon_sym_BANG] = ACTIONS(180),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(1671),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(155),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(711),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(169),
    [anon_sym_PLUS] = ACTIONS(184),
    [anon_sym_DASH] = ACTIONS(184),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(691),
    [anon_sym_DASH_DASH] = ACTIONS(691),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(799),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(723),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(115),
    [anon_sym_readonly] = ACTIONS(2044),
    [anon_sym_get] = ACTIONS(115),
    [anon_sym_set] = ACTIONS(115),
    [anon_sym_declare] = ACTIONS(115),
    [anon_sym_public] = ACTIONS(115),
    [anon_sym_private] = ACTIONS(115),
    [anon_sym_protected] = ACTIONS(115),
    [anon_sym_override] = ACTIONS(115),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_any] = ACTIONS(115),
    [anon_sym_number] = ACTIONS(115),
    [anon_sym_boolean] = ACTIONS(115),
    [anon_sym_string] = ACTIONS(115),
    [anon_sym_symbol] = ACTIONS(115),
    [anon_sym_object] = ACTIONS(115),
    [sym_html_comment] = ACTIONS(5),
  },
  [304] = {
    [sym_import] = STATE(3542),
    [sym_empty_statement] = STATE(313),
    [sym_parenthesized_expression] = STATE(1324),
    [sym_expression] = STATE(2341),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5710),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5710),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5565),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1324),
    [sym_subscript_expression] = STATE(1324),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(2958),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5710),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_sequence_expression] = STATE(5676),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1324),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(482),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(1463),
    [anon_sym_export] = ACTIONS(1055),
    [anon_sym_type] = ACTIONS(1055),
    [anon_sym_namespace] = ACTIONS(1057),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(620),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1055),
    [anon_sym_BANG] = ACTIONS(592),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_SEMI] = ACTIONS(43),
    [anon_sym_await] = ACTIONS(594),
    [anon_sym_yield] = ACTIONS(596),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1065),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1471),
    [anon_sym_using] = ACTIONS(606),
    [anon_sym_PLUS] = ACTIONS(620),
    [anon_sym_DASH] = ACTIONS(620),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(592),
    [anon_sym_void] = ACTIONS(620),
    [anon_sym_delete] = ACTIONS(620),
    [anon_sym_PLUS_PLUS] = ACTIONS(622),
    [anon_sym_DASH_DASH] = ACTIONS(622),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(624),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1473),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1055),
    [anon_sym_readonly] = ACTIONS(1055),
    [anon_sym_get] = ACTIONS(1055),
    [anon_sym_set] = ACTIONS(1055),
    [anon_sym_declare] = ACTIONS(1055),
    [anon_sym_public] = ACTIONS(1055),
    [anon_sym_private] = ACTIONS(1055),
    [anon_sym_protected] = ACTIONS(1055),
    [anon_sym_override] = ACTIONS(1055),
    [anon_sym_module] = ACTIONS(1055),
    [anon_sym_any] = ACTIONS(1055),
    [anon_sym_number] = ACTIONS(1055),
    [anon_sym_boolean] = ACTIONS(1055),
    [anon_sym_string] = ACTIONS(1055),
    [anon_sym_symbol] = ACTIONS(1055),
    [anon_sym_object] = ACTIONS(1055),
    [sym_html_comment] = ACTIONS(5),
  },
  [305] = {
    [sym_import] = STATE(3542),
    [sym_empty_statement] = STATE(309),
    [sym_parenthesized_expression] = STATE(1324),
    [sym_expression] = STATE(2342),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5710),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5710),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5565),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1324),
    [sym_subscript_expression] = STATE(1324),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(2958),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5710),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_sequence_expression] = STATE(5692),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1324),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(482),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(1463),
    [anon_sym_export] = ACTIONS(1055),
    [anon_sym_type] = ACTIONS(1055),
    [anon_sym_namespace] = ACTIONS(1057),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(620),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1055),
    [anon_sym_BANG] = ACTIONS(592),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_SEMI] = ACTIONS(43),
    [anon_sym_await] = ACTIONS(594),
    [anon_sym_yield] = ACTIONS(596),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1065),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1471),
    [anon_sym_using] = ACTIONS(606),
    [anon_sym_PLUS] = ACTIONS(620),
    [anon_sym_DASH] = ACTIONS(620),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(592),
    [anon_sym_void] = ACTIONS(620),
    [anon_sym_delete] = ACTIONS(620),
    [anon_sym_PLUS_PLUS] = ACTIONS(622),
    [anon_sym_DASH_DASH] = ACTIONS(622),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(624),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1473),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1055),
    [anon_sym_readonly] = ACTIONS(1055),
    [anon_sym_get] = ACTIONS(1055),
    [anon_sym_set] = ACTIONS(1055),
    [anon_sym_declare] = ACTIONS(1055),
    [anon_sym_public] = ACTIONS(1055),
    [anon_sym_private] = ACTIONS(1055),
    [anon_sym_protected] = ACTIONS(1055),
    [anon_sym_override] = ACTIONS(1055),
    [anon_sym_module] = ACTIONS(1055),
    [anon_sym_any] = ACTIONS(1055),
    [anon_sym_number] = ACTIONS(1055),
    [anon_sym_boolean] = ACTIONS(1055),
    [anon_sym_string] = ACTIONS(1055),
    [anon_sym_symbol] = ACTIONS(1055),
    [anon_sym_object] = ACTIONS(1055),
    [sym_html_comment] = ACTIONS(5),
  },
  [306] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1381),
    [sym_expression] = STATE(2338),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5574),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5574),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5865),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1381),
    [sym_subscript_expression] = STATE(1381),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(3033),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5574),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_sequence_expression] = STATE(5582),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1381),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(635),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(1489),
    [anon_sym_export] = ACTIONS(1275),
    [anon_sym_type] = ACTIONS(1275),
    [anon_sym_namespace] = ACTIONS(1277),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(763),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1275),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_RPAREN] = ACTIONS(2072),
    [anon_sym_await] = ACTIONS(743),
    [anon_sym_yield] = ACTIONS(745),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1285),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1493),
    [anon_sym_using] = ACTIONS(753),
    [anon_sym_PLUS] = ACTIONS(763),
    [anon_sym_DASH] = ACTIONS(763),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(739),
    [anon_sym_void] = ACTIONS(763),
    [anon_sym_delete] = ACTIONS(763),
    [anon_sym_PLUS_PLUS] = ACTIONS(765),
    [anon_sym_DASH_DASH] = ACTIONS(765),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(771),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1495),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1275),
    [anon_sym_readonly] = ACTIONS(1275),
    [anon_sym_get] = ACTIONS(1275),
    [anon_sym_set] = ACTIONS(1275),
    [anon_sym_declare] = ACTIONS(1275),
    [anon_sym_public] = ACTIONS(1275),
    [anon_sym_private] = ACTIONS(1275),
    [anon_sym_protected] = ACTIONS(1275),
    [anon_sym_override] = ACTIONS(1275),
    [anon_sym_module] = ACTIONS(1275),
    [anon_sym_any] = ACTIONS(1275),
    [anon_sym_number] = ACTIONS(1275),
    [anon_sym_boolean] = ACTIONS(1275),
    [anon_sym_string] = ACTIONS(1275),
    [anon_sym_symbol] = ACTIONS(1275),
    [anon_sym_object] = ACTIONS(1275),
    [sym_html_comment] = ACTIONS(5),
  },
  [307] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1381),
    [sym_expression] = STATE(2149),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5574),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5574),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5865),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1381),
    [sym_subscript_expression] = STATE(1381),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(3033),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5574),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_sequence_expression] = STATE(5716),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1381),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(635),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(1489),
    [anon_sym_export] = ACTIONS(1275),
    [anon_sym_type] = ACTIONS(1275),
    [anon_sym_namespace] = ACTIONS(1277),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(763),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1275),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_RPAREN] = ACTIONS(2074),
    [anon_sym_await] = ACTIONS(743),
    [anon_sym_yield] = ACTIONS(745),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1285),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1493),
    [anon_sym_using] = ACTIONS(753),
    [anon_sym_PLUS] = ACTIONS(763),
    [anon_sym_DASH] = ACTIONS(763),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(739),
    [anon_sym_void] = ACTIONS(763),
    [anon_sym_delete] = ACTIONS(763),
    [anon_sym_PLUS_PLUS] = ACTIONS(765),
    [anon_sym_DASH_DASH] = ACTIONS(765),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(771),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1495),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1275),
    [anon_sym_readonly] = ACTIONS(1275),
    [anon_sym_get] = ACTIONS(1275),
    [anon_sym_set] = ACTIONS(1275),
    [anon_sym_declare] = ACTIONS(1275),
    [anon_sym_public] = ACTIONS(1275),
    [anon_sym_private] = ACTIONS(1275),
    [anon_sym_protected] = ACTIONS(1275),
    [anon_sym_override] = ACTIONS(1275),
    [anon_sym_module] = ACTIONS(1275),
    [anon_sym_any] = ACTIONS(1275),
    [anon_sym_number] = ACTIONS(1275),
    [anon_sym_boolean] = ACTIONS(1275),
    [anon_sym_string] = ACTIONS(1275),
    [anon_sym_symbol] = ACTIONS(1275),
    [anon_sym_object] = ACTIONS(1275),
    [sym_html_comment] = ACTIONS(5),
  },
  [308] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1381),
    [sym_expression] = STATE(2283),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5574),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5574),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5865),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1381),
    [sym_subscript_expression] = STATE(1381),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(3033),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5574),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_sequence_expression] = STATE(5762),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1381),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(635),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(1489),
    [anon_sym_export] = ACTIONS(1275),
    [anon_sym_type] = ACTIONS(1275),
    [anon_sym_namespace] = ACTIONS(1277),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(763),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1275),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_RPAREN] = ACTIONS(2076),
    [anon_sym_await] = ACTIONS(743),
    [anon_sym_yield] = ACTIONS(745),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1285),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1493),
    [anon_sym_using] = ACTIONS(753),
    [anon_sym_PLUS] = ACTIONS(763),
    [anon_sym_DASH] = ACTIONS(763),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(739),
    [anon_sym_void] = ACTIONS(763),
    [anon_sym_delete] = ACTIONS(763),
    [anon_sym_PLUS_PLUS] = ACTIONS(765),
    [anon_sym_DASH_DASH] = ACTIONS(765),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(771),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1495),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1275),
    [anon_sym_readonly] = ACTIONS(1275),
    [anon_sym_get] = ACTIONS(1275),
    [anon_sym_set] = ACTIONS(1275),
    [anon_sym_declare] = ACTIONS(1275),
    [anon_sym_public] = ACTIONS(1275),
    [anon_sym_private] = ACTIONS(1275),
    [anon_sym_protected] = ACTIONS(1275),
    [anon_sym_override] = ACTIONS(1275),
    [anon_sym_module] = ACTIONS(1275),
    [anon_sym_any] = ACTIONS(1275),
    [anon_sym_number] = ACTIONS(1275),
    [anon_sym_boolean] = ACTIONS(1275),
    [anon_sym_string] = ACTIONS(1275),
    [anon_sym_symbol] = ACTIONS(1275),
    [anon_sym_object] = ACTIONS(1275),
    [sym_html_comment] = ACTIONS(5),
  },
  [309] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1381),
    [sym_expression] = STATE(2284),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5574),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5574),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5865),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1381),
    [sym_subscript_expression] = STATE(1381),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(3033),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5574),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_sequence_expression] = STATE(5764),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1381),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(635),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(1489),
    [anon_sym_export] = ACTIONS(1275),
    [anon_sym_type] = ACTIONS(1275),
    [anon_sym_namespace] = ACTIONS(1277),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(763),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1275),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_RPAREN] = ACTIONS(2078),
    [anon_sym_await] = ACTIONS(743),
    [anon_sym_yield] = ACTIONS(745),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1285),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1493),
    [anon_sym_using] = ACTIONS(753),
    [anon_sym_PLUS] = ACTIONS(763),
    [anon_sym_DASH] = ACTIONS(763),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(739),
    [anon_sym_void] = ACTIONS(763),
    [anon_sym_delete] = ACTIONS(763),
    [anon_sym_PLUS_PLUS] = ACTIONS(765),
    [anon_sym_DASH_DASH] = ACTIONS(765),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(771),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1495),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1275),
    [anon_sym_readonly] = ACTIONS(1275),
    [anon_sym_get] = ACTIONS(1275),
    [anon_sym_set] = ACTIONS(1275),
    [anon_sym_declare] = ACTIONS(1275),
    [anon_sym_public] = ACTIONS(1275),
    [anon_sym_private] = ACTIONS(1275),
    [anon_sym_protected] = ACTIONS(1275),
    [anon_sym_override] = ACTIONS(1275),
    [anon_sym_module] = ACTIONS(1275),
    [anon_sym_any] = ACTIONS(1275),
    [anon_sym_number] = ACTIONS(1275),
    [anon_sym_boolean] = ACTIONS(1275),
    [anon_sym_string] = ACTIONS(1275),
    [anon_sym_symbol] = ACTIONS(1275),
    [anon_sym_object] = ACTIONS(1275),
    [sym_html_comment] = ACTIONS(5),
  },
  [310] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1381),
    [sym_expression] = STATE(2286),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5574),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5574),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5865),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1381),
    [sym_subscript_expression] = STATE(1381),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(3033),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5574),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_sequence_expression] = STATE(5776),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1381),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(635),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(1489),
    [anon_sym_export] = ACTIONS(1275),
    [anon_sym_type] = ACTIONS(1275),
    [anon_sym_namespace] = ACTIONS(1277),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(763),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1275),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_RPAREN] = ACTIONS(2080),
    [anon_sym_await] = ACTIONS(743),
    [anon_sym_yield] = ACTIONS(745),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1285),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1493),
    [anon_sym_using] = ACTIONS(753),
    [anon_sym_PLUS] = ACTIONS(763),
    [anon_sym_DASH] = ACTIONS(763),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(739),
    [anon_sym_void] = ACTIONS(763),
    [anon_sym_delete] = ACTIONS(763),
    [anon_sym_PLUS_PLUS] = ACTIONS(765),
    [anon_sym_DASH_DASH] = ACTIONS(765),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(771),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1495),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1275),
    [anon_sym_readonly] = ACTIONS(1275),
    [anon_sym_get] = ACTIONS(1275),
    [anon_sym_set] = ACTIONS(1275),
    [anon_sym_declare] = ACTIONS(1275),
    [anon_sym_public] = ACTIONS(1275),
    [anon_sym_private] = ACTIONS(1275),
    [anon_sym_protected] = ACTIONS(1275),
    [anon_sym_override] = ACTIONS(1275),
    [anon_sym_module] = ACTIONS(1275),
    [anon_sym_any] = ACTIONS(1275),
    [anon_sym_number] = ACTIONS(1275),
    [anon_sym_boolean] = ACTIONS(1275),
    [anon_sym_string] = ACTIONS(1275),
    [anon_sym_symbol] = ACTIONS(1275),
    [anon_sym_object] = ACTIONS(1275),
    [sym_html_comment] = ACTIONS(5),
  },
  [311] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1381),
    [sym_expression] = STATE(2337),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5574),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5574),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5865),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1381),
    [sym_subscript_expression] = STATE(1381),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(3033),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5574),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_sequence_expression] = STATE(5579),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1381),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(635),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(1489),
    [anon_sym_export] = ACTIONS(1275),
    [anon_sym_type] = ACTIONS(1275),
    [anon_sym_namespace] = ACTIONS(1277),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(763),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1275),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_RPAREN] = ACTIONS(2082),
    [anon_sym_await] = ACTIONS(743),
    [anon_sym_yield] = ACTIONS(745),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1285),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1493),
    [anon_sym_using] = ACTIONS(753),
    [anon_sym_PLUS] = ACTIONS(763),
    [anon_sym_DASH] = ACTIONS(763),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(739),
    [anon_sym_void] = ACTIONS(763),
    [anon_sym_delete] = ACTIONS(763),
    [anon_sym_PLUS_PLUS] = ACTIONS(765),
    [anon_sym_DASH_DASH] = ACTIONS(765),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(771),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1495),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1275),
    [anon_sym_readonly] = ACTIONS(1275),
    [anon_sym_get] = ACTIONS(1275),
    [anon_sym_set] = ACTIONS(1275),
    [anon_sym_declare] = ACTIONS(1275),
    [anon_sym_public] = ACTIONS(1275),
    [anon_sym_private] = ACTIONS(1275),
    [anon_sym_protected] = ACTIONS(1275),
    [anon_sym_override] = ACTIONS(1275),
    [anon_sym_module] = ACTIONS(1275),
    [anon_sym_any] = ACTIONS(1275),
    [anon_sym_number] = ACTIONS(1275),
    [anon_sym_boolean] = ACTIONS(1275),
    [anon_sym_string] = ACTIONS(1275),
    [anon_sym_symbol] = ACTIONS(1275),
    [anon_sym_object] = ACTIONS(1275),
    [sym_html_comment] = ACTIONS(5),
  },
  [312] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1449),
    [sym_expression] = STATE(2615),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5016),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5016),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5824),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1449),
    [sym_subscript_expression] = STATE(1449),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(2969),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5016),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1449),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(537),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(2084),
    [anon_sym_export] = ACTIONS(2086),
    [anon_sym_type] = ACTIONS(2086),
    [anon_sym_namespace] = ACTIONS(2088),
    [anon_sym_LBRACE] = ACTIONS(1956),
    [anon_sym_typeof] = ACTIONS(184),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_var] = ACTIONS(2090),
    [anon_sym_let] = ACTIONS(2092),
    [anon_sym_const] = ACTIONS(2094),
    [anon_sym_BANG] = ACTIONS(180),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(1964),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(2096),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(2098),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(184),
    [anon_sym_DASH] = ACTIONS(184),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(691),
    [anon_sym_DASH_DASH] = ACTIONS(691),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(2100),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(2086),
    [anon_sym_readonly] = ACTIONS(2086),
    [anon_sym_get] = ACTIONS(2086),
    [anon_sym_set] = ACTIONS(2086),
    [anon_sym_declare] = ACTIONS(2086),
    [anon_sym_public] = ACTIONS(2086),
    [anon_sym_private] = ACTIONS(2086),
    [anon_sym_protected] = ACTIONS(2086),
    [anon_sym_override] = ACTIONS(2086),
    [anon_sym_module] = ACTIONS(2086),
    [anon_sym_any] = ACTIONS(2086),
    [anon_sym_number] = ACTIONS(2086),
    [anon_sym_boolean] = ACTIONS(2086),
    [anon_sym_string] = ACTIONS(2086),
    [anon_sym_symbol] = ACTIONS(2086),
    [anon_sym_object] = ACTIONS(2086),
    [sym_html_comment] = ACTIONS(5),
  },
  [313] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1381),
    [sym_expression] = STATE(2281),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5574),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5574),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5865),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1381),
    [sym_subscript_expression] = STATE(1381),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(3033),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5574),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_sequence_expression] = STATE(5724),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1381),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(635),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(1489),
    [anon_sym_export] = ACTIONS(1275),
    [anon_sym_type] = ACTIONS(1275),
    [anon_sym_namespace] = ACTIONS(1277),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(763),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1275),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_RPAREN] = ACTIONS(2102),
    [anon_sym_await] = ACTIONS(743),
    [anon_sym_yield] = ACTIONS(745),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1285),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1493),
    [anon_sym_using] = ACTIONS(753),
    [anon_sym_PLUS] = ACTIONS(763),
    [anon_sym_DASH] = ACTIONS(763),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(739),
    [anon_sym_void] = ACTIONS(763),
    [anon_sym_delete] = ACTIONS(763),
    [anon_sym_PLUS_PLUS] = ACTIONS(765),
    [anon_sym_DASH_DASH] = ACTIONS(765),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(771),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1495),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1275),
    [anon_sym_readonly] = ACTIONS(1275),
    [anon_sym_get] = ACTIONS(1275),
    [anon_sym_set] = ACTIONS(1275),
    [anon_sym_declare] = ACTIONS(1275),
    [anon_sym_public] = ACTIONS(1275),
    [anon_sym_private] = ACTIONS(1275),
    [anon_sym_protected] = ACTIONS(1275),
    [anon_sym_override] = ACTIONS(1275),
    [anon_sym_module] = ACTIONS(1275),
    [anon_sym_any] = ACTIONS(1275),
    [anon_sym_number] = ACTIONS(1275),
    [anon_sym_boolean] = ACTIONS(1275),
    [anon_sym_string] = ACTIONS(1275),
    [anon_sym_symbol] = ACTIONS(1275),
    [anon_sym_object] = ACTIONS(1275),
    [sym_html_comment] = ACTIONS(5),
  },
  [314] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1381),
    [sym_expression] = STATE(2300),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5574),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5574),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5865),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1381),
    [sym_subscript_expression] = STATE(1381),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(3033),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5574),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_sequence_expression] = STATE(5625),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1381),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(635),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(1489),
    [anon_sym_export] = ACTIONS(1275),
    [anon_sym_type] = ACTIONS(1275),
    [anon_sym_namespace] = ACTIONS(1277),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(763),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1275),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_RPAREN] = ACTIONS(2104),
    [anon_sym_await] = ACTIONS(743),
    [anon_sym_yield] = ACTIONS(745),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1285),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1493),
    [anon_sym_using] = ACTIONS(753),
    [anon_sym_PLUS] = ACTIONS(763),
    [anon_sym_DASH] = ACTIONS(763),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(739),
    [anon_sym_void] = ACTIONS(763),
    [anon_sym_delete] = ACTIONS(763),
    [anon_sym_PLUS_PLUS] = ACTIONS(765),
    [anon_sym_DASH_DASH] = ACTIONS(765),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(771),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1495),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1275),
    [anon_sym_readonly] = ACTIONS(1275),
    [anon_sym_get] = ACTIONS(1275),
    [anon_sym_set] = ACTIONS(1275),
    [anon_sym_declare] = ACTIONS(1275),
    [anon_sym_public] = ACTIONS(1275),
    [anon_sym_private] = ACTIONS(1275),
    [anon_sym_protected] = ACTIONS(1275),
    [anon_sym_override] = ACTIONS(1275),
    [anon_sym_module] = ACTIONS(1275),
    [anon_sym_any] = ACTIONS(1275),
    [anon_sym_number] = ACTIONS(1275),
    [anon_sym_boolean] = ACTIONS(1275),
    [anon_sym_string] = ACTIONS(1275),
    [anon_sym_symbol] = ACTIONS(1275),
    [anon_sym_object] = ACTIONS(1275),
    [sym_html_comment] = ACTIONS(5),
  },
  [315] = {
    [sym_import] = STATE(3542),
    [sym_statement_block] = STATE(1685),
    [sym_parenthesized_expression] = STATE(1324),
    [sym_expression] = STATE(1763),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5710),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5710),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5565),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1324),
    [sym_subscript_expression] = STATE(1324),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(2958),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5710),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1324),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(482),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(1463),
    [anon_sym_export] = ACTIONS(1055),
    [anon_sym_type] = ACTIONS(1055),
    [anon_sym_namespace] = ACTIONS(1057),
    [anon_sym_LBRACE] = ACTIONS(2106),
    [anon_sym_typeof] = ACTIONS(620),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1055),
    [anon_sym_BANG] = ACTIONS(592),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(594),
    [anon_sym_yield] = ACTIONS(596),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1065),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1471),
    [anon_sym_using] = ACTIONS(606),
    [anon_sym_PLUS] = ACTIONS(620),
    [anon_sym_DASH] = ACTIONS(620),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(592),
    [anon_sym_void] = ACTIONS(620),
    [anon_sym_delete] = ACTIONS(620),
    [anon_sym_PLUS_PLUS] = ACTIONS(622),
    [anon_sym_DASH_DASH] = ACTIONS(622),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(624),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1473),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1055),
    [anon_sym_readonly] = ACTIONS(1055),
    [anon_sym_get] = ACTIONS(1055),
    [anon_sym_set] = ACTIONS(1055),
    [anon_sym_declare] = ACTIONS(1055),
    [anon_sym_public] = ACTIONS(1055),
    [anon_sym_private] = ACTIONS(1055),
    [anon_sym_protected] = ACTIONS(1055),
    [anon_sym_override] = ACTIONS(1055),
    [anon_sym_module] = ACTIONS(1055),
    [anon_sym_any] = ACTIONS(1055),
    [anon_sym_number] = ACTIONS(1055),
    [anon_sym_boolean] = ACTIONS(1055),
    [anon_sym_string] = ACTIONS(1055),
    [anon_sym_symbol] = ACTIONS(1055),
    [anon_sym_object] = ACTIONS(1055),
    [sym_html_comment] = ACTIONS(5),
  },
  [316] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1381),
    [sym_expression] = STATE(2146),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5574),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5574),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5865),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1381),
    [sym_subscript_expression] = STATE(1381),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(3033),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5574),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_sequence_expression] = STATE(5518),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1381),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(635),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(1489),
    [anon_sym_export] = ACTIONS(1275),
    [anon_sym_type] = ACTIONS(1275),
    [anon_sym_namespace] = ACTIONS(1277),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(763),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1275),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(743),
    [anon_sym_yield] = ACTIONS(745),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1285),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1493),
    [anon_sym_using] = ACTIONS(753),
    [anon_sym_PLUS] = ACTIONS(763),
    [anon_sym_DASH] = ACTIONS(763),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(739),
    [anon_sym_void] = ACTIONS(763),
    [anon_sym_delete] = ACTIONS(763),
    [anon_sym_PLUS_PLUS] = ACTIONS(765),
    [anon_sym_DASH_DASH] = ACTIONS(765),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(771),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1495),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1275),
    [anon_sym_readonly] = ACTIONS(1275),
    [anon_sym_get] = ACTIONS(1275),
    [anon_sym_set] = ACTIONS(1275),
    [anon_sym_declare] = ACTIONS(1275),
    [anon_sym_public] = ACTIONS(1275),
    [anon_sym_private] = ACTIONS(1275),
    [anon_sym_protected] = ACTIONS(1275),
    [anon_sym_override] = ACTIONS(1275),
    [anon_sym_module] = ACTIONS(1275),
    [anon_sym_any] = ACTIONS(1275),
    [anon_sym_number] = ACTIONS(1275),
    [anon_sym_boolean] = ACTIONS(1275),
    [anon_sym_string] = ACTIONS(1275),
    [anon_sym_symbol] = ACTIONS(1275),
    [anon_sym_object] = ACTIONS(1275),
    [sym_html_comment] = ACTIONS(5),
  },
  [317] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1381),
    [sym_expression] = STATE(1827),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5574),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5574),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5865),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1381),
    [sym_subscript_expression] = STATE(1381),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(3033),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5574),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_sequence_expression] = STATE(5880),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1381),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(635),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(1489),
    [anon_sym_export] = ACTIONS(1275),
    [anon_sym_type] = ACTIONS(1275),
    [anon_sym_namespace] = ACTIONS(1277),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(763),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1275),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(743),
    [anon_sym_yield] = ACTIONS(745),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1285),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1493),
    [anon_sym_using] = ACTIONS(753),
    [anon_sym_PLUS] = ACTIONS(763),
    [anon_sym_DASH] = ACTIONS(763),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(739),
    [anon_sym_void] = ACTIONS(763),
    [anon_sym_delete] = ACTIONS(763),
    [anon_sym_PLUS_PLUS] = ACTIONS(765),
    [anon_sym_DASH_DASH] = ACTIONS(765),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(771),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1495),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1275),
    [anon_sym_readonly] = ACTIONS(1275),
    [anon_sym_get] = ACTIONS(1275),
    [anon_sym_set] = ACTIONS(1275),
    [anon_sym_declare] = ACTIONS(1275),
    [anon_sym_public] = ACTIONS(1275),
    [anon_sym_private] = ACTIONS(1275),
    [anon_sym_protected] = ACTIONS(1275),
    [anon_sym_override] = ACTIONS(1275),
    [anon_sym_module] = ACTIONS(1275),
    [anon_sym_any] = ACTIONS(1275),
    [anon_sym_number] = ACTIONS(1275),
    [anon_sym_boolean] = ACTIONS(1275),
    [anon_sym_string] = ACTIONS(1275),
    [anon_sym_symbol] = ACTIONS(1275),
    [anon_sym_object] = ACTIONS(1275),
    [sym_html_comment] = ACTIONS(5),
  },
  [318] = {
    [sym_import] = STATE(3513),
    [sym_statement_block] = STATE(2325),
    [sym_parenthesized_expression] = STATE(1417),
    [sym_expression] = STATE(2190),
    [sym_primary_expression] = STATE(1833),
    [sym_yield_expression] = STATE(2130),
    [sym_object] = STATE(2117),
    [sym_object_pattern] = STATE(5592),
    [sym_array] = STATE(2117),
    [sym_array_pattern] = STATE(5592),
    [sym_glimmer_template] = STATE(2130),
    [sym_class] = STATE(2117),
    [sym_function_expression] = STATE(2117),
    [sym_generator_function] = STATE(2117),
    [sym_arrow_function] = STATE(2117),
    [sym__call_signature] = STATE(5478),
    [sym_call_expression] = STATE(2117),
    [sym_new_expression] = STATE(1963),
    [sym_await_expression] = STATE(2130),
    [sym_member_expression] = STATE(1417),
    [sym_subscript_expression] = STATE(1417),
    [sym_assignment_expression] = STATE(2130),
    [sym__augmented_assignment_lhs] = STATE(3012),
    [sym_augmented_assignment_expression] = STATE(2130),
    [sym__destructuring_pattern] = STATE(5592),
    [sym_ternary_expression] = STATE(2130),
    [sym_binary_expression] = STATE(2130),
    [sym_unary_expression] = STATE(2130),
    [sym_update_expression] = STATE(2130),
    [sym_string] = STATE(2117),
    [sym_template_string] = STATE(2117),
    [sym_regex] = STATE(2117),
    [sym_meta_property] = STATE(2117),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1417),
    [sym_type_assertion] = STATE(2130),
    [sym_as_expression] = STATE(2130),
    [sym_satisfies_expression] = STATE(2130),
    [sym_instantiation_expression] = STATE(2130),
    [sym_internal_module] = STATE(2130),
    [sym_type_arguments] = STATE(450),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4499),
    [sym_identifier] = ACTIONS(1497),
    [anon_sym_export] = ACTIONS(1129),
    [anon_sym_type] = ACTIONS(1129),
    [anon_sym_namespace] = ACTIONS(1131),
    [anon_sym_LBRACE] = ACTIONS(2108),
    [anon_sym_typeof] = ACTIONS(1157),
    [anon_sym_import] = ACTIONS(674),
    [anon_sym_let] = ACTIONS(1129),
    [anon_sym_BANG] = ACTIONS(1137),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1141),
    [anon_sym_yield] = ACTIONS(1143),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(681),
    [anon_sym_async] = ACTIONS(1147),
    [anon_sym_function] = ACTIONS(685),
    [anon_sym_new] = ACTIONS(1501),
    [anon_sym_using] = ACTIONS(1151),
    [anon_sym_PLUS] = ACTIONS(1157),
    [anon_sym_DASH] = ACTIONS(1157),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1137),
    [anon_sym_void] = ACTIONS(1157),
    [anon_sym_delete] = ACTIONS(1157),
    [anon_sym_PLUS_PLUS] = ACTIONS(1159),
    [anon_sym_DASH_DASH] = ACTIONS(1159),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1165),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1503),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1129),
    [anon_sym_readonly] = ACTIONS(1129),
    [anon_sym_get] = ACTIONS(1129),
    [anon_sym_set] = ACTIONS(1129),
    [anon_sym_declare] = ACTIONS(1129),
    [anon_sym_public] = ACTIONS(1129),
    [anon_sym_private] = ACTIONS(1129),
    [anon_sym_protected] = ACTIONS(1129),
    [anon_sym_override] = ACTIONS(1129),
    [anon_sym_module] = ACTIONS(1129),
    [anon_sym_any] = ACTIONS(1129),
    [anon_sym_number] = ACTIONS(1129),
    [anon_sym_boolean] = ACTIONS(1129),
    [anon_sym_string] = ACTIONS(1129),
    [anon_sym_symbol] = ACTIONS(1129),
    [anon_sym_object] = ACTIONS(1129),
    [sym_html_comment] = ACTIONS(5),
  },
  [319] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1324),
    [sym_expression] = STATE(2194),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5710),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5710),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5565),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1324),
    [sym_subscript_expression] = STATE(1324),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(2958),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5710),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_sequence_expression] = STATE(5729),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1324),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(482),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(1463),
    [anon_sym_export] = ACTIONS(1055),
    [anon_sym_type] = ACTIONS(1055),
    [anon_sym_namespace] = ACTIONS(1057),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(620),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1055),
    [anon_sym_BANG] = ACTIONS(592),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(594),
    [anon_sym_yield] = ACTIONS(596),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1065),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1471),
    [anon_sym_using] = ACTIONS(606),
    [anon_sym_PLUS] = ACTIONS(620),
    [anon_sym_DASH] = ACTIONS(620),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(592),
    [anon_sym_void] = ACTIONS(620),
    [anon_sym_delete] = ACTIONS(620),
    [anon_sym_PLUS_PLUS] = ACTIONS(622),
    [anon_sym_DASH_DASH] = ACTIONS(622),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(624),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1473),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1055),
    [anon_sym_readonly] = ACTIONS(1055),
    [anon_sym_get] = ACTIONS(1055),
    [anon_sym_set] = ACTIONS(1055),
    [anon_sym_declare] = ACTIONS(1055),
    [anon_sym_public] = ACTIONS(1055),
    [anon_sym_private] = ACTIONS(1055),
    [anon_sym_protected] = ACTIONS(1055),
    [anon_sym_override] = ACTIONS(1055),
    [anon_sym_module] = ACTIONS(1055),
    [anon_sym_any] = ACTIONS(1055),
    [anon_sym_number] = ACTIONS(1055),
    [anon_sym_boolean] = ACTIONS(1055),
    [anon_sym_string] = ACTIONS(1055),
    [anon_sym_symbol] = ACTIONS(1055),
    [anon_sym_object] = ACTIONS(1055),
    [sym_html_comment] = ACTIONS(5),
  },
  [320] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1324),
    [sym_expression] = STATE(2297),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5710),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5710),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5565),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1324),
    [sym_subscript_expression] = STATE(1324),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(2958),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5710),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_sequence_expression] = STATE(5487),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1324),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(482),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(1463),
    [anon_sym_export] = ACTIONS(1055),
    [anon_sym_type] = ACTIONS(1055),
    [anon_sym_namespace] = ACTIONS(1057),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(620),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1055),
    [anon_sym_BANG] = ACTIONS(592),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(594),
    [anon_sym_yield] = ACTIONS(596),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1065),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1471),
    [anon_sym_using] = ACTIONS(606),
    [anon_sym_PLUS] = ACTIONS(620),
    [anon_sym_DASH] = ACTIONS(620),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(592),
    [anon_sym_void] = ACTIONS(620),
    [anon_sym_delete] = ACTIONS(620),
    [anon_sym_PLUS_PLUS] = ACTIONS(622),
    [anon_sym_DASH_DASH] = ACTIONS(622),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(624),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1473),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1055),
    [anon_sym_readonly] = ACTIONS(1055),
    [anon_sym_get] = ACTIONS(1055),
    [anon_sym_set] = ACTIONS(1055),
    [anon_sym_declare] = ACTIONS(1055),
    [anon_sym_public] = ACTIONS(1055),
    [anon_sym_private] = ACTIONS(1055),
    [anon_sym_protected] = ACTIONS(1055),
    [anon_sym_override] = ACTIONS(1055),
    [anon_sym_module] = ACTIONS(1055),
    [anon_sym_any] = ACTIONS(1055),
    [anon_sym_number] = ACTIONS(1055),
    [anon_sym_boolean] = ACTIONS(1055),
    [anon_sym_string] = ACTIONS(1055),
    [anon_sym_symbol] = ACTIONS(1055),
    [anon_sym_object] = ACTIONS(1055),
    [sym_html_comment] = ACTIONS(5),
  },
  [321] = {
    [sym_import] = STATE(3513),
    [sym_statement_block] = STATE(2121),
    [sym_parenthesized_expression] = STATE(1417),
    [sym_expression] = STATE(2205),
    [sym_primary_expression] = STATE(1833),
    [sym_yield_expression] = STATE(2130),
    [sym_object] = STATE(2117),
    [sym_object_pattern] = STATE(5592),
    [sym_array] = STATE(2117),
    [sym_array_pattern] = STATE(5592),
    [sym_glimmer_template] = STATE(2130),
    [sym_class] = STATE(2117),
    [sym_function_expression] = STATE(2117),
    [sym_generator_function] = STATE(2117),
    [sym_arrow_function] = STATE(2117),
    [sym__call_signature] = STATE(5478),
    [sym_call_expression] = STATE(2117),
    [sym_new_expression] = STATE(1963),
    [sym_await_expression] = STATE(2130),
    [sym_member_expression] = STATE(1417),
    [sym_subscript_expression] = STATE(1417),
    [sym_assignment_expression] = STATE(2130),
    [sym__augmented_assignment_lhs] = STATE(3012),
    [sym_augmented_assignment_expression] = STATE(2130),
    [sym__destructuring_pattern] = STATE(5592),
    [sym_ternary_expression] = STATE(2130),
    [sym_binary_expression] = STATE(2130),
    [sym_unary_expression] = STATE(2130),
    [sym_update_expression] = STATE(2130),
    [sym_string] = STATE(2117),
    [sym_template_string] = STATE(2117),
    [sym_regex] = STATE(2117),
    [sym_meta_property] = STATE(2117),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1417),
    [sym_type_assertion] = STATE(2130),
    [sym_as_expression] = STATE(2130),
    [sym_satisfies_expression] = STATE(2130),
    [sym_instantiation_expression] = STATE(2130),
    [sym_internal_module] = STATE(2130),
    [sym_type_arguments] = STATE(450),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4499),
    [sym_identifier] = ACTIONS(1497),
    [anon_sym_export] = ACTIONS(1129),
    [anon_sym_type] = ACTIONS(1129),
    [anon_sym_namespace] = ACTIONS(1131),
    [anon_sym_LBRACE] = ACTIONS(2108),
    [anon_sym_typeof] = ACTIONS(1157),
    [anon_sym_import] = ACTIONS(674),
    [anon_sym_let] = ACTIONS(1129),
    [anon_sym_BANG] = ACTIONS(1137),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1141),
    [anon_sym_yield] = ACTIONS(1143),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(681),
    [anon_sym_async] = ACTIONS(1147),
    [anon_sym_function] = ACTIONS(685),
    [anon_sym_new] = ACTIONS(1501),
    [anon_sym_using] = ACTIONS(1151),
    [anon_sym_PLUS] = ACTIONS(1157),
    [anon_sym_DASH] = ACTIONS(1157),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1137),
    [anon_sym_void] = ACTIONS(1157),
    [anon_sym_delete] = ACTIONS(1157),
    [anon_sym_PLUS_PLUS] = ACTIONS(1159),
    [anon_sym_DASH_DASH] = ACTIONS(1159),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1165),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1503),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1129),
    [anon_sym_readonly] = ACTIONS(1129),
    [anon_sym_get] = ACTIONS(1129),
    [anon_sym_set] = ACTIONS(1129),
    [anon_sym_declare] = ACTIONS(1129),
    [anon_sym_public] = ACTIONS(1129),
    [anon_sym_private] = ACTIONS(1129),
    [anon_sym_protected] = ACTIONS(1129),
    [anon_sym_override] = ACTIONS(1129),
    [anon_sym_module] = ACTIONS(1129),
    [anon_sym_any] = ACTIONS(1129),
    [anon_sym_number] = ACTIONS(1129),
    [anon_sym_boolean] = ACTIONS(1129),
    [anon_sym_string] = ACTIONS(1129),
    [anon_sym_symbol] = ACTIONS(1129),
    [anon_sym_object] = ACTIONS(1129),
    [sym_html_comment] = ACTIONS(5),
  },
  [322] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1381),
    [sym_expression] = STATE(2298),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5574),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5574),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5865),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1381),
    [sym_subscript_expression] = STATE(1381),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(3033),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5574),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_sequence_expression] = STATE(5513),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1381),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(635),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(1489),
    [anon_sym_export] = ACTIONS(1275),
    [anon_sym_type] = ACTIONS(1275),
    [anon_sym_namespace] = ACTIONS(1277),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(763),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1275),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(743),
    [anon_sym_yield] = ACTIONS(745),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1285),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1493),
    [anon_sym_using] = ACTIONS(753),
    [anon_sym_PLUS] = ACTIONS(763),
    [anon_sym_DASH] = ACTIONS(763),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(739),
    [anon_sym_void] = ACTIONS(763),
    [anon_sym_delete] = ACTIONS(763),
    [anon_sym_PLUS_PLUS] = ACTIONS(765),
    [anon_sym_DASH_DASH] = ACTIONS(765),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(771),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1495),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1275),
    [anon_sym_readonly] = ACTIONS(1275),
    [anon_sym_get] = ACTIONS(1275),
    [anon_sym_set] = ACTIONS(1275),
    [anon_sym_declare] = ACTIONS(1275),
    [anon_sym_public] = ACTIONS(1275),
    [anon_sym_private] = ACTIONS(1275),
    [anon_sym_protected] = ACTIONS(1275),
    [anon_sym_override] = ACTIONS(1275),
    [anon_sym_module] = ACTIONS(1275),
    [anon_sym_any] = ACTIONS(1275),
    [anon_sym_number] = ACTIONS(1275),
    [anon_sym_boolean] = ACTIONS(1275),
    [anon_sym_string] = ACTIONS(1275),
    [anon_sym_symbol] = ACTIONS(1275),
    [anon_sym_object] = ACTIONS(1275),
    [sym_html_comment] = ACTIONS(5),
  },
  [323] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1381),
    [sym_expression] = STATE(2147),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5574),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5574),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5865),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1381),
    [sym_subscript_expression] = STATE(1381),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(3033),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5574),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_sequence_expression] = STATE(5580),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1381),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(635),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(1489),
    [anon_sym_export] = ACTIONS(1275),
    [anon_sym_type] = ACTIONS(1275),
    [anon_sym_namespace] = ACTIONS(1277),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(763),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1275),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(743),
    [anon_sym_yield] = ACTIONS(745),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1285),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1493),
    [anon_sym_using] = ACTIONS(753),
    [anon_sym_PLUS] = ACTIONS(763),
    [anon_sym_DASH] = ACTIONS(763),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(739),
    [anon_sym_void] = ACTIONS(763),
    [anon_sym_delete] = ACTIONS(763),
    [anon_sym_PLUS_PLUS] = ACTIONS(765),
    [anon_sym_DASH_DASH] = ACTIONS(765),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(771),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1495),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1275),
    [anon_sym_readonly] = ACTIONS(1275),
    [anon_sym_get] = ACTIONS(1275),
    [anon_sym_set] = ACTIONS(1275),
    [anon_sym_declare] = ACTIONS(1275),
    [anon_sym_public] = ACTIONS(1275),
    [anon_sym_private] = ACTIONS(1275),
    [anon_sym_protected] = ACTIONS(1275),
    [anon_sym_override] = ACTIONS(1275),
    [anon_sym_module] = ACTIONS(1275),
    [anon_sym_any] = ACTIONS(1275),
    [anon_sym_number] = ACTIONS(1275),
    [anon_sym_boolean] = ACTIONS(1275),
    [anon_sym_string] = ACTIONS(1275),
    [anon_sym_symbol] = ACTIONS(1275),
    [anon_sym_object] = ACTIONS(1275),
    [sym_html_comment] = ACTIONS(5),
  },
  [324] = {
    [sym_import] = STATE(3513),
    [sym_statement_block] = STATE(2235),
    [sym_parenthesized_expression] = STATE(1417),
    [sym_expression] = STATE(2207),
    [sym_primary_expression] = STATE(1833),
    [sym_yield_expression] = STATE(2130),
    [sym_object] = STATE(2117),
    [sym_object_pattern] = STATE(5592),
    [sym_array] = STATE(2117),
    [sym_array_pattern] = STATE(5592),
    [sym_glimmer_template] = STATE(2130),
    [sym_class] = STATE(2117),
    [sym_function_expression] = STATE(2117),
    [sym_generator_function] = STATE(2117),
    [sym_arrow_function] = STATE(2117),
    [sym__call_signature] = STATE(5478),
    [sym_call_expression] = STATE(2117),
    [sym_new_expression] = STATE(1963),
    [sym_await_expression] = STATE(2130),
    [sym_member_expression] = STATE(1417),
    [sym_subscript_expression] = STATE(1417),
    [sym_assignment_expression] = STATE(2130),
    [sym__augmented_assignment_lhs] = STATE(3012),
    [sym_augmented_assignment_expression] = STATE(2130),
    [sym__destructuring_pattern] = STATE(5592),
    [sym_ternary_expression] = STATE(2130),
    [sym_binary_expression] = STATE(2130),
    [sym_unary_expression] = STATE(2130),
    [sym_update_expression] = STATE(2130),
    [sym_string] = STATE(2117),
    [sym_template_string] = STATE(2117),
    [sym_regex] = STATE(2117),
    [sym_meta_property] = STATE(2117),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1417),
    [sym_type_assertion] = STATE(2130),
    [sym_as_expression] = STATE(2130),
    [sym_satisfies_expression] = STATE(2130),
    [sym_instantiation_expression] = STATE(2130),
    [sym_internal_module] = STATE(2130),
    [sym_type_arguments] = STATE(450),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4499),
    [sym_identifier] = ACTIONS(1497),
    [anon_sym_export] = ACTIONS(1129),
    [anon_sym_type] = ACTIONS(1129),
    [anon_sym_namespace] = ACTIONS(1131),
    [anon_sym_LBRACE] = ACTIONS(2108),
    [anon_sym_typeof] = ACTIONS(1157),
    [anon_sym_import] = ACTIONS(674),
    [anon_sym_let] = ACTIONS(1129),
    [anon_sym_BANG] = ACTIONS(1137),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1141),
    [anon_sym_yield] = ACTIONS(1143),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(681),
    [anon_sym_async] = ACTIONS(1147),
    [anon_sym_function] = ACTIONS(685),
    [anon_sym_new] = ACTIONS(1501),
    [anon_sym_using] = ACTIONS(1151),
    [anon_sym_PLUS] = ACTIONS(1157),
    [anon_sym_DASH] = ACTIONS(1157),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1137),
    [anon_sym_void] = ACTIONS(1157),
    [anon_sym_delete] = ACTIONS(1157),
    [anon_sym_PLUS_PLUS] = ACTIONS(1159),
    [anon_sym_DASH_DASH] = ACTIONS(1159),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1165),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1503),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1129),
    [anon_sym_readonly] = ACTIONS(1129),
    [anon_sym_get] = ACTIONS(1129),
    [anon_sym_set] = ACTIONS(1129),
    [anon_sym_declare] = ACTIONS(1129),
    [anon_sym_public] = ACTIONS(1129),
    [anon_sym_private] = ACTIONS(1129),
    [anon_sym_protected] = ACTIONS(1129),
    [anon_sym_override] = ACTIONS(1129),
    [anon_sym_module] = ACTIONS(1129),
    [anon_sym_any] = ACTIONS(1129),
    [anon_sym_number] = ACTIONS(1129),
    [anon_sym_boolean] = ACTIONS(1129),
    [anon_sym_string] = ACTIONS(1129),
    [anon_sym_symbol] = ACTIONS(1129),
    [anon_sym_object] = ACTIONS(1129),
    [sym_html_comment] = ACTIONS(5),
  },
  [325] = {
    [sym_import] = STATE(3513),
    [sym_statement_block] = STATE(2238),
    [sym_parenthesized_expression] = STATE(1417),
    [sym_expression] = STATE(2208),
    [sym_primary_expression] = STATE(1833),
    [sym_yield_expression] = STATE(2130),
    [sym_object] = STATE(2117),
    [sym_object_pattern] = STATE(5592),
    [sym_array] = STATE(2117),
    [sym_array_pattern] = STATE(5592),
    [sym_glimmer_template] = STATE(2130),
    [sym_class] = STATE(2117),
    [sym_function_expression] = STATE(2117),
    [sym_generator_function] = STATE(2117),
    [sym_arrow_function] = STATE(2117),
    [sym__call_signature] = STATE(5478),
    [sym_call_expression] = STATE(2117),
    [sym_new_expression] = STATE(1963),
    [sym_await_expression] = STATE(2130),
    [sym_member_expression] = STATE(1417),
    [sym_subscript_expression] = STATE(1417),
    [sym_assignment_expression] = STATE(2130),
    [sym__augmented_assignment_lhs] = STATE(3012),
    [sym_augmented_assignment_expression] = STATE(2130),
    [sym__destructuring_pattern] = STATE(5592),
    [sym_ternary_expression] = STATE(2130),
    [sym_binary_expression] = STATE(2130),
    [sym_unary_expression] = STATE(2130),
    [sym_update_expression] = STATE(2130),
    [sym_string] = STATE(2117),
    [sym_template_string] = STATE(2117),
    [sym_regex] = STATE(2117),
    [sym_meta_property] = STATE(2117),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1417),
    [sym_type_assertion] = STATE(2130),
    [sym_as_expression] = STATE(2130),
    [sym_satisfies_expression] = STATE(2130),
    [sym_instantiation_expression] = STATE(2130),
    [sym_internal_module] = STATE(2130),
    [sym_type_arguments] = STATE(450),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4499),
    [sym_identifier] = ACTIONS(1497),
    [anon_sym_export] = ACTIONS(1129),
    [anon_sym_type] = ACTIONS(1129),
    [anon_sym_namespace] = ACTIONS(1131),
    [anon_sym_LBRACE] = ACTIONS(2108),
    [anon_sym_typeof] = ACTIONS(1157),
    [anon_sym_import] = ACTIONS(674),
    [anon_sym_let] = ACTIONS(1129),
    [anon_sym_BANG] = ACTIONS(1137),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1141),
    [anon_sym_yield] = ACTIONS(1143),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(681),
    [anon_sym_async] = ACTIONS(1147),
    [anon_sym_function] = ACTIONS(685),
    [anon_sym_new] = ACTIONS(1501),
    [anon_sym_using] = ACTIONS(1151),
    [anon_sym_PLUS] = ACTIONS(1157),
    [anon_sym_DASH] = ACTIONS(1157),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1137),
    [anon_sym_void] = ACTIONS(1157),
    [anon_sym_delete] = ACTIONS(1157),
    [anon_sym_PLUS_PLUS] = ACTIONS(1159),
    [anon_sym_DASH_DASH] = ACTIONS(1159),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1165),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1503),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1129),
    [anon_sym_readonly] = ACTIONS(1129),
    [anon_sym_get] = ACTIONS(1129),
    [anon_sym_set] = ACTIONS(1129),
    [anon_sym_declare] = ACTIONS(1129),
    [anon_sym_public] = ACTIONS(1129),
    [anon_sym_private] = ACTIONS(1129),
    [anon_sym_protected] = ACTIONS(1129),
    [anon_sym_override] = ACTIONS(1129),
    [anon_sym_module] = ACTIONS(1129),
    [anon_sym_any] = ACTIONS(1129),
    [anon_sym_number] = ACTIONS(1129),
    [anon_sym_boolean] = ACTIONS(1129),
    [anon_sym_string] = ACTIONS(1129),
    [anon_sym_symbol] = ACTIONS(1129),
    [anon_sym_object] = ACTIONS(1129),
    [sym_html_comment] = ACTIONS(5),
  },
  [326] = {
    [sym_import] = STATE(3513),
    [sym_statement_block] = STATE(2239),
    [sym_parenthesized_expression] = STATE(1417),
    [sym_expression] = STATE(2209),
    [sym_primary_expression] = STATE(1833),
    [sym_yield_expression] = STATE(2130),
    [sym_object] = STATE(2117),
    [sym_object_pattern] = STATE(5592),
    [sym_array] = STATE(2117),
    [sym_array_pattern] = STATE(5592),
    [sym_glimmer_template] = STATE(2130),
    [sym_class] = STATE(2117),
    [sym_function_expression] = STATE(2117),
    [sym_generator_function] = STATE(2117),
    [sym_arrow_function] = STATE(2117),
    [sym__call_signature] = STATE(5478),
    [sym_call_expression] = STATE(2117),
    [sym_new_expression] = STATE(1963),
    [sym_await_expression] = STATE(2130),
    [sym_member_expression] = STATE(1417),
    [sym_subscript_expression] = STATE(1417),
    [sym_assignment_expression] = STATE(2130),
    [sym__augmented_assignment_lhs] = STATE(3012),
    [sym_augmented_assignment_expression] = STATE(2130),
    [sym__destructuring_pattern] = STATE(5592),
    [sym_ternary_expression] = STATE(2130),
    [sym_binary_expression] = STATE(2130),
    [sym_unary_expression] = STATE(2130),
    [sym_update_expression] = STATE(2130),
    [sym_string] = STATE(2117),
    [sym_template_string] = STATE(2117),
    [sym_regex] = STATE(2117),
    [sym_meta_property] = STATE(2117),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1417),
    [sym_type_assertion] = STATE(2130),
    [sym_as_expression] = STATE(2130),
    [sym_satisfies_expression] = STATE(2130),
    [sym_instantiation_expression] = STATE(2130),
    [sym_internal_module] = STATE(2130),
    [sym_type_arguments] = STATE(450),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4499),
    [sym_identifier] = ACTIONS(1497),
    [anon_sym_export] = ACTIONS(1129),
    [anon_sym_type] = ACTIONS(1129),
    [anon_sym_namespace] = ACTIONS(1131),
    [anon_sym_LBRACE] = ACTIONS(2108),
    [anon_sym_typeof] = ACTIONS(1157),
    [anon_sym_import] = ACTIONS(674),
    [anon_sym_let] = ACTIONS(1129),
    [anon_sym_BANG] = ACTIONS(1137),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1141),
    [anon_sym_yield] = ACTIONS(1143),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(681),
    [anon_sym_async] = ACTIONS(1147),
    [anon_sym_function] = ACTIONS(685),
    [anon_sym_new] = ACTIONS(1501),
    [anon_sym_using] = ACTIONS(1151),
    [anon_sym_PLUS] = ACTIONS(1157),
    [anon_sym_DASH] = ACTIONS(1157),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1137),
    [anon_sym_void] = ACTIONS(1157),
    [anon_sym_delete] = ACTIONS(1157),
    [anon_sym_PLUS_PLUS] = ACTIONS(1159),
    [anon_sym_DASH_DASH] = ACTIONS(1159),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1165),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1503),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1129),
    [anon_sym_readonly] = ACTIONS(1129),
    [anon_sym_get] = ACTIONS(1129),
    [anon_sym_set] = ACTIONS(1129),
    [anon_sym_declare] = ACTIONS(1129),
    [anon_sym_public] = ACTIONS(1129),
    [anon_sym_private] = ACTIONS(1129),
    [anon_sym_protected] = ACTIONS(1129),
    [anon_sym_override] = ACTIONS(1129),
    [anon_sym_module] = ACTIONS(1129),
    [anon_sym_any] = ACTIONS(1129),
    [anon_sym_number] = ACTIONS(1129),
    [anon_sym_boolean] = ACTIONS(1129),
    [anon_sym_string] = ACTIONS(1129),
    [anon_sym_symbol] = ACTIONS(1129),
    [anon_sym_object] = ACTIONS(1129),
    [sym_html_comment] = ACTIONS(5),
  },
  [327] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1324),
    [sym_expression] = STATE(2355),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5710),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5710),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5565),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1324),
    [sym_subscript_expression] = STATE(1324),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(2958),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5710),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_sequence_expression] = STATE(5860),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1324),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(482),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(1463),
    [anon_sym_export] = ACTIONS(1055),
    [anon_sym_type] = ACTIONS(1055),
    [anon_sym_namespace] = ACTIONS(1057),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(620),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1055),
    [anon_sym_BANG] = ACTIONS(592),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(594),
    [anon_sym_yield] = ACTIONS(596),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1065),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1471),
    [anon_sym_using] = ACTIONS(606),
    [anon_sym_PLUS] = ACTIONS(620),
    [anon_sym_DASH] = ACTIONS(620),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(592),
    [anon_sym_void] = ACTIONS(620),
    [anon_sym_delete] = ACTIONS(620),
    [anon_sym_PLUS_PLUS] = ACTIONS(622),
    [anon_sym_DASH_DASH] = ACTIONS(622),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(624),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1473),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1055),
    [anon_sym_readonly] = ACTIONS(1055),
    [anon_sym_get] = ACTIONS(1055),
    [anon_sym_set] = ACTIONS(1055),
    [anon_sym_declare] = ACTIONS(1055),
    [anon_sym_public] = ACTIONS(1055),
    [anon_sym_private] = ACTIONS(1055),
    [anon_sym_protected] = ACTIONS(1055),
    [anon_sym_override] = ACTIONS(1055),
    [anon_sym_module] = ACTIONS(1055),
    [anon_sym_any] = ACTIONS(1055),
    [anon_sym_number] = ACTIONS(1055),
    [anon_sym_boolean] = ACTIONS(1055),
    [anon_sym_string] = ACTIONS(1055),
    [anon_sym_symbol] = ACTIONS(1055),
    [anon_sym_object] = ACTIONS(1055),
    [sym_html_comment] = ACTIONS(5),
  },
  [328] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1381),
    [sym_expression] = STATE(2299),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5574),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5574),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5865),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1381),
    [sym_subscript_expression] = STATE(1381),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(3033),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5574),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_sequence_expression] = STATE(5600),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1381),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(635),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(1489),
    [anon_sym_export] = ACTIONS(1275),
    [anon_sym_type] = ACTIONS(1275),
    [anon_sym_namespace] = ACTIONS(1277),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(763),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1275),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(743),
    [anon_sym_yield] = ACTIONS(745),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1285),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1493),
    [anon_sym_using] = ACTIONS(753),
    [anon_sym_PLUS] = ACTIONS(763),
    [anon_sym_DASH] = ACTIONS(763),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(739),
    [anon_sym_void] = ACTIONS(763),
    [anon_sym_delete] = ACTIONS(763),
    [anon_sym_PLUS_PLUS] = ACTIONS(765),
    [anon_sym_DASH_DASH] = ACTIONS(765),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(771),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1495),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1275),
    [anon_sym_readonly] = ACTIONS(1275),
    [anon_sym_get] = ACTIONS(1275),
    [anon_sym_set] = ACTIONS(1275),
    [anon_sym_declare] = ACTIONS(1275),
    [anon_sym_public] = ACTIONS(1275),
    [anon_sym_private] = ACTIONS(1275),
    [anon_sym_protected] = ACTIONS(1275),
    [anon_sym_override] = ACTIONS(1275),
    [anon_sym_module] = ACTIONS(1275),
    [anon_sym_any] = ACTIONS(1275),
    [anon_sym_number] = ACTIONS(1275),
    [anon_sym_boolean] = ACTIONS(1275),
    [anon_sym_string] = ACTIONS(1275),
    [anon_sym_symbol] = ACTIONS(1275),
    [anon_sym_object] = ACTIONS(1275),
    [sym_html_comment] = ACTIONS(5),
  },
  [329] = {
    [sym_import] = STATE(3513),
    [sym_statement_block] = STATE(2121),
    [sym_parenthesized_expression] = STATE(1353),
    [sym_expression] = STATE(1829),
    [sym_primary_expression] = STATE(1833),
    [sym_yield_expression] = STATE(2130),
    [sym_object] = STATE(2117),
    [sym_object_pattern] = STATE(5484),
    [sym_array] = STATE(2117),
    [sym_array_pattern] = STATE(5484),
    [sym_glimmer_template] = STATE(2130),
    [sym_class] = STATE(2117),
    [sym_function_expression] = STATE(2117),
    [sym_generator_function] = STATE(2117),
    [sym_arrow_function] = STATE(2117),
    [sym__call_signature] = STATE(5525),
    [sym_call_expression] = STATE(2117),
    [sym_new_expression] = STATE(1963),
    [sym_await_expression] = STATE(2130),
    [sym_member_expression] = STATE(1353),
    [sym_subscript_expression] = STATE(1353),
    [sym_assignment_expression] = STATE(2130),
    [sym__augmented_assignment_lhs] = STATE(3036),
    [sym_augmented_assignment_expression] = STATE(2130),
    [sym__destructuring_pattern] = STATE(5484),
    [sym_ternary_expression] = STATE(2130),
    [sym_binary_expression] = STATE(2130),
    [sym_unary_expression] = STATE(2130),
    [sym_update_expression] = STATE(2130),
    [sym_string] = STATE(2117),
    [sym_template_string] = STATE(2117),
    [sym_regex] = STATE(2117),
    [sym_meta_property] = STATE(2117),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1353),
    [sym_type_assertion] = STATE(2130),
    [sym_as_expression] = STATE(2130),
    [sym_satisfies_expression] = STATE(2130),
    [sym_instantiation_expression] = STATE(2130),
    [sym_internal_module] = STATE(2130),
    [sym_type_arguments] = STATE(427),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4499),
    [sym_identifier] = ACTIONS(1475),
    [anon_sym_export] = ACTIONS(1443),
    [anon_sym_type] = ACTIONS(1443),
    [anon_sym_namespace] = ACTIONS(1445),
    [anon_sym_LBRACE] = ACTIONS(2108),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(674),
    [anon_sym_let] = ACTIONS(1443),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(681),
    [anon_sym_async] = ACTIONS(1449),
    [anon_sym_function] = ACTIONS(685),
    [anon_sym_new] = ACTIONS(1479),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1443),
    [anon_sym_readonly] = ACTIONS(1443),
    [anon_sym_get] = ACTIONS(1443),
    [anon_sym_set] = ACTIONS(1443),
    [anon_sym_declare] = ACTIONS(1443),
    [anon_sym_public] = ACTIONS(1443),
    [anon_sym_private] = ACTIONS(1443),
    [anon_sym_protected] = ACTIONS(1443),
    [anon_sym_override] = ACTIONS(1443),
    [anon_sym_module] = ACTIONS(1443),
    [anon_sym_any] = ACTIONS(1443),
    [anon_sym_number] = ACTIONS(1443),
    [anon_sym_boolean] = ACTIONS(1443),
    [anon_sym_string] = ACTIONS(1443),
    [anon_sym_symbol] = ACTIONS(1443),
    [anon_sym_object] = ACTIONS(1443),
    [sym_html_comment] = ACTIONS(5),
  },
  [330] = {
    [sym_import] = STATE(3542),
    [sym_statement_block] = STATE(1659),
    [sym_parenthesized_expression] = STATE(1381),
    [sym_expression] = STATE(2045),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5574),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5574),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5865),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1381),
    [sym_subscript_expression] = STATE(1381),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(3033),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5574),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1381),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(635),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(1489),
    [anon_sym_export] = ACTIONS(1275),
    [anon_sym_type] = ACTIONS(1275),
    [anon_sym_namespace] = ACTIONS(1277),
    [anon_sym_LBRACE] = ACTIONS(2106),
    [anon_sym_typeof] = ACTIONS(763),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1275),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(743),
    [anon_sym_yield] = ACTIONS(745),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1285),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1493),
    [anon_sym_using] = ACTIONS(753),
    [anon_sym_PLUS] = ACTIONS(763),
    [anon_sym_DASH] = ACTIONS(763),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(739),
    [anon_sym_void] = ACTIONS(763),
    [anon_sym_delete] = ACTIONS(763),
    [anon_sym_PLUS_PLUS] = ACTIONS(765),
    [anon_sym_DASH_DASH] = ACTIONS(765),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(771),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1495),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1275),
    [anon_sym_readonly] = ACTIONS(1275),
    [anon_sym_get] = ACTIONS(1275),
    [anon_sym_set] = ACTIONS(1275),
    [anon_sym_declare] = ACTIONS(1275),
    [anon_sym_public] = ACTIONS(1275),
    [anon_sym_private] = ACTIONS(1275),
    [anon_sym_protected] = ACTIONS(1275),
    [anon_sym_override] = ACTIONS(1275),
    [anon_sym_module] = ACTIONS(1275),
    [anon_sym_any] = ACTIONS(1275),
    [anon_sym_number] = ACTIONS(1275),
    [anon_sym_boolean] = ACTIONS(1275),
    [anon_sym_string] = ACTIONS(1275),
    [anon_sym_symbol] = ACTIONS(1275),
    [anon_sym_object] = ACTIONS(1275),
    [sym_html_comment] = ACTIONS(5),
  },
  [331] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1324),
    [sym_expression] = STATE(2214),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5710),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5710),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5565),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1324),
    [sym_subscript_expression] = STATE(1324),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(2958),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5710),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_sequence_expression] = STATE(5639),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1324),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(482),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(1463),
    [anon_sym_export] = ACTIONS(1055),
    [anon_sym_type] = ACTIONS(1055),
    [anon_sym_namespace] = ACTIONS(1057),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(620),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1055),
    [anon_sym_BANG] = ACTIONS(592),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(594),
    [anon_sym_yield] = ACTIONS(596),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1065),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1471),
    [anon_sym_using] = ACTIONS(606),
    [anon_sym_PLUS] = ACTIONS(620),
    [anon_sym_DASH] = ACTIONS(620),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(592),
    [anon_sym_void] = ACTIONS(620),
    [anon_sym_delete] = ACTIONS(620),
    [anon_sym_PLUS_PLUS] = ACTIONS(622),
    [anon_sym_DASH_DASH] = ACTIONS(622),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(624),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1473),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1055),
    [anon_sym_readonly] = ACTIONS(1055),
    [anon_sym_get] = ACTIONS(1055),
    [anon_sym_set] = ACTIONS(1055),
    [anon_sym_declare] = ACTIONS(1055),
    [anon_sym_public] = ACTIONS(1055),
    [anon_sym_private] = ACTIONS(1055),
    [anon_sym_protected] = ACTIONS(1055),
    [anon_sym_override] = ACTIONS(1055),
    [anon_sym_module] = ACTIONS(1055),
    [anon_sym_any] = ACTIONS(1055),
    [anon_sym_number] = ACTIONS(1055),
    [anon_sym_boolean] = ACTIONS(1055),
    [anon_sym_string] = ACTIONS(1055),
    [anon_sym_symbol] = ACTIONS(1055),
    [anon_sym_object] = ACTIONS(1055),
    [sym_html_comment] = ACTIONS(5),
  },
  [332] = {
    [sym_import] = STATE(3542),
    [sym_statement_block] = STATE(1670),
    [sym_parenthesized_expression] = STATE(1381),
    [sym_expression] = STATE(1890),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5574),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5574),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5865),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1381),
    [sym_subscript_expression] = STATE(1381),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(3033),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5574),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1381),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(635),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(1489),
    [anon_sym_export] = ACTIONS(1275),
    [anon_sym_type] = ACTIONS(1275),
    [anon_sym_namespace] = ACTIONS(1277),
    [anon_sym_LBRACE] = ACTIONS(2106),
    [anon_sym_typeof] = ACTIONS(763),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1275),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(743),
    [anon_sym_yield] = ACTIONS(745),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1285),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1493),
    [anon_sym_using] = ACTIONS(753),
    [anon_sym_PLUS] = ACTIONS(763),
    [anon_sym_DASH] = ACTIONS(763),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(739),
    [anon_sym_void] = ACTIONS(763),
    [anon_sym_delete] = ACTIONS(763),
    [anon_sym_PLUS_PLUS] = ACTIONS(765),
    [anon_sym_DASH_DASH] = ACTIONS(765),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(771),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1495),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1275),
    [anon_sym_readonly] = ACTIONS(1275),
    [anon_sym_get] = ACTIONS(1275),
    [anon_sym_set] = ACTIONS(1275),
    [anon_sym_declare] = ACTIONS(1275),
    [anon_sym_public] = ACTIONS(1275),
    [anon_sym_private] = ACTIONS(1275),
    [anon_sym_protected] = ACTIONS(1275),
    [anon_sym_override] = ACTIONS(1275),
    [anon_sym_module] = ACTIONS(1275),
    [anon_sym_any] = ACTIONS(1275),
    [anon_sym_number] = ACTIONS(1275),
    [anon_sym_boolean] = ACTIONS(1275),
    [anon_sym_string] = ACTIONS(1275),
    [anon_sym_symbol] = ACTIONS(1275),
    [anon_sym_object] = ACTIONS(1275),
    [sym_html_comment] = ACTIONS(5),
  },
  [333] = {
    [sym_import] = STATE(3542),
    [sym_statement_block] = STATE(1674),
    [sym_parenthesized_expression] = STATE(1381),
    [sym_expression] = STATE(1913),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5574),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5574),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5865),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1381),
    [sym_subscript_expression] = STATE(1381),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(3033),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5574),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1381),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(635),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(1489),
    [anon_sym_export] = ACTIONS(1275),
    [anon_sym_type] = ACTIONS(1275),
    [anon_sym_namespace] = ACTIONS(1277),
    [anon_sym_LBRACE] = ACTIONS(2106),
    [anon_sym_typeof] = ACTIONS(763),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1275),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(743),
    [anon_sym_yield] = ACTIONS(745),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1285),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1493),
    [anon_sym_using] = ACTIONS(753),
    [anon_sym_PLUS] = ACTIONS(763),
    [anon_sym_DASH] = ACTIONS(763),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(739),
    [anon_sym_void] = ACTIONS(763),
    [anon_sym_delete] = ACTIONS(763),
    [anon_sym_PLUS_PLUS] = ACTIONS(765),
    [anon_sym_DASH_DASH] = ACTIONS(765),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(771),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1495),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1275),
    [anon_sym_readonly] = ACTIONS(1275),
    [anon_sym_get] = ACTIONS(1275),
    [anon_sym_set] = ACTIONS(1275),
    [anon_sym_declare] = ACTIONS(1275),
    [anon_sym_public] = ACTIONS(1275),
    [anon_sym_private] = ACTIONS(1275),
    [anon_sym_protected] = ACTIONS(1275),
    [anon_sym_override] = ACTIONS(1275),
    [anon_sym_module] = ACTIONS(1275),
    [anon_sym_any] = ACTIONS(1275),
    [anon_sym_number] = ACTIONS(1275),
    [anon_sym_boolean] = ACTIONS(1275),
    [anon_sym_string] = ACTIONS(1275),
    [anon_sym_symbol] = ACTIONS(1275),
    [anon_sym_object] = ACTIONS(1275),
    [sym_html_comment] = ACTIONS(5),
  },
  [334] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1459),
    [sym_expression] = STATE(2605),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5835),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5835),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5489),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1459),
    [sym_subscript_expression] = STATE(1459),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(3006),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5835),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1459),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_mapped_type_clause] = STATE(5723),
    [sym_type_arguments] = STATE(617),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(2110),
    [anon_sym_export] = ACTIONS(2112),
    [anon_sym_type] = ACTIONS(2112),
    [anon_sym_namespace] = ACTIONS(2114),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(1107),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(2112),
    [anon_sym_BANG] = ACTIONS(1089),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(1091),
    [anon_sym_yield] = ACTIONS(1093),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(2116),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(2118),
    [anon_sym_using] = ACTIONS(1101),
    [anon_sym_PLUS] = ACTIONS(1107),
    [anon_sym_DASH] = ACTIONS(1107),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1089),
    [anon_sym_void] = ACTIONS(1107),
    [anon_sym_delete] = ACTIONS(1107),
    [anon_sym_PLUS_PLUS] = ACTIONS(1109),
    [anon_sym_DASH_DASH] = ACTIONS(1109),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(1115),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1535),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(2112),
    [anon_sym_readonly] = ACTIONS(2112),
    [anon_sym_get] = ACTIONS(2112),
    [anon_sym_set] = ACTIONS(2112),
    [anon_sym_declare] = ACTIONS(2112),
    [anon_sym_public] = ACTIONS(2112),
    [anon_sym_private] = ACTIONS(2112),
    [anon_sym_protected] = ACTIONS(2112),
    [anon_sym_override] = ACTIONS(2112),
    [anon_sym_module] = ACTIONS(2112),
    [anon_sym_any] = ACTIONS(2112),
    [anon_sym_number] = ACTIONS(2112),
    [anon_sym_boolean] = ACTIONS(2112),
    [anon_sym_string] = ACTIONS(2112),
    [anon_sym_symbol] = ACTIONS(2112),
    [anon_sym_object] = ACTIONS(2112),
    [sym_html_comment] = ACTIONS(5),
  },
  [335] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1381),
    [sym_expression] = STATE(1866),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5574),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5574),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5865),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1381),
    [sym_subscript_expression] = STATE(1381),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(3033),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5574),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_sequence_expression] = STATE(5556),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1381),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(635),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(1489),
    [anon_sym_export] = ACTIONS(1275),
    [anon_sym_type] = ACTIONS(1275),
    [anon_sym_namespace] = ACTIONS(1277),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(763),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1275),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(743),
    [anon_sym_yield] = ACTIONS(745),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1285),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1493),
    [anon_sym_using] = ACTIONS(753),
    [anon_sym_PLUS] = ACTIONS(763),
    [anon_sym_DASH] = ACTIONS(763),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(739),
    [anon_sym_void] = ACTIONS(763),
    [anon_sym_delete] = ACTIONS(763),
    [anon_sym_PLUS_PLUS] = ACTIONS(765),
    [anon_sym_DASH_DASH] = ACTIONS(765),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(771),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1495),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1275),
    [anon_sym_readonly] = ACTIONS(1275),
    [anon_sym_get] = ACTIONS(1275),
    [anon_sym_set] = ACTIONS(1275),
    [anon_sym_declare] = ACTIONS(1275),
    [anon_sym_public] = ACTIONS(1275),
    [anon_sym_private] = ACTIONS(1275),
    [anon_sym_protected] = ACTIONS(1275),
    [anon_sym_override] = ACTIONS(1275),
    [anon_sym_module] = ACTIONS(1275),
    [anon_sym_any] = ACTIONS(1275),
    [anon_sym_number] = ACTIONS(1275),
    [anon_sym_boolean] = ACTIONS(1275),
    [anon_sym_string] = ACTIONS(1275),
    [anon_sym_symbol] = ACTIONS(1275),
    [anon_sym_object] = ACTIONS(1275),
    [sym_html_comment] = ACTIONS(5),
  },
  [336] = {
    [sym_import] = STATE(3513),
    [sym_statement_block] = STATE(2235),
    [sym_parenthesized_expression] = STATE(1353),
    [sym_expression] = STATE(1816),
    [sym_primary_expression] = STATE(1833),
    [sym_yield_expression] = STATE(2130),
    [sym_object] = STATE(2117),
    [sym_object_pattern] = STATE(5484),
    [sym_array] = STATE(2117),
    [sym_array_pattern] = STATE(5484),
    [sym_glimmer_template] = STATE(2130),
    [sym_class] = STATE(2117),
    [sym_function_expression] = STATE(2117),
    [sym_generator_function] = STATE(2117),
    [sym_arrow_function] = STATE(2117),
    [sym__call_signature] = STATE(5525),
    [sym_call_expression] = STATE(2117),
    [sym_new_expression] = STATE(1963),
    [sym_await_expression] = STATE(2130),
    [sym_member_expression] = STATE(1353),
    [sym_subscript_expression] = STATE(1353),
    [sym_assignment_expression] = STATE(2130),
    [sym__augmented_assignment_lhs] = STATE(3036),
    [sym_augmented_assignment_expression] = STATE(2130),
    [sym__destructuring_pattern] = STATE(5484),
    [sym_ternary_expression] = STATE(2130),
    [sym_binary_expression] = STATE(2130),
    [sym_unary_expression] = STATE(2130),
    [sym_update_expression] = STATE(2130),
    [sym_string] = STATE(2117),
    [sym_template_string] = STATE(2117),
    [sym_regex] = STATE(2117),
    [sym_meta_property] = STATE(2117),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1353),
    [sym_type_assertion] = STATE(2130),
    [sym_as_expression] = STATE(2130),
    [sym_satisfies_expression] = STATE(2130),
    [sym_instantiation_expression] = STATE(2130),
    [sym_internal_module] = STATE(2130),
    [sym_type_arguments] = STATE(427),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4499),
    [sym_identifier] = ACTIONS(1475),
    [anon_sym_export] = ACTIONS(1443),
    [anon_sym_type] = ACTIONS(1443),
    [anon_sym_namespace] = ACTIONS(1445),
    [anon_sym_LBRACE] = ACTIONS(2108),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(674),
    [anon_sym_let] = ACTIONS(1443),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(681),
    [anon_sym_async] = ACTIONS(1449),
    [anon_sym_function] = ACTIONS(685),
    [anon_sym_new] = ACTIONS(1479),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1443),
    [anon_sym_readonly] = ACTIONS(1443),
    [anon_sym_get] = ACTIONS(1443),
    [anon_sym_set] = ACTIONS(1443),
    [anon_sym_declare] = ACTIONS(1443),
    [anon_sym_public] = ACTIONS(1443),
    [anon_sym_private] = ACTIONS(1443),
    [anon_sym_protected] = ACTIONS(1443),
    [anon_sym_override] = ACTIONS(1443),
    [anon_sym_module] = ACTIONS(1443),
    [anon_sym_any] = ACTIONS(1443),
    [anon_sym_number] = ACTIONS(1443),
    [anon_sym_boolean] = ACTIONS(1443),
    [anon_sym_string] = ACTIONS(1443),
    [anon_sym_symbol] = ACTIONS(1443),
    [anon_sym_object] = ACTIONS(1443),
    [sym_html_comment] = ACTIONS(5),
  },
  [337] = {
    [sym_import] = STATE(3542),
    [sym_statement_block] = STATE(1659),
    [sym_parenthesized_expression] = STATE(1324),
    [sym_expression] = STATE(1742),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5710),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5710),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5565),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1324),
    [sym_subscript_expression] = STATE(1324),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(2958),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5710),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1324),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(482),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(1463),
    [anon_sym_export] = ACTIONS(1055),
    [anon_sym_type] = ACTIONS(1055),
    [anon_sym_namespace] = ACTIONS(1057),
    [anon_sym_LBRACE] = ACTIONS(2106),
    [anon_sym_typeof] = ACTIONS(620),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1055),
    [anon_sym_BANG] = ACTIONS(592),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(594),
    [anon_sym_yield] = ACTIONS(596),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1065),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1471),
    [anon_sym_using] = ACTIONS(606),
    [anon_sym_PLUS] = ACTIONS(620),
    [anon_sym_DASH] = ACTIONS(620),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(592),
    [anon_sym_void] = ACTIONS(620),
    [anon_sym_delete] = ACTIONS(620),
    [anon_sym_PLUS_PLUS] = ACTIONS(622),
    [anon_sym_DASH_DASH] = ACTIONS(622),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(624),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1473),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1055),
    [anon_sym_readonly] = ACTIONS(1055),
    [anon_sym_get] = ACTIONS(1055),
    [anon_sym_set] = ACTIONS(1055),
    [anon_sym_declare] = ACTIONS(1055),
    [anon_sym_public] = ACTIONS(1055),
    [anon_sym_private] = ACTIONS(1055),
    [anon_sym_protected] = ACTIONS(1055),
    [anon_sym_override] = ACTIONS(1055),
    [anon_sym_module] = ACTIONS(1055),
    [anon_sym_any] = ACTIONS(1055),
    [anon_sym_number] = ACTIONS(1055),
    [anon_sym_boolean] = ACTIONS(1055),
    [anon_sym_string] = ACTIONS(1055),
    [anon_sym_symbol] = ACTIONS(1055),
    [anon_sym_object] = ACTIONS(1055),
    [sym_html_comment] = ACTIONS(5),
  },
  [338] = {
    [sym_import] = STATE(3542),
    [sym_statement_block] = STATE(1670),
    [sym_parenthesized_expression] = STATE(1324),
    [sym_expression] = STATE(1746),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5710),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5710),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5565),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1324),
    [sym_subscript_expression] = STATE(1324),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(2958),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5710),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1324),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(482),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(1463),
    [anon_sym_export] = ACTIONS(1055),
    [anon_sym_type] = ACTIONS(1055),
    [anon_sym_namespace] = ACTIONS(1057),
    [anon_sym_LBRACE] = ACTIONS(2106),
    [anon_sym_typeof] = ACTIONS(620),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1055),
    [anon_sym_BANG] = ACTIONS(592),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(594),
    [anon_sym_yield] = ACTIONS(596),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1065),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1471),
    [anon_sym_using] = ACTIONS(606),
    [anon_sym_PLUS] = ACTIONS(620),
    [anon_sym_DASH] = ACTIONS(620),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(592),
    [anon_sym_void] = ACTIONS(620),
    [anon_sym_delete] = ACTIONS(620),
    [anon_sym_PLUS_PLUS] = ACTIONS(622),
    [anon_sym_DASH_DASH] = ACTIONS(622),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(624),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1473),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1055),
    [anon_sym_readonly] = ACTIONS(1055),
    [anon_sym_get] = ACTIONS(1055),
    [anon_sym_set] = ACTIONS(1055),
    [anon_sym_declare] = ACTIONS(1055),
    [anon_sym_public] = ACTIONS(1055),
    [anon_sym_private] = ACTIONS(1055),
    [anon_sym_protected] = ACTIONS(1055),
    [anon_sym_override] = ACTIONS(1055),
    [anon_sym_module] = ACTIONS(1055),
    [anon_sym_any] = ACTIONS(1055),
    [anon_sym_number] = ACTIONS(1055),
    [anon_sym_boolean] = ACTIONS(1055),
    [anon_sym_string] = ACTIONS(1055),
    [anon_sym_symbol] = ACTIONS(1055),
    [anon_sym_object] = ACTIONS(1055),
    [sym_html_comment] = ACTIONS(5),
  },
  [339] = {
    [sym_import] = STATE(3542),
    [sym_statement_block] = STATE(1674),
    [sym_parenthesized_expression] = STATE(1324),
    [sym_expression] = STATE(1759),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5710),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5710),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5565),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1324),
    [sym_subscript_expression] = STATE(1324),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(2958),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5710),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1324),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(482),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(1463),
    [anon_sym_export] = ACTIONS(1055),
    [anon_sym_type] = ACTIONS(1055),
    [anon_sym_namespace] = ACTIONS(1057),
    [anon_sym_LBRACE] = ACTIONS(2106),
    [anon_sym_typeof] = ACTIONS(620),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1055),
    [anon_sym_BANG] = ACTIONS(592),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(594),
    [anon_sym_yield] = ACTIONS(596),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1065),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1471),
    [anon_sym_using] = ACTIONS(606),
    [anon_sym_PLUS] = ACTIONS(620),
    [anon_sym_DASH] = ACTIONS(620),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(592),
    [anon_sym_void] = ACTIONS(620),
    [anon_sym_delete] = ACTIONS(620),
    [anon_sym_PLUS_PLUS] = ACTIONS(622),
    [anon_sym_DASH_DASH] = ACTIONS(622),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(624),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1473),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1055),
    [anon_sym_readonly] = ACTIONS(1055),
    [anon_sym_get] = ACTIONS(1055),
    [anon_sym_set] = ACTIONS(1055),
    [anon_sym_declare] = ACTIONS(1055),
    [anon_sym_public] = ACTIONS(1055),
    [anon_sym_private] = ACTIONS(1055),
    [anon_sym_protected] = ACTIONS(1055),
    [anon_sym_override] = ACTIONS(1055),
    [anon_sym_module] = ACTIONS(1055),
    [anon_sym_any] = ACTIONS(1055),
    [anon_sym_number] = ACTIONS(1055),
    [anon_sym_boolean] = ACTIONS(1055),
    [anon_sym_string] = ACTIONS(1055),
    [anon_sym_symbol] = ACTIONS(1055),
    [anon_sym_object] = ACTIONS(1055),
    [sym_html_comment] = ACTIONS(5),
  },
  [340] = {
    [sym_import] = STATE(3542),
    [sym_statement_block] = STATE(1682),
    [sym_parenthesized_expression] = STATE(1324),
    [sym_expression] = STATE(1761),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5710),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5710),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5565),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1324),
    [sym_subscript_expression] = STATE(1324),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(2958),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5710),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1324),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(482),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(1463),
    [anon_sym_export] = ACTIONS(1055),
    [anon_sym_type] = ACTIONS(1055),
    [anon_sym_namespace] = ACTIONS(1057),
    [anon_sym_LBRACE] = ACTIONS(2106),
    [anon_sym_typeof] = ACTIONS(620),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1055),
    [anon_sym_BANG] = ACTIONS(592),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(594),
    [anon_sym_yield] = ACTIONS(596),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1065),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1471),
    [anon_sym_using] = ACTIONS(606),
    [anon_sym_PLUS] = ACTIONS(620),
    [anon_sym_DASH] = ACTIONS(620),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(592),
    [anon_sym_void] = ACTIONS(620),
    [anon_sym_delete] = ACTIONS(620),
    [anon_sym_PLUS_PLUS] = ACTIONS(622),
    [anon_sym_DASH_DASH] = ACTIONS(622),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(624),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1473),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1055),
    [anon_sym_readonly] = ACTIONS(1055),
    [anon_sym_get] = ACTIONS(1055),
    [anon_sym_set] = ACTIONS(1055),
    [anon_sym_declare] = ACTIONS(1055),
    [anon_sym_public] = ACTIONS(1055),
    [anon_sym_private] = ACTIONS(1055),
    [anon_sym_protected] = ACTIONS(1055),
    [anon_sym_override] = ACTIONS(1055),
    [anon_sym_module] = ACTIONS(1055),
    [anon_sym_any] = ACTIONS(1055),
    [anon_sym_number] = ACTIONS(1055),
    [anon_sym_boolean] = ACTIONS(1055),
    [anon_sym_string] = ACTIONS(1055),
    [anon_sym_symbol] = ACTIONS(1055),
    [anon_sym_object] = ACTIONS(1055),
    [sym_html_comment] = ACTIONS(5),
  },
  [341] = {
    [sym_import] = STATE(3542),
    [sym_statement_block] = STATE(1684),
    [sym_parenthesized_expression] = STATE(1324),
    [sym_expression] = STATE(1762),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5710),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5710),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5565),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1324),
    [sym_subscript_expression] = STATE(1324),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(2958),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5710),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1324),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(482),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(1463),
    [anon_sym_export] = ACTIONS(1055),
    [anon_sym_type] = ACTIONS(1055),
    [anon_sym_namespace] = ACTIONS(1057),
    [anon_sym_LBRACE] = ACTIONS(2106),
    [anon_sym_typeof] = ACTIONS(620),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1055),
    [anon_sym_BANG] = ACTIONS(592),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(594),
    [anon_sym_yield] = ACTIONS(596),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1065),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1471),
    [anon_sym_using] = ACTIONS(606),
    [anon_sym_PLUS] = ACTIONS(620),
    [anon_sym_DASH] = ACTIONS(620),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(592),
    [anon_sym_void] = ACTIONS(620),
    [anon_sym_delete] = ACTIONS(620),
    [anon_sym_PLUS_PLUS] = ACTIONS(622),
    [anon_sym_DASH_DASH] = ACTIONS(622),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(624),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1473),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1055),
    [anon_sym_readonly] = ACTIONS(1055),
    [anon_sym_get] = ACTIONS(1055),
    [anon_sym_set] = ACTIONS(1055),
    [anon_sym_declare] = ACTIONS(1055),
    [anon_sym_public] = ACTIONS(1055),
    [anon_sym_private] = ACTIONS(1055),
    [anon_sym_protected] = ACTIONS(1055),
    [anon_sym_override] = ACTIONS(1055),
    [anon_sym_module] = ACTIONS(1055),
    [anon_sym_any] = ACTIONS(1055),
    [anon_sym_number] = ACTIONS(1055),
    [anon_sym_boolean] = ACTIONS(1055),
    [anon_sym_string] = ACTIONS(1055),
    [anon_sym_symbol] = ACTIONS(1055),
    [anon_sym_object] = ACTIONS(1055),
    [sym_html_comment] = ACTIONS(5),
  },
  [342] = {
    [sym_import] = STATE(3513),
    [sym_statement_block] = STATE(2238),
    [sym_parenthesized_expression] = STATE(1353),
    [sym_expression] = STATE(1818),
    [sym_primary_expression] = STATE(1833),
    [sym_yield_expression] = STATE(2130),
    [sym_object] = STATE(2117),
    [sym_object_pattern] = STATE(5484),
    [sym_array] = STATE(2117),
    [sym_array_pattern] = STATE(5484),
    [sym_glimmer_template] = STATE(2130),
    [sym_class] = STATE(2117),
    [sym_function_expression] = STATE(2117),
    [sym_generator_function] = STATE(2117),
    [sym_arrow_function] = STATE(2117),
    [sym__call_signature] = STATE(5525),
    [sym_call_expression] = STATE(2117),
    [sym_new_expression] = STATE(1963),
    [sym_await_expression] = STATE(2130),
    [sym_member_expression] = STATE(1353),
    [sym_subscript_expression] = STATE(1353),
    [sym_assignment_expression] = STATE(2130),
    [sym__augmented_assignment_lhs] = STATE(3036),
    [sym_augmented_assignment_expression] = STATE(2130),
    [sym__destructuring_pattern] = STATE(5484),
    [sym_ternary_expression] = STATE(2130),
    [sym_binary_expression] = STATE(2130),
    [sym_unary_expression] = STATE(2130),
    [sym_update_expression] = STATE(2130),
    [sym_string] = STATE(2117),
    [sym_template_string] = STATE(2117),
    [sym_regex] = STATE(2117),
    [sym_meta_property] = STATE(2117),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1353),
    [sym_type_assertion] = STATE(2130),
    [sym_as_expression] = STATE(2130),
    [sym_satisfies_expression] = STATE(2130),
    [sym_instantiation_expression] = STATE(2130),
    [sym_internal_module] = STATE(2130),
    [sym_type_arguments] = STATE(427),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4499),
    [sym_identifier] = ACTIONS(1475),
    [anon_sym_export] = ACTIONS(1443),
    [anon_sym_type] = ACTIONS(1443),
    [anon_sym_namespace] = ACTIONS(1445),
    [anon_sym_LBRACE] = ACTIONS(2108),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(674),
    [anon_sym_let] = ACTIONS(1443),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(681),
    [anon_sym_async] = ACTIONS(1449),
    [anon_sym_function] = ACTIONS(685),
    [anon_sym_new] = ACTIONS(1479),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1443),
    [anon_sym_readonly] = ACTIONS(1443),
    [anon_sym_get] = ACTIONS(1443),
    [anon_sym_set] = ACTIONS(1443),
    [anon_sym_declare] = ACTIONS(1443),
    [anon_sym_public] = ACTIONS(1443),
    [anon_sym_private] = ACTIONS(1443),
    [anon_sym_protected] = ACTIONS(1443),
    [anon_sym_override] = ACTIONS(1443),
    [anon_sym_module] = ACTIONS(1443),
    [anon_sym_any] = ACTIONS(1443),
    [anon_sym_number] = ACTIONS(1443),
    [anon_sym_boolean] = ACTIONS(1443),
    [anon_sym_string] = ACTIONS(1443),
    [anon_sym_symbol] = ACTIONS(1443),
    [anon_sym_object] = ACTIONS(1443),
    [sym_html_comment] = ACTIONS(5),
  },
  [343] = {
    [sym_import] = STATE(3513),
    [sym_statement_block] = STATE(2239),
    [sym_parenthesized_expression] = STATE(1353),
    [sym_expression] = STATE(1819),
    [sym_primary_expression] = STATE(1833),
    [sym_yield_expression] = STATE(2130),
    [sym_object] = STATE(2117),
    [sym_object_pattern] = STATE(5484),
    [sym_array] = STATE(2117),
    [sym_array_pattern] = STATE(5484),
    [sym_glimmer_template] = STATE(2130),
    [sym_class] = STATE(2117),
    [sym_function_expression] = STATE(2117),
    [sym_generator_function] = STATE(2117),
    [sym_arrow_function] = STATE(2117),
    [sym__call_signature] = STATE(5525),
    [sym_call_expression] = STATE(2117),
    [sym_new_expression] = STATE(1963),
    [sym_await_expression] = STATE(2130),
    [sym_member_expression] = STATE(1353),
    [sym_subscript_expression] = STATE(1353),
    [sym_assignment_expression] = STATE(2130),
    [sym__augmented_assignment_lhs] = STATE(3036),
    [sym_augmented_assignment_expression] = STATE(2130),
    [sym__destructuring_pattern] = STATE(5484),
    [sym_ternary_expression] = STATE(2130),
    [sym_binary_expression] = STATE(2130),
    [sym_unary_expression] = STATE(2130),
    [sym_update_expression] = STATE(2130),
    [sym_string] = STATE(2117),
    [sym_template_string] = STATE(2117),
    [sym_regex] = STATE(2117),
    [sym_meta_property] = STATE(2117),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1353),
    [sym_type_assertion] = STATE(2130),
    [sym_as_expression] = STATE(2130),
    [sym_satisfies_expression] = STATE(2130),
    [sym_instantiation_expression] = STATE(2130),
    [sym_internal_module] = STATE(2130),
    [sym_type_arguments] = STATE(427),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4499),
    [sym_identifier] = ACTIONS(1475),
    [anon_sym_export] = ACTIONS(1443),
    [anon_sym_type] = ACTIONS(1443),
    [anon_sym_namespace] = ACTIONS(1445),
    [anon_sym_LBRACE] = ACTIONS(2108),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(674),
    [anon_sym_let] = ACTIONS(1443),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(681),
    [anon_sym_async] = ACTIONS(1449),
    [anon_sym_function] = ACTIONS(685),
    [anon_sym_new] = ACTIONS(1479),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1443),
    [anon_sym_readonly] = ACTIONS(1443),
    [anon_sym_get] = ACTIONS(1443),
    [anon_sym_set] = ACTIONS(1443),
    [anon_sym_declare] = ACTIONS(1443),
    [anon_sym_public] = ACTIONS(1443),
    [anon_sym_private] = ACTIONS(1443),
    [anon_sym_protected] = ACTIONS(1443),
    [anon_sym_override] = ACTIONS(1443),
    [anon_sym_module] = ACTIONS(1443),
    [anon_sym_any] = ACTIONS(1443),
    [anon_sym_number] = ACTIONS(1443),
    [anon_sym_boolean] = ACTIONS(1443),
    [anon_sym_string] = ACTIONS(1443),
    [anon_sym_symbol] = ACTIONS(1443),
    [anon_sym_object] = ACTIONS(1443),
    [sym_html_comment] = ACTIONS(5),
  },
  [344] = {
    [sym_import] = STATE(3542),
    [sym_statement_block] = STATE(1682),
    [sym_parenthesized_expression] = STATE(1381),
    [sym_expression] = STATE(1927),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5574),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5574),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5865),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1381),
    [sym_subscript_expression] = STATE(1381),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(3033),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5574),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1381),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(635),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(1489),
    [anon_sym_export] = ACTIONS(1275),
    [anon_sym_type] = ACTIONS(1275),
    [anon_sym_namespace] = ACTIONS(1277),
    [anon_sym_LBRACE] = ACTIONS(2106),
    [anon_sym_typeof] = ACTIONS(763),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1275),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(743),
    [anon_sym_yield] = ACTIONS(745),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1285),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1493),
    [anon_sym_using] = ACTIONS(753),
    [anon_sym_PLUS] = ACTIONS(763),
    [anon_sym_DASH] = ACTIONS(763),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(739),
    [anon_sym_void] = ACTIONS(763),
    [anon_sym_delete] = ACTIONS(763),
    [anon_sym_PLUS_PLUS] = ACTIONS(765),
    [anon_sym_DASH_DASH] = ACTIONS(765),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(771),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1495),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1275),
    [anon_sym_readonly] = ACTIONS(1275),
    [anon_sym_get] = ACTIONS(1275),
    [anon_sym_set] = ACTIONS(1275),
    [anon_sym_declare] = ACTIONS(1275),
    [anon_sym_public] = ACTIONS(1275),
    [anon_sym_private] = ACTIONS(1275),
    [anon_sym_protected] = ACTIONS(1275),
    [anon_sym_override] = ACTIONS(1275),
    [anon_sym_module] = ACTIONS(1275),
    [anon_sym_any] = ACTIONS(1275),
    [anon_sym_number] = ACTIONS(1275),
    [anon_sym_boolean] = ACTIONS(1275),
    [anon_sym_string] = ACTIONS(1275),
    [anon_sym_symbol] = ACTIONS(1275),
    [anon_sym_object] = ACTIONS(1275),
    [sym_html_comment] = ACTIONS(5),
  },
  [345] = {
    [sym_import] = STATE(3513),
    [sym_parenthesized_expression] = STATE(1353),
    [sym_expression] = STATE(1923),
    [sym_primary_expression] = STATE(1833),
    [sym_yield_expression] = STATE(2130),
    [sym_object] = STATE(2117),
    [sym_object_pattern] = STATE(5484),
    [sym_array] = STATE(2117),
    [sym_array_pattern] = STATE(5484),
    [sym_glimmer_template] = STATE(2130),
    [sym_class] = STATE(2117),
    [sym_function_expression] = STATE(2117),
    [sym_generator_function] = STATE(2117),
    [sym_arrow_function] = STATE(2117),
    [sym__call_signature] = STATE(5525),
    [sym_call_expression] = STATE(2117),
    [sym_new_expression] = STATE(1963),
    [sym_await_expression] = STATE(2130),
    [sym_member_expression] = STATE(1353),
    [sym_subscript_expression] = STATE(1353),
    [sym_assignment_expression] = STATE(2130),
    [sym__augmented_assignment_lhs] = STATE(3036),
    [sym_augmented_assignment_expression] = STATE(2130),
    [sym__destructuring_pattern] = STATE(5484),
    [sym_ternary_expression] = STATE(2130),
    [sym_binary_expression] = STATE(2130),
    [sym_unary_expression] = STATE(2130),
    [sym_update_expression] = STATE(2130),
    [sym_sequence_expression] = STATE(5163),
    [sym_string] = STATE(2117),
    [sym_template_string] = STATE(2117),
    [sym_regex] = STATE(2117),
    [sym_meta_property] = STATE(2117),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1353),
    [sym_type_assertion] = STATE(2130),
    [sym_as_expression] = STATE(2130),
    [sym_satisfies_expression] = STATE(2130),
    [sym_instantiation_expression] = STATE(2130),
    [sym_internal_module] = STATE(2130),
    [sym_type_arguments] = STATE(427),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4499),
    [sym_identifier] = ACTIONS(1475),
    [anon_sym_export] = ACTIONS(1443),
    [anon_sym_type] = ACTIONS(1443),
    [anon_sym_namespace] = ACTIONS(1445),
    [anon_sym_LBRACE] = ACTIONS(670),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(674),
    [anon_sym_let] = ACTIONS(1443),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(681),
    [anon_sym_async] = ACTIONS(1449),
    [anon_sym_function] = ACTIONS(685),
    [anon_sym_new] = ACTIONS(1479),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1443),
    [anon_sym_readonly] = ACTIONS(1443),
    [anon_sym_get] = ACTIONS(1443),
    [anon_sym_set] = ACTIONS(1443),
    [anon_sym_declare] = ACTIONS(1443),
    [anon_sym_public] = ACTIONS(1443),
    [anon_sym_private] = ACTIONS(1443),
    [anon_sym_protected] = ACTIONS(1443),
    [anon_sym_override] = ACTIONS(1443),
    [anon_sym_module] = ACTIONS(1443),
    [anon_sym_any] = ACTIONS(1443),
    [anon_sym_number] = ACTIONS(1443),
    [anon_sym_boolean] = ACTIONS(1443),
    [anon_sym_string] = ACTIONS(1443),
    [anon_sym_symbol] = ACTIONS(1443),
    [anon_sym_object] = ACTIONS(1443),
    [sym_html_comment] = ACTIONS(5),
  },
  [346] = {
    [sym_import] = STATE(3513),
    [sym_statement_block] = STATE(2296),
    [sym_parenthesized_expression] = STATE(1364),
    [sym_expression] = STATE(1838),
    [sym_primary_expression] = STATE(1833),
    [sym_yield_expression] = STATE(2130),
    [sym_object] = STATE(2117),
    [sym_object_pattern] = STATE(5785),
    [sym_array] = STATE(2117),
    [sym_array_pattern] = STATE(5785),
    [sym_glimmer_template] = STATE(2130),
    [sym_class] = STATE(2117),
    [sym_function_expression] = STATE(2117),
    [sym_generator_function] = STATE(2117),
    [sym_arrow_function] = STATE(2117),
    [sym__call_signature] = STATE(5783),
    [sym_call_expression] = STATE(2117),
    [sym_new_expression] = STATE(1963),
    [sym_await_expression] = STATE(2130),
    [sym_member_expression] = STATE(1364),
    [sym_subscript_expression] = STATE(1364),
    [sym_assignment_expression] = STATE(2130),
    [sym__augmented_assignment_lhs] = STATE(3037),
    [sym_augmented_assignment_expression] = STATE(2130),
    [sym__destructuring_pattern] = STATE(5785),
    [sym_ternary_expression] = STATE(2130),
    [sym_binary_expression] = STATE(2130),
    [sym_unary_expression] = STATE(2130),
    [sym_update_expression] = STATE(2130),
    [sym_string] = STATE(2117),
    [sym_template_string] = STATE(2117),
    [sym_regex] = STATE(2117),
    [sym_meta_property] = STATE(2117),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1364),
    [sym_type_assertion] = STATE(2130),
    [sym_as_expression] = STATE(2130),
    [sym_satisfies_expression] = STATE(2130),
    [sym_instantiation_expression] = STATE(2130),
    [sym_internal_module] = STATE(2130),
    [sym_type_arguments] = STATE(511),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4499),
    [sym_identifier] = ACTIONS(1481),
    [anon_sym_export] = ACTIONS(1227),
    [anon_sym_type] = ACTIONS(1227),
    [anon_sym_namespace] = ACTIONS(1229),
    [anon_sym_LBRACE] = ACTIONS(2108),
    [anon_sym_typeof] = ACTIONS(1253),
    [anon_sym_import] = ACTIONS(674),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_BANG] = ACTIONS(1235),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1237),
    [anon_sym_yield] = ACTIONS(1239),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(681),
    [anon_sym_async] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(685),
    [anon_sym_new] = ACTIONS(1485),
    [anon_sym_using] = ACTIONS(1247),
    [anon_sym_PLUS] = ACTIONS(1253),
    [anon_sym_DASH] = ACTIONS(1253),
    [anon_sym_SLASH] = ACTIONS(885),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1235),
    [anon_sym_void] = ACTIONS(1253),
    [anon_sym_delete] = ACTIONS(1253),
    [anon_sym_PLUS_PLUS] = ACTIONS(1255),
    [anon_sym_DASH_DASH] = ACTIONS(1255),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1261),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1487),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1227),
    [anon_sym_readonly] = ACTIONS(1227),
    [anon_sym_get] = ACTIONS(1227),
    [anon_sym_set] = ACTIONS(1227),
    [anon_sym_declare] = ACTIONS(1227),
    [anon_sym_public] = ACTIONS(1227),
    [anon_sym_private] = ACTIONS(1227),
    [anon_sym_protected] = ACTIONS(1227),
    [anon_sym_override] = ACTIONS(1227),
    [anon_sym_module] = ACTIONS(1227),
    [anon_sym_any] = ACTIONS(1227),
    [anon_sym_number] = ACTIONS(1227),
    [anon_sym_boolean] = ACTIONS(1227),
    [anon_sym_string] = ACTIONS(1227),
    [anon_sym_symbol] = ACTIONS(1227),
    [anon_sym_object] = ACTIONS(1227),
    [sym_html_comment] = ACTIONS(5),
  },
  [347] = {
    [sym_import] = STATE(3513),
    [sym_statement_block] = STATE(2325),
    [sym_parenthesized_expression] = STATE(1364),
    [sym_expression] = STATE(1843),
    [sym_primary_expression] = STATE(1833),
    [sym_yield_expression] = STATE(2130),
    [sym_object] = STATE(2117),
    [sym_object_pattern] = STATE(5785),
    [sym_array] = STATE(2117),
    [sym_array_pattern] = STATE(5785),
    [sym_glimmer_template] = STATE(2130),
    [sym_class] = STATE(2117),
    [sym_function_expression] = STATE(2117),
    [sym_generator_function] = STATE(2117),
    [sym_arrow_function] = STATE(2117),
    [sym__call_signature] = STATE(5783),
    [sym_call_expression] = STATE(2117),
    [sym_new_expression] = STATE(1963),
    [sym_await_expression] = STATE(2130),
    [sym_member_expression] = STATE(1364),
    [sym_subscript_expression] = STATE(1364),
    [sym_assignment_expression] = STATE(2130),
    [sym__augmented_assignment_lhs] = STATE(3037),
    [sym_augmented_assignment_expression] = STATE(2130),
    [sym__destructuring_pattern] = STATE(5785),
    [sym_ternary_expression] = STATE(2130),
    [sym_binary_expression] = STATE(2130),
    [sym_unary_expression] = STATE(2130),
    [sym_update_expression] = STATE(2130),
    [sym_string] = STATE(2117),
    [sym_template_string] = STATE(2117),
    [sym_regex] = STATE(2117),
    [sym_meta_property] = STATE(2117),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1364),
    [sym_type_assertion] = STATE(2130),
    [sym_as_expression] = STATE(2130),
    [sym_satisfies_expression] = STATE(2130),
    [sym_instantiation_expression] = STATE(2130),
    [sym_internal_module] = STATE(2130),
    [sym_type_arguments] = STATE(511),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4499),
    [sym_identifier] = ACTIONS(1481),
    [anon_sym_export] = ACTIONS(1227),
    [anon_sym_type] = ACTIONS(1227),
    [anon_sym_namespace] = ACTIONS(1229),
    [anon_sym_LBRACE] = ACTIONS(2108),
    [anon_sym_typeof] = ACTIONS(1253),
    [anon_sym_import] = ACTIONS(674),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_BANG] = ACTIONS(1235),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1237),
    [anon_sym_yield] = ACTIONS(1239),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(681),
    [anon_sym_async] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(685),
    [anon_sym_new] = ACTIONS(1485),
    [anon_sym_using] = ACTIONS(1247),
    [anon_sym_PLUS] = ACTIONS(1253),
    [anon_sym_DASH] = ACTIONS(1253),
    [anon_sym_SLASH] = ACTIONS(885),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1235),
    [anon_sym_void] = ACTIONS(1253),
    [anon_sym_delete] = ACTIONS(1253),
    [anon_sym_PLUS_PLUS] = ACTIONS(1255),
    [anon_sym_DASH_DASH] = ACTIONS(1255),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1261),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1487),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1227),
    [anon_sym_readonly] = ACTIONS(1227),
    [anon_sym_get] = ACTIONS(1227),
    [anon_sym_set] = ACTIONS(1227),
    [anon_sym_declare] = ACTIONS(1227),
    [anon_sym_public] = ACTIONS(1227),
    [anon_sym_private] = ACTIONS(1227),
    [anon_sym_protected] = ACTIONS(1227),
    [anon_sym_override] = ACTIONS(1227),
    [anon_sym_module] = ACTIONS(1227),
    [anon_sym_any] = ACTIONS(1227),
    [anon_sym_number] = ACTIONS(1227),
    [anon_sym_boolean] = ACTIONS(1227),
    [anon_sym_string] = ACTIONS(1227),
    [anon_sym_symbol] = ACTIONS(1227),
    [anon_sym_object] = ACTIONS(1227),
    [sym_html_comment] = ACTIONS(5),
  },
  [348] = {
    [sym_import] = STATE(3513),
    [sym_statement_block] = STATE(2121),
    [sym_parenthesized_expression] = STATE(1364),
    [sym_expression] = STATE(1856),
    [sym_primary_expression] = STATE(1833),
    [sym_yield_expression] = STATE(2130),
    [sym_object] = STATE(2117),
    [sym_object_pattern] = STATE(5785),
    [sym_array] = STATE(2117),
    [sym_array_pattern] = STATE(5785),
    [sym_glimmer_template] = STATE(2130),
    [sym_class] = STATE(2117),
    [sym_function_expression] = STATE(2117),
    [sym_generator_function] = STATE(2117),
    [sym_arrow_function] = STATE(2117),
    [sym__call_signature] = STATE(5783),
    [sym_call_expression] = STATE(2117),
    [sym_new_expression] = STATE(1963),
    [sym_await_expression] = STATE(2130),
    [sym_member_expression] = STATE(1364),
    [sym_subscript_expression] = STATE(1364),
    [sym_assignment_expression] = STATE(2130),
    [sym__augmented_assignment_lhs] = STATE(3037),
    [sym_augmented_assignment_expression] = STATE(2130),
    [sym__destructuring_pattern] = STATE(5785),
    [sym_ternary_expression] = STATE(2130),
    [sym_binary_expression] = STATE(2130),
    [sym_unary_expression] = STATE(2130),
    [sym_update_expression] = STATE(2130),
    [sym_string] = STATE(2117),
    [sym_template_string] = STATE(2117),
    [sym_regex] = STATE(2117),
    [sym_meta_property] = STATE(2117),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1364),
    [sym_type_assertion] = STATE(2130),
    [sym_as_expression] = STATE(2130),
    [sym_satisfies_expression] = STATE(2130),
    [sym_instantiation_expression] = STATE(2130),
    [sym_internal_module] = STATE(2130),
    [sym_type_arguments] = STATE(511),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4499),
    [sym_identifier] = ACTIONS(1481),
    [anon_sym_export] = ACTIONS(1227),
    [anon_sym_type] = ACTIONS(1227),
    [anon_sym_namespace] = ACTIONS(1229),
    [anon_sym_LBRACE] = ACTIONS(2108),
    [anon_sym_typeof] = ACTIONS(1253),
    [anon_sym_import] = ACTIONS(674),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_BANG] = ACTIONS(1235),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1237),
    [anon_sym_yield] = ACTIONS(1239),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(681),
    [anon_sym_async] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(685),
    [anon_sym_new] = ACTIONS(1485),
    [anon_sym_using] = ACTIONS(1247),
    [anon_sym_PLUS] = ACTIONS(1253),
    [anon_sym_DASH] = ACTIONS(1253),
    [anon_sym_SLASH] = ACTIONS(885),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1235),
    [anon_sym_void] = ACTIONS(1253),
    [anon_sym_delete] = ACTIONS(1253),
    [anon_sym_PLUS_PLUS] = ACTIONS(1255),
    [anon_sym_DASH_DASH] = ACTIONS(1255),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1261),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1487),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1227),
    [anon_sym_readonly] = ACTIONS(1227),
    [anon_sym_get] = ACTIONS(1227),
    [anon_sym_set] = ACTIONS(1227),
    [anon_sym_declare] = ACTIONS(1227),
    [anon_sym_public] = ACTIONS(1227),
    [anon_sym_private] = ACTIONS(1227),
    [anon_sym_protected] = ACTIONS(1227),
    [anon_sym_override] = ACTIONS(1227),
    [anon_sym_module] = ACTIONS(1227),
    [anon_sym_any] = ACTIONS(1227),
    [anon_sym_number] = ACTIONS(1227),
    [anon_sym_boolean] = ACTIONS(1227),
    [anon_sym_string] = ACTIONS(1227),
    [anon_sym_symbol] = ACTIONS(1227),
    [anon_sym_object] = ACTIONS(1227),
    [sym_html_comment] = ACTIONS(5),
  },
  [349] = {
    [sym_import] = STATE(3513),
    [sym_statement_block] = STATE(2235),
    [sym_parenthesized_expression] = STATE(1364),
    [sym_expression] = STATE(1858),
    [sym_primary_expression] = STATE(1833),
    [sym_yield_expression] = STATE(2130),
    [sym_object] = STATE(2117),
    [sym_object_pattern] = STATE(5785),
    [sym_array] = STATE(2117),
    [sym_array_pattern] = STATE(5785),
    [sym_glimmer_template] = STATE(2130),
    [sym_class] = STATE(2117),
    [sym_function_expression] = STATE(2117),
    [sym_generator_function] = STATE(2117),
    [sym_arrow_function] = STATE(2117),
    [sym__call_signature] = STATE(5783),
    [sym_call_expression] = STATE(2117),
    [sym_new_expression] = STATE(1963),
    [sym_await_expression] = STATE(2130),
    [sym_member_expression] = STATE(1364),
    [sym_subscript_expression] = STATE(1364),
    [sym_assignment_expression] = STATE(2130),
    [sym__augmented_assignment_lhs] = STATE(3037),
    [sym_augmented_assignment_expression] = STATE(2130),
    [sym__destructuring_pattern] = STATE(5785),
    [sym_ternary_expression] = STATE(2130),
    [sym_binary_expression] = STATE(2130),
    [sym_unary_expression] = STATE(2130),
    [sym_update_expression] = STATE(2130),
    [sym_string] = STATE(2117),
    [sym_template_string] = STATE(2117),
    [sym_regex] = STATE(2117),
    [sym_meta_property] = STATE(2117),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1364),
    [sym_type_assertion] = STATE(2130),
    [sym_as_expression] = STATE(2130),
    [sym_satisfies_expression] = STATE(2130),
    [sym_instantiation_expression] = STATE(2130),
    [sym_internal_module] = STATE(2130),
    [sym_type_arguments] = STATE(511),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4499),
    [sym_identifier] = ACTIONS(1481),
    [anon_sym_export] = ACTIONS(1227),
    [anon_sym_type] = ACTIONS(1227),
    [anon_sym_namespace] = ACTIONS(1229),
    [anon_sym_LBRACE] = ACTIONS(2108),
    [anon_sym_typeof] = ACTIONS(1253),
    [anon_sym_import] = ACTIONS(674),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_BANG] = ACTIONS(1235),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1237),
    [anon_sym_yield] = ACTIONS(1239),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(681),
    [anon_sym_async] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(685),
    [anon_sym_new] = ACTIONS(1485),
    [anon_sym_using] = ACTIONS(1247),
    [anon_sym_PLUS] = ACTIONS(1253),
    [anon_sym_DASH] = ACTIONS(1253),
    [anon_sym_SLASH] = ACTIONS(885),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1235),
    [anon_sym_void] = ACTIONS(1253),
    [anon_sym_delete] = ACTIONS(1253),
    [anon_sym_PLUS_PLUS] = ACTIONS(1255),
    [anon_sym_DASH_DASH] = ACTIONS(1255),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1261),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1487),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1227),
    [anon_sym_readonly] = ACTIONS(1227),
    [anon_sym_get] = ACTIONS(1227),
    [anon_sym_set] = ACTIONS(1227),
    [anon_sym_declare] = ACTIONS(1227),
    [anon_sym_public] = ACTIONS(1227),
    [anon_sym_private] = ACTIONS(1227),
    [anon_sym_protected] = ACTIONS(1227),
    [anon_sym_override] = ACTIONS(1227),
    [anon_sym_module] = ACTIONS(1227),
    [anon_sym_any] = ACTIONS(1227),
    [anon_sym_number] = ACTIONS(1227),
    [anon_sym_boolean] = ACTIONS(1227),
    [anon_sym_string] = ACTIONS(1227),
    [anon_sym_symbol] = ACTIONS(1227),
    [anon_sym_object] = ACTIONS(1227),
    [sym_html_comment] = ACTIONS(5),
  },
  [350] = {
    [sym_import] = STATE(3513),
    [sym_statement_block] = STATE(2238),
    [sym_parenthesized_expression] = STATE(1364),
    [sym_expression] = STATE(1859),
    [sym_primary_expression] = STATE(1833),
    [sym_yield_expression] = STATE(2130),
    [sym_object] = STATE(2117),
    [sym_object_pattern] = STATE(5785),
    [sym_array] = STATE(2117),
    [sym_array_pattern] = STATE(5785),
    [sym_glimmer_template] = STATE(2130),
    [sym_class] = STATE(2117),
    [sym_function_expression] = STATE(2117),
    [sym_generator_function] = STATE(2117),
    [sym_arrow_function] = STATE(2117),
    [sym__call_signature] = STATE(5783),
    [sym_call_expression] = STATE(2117),
    [sym_new_expression] = STATE(1963),
    [sym_await_expression] = STATE(2130),
    [sym_member_expression] = STATE(1364),
    [sym_subscript_expression] = STATE(1364),
    [sym_assignment_expression] = STATE(2130),
    [sym__augmented_assignment_lhs] = STATE(3037),
    [sym_augmented_assignment_expression] = STATE(2130),
    [sym__destructuring_pattern] = STATE(5785),
    [sym_ternary_expression] = STATE(2130),
    [sym_binary_expression] = STATE(2130),
    [sym_unary_expression] = STATE(2130),
    [sym_update_expression] = STATE(2130),
    [sym_string] = STATE(2117),
    [sym_template_string] = STATE(2117),
    [sym_regex] = STATE(2117),
    [sym_meta_property] = STATE(2117),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1364),
    [sym_type_assertion] = STATE(2130),
    [sym_as_expression] = STATE(2130),
    [sym_satisfies_expression] = STATE(2130),
    [sym_instantiation_expression] = STATE(2130),
    [sym_internal_module] = STATE(2130),
    [sym_type_arguments] = STATE(511),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4499),
    [sym_identifier] = ACTIONS(1481),
    [anon_sym_export] = ACTIONS(1227),
    [anon_sym_type] = ACTIONS(1227),
    [anon_sym_namespace] = ACTIONS(1229),
    [anon_sym_LBRACE] = ACTIONS(2108),
    [anon_sym_typeof] = ACTIONS(1253),
    [anon_sym_import] = ACTIONS(674),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_BANG] = ACTIONS(1235),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1237),
    [anon_sym_yield] = ACTIONS(1239),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(681),
    [anon_sym_async] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(685),
    [anon_sym_new] = ACTIONS(1485),
    [anon_sym_using] = ACTIONS(1247),
    [anon_sym_PLUS] = ACTIONS(1253),
    [anon_sym_DASH] = ACTIONS(1253),
    [anon_sym_SLASH] = ACTIONS(885),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1235),
    [anon_sym_void] = ACTIONS(1253),
    [anon_sym_delete] = ACTIONS(1253),
    [anon_sym_PLUS_PLUS] = ACTIONS(1255),
    [anon_sym_DASH_DASH] = ACTIONS(1255),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1261),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1487),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1227),
    [anon_sym_readonly] = ACTIONS(1227),
    [anon_sym_get] = ACTIONS(1227),
    [anon_sym_set] = ACTIONS(1227),
    [anon_sym_declare] = ACTIONS(1227),
    [anon_sym_public] = ACTIONS(1227),
    [anon_sym_private] = ACTIONS(1227),
    [anon_sym_protected] = ACTIONS(1227),
    [anon_sym_override] = ACTIONS(1227),
    [anon_sym_module] = ACTIONS(1227),
    [anon_sym_any] = ACTIONS(1227),
    [anon_sym_number] = ACTIONS(1227),
    [anon_sym_boolean] = ACTIONS(1227),
    [anon_sym_string] = ACTIONS(1227),
    [anon_sym_symbol] = ACTIONS(1227),
    [anon_sym_object] = ACTIONS(1227),
    [sym_html_comment] = ACTIONS(5),
  },
  [351] = {
    [sym_import] = STATE(3513),
    [sym_statement_block] = STATE(2239),
    [sym_parenthesized_expression] = STATE(1364),
    [sym_expression] = STATE(1860),
    [sym_primary_expression] = STATE(1833),
    [sym_yield_expression] = STATE(2130),
    [sym_object] = STATE(2117),
    [sym_object_pattern] = STATE(5785),
    [sym_array] = STATE(2117),
    [sym_array_pattern] = STATE(5785),
    [sym_glimmer_template] = STATE(2130),
    [sym_class] = STATE(2117),
    [sym_function_expression] = STATE(2117),
    [sym_generator_function] = STATE(2117),
    [sym_arrow_function] = STATE(2117),
    [sym__call_signature] = STATE(5783),
    [sym_call_expression] = STATE(2117),
    [sym_new_expression] = STATE(1963),
    [sym_await_expression] = STATE(2130),
    [sym_member_expression] = STATE(1364),
    [sym_subscript_expression] = STATE(1364),
    [sym_assignment_expression] = STATE(2130),
    [sym__augmented_assignment_lhs] = STATE(3037),
    [sym_augmented_assignment_expression] = STATE(2130),
    [sym__destructuring_pattern] = STATE(5785),
    [sym_ternary_expression] = STATE(2130),
    [sym_binary_expression] = STATE(2130),
    [sym_unary_expression] = STATE(2130),
    [sym_update_expression] = STATE(2130),
    [sym_string] = STATE(2117),
    [sym_template_string] = STATE(2117),
    [sym_regex] = STATE(2117),
    [sym_meta_property] = STATE(2117),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1364),
    [sym_type_assertion] = STATE(2130),
    [sym_as_expression] = STATE(2130),
    [sym_satisfies_expression] = STATE(2130),
    [sym_instantiation_expression] = STATE(2130),
    [sym_internal_module] = STATE(2130),
    [sym_type_arguments] = STATE(511),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4499),
    [sym_identifier] = ACTIONS(1481),
    [anon_sym_export] = ACTIONS(1227),
    [anon_sym_type] = ACTIONS(1227),
    [anon_sym_namespace] = ACTIONS(1229),
    [anon_sym_LBRACE] = ACTIONS(2108),
    [anon_sym_typeof] = ACTIONS(1253),
    [anon_sym_import] = ACTIONS(674),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_BANG] = ACTIONS(1235),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1237),
    [anon_sym_yield] = ACTIONS(1239),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(681),
    [anon_sym_async] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(685),
    [anon_sym_new] = ACTIONS(1485),
    [anon_sym_using] = ACTIONS(1247),
    [anon_sym_PLUS] = ACTIONS(1253),
    [anon_sym_DASH] = ACTIONS(1253),
    [anon_sym_SLASH] = ACTIONS(885),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1235),
    [anon_sym_void] = ACTIONS(1253),
    [anon_sym_delete] = ACTIONS(1253),
    [anon_sym_PLUS_PLUS] = ACTIONS(1255),
    [anon_sym_DASH_DASH] = ACTIONS(1255),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1261),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1487),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1227),
    [anon_sym_readonly] = ACTIONS(1227),
    [anon_sym_get] = ACTIONS(1227),
    [anon_sym_set] = ACTIONS(1227),
    [anon_sym_declare] = ACTIONS(1227),
    [anon_sym_public] = ACTIONS(1227),
    [anon_sym_private] = ACTIONS(1227),
    [anon_sym_protected] = ACTIONS(1227),
    [anon_sym_override] = ACTIONS(1227),
    [anon_sym_module] = ACTIONS(1227),
    [anon_sym_any] = ACTIONS(1227),
    [anon_sym_number] = ACTIONS(1227),
    [anon_sym_boolean] = ACTIONS(1227),
    [anon_sym_string] = ACTIONS(1227),
    [anon_sym_symbol] = ACTIONS(1227),
    [anon_sym_object] = ACTIONS(1227),
    [sym_html_comment] = ACTIONS(5),
  },
  [352] = {
    [sym_import] = STATE(3542),
    [sym_statement_block] = STATE(1684),
    [sym_parenthesized_expression] = STATE(1381),
    [sym_expression] = STATE(1930),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5574),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5574),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5865),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1381),
    [sym_subscript_expression] = STATE(1381),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(3033),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5574),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1381),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(635),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(1489),
    [anon_sym_export] = ACTIONS(1275),
    [anon_sym_type] = ACTIONS(1275),
    [anon_sym_namespace] = ACTIONS(1277),
    [anon_sym_LBRACE] = ACTIONS(2106),
    [anon_sym_typeof] = ACTIONS(763),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1275),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(743),
    [anon_sym_yield] = ACTIONS(745),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1285),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1493),
    [anon_sym_using] = ACTIONS(753),
    [anon_sym_PLUS] = ACTIONS(763),
    [anon_sym_DASH] = ACTIONS(763),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(739),
    [anon_sym_void] = ACTIONS(763),
    [anon_sym_delete] = ACTIONS(763),
    [anon_sym_PLUS_PLUS] = ACTIONS(765),
    [anon_sym_DASH_DASH] = ACTIONS(765),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(771),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1495),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1275),
    [anon_sym_readonly] = ACTIONS(1275),
    [anon_sym_get] = ACTIONS(1275),
    [anon_sym_set] = ACTIONS(1275),
    [anon_sym_declare] = ACTIONS(1275),
    [anon_sym_public] = ACTIONS(1275),
    [anon_sym_private] = ACTIONS(1275),
    [anon_sym_protected] = ACTIONS(1275),
    [anon_sym_override] = ACTIONS(1275),
    [anon_sym_module] = ACTIONS(1275),
    [anon_sym_any] = ACTIONS(1275),
    [anon_sym_number] = ACTIONS(1275),
    [anon_sym_boolean] = ACTIONS(1275),
    [anon_sym_string] = ACTIONS(1275),
    [anon_sym_symbol] = ACTIONS(1275),
    [anon_sym_object] = ACTIONS(1275),
    [sym_html_comment] = ACTIONS(5),
  },
  [353] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1459),
    [sym_expression] = STATE(2605),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5835),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5835),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5489),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1459),
    [sym_subscript_expression] = STATE(1459),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(3006),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5835),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1459),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_mapped_type_clause] = STATE(5649),
    [sym_type_arguments] = STATE(617),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(2120),
    [anon_sym_export] = ACTIONS(2122),
    [anon_sym_type] = ACTIONS(2122),
    [anon_sym_namespace] = ACTIONS(2124),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(1107),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(2122),
    [anon_sym_BANG] = ACTIONS(1089),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(1091),
    [anon_sym_yield] = ACTIONS(1093),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(2126),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(2128),
    [anon_sym_using] = ACTIONS(1101),
    [anon_sym_PLUS] = ACTIONS(1107),
    [anon_sym_DASH] = ACTIONS(1107),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1089),
    [anon_sym_void] = ACTIONS(1107),
    [anon_sym_delete] = ACTIONS(1107),
    [anon_sym_PLUS_PLUS] = ACTIONS(1109),
    [anon_sym_DASH_DASH] = ACTIONS(1109),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(1115),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1535),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(2122),
    [anon_sym_readonly] = ACTIONS(2122),
    [anon_sym_get] = ACTIONS(2122),
    [anon_sym_set] = ACTIONS(2122),
    [anon_sym_declare] = ACTIONS(2122),
    [anon_sym_public] = ACTIONS(2122),
    [anon_sym_private] = ACTIONS(2122),
    [anon_sym_protected] = ACTIONS(2122),
    [anon_sym_override] = ACTIONS(2122),
    [anon_sym_module] = ACTIONS(2122),
    [anon_sym_any] = ACTIONS(2122),
    [anon_sym_number] = ACTIONS(2122),
    [anon_sym_boolean] = ACTIONS(2122),
    [anon_sym_string] = ACTIONS(2122),
    [anon_sym_symbol] = ACTIONS(2122),
    [anon_sym_object] = ACTIONS(2122),
    [sym_html_comment] = ACTIONS(5),
  },
  [354] = {
    [sym_import] = STATE(3542),
    [sym_statement_block] = STATE(1659),
    [sym_parenthesized_expression] = STATE(1228),
    [sym_expression] = STATE(2554),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5482),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5482),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5824),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1228),
    [sym_subscript_expression] = STATE(1228),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(2969),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5482),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1228),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(537),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(809),
    [anon_sym_export] = ACTIONS(811),
    [anon_sym_type] = ACTIONS(811),
    [anon_sym_namespace] = ACTIONS(813),
    [anon_sym_LBRACE] = ACTIONS(2130),
    [anon_sym_typeof] = ACTIONS(184),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(811),
    [anon_sym_BANG] = ACTIONS(180),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(819),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(823),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(825),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(184),
    [anon_sym_DASH] = ACTIONS(184),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(691),
    [anon_sym_DASH_DASH] = ACTIONS(691),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(829),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(811),
    [anon_sym_readonly] = ACTIONS(811),
    [anon_sym_get] = ACTIONS(811),
    [anon_sym_set] = ACTIONS(811),
    [anon_sym_declare] = ACTIONS(811),
    [anon_sym_public] = ACTIONS(811),
    [anon_sym_private] = ACTIONS(811),
    [anon_sym_protected] = ACTIONS(811),
    [anon_sym_override] = ACTIONS(811),
    [anon_sym_module] = ACTIONS(811),
    [anon_sym_any] = ACTIONS(811),
    [anon_sym_number] = ACTIONS(811),
    [anon_sym_boolean] = ACTIONS(811),
    [anon_sym_string] = ACTIONS(811),
    [anon_sym_symbol] = ACTIONS(811),
    [anon_sym_object] = ACTIONS(811),
    [sym_html_comment] = ACTIONS(5),
  },
  [355] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1391),
    [sym_expression] = STATE(2352),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5815),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5815),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5603),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1391),
    [sym_subscript_expression] = STATE(1391),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(2984),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5815),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1391),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym__extends_clause_single] = STATE(4888),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(564),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(1505),
    [anon_sym_export] = ACTIONS(1325),
    [anon_sym_type] = ACTIONS(1325),
    [anon_sym_namespace] = ACTIONS(1327),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(1347),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1325),
    [anon_sym_BANG] = ACTIONS(1331),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(1333),
    [anon_sym_yield] = ACTIONS(1335),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1337),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1509),
    [anon_sym_using] = ACTIONS(1341),
    [anon_sym_PLUS] = ACTIONS(1347),
    [anon_sym_DASH] = ACTIONS(1347),
    [anon_sym_SLASH] = ACTIONS(949),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1331),
    [anon_sym_void] = ACTIONS(1347),
    [anon_sym_delete] = ACTIONS(1347),
    [anon_sym_PLUS_PLUS] = ACTIONS(1349),
    [anon_sym_DASH_DASH] = ACTIONS(1349),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(1351),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1511),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1325),
    [anon_sym_readonly] = ACTIONS(1325),
    [anon_sym_get] = ACTIONS(1325),
    [anon_sym_set] = ACTIONS(1325),
    [anon_sym_declare] = ACTIONS(1325),
    [anon_sym_public] = ACTIONS(1325),
    [anon_sym_private] = ACTIONS(1325),
    [anon_sym_protected] = ACTIONS(1325),
    [anon_sym_override] = ACTIONS(1325),
    [anon_sym_module] = ACTIONS(1325),
    [anon_sym_any] = ACTIONS(1325),
    [anon_sym_number] = ACTIONS(1325),
    [anon_sym_boolean] = ACTIONS(1325),
    [anon_sym_string] = ACTIONS(1325),
    [anon_sym_symbol] = ACTIONS(1325),
    [anon_sym_object] = ACTIONS(1325),
    [sym_html_comment] = ACTIONS(5),
  },
  [356] = {
    [sym_import] = STATE(3542),
    [sym_statement_block] = STATE(1670),
    [sym_parenthesized_expression] = STATE(1228),
    [sym_expression] = STATE(2558),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5482),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5482),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5824),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1228),
    [sym_subscript_expression] = STATE(1228),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(2969),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5482),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1228),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(537),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(809),
    [anon_sym_export] = ACTIONS(811),
    [anon_sym_type] = ACTIONS(811),
    [anon_sym_namespace] = ACTIONS(813),
    [anon_sym_LBRACE] = ACTIONS(2130),
    [anon_sym_typeof] = ACTIONS(184),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(811),
    [anon_sym_BANG] = ACTIONS(180),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(819),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(823),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(825),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(184),
    [anon_sym_DASH] = ACTIONS(184),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(691),
    [anon_sym_DASH_DASH] = ACTIONS(691),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(829),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(811),
    [anon_sym_readonly] = ACTIONS(811),
    [anon_sym_get] = ACTIONS(811),
    [anon_sym_set] = ACTIONS(811),
    [anon_sym_declare] = ACTIONS(811),
    [anon_sym_public] = ACTIONS(811),
    [anon_sym_private] = ACTIONS(811),
    [anon_sym_protected] = ACTIONS(811),
    [anon_sym_override] = ACTIONS(811),
    [anon_sym_module] = ACTIONS(811),
    [anon_sym_any] = ACTIONS(811),
    [anon_sym_number] = ACTIONS(811),
    [anon_sym_boolean] = ACTIONS(811),
    [anon_sym_string] = ACTIONS(811),
    [anon_sym_symbol] = ACTIONS(811),
    [anon_sym_object] = ACTIONS(811),
    [sym_html_comment] = ACTIONS(5),
  },
  [357] = {
    [sym_import] = STATE(3542),
    [sym_statement_block] = STATE(1674),
    [sym_parenthesized_expression] = STATE(1228),
    [sym_expression] = STATE(2580),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5482),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5482),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5824),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1228),
    [sym_subscript_expression] = STATE(1228),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(2969),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5482),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1228),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(537),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(809),
    [anon_sym_export] = ACTIONS(811),
    [anon_sym_type] = ACTIONS(811),
    [anon_sym_namespace] = ACTIONS(813),
    [anon_sym_LBRACE] = ACTIONS(2130),
    [anon_sym_typeof] = ACTIONS(184),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(811),
    [anon_sym_BANG] = ACTIONS(180),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(819),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(823),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(825),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(184),
    [anon_sym_DASH] = ACTIONS(184),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(691),
    [anon_sym_DASH_DASH] = ACTIONS(691),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(829),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(811),
    [anon_sym_readonly] = ACTIONS(811),
    [anon_sym_get] = ACTIONS(811),
    [anon_sym_set] = ACTIONS(811),
    [anon_sym_declare] = ACTIONS(811),
    [anon_sym_public] = ACTIONS(811),
    [anon_sym_private] = ACTIONS(811),
    [anon_sym_protected] = ACTIONS(811),
    [anon_sym_override] = ACTIONS(811),
    [anon_sym_module] = ACTIONS(811),
    [anon_sym_any] = ACTIONS(811),
    [anon_sym_number] = ACTIONS(811),
    [anon_sym_boolean] = ACTIONS(811),
    [anon_sym_string] = ACTIONS(811),
    [anon_sym_symbol] = ACTIONS(811),
    [anon_sym_object] = ACTIONS(811),
    [sym_html_comment] = ACTIONS(5),
  },
  [358] = {
    [sym_import] = STATE(3542),
    [sym_statement_block] = STATE(1682),
    [sym_parenthesized_expression] = STATE(1228),
    [sym_expression] = STATE(2588),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5482),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5482),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5824),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1228),
    [sym_subscript_expression] = STATE(1228),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(2969),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5482),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1228),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(537),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(809),
    [anon_sym_export] = ACTIONS(811),
    [anon_sym_type] = ACTIONS(811),
    [anon_sym_namespace] = ACTIONS(813),
    [anon_sym_LBRACE] = ACTIONS(2130),
    [anon_sym_typeof] = ACTIONS(184),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(811),
    [anon_sym_BANG] = ACTIONS(180),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(819),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(823),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(825),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(184),
    [anon_sym_DASH] = ACTIONS(184),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(691),
    [anon_sym_DASH_DASH] = ACTIONS(691),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(829),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(811),
    [anon_sym_readonly] = ACTIONS(811),
    [anon_sym_get] = ACTIONS(811),
    [anon_sym_set] = ACTIONS(811),
    [anon_sym_declare] = ACTIONS(811),
    [anon_sym_public] = ACTIONS(811),
    [anon_sym_private] = ACTIONS(811),
    [anon_sym_protected] = ACTIONS(811),
    [anon_sym_override] = ACTIONS(811),
    [anon_sym_module] = ACTIONS(811),
    [anon_sym_any] = ACTIONS(811),
    [anon_sym_number] = ACTIONS(811),
    [anon_sym_boolean] = ACTIONS(811),
    [anon_sym_string] = ACTIONS(811),
    [anon_sym_symbol] = ACTIONS(811),
    [anon_sym_object] = ACTIONS(811),
    [sym_html_comment] = ACTIONS(5),
  },
  [359] = {
    [sym_import] = STATE(3513),
    [sym_statement_block] = STATE(2325),
    [sym_parenthesized_expression] = STATE(1353),
    [sym_expression] = STATE(1794),
    [sym_primary_expression] = STATE(1833),
    [sym_yield_expression] = STATE(2130),
    [sym_object] = STATE(2117),
    [sym_object_pattern] = STATE(5484),
    [sym_array] = STATE(2117),
    [sym_array_pattern] = STATE(5484),
    [sym_glimmer_template] = STATE(2130),
    [sym_class] = STATE(2117),
    [sym_function_expression] = STATE(2117),
    [sym_generator_function] = STATE(2117),
    [sym_arrow_function] = STATE(2117),
    [sym__call_signature] = STATE(5525),
    [sym_call_expression] = STATE(2117),
    [sym_new_expression] = STATE(1963),
    [sym_await_expression] = STATE(2130),
    [sym_member_expression] = STATE(1353),
    [sym_subscript_expression] = STATE(1353),
    [sym_assignment_expression] = STATE(2130),
    [sym__augmented_assignment_lhs] = STATE(3036),
    [sym_augmented_assignment_expression] = STATE(2130),
    [sym__destructuring_pattern] = STATE(5484),
    [sym_ternary_expression] = STATE(2130),
    [sym_binary_expression] = STATE(2130),
    [sym_unary_expression] = STATE(2130),
    [sym_update_expression] = STATE(2130),
    [sym_string] = STATE(2117),
    [sym_template_string] = STATE(2117),
    [sym_regex] = STATE(2117),
    [sym_meta_property] = STATE(2117),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1353),
    [sym_type_assertion] = STATE(2130),
    [sym_as_expression] = STATE(2130),
    [sym_satisfies_expression] = STATE(2130),
    [sym_instantiation_expression] = STATE(2130),
    [sym_internal_module] = STATE(2130),
    [sym_type_arguments] = STATE(427),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4499),
    [sym_identifier] = ACTIONS(1475),
    [anon_sym_export] = ACTIONS(1443),
    [anon_sym_type] = ACTIONS(1443),
    [anon_sym_namespace] = ACTIONS(1445),
    [anon_sym_LBRACE] = ACTIONS(2108),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(674),
    [anon_sym_let] = ACTIONS(1443),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(681),
    [anon_sym_async] = ACTIONS(1449),
    [anon_sym_function] = ACTIONS(685),
    [anon_sym_new] = ACTIONS(1479),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1443),
    [anon_sym_readonly] = ACTIONS(1443),
    [anon_sym_get] = ACTIONS(1443),
    [anon_sym_set] = ACTIONS(1443),
    [anon_sym_declare] = ACTIONS(1443),
    [anon_sym_public] = ACTIONS(1443),
    [anon_sym_private] = ACTIONS(1443),
    [anon_sym_protected] = ACTIONS(1443),
    [anon_sym_override] = ACTIONS(1443),
    [anon_sym_module] = ACTIONS(1443),
    [anon_sym_any] = ACTIONS(1443),
    [anon_sym_number] = ACTIONS(1443),
    [anon_sym_boolean] = ACTIONS(1443),
    [anon_sym_string] = ACTIONS(1443),
    [anon_sym_symbol] = ACTIONS(1443),
    [anon_sym_object] = ACTIONS(1443),
    [sym_html_comment] = ACTIONS(5),
  },
  [360] = {
    [sym_import] = STATE(3542),
    [sym_statement_block] = STATE(1685),
    [sym_parenthesized_expression] = STATE(1228),
    [sym_expression] = STATE(2595),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5482),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5482),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5824),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1228),
    [sym_subscript_expression] = STATE(1228),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(2969),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5482),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1228),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(537),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(809),
    [anon_sym_export] = ACTIONS(811),
    [anon_sym_type] = ACTIONS(811),
    [anon_sym_namespace] = ACTIONS(813),
    [anon_sym_LBRACE] = ACTIONS(2130),
    [anon_sym_typeof] = ACTIONS(184),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(811),
    [anon_sym_BANG] = ACTIONS(180),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(819),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(823),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(825),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(184),
    [anon_sym_DASH] = ACTIONS(184),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(691),
    [anon_sym_DASH_DASH] = ACTIONS(691),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(829),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(811),
    [anon_sym_readonly] = ACTIONS(811),
    [anon_sym_get] = ACTIONS(811),
    [anon_sym_set] = ACTIONS(811),
    [anon_sym_declare] = ACTIONS(811),
    [anon_sym_public] = ACTIONS(811),
    [anon_sym_private] = ACTIONS(811),
    [anon_sym_protected] = ACTIONS(811),
    [anon_sym_override] = ACTIONS(811),
    [anon_sym_module] = ACTIONS(811),
    [anon_sym_any] = ACTIONS(811),
    [anon_sym_number] = ACTIONS(811),
    [anon_sym_boolean] = ACTIONS(811),
    [anon_sym_string] = ACTIONS(811),
    [anon_sym_symbol] = ACTIONS(811),
    [anon_sym_object] = ACTIONS(811),
    [sym_html_comment] = ACTIONS(5),
  },
  [361] = {
    [sym_import] = STATE(3513),
    [sym_statement_block] = STATE(2296),
    [sym_parenthesized_expression] = STATE(1353),
    [sym_expression] = STATE(1869),
    [sym_primary_expression] = STATE(1833),
    [sym_yield_expression] = STATE(2130),
    [sym_object] = STATE(2117),
    [sym_object_pattern] = STATE(5484),
    [sym_array] = STATE(2117),
    [sym_array_pattern] = STATE(5484),
    [sym_glimmer_template] = STATE(2130),
    [sym_class] = STATE(2117),
    [sym_function_expression] = STATE(2117),
    [sym_generator_function] = STATE(2117),
    [sym_arrow_function] = STATE(2117),
    [sym__call_signature] = STATE(5525),
    [sym_call_expression] = STATE(2117),
    [sym_new_expression] = STATE(1963),
    [sym_await_expression] = STATE(2130),
    [sym_member_expression] = STATE(1353),
    [sym_subscript_expression] = STATE(1353),
    [sym_assignment_expression] = STATE(2130),
    [sym__augmented_assignment_lhs] = STATE(3036),
    [sym_augmented_assignment_expression] = STATE(2130),
    [sym__destructuring_pattern] = STATE(5484),
    [sym_ternary_expression] = STATE(2130),
    [sym_binary_expression] = STATE(2130),
    [sym_unary_expression] = STATE(2130),
    [sym_update_expression] = STATE(2130),
    [sym_string] = STATE(2117),
    [sym_template_string] = STATE(2117),
    [sym_regex] = STATE(2117),
    [sym_meta_property] = STATE(2117),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1353),
    [sym_type_assertion] = STATE(2130),
    [sym_as_expression] = STATE(2130),
    [sym_satisfies_expression] = STATE(2130),
    [sym_instantiation_expression] = STATE(2130),
    [sym_internal_module] = STATE(2130),
    [sym_type_arguments] = STATE(427),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4499),
    [sym_identifier] = ACTIONS(1475),
    [anon_sym_export] = ACTIONS(1443),
    [anon_sym_type] = ACTIONS(1443),
    [anon_sym_namespace] = ACTIONS(1445),
    [anon_sym_LBRACE] = ACTIONS(2108),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(674),
    [anon_sym_let] = ACTIONS(1443),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(681),
    [anon_sym_async] = ACTIONS(1449),
    [anon_sym_function] = ACTIONS(685),
    [anon_sym_new] = ACTIONS(1479),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1443),
    [anon_sym_readonly] = ACTIONS(1443),
    [anon_sym_get] = ACTIONS(1443),
    [anon_sym_set] = ACTIONS(1443),
    [anon_sym_declare] = ACTIONS(1443),
    [anon_sym_public] = ACTIONS(1443),
    [anon_sym_private] = ACTIONS(1443),
    [anon_sym_protected] = ACTIONS(1443),
    [anon_sym_override] = ACTIONS(1443),
    [anon_sym_module] = ACTIONS(1443),
    [anon_sym_any] = ACTIONS(1443),
    [anon_sym_number] = ACTIONS(1443),
    [anon_sym_boolean] = ACTIONS(1443),
    [anon_sym_string] = ACTIONS(1443),
    [anon_sym_symbol] = ACTIONS(1443),
    [anon_sym_object] = ACTIONS(1443),
    [sym_html_comment] = ACTIONS(5),
  },
  [362] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1324),
    [sym_expression] = STATE(2265),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5710),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5710),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5565),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1324),
    [sym_subscript_expression] = STATE(1324),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(2958),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5710),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_sequence_expression] = STATE(5527),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1324),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(482),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(1463),
    [anon_sym_export] = ACTIONS(1055),
    [anon_sym_type] = ACTIONS(1055),
    [anon_sym_namespace] = ACTIONS(1057),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(620),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1055),
    [anon_sym_BANG] = ACTIONS(592),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(594),
    [anon_sym_yield] = ACTIONS(596),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1065),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1471),
    [anon_sym_using] = ACTIONS(606),
    [anon_sym_PLUS] = ACTIONS(620),
    [anon_sym_DASH] = ACTIONS(620),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(592),
    [anon_sym_void] = ACTIONS(620),
    [anon_sym_delete] = ACTIONS(620),
    [anon_sym_PLUS_PLUS] = ACTIONS(622),
    [anon_sym_DASH_DASH] = ACTIONS(622),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(624),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1473),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1055),
    [anon_sym_readonly] = ACTIONS(1055),
    [anon_sym_get] = ACTIONS(1055),
    [anon_sym_set] = ACTIONS(1055),
    [anon_sym_declare] = ACTIONS(1055),
    [anon_sym_public] = ACTIONS(1055),
    [anon_sym_private] = ACTIONS(1055),
    [anon_sym_protected] = ACTIONS(1055),
    [anon_sym_override] = ACTIONS(1055),
    [anon_sym_module] = ACTIONS(1055),
    [anon_sym_any] = ACTIONS(1055),
    [anon_sym_number] = ACTIONS(1055),
    [anon_sym_boolean] = ACTIONS(1055),
    [anon_sym_string] = ACTIONS(1055),
    [anon_sym_symbol] = ACTIONS(1055),
    [anon_sym_object] = ACTIONS(1055),
    [sym_html_comment] = ACTIONS(5),
  },
  [363] = {
    [sym_import] = STATE(3542),
    [sym_statement_block] = STATE(1659),
    [sym_parenthesized_expression] = STATE(1391),
    [sym_expression] = STATE(2083),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5815),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5815),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5603),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1391),
    [sym_subscript_expression] = STATE(1391),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(2984),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5815),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1391),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(564),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(1505),
    [anon_sym_export] = ACTIONS(1325),
    [anon_sym_type] = ACTIONS(1325),
    [anon_sym_namespace] = ACTIONS(1327),
    [anon_sym_LBRACE] = ACTIONS(2106),
    [anon_sym_typeof] = ACTIONS(1347),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1325),
    [anon_sym_BANG] = ACTIONS(1331),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(1333),
    [anon_sym_yield] = ACTIONS(1335),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1337),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1509),
    [anon_sym_using] = ACTIONS(1341),
    [anon_sym_PLUS] = ACTIONS(1347),
    [anon_sym_DASH] = ACTIONS(1347),
    [anon_sym_SLASH] = ACTIONS(949),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1331),
    [anon_sym_void] = ACTIONS(1347),
    [anon_sym_delete] = ACTIONS(1347),
    [anon_sym_PLUS_PLUS] = ACTIONS(1349),
    [anon_sym_DASH_DASH] = ACTIONS(1349),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(1351),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1511),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1325),
    [anon_sym_readonly] = ACTIONS(1325),
    [anon_sym_get] = ACTIONS(1325),
    [anon_sym_set] = ACTIONS(1325),
    [anon_sym_declare] = ACTIONS(1325),
    [anon_sym_public] = ACTIONS(1325),
    [anon_sym_private] = ACTIONS(1325),
    [anon_sym_protected] = ACTIONS(1325),
    [anon_sym_override] = ACTIONS(1325),
    [anon_sym_module] = ACTIONS(1325),
    [anon_sym_any] = ACTIONS(1325),
    [anon_sym_number] = ACTIONS(1325),
    [anon_sym_boolean] = ACTIONS(1325),
    [anon_sym_string] = ACTIONS(1325),
    [anon_sym_symbol] = ACTIONS(1325),
    [anon_sym_object] = ACTIONS(1325),
    [sym_html_comment] = ACTIONS(5),
  },
  [364] = {
    [sym_import] = STATE(3542),
    [sym_statement_block] = STATE(1670),
    [sym_parenthesized_expression] = STATE(1391),
    [sym_expression] = STATE(2087),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5815),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5815),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5603),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1391),
    [sym_subscript_expression] = STATE(1391),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(2984),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5815),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1391),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(564),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(1505),
    [anon_sym_export] = ACTIONS(1325),
    [anon_sym_type] = ACTIONS(1325),
    [anon_sym_namespace] = ACTIONS(1327),
    [anon_sym_LBRACE] = ACTIONS(2106),
    [anon_sym_typeof] = ACTIONS(1347),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1325),
    [anon_sym_BANG] = ACTIONS(1331),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(1333),
    [anon_sym_yield] = ACTIONS(1335),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1337),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1509),
    [anon_sym_using] = ACTIONS(1341),
    [anon_sym_PLUS] = ACTIONS(1347),
    [anon_sym_DASH] = ACTIONS(1347),
    [anon_sym_SLASH] = ACTIONS(949),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1331),
    [anon_sym_void] = ACTIONS(1347),
    [anon_sym_delete] = ACTIONS(1347),
    [anon_sym_PLUS_PLUS] = ACTIONS(1349),
    [anon_sym_DASH_DASH] = ACTIONS(1349),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(1351),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1511),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1325),
    [anon_sym_readonly] = ACTIONS(1325),
    [anon_sym_get] = ACTIONS(1325),
    [anon_sym_set] = ACTIONS(1325),
    [anon_sym_declare] = ACTIONS(1325),
    [anon_sym_public] = ACTIONS(1325),
    [anon_sym_private] = ACTIONS(1325),
    [anon_sym_protected] = ACTIONS(1325),
    [anon_sym_override] = ACTIONS(1325),
    [anon_sym_module] = ACTIONS(1325),
    [anon_sym_any] = ACTIONS(1325),
    [anon_sym_number] = ACTIONS(1325),
    [anon_sym_boolean] = ACTIONS(1325),
    [anon_sym_string] = ACTIONS(1325),
    [anon_sym_symbol] = ACTIONS(1325),
    [anon_sym_object] = ACTIONS(1325),
    [sym_html_comment] = ACTIONS(5),
  },
  [365] = {
    [sym_import] = STATE(3542),
    [sym_statement_block] = STATE(1674),
    [sym_parenthesized_expression] = STATE(1391),
    [sym_expression] = STATE(2100),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5815),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5815),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5603),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1391),
    [sym_subscript_expression] = STATE(1391),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(2984),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5815),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1391),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(564),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(1505),
    [anon_sym_export] = ACTIONS(1325),
    [anon_sym_type] = ACTIONS(1325),
    [anon_sym_namespace] = ACTIONS(1327),
    [anon_sym_LBRACE] = ACTIONS(2106),
    [anon_sym_typeof] = ACTIONS(1347),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1325),
    [anon_sym_BANG] = ACTIONS(1331),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(1333),
    [anon_sym_yield] = ACTIONS(1335),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1337),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1509),
    [anon_sym_using] = ACTIONS(1341),
    [anon_sym_PLUS] = ACTIONS(1347),
    [anon_sym_DASH] = ACTIONS(1347),
    [anon_sym_SLASH] = ACTIONS(949),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1331),
    [anon_sym_void] = ACTIONS(1347),
    [anon_sym_delete] = ACTIONS(1347),
    [anon_sym_PLUS_PLUS] = ACTIONS(1349),
    [anon_sym_DASH_DASH] = ACTIONS(1349),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(1351),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1511),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1325),
    [anon_sym_readonly] = ACTIONS(1325),
    [anon_sym_get] = ACTIONS(1325),
    [anon_sym_set] = ACTIONS(1325),
    [anon_sym_declare] = ACTIONS(1325),
    [anon_sym_public] = ACTIONS(1325),
    [anon_sym_private] = ACTIONS(1325),
    [anon_sym_protected] = ACTIONS(1325),
    [anon_sym_override] = ACTIONS(1325),
    [anon_sym_module] = ACTIONS(1325),
    [anon_sym_any] = ACTIONS(1325),
    [anon_sym_number] = ACTIONS(1325),
    [anon_sym_boolean] = ACTIONS(1325),
    [anon_sym_string] = ACTIONS(1325),
    [anon_sym_symbol] = ACTIONS(1325),
    [anon_sym_object] = ACTIONS(1325),
    [sym_html_comment] = ACTIONS(5),
  },
  [366] = {
    [sym_import] = STATE(3542),
    [sym_statement_block] = STATE(1682),
    [sym_parenthesized_expression] = STATE(1391),
    [sym_expression] = STATE(2102),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5815),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5815),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5603),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1391),
    [sym_subscript_expression] = STATE(1391),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(2984),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5815),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1391),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(564),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(1505),
    [anon_sym_export] = ACTIONS(1325),
    [anon_sym_type] = ACTIONS(1325),
    [anon_sym_namespace] = ACTIONS(1327),
    [anon_sym_LBRACE] = ACTIONS(2106),
    [anon_sym_typeof] = ACTIONS(1347),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1325),
    [anon_sym_BANG] = ACTIONS(1331),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(1333),
    [anon_sym_yield] = ACTIONS(1335),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1337),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1509),
    [anon_sym_using] = ACTIONS(1341),
    [anon_sym_PLUS] = ACTIONS(1347),
    [anon_sym_DASH] = ACTIONS(1347),
    [anon_sym_SLASH] = ACTIONS(949),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1331),
    [anon_sym_void] = ACTIONS(1347),
    [anon_sym_delete] = ACTIONS(1347),
    [anon_sym_PLUS_PLUS] = ACTIONS(1349),
    [anon_sym_DASH_DASH] = ACTIONS(1349),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(1351),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1511),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1325),
    [anon_sym_readonly] = ACTIONS(1325),
    [anon_sym_get] = ACTIONS(1325),
    [anon_sym_set] = ACTIONS(1325),
    [anon_sym_declare] = ACTIONS(1325),
    [anon_sym_public] = ACTIONS(1325),
    [anon_sym_private] = ACTIONS(1325),
    [anon_sym_protected] = ACTIONS(1325),
    [anon_sym_override] = ACTIONS(1325),
    [anon_sym_module] = ACTIONS(1325),
    [anon_sym_any] = ACTIONS(1325),
    [anon_sym_number] = ACTIONS(1325),
    [anon_sym_boolean] = ACTIONS(1325),
    [anon_sym_string] = ACTIONS(1325),
    [anon_sym_symbol] = ACTIONS(1325),
    [anon_sym_object] = ACTIONS(1325),
    [sym_html_comment] = ACTIONS(5),
  },
  [367] = {
    [sym_import] = STATE(3542),
    [sym_statement_block] = STATE(1684),
    [sym_parenthesized_expression] = STATE(1391),
    [sym_expression] = STATE(2103),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5815),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5815),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5603),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1391),
    [sym_subscript_expression] = STATE(1391),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(2984),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5815),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1391),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(564),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(1505),
    [anon_sym_export] = ACTIONS(1325),
    [anon_sym_type] = ACTIONS(1325),
    [anon_sym_namespace] = ACTIONS(1327),
    [anon_sym_LBRACE] = ACTIONS(2106),
    [anon_sym_typeof] = ACTIONS(1347),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1325),
    [anon_sym_BANG] = ACTIONS(1331),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(1333),
    [anon_sym_yield] = ACTIONS(1335),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1337),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1509),
    [anon_sym_using] = ACTIONS(1341),
    [anon_sym_PLUS] = ACTIONS(1347),
    [anon_sym_DASH] = ACTIONS(1347),
    [anon_sym_SLASH] = ACTIONS(949),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1331),
    [anon_sym_void] = ACTIONS(1347),
    [anon_sym_delete] = ACTIONS(1347),
    [anon_sym_PLUS_PLUS] = ACTIONS(1349),
    [anon_sym_DASH_DASH] = ACTIONS(1349),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(1351),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1511),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1325),
    [anon_sym_readonly] = ACTIONS(1325),
    [anon_sym_get] = ACTIONS(1325),
    [anon_sym_set] = ACTIONS(1325),
    [anon_sym_declare] = ACTIONS(1325),
    [anon_sym_public] = ACTIONS(1325),
    [anon_sym_private] = ACTIONS(1325),
    [anon_sym_protected] = ACTIONS(1325),
    [anon_sym_override] = ACTIONS(1325),
    [anon_sym_module] = ACTIONS(1325),
    [anon_sym_any] = ACTIONS(1325),
    [anon_sym_number] = ACTIONS(1325),
    [anon_sym_boolean] = ACTIONS(1325),
    [anon_sym_string] = ACTIONS(1325),
    [anon_sym_symbol] = ACTIONS(1325),
    [anon_sym_object] = ACTIONS(1325),
    [sym_html_comment] = ACTIONS(5),
  },
  [368] = {
    [sym_import] = STATE(3542),
    [sym_statement_block] = STATE(1685),
    [sym_parenthesized_expression] = STATE(1391),
    [sym_expression] = STATE(2104),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5815),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5815),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5603),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1391),
    [sym_subscript_expression] = STATE(1391),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(2984),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5815),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1391),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(564),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(1505),
    [anon_sym_export] = ACTIONS(1325),
    [anon_sym_type] = ACTIONS(1325),
    [anon_sym_namespace] = ACTIONS(1327),
    [anon_sym_LBRACE] = ACTIONS(2106),
    [anon_sym_typeof] = ACTIONS(1347),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1325),
    [anon_sym_BANG] = ACTIONS(1331),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(1333),
    [anon_sym_yield] = ACTIONS(1335),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1337),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1509),
    [anon_sym_using] = ACTIONS(1341),
    [anon_sym_PLUS] = ACTIONS(1347),
    [anon_sym_DASH] = ACTIONS(1347),
    [anon_sym_SLASH] = ACTIONS(949),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1331),
    [anon_sym_void] = ACTIONS(1347),
    [anon_sym_delete] = ACTIONS(1347),
    [anon_sym_PLUS_PLUS] = ACTIONS(1349),
    [anon_sym_DASH_DASH] = ACTIONS(1349),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(1351),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1511),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1325),
    [anon_sym_readonly] = ACTIONS(1325),
    [anon_sym_get] = ACTIONS(1325),
    [anon_sym_set] = ACTIONS(1325),
    [anon_sym_declare] = ACTIONS(1325),
    [anon_sym_public] = ACTIONS(1325),
    [anon_sym_private] = ACTIONS(1325),
    [anon_sym_protected] = ACTIONS(1325),
    [anon_sym_override] = ACTIONS(1325),
    [anon_sym_module] = ACTIONS(1325),
    [anon_sym_any] = ACTIONS(1325),
    [anon_sym_number] = ACTIONS(1325),
    [anon_sym_boolean] = ACTIONS(1325),
    [anon_sym_string] = ACTIONS(1325),
    [anon_sym_symbol] = ACTIONS(1325),
    [anon_sym_object] = ACTIONS(1325),
    [sym_html_comment] = ACTIONS(5),
  },
  [369] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1391),
    [sym_expression] = STATE(2352),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5815),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5815),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5603),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1391),
    [sym_subscript_expression] = STATE(1391),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(2984),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5815),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1391),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym__extends_clause_single] = STATE(4461),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(564),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(1505),
    [anon_sym_export] = ACTIONS(1325),
    [anon_sym_type] = ACTIONS(1325),
    [anon_sym_namespace] = ACTIONS(1327),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(1347),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1325),
    [anon_sym_BANG] = ACTIONS(1331),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(1333),
    [anon_sym_yield] = ACTIONS(1335),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1337),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1509),
    [anon_sym_using] = ACTIONS(1341),
    [anon_sym_PLUS] = ACTIONS(1347),
    [anon_sym_DASH] = ACTIONS(1347),
    [anon_sym_SLASH] = ACTIONS(949),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1331),
    [anon_sym_void] = ACTIONS(1347),
    [anon_sym_delete] = ACTIONS(1347),
    [anon_sym_PLUS_PLUS] = ACTIONS(1349),
    [anon_sym_DASH_DASH] = ACTIONS(1349),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(1351),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1511),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1325),
    [anon_sym_readonly] = ACTIONS(1325),
    [anon_sym_get] = ACTIONS(1325),
    [anon_sym_set] = ACTIONS(1325),
    [anon_sym_declare] = ACTIONS(1325),
    [anon_sym_public] = ACTIONS(1325),
    [anon_sym_private] = ACTIONS(1325),
    [anon_sym_protected] = ACTIONS(1325),
    [anon_sym_override] = ACTIONS(1325),
    [anon_sym_module] = ACTIONS(1325),
    [anon_sym_any] = ACTIONS(1325),
    [anon_sym_number] = ACTIONS(1325),
    [anon_sym_boolean] = ACTIONS(1325),
    [anon_sym_string] = ACTIONS(1325),
    [anon_sym_symbol] = ACTIONS(1325),
    [anon_sym_object] = ACTIONS(1325),
    [sym_html_comment] = ACTIONS(5),
  },
  [370] = {
    [sym_import] = STATE(3542),
    [sym_statement_block] = STATE(1659),
    [sym_parenthesized_expression] = STATE(1457),
    [sym_expression] = STATE(2365),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5827),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5827),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5728),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1457),
    [sym_subscript_expression] = STATE(1457),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(3001),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5827),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1457),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(591),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(1521),
    [anon_sym_export] = ACTIONS(1361),
    [anon_sym_type] = ACTIONS(1361),
    [anon_sym_namespace] = ACTIONS(1363),
    [anon_sym_LBRACE] = ACTIONS(2106),
    [anon_sym_typeof] = ACTIONS(1383),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1361),
    [anon_sym_BANG] = ACTIONS(1367),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(1369),
    [anon_sym_yield] = ACTIONS(1371),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1373),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1525),
    [anon_sym_using] = ACTIONS(1377),
    [anon_sym_PLUS] = ACTIONS(1383),
    [anon_sym_DASH] = ACTIONS(1383),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1367),
    [anon_sym_void] = ACTIONS(1383),
    [anon_sym_delete] = ACTIONS(1383),
    [anon_sym_PLUS_PLUS] = ACTIONS(1385),
    [anon_sym_DASH_DASH] = ACTIONS(1385),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(1387),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1527),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1361),
    [anon_sym_readonly] = ACTIONS(1361),
    [anon_sym_get] = ACTIONS(1361),
    [anon_sym_set] = ACTIONS(1361),
    [anon_sym_declare] = ACTIONS(1361),
    [anon_sym_public] = ACTIONS(1361),
    [anon_sym_private] = ACTIONS(1361),
    [anon_sym_protected] = ACTIONS(1361),
    [anon_sym_override] = ACTIONS(1361),
    [anon_sym_module] = ACTIONS(1361),
    [anon_sym_any] = ACTIONS(1361),
    [anon_sym_number] = ACTIONS(1361),
    [anon_sym_boolean] = ACTIONS(1361),
    [anon_sym_string] = ACTIONS(1361),
    [anon_sym_symbol] = ACTIONS(1361),
    [anon_sym_object] = ACTIONS(1361),
    [sym_html_comment] = ACTIONS(5),
  },
  [371] = {
    [sym_import] = STATE(3542),
    [sym_statement_block] = STATE(1670),
    [sym_parenthesized_expression] = STATE(1457),
    [sym_expression] = STATE(2369),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5827),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5827),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5728),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1457),
    [sym_subscript_expression] = STATE(1457),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(3001),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5827),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1457),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(591),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(1521),
    [anon_sym_export] = ACTIONS(1361),
    [anon_sym_type] = ACTIONS(1361),
    [anon_sym_namespace] = ACTIONS(1363),
    [anon_sym_LBRACE] = ACTIONS(2106),
    [anon_sym_typeof] = ACTIONS(1383),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1361),
    [anon_sym_BANG] = ACTIONS(1367),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(1369),
    [anon_sym_yield] = ACTIONS(1371),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1373),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1525),
    [anon_sym_using] = ACTIONS(1377),
    [anon_sym_PLUS] = ACTIONS(1383),
    [anon_sym_DASH] = ACTIONS(1383),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1367),
    [anon_sym_void] = ACTIONS(1383),
    [anon_sym_delete] = ACTIONS(1383),
    [anon_sym_PLUS_PLUS] = ACTIONS(1385),
    [anon_sym_DASH_DASH] = ACTIONS(1385),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(1387),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1527),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1361),
    [anon_sym_readonly] = ACTIONS(1361),
    [anon_sym_get] = ACTIONS(1361),
    [anon_sym_set] = ACTIONS(1361),
    [anon_sym_declare] = ACTIONS(1361),
    [anon_sym_public] = ACTIONS(1361),
    [anon_sym_private] = ACTIONS(1361),
    [anon_sym_protected] = ACTIONS(1361),
    [anon_sym_override] = ACTIONS(1361),
    [anon_sym_module] = ACTIONS(1361),
    [anon_sym_any] = ACTIONS(1361),
    [anon_sym_number] = ACTIONS(1361),
    [anon_sym_boolean] = ACTIONS(1361),
    [anon_sym_string] = ACTIONS(1361),
    [anon_sym_symbol] = ACTIONS(1361),
    [anon_sym_object] = ACTIONS(1361),
    [sym_html_comment] = ACTIONS(5),
  },
  [372] = {
    [sym_import] = STATE(3542),
    [sym_statement_block] = STATE(1674),
    [sym_parenthesized_expression] = STATE(1457),
    [sym_expression] = STATE(2382),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5827),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5827),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5728),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1457),
    [sym_subscript_expression] = STATE(1457),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(3001),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5827),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1457),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(591),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(1521),
    [anon_sym_export] = ACTIONS(1361),
    [anon_sym_type] = ACTIONS(1361),
    [anon_sym_namespace] = ACTIONS(1363),
    [anon_sym_LBRACE] = ACTIONS(2106),
    [anon_sym_typeof] = ACTIONS(1383),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1361),
    [anon_sym_BANG] = ACTIONS(1367),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(1369),
    [anon_sym_yield] = ACTIONS(1371),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1373),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1525),
    [anon_sym_using] = ACTIONS(1377),
    [anon_sym_PLUS] = ACTIONS(1383),
    [anon_sym_DASH] = ACTIONS(1383),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1367),
    [anon_sym_void] = ACTIONS(1383),
    [anon_sym_delete] = ACTIONS(1383),
    [anon_sym_PLUS_PLUS] = ACTIONS(1385),
    [anon_sym_DASH_DASH] = ACTIONS(1385),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(1387),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1527),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1361),
    [anon_sym_readonly] = ACTIONS(1361),
    [anon_sym_get] = ACTIONS(1361),
    [anon_sym_set] = ACTIONS(1361),
    [anon_sym_declare] = ACTIONS(1361),
    [anon_sym_public] = ACTIONS(1361),
    [anon_sym_private] = ACTIONS(1361),
    [anon_sym_protected] = ACTIONS(1361),
    [anon_sym_override] = ACTIONS(1361),
    [anon_sym_module] = ACTIONS(1361),
    [anon_sym_any] = ACTIONS(1361),
    [anon_sym_number] = ACTIONS(1361),
    [anon_sym_boolean] = ACTIONS(1361),
    [anon_sym_string] = ACTIONS(1361),
    [anon_sym_symbol] = ACTIONS(1361),
    [anon_sym_object] = ACTIONS(1361),
    [sym_html_comment] = ACTIONS(5),
  },
  [373] = {
    [sym_import] = STATE(3542),
    [sym_statement_block] = STATE(1682),
    [sym_parenthesized_expression] = STATE(1457),
    [sym_expression] = STATE(2384),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5827),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5827),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5728),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1457),
    [sym_subscript_expression] = STATE(1457),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(3001),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5827),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1457),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(591),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(1521),
    [anon_sym_export] = ACTIONS(1361),
    [anon_sym_type] = ACTIONS(1361),
    [anon_sym_namespace] = ACTIONS(1363),
    [anon_sym_LBRACE] = ACTIONS(2106),
    [anon_sym_typeof] = ACTIONS(1383),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1361),
    [anon_sym_BANG] = ACTIONS(1367),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(1369),
    [anon_sym_yield] = ACTIONS(1371),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1373),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1525),
    [anon_sym_using] = ACTIONS(1377),
    [anon_sym_PLUS] = ACTIONS(1383),
    [anon_sym_DASH] = ACTIONS(1383),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1367),
    [anon_sym_void] = ACTIONS(1383),
    [anon_sym_delete] = ACTIONS(1383),
    [anon_sym_PLUS_PLUS] = ACTIONS(1385),
    [anon_sym_DASH_DASH] = ACTIONS(1385),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(1387),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1527),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1361),
    [anon_sym_readonly] = ACTIONS(1361),
    [anon_sym_get] = ACTIONS(1361),
    [anon_sym_set] = ACTIONS(1361),
    [anon_sym_declare] = ACTIONS(1361),
    [anon_sym_public] = ACTIONS(1361),
    [anon_sym_private] = ACTIONS(1361),
    [anon_sym_protected] = ACTIONS(1361),
    [anon_sym_override] = ACTIONS(1361),
    [anon_sym_module] = ACTIONS(1361),
    [anon_sym_any] = ACTIONS(1361),
    [anon_sym_number] = ACTIONS(1361),
    [anon_sym_boolean] = ACTIONS(1361),
    [anon_sym_string] = ACTIONS(1361),
    [anon_sym_symbol] = ACTIONS(1361),
    [anon_sym_object] = ACTIONS(1361),
    [sym_html_comment] = ACTIONS(5),
  },
  [374] = {
    [sym_import] = STATE(3542),
    [sym_statement_block] = STATE(1684),
    [sym_parenthesized_expression] = STATE(1457),
    [sym_expression] = STATE(2385),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5827),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5827),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5728),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1457),
    [sym_subscript_expression] = STATE(1457),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(3001),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5827),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1457),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(591),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(1521),
    [anon_sym_export] = ACTIONS(1361),
    [anon_sym_type] = ACTIONS(1361),
    [anon_sym_namespace] = ACTIONS(1363),
    [anon_sym_LBRACE] = ACTIONS(2106),
    [anon_sym_typeof] = ACTIONS(1383),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1361),
    [anon_sym_BANG] = ACTIONS(1367),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(1369),
    [anon_sym_yield] = ACTIONS(1371),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1373),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1525),
    [anon_sym_using] = ACTIONS(1377),
    [anon_sym_PLUS] = ACTIONS(1383),
    [anon_sym_DASH] = ACTIONS(1383),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1367),
    [anon_sym_void] = ACTIONS(1383),
    [anon_sym_delete] = ACTIONS(1383),
    [anon_sym_PLUS_PLUS] = ACTIONS(1385),
    [anon_sym_DASH_DASH] = ACTIONS(1385),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(1387),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1527),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1361),
    [anon_sym_readonly] = ACTIONS(1361),
    [anon_sym_get] = ACTIONS(1361),
    [anon_sym_set] = ACTIONS(1361),
    [anon_sym_declare] = ACTIONS(1361),
    [anon_sym_public] = ACTIONS(1361),
    [anon_sym_private] = ACTIONS(1361),
    [anon_sym_protected] = ACTIONS(1361),
    [anon_sym_override] = ACTIONS(1361),
    [anon_sym_module] = ACTIONS(1361),
    [anon_sym_any] = ACTIONS(1361),
    [anon_sym_number] = ACTIONS(1361),
    [anon_sym_boolean] = ACTIONS(1361),
    [anon_sym_string] = ACTIONS(1361),
    [anon_sym_symbol] = ACTIONS(1361),
    [anon_sym_object] = ACTIONS(1361),
    [sym_html_comment] = ACTIONS(5),
  },
  [375] = {
    [sym_import] = STATE(3542),
    [sym_statement_block] = STATE(1685),
    [sym_parenthesized_expression] = STATE(1457),
    [sym_expression] = STATE(2386),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5827),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5827),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5728),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1457),
    [sym_subscript_expression] = STATE(1457),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(3001),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5827),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1457),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(591),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(1521),
    [anon_sym_export] = ACTIONS(1361),
    [anon_sym_type] = ACTIONS(1361),
    [anon_sym_namespace] = ACTIONS(1363),
    [anon_sym_LBRACE] = ACTIONS(2106),
    [anon_sym_typeof] = ACTIONS(1383),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1361),
    [anon_sym_BANG] = ACTIONS(1367),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(1369),
    [anon_sym_yield] = ACTIONS(1371),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1373),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1525),
    [anon_sym_using] = ACTIONS(1377),
    [anon_sym_PLUS] = ACTIONS(1383),
    [anon_sym_DASH] = ACTIONS(1383),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1367),
    [anon_sym_void] = ACTIONS(1383),
    [anon_sym_delete] = ACTIONS(1383),
    [anon_sym_PLUS_PLUS] = ACTIONS(1385),
    [anon_sym_DASH_DASH] = ACTIONS(1385),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(1387),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1527),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1361),
    [anon_sym_readonly] = ACTIONS(1361),
    [anon_sym_get] = ACTIONS(1361),
    [anon_sym_set] = ACTIONS(1361),
    [anon_sym_declare] = ACTIONS(1361),
    [anon_sym_public] = ACTIONS(1361),
    [anon_sym_private] = ACTIONS(1361),
    [anon_sym_protected] = ACTIONS(1361),
    [anon_sym_override] = ACTIONS(1361),
    [anon_sym_module] = ACTIONS(1361),
    [anon_sym_any] = ACTIONS(1361),
    [anon_sym_number] = ACTIONS(1361),
    [anon_sym_boolean] = ACTIONS(1361),
    [anon_sym_string] = ACTIONS(1361),
    [anon_sym_symbol] = ACTIONS(1361),
    [anon_sym_object] = ACTIONS(1361),
    [sym_html_comment] = ACTIONS(5),
  },
  [376] = {
    [sym_import] = STATE(3542),
    [sym_statement_block] = STATE(1659),
    [sym_parenthesized_expression] = STATE(1459),
    [sym_expression] = STATE(2392),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5835),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5835),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5489),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1459),
    [sym_subscript_expression] = STATE(1459),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(3006),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5835),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1459),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(617),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(1529),
    [anon_sym_export] = ACTIONS(1081),
    [anon_sym_type] = ACTIONS(1081),
    [anon_sym_namespace] = ACTIONS(1083),
    [anon_sym_LBRACE] = ACTIONS(2106),
    [anon_sym_typeof] = ACTIONS(1107),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1081),
    [anon_sym_BANG] = ACTIONS(1089),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(1091),
    [anon_sym_yield] = ACTIONS(1093),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1097),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1533),
    [anon_sym_using] = ACTIONS(1101),
    [anon_sym_PLUS] = ACTIONS(1107),
    [anon_sym_DASH] = ACTIONS(1107),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1089),
    [anon_sym_void] = ACTIONS(1107),
    [anon_sym_delete] = ACTIONS(1107),
    [anon_sym_PLUS_PLUS] = ACTIONS(1109),
    [anon_sym_DASH_DASH] = ACTIONS(1109),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(1115),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1535),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1081),
    [anon_sym_readonly] = ACTIONS(1081),
    [anon_sym_get] = ACTIONS(1081),
    [anon_sym_set] = ACTIONS(1081),
    [anon_sym_declare] = ACTIONS(1081),
    [anon_sym_public] = ACTIONS(1081),
    [anon_sym_private] = ACTIONS(1081),
    [anon_sym_protected] = ACTIONS(1081),
    [anon_sym_override] = ACTIONS(1081),
    [anon_sym_module] = ACTIONS(1081),
    [anon_sym_any] = ACTIONS(1081),
    [anon_sym_number] = ACTIONS(1081),
    [anon_sym_boolean] = ACTIONS(1081),
    [anon_sym_string] = ACTIONS(1081),
    [anon_sym_symbol] = ACTIONS(1081),
    [anon_sym_object] = ACTIONS(1081),
    [sym_html_comment] = ACTIONS(5),
  },
  [377] = {
    [sym_import] = STATE(3542),
    [sym_statement_block] = STATE(1670),
    [sym_parenthesized_expression] = STATE(1459),
    [sym_expression] = STATE(2396),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5835),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5835),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5489),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1459),
    [sym_subscript_expression] = STATE(1459),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(3006),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5835),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1459),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(617),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(1529),
    [anon_sym_export] = ACTIONS(1081),
    [anon_sym_type] = ACTIONS(1081),
    [anon_sym_namespace] = ACTIONS(1083),
    [anon_sym_LBRACE] = ACTIONS(2106),
    [anon_sym_typeof] = ACTIONS(1107),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1081),
    [anon_sym_BANG] = ACTIONS(1089),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(1091),
    [anon_sym_yield] = ACTIONS(1093),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1097),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1533),
    [anon_sym_using] = ACTIONS(1101),
    [anon_sym_PLUS] = ACTIONS(1107),
    [anon_sym_DASH] = ACTIONS(1107),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1089),
    [anon_sym_void] = ACTIONS(1107),
    [anon_sym_delete] = ACTIONS(1107),
    [anon_sym_PLUS_PLUS] = ACTIONS(1109),
    [anon_sym_DASH_DASH] = ACTIONS(1109),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(1115),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1535),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1081),
    [anon_sym_readonly] = ACTIONS(1081),
    [anon_sym_get] = ACTIONS(1081),
    [anon_sym_set] = ACTIONS(1081),
    [anon_sym_declare] = ACTIONS(1081),
    [anon_sym_public] = ACTIONS(1081),
    [anon_sym_private] = ACTIONS(1081),
    [anon_sym_protected] = ACTIONS(1081),
    [anon_sym_override] = ACTIONS(1081),
    [anon_sym_module] = ACTIONS(1081),
    [anon_sym_any] = ACTIONS(1081),
    [anon_sym_number] = ACTIONS(1081),
    [anon_sym_boolean] = ACTIONS(1081),
    [anon_sym_string] = ACTIONS(1081),
    [anon_sym_symbol] = ACTIONS(1081),
    [anon_sym_object] = ACTIONS(1081),
    [sym_html_comment] = ACTIONS(5),
  },
  [378] = {
    [sym_import] = STATE(3542),
    [sym_statement_block] = STATE(1674),
    [sym_parenthesized_expression] = STATE(1459),
    [sym_expression] = STATE(2409),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5835),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5835),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5489),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1459),
    [sym_subscript_expression] = STATE(1459),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(3006),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5835),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1459),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(617),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(1529),
    [anon_sym_export] = ACTIONS(1081),
    [anon_sym_type] = ACTIONS(1081),
    [anon_sym_namespace] = ACTIONS(1083),
    [anon_sym_LBRACE] = ACTIONS(2106),
    [anon_sym_typeof] = ACTIONS(1107),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1081),
    [anon_sym_BANG] = ACTIONS(1089),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(1091),
    [anon_sym_yield] = ACTIONS(1093),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1097),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1533),
    [anon_sym_using] = ACTIONS(1101),
    [anon_sym_PLUS] = ACTIONS(1107),
    [anon_sym_DASH] = ACTIONS(1107),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1089),
    [anon_sym_void] = ACTIONS(1107),
    [anon_sym_delete] = ACTIONS(1107),
    [anon_sym_PLUS_PLUS] = ACTIONS(1109),
    [anon_sym_DASH_DASH] = ACTIONS(1109),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(1115),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1535),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1081),
    [anon_sym_readonly] = ACTIONS(1081),
    [anon_sym_get] = ACTIONS(1081),
    [anon_sym_set] = ACTIONS(1081),
    [anon_sym_declare] = ACTIONS(1081),
    [anon_sym_public] = ACTIONS(1081),
    [anon_sym_private] = ACTIONS(1081),
    [anon_sym_protected] = ACTIONS(1081),
    [anon_sym_override] = ACTIONS(1081),
    [anon_sym_module] = ACTIONS(1081),
    [anon_sym_any] = ACTIONS(1081),
    [anon_sym_number] = ACTIONS(1081),
    [anon_sym_boolean] = ACTIONS(1081),
    [anon_sym_string] = ACTIONS(1081),
    [anon_sym_symbol] = ACTIONS(1081),
    [anon_sym_object] = ACTIONS(1081),
    [sym_html_comment] = ACTIONS(5),
  },
  [379] = {
    [sym_import] = STATE(3542),
    [sym_statement_block] = STATE(1682),
    [sym_parenthesized_expression] = STATE(1459),
    [sym_expression] = STATE(2411),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5835),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5835),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5489),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1459),
    [sym_subscript_expression] = STATE(1459),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(3006),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5835),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1459),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(617),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(1529),
    [anon_sym_export] = ACTIONS(1081),
    [anon_sym_type] = ACTIONS(1081),
    [anon_sym_namespace] = ACTIONS(1083),
    [anon_sym_LBRACE] = ACTIONS(2106),
    [anon_sym_typeof] = ACTIONS(1107),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1081),
    [anon_sym_BANG] = ACTIONS(1089),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(1091),
    [anon_sym_yield] = ACTIONS(1093),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1097),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1533),
    [anon_sym_using] = ACTIONS(1101),
    [anon_sym_PLUS] = ACTIONS(1107),
    [anon_sym_DASH] = ACTIONS(1107),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1089),
    [anon_sym_void] = ACTIONS(1107),
    [anon_sym_delete] = ACTIONS(1107),
    [anon_sym_PLUS_PLUS] = ACTIONS(1109),
    [anon_sym_DASH_DASH] = ACTIONS(1109),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(1115),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1535),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1081),
    [anon_sym_readonly] = ACTIONS(1081),
    [anon_sym_get] = ACTIONS(1081),
    [anon_sym_set] = ACTIONS(1081),
    [anon_sym_declare] = ACTIONS(1081),
    [anon_sym_public] = ACTIONS(1081),
    [anon_sym_private] = ACTIONS(1081),
    [anon_sym_protected] = ACTIONS(1081),
    [anon_sym_override] = ACTIONS(1081),
    [anon_sym_module] = ACTIONS(1081),
    [anon_sym_any] = ACTIONS(1081),
    [anon_sym_number] = ACTIONS(1081),
    [anon_sym_boolean] = ACTIONS(1081),
    [anon_sym_string] = ACTIONS(1081),
    [anon_sym_symbol] = ACTIONS(1081),
    [anon_sym_object] = ACTIONS(1081),
    [sym_html_comment] = ACTIONS(5),
  },
  [380] = {
    [sym_import] = STATE(3542),
    [sym_statement_block] = STATE(1684),
    [sym_parenthesized_expression] = STATE(1459),
    [sym_expression] = STATE(2412),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5835),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5835),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5489),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1459),
    [sym_subscript_expression] = STATE(1459),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(3006),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5835),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1459),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(617),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(1529),
    [anon_sym_export] = ACTIONS(1081),
    [anon_sym_type] = ACTIONS(1081),
    [anon_sym_namespace] = ACTIONS(1083),
    [anon_sym_LBRACE] = ACTIONS(2106),
    [anon_sym_typeof] = ACTIONS(1107),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1081),
    [anon_sym_BANG] = ACTIONS(1089),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(1091),
    [anon_sym_yield] = ACTIONS(1093),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1097),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1533),
    [anon_sym_using] = ACTIONS(1101),
    [anon_sym_PLUS] = ACTIONS(1107),
    [anon_sym_DASH] = ACTIONS(1107),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1089),
    [anon_sym_void] = ACTIONS(1107),
    [anon_sym_delete] = ACTIONS(1107),
    [anon_sym_PLUS_PLUS] = ACTIONS(1109),
    [anon_sym_DASH_DASH] = ACTIONS(1109),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(1115),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1535),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1081),
    [anon_sym_readonly] = ACTIONS(1081),
    [anon_sym_get] = ACTIONS(1081),
    [anon_sym_set] = ACTIONS(1081),
    [anon_sym_declare] = ACTIONS(1081),
    [anon_sym_public] = ACTIONS(1081),
    [anon_sym_private] = ACTIONS(1081),
    [anon_sym_protected] = ACTIONS(1081),
    [anon_sym_override] = ACTIONS(1081),
    [anon_sym_module] = ACTIONS(1081),
    [anon_sym_any] = ACTIONS(1081),
    [anon_sym_number] = ACTIONS(1081),
    [anon_sym_boolean] = ACTIONS(1081),
    [anon_sym_string] = ACTIONS(1081),
    [anon_sym_symbol] = ACTIONS(1081),
    [anon_sym_object] = ACTIONS(1081),
    [sym_html_comment] = ACTIONS(5),
  },
  [381] = {
    [sym_import] = STATE(3542),
    [sym_statement_block] = STATE(1685),
    [sym_parenthesized_expression] = STATE(1459),
    [sym_expression] = STATE(2413),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5835),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5835),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5489),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1459),
    [sym_subscript_expression] = STATE(1459),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(3006),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5835),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1459),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(617),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(1529),
    [anon_sym_export] = ACTIONS(1081),
    [anon_sym_type] = ACTIONS(1081),
    [anon_sym_namespace] = ACTIONS(1083),
    [anon_sym_LBRACE] = ACTIONS(2106),
    [anon_sym_typeof] = ACTIONS(1107),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1081),
    [anon_sym_BANG] = ACTIONS(1089),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(1091),
    [anon_sym_yield] = ACTIONS(1093),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1097),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1533),
    [anon_sym_using] = ACTIONS(1101),
    [anon_sym_PLUS] = ACTIONS(1107),
    [anon_sym_DASH] = ACTIONS(1107),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1089),
    [anon_sym_void] = ACTIONS(1107),
    [anon_sym_delete] = ACTIONS(1107),
    [anon_sym_PLUS_PLUS] = ACTIONS(1109),
    [anon_sym_DASH_DASH] = ACTIONS(1109),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(1115),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1535),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1081),
    [anon_sym_readonly] = ACTIONS(1081),
    [anon_sym_get] = ACTIONS(1081),
    [anon_sym_set] = ACTIONS(1081),
    [anon_sym_declare] = ACTIONS(1081),
    [anon_sym_public] = ACTIONS(1081),
    [anon_sym_private] = ACTIONS(1081),
    [anon_sym_protected] = ACTIONS(1081),
    [anon_sym_override] = ACTIONS(1081),
    [anon_sym_module] = ACTIONS(1081),
    [anon_sym_any] = ACTIONS(1081),
    [anon_sym_number] = ACTIONS(1081),
    [anon_sym_boolean] = ACTIONS(1081),
    [anon_sym_string] = ACTIONS(1081),
    [anon_sym_symbol] = ACTIONS(1081),
    [anon_sym_object] = ACTIONS(1081),
    [sym_html_comment] = ACTIONS(5),
  },
  [382] = {
    [sym_import] = STATE(3542),
    [sym_statement_block] = STATE(1659),
    [sym_parenthesized_expression] = STATE(1461),
    [sym_expression] = STATE(2491),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5839),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5839),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5541),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1461),
    [sym_subscript_expression] = STATE(1461),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(3010),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5839),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1461),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(644),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(1513),
    [anon_sym_export] = ACTIONS(1407),
    [anon_sym_type] = ACTIONS(1407),
    [anon_sym_namespace] = ACTIONS(1409),
    [anon_sym_LBRACE] = ACTIONS(2130),
    [anon_sym_typeof] = ACTIONS(1429),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(1413),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(1415),
    [anon_sym_yield] = ACTIONS(1417),
    [anon_sym_LBRACK] = ACTIONS(819),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1419),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1517),
    [anon_sym_using] = ACTIONS(1423),
    [anon_sym_PLUS] = ACTIONS(1429),
    [anon_sym_DASH] = ACTIONS(1429),
    [anon_sym_SLASH] = ACTIONS(979),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1413),
    [anon_sym_void] = ACTIONS(1429),
    [anon_sym_delete] = ACTIONS(1429),
    [anon_sym_PLUS_PLUS] = ACTIONS(1431),
    [anon_sym_DASH_DASH] = ACTIONS(1431),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(1433),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1519),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1407),
    [anon_sym_readonly] = ACTIONS(1407),
    [anon_sym_get] = ACTIONS(1407),
    [anon_sym_set] = ACTIONS(1407),
    [anon_sym_declare] = ACTIONS(1407),
    [anon_sym_public] = ACTIONS(1407),
    [anon_sym_private] = ACTIONS(1407),
    [anon_sym_protected] = ACTIONS(1407),
    [anon_sym_override] = ACTIONS(1407),
    [anon_sym_module] = ACTIONS(1407),
    [anon_sym_any] = ACTIONS(1407),
    [anon_sym_number] = ACTIONS(1407),
    [anon_sym_boolean] = ACTIONS(1407),
    [anon_sym_string] = ACTIONS(1407),
    [anon_sym_symbol] = ACTIONS(1407),
    [anon_sym_object] = ACTIONS(1407),
    [sym_html_comment] = ACTIONS(5),
  },
  [383] = {
    [sym_import] = STATE(3542),
    [sym_statement_block] = STATE(1670),
    [sym_parenthesized_expression] = STATE(1461),
    [sym_expression] = STATE(2495),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5839),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5839),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5541),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1461),
    [sym_subscript_expression] = STATE(1461),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(3010),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5839),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1461),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(644),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(1513),
    [anon_sym_export] = ACTIONS(1407),
    [anon_sym_type] = ACTIONS(1407),
    [anon_sym_namespace] = ACTIONS(1409),
    [anon_sym_LBRACE] = ACTIONS(2130),
    [anon_sym_typeof] = ACTIONS(1429),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(1413),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(1415),
    [anon_sym_yield] = ACTIONS(1417),
    [anon_sym_LBRACK] = ACTIONS(819),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1419),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1517),
    [anon_sym_using] = ACTIONS(1423),
    [anon_sym_PLUS] = ACTIONS(1429),
    [anon_sym_DASH] = ACTIONS(1429),
    [anon_sym_SLASH] = ACTIONS(979),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1413),
    [anon_sym_void] = ACTIONS(1429),
    [anon_sym_delete] = ACTIONS(1429),
    [anon_sym_PLUS_PLUS] = ACTIONS(1431),
    [anon_sym_DASH_DASH] = ACTIONS(1431),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(1433),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1519),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1407),
    [anon_sym_readonly] = ACTIONS(1407),
    [anon_sym_get] = ACTIONS(1407),
    [anon_sym_set] = ACTIONS(1407),
    [anon_sym_declare] = ACTIONS(1407),
    [anon_sym_public] = ACTIONS(1407),
    [anon_sym_private] = ACTIONS(1407),
    [anon_sym_protected] = ACTIONS(1407),
    [anon_sym_override] = ACTIONS(1407),
    [anon_sym_module] = ACTIONS(1407),
    [anon_sym_any] = ACTIONS(1407),
    [anon_sym_number] = ACTIONS(1407),
    [anon_sym_boolean] = ACTIONS(1407),
    [anon_sym_string] = ACTIONS(1407),
    [anon_sym_symbol] = ACTIONS(1407),
    [anon_sym_object] = ACTIONS(1407),
    [sym_html_comment] = ACTIONS(5),
  },
  [384] = {
    [sym_import] = STATE(3542),
    [sym_statement_block] = STATE(1674),
    [sym_parenthesized_expression] = STATE(1461),
    [sym_expression] = STATE(2508),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5839),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5839),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5541),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1461),
    [sym_subscript_expression] = STATE(1461),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(3010),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5839),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1461),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(644),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(1513),
    [anon_sym_export] = ACTIONS(1407),
    [anon_sym_type] = ACTIONS(1407),
    [anon_sym_namespace] = ACTIONS(1409),
    [anon_sym_LBRACE] = ACTIONS(2130),
    [anon_sym_typeof] = ACTIONS(1429),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(1413),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(1415),
    [anon_sym_yield] = ACTIONS(1417),
    [anon_sym_LBRACK] = ACTIONS(819),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1419),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1517),
    [anon_sym_using] = ACTIONS(1423),
    [anon_sym_PLUS] = ACTIONS(1429),
    [anon_sym_DASH] = ACTIONS(1429),
    [anon_sym_SLASH] = ACTIONS(979),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1413),
    [anon_sym_void] = ACTIONS(1429),
    [anon_sym_delete] = ACTIONS(1429),
    [anon_sym_PLUS_PLUS] = ACTIONS(1431),
    [anon_sym_DASH_DASH] = ACTIONS(1431),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(1433),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1519),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1407),
    [anon_sym_readonly] = ACTIONS(1407),
    [anon_sym_get] = ACTIONS(1407),
    [anon_sym_set] = ACTIONS(1407),
    [anon_sym_declare] = ACTIONS(1407),
    [anon_sym_public] = ACTIONS(1407),
    [anon_sym_private] = ACTIONS(1407),
    [anon_sym_protected] = ACTIONS(1407),
    [anon_sym_override] = ACTIONS(1407),
    [anon_sym_module] = ACTIONS(1407),
    [anon_sym_any] = ACTIONS(1407),
    [anon_sym_number] = ACTIONS(1407),
    [anon_sym_boolean] = ACTIONS(1407),
    [anon_sym_string] = ACTIONS(1407),
    [anon_sym_symbol] = ACTIONS(1407),
    [anon_sym_object] = ACTIONS(1407),
    [sym_html_comment] = ACTIONS(5),
  },
  [385] = {
    [sym_import] = STATE(3542),
    [sym_statement_block] = STATE(1682),
    [sym_parenthesized_expression] = STATE(1461),
    [sym_expression] = STATE(2510),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5839),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5839),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5541),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1461),
    [sym_subscript_expression] = STATE(1461),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(3010),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5839),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1461),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(644),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(1513),
    [anon_sym_export] = ACTIONS(1407),
    [anon_sym_type] = ACTIONS(1407),
    [anon_sym_namespace] = ACTIONS(1409),
    [anon_sym_LBRACE] = ACTIONS(2130),
    [anon_sym_typeof] = ACTIONS(1429),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(1413),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(1415),
    [anon_sym_yield] = ACTIONS(1417),
    [anon_sym_LBRACK] = ACTIONS(819),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1419),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1517),
    [anon_sym_using] = ACTIONS(1423),
    [anon_sym_PLUS] = ACTIONS(1429),
    [anon_sym_DASH] = ACTIONS(1429),
    [anon_sym_SLASH] = ACTIONS(979),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1413),
    [anon_sym_void] = ACTIONS(1429),
    [anon_sym_delete] = ACTIONS(1429),
    [anon_sym_PLUS_PLUS] = ACTIONS(1431),
    [anon_sym_DASH_DASH] = ACTIONS(1431),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(1433),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1519),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1407),
    [anon_sym_readonly] = ACTIONS(1407),
    [anon_sym_get] = ACTIONS(1407),
    [anon_sym_set] = ACTIONS(1407),
    [anon_sym_declare] = ACTIONS(1407),
    [anon_sym_public] = ACTIONS(1407),
    [anon_sym_private] = ACTIONS(1407),
    [anon_sym_protected] = ACTIONS(1407),
    [anon_sym_override] = ACTIONS(1407),
    [anon_sym_module] = ACTIONS(1407),
    [anon_sym_any] = ACTIONS(1407),
    [anon_sym_number] = ACTIONS(1407),
    [anon_sym_boolean] = ACTIONS(1407),
    [anon_sym_string] = ACTIONS(1407),
    [anon_sym_symbol] = ACTIONS(1407),
    [anon_sym_object] = ACTIONS(1407),
    [sym_html_comment] = ACTIONS(5),
  },
  [386] = {
    [sym_import] = STATE(3542),
    [sym_statement_block] = STATE(1684),
    [sym_parenthesized_expression] = STATE(1461),
    [sym_expression] = STATE(2511),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5839),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5839),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5541),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1461),
    [sym_subscript_expression] = STATE(1461),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(3010),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5839),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1461),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(644),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(1513),
    [anon_sym_export] = ACTIONS(1407),
    [anon_sym_type] = ACTIONS(1407),
    [anon_sym_namespace] = ACTIONS(1409),
    [anon_sym_LBRACE] = ACTIONS(2130),
    [anon_sym_typeof] = ACTIONS(1429),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(1413),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(1415),
    [anon_sym_yield] = ACTIONS(1417),
    [anon_sym_LBRACK] = ACTIONS(819),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1419),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1517),
    [anon_sym_using] = ACTIONS(1423),
    [anon_sym_PLUS] = ACTIONS(1429),
    [anon_sym_DASH] = ACTIONS(1429),
    [anon_sym_SLASH] = ACTIONS(979),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1413),
    [anon_sym_void] = ACTIONS(1429),
    [anon_sym_delete] = ACTIONS(1429),
    [anon_sym_PLUS_PLUS] = ACTIONS(1431),
    [anon_sym_DASH_DASH] = ACTIONS(1431),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(1433),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1519),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1407),
    [anon_sym_readonly] = ACTIONS(1407),
    [anon_sym_get] = ACTIONS(1407),
    [anon_sym_set] = ACTIONS(1407),
    [anon_sym_declare] = ACTIONS(1407),
    [anon_sym_public] = ACTIONS(1407),
    [anon_sym_private] = ACTIONS(1407),
    [anon_sym_protected] = ACTIONS(1407),
    [anon_sym_override] = ACTIONS(1407),
    [anon_sym_module] = ACTIONS(1407),
    [anon_sym_any] = ACTIONS(1407),
    [anon_sym_number] = ACTIONS(1407),
    [anon_sym_boolean] = ACTIONS(1407),
    [anon_sym_string] = ACTIONS(1407),
    [anon_sym_symbol] = ACTIONS(1407),
    [anon_sym_object] = ACTIONS(1407),
    [sym_html_comment] = ACTIONS(5),
  },
  [387] = {
    [sym_import] = STATE(3542),
    [sym_statement_block] = STATE(1685),
    [sym_parenthesized_expression] = STATE(1461),
    [sym_expression] = STATE(2512),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5839),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5839),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5541),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1461),
    [sym_subscript_expression] = STATE(1461),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(3010),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5839),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1461),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(644),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(1513),
    [anon_sym_export] = ACTIONS(1407),
    [anon_sym_type] = ACTIONS(1407),
    [anon_sym_namespace] = ACTIONS(1409),
    [anon_sym_LBRACE] = ACTIONS(2130),
    [anon_sym_typeof] = ACTIONS(1429),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(1413),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(1415),
    [anon_sym_yield] = ACTIONS(1417),
    [anon_sym_LBRACK] = ACTIONS(819),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1419),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1517),
    [anon_sym_using] = ACTIONS(1423),
    [anon_sym_PLUS] = ACTIONS(1429),
    [anon_sym_DASH] = ACTIONS(1429),
    [anon_sym_SLASH] = ACTIONS(979),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1413),
    [anon_sym_void] = ACTIONS(1429),
    [anon_sym_delete] = ACTIONS(1429),
    [anon_sym_PLUS_PLUS] = ACTIONS(1431),
    [anon_sym_DASH_DASH] = ACTIONS(1431),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(1433),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1519),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1407),
    [anon_sym_readonly] = ACTIONS(1407),
    [anon_sym_get] = ACTIONS(1407),
    [anon_sym_set] = ACTIONS(1407),
    [anon_sym_declare] = ACTIONS(1407),
    [anon_sym_public] = ACTIONS(1407),
    [anon_sym_private] = ACTIONS(1407),
    [anon_sym_protected] = ACTIONS(1407),
    [anon_sym_override] = ACTIONS(1407),
    [anon_sym_module] = ACTIONS(1407),
    [anon_sym_any] = ACTIONS(1407),
    [anon_sym_number] = ACTIONS(1407),
    [anon_sym_boolean] = ACTIONS(1407),
    [anon_sym_string] = ACTIONS(1407),
    [anon_sym_symbol] = ACTIONS(1407),
    [anon_sym_object] = ACTIONS(1407),
    [sym_html_comment] = ACTIONS(5),
  },
  [388] = {
    [sym_import] = STATE(3542),
    [sym_statement_block] = STATE(1685),
    [sym_parenthesized_expression] = STATE(1381),
    [sym_expression] = STATE(1933),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5574),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5574),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5865),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1381),
    [sym_subscript_expression] = STATE(1381),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(3033),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5574),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1381),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(635),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(1489),
    [anon_sym_export] = ACTIONS(1275),
    [anon_sym_type] = ACTIONS(1275),
    [anon_sym_namespace] = ACTIONS(1277),
    [anon_sym_LBRACE] = ACTIONS(2106),
    [anon_sym_typeof] = ACTIONS(763),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1275),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(743),
    [anon_sym_yield] = ACTIONS(745),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1285),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1493),
    [anon_sym_using] = ACTIONS(753),
    [anon_sym_PLUS] = ACTIONS(763),
    [anon_sym_DASH] = ACTIONS(763),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(739),
    [anon_sym_void] = ACTIONS(763),
    [anon_sym_delete] = ACTIONS(763),
    [anon_sym_PLUS_PLUS] = ACTIONS(765),
    [anon_sym_DASH_DASH] = ACTIONS(765),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(771),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1495),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1275),
    [anon_sym_readonly] = ACTIONS(1275),
    [anon_sym_get] = ACTIONS(1275),
    [anon_sym_set] = ACTIONS(1275),
    [anon_sym_declare] = ACTIONS(1275),
    [anon_sym_public] = ACTIONS(1275),
    [anon_sym_private] = ACTIONS(1275),
    [anon_sym_protected] = ACTIONS(1275),
    [anon_sym_override] = ACTIONS(1275),
    [anon_sym_module] = ACTIONS(1275),
    [anon_sym_any] = ACTIONS(1275),
    [anon_sym_number] = ACTIONS(1275),
    [anon_sym_boolean] = ACTIONS(1275),
    [anon_sym_string] = ACTIONS(1275),
    [anon_sym_symbol] = ACTIONS(1275),
    [anon_sym_object] = ACTIONS(1275),
    [sym_html_comment] = ACTIONS(5),
  },
  [389] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1381),
    [sym_expression] = STATE(2139),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5574),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5574),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5865),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1381),
    [sym_subscript_expression] = STATE(1381),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(3033),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5574),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_sequence_expression] = STATE(5871),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1381),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(635),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(1489),
    [anon_sym_export] = ACTIONS(1275),
    [anon_sym_type] = ACTIONS(1275),
    [anon_sym_namespace] = ACTIONS(1277),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(763),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1275),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(743),
    [anon_sym_yield] = ACTIONS(745),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1285),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1493),
    [anon_sym_using] = ACTIONS(753),
    [anon_sym_PLUS] = ACTIONS(763),
    [anon_sym_DASH] = ACTIONS(763),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(739),
    [anon_sym_void] = ACTIONS(763),
    [anon_sym_delete] = ACTIONS(763),
    [anon_sym_PLUS_PLUS] = ACTIONS(765),
    [anon_sym_DASH_DASH] = ACTIONS(765),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(771),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1495),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1275),
    [anon_sym_readonly] = ACTIONS(1275),
    [anon_sym_get] = ACTIONS(1275),
    [anon_sym_set] = ACTIONS(1275),
    [anon_sym_declare] = ACTIONS(1275),
    [anon_sym_public] = ACTIONS(1275),
    [anon_sym_private] = ACTIONS(1275),
    [anon_sym_protected] = ACTIONS(1275),
    [anon_sym_override] = ACTIONS(1275),
    [anon_sym_module] = ACTIONS(1275),
    [anon_sym_any] = ACTIONS(1275),
    [anon_sym_number] = ACTIONS(1275),
    [anon_sym_boolean] = ACTIONS(1275),
    [anon_sym_string] = ACTIONS(1275),
    [anon_sym_symbol] = ACTIONS(1275),
    [anon_sym_object] = ACTIONS(1275),
    [sym_html_comment] = ACTIONS(5),
  },
  [390] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1381),
    [sym_expression] = STATE(2143),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5574),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5574),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5865),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1381),
    [sym_subscript_expression] = STATE(1381),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(3033),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5574),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_sequence_expression] = STATE(5615),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1381),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(635),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(1489),
    [anon_sym_export] = ACTIONS(1275),
    [anon_sym_type] = ACTIONS(1275),
    [anon_sym_namespace] = ACTIONS(1277),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(763),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1275),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(743),
    [anon_sym_yield] = ACTIONS(745),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1285),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1493),
    [anon_sym_using] = ACTIONS(753),
    [anon_sym_PLUS] = ACTIONS(763),
    [anon_sym_DASH] = ACTIONS(763),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(739),
    [anon_sym_void] = ACTIONS(763),
    [anon_sym_delete] = ACTIONS(763),
    [anon_sym_PLUS_PLUS] = ACTIONS(765),
    [anon_sym_DASH_DASH] = ACTIONS(765),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(771),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1495),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1275),
    [anon_sym_readonly] = ACTIONS(1275),
    [anon_sym_get] = ACTIONS(1275),
    [anon_sym_set] = ACTIONS(1275),
    [anon_sym_declare] = ACTIONS(1275),
    [anon_sym_public] = ACTIONS(1275),
    [anon_sym_private] = ACTIONS(1275),
    [anon_sym_protected] = ACTIONS(1275),
    [anon_sym_override] = ACTIONS(1275),
    [anon_sym_module] = ACTIONS(1275),
    [anon_sym_any] = ACTIONS(1275),
    [anon_sym_number] = ACTIONS(1275),
    [anon_sym_boolean] = ACTIONS(1275),
    [anon_sym_string] = ACTIONS(1275),
    [anon_sym_symbol] = ACTIONS(1275),
    [anon_sym_object] = ACTIONS(1275),
    [sym_html_comment] = ACTIONS(5),
  },
  [391] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1381),
    [sym_expression] = STATE(2144),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5574),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5574),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5865),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1381),
    [sym_subscript_expression] = STATE(1381),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(3033),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5574),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_sequence_expression] = STATE(5655),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1381),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(635),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(1489),
    [anon_sym_export] = ACTIONS(1275),
    [anon_sym_type] = ACTIONS(1275),
    [anon_sym_namespace] = ACTIONS(1277),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(763),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1275),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(743),
    [anon_sym_yield] = ACTIONS(745),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1285),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1493),
    [anon_sym_using] = ACTIONS(753),
    [anon_sym_PLUS] = ACTIONS(763),
    [anon_sym_DASH] = ACTIONS(763),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(739),
    [anon_sym_void] = ACTIONS(763),
    [anon_sym_delete] = ACTIONS(763),
    [anon_sym_PLUS_PLUS] = ACTIONS(765),
    [anon_sym_DASH_DASH] = ACTIONS(765),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(771),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1495),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1275),
    [anon_sym_readonly] = ACTIONS(1275),
    [anon_sym_get] = ACTIONS(1275),
    [anon_sym_set] = ACTIONS(1275),
    [anon_sym_declare] = ACTIONS(1275),
    [anon_sym_public] = ACTIONS(1275),
    [anon_sym_private] = ACTIONS(1275),
    [anon_sym_protected] = ACTIONS(1275),
    [anon_sym_override] = ACTIONS(1275),
    [anon_sym_module] = ACTIONS(1275),
    [anon_sym_any] = ACTIONS(1275),
    [anon_sym_number] = ACTIONS(1275),
    [anon_sym_boolean] = ACTIONS(1275),
    [anon_sym_string] = ACTIONS(1275),
    [anon_sym_symbol] = ACTIONS(1275),
    [anon_sym_object] = ACTIONS(1275),
    [sym_html_comment] = ACTIONS(5),
  },
  [392] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1381),
    [sym_expression] = STATE(2336),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5574),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5574),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5865),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1381),
    [sym_subscript_expression] = STATE(1381),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(3033),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5574),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_sequence_expression] = STATE(5568),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1381),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(635),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(1489),
    [anon_sym_export] = ACTIONS(1275),
    [anon_sym_type] = ACTIONS(1275),
    [anon_sym_namespace] = ACTIONS(1277),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(763),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1275),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(743),
    [anon_sym_yield] = ACTIONS(745),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1285),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1493),
    [anon_sym_using] = ACTIONS(753),
    [anon_sym_PLUS] = ACTIONS(763),
    [anon_sym_DASH] = ACTIONS(763),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(739),
    [anon_sym_void] = ACTIONS(763),
    [anon_sym_delete] = ACTIONS(763),
    [anon_sym_PLUS_PLUS] = ACTIONS(765),
    [anon_sym_DASH_DASH] = ACTIONS(765),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(771),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1495),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1275),
    [anon_sym_readonly] = ACTIONS(1275),
    [anon_sym_get] = ACTIONS(1275),
    [anon_sym_set] = ACTIONS(1275),
    [anon_sym_declare] = ACTIONS(1275),
    [anon_sym_public] = ACTIONS(1275),
    [anon_sym_private] = ACTIONS(1275),
    [anon_sym_protected] = ACTIONS(1275),
    [anon_sym_override] = ACTIONS(1275),
    [anon_sym_module] = ACTIONS(1275),
    [anon_sym_any] = ACTIONS(1275),
    [anon_sym_number] = ACTIONS(1275),
    [anon_sym_boolean] = ACTIONS(1275),
    [anon_sym_string] = ACTIONS(1275),
    [anon_sym_symbol] = ACTIONS(1275),
    [anon_sym_object] = ACTIONS(1275),
    [sym_html_comment] = ACTIONS(5),
  },
  [393] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1324),
    [sym_expression] = STATE(2319),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5710),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5710),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5565),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1324),
    [sym_subscript_expression] = STATE(1324),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(2958),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5710),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_sequence_expression] = STATE(5796),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1324),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(482),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(1463),
    [anon_sym_export] = ACTIONS(1055),
    [anon_sym_type] = ACTIONS(1055),
    [anon_sym_namespace] = ACTIONS(1057),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(620),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1055),
    [anon_sym_BANG] = ACTIONS(592),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(594),
    [anon_sym_yield] = ACTIONS(596),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1065),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1471),
    [anon_sym_using] = ACTIONS(606),
    [anon_sym_PLUS] = ACTIONS(620),
    [anon_sym_DASH] = ACTIONS(620),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(592),
    [anon_sym_void] = ACTIONS(620),
    [anon_sym_delete] = ACTIONS(620),
    [anon_sym_PLUS_PLUS] = ACTIONS(622),
    [anon_sym_DASH_DASH] = ACTIONS(622),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(624),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1473),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1055),
    [anon_sym_readonly] = ACTIONS(1055),
    [anon_sym_get] = ACTIONS(1055),
    [anon_sym_set] = ACTIONS(1055),
    [anon_sym_declare] = ACTIONS(1055),
    [anon_sym_public] = ACTIONS(1055),
    [anon_sym_private] = ACTIONS(1055),
    [anon_sym_protected] = ACTIONS(1055),
    [anon_sym_override] = ACTIONS(1055),
    [anon_sym_module] = ACTIONS(1055),
    [anon_sym_any] = ACTIONS(1055),
    [anon_sym_number] = ACTIONS(1055),
    [anon_sym_boolean] = ACTIONS(1055),
    [anon_sym_string] = ACTIONS(1055),
    [anon_sym_symbol] = ACTIONS(1055),
    [anon_sym_object] = ACTIONS(1055),
    [sym_html_comment] = ACTIONS(5),
  },
  [394] = {
    [sym_import] = STATE(3513),
    [sym_statement_block] = STATE(2296),
    [sym_parenthesized_expression] = STATE(1417),
    [sym_expression] = STATE(2183),
    [sym_primary_expression] = STATE(1833),
    [sym_yield_expression] = STATE(2130),
    [sym_object] = STATE(2117),
    [sym_object_pattern] = STATE(5592),
    [sym_array] = STATE(2117),
    [sym_array_pattern] = STATE(5592),
    [sym_glimmer_template] = STATE(2130),
    [sym_class] = STATE(2117),
    [sym_function_expression] = STATE(2117),
    [sym_generator_function] = STATE(2117),
    [sym_arrow_function] = STATE(2117),
    [sym__call_signature] = STATE(5478),
    [sym_call_expression] = STATE(2117),
    [sym_new_expression] = STATE(1963),
    [sym_await_expression] = STATE(2130),
    [sym_member_expression] = STATE(1417),
    [sym_subscript_expression] = STATE(1417),
    [sym_assignment_expression] = STATE(2130),
    [sym__augmented_assignment_lhs] = STATE(3012),
    [sym_augmented_assignment_expression] = STATE(2130),
    [sym__destructuring_pattern] = STATE(5592),
    [sym_ternary_expression] = STATE(2130),
    [sym_binary_expression] = STATE(2130),
    [sym_unary_expression] = STATE(2130),
    [sym_update_expression] = STATE(2130),
    [sym_string] = STATE(2117),
    [sym_template_string] = STATE(2117),
    [sym_regex] = STATE(2117),
    [sym_meta_property] = STATE(2117),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1417),
    [sym_type_assertion] = STATE(2130),
    [sym_as_expression] = STATE(2130),
    [sym_satisfies_expression] = STATE(2130),
    [sym_instantiation_expression] = STATE(2130),
    [sym_internal_module] = STATE(2130),
    [sym_type_arguments] = STATE(450),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4499),
    [sym_identifier] = ACTIONS(1497),
    [anon_sym_export] = ACTIONS(1129),
    [anon_sym_type] = ACTIONS(1129),
    [anon_sym_namespace] = ACTIONS(1131),
    [anon_sym_LBRACE] = ACTIONS(2108),
    [anon_sym_typeof] = ACTIONS(1157),
    [anon_sym_import] = ACTIONS(674),
    [anon_sym_let] = ACTIONS(1129),
    [anon_sym_BANG] = ACTIONS(1137),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1141),
    [anon_sym_yield] = ACTIONS(1143),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(681),
    [anon_sym_async] = ACTIONS(1147),
    [anon_sym_function] = ACTIONS(685),
    [anon_sym_new] = ACTIONS(1501),
    [anon_sym_using] = ACTIONS(1151),
    [anon_sym_PLUS] = ACTIONS(1157),
    [anon_sym_DASH] = ACTIONS(1157),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1137),
    [anon_sym_void] = ACTIONS(1157),
    [anon_sym_delete] = ACTIONS(1157),
    [anon_sym_PLUS_PLUS] = ACTIONS(1159),
    [anon_sym_DASH_DASH] = ACTIONS(1159),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1165),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1503),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1129),
    [anon_sym_readonly] = ACTIONS(1129),
    [anon_sym_get] = ACTIONS(1129),
    [anon_sym_set] = ACTIONS(1129),
    [anon_sym_declare] = ACTIONS(1129),
    [anon_sym_public] = ACTIONS(1129),
    [anon_sym_private] = ACTIONS(1129),
    [anon_sym_protected] = ACTIONS(1129),
    [anon_sym_override] = ACTIONS(1129),
    [anon_sym_module] = ACTIONS(1129),
    [anon_sym_any] = ACTIONS(1129),
    [anon_sym_number] = ACTIONS(1129),
    [anon_sym_boolean] = ACTIONS(1129),
    [anon_sym_string] = ACTIONS(1129),
    [anon_sym_symbol] = ACTIONS(1129),
    [anon_sym_object] = ACTIONS(1129),
    [sym_html_comment] = ACTIONS(5),
  },
  [395] = {
    [sym_import] = STATE(3542),
    [sym_statement_block] = STATE(1684),
    [sym_parenthesized_expression] = STATE(1228),
    [sym_expression] = STATE(2594),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5482),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5482),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5824),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1228),
    [sym_subscript_expression] = STATE(1228),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(2969),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5482),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1228),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(537),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(809),
    [anon_sym_export] = ACTIONS(811),
    [anon_sym_type] = ACTIONS(811),
    [anon_sym_namespace] = ACTIONS(813),
    [anon_sym_LBRACE] = ACTIONS(2130),
    [anon_sym_typeof] = ACTIONS(184),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(811),
    [anon_sym_BANG] = ACTIONS(180),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(819),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(823),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(825),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(184),
    [anon_sym_DASH] = ACTIONS(184),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(691),
    [anon_sym_DASH_DASH] = ACTIONS(691),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(829),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(811),
    [anon_sym_readonly] = ACTIONS(811),
    [anon_sym_get] = ACTIONS(811),
    [anon_sym_set] = ACTIONS(811),
    [anon_sym_declare] = ACTIONS(811),
    [anon_sym_public] = ACTIONS(811),
    [anon_sym_private] = ACTIONS(811),
    [anon_sym_protected] = ACTIONS(811),
    [anon_sym_override] = ACTIONS(811),
    [anon_sym_module] = ACTIONS(811),
    [anon_sym_any] = ACTIONS(811),
    [anon_sym_number] = ACTIONS(811),
    [anon_sym_boolean] = ACTIONS(811),
    [anon_sym_string] = ACTIONS(811),
    [anon_sym_symbol] = ACTIONS(811),
    [anon_sym_object] = ACTIONS(811),
    [sym_html_comment] = ACTIONS(5),
  },
  [396] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1457),
    [sym_expression] = STATE(2575),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5827),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5827),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5728),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1457),
    [sym_subscript_expression] = STATE(1457),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(3001),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5827),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1457),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(591),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(1521),
    [anon_sym_export] = ACTIONS(1361),
    [anon_sym_type] = ACTIONS(1361),
    [anon_sym_namespace] = ACTIONS(1363),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(1383),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1361),
    [anon_sym_BANG] = ACTIONS(1367),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(1369),
    [anon_sym_yield] = ACTIONS(1371),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1373),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1525),
    [anon_sym_using] = ACTIONS(1377),
    [anon_sym_PLUS] = ACTIONS(1383),
    [anon_sym_DASH] = ACTIONS(1383),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1367),
    [anon_sym_void] = ACTIONS(1383),
    [anon_sym_delete] = ACTIONS(1383),
    [anon_sym_PLUS_PLUS] = ACTIONS(1385),
    [anon_sym_DASH_DASH] = ACTIONS(1385),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(1387),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1527),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1361),
    [anon_sym_readonly] = ACTIONS(1361),
    [anon_sym_get] = ACTIONS(1361),
    [anon_sym_set] = ACTIONS(1361),
    [anon_sym_declare] = ACTIONS(1361),
    [anon_sym_public] = ACTIONS(1361),
    [anon_sym_private] = ACTIONS(1361),
    [anon_sym_protected] = ACTIONS(1361),
    [anon_sym_override] = ACTIONS(1361),
    [anon_sym_module] = ACTIONS(1361),
    [anon_sym_any] = ACTIONS(1361),
    [anon_sym_number] = ACTIONS(1361),
    [anon_sym_boolean] = ACTIONS(1361),
    [anon_sym_string] = ACTIONS(1361),
    [anon_sym_symbol] = ACTIONS(1361),
    [anon_sym_object] = ACTIONS(1361),
    [sym_html_comment] = ACTIONS(5),
  },
  [397] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1381),
    [sym_expression] = STATE(1888),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5574),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5574),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5865),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1381),
    [sym_subscript_expression] = STATE(1381),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(3033),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5574),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1381),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(635),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(1489),
    [anon_sym_export] = ACTIONS(1275),
    [anon_sym_type] = ACTIONS(1275),
    [anon_sym_namespace] = ACTIONS(1277),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(763),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1275),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(743),
    [anon_sym_yield] = ACTIONS(745),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1285),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1493),
    [anon_sym_using] = ACTIONS(753),
    [anon_sym_PLUS] = ACTIONS(763),
    [anon_sym_DASH] = ACTIONS(763),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(739),
    [anon_sym_void] = ACTIONS(763),
    [anon_sym_delete] = ACTIONS(763),
    [anon_sym_PLUS_PLUS] = ACTIONS(765),
    [anon_sym_DASH_DASH] = ACTIONS(765),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(771),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1495),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1275),
    [anon_sym_readonly] = ACTIONS(1275),
    [anon_sym_get] = ACTIONS(1275),
    [anon_sym_set] = ACTIONS(1275),
    [anon_sym_declare] = ACTIONS(1275),
    [anon_sym_public] = ACTIONS(1275),
    [anon_sym_private] = ACTIONS(1275),
    [anon_sym_protected] = ACTIONS(1275),
    [anon_sym_override] = ACTIONS(1275),
    [anon_sym_module] = ACTIONS(1275),
    [anon_sym_any] = ACTIONS(1275),
    [anon_sym_number] = ACTIONS(1275),
    [anon_sym_boolean] = ACTIONS(1275),
    [anon_sym_string] = ACTIONS(1275),
    [anon_sym_symbol] = ACTIONS(1275),
    [anon_sym_object] = ACTIONS(1275),
    [sym_html_comment] = ACTIONS(5),
  },
  [398] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1381),
    [sym_expression] = STATE(1892),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5574),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5574),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5865),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1381),
    [sym_subscript_expression] = STATE(1381),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(3033),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5574),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1381),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(635),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(1489),
    [anon_sym_export] = ACTIONS(1275),
    [anon_sym_type] = ACTIONS(1275),
    [anon_sym_namespace] = ACTIONS(1277),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(763),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1275),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(743),
    [anon_sym_yield] = ACTIONS(745),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1285),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1493),
    [anon_sym_using] = ACTIONS(753),
    [anon_sym_PLUS] = ACTIONS(763),
    [anon_sym_DASH] = ACTIONS(763),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(739),
    [anon_sym_void] = ACTIONS(763),
    [anon_sym_delete] = ACTIONS(763),
    [anon_sym_PLUS_PLUS] = ACTIONS(765),
    [anon_sym_DASH_DASH] = ACTIONS(765),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(771),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1495),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1275),
    [anon_sym_readonly] = ACTIONS(1275),
    [anon_sym_get] = ACTIONS(1275),
    [anon_sym_set] = ACTIONS(1275),
    [anon_sym_declare] = ACTIONS(1275),
    [anon_sym_public] = ACTIONS(1275),
    [anon_sym_private] = ACTIONS(1275),
    [anon_sym_protected] = ACTIONS(1275),
    [anon_sym_override] = ACTIONS(1275),
    [anon_sym_module] = ACTIONS(1275),
    [anon_sym_any] = ACTIONS(1275),
    [anon_sym_number] = ACTIONS(1275),
    [anon_sym_boolean] = ACTIONS(1275),
    [anon_sym_string] = ACTIONS(1275),
    [anon_sym_symbol] = ACTIONS(1275),
    [anon_sym_object] = ACTIONS(1275),
    [sym_html_comment] = ACTIONS(5),
  },
  [399] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1381),
    [sym_expression] = STATE(1895),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5574),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5574),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5865),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1381),
    [sym_subscript_expression] = STATE(1381),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(3033),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5574),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1381),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(635),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(1489),
    [anon_sym_export] = ACTIONS(1275),
    [anon_sym_type] = ACTIONS(1275),
    [anon_sym_namespace] = ACTIONS(1277),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(763),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1275),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(743),
    [anon_sym_yield] = ACTIONS(745),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1285),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1493),
    [anon_sym_using] = ACTIONS(753),
    [anon_sym_PLUS] = ACTIONS(763),
    [anon_sym_DASH] = ACTIONS(763),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(739),
    [anon_sym_void] = ACTIONS(763),
    [anon_sym_delete] = ACTIONS(763),
    [anon_sym_PLUS_PLUS] = ACTIONS(765),
    [anon_sym_DASH_DASH] = ACTIONS(765),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(771),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1495),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1275),
    [anon_sym_readonly] = ACTIONS(1275),
    [anon_sym_get] = ACTIONS(1275),
    [anon_sym_set] = ACTIONS(1275),
    [anon_sym_declare] = ACTIONS(1275),
    [anon_sym_public] = ACTIONS(1275),
    [anon_sym_private] = ACTIONS(1275),
    [anon_sym_protected] = ACTIONS(1275),
    [anon_sym_override] = ACTIONS(1275),
    [anon_sym_module] = ACTIONS(1275),
    [anon_sym_any] = ACTIONS(1275),
    [anon_sym_number] = ACTIONS(1275),
    [anon_sym_boolean] = ACTIONS(1275),
    [anon_sym_string] = ACTIONS(1275),
    [anon_sym_symbol] = ACTIONS(1275),
    [anon_sym_object] = ACTIONS(1275),
    [sym_html_comment] = ACTIONS(5),
  },
  [400] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1381),
    [sym_expression] = STATE(2489),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5574),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5574),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5865),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1381),
    [sym_subscript_expression] = STATE(1381),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(3033),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5574),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1381),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(635),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(1489),
    [anon_sym_export] = ACTIONS(1275),
    [anon_sym_type] = ACTIONS(1275),
    [anon_sym_namespace] = ACTIONS(1277),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(763),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1275),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(743),
    [anon_sym_yield] = ACTIONS(745),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1285),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1493),
    [anon_sym_using] = ACTIONS(753),
    [anon_sym_PLUS] = ACTIONS(763),
    [anon_sym_DASH] = ACTIONS(763),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(739),
    [anon_sym_void] = ACTIONS(763),
    [anon_sym_delete] = ACTIONS(763),
    [anon_sym_PLUS_PLUS] = ACTIONS(765),
    [anon_sym_DASH_DASH] = ACTIONS(765),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(771),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1495),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1275),
    [anon_sym_readonly] = ACTIONS(1275),
    [anon_sym_get] = ACTIONS(1275),
    [anon_sym_set] = ACTIONS(1275),
    [anon_sym_declare] = ACTIONS(1275),
    [anon_sym_public] = ACTIONS(1275),
    [anon_sym_private] = ACTIONS(1275),
    [anon_sym_protected] = ACTIONS(1275),
    [anon_sym_override] = ACTIONS(1275),
    [anon_sym_module] = ACTIONS(1275),
    [anon_sym_any] = ACTIONS(1275),
    [anon_sym_number] = ACTIONS(1275),
    [anon_sym_boolean] = ACTIONS(1275),
    [anon_sym_string] = ACTIONS(1275),
    [anon_sym_symbol] = ACTIONS(1275),
    [anon_sym_object] = ACTIONS(1275),
    [sym_html_comment] = ACTIONS(5),
  },
  [401] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1381),
    [sym_expression] = STATE(1897),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5574),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5574),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5865),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1381),
    [sym_subscript_expression] = STATE(1381),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(3033),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5574),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1381),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(635),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(1489),
    [anon_sym_export] = ACTIONS(1275),
    [anon_sym_type] = ACTIONS(1275),
    [anon_sym_namespace] = ACTIONS(1277),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(763),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1275),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(743),
    [anon_sym_yield] = ACTIONS(745),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1285),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1493),
    [anon_sym_using] = ACTIONS(753),
    [anon_sym_PLUS] = ACTIONS(763),
    [anon_sym_DASH] = ACTIONS(763),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(739),
    [anon_sym_void] = ACTIONS(763),
    [anon_sym_delete] = ACTIONS(763),
    [anon_sym_PLUS_PLUS] = ACTIONS(765),
    [anon_sym_DASH_DASH] = ACTIONS(765),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(771),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1495),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1275),
    [anon_sym_readonly] = ACTIONS(1275),
    [anon_sym_get] = ACTIONS(1275),
    [anon_sym_set] = ACTIONS(1275),
    [anon_sym_declare] = ACTIONS(1275),
    [anon_sym_public] = ACTIONS(1275),
    [anon_sym_private] = ACTIONS(1275),
    [anon_sym_protected] = ACTIONS(1275),
    [anon_sym_override] = ACTIONS(1275),
    [anon_sym_module] = ACTIONS(1275),
    [anon_sym_any] = ACTIONS(1275),
    [anon_sym_number] = ACTIONS(1275),
    [anon_sym_boolean] = ACTIONS(1275),
    [anon_sym_string] = ACTIONS(1275),
    [anon_sym_symbol] = ACTIONS(1275),
    [anon_sym_object] = ACTIONS(1275),
    [sym_html_comment] = ACTIONS(5),
  },
  [402] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1381),
    [sym_expression] = STATE(1898),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5574),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5574),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5865),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1381),
    [sym_subscript_expression] = STATE(1381),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(3033),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5574),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1381),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(635),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(1489),
    [anon_sym_export] = ACTIONS(1275),
    [anon_sym_type] = ACTIONS(1275),
    [anon_sym_namespace] = ACTIONS(1277),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(763),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1275),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(743),
    [anon_sym_yield] = ACTIONS(745),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1285),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1493),
    [anon_sym_using] = ACTIONS(753),
    [anon_sym_PLUS] = ACTIONS(763),
    [anon_sym_DASH] = ACTIONS(763),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(739),
    [anon_sym_void] = ACTIONS(763),
    [anon_sym_delete] = ACTIONS(763),
    [anon_sym_PLUS_PLUS] = ACTIONS(765),
    [anon_sym_DASH_DASH] = ACTIONS(765),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(771),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1495),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1275),
    [anon_sym_readonly] = ACTIONS(1275),
    [anon_sym_get] = ACTIONS(1275),
    [anon_sym_set] = ACTIONS(1275),
    [anon_sym_declare] = ACTIONS(1275),
    [anon_sym_public] = ACTIONS(1275),
    [anon_sym_private] = ACTIONS(1275),
    [anon_sym_protected] = ACTIONS(1275),
    [anon_sym_override] = ACTIONS(1275),
    [anon_sym_module] = ACTIONS(1275),
    [anon_sym_any] = ACTIONS(1275),
    [anon_sym_number] = ACTIONS(1275),
    [anon_sym_boolean] = ACTIONS(1275),
    [anon_sym_string] = ACTIONS(1275),
    [anon_sym_symbol] = ACTIONS(1275),
    [anon_sym_object] = ACTIONS(1275),
    [sym_html_comment] = ACTIONS(5),
  },
  [403] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1381),
    [sym_expression] = STATE(1899),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5574),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5574),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5865),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1381),
    [sym_subscript_expression] = STATE(1381),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(3033),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5574),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1381),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(635),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(1489),
    [anon_sym_export] = ACTIONS(1275),
    [anon_sym_type] = ACTIONS(1275),
    [anon_sym_namespace] = ACTIONS(1277),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(763),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1275),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(743),
    [anon_sym_yield] = ACTIONS(745),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1285),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1493),
    [anon_sym_using] = ACTIONS(753),
    [anon_sym_PLUS] = ACTIONS(763),
    [anon_sym_DASH] = ACTIONS(763),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(739),
    [anon_sym_void] = ACTIONS(763),
    [anon_sym_delete] = ACTIONS(763),
    [anon_sym_PLUS_PLUS] = ACTIONS(765),
    [anon_sym_DASH_DASH] = ACTIONS(765),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(771),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1495),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1275),
    [anon_sym_readonly] = ACTIONS(1275),
    [anon_sym_get] = ACTIONS(1275),
    [anon_sym_set] = ACTIONS(1275),
    [anon_sym_declare] = ACTIONS(1275),
    [anon_sym_public] = ACTIONS(1275),
    [anon_sym_private] = ACTIONS(1275),
    [anon_sym_protected] = ACTIONS(1275),
    [anon_sym_override] = ACTIONS(1275),
    [anon_sym_module] = ACTIONS(1275),
    [anon_sym_any] = ACTIONS(1275),
    [anon_sym_number] = ACTIONS(1275),
    [anon_sym_boolean] = ACTIONS(1275),
    [anon_sym_string] = ACTIONS(1275),
    [anon_sym_symbol] = ACTIONS(1275),
    [anon_sym_object] = ACTIONS(1275),
    [sym_html_comment] = ACTIONS(5),
  },
  [404] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1381),
    [sym_expression] = STATE(1900),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5574),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5574),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5865),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1381),
    [sym_subscript_expression] = STATE(1381),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(3033),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5574),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1381),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(635),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(1489),
    [anon_sym_export] = ACTIONS(1275),
    [anon_sym_type] = ACTIONS(1275),
    [anon_sym_namespace] = ACTIONS(1277),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(763),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1275),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(743),
    [anon_sym_yield] = ACTIONS(745),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1285),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1493),
    [anon_sym_using] = ACTIONS(753),
    [anon_sym_PLUS] = ACTIONS(763),
    [anon_sym_DASH] = ACTIONS(763),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(739),
    [anon_sym_void] = ACTIONS(763),
    [anon_sym_delete] = ACTIONS(763),
    [anon_sym_PLUS_PLUS] = ACTIONS(765),
    [anon_sym_DASH_DASH] = ACTIONS(765),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(771),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1495),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1275),
    [anon_sym_readonly] = ACTIONS(1275),
    [anon_sym_get] = ACTIONS(1275),
    [anon_sym_set] = ACTIONS(1275),
    [anon_sym_declare] = ACTIONS(1275),
    [anon_sym_public] = ACTIONS(1275),
    [anon_sym_private] = ACTIONS(1275),
    [anon_sym_protected] = ACTIONS(1275),
    [anon_sym_override] = ACTIONS(1275),
    [anon_sym_module] = ACTIONS(1275),
    [anon_sym_any] = ACTIONS(1275),
    [anon_sym_number] = ACTIONS(1275),
    [anon_sym_boolean] = ACTIONS(1275),
    [anon_sym_string] = ACTIONS(1275),
    [anon_sym_symbol] = ACTIONS(1275),
    [anon_sym_object] = ACTIONS(1275),
    [sym_html_comment] = ACTIONS(5),
  },
  [405] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1381),
    [sym_expression] = STATE(1901),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5574),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5574),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5865),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1381),
    [sym_subscript_expression] = STATE(1381),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(3033),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5574),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1381),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(635),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(1489),
    [anon_sym_export] = ACTIONS(1275),
    [anon_sym_type] = ACTIONS(1275),
    [anon_sym_namespace] = ACTIONS(1277),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(763),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1275),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(743),
    [anon_sym_yield] = ACTIONS(745),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1285),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1493),
    [anon_sym_using] = ACTIONS(753),
    [anon_sym_PLUS] = ACTIONS(763),
    [anon_sym_DASH] = ACTIONS(763),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(739),
    [anon_sym_void] = ACTIONS(763),
    [anon_sym_delete] = ACTIONS(763),
    [anon_sym_PLUS_PLUS] = ACTIONS(765),
    [anon_sym_DASH_DASH] = ACTIONS(765),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(771),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1495),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1275),
    [anon_sym_readonly] = ACTIONS(1275),
    [anon_sym_get] = ACTIONS(1275),
    [anon_sym_set] = ACTIONS(1275),
    [anon_sym_declare] = ACTIONS(1275),
    [anon_sym_public] = ACTIONS(1275),
    [anon_sym_private] = ACTIONS(1275),
    [anon_sym_protected] = ACTIONS(1275),
    [anon_sym_override] = ACTIONS(1275),
    [anon_sym_module] = ACTIONS(1275),
    [anon_sym_any] = ACTIONS(1275),
    [anon_sym_number] = ACTIONS(1275),
    [anon_sym_boolean] = ACTIONS(1275),
    [anon_sym_string] = ACTIONS(1275),
    [anon_sym_symbol] = ACTIONS(1275),
    [anon_sym_object] = ACTIONS(1275),
    [sym_html_comment] = ACTIONS(5),
  },
  [406] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1381),
    [sym_expression] = STATE(1902),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5574),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5574),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5865),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1381),
    [sym_subscript_expression] = STATE(1381),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(3033),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5574),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1381),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(635),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(1489),
    [anon_sym_export] = ACTIONS(1275),
    [anon_sym_type] = ACTIONS(1275),
    [anon_sym_namespace] = ACTIONS(1277),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(763),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1275),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(743),
    [anon_sym_yield] = ACTIONS(745),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1285),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1493),
    [anon_sym_using] = ACTIONS(753),
    [anon_sym_PLUS] = ACTIONS(763),
    [anon_sym_DASH] = ACTIONS(763),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(739),
    [anon_sym_void] = ACTIONS(763),
    [anon_sym_delete] = ACTIONS(763),
    [anon_sym_PLUS_PLUS] = ACTIONS(765),
    [anon_sym_DASH_DASH] = ACTIONS(765),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(771),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1495),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1275),
    [anon_sym_readonly] = ACTIONS(1275),
    [anon_sym_get] = ACTIONS(1275),
    [anon_sym_set] = ACTIONS(1275),
    [anon_sym_declare] = ACTIONS(1275),
    [anon_sym_public] = ACTIONS(1275),
    [anon_sym_private] = ACTIONS(1275),
    [anon_sym_protected] = ACTIONS(1275),
    [anon_sym_override] = ACTIONS(1275),
    [anon_sym_module] = ACTIONS(1275),
    [anon_sym_any] = ACTIONS(1275),
    [anon_sym_number] = ACTIONS(1275),
    [anon_sym_boolean] = ACTIONS(1275),
    [anon_sym_string] = ACTIONS(1275),
    [anon_sym_symbol] = ACTIONS(1275),
    [anon_sym_object] = ACTIONS(1275),
    [sym_html_comment] = ACTIONS(5),
  },
  [407] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1381),
    [sym_expression] = STATE(1903),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5574),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5574),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5865),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1381),
    [sym_subscript_expression] = STATE(1381),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(3033),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5574),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1381),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(635),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(1489),
    [anon_sym_export] = ACTIONS(1275),
    [anon_sym_type] = ACTIONS(1275),
    [anon_sym_namespace] = ACTIONS(1277),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(763),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1275),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(743),
    [anon_sym_yield] = ACTIONS(745),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1285),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1493),
    [anon_sym_using] = ACTIONS(753),
    [anon_sym_PLUS] = ACTIONS(763),
    [anon_sym_DASH] = ACTIONS(763),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(739),
    [anon_sym_void] = ACTIONS(763),
    [anon_sym_delete] = ACTIONS(763),
    [anon_sym_PLUS_PLUS] = ACTIONS(765),
    [anon_sym_DASH_DASH] = ACTIONS(765),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(771),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1495),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1275),
    [anon_sym_readonly] = ACTIONS(1275),
    [anon_sym_get] = ACTIONS(1275),
    [anon_sym_set] = ACTIONS(1275),
    [anon_sym_declare] = ACTIONS(1275),
    [anon_sym_public] = ACTIONS(1275),
    [anon_sym_private] = ACTIONS(1275),
    [anon_sym_protected] = ACTIONS(1275),
    [anon_sym_override] = ACTIONS(1275),
    [anon_sym_module] = ACTIONS(1275),
    [anon_sym_any] = ACTIONS(1275),
    [anon_sym_number] = ACTIONS(1275),
    [anon_sym_boolean] = ACTIONS(1275),
    [anon_sym_string] = ACTIONS(1275),
    [anon_sym_symbol] = ACTIONS(1275),
    [anon_sym_object] = ACTIONS(1275),
    [sym_html_comment] = ACTIONS(5),
  },
  [408] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1381),
    [sym_expression] = STATE(1904),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5574),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5574),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5865),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1381),
    [sym_subscript_expression] = STATE(1381),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(3033),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5574),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1381),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(635),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(1489),
    [anon_sym_export] = ACTIONS(1275),
    [anon_sym_type] = ACTIONS(1275),
    [anon_sym_namespace] = ACTIONS(1277),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(763),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1275),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(743),
    [anon_sym_yield] = ACTIONS(745),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1285),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1493),
    [anon_sym_using] = ACTIONS(753),
    [anon_sym_PLUS] = ACTIONS(763),
    [anon_sym_DASH] = ACTIONS(763),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(739),
    [anon_sym_void] = ACTIONS(763),
    [anon_sym_delete] = ACTIONS(763),
    [anon_sym_PLUS_PLUS] = ACTIONS(765),
    [anon_sym_DASH_DASH] = ACTIONS(765),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(771),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1495),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1275),
    [anon_sym_readonly] = ACTIONS(1275),
    [anon_sym_get] = ACTIONS(1275),
    [anon_sym_set] = ACTIONS(1275),
    [anon_sym_declare] = ACTIONS(1275),
    [anon_sym_public] = ACTIONS(1275),
    [anon_sym_private] = ACTIONS(1275),
    [anon_sym_protected] = ACTIONS(1275),
    [anon_sym_override] = ACTIONS(1275),
    [anon_sym_module] = ACTIONS(1275),
    [anon_sym_any] = ACTIONS(1275),
    [anon_sym_number] = ACTIONS(1275),
    [anon_sym_boolean] = ACTIONS(1275),
    [anon_sym_string] = ACTIONS(1275),
    [anon_sym_symbol] = ACTIONS(1275),
    [anon_sym_object] = ACTIONS(1275),
    [sym_html_comment] = ACTIONS(5),
  },
  [409] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1381),
    [sym_expression] = STATE(1906),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5574),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5574),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5865),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1381),
    [sym_subscript_expression] = STATE(1381),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(3033),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5574),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1381),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(635),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(1489),
    [anon_sym_export] = ACTIONS(1275),
    [anon_sym_type] = ACTIONS(1275),
    [anon_sym_namespace] = ACTIONS(1277),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(763),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1275),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(743),
    [anon_sym_yield] = ACTIONS(745),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1285),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1493),
    [anon_sym_using] = ACTIONS(753),
    [anon_sym_PLUS] = ACTIONS(763),
    [anon_sym_DASH] = ACTIONS(763),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(739),
    [anon_sym_void] = ACTIONS(763),
    [anon_sym_delete] = ACTIONS(763),
    [anon_sym_PLUS_PLUS] = ACTIONS(765),
    [anon_sym_DASH_DASH] = ACTIONS(765),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(771),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1495),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1275),
    [anon_sym_readonly] = ACTIONS(1275),
    [anon_sym_get] = ACTIONS(1275),
    [anon_sym_set] = ACTIONS(1275),
    [anon_sym_declare] = ACTIONS(1275),
    [anon_sym_public] = ACTIONS(1275),
    [anon_sym_private] = ACTIONS(1275),
    [anon_sym_protected] = ACTIONS(1275),
    [anon_sym_override] = ACTIONS(1275),
    [anon_sym_module] = ACTIONS(1275),
    [anon_sym_any] = ACTIONS(1275),
    [anon_sym_number] = ACTIONS(1275),
    [anon_sym_boolean] = ACTIONS(1275),
    [anon_sym_string] = ACTIONS(1275),
    [anon_sym_symbol] = ACTIONS(1275),
    [anon_sym_object] = ACTIONS(1275),
    [sym_html_comment] = ACTIONS(5),
  },
  [410] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1381),
    [sym_expression] = STATE(1908),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5574),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5574),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5865),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1381),
    [sym_subscript_expression] = STATE(1381),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(3033),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5574),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1381),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(635),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(1489),
    [anon_sym_export] = ACTIONS(1275),
    [anon_sym_type] = ACTIONS(1275),
    [anon_sym_namespace] = ACTIONS(1277),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(763),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1275),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(743),
    [anon_sym_yield] = ACTIONS(745),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1285),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1493),
    [anon_sym_using] = ACTIONS(753),
    [anon_sym_PLUS] = ACTIONS(763),
    [anon_sym_DASH] = ACTIONS(763),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(739),
    [anon_sym_void] = ACTIONS(763),
    [anon_sym_delete] = ACTIONS(763),
    [anon_sym_PLUS_PLUS] = ACTIONS(765),
    [anon_sym_DASH_DASH] = ACTIONS(765),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(771),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1495),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1275),
    [anon_sym_readonly] = ACTIONS(1275),
    [anon_sym_get] = ACTIONS(1275),
    [anon_sym_set] = ACTIONS(1275),
    [anon_sym_declare] = ACTIONS(1275),
    [anon_sym_public] = ACTIONS(1275),
    [anon_sym_private] = ACTIONS(1275),
    [anon_sym_protected] = ACTIONS(1275),
    [anon_sym_override] = ACTIONS(1275),
    [anon_sym_module] = ACTIONS(1275),
    [anon_sym_any] = ACTIONS(1275),
    [anon_sym_number] = ACTIONS(1275),
    [anon_sym_boolean] = ACTIONS(1275),
    [anon_sym_string] = ACTIONS(1275),
    [anon_sym_symbol] = ACTIONS(1275),
    [anon_sym_object] = ACTIONS(1275),
    [sym_html_comment] = ACTIONS(5),
  },
  [411] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1381),
    [sym_expression] = STATE(1914),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5574),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5574),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5865),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1381),
    [sym_subscript_expression] = STATE(1381),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(3033),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5574),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1381),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(635),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(1489),
    [anon_sym_export] = ACTIONS(1275),
    [anon_sym_type] = ACTIONS(1275),
    [anon_sym_namespace] = ACTIONS(1277),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(763),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1275),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(743),
    [anon_sym_yield] = ACTIONS(745),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1285),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1493),
    [anon_sym_using] = ACTIONS(753),
    [anon_sym_PLUS] = ACTIONS(763),
    [anon_sym_DASH] = ACTIONS(763),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(739),
    [anon_sym_void] = ACTIONS(763),
    [anon_sym_delete] = ACTIONS(763),
    [anon_sym_PLUS_PLUS] = ACTIONS(765),
    [anon_sym_DASH_DASH] = ACTIONS(765),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(771),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1495),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1275),
    [anon_sym_readonly] = ACTIONS(1275),
    [anon_sym_get] = ACTIONS(1275),
    [anon_sym_set] = ACTIONS(1275),
    [anon_sym_declare] = ACTIONS(1275),
    [anon_sym_public] = ACTIONS(1275),
    [anon_sym_private] = ACTIONS(1275),
    [anon_sym_protected] = ACTIONS(1275),
    [anon_sym_override] = ACTIONS(1275),
    [anon_sym_module] = ACTIONS(1275),
    [anon_sym_any] = ACTIONS(1275),
    [anon_sym_number] = ACTIONS(1275),
    [anon_sym_boolean] = ACTIONS(1275),
    [anon_sym_string] = ACTIONS(1275),
    [anon_sym_symbol] = ACTIONS(1275),
    [anon_sym_object] = ACTIONS(1275),
    [sym_html_comment] = ACTIONS(5),
  },
  [412] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1381),
    [sym_expression] = STATE(2486),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5574),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5574),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5865),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1381),
    [sym_subscript_expression] = STATE(1381),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(3033),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5574),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1381),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(635),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(1489),
    [anon_sym_export] = ACTIONS(1275),
    [anon_sym_type] = ACTIONS(1275),
    [anon_sym_namespace] = ACTIONS(1277),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(763),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1275),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(743),
    [anon_sym_yield] = ACTIONS(745),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1285),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1493),
    [anon_sym_using] = ACTIONS(753),
    [anon_sym_PLUS] = ACTIONS(763),
    [anon_sym_DASH] = ACTIONS(763),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(739),
    [anon_sym_void] = ACTIONS(763),
    [anon_sym_delete] = ACTIONS(763),
    [anon_sym_PLUS_PLUS] = ACTIONS(765),
    [anon_sym_DASH_DASH] = ACTIONS(765),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(771),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1495),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1275),
    [anon_sym_readonly] = ACTIONS(1275),
    [anon_sym_get] = ACTIONS(1275),
    [anon_sym_set] = ACTIONS(1275),
    [anon_sym_declare] = ACTIONS(1275),
    [anon_sym_public] = ACTIONS(1275),
    [anon_sym_private] = ACTIONS(1275),
    [anon_sym_protected] = ACTIONS(1275),
    [anon_sym_override] = ACTIONS(1275),
    [anon_sym_module] = ACTIONS(1275),
    [anon_sym_any] = ACTIONS(1275),
    [anon_sym_number] = ACTIONS(1275),
    [anon_sym_boolean] = ACTIONS(1275),
    [anon_sym_string] = ACTIONS(1275),
    [anon_sym_symbol] = ACTIONS(1275),
    [anon_sym_object] = ACTIONS(1275),
    [sym_html_comment] = ACTIONS(5),
  },
  [413] = {
    [sym_import] = STATE(3513),
    [sym_parenthesized_expression] = STATE(1353),
    [sym_expression] = STATE(1944),
    [sym_primary_expression] = STATE(1833),
    [sym_yield_expression] = STATE(2130),
    [sym_object] = STATE(2117),
    [sym_object_pattern] = STATE(5484),
    [sym_array] = STATE(2117),
    [sym_array_pattern] = STATE(5484),
    [sym_glimmer_template] = STATE(2130),
    [sym_class] = STATE(2117),
    [sym_function_expression] = STATE(2117),
    [sym_generator_function] = STATE(2117),
    [sym_arrow_function] = STATE(2117),
    [sym__call_signature] = STATE(5525),
    [sym_call_expression] = STATE(2117),
    [sym_new_expression] = STATE(1963),
    [sym_await_expression] = STATE(2130),
    [sym_member_expression] = STATE(1353),
    [sym_subscript_expression] = STATE(1353),
    [sym_assignment_expression] = STATE(2130),
    [sym__augmented_assignment_lhs] = STATE(3036),
    [sym_augmented_assignment_expression] = STATE(2130),
    [sym__destructuring_pattern] = STATE(5484),
    [sym_ternary_expression] = STATE(2130),
    [sym_binary_expression] = STATE(2130),
    [sym_unary_expression] = STATE(2130),
    [sym_update_expression] = STATE(2130),
    [sym_string] = STATE(2117),
    [sym_template_string] = STATE(2117),
    [sym_regex] = STATE(2117),
    [sym_meta_property] = STATE(2117),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1353),
    [sym_type_assertion] = STATE(2130),
    [sym_as_expression] = STATE(2130),
    [sym_satisfies_expression] = STATE(2130),
    [sym_instantiation_expression] = STATE(2130),
    [sym_internal_module] = STATE(2130),
    [sym_type_arguments] = STATE(427),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4499),
    [sym_identifier] = ACTIONS(1475),
    [anon_sym_export] = ACTIONS(1443),
    [anon_sym_type] = ACTIONS(1443),
    [anon_sym_namespace] = ACTIONS(1445),
    [anon_sym_LBRACE] = ACTIONS(670),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(674),
    [anon_sym_let] = ACTIONS(1443),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(681),
    [anon_sym_async] = ACTIONS(1449),
    [anon_sym_function] = ACTIONS(685),
    [anon_sym_new] = ACTIONS(1479),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1443),
    [anon_sym_readonly] = ACTIONS(1443),
    [anon_sym_get] = ACTIONS(1443),
    [anon_sym_set] = ACTIONS(1443),
    [anon_sym_declare] = ACTIONS(1443),
    [anon_sym_public] = ACTIONS(1443),
    [anon_sym_private] = ACTIONS(1443),
    [anon_sym_protected] = ACTIONS(1443),
    [anon_sym_override] = ACTIONS(1443),
    [anon_sym_module] = ACTIONS(1443),
    [anon_sym_any] = ACTIONS(1443),
    [anon_sym_number] = ACTIONS(1443),
    [anon_sym_boolean] = ACTIONS(1443),
    [anon_sym_string] = ACTIONS(1443),
    [anon_sym_symbol] = ACTIONS(1443),
    [anon_sym_object] = ACTIONS(1443),
    [sym_html_comment] = ACTIONS(5),
  },
  [414] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1459),
    [sym_expression] = STATE(2600),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5835),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5835),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5489),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1459),
    [sym_subscript_expression] = STATE(1459),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(3006),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5835),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1459),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(617),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(1529),
    [anon_sym_export] = ACTIONS(1081),
    [anon_sym_type] = ACTIONS(1081),
    [anon_sym_namespace] = ACTIONS(1083),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(1107),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1081),
    [anon_sym_BANG] = ACTIONS(1089),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(1091),
    [anon_sym_yield] = ACTIONS(1093),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1097),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1533),
    [anon_sym_using] = ACTIONS(1101),
    [anon_sym_PLUS] = ACTIONS(1107),
    [anon_sym_DASH] = ACTIONS(1107),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1089),
    [anon_sym_void] = ACTIONS(1107),
    [anon_sym_delete] = ACTIONS(1107),
    [anon_sym_PLUS_PLUS] = ACTIONS(1109),
    [anon_sym_DASH_DASH] = ACTIONS(1109),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(1115),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1535),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1081),
    [anon_sym_readonly] = ACTIONS(1081),
    [anon_sym_get] = ACTIONS(1081),
    [anon_sym_set] = ACTIONS(1081),
    [anon_sym_declare] = ACTIONS(1081),
    [anon_sym_public] = ACTIONS(1081),
    [anon_sym_private] = ACTIONS(1081),
    [anon_sym_protected] = ACTIONS(1081),
    [anon_sym_override] = ACTIONS(1081),
    [anon_sym_module] = ACTIONS(1081),
    [anon_sym_any] = ACTIONS(1081),
    [anon_sym_number] = ACTIONS(1081),
    [anon_sym_boolean] = ACTIONS(1081),
    [anon_sym_string] = ACTIONS(1081),
    [anon_sym_symbol] = ACTIONS(1081),
    [anon_sym_object] = ACTIONS(1081),
    [sym_html_comment] = ACTIONS(5),
  },
  [415] = {
    [sym_import] = STATE(3513),
    [sym_parenthesized_expression] = STATE(1353),
    [sym_expression] = STATE(2007),
    [sym_primary_expression] = STATE(1833),
    [sym_yield_expression] = STATE(2130),
    [sym_object] = STATE(2117),
    [sym_object_pattern] = STATE(5484),
    [sym_array] = STATE(2117),
    [sym_array_pattern] = STATE(5484),
    [sym_glimmer_template] = STATE(2130),
    [sym_class] = STATE(2117),
    [sym_function_expression] = STATE(2117),
    [sym_generator_function] = STATE(2117),
    [sym_arrow_function] = STATE(2117),
    [sym__call_signature] = STATE(5525),
    [sym_call_expression] = STATE(2117),
    [sym_new_expression] = STATE(1963),
    [sym_await_expression] = STATE(2130),
    [sym_member_expression] = STATE(1353),
    [sym_subscript_expression] = STATE(1353),
    [sym_assignment_expression] = STATE(2130),
    [sym__augmented_assignment_lhs] = STATE(3036),
    [sym_augmented_assignment_expression] = STATE(2130),
    [sym__destructuring_pattern] = STATE(5484),
    [sym_ternary_expression] = STATE(2130),
    [sym_binary_expression] = STATE(2130),
    [sym_unary_expression] = STATE(2130),
    [sym_update_expression] = STATE(2130),
    [sym_string] = STATE(2117),
    [sym_template_string] = STATE(2117),
    [sym_regex] = STATE(2117),
    [sym_meta_property] = STATE(2117),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1353),
    [sym_type_assertion] = STATE(2130),
    [sym_as_expression] = STATE(2130),
    [sym_satisfies_expression] = STATE(2130),
    [sym_instantiation_expression] = STATE(2130),
    [sym_internal_module] = STATE(2130),
    [sym_type_arguments] = STATE(427),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4499),
    [sym_identifier] = ACTIONS(1475),
    [anon_sym_export] = ACTIONS(1443),
    [anon_sym_type] = ACTIONS(1443),
    [anon_sym_namespace] = ACTIONS(1445),
    [anon_sym_LBRACE] = ACTIONS(670),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(674),
    [anon_sym_let] = ACTIONS(1443),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(681),
    [anon_sym_async] = ACTIONS(1449),
    [anon_sym_function] = ACTIONS(685),
    [anon_sym_new] = ACTIONS(1479),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1443),
    [anon_sym_readonly] = ACTIONS(1443),
    [anon_sym_get] = ACTIONS(1443),
    [anon_sym_set] = ACTIONS(1443),
    [anon_sym_declare] = ACTIONS(1443),
    [anon_sym_public] = ACTIONS(1443),
    [anon_sym_private] = ACTIONS(1443),
    [anon_sym_protected] = ACTIONS(1443),
    [anon_sym_override] = ACTIONS(1443),
    [anon_sym_module] = ACTIONS(1443),
    [anon_sym_any] = ACTIONS(1443),
    [anon_sym_number] = ACTIONS(1443),
    [anon_sym_boolean] = ACTIONS(1443),
    [anon_sym_string] = ACTIONS(1443),
    [anon_sym_symbol] = ACTIONS(1443),
    [anon_sym_object] = ACTIONS(1443),
    [sym_html_comment] = ACTIONS(5),
  },
  [416] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1381),
    [sym_expression] = STATE(1959),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5574),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5574),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5865),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1381),
    [sym_subscript_expression] = STATE(1381),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(3033),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5574),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1381),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(635),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(1489),
    [anon_sym_export] = ACTIONS(1275),
    [anon_sym_type] = ACTIONS(1275),
    [anon_sym_namespace] = ACTIONS(1277),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(763),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1275),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(743),
    [anon_sym_yield] = ACTIONS(745),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1285),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1493),
    [anon_sym_using] = ACTIONS(753),
    [anon_sym_PLUS] = ACTIONS(763),
    [anon_sym_DASH] = ACTIONS(763),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(739),
    [anon_sym_void] = ACTIONS(763),
    [anon_sym_delete] = ACTIONS(763),
    [anon_sym_PLUS_PLUS] = ACTIONS(765),
    [anon_sym_DASH_DASH] = ACTIONS(765),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(771),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1495),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1275),
    [anon_sym_readonly] = ACTIONS(1275),
    [anon_sym_get] = ACTIONS(1275),
    [anon_sym_set] = ACTIONS(1275),
    [anon_sym_declare] = ACTIONS(1275),
    [anon_sym_public] = ACTIONS(1275),
    [anon_sym_private] = ACTIONS(1275),
    [anon_sym_protected] = ACTIONS(1275),
    [anon_sym_override] = ACTIONS(1275),
    [anon_sym_module] = ACTIONS(1275),
    [anon_sym_any] = ACTIONS(1275),
    [anon_sym_number] = ACTIONS(1275),
    [anon_sym_boolean] = ACTIONS(1275),
    [anon_sym_string] = ACTIONS(1275),
    [anon_sym_symbol] = ACTIONS(1275),
    [anon_sym_object] = ACTIONS(1275),
    [sym_html_comment] = ACTIONS(5),
  },
  [417] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1381),
    [sym_expression] = STATE(1960),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5574),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5574),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5865),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1381),
    [sym_subscript_expression] = STATE(1381),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(3033),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5574),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1381),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(635),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(1489),
    [anon_sym_export] = ACTIONS(1275),
    [anon_sym_type] = ACTIONS(1275),
    [anon_sym_namespace] = ACTIONS(1277),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(763),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1275),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(743),
    [anon_sym_yield] = ACTIONS(745),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1285),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1493),
    [anon_sym_using] = ACTIONS(753),
    [anon_sym_PLUS] = ACTIONS(763),
    [anon_sym_DASH] = ACTIONS(763),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(739),
    [anon_sym_void] = ACTIONS(763),
    [anon_sym_delete] = ACTIONS(763),
    [anon_sym_PLUS_PLUS] = ACTIONS(765),
    [anon_sym_DASH_DASH] = ACTIONS(765),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(771),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1495),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1275),
    [anon_sym_readonly] = ACTIONS(1275),
    [anon_sym_get] = ACTIONS(1275),
    [anon_sym_set] = ACTIONS(1275),
    [anon_sym_declare] = ACTIONS(1275),
    [anon_sym_public] = ACTIONS(1275),
    [anon_sym_private] = ACTIONS(1275),
    [anon_sym_protected] = ACTIONS(1275),
    [anon_sym_override] = ACTIONS(1275),
    [anon_sym_module] = ACTIONS(1275),
    [anon_sym_any] = ACTIONS(1275),
    [anon_sym_number] = ACTIONS(1275),
    [anon_sym_boolean] = ACTIONS(1275),
    [anon_sym_string] = ACTIONS(1275),
    [anon_sym_symbol] = ACTIONS(1275),
    [anon_sym_object] = ACTIONS(1275),
    [sym_html_comment] = ACTIONS(5),
  },
  [418] = {
    [sym_import] = STATE(3513),
    [sym_parenthesized_expression] = STATE(1353),
    [sym_expression] = STATE(1945),
    [sym_primary_expression] = STATE(1833),
    [sym_yield_expression] = STATE(2130),
    [sym_object] = STATE(2117),
    [sym_object_pattern] = STATE(5484),
    [sym_array] = STATE(2117),
    [sym_array_pattern] = STATE(5484),
    [sym_glimmer_template] = STATE(2130),
    [sym_class] = STATE(2117),
    [sym_function_expression] = STATE(2117),
    [sym_generator_function] = STATE(2117),
    [sym_arrow_function] = STATE(2117),
    [sym__call_signature] = STATE(5525),
    [sym_call_expression] = STATE(2117),
    [sym_new_expression] = STATE(1963),
    [sym_await_expression] = STATE(2130),
    [sym_member_expression] = STATE(1353),
    [sym_subscript_expression] = STATE(1353),
    [sym_assignment_expression] = STATE(2130),
    [sym__augmented_assignment_lhs] = STATE(3036),
    [sym_augmented_assignment_expression] = STATE(2130),
    [sym__destructuring_pattern] = STATE(5484),
    [sym_ternary_expression] = STATE(2130),
    [sym_binary_expression] = STATE(2130),
    [sym_unary_expression] = STATE(2130),
    [sym_update_expression] = STATE(2130),
    [sym_string] = STATE(2117),
    [sym_template_string] = STATE(2117),
    [sym_regex] = STATE(2117),
    [sym_meta_property] = STATE(2117),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1353),
    [sym_type_assertion] = STATE(2130),
    [sym_as_expression] = STATE(2130),
    [sym_satisfies_expression] = STATE(2130),
    [sym_instantiation_expression] = STATE(2130),
    [sym_internal_module] = STATE(2130),
    [sym_type_arguments] = STATE(427),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4499),
    [sym_identifier] = ACTIONS(1475),
    [anon_sym_export] = ACTIONS(1443),
    [anon_sym_type] = ACTIONS(1443),
    [anon_sym_namespace] = ACTIONS(1445),
    [anon_sym_LBRACE] = ACTIONS(670),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(674),
    [anon_sym_let] = ACTIONS(1443),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(681),
    [anon_sym_async] = ACTIONS(1449),
    [anon_sym_function] = ACTIONS(685),
    [anon_sym_new] = ACTIONS(1479),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1443),
    [anon_sym_readonly] = ACTIONS(1443),
    [anon_sym_get] = ACTIONS(1443),
    [anon_sym_set] = ACTIONS(1443),
    [anon_sym_declare] = ACTIONS(1443),
    [anon_sym_public] = ACTIONS(1443),
    [anon_sym_private] = ACTIONS(1443),
    [anon_sym_protected] = ACTIONS(1443),
    [anon_sym_override] = ACTIONS(1443),
    [anon_sym_module] = ACTIONS(1443),
    [anon_sym_any] = ACTIONS(1443),
    [anon_sym_number] = ACTIONS(1443),
    [anon_sym_boolean] = ACTIONS(1443),
    [anon_sym_string] = ACTIONS(1443),
    [anon_sym_symbol] = ACTIONS(1443),
    [anon_sym_object] = ACTIONS(1443),
    [sym_html_comment] = ACTIONS(5),
  },
  [419] = {
    [sym_import] = STATE(3513),
    [sym_parenthesized_expression] = STATE(1353),
    [sym_expression] = STATE(1826),
    [sym_primary_expression] = STATE(1833),
    [sym_yield_expression] = STATE(2130),
    [sym_object] = STATE(2117),
    [sym_object_pattern] = STATE(5484),
    [sym_array] = STATE(2117),
    [sym_array_pattern] = STATE(5484),
    [sym_glimmer_template] = STATE(2130),
    [sym_class] = STATE(2117),
    [sym_function_expression] = STATE(2117),
    [sym_generator_function] = STATE(2117),
    [sym_arrow_function] = STATE(2117),
    [sym__call_signature] = STATE(5525),
    [sym_call_expression] = STATE(2117),
    [sym_new_expression] = STATE(1963),
    [sym_await_expression] = STATE(2130),
    [sym_member_expression] = STATE(1353),
    [sym_subscript_expression] = STATE(1353),
    [sym_assignment_expression] = STATE(2130),
    [sym__augmented_assignment_lhs] = STATE(3036),
    [sym_augmented_assignment_expression] = STATE(2130),
    [sym__destructuring_pattern] = STATE(5484),
    [sym_ternary_expression] = STATE(2130),
    [sym_binary_expression] = STATE(2130),
    [sym_unary_expression] = STATE(2130),
    [sym_update_expression] = STATE(2130),
    [sym_string] = STATE(2117),
    [sym_template_string] = STATE(2117),
    [sym_regex] = STATE(2117),
    [sym_meta_property] = STATE(2117),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1353),
    [sym_type_assertion] = STATE(2130),
    [sym_as_expression] = STATE(2130),
    [sym_satisfies_expression] = STATE(2130),
    [sym_instantiation_expression] = STATE(2130),
    [sym_internal_module] = STATE(2130),
    [sym_type_arguments] = STATE(427),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4499),
    [sym_identifier] = ACTIONS(1475),
    [anon_sym_export] = ACTIONS(1443),
    [anon_sym_type] = ACTIONS(1443),
    [anon_sym_namespace] = ACTIONS(1445),
    [anon_sym_LBRACE] = ACTIONS(670),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(674),
    [anon_sym_let] = ACTIONS(1443),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(681),
    [anon_sym_async] = ACTIONS(1449),
    [anon_sym_function] = ACTIONS(685),
    [anon_sym_new] = ACTIONS(1479),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(2132),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1443),
    [anon_sym_readonly] = ACTIONS(1443),
    [anon_sym_get] = ACTIONS(1443),
    [anon_sym_set] = ACTIONS(1443),
    [anon_sym_declare] = ACTIONS(1443),
    [anon_sym_public] = ACTIONS(1443),
    [anon_sym_private] = ACTIONS(1443),
    [anon_sym_protected] = ACTIONS(1443),
    [anon_sym_override] = ACTIONS(1443),
    [anon_sym_module] = ACTIONS(1443),
    [anon_sym_any] = ACTIONS(1443),
    [anon_sym_number] = ACTIONS(1443),
    [anon_sym_boolean] = ACTIONS(1443),
    [anon_sym_string] = ACTIONS(1443),
    [anon_sym_symbol] = ACTIONS(1443),
    [anon_sym_object] = ACTIONS(1443),
    [sym_html_comment] = ACTIONS(5),
  },
  [420] = {
    [sym_import] = STATE(3513),
    [sym_parenthesized_expression] = STATE(1353),
    [sym_expression] = STATE(1946),
    [sym_primary_expression] = STATE(1833),
    [sym_yield_expression] = STATE(2130),
    [sym_object] = STATE(2117),
    [sym_object_pattern] = STATE(5484),
    [sym_array] = STATE(2117),
    [sym_array_pattern] = STATE(5484),
    [sym_glimmer_template] = STATE(2130),
    [sym_class] = STATE(2117),
    [sym_function_expression] = STATE(2117),
    [sym_generator_function] = STATE(2117),
    [sym_arrow_function] = STATE(2117),
    [sym__call_signature] = STATE(5525),
    [sym_call_expression] = STATE(2117),
    [sym_new_expression] = STATE(1963),
    [sym_await_expression] = STATE(2130),
    [sym_member_expression] = STATE(1353),
    [sym_subscript_expression] = STATE(1353),
    [sym_assignment_expression] = STATE(2130),
    [sym__augmented_assignment_lhs] = STATE(3036),
    [sym_augmented_assignment_expression] = STATE(2130),
    [sym__destructuring_pattern] = STATE(5484),
    [sym_ternary_expression] = STATE(2130),
    [sym_binary_expression] = STATE(2130),
    [sym_unary_expression] = STATE(2130),
    [sym_update_expression] = STATE(2130),
    [sym_string] = STATE(2117),
    [sym_template_string] = STATE(2117),
    [sym_regex] = STATE(2117),
    [sym_meta_property] = STATE(2117),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1353),
    [sym_type_assertion] = STATE(2130),
    [sym_as_expression] = STATE(2130),
    [sym_satisfies_expression] = STATE(2130),
    [sym_instantiation_expression] = STATE(2130),
    [sym_internal_module] = STATE(2130),
    [sym_type_arguments] = STATE(427),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4499),
    [sym_identifier] = ACTIONS(1475),
    [anon_sym_export] = ACTIONS(1443),
    [anon_sym_type] = ACTIONS(1443),
    [anon_sym_namespace] = ACTIONS(1445),
    [anon_sym_LBRACE] = ACTIONS(670),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(674),
    [anon_sym_let] = ACTIONS(1443),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(681),
    [anon_sym_async] = ACTIONS(1449),
    [anon_sym_function] = ACTIONS(685),
    [anon_sym_new] = ACTIONS(1479),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1443),
    [anon_sym_readonly] = ACTIONS(1443),
    [anon_sym_get] = ACTIONS(1443),
    [anon_sym_set] = ACTIONS(1443),
    [anon_sym_declare] = ACTIONS(1443),
    [anon_sym_public] = ACTIONS(1443),
    [anon_sym_private] = ACTIONS(1443),
    [anon_sym_protected] = ACTIONS(1443),
    [anon_sym_override] = ACTIONS(1443),
    [anon_sym_module] = ACTIONS(1443),
    [anon_sym_any] = ACTIONS(1443),
    [anon_sym_number] = ACTIONS(1443),
    [anon_sym_boolean] = ACTIONS(1443),
    [anon_sym_string] = ACTIONS(1443),
    [anon_sym_symbol] = ACTIONS(1443),
    [anon_sym_object] = ACTIONS(1443),
    [sym_html_comment] = ACTIONS(5),
  },
  [421] = {
    [sym_import] = STATE(3513),
    [sym_parenthesized_expression] = STATE(1353),
    [sym_expression] = STATE(1947),
    [sym_primary_expression] = STATE(1833),
    [sym_yield_expression] = STATE(2130),
    [sym_object] = STATE(2117),
    [sym_object_pattern] = STATE(5484),
    [sym_array] = STATE(2117),
    [sym_array_pattern] = STATE(5484),
    [sym_glimmer_template] = STATE(2130),
    [sym_class] = STATE(2117),
    [sym_function_expression] = STATE(2117),
    [sym_generator_function] = STATE(2117),
    [sym_arrow_function] = STATE(2117),
    [sym__call_signature] = STATE(5525),
    [sym_call_expression] = STATE(2117),
    [sym_new_expression] = STATE(1963),
    [sym_await_expression] = STATE(2130),
    [sym_member_expression] = STATE(1353),
    [sym_subscript_expression] = STATE(1353),
    [sym_assignment_expression] = STATE(2130),
    [sym__augmented_assignment_lhs] = STATE(3036),
    [sym_augmented_assignment_expression] = STATE(2130),
    [sym__destructuring_pattern] = STATE(5484),
    [sym_ternary_expression] = STATE(2130),
    [sym_binary_expression] = STATE(2130),
    [sym_unary_expression] = STATE(2130),
    [sym_update_expression] = STATE(2130),
    [sym_string] = STATE(2117),
    [sym_template_string] = STATE(2117),
    [sym_regex] = STATE(2117),
    [sym_meta_property] = STATE(2117),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1353),
    [sym_type_assertion] = STATE(2130),
    [sym_as_expression] = STATE(2130),
    [sym_satisfies_expression] = STATE(2130),
    [sym_instantiation_expression] = STATE(2130),
    [sym_internal_module] = STATE(2130),
    [sym_type_arguments] = STATE(427),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4499),
    [sym_identifier] = ACTIONS(1475),
    [anon_sym_export] = ACTIONS(1443),
    [anon_sym_type] = ACTIONS(1443),
    [anon_sym_namespace] = ACTIONS(1445),
    [anon_sym_LBRACE] = ACTIONS(670),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(674),
    [anon_sym_let] = ACTIONS(1443),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(681),
    [anon_sym_async] = ACTIONS(1449),
    [anon_sym_function] = ACTIONS(685),
    [anon_sym_new] = ACTIONS(1479),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1443),
    [anon_sym_readonly] = ACTIONS(1443),
    [anon_sym_get] = ACTIONS(1443),
    [anon_sym_set] = ACTIONS(1443),
    [anon_sym_declare] = ACTIONS(1443),
    [anon_sym_public] = ACTIONS(1443),
    [anon_sym_private] = ACTIONS(1443),
    [anon_sym_protected] = ACTIONS(1443),
    [anon_sym_override] = ACTIONS(1443),
    [anon_sym_module] = ACTIONS(1443),
    [anon_sym_any] = ACTIONS(1443),
    [anon_sym_number] = ACTIONS(1443),
    [anon_sym_boolean] = ACTIONS(1443),
    [anon_sym_string] = ACTIONS(1443),
    [anon_sym_symbol] = ACTIONS(1443),
    [anon_sym_object] = ACTIONS(1443),
    [sym_html_comment] = ACTIONS(5),
  },
  [422] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1381),
    [sym_expression] = STATE(2040),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5574),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5574),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5865),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1381),
    [sym_subscript_expression] = STATE(1381),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(3033),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5574),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1381),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(635),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(1489),
    [anon_sym_export] = ACTIONS(1275),
    [anon_sym_type] = ACTIONS(1275),
    [anon_sym_namespace] = ACTIONS(1277),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(763),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1275),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(743),
    [anon_sym_yield] = ACTIONS(745),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1285),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1493),
    [anon_sym_using] = ACTIONS(753),
    [anon_sym_PLUS] = ACTIONS(763),
    [anon_sym_DASH] = ACTIONS(763),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(739),
    [anon_sym_void] = ACTIONS(763),
    [anon_sym_delete] = ACTIONS(763),
    [anon_sym_PLUS_PLUS] = ACTIONS(765),
    [anon_sym_DASH_DASH] = ACTIONS(765),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(771),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1495),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1275),
    [anon_sym_readonly] = ACTIONS(1275),
    [anon_sym_get] = ACTIONS(1275),
    [anon_sym_set] = ACTIONS(1275),
    [anon_sym_declare] = ACTIONS(1275),
    [anon_sym_public] = ACTIONS(1275),
    [anon_sym_private] = ACTIONS(1275),
    [anon_sym_protected] = ACTIONS(1275),
    [anon_sym_override] = ACTIONS(1275),
    [anon_sym_module] = ACTIONS(1275),
    [anon_sym_any] = ACTIONS(1275),
    [anon_sym_number] = ACTIONS(1275),
    [anon_sym_boolean] = ACTIONS(1275),
    [anon_sym_string] = ACTIONS(1275),
    [anon_sym_symbol] = ACTIONS(1275),
    [anon_sym_object] = ACTIONS(1275),
    [sym_html_comment] = ACTIONS(5),
  },
  [423] = {
    [sym_import] = STATE(3513),
    [sym_parenthesized_expression] = STATE(1353),
    [sym_expression] = STATE(2170),
    [sym_primary_expression] = STATE(1833),
    [sym_yield_expression] = STATE(2130),
    [sym_object] = STATE(2117),
    [sym_object_pattern] = STATE(5484),
    [sym_array] = STATE(2117),
    [sym_array_pattern] = STATE(5484),
    [sym_glimmer_template] = STATE(2130),
    [sym_class] = STATE(2117),
    [sym_function_expression] = STATE(2117),
    [sym_generator_function] = STATE(2117),
    [sym_arrow_function] = STATE(2117),
    [sym__call_signature] = STATE(5525),
    [sym_call_expression] = STATE(2117),
    [sym_new_expression] = STATE(1963),
    [sym_await_expression] = STATE(2130),
    [sym_member_expression] = STATE(1353),
    [sym_subscript_expression] = STATE(1353),
    [sym_assignment_expression] = STATE(2130),
    [sym__augmented_assignment_lhs] = STATE(3036),
    [sym_augmented_assignment_expression] = STATE(2130),
    [sym__destructuring_pattern] = STATE(5484),
    [sym_ternary_expression] = STATE(2130),
    [sym_binary_expression] = STATE(2130),
    [sym_unary_expression] = STATE(2130),
    [sym_update_expression] = STATE(2130),
    [sym_string] = STATE(2117),
    [sym_template_string] = STATE(2117),
    [sym_regex] = STATE(2117),
    [sym_meta_property] = STATE(2117),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1353),
    [sym_type_assertion] = STATE(2130),
    [sym_as_expression] = STATE(2130),
    [sym_satisfies_expression] = STATE(2130),
    [sym_instantiation_expression] = STATE(2130),
    [sym_internal_module] = STATE(2130),
    [sym_type_arguments] = STATE(427),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4499),
    [sym_identifier] = ACTIONS(1475),
    [anon_sym_export] = ACTIONS(1443),
    [anon_sym_type] = ACTIONS(1443),
    [anon_sym_namespace] = ACTIONS(1445),
    [anon_sym_LBRACE] = ACTIONS(670),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(674),
    [anon_sym_let] = ACTIONS(1443),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(681),
    [anon_sym_async] = ACTIONS(1449),
    [anon_sym_function] = ACTIONS(685),
    [anon_sym_new] = ACTIONS(1479),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1443),
    [anon_sym_readonly] = ACTIONS(1443),
    [anon_sym_get] = ACTIONS(1443),
    [anon_sym_set] = ACTIONS(1443),
    [anon_sym_declare] = ACTIONS(1443),
    [anon_sym_public] = ACTIONS(1443),
    [anon_sym_private] = ACTIONS(1443),
    [anon_sym_protected] = ACTIONS(1443),
    [anon_sym_override] = ACTIONS(1443),
    [anon_sym_module] = ACTIONS(1443),
    [anon_sym_any] = ACTIONS(1443),
    [anon_sym_number] = ACTIONS(1443),
    [anon_sym_boolean] = ACTIONS(1443),
    [anon_sym_string] = ACTIONS(1443),
    [anon_sym_symbol] = ACTIONS(1443),
    [anon_sym_object] = ACTIONS(1443),
    [sym_html_comment] = ACTIONS(5),
  },
  [424] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1381),
    [sym_expression] = STATE(1924),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5574),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5574),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5865),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1381),
    [sym_subscript_expression] = STATE(1381),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(3033),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5574),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1381),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(635),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(1489),
    [anon_sym_export] = ACTIONS(1275),
    [anon_sym_type] = ACTIONS(1275),
    [anon_sym_namespace] = ACTIONS(1277),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(763),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1275),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(743),
    [anon_sym_yield] = ACTIONS(745),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1285),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1493),
    [anon_sym_using] = ACTIONS(753),
    [anon_sym_PLUS] = ACTIONS(763),
    [anon_sym_DASH] = ACTIONS(763),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(739),
    [anon_sym_void] = ACTIONS(763),
    [anon_sym_delete] = ACTIONS(763),
    [anon_sym_PLUS_PLUS] = ACTIONS(765),
    [anon_sym_DASH_DASH] = ACTIONS(765),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(771),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1495),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1275),
    [anon_sym_readonly] = ACTIONS(1275),
    [anon_sym_get] = ACTIONS(1275),
    [anon_sym_set] = ACTIONS(1275),
    [anon_sym_declare] = ACTIONS(1275),
    [anon_sym_public] = ACTIONS(1275),
    [anon_sym_private] = ACTIONS(1275),
    [anon_sym_protected] = ACTIONS(1275),
    [anon_sym_override] = ACTIONS(1275),
    [anon_sym_module] = ACTIONS(1275),
    [anon_sym_any] = ACTIONS(1275),
    [anon_sym_number] = ACTIONS(1275),
    [anon_sym_boolean] = ACTIONS(1275),
    [anon_sym_string] = ACTIONS(1275),
    [anon_sym_symbol] = ACTIONS(1275),
    [anon_sym_object] = ACTIONS(1275),
    [sym_html_comment] = ACTIONS(5),
  },
  [425] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1381),
    [sym_expression] = STATE(1889),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5574),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5574),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5865),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1381),
    [sym_subscript_expression] = STATE(1381),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(3033),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5574),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1381),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(635),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(1489),
    [anon_sym_export] = ACTIONS(1275),
    [anon_sym_type] = ACTIONS(1275),
    [anon_sym_namespace] = ACTIONS(1277),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(763),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1275),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(743),
    [anon_sym_yield] = ACTIONS(745),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1285),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1493),
    [anon_sym_using] = ACTIONS(753),
    [anon_sym_PLUS] = ACTIONS(763),
    [anon_sym_DASH] = ACTIONS(763),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(739),
    [anon_sym_void] = ACTIONS(763),
    [anon_sym_delete] = ACTIONS(763),
    [anon_sym_PLUS_PLUS] = ACTIONS(765),
    [anon_sym_DASH_DASH] = ACTIONS(765),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(771),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1495),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1275),
    [anon_sym_readonly] = ACTIONS(1275),
    [anon_sym_get] = ACTIONS(1275),
    [anon_sym_set] = ACTIONS(1275),
    [anon_sym_declare] = ACTIONS(1275),
    [anon_sym_public] = ACTIONS(1275),
    [anon_sym_private] = ACTIONS(1275),
    [anon_sym_protected] = ACTIONS(1275),
    [anon_sym_override] = ACTIONS(1275),
    [anon_sym_module] = ACTIONS(1275),
    [anon_sym_any] = ACTIONS(1275),
    [anon_sym_number] = ACTIONS(1275),
    [anon_sym_boolean] = ACTIONS(1275),
    [anon_sym_string] = ACTIONS(1275),
    [anon_sym_symbol] = ACTIONS(1275),
    [anon_sym_object] = ACTIONS(1275),
    [sym_html_comment] = ACTIONS(5),
  },
  [426] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1457),
    [sym_expression] = STATE(2596),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5827),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5827),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5728),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1457),
    [sym_subscript_expression] = STATE(1457),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(3001),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5827),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1457),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(591),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(1521),
    [anon_sym_export] = ACTIONS(1361),
    [anon_sym_type] = ACTIONS(1361),
    [anon_sym_namespace] = ACTIONS(1363),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(1383),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1361),
    [anon_sym_BANG] = ACTIONS(1367),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(1369),
    [anon_sym_yield] = ACTIONS(1371),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1373),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1525),
    [anon_sym_using] = ACTIONS(1377),
    [anon_sym_PLUS] = ACTIONS(1383),
    [anon_sym_DASH] = ACTIONS(1383),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1367),
    [anon_sym_void] = ACTIONS(1383),
    [anon_sym_delete] = ACTIONS(1383),
    [anon_sym_PLUS_PLUS] = ACTIONS(1385),
    [anon_sym_DASH_DASH] = ACTIONS(1385),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(1387),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1527),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1361),
    [anon_sym_readonly] = ACTIONS(1361),
    [anon_sym_get] = ACTIONS(1361),
    [anon_sym_set] = ACTIONS(1361),
    [anon_sym_declare] = ACTIONS(1361),
    [anon_sym_public] = ACTIONS(1361),
    [anon_sym_private] = ACTIONS(1361),
    [anon_sym_protected] = ACTIONS(1361),
    [anon_sym_override] = ACTIONS(1361),
    [anon_sym_module] = ACTIONS(1361),
    [anon_sym_any] = ACTIONS(1361),
    [anon_sym_number] = ACTIONS(1361),
    [anon_sym_boolean] = ACTIONS(1361),
    [anon_sym_string] = ACTIONS(1361),
    [anon_sym_symbol] = ACTIONS(1361),
    [anon_sym_object] = ACTIONS(1361),
    [sym_html_comment] = ACTIONS(5),
  },
  [427] = {
    [sym_import] = STATE(3513),
    [sym_parenthesized_expression] = STATE(1353),
    [sym_expression] = STATE(1836),
    [sym_primary_expression] = STATE(1833),
    [sym_yield_expression] = STATE(2130),
    [sym_object] = STATE(2117),
    [sym_object_pattern] = STATE(5484),
    [sym_array] = STATE(2117),
    [sym_array_pattern] = STATE(5484),
    [sym_glimmer_template] = STATE(2130),
    [sym_class] = STATE(2117),
    [sym_function_expression] = STATE(2117),
    [sym_generator_function] = STATE(2117),
    [sym_arrow_function] = STATE(2117),
    [sym__call_signature] = STATE(5525),
    [sym_call_expression] = STATE(2117),
    [sym_new_expression] = STATE(1963),
    [sym_await_expression] = STATE(2130),
    [sym_member_expression] = STATE(1353),
    [sym_subscript_expression] = STATE(1353),
    [sym_assignment_expression] = STATE(2130),
    [sym__augmented_assignment_lhs] = STATE(3036),
    [sym_augmented_assignment_expression] = STATE(2130),
    [sym__destructuring_pattern] = STATE(5484),
    [sym_ternary_expression] = STATE(2130),
    [sym_binary_expression] = STATE(2130),
    [sym_unary_expression] = STATE(2130),
    [sym_update_expression] = STATE(2130),
    [sym_string] = STATE(2117),
    [sym_template_string] = STATE(2117),
    [sym_regex] = STATE(2117),
    [sym_meta_property] = STATE(2117),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1353),
    [sym_type_assertion] = STATE(2130),
    [sym_as_expression] = STATE(2130),
    [sym_satisfies_expression] = STATE(2130),
    [sym_instantiation_expression] = STATE(2130),
    [sym_internal_module] = STATE(2130),
    [sym_type_arguments] = STATE(427),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4499),
    [sym_identifier] = ACTIONS(1475),
    [anon_sym_export] = ACTIONS(1443),
    [anon_sym_type] = ACTIONS(1443),
    [anon_sym_namespace] = ACTIONS(1445),
    [anon_sym_LBRACE] = ACTIONS(670),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(674),
    [anon_sym_let] = ACTIONS(1443),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(681),
    [anon_sym_async] = ACTIONS(1449),
    [anon_sym_function] = ACTIONS(685),
    [anon_sym_new] = ACTIONS(1479),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1443),
    [anon_sym_readonly] = ACTIONS(1443),
    [anon_sym_get] = ACTIONS(1443),
    [anon_sym_set] = ACTIONS(1443),
    [anon_sym_declare] = ACTIONS(1443),
    [anon_sym_public] = ACTIONS(1443),
    [anon_sym_private] = ACTIONS(1443),
    [anon_sym_protected] = ACTIONS(1443),
    [anon_sym_override] = ACTIONS(1443),
    [anon_sym_module] = ACTIONS(1443),
    [anon_sym_any] = ACTIONS(1443),
    [anon_sym_number] = ACTIONS(1443),
    [anon_sym_boolean] = ACTIONS(1443),
    [anon_sym_string] = ACTIONS(1443),
    [anon_sym_symbol] = ACTIONS(1443),
    [anon_sym_object] = ACTIONS(1443),
    [sym_html_comment] = ACTIONS(5),
  },
  [428] = {
    [sym_import] = STATE(3513),
    [sym_parenthesized_expression] = STATE(1364),
    [sym_expression] = STATE(1896),
    [sym_primary_expression] = STATE(1833),
    [sym_yield_expression] = STATE(2130),
    [sym_object] = STATE(2117),
    [sym_object_pattern] = STATE(5785),
    [sym_array] = STATE(2117),
    [sym_array_pattern] = STATE(5785),
    [sym_glimmer_template] = STATE(2130),
    [sym_class] = STATE(2117),
    [sym_function_expression] = STATE(2117),
    [sym_generator_function] = STATE(2117),
    [sym_arrow_function] = STATE(2117),
    [sym__call_signature] = STATE(5783),
    [sym_call_expression] = STATE(2117),
    [sym_new_expression] = STATE(1963),
    [sym_await_expression] = STATE(2130),
    [sym_member_expression] = STATE(1364),
    [sym_subscript_expression] = STATE(1364),
    [sym_assignment_expression] = STATE(2130),
    [sym__augmented_assignment_lhs] = STATE(3037),
    [sym_augmented_assignment_expression] = STATE(2130),
    [sym__destructuring_pattern] = STATE(5785),
    [sym_ternary_expression] = STATE(2130),
    [sym_binary_expression] = STATE(2130),
    [sym_unary_expression] = STATE(2130),
    [sym_update_expression] = STATE(2130),
    [sym_string] = STATE(2117),
    [sym_template_string] = STATE(2117),
    [sym_regex] = STATE(2117),
    [sym_meta_property] = STATE(2117),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1364),
    [sym_type_assertion] = STATE(2130),
    [sym_as_expression] = STATE(2130),
    [sym_satisfies_expression] = STATE(2130),
    [sym_instantiation_expression] = STATE(2130),
    [sym_internal_module] = STATE(2130),
    [sym_type_arguments] = STATE(511),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4499),
    [sym_identifier] = ACTIONS(1481),
    [anon_sym_export] = ACTIONS(1227),
    [anon_sym_type] = ACTIONS(1227),
    [anon_sym_namespace] = ACTIONS(1229),
    [anon_sym_LBRACE] = ACTIONS(670),
    [anon_sym_typeof] = ACTIONS(1253),
    [anon_sym_import] = ACTIONS(674),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_BANG] = ACTIONS(1235),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1237),
    [anon_sym_yield] = ACTIONS(1239),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(681),
    [anon_sym_async] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(685),
    [anon_sym_new] = ACTIONS(1485),
    [anon_sym_using] = ACTIONS(1247),
    [anon_sym_PLUS] = ACTIONS(1253),
    [anon_sym_DASH] = ACTIONS(1253),
    [anon_sym_SLASH] = ACTIONS(885),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1235),
    [anon_sym_void] = ACTIONS(1253),
    [anon_sym_delete] = ACTIONS(1253),
    [anon_sym_PLUS_PLUS] = ACTIONS(1255),
    [anon_sym_DASH_DASH] = ACTIONS(1255),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1261),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1487),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1227),
    [anon_sym_readonly] = ACTIONS(1227),
    [anon_sym_get] = ACTIONS(1227),
    [anon_sym_set] = ACTIONS(1227),
    [anon_sym_declare] = ACTIONS(1227),
    [anon_sym_public] = ACTIONS(1227),
    [anon_sym_private] = ACTIONS(1227),
    [anon_sym_protected] = ACTIONS(1227),
    [anon_sym_override] = ACTIONS(1227),
    [anon_sym_module] = ACTIONS(1227),
    [anon_sym_any] = ACTIONS(1227),
    [anon_sym_number] = ACTIONS(1227),
    [anon_sym_boolean] = ACTIONS(1227),
    [anon_sym_string] = ACTIONS(1227),
    [anon_sym_symbol] = ACTIONS(1227),
    [anon_sym_object] = ACTIONS(1227),
    [sym_html_comment] = ACTIONS(5),
  },
  [429] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1381),
    [sym_expression] = STATE(1924),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5574),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5574),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5865),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1381),
    [sym_subscript_expression] = STATE(1381),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(3033),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5574),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1381),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(635),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(1489),
    [anon_sym_export] = ACTIONS(1275),
    [anon_sym_type] = ACTIONS(1275),
    [anon_sym_namespace] = ACTIONS(1277),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(763),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1275),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(743),
    [anon_sym_yield] = ACTIONS(745),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1285),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1493),
    [anon_sym_using] = ACTIONS(753),
    [anon_sym_PLUS] = ACTIONS(763),
    [anon_sym_DASH] = ACTIONS(763),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(739),
    [anon_sym_void] = ACTIONS(763),
    [anon_sym_delete] = ACTIONS(763),
    [anon_sym_PLUS_PLUS] = ACTIONS(765),
    [anon_sym_DASH_DASH] = ACTIONS(765),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(2134),
    [sym_private_property_identifier] = ACTIONS(771),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1495),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1275),
    [anon_sym_readonly] = ACTIONS(1275),
    [anon_sym_get] = ACTIONS(1275),
    [anon_sym_set] = ACTIONS(1275),
    [anon_sym_declare] = ACTIONS(1275),
    [anon_sym_public] = ACTIONS(1275),
    [anon_sym_private] = ACTIONS(1275),
    [anon_sym_protected] = ACTIONS(1275),
    [anon_sym_override] = ACTIONS(1275),
    [anon_sym_module] = ACTIONS(1275),
    [anon_sym_any] = ACTIONS(1275),
    [anon_sym_number] = ACTIONS(1275),
    [anon_sym_boolean] = ACTIONS(1275),
    [anon_sym_string] = ACTIONS(1275),
    [anon_sym_symbol] = ACTIONS(1275),
    [anon_sym_object] = ACTIONS(1275),
    [sym_html_comment] = ACTIONS(5),
  },
  [430] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1324),
    [sym_expression] = STATE(2187),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5710),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5710),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5565),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1324),
    [sym_subscript_expression] = STATE(1324),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(2958),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5710),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1324),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(482),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(1463),
    [anon_sym_export] = ACTIONS(1055),
    [anon_sym_type] = ACTIONS(1055),
    [anon_sym_namespace] = ACTIONS(1057),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(620),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1055),
    [anon_sym_BANG] = ACTIONS(592),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(594),
    [anon_sym_yield] = ACTIONS(596),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1065),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1471),
    [anon_sym_using] = ACTIONS(606),
    [anon_sym_PLUS] = ACTIONS(620),
    [anon_sym_DASH] = ACTIONS(620),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(592),
    [anon_sym_void] = ACTIONS(620),
    [anon_sym_delete] = ACTIONS(620),
    [anon_sym_PLUS_PLUS] = ACTIONS(622),
    [anon_sym_DASH_DASH] = ACTIONS(622),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(624),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1473),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1055),
    [anon_sym_readonly] = ACTIONS(1055),
    [anon_sym_get] = ACTIONS(1055),
    [anon_sym_set] = ACTIONS(1055),
    [anon_sym_declare] = ACTIONS(1055),
    [anon_sym_public] = ACTIONS(1055),
    [anon_sym_private] = ACTIONS(1055),
    [anon_sym_protected] = ACTIONS(1055),
    [anon_sym_override] = ACTIONS(1055),
    [anon_sym_module] = ACTIONS(1055),
    [anon_sym_any] = ACTIONS(1055),
    [anon_sym_number] = ACTIONS(1055),
    [anon_sym_boolean] = ACTIONS(1055),
    [anon_sym_string] = ACTIONS(1055),
    [anon_sym_symbol] = ACTIONS(1055),
    [anon_sym_object] = ACTIONS(1055),
    [sym_html_comment] = ACTIONS(5),
  },
  [431] = {
    [sym_import] = STATE(3513),
    [sym_parenthesized_expression] = STATE(1353),
    [sym_expression] = STATE(1802),
    [sym_primary_expression] = STATE(1833),
    [sym_yield_expression] = STATE(2130),
    [sym_object] = STATE(2117),
    [sym_object_pattern] = STATE(5484),
    [sym_array] = STATE(2117),
    [sym_array_pattern] = STATE(5484),
    [sym_glimmer_template] = STATE(2130),
    [sym_class] = STATE(2117),
    [sym_function_expression] = STATE(2117),
    [sym_generator_function] = STATE(2117),
    [sym_arrow_function] = STATE(2117),
    [sym__call_signature] = STATE(5525),
    [sym_call_expression] = STATE(2117),
    [sym_new_expression] = STATE(1963),
    [sym_await_expression] = STATE(2130),
    [sym_member_expression] = STATE(1353),
    [sym_subscript_expression] = STATE(1353),
    [sym_assignment_expression] = STATE(2130),
    [sym__augmented_assignment_lhs] = STATE(3036),
    [sym_augmented_assignment_expression] = STATE(2130),
    [sym__destructuring_pattern] = STATE(5484),
    [sym_ternary_expression] = STATE(2130),
    [sym_binary_expression] = STATE(2130),
    [sym_unary_expression] = STATE(2130),
    [sym_update_expression] = STATE(2130),
    [sym_string] = STATE(2117),
    [sym_template_string] = STATE(2117),
    [sym_regex] = STATE(2117),
    [sym_meta_property] = STATE(2117),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1353),
    [sym_type_assertion] = STATE(2130),
    [sym_as_expression] = STATE(2130),
    [sym_satisfies_expression] = STATE(2130),
    [sym_instantiation_expression] = STATE(2130),
    [sym_internal_module] = STATE(2130),
    [sym_type_arguments] = STATE(427),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4499),
    [sym_identifier] = ACTIONS(1475),
    [anon_sym_export] = ACTIONS(1443),
    [anon_sym_type] = ACTIONS(1443),
    [anon_sym_namespace] = ACTIONS(1445),
    [anon_sym_LBRACE] = ACTIONS(670),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(674),
    [anon_sym_let] = ACTIONS(1443),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(681),
    [anon_sym_async] = ACTIONS(1449),
    [anon_sym_function] = ACTIONS(685),
    [anon_sym_new] = ACTIONS(1479),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1443),
    [anon_sym_readonly] = ACTIONS(1443),
    [anon_sym_get] = ACTIONS(1443),
    [anon_sym_set] = ACTIONS(1443),
    [anon_sym_declare] = ACTIONS(1443),
    [anon_sym_public] = ACTIONS(1443),
    [anon_sym_private] = ACTIONS(1443),
    [anon_sym_protected] = ACTIONS(1443),
    [anon_sym_override] = ACTIONS(1443),
    [anon_sym_module] = ACTIONS(1443),
    [anon_sym_any] = ACTIONS(1443),
    [anon_sym_number] = ACTIONS(1443),
    [anon_sym_boolean] = ACTIONS(1443),
    [anon_sym_string] = ACTIONS(1443),
    [anon_sym_symbol] = ACTIONS(1443),
    [anon_sym_object] = ACTIONS(1443),
    [sym_html_comment] = ACTIONS(5),
  },
  [432] = {
    [sym_import] = STATE(3513),
    [sym_parenthesized_expression] = STATE(1353),
    [sym_expression] = STATE(2354),
    [sym_primary_expression] = STATE(1833),
    [sym_yield_expression] = STATE(2130),
    [sym_object] = STATE(2117),
    [sym_object_pattern] = STATE(5484),
    [sym_array] = STATE(2117),
    [sym_array_pattern] = STATE(5484),
    [sym_glimmer_template] = STATE(2130),
    [sym_class] = STATE(2117),
    [sym_function_expression] = STATE(2117),
    [sym_generator_function] = STATE(2117),
    [sym_arrow_function] = STATE(2117),
    [sym__call_signature] = STATE(5525),
    [sym_call_expression] = STATE(2117),
    [sym_new_expression] = STATE(1963),
    [sym_await_expression] = STATE(2130),
    [sym_member_expression] = STATE(1353),
    [sym_subscript_expression] = STATE(1353),
    [sym_assignment_expression] = STATE(2130),
    [sym__augmented_assignment_lhs] = STATE(3036),
    [sym_augmented_assignment_expression] = STATE(2130),
    [sym__destructuring_pattern] = STATE(5484),
    [sym_ternary_expression] = STATE(2130),
    [sym_binary_expression] = STATE(2130),
    [sym_unary_expression] = STATE(2130),
    [sym_update_expression] = STATE(2130),
    [sym_string] = STATE(2117),
    [sym_template_string] = STATE(2117),
    [sym_regex] = STATE(2117),
    [sym_meta_property] = STATE(2117),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1353),
    [sym_type_assertion] = STATE(2130),
    [sym_as_expression] = STATE(2130),
    [sym_satisfies_expression] = STATE(2130),
    [sym_instantiation_expression] = STATE(2130),
    [sym_internal_module] = STATE(2130),
    [sym_type_arguments] = STATE(427),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4499),
    [sym_identifier] = ACTIONS(1475),
    [anon_sym_export] = ACTIONS(1443),
    [anon_sym_type] = ACTIONS(1443),
    [anon_sym_namespace] = ACTIONS(1445),
    [anon_sym_LBRACE] = ACTIONS(670),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(674),
    [anon_sym_let] = ACTIONS(1443),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(681),
    [anon_sym_async] = ACTIONS(1449),
    [anon_sym_function] = ACTIONS(685),
    [anon_sym_new] = ACTIONS(1479),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1443),
    [anon_sym_readonly] = ACTIONS(1443),
    [anon_sym_get] = ACTIONS(1443),
    [anon_sym_set] = ACTIONS(1443),
    [anon_sym_declare] = ACTIONS(1443),
    [anon_sym_public] = ACTIONS(1443),
    [anon_sym_private] = ACTIONS(1443),
    [anon_sym_protected] = ACTIONS(1443),
    [anon_sym_override] = ACTIONS(1443),
    [anon_sym_module] = ACTIONS(1443),
    [anon_sym_any] = ACTIONS(1443),
    [anon_sym_number] = ACTIONS(1443),
    [anon_sym_boolean] = ACTIONS(1443),
    [anon_sym_string] = ACTIONS(1443),
    [anon_sym_symbol] = ACTIONS(1443),
    [anon_sym_object] = ACTIONS(1443),
    [sym_html_comment] = ACTIONS(5),
  },
  [433] = {
    [sym_import] = STATE(3513),
    [sym_parenthesized_expression] = STATE(1353),
    [sym_expression] = STATE(1820),
    [sym_primary_expression] = STATE(1833),
    [sym_yield_expression] = STATE(2130),
    [sym_object] = STATE(2117),
    [sym_object_pattern] = STATE(5484),
    [sym_array] = STATE(2117),
    [sym_array_pattern] = STATE(5484),
    [sym_glimmer_template] = STATE(2130),
    [sym_class] = STATE(2117),
    [sym_function_expression] = STATE(2117),
    [sym_generator_function] = STATE(2117),
    [sym_arrow_function] = STATE(2117),
    [sym__call_signature] = STATE(5525),
    [sym_call_expression] = STATE(2117),
    [sym_new_expression] = STATE(1963),
    [sym_await_expression] = STATE(2130),
    [sym_member_expression] = STATE(1353),
    [sym_subscript_expression] = STATE(1353),
    [sym_assignment_expression] = STATE(2130),
    [sym__augmented_assignment_lhs] = STATE(3036),
    [sym_augmented_assignment_expression] = STATE(2130),
    [sym__destructuring_pattern] = STATE(5484),
    [sym_ternary_expression] = STATE(2130),
    [sym_binary_expression] = STATE(2130),
    [sym_unary_expression] = STATE(2130),
    [sym_update_expression] = STATE(2130),
    [sym_string] = STATE(2117),
    [sym_template_string] = STATE(2117),
    [sym_regex] = STATE(2117),
    [sym_meta_property] = STATE(2117),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1353),
    [sym_type_assertion] = STATE(2130),
    [sym_as_expression] = STATE(2130),
    [sym_satisfies_expression] = STATE(2130),
    [sym_instantiation_expression] = STATE(2130),
    [sym_internal_module] = STATE(2130),
    [sym_type_arguments] = STATE(427),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4499),
    [sym_identifier] = ACTIONS(1475),
    [anon_sym_export] = ACTIONS(1443),
    [anon_sym_type] = ACTIONS(1443),
    [anon_sym_namespace] = ACTIONS(1445),
    [anon_sym_LBRACE] = ACTIONS(670),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(674),
    [anon_sym_let] = ACTIONS(1443),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(681),
    [anon_sym_async] = ACTIONS(1449),
    [anon_sym_function] = ACTIONS(685),
    [anon_sym_new] = ACTIONS(1479),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1443),
    [anon_sym_readonly] = ACTIONS(1443),
    [anon_sym_get] = ACTIONS(1443),
    [anon_sym_set] = ACTIONS(1443),
    [anon_sym_declare] = ACTIONS(1443),
    [anon_sym_public] = ACTIONS(1443),
    [anon_sym_private] = ACTIONS(1443),
    [anon_sym_protected] = ACTIONS(1443),
    [anon_sym_override] = ACTIONS(1443),
    [anon_sym_module] = ACTIONS(1443),
    [anon_sym_any] = ACTIONS(1443),
    [anon_sym_number] = ACTIONS(1443),
    [anon_sym_boolean] = ACTIONS(1443),
    [anon_sym_string] = ACTIONS(1443),
    [anon_sym_symbol] = ACTIONS(1443),
    [anon_sym_object] = ACTIONS(1443),
    [sym_html_comment] = ACTIONS(5),
  },
  [434] = {
    [sym_import] = STATE(3513),
    [sym_parenthesized_expression] = STATE(1353),
    [sym_expression] = STATE(1821),
    [sym_primary_expression] = STATE(1833),
    [sym_yield_expression] = STATE(2130),
    [sym_object] = STATE(2117),
    [sym_object_pattern] = STATE(5484),
    [sym_array] = STATE(2117),
    [sym_array_pattern] = STATE(5484),
    [sym_glimmer_template] = STATE(2130),
    [sym_class] = STATE(2117),
    [sym_function_expression] = STATE(2117),
    [sym_generator_function] = STATE(2117),
    [sym_arrow_function] = STATE(2117),
    [sym__call_signature] = STATE(5525),
    [sym_call_expression] = STATE(2117),
    [sym_new_expression] = STATE(1963),
    [sym_await_expression] = STATE(2130),
    [sym_member_expression] = STATE(1353),
    [sym_subscript_expression] = STATE(1353),
    [sym_assignment_expression] = STATE(2130),
    [sym__augmented_assignment_lhs] = STATE(3036),
    [sym_augmented_assignment_expression] = STATE(2130),
    [sym__destructuring_pattern] = STATE(5484),
    [sym_ternary_expression] = STATE(2130),
    [sym_binary_expression] = STATE(2130),
    [sym_unary_expression] = STATE(2130),
    [sym_update_expression] = STATE(2130),
    [sym_string] = STATE(2117),
    [sym_template_string] = STATE(2117),
    [sym_regex] = STATE(2117),
    [sym_meta_property] = STATE(2117),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1353),
    [sym_type_assertion] = STATE(2130),
    [sym_as_expression] = STATE(2130),
    [sym_satisfies_expression] = STATE(2130),
    [sym_instantiation_expression] = STATE(2130),
    [sym_internal_module] = STATE(2130),
    [sym_type_arguments] = STATE(427),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4499),
    [sym_identifier] = ACTIONS(1475),
    [anon_sym_export] = ACTIONS(1443),
    [anon_sym_type] = ACTIONS(1443),
    [anon_sym_namespace] = ACTIONS(1445),
    [anon_sym_LBRACE] = ACTIONS(670),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(674),
    [anon_sym_let] = ACTIONS(1443),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(681),
    [anon_sym_async] = ACTIONS(1449),
    [anon_sym_function] = ACTIONS(685),
    [anon_sym_new] = ACTIONS(1479),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1443),
    [anon_sym_readonly] = ACTIONS(1443),
    [anon_sym_get] = ACTIONS(1443),
    [anon_sym_set] = ACTIONS(1443),
    [anon_sym_declare] = ACTIONS(1443),
    [anon_sym_public] = ACTIONS(1443),
    [anon_sym_private] = ACTIONS(1443),
    [anon_sym_protected] = ACTIONS(1443),
    [anon_sym_override] = ACTIONS(1443),
    [anon_sym_module] = ACTIONS(1443),
    [anon_sym_any] = ACTIONS(1443),
    [anon_sym_number] = ACTIONS(1443),
    [anon_sym_boolean] = ACTIONS(1443),
    [anon_sym_string] = ACTIONS(1443),
    [anon_sym_symbol] = ACTIONS(1443),
    [anon_sym_object] = ACTIONS(1443),
    [sym_html_comment] = ACTIONS(5),
  },
  [435] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1461),
    [sym_expression] = STATE(2593),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5839),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5839),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5541),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1461),
    [sym_subscript_expression] = STATE(1461),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(3010),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5839),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1461),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(644),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(1513),
    [anon_sym_export] = ACTIONS(1407),
    [anon_sym_type] = ACTIONS(1407),
    [anon_sym_namespace] = ACTIONS(1409),
    [anon_sym_LBRACE] = ACTIONS(815),
    [anon_sym_typeof] = ACTIONS(1429),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(1413),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(1415),
    [anon_sym_yield] = ACTIONS(1417),
    [anon_sym_LBRACK] = ACTIONS(819),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1419),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1517),
    [anon_sym_using] = ACTIONS(1423),
    [anon_sym_PLUS] = ACTIONS(1429),
    [anon_sym_DASH] = ACTIONS(1429),
    [anon_sym_SLASH] = ACTIONS(979),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1413),
    [anon_sym_void] = ACTIONS(1429),
    [anon_sym_delete] = ACTIONS(1429),
    [anon_sym_PLUS_PLUS] = ACTIONS(1431),
    [anon_sym_DASH_DASH] = ACTIONS(1431),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(1433),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1519),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1407),
    [anon_sym_readonly] = ACTIONS(1407),
    [anon_sym_get] = ACTIONS(1407),
    [anon_sym_set] = ACTIONS(1407),
    [anon_sym_declare] = ACTIONS(1407),
    [anon_sym_public] = ACTIONS(1407),
    [anon_sym_private] = ACTIONS(1407),
    [anon_sym_protected] = ACTIONS(1407),
    [anon_sym_override] = ACTIONS(1407),
    [anon_sym_module] = ACTIONS(1407),
    [anon_sym_any] = ACTIONS(1407),
    [anon_sym_number] = ACTIONS(1407),
    [anon_sym_boolean] = ACTIONS(1407),
    [anon_sym_string] = ACTIONS(1407),
    [anon_sym_symbol] = ACTIONS(1407),
    [anon_sym_object] = ACTIONS(1407),
    [sym_html_comment] = ACTIONS(5),
  },
  [436] = {
    [sym_import] = STATE(3513),
    [sym_parenthesized_expression] = STATE(1353),
    [sym_expression] = STATE(1783),
    [sym_primary_expression] = STATE(1833),
    [sym_yield_expression] = STATE(2130),
    [sym_object] = STATE(2117),
    [sym_object_pattern] = STATE(5484),
    [sym_array] = STATE(2117),
    [sym_array_pattern] = STATE(5484),
    [sym_glimmer_template] = STATE(2130),
    [sym_class] = STATE(2117),
    [sym_function_expression] = STATE(2117),
    [sym_generator_function] = STATE(2117),
    [sym_arrow_function] = STATE(2117),
    [sym__call_signature] = STATE(5525),
    [sym_call_expression] = STATE(2117),
    [sym_new_expression] = STATE(1963),
    [sym_await_expression] = STATE(2130),
    [sym_member_expression] = STATE(1353),
    [sym_subscript_expression] = STATE(1353),
    [sym_assignment_expression] = STATE(2130),
    [sym__augmented_assignment_lhs] = STATE(3036),
    [sym_augmented_assignment_expression] = STATE(2130),
    [sym__destructuring_pattern] = STATE(5484),
    [sym_ternary_expression] = STATE(2130),
    [sym_binary_expression] = STATE(2130),
    [sym_unary_expression] = STATE(2130),
    [sym_update_expression] = STATE(2130),
    [sym_string] = STATE(2117),
    [sym_template_string] = STATE(2117),
    [sym_regex] = STATE(2117),
    [sym_meta_property] = STATE(2117),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1353),
    [sym_type_assertion] = STATE(2130),
    [sym_as_expression] = STATE(2130),
    [sym_satisfies_expression] = STATE(2130),
    [sym_instantiation_expression] = STATE(2130),
    [sym_internal_module] = STATE(2130),
    [sym_type_arguments] = STATE(427),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4499),
    [sym_identifier] = ACTIONS(1475),
    [anon_sym_export] = ACTIONS(1443),
    [anon_sym_type] = ACTIONS(1443),
    [anon_sym_namespace] = ACTIONS(1445),
    [anon_sym_LBRACE] = ACTIONS(670),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(674),
    [anon_sym_let] = ACTIONS(1443),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(681),
    [anon_sym_async] = ACTIONS(1449),
    [anon_sym_function] = ACTIONS(685),
    [anon_sym_new] = ACTIONS(1479),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1443),
    [anon_sym_readonly] = ACTIONS(1443),
    [anon_sym_get] = ACTIONS(1443),
    [anon_sym_set] = ACTIONS(1443),
    [anon_sym_declare] = ACTIONS(1443),
    [anon_sym_public] = ACTIONS(1443),
    [anon_sym_private] = ACTIONS(1443),
    [anon_sym_protected] = ACTIONS(1443),
    [anon_sym_override] = ACTIONS(1443),
    [anon_sym_module] = ACTIONS(1443),
    [anon_sym_any] = ACTIONS(1443),
    [anon_sym_number] = ACTIONS(1443),
    [anon_sym_boolean] = ACTIONS(1443),
    [anon_sym_string] = ACTIONS(1443),
    [anon_sym_symbol] = ACTIONS(1443),
    [anon_sym_object] = ACTIONS(1443),
    [sym_html_comment] = ACTIONS(5),
  },
  [437] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1228),
    [sym_expression] = STATE(2543),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5482),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5482),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5824),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1228),
    [sym_subscript_expression] = STATE(1228),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(2969),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5482),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1228),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(537),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(809),
    [anon_sym_export] = ACTIONS(811),
    [anon_sym_type] = ACTIONS(811),
    [anon_sym_namespace] = ACTIONS(813),
    [anon_sym_LBRACE] = ACTIONS(815),
    [anon_sym_typeof] = ACTIONS(184),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(811),
    [anon_sym_BANG] = ACTIONS(180),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(819),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(823),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(825),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(184),
    [anon_sym_DASH] = ACTIONS(184),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(691),
    [anon_sym_DASH_DASH] = ACTIONS(691),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(2136),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(829),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(811),
    [anon_sym_readonly] = ACTIONS(811),
    [anon_sym_get] = ACTIONS(811),
    [anon_sym_set] = ACTIONS(811),
    [anon_sym_declare] = ACTIONS(811),
    [anon_sym_public] = ACTIONS(811),
    [anon_sym_private] = ACTIONS(811),
    [anon_sym_protected] = ACTIONS(811),
    [anon_sym_override] = ACTIONS(811),
    [anon_sym_module] = ACTIONS(811),
    [anon_sym_any] = ACTIONS(811),
    [anon_sym_number] = ACTIONS(811),
    [anon_sym_boolean] = ACTIONS(811),
    [anon_sym_string] = ACTIONS(811),
    [anon_sym_symbol] = ACTIONS(811),
    [anon_sym_object] = ACTIONS(811),
    [sym_html_comment] = ACTIONS(5),
  },
  [438] = {
    [sym_import] = STATE(3513),
    [sym_parenthesized_expression] = STATE(1353),
    [sym_expression] = STATE(2280),
    [sym_primary_expression] = STATE(1833),
    [sym_yield_expression] = STATE(2130),
    [sym_object] = STATE(2117),
    [sym_object_pattern] = STATE(5484),
    [sym_array] = STATE(2117),
    [sym_array_pattern] = STATE(5484),
    [sym_glimmer_template] = STATE(2130),
    [sym_class] = STATE(2117),
    [sym_function_expression] = STATE(2117),
    [sym_generator_function] = STATE(2117),
    [sym_arrow_function] = STATE(2117),
    [sym__call_signature] = STATE(5525),
    [sym_call_expression] = STATE(2117),
    [sym_new_expression] = STATE(1963),
    [sym_await_expression] = STATE(2130),
    [sym_member_expression] = STATE(1353),
    [sym_subscript_expression] = STATE(1353),
    [sym_assignment_expression] = STATE(2130),
    [sym__augmented_assignment_lhs] = STATE(3036),
    [sym_augmented_assignment_expression] = STATE(2130),
    [sym__destructuring_pattern] = STATE(5484),
    [sym_ternary_expression] = STATE(2130),
    [sym_binary_expression] = STATE(2130),
    [sym_unary_expression] = STATE(2130),
    [sym_update_expression] = STATE(2130),
    [sym_string] = STATE(2117),
    [sym_template_string] = STATE(2117),
    [sym_regex] = STATE(2117),
    [sym_meta_property] = STATE(2117),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1353),
    [sym_type_assertion] = STATE(2130),
    [sym_as_expression] = STATE(2130),
    [sym_satisfies_expression] = STATE(2130),
    [sym_instantiation_expression] = STATE(2130),
    [sym_internal_module] = STATE(2130),
    [sym_type_arguments] = STATE(427),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4499),
    [sym_identifier] = ACTIONS(1475),
    [anon_sym_export] = ACTIONS(1443),
    [anon_sym_type] = ACTIONS(1443),
    [anon_sym_namespace] = ACTIONS(1445),
    [anon_sym_LBRACE] = ACTIONS(670),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(674),
    [anon_sym_let] = ACTIONS(1443),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(681),
    [anon_sym_async] = ACTIONS(1449),
    [anon_sym_function] = ACTIONS(685),
    [anon_sym_new] = ACTIONS(1479),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1443),
    [anon_sym_readonly] = ACTIONS(1443),
    [anon_sym_get] = ACTIONS(1443),
    [anon_sym_set] = ACTIONS(1443),
    [anon_sym_declare] = ACTIONS(1443),
    [anon_sym_public] = ACTIONS(1443),
    [anon_sym_private] = ACTIONS(1443),
    [anon_sym_protected] = ACTIONS(1443),
    [anon_sym_override] = ACTIONS(1443),
    [anon_sym_module] = ACTIONS(1443),
    [anon_sym_any] = ACTIONS(1443),
    [anon_sym_number] = ACTIONS(1443),
    [anon_sym_boolean] = ACTIONS(1443),
    [anon_sym_string] = ACTIONS(1443),
    [anon_sym_symbol] = ACTIONS(1443),
    [anon_sym_object] = ACTIONS(1443),
    [sym_html_comment] = ACTIONS(5),
  },
  [439] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1228),
    [sym_expression] = STATE(2543),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5482),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5482),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5824),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1228),
    [sym_subscript_expression] = STATE(1228),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(2969),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5482),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1228),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(537),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(809),
    [anon_sym_export] = ACTIONS(811),
    [anon_sym_type] = ACTIONS(811),
    [anon_sym_namespace] = ACTIONS(813),
    [anon_sym_LBRACE] = ACTIONS(815),
    [anon_sym_typeof] = ACTIONS(184),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(811),
    [anon_sym_BANG] = ACTIONS(180),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(819),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(823),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(825),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(184),
    [anon_sym_DASH] = ACTIONS(184),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(691),
    [anon_sym_DASH_DASH] = ACTIONS(691),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(2134),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(829),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(811),
    [anon_sym_readonly] = ACTIONS(811),
    [anon_sym_get] = ACTIONS(811),
    [anon_sym_set] = ACTIONS(811),
    [anon_sym_declare] = ACTIONS(811),
    [anon_sym_public] = ACTIONS(811),
    [anon_sym_private] = ACTIONS(811),
    [anon_sym_protected] = ACTIONS(811),
    [anon_sym_override] = ACTIONS(811),
    [anon_sym_module] = ACTIONS(811),
    [anon_sym_any] = ACTIONS(811),
    [anon_sym_number] = ACTIONS(811),
    [anon_sym_boolean] = ACTIONS(811),
    [anon_sym_string] = ACTIONS(811),
    [anon_sym_symbol] = ACTIONS(811),
    [anon_sym_object] = ACTIONS(811),
    [sym_html_comment] = ACTIONS(5),
  },
  [440] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1381),
    [sym_expression] = STATE(2422),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5574),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5574),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5865),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1381),
    [sym_subscript_expression] = STATE(1381),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(3033),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5574),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1381),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(635),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(1489),
    [anon_sym_export] = ACTIONS(1275),
    [anon_sym_type] = ACTIONS(1275),
    [anon_sym_namespace] = ACTIONS(1277),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(763),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1275),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(743),
    [anon_sym_yield] = ACTIONS(745),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1285),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1493),
    [anon_sym_using] = ACTIONS(753),
    [anon_sym_PLUS] = ACTIONS(763),
    [anon_sym_DASH] = ACTIONS(763),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(739),
    [anon_sym_void] = ACTIONS(763),
    [anon_sym_delete] = ACTIONS(763),
    [anon_sym_PLUS_PLUS] = ACTIONS(765),
    [anon_sym_DASH_DASH] = ACTIONS(765),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(771),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1495),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1275),
    [anon_sym_readonly] = ACTIONS(1275),
    [anon_sym_get] = ACTIONS(1275),
    [anon_sym_set] = ACTIONS(1275),
    [anon_sym_declare] = ACTIONS(1275),
    [anon_sym_public] = ACTIONS(1275),
    [anon_sym_private] = ACTIONS(1275),
    [anon_sym_protected] = ACTIONS(1275),
    [anon_sym_override] = ACTIONS(1275),
    [anon_sym_module] = ACTIONS(1275),
    [anon_sym_any] = ACTIONS(1275),
    [anon_sym_number] = ACTIONS(1275),
    [anon_sym_boolean] = ACTIONS(1275),
    [anon_sym_string] = ACTIONS(1275),
    [anon_sym_symbol] = ACTIONS(1275),
    [anon_sym_object] = ACTIONS(1275),
    [sym_html_comment] = ACTIONS(5),
  },
  [441] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1228),
    [sym_expression] = STATE(2615),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(3727),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(3727),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5824),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1281),
    [sym_subscript_expression] = STATE(1281),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(2969),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(3727),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1281),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(537),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(2138),
    [anon_sym_export] = ACTIONS(2140),
    [anon_sym_type] = ACTIONS(2140),
    [anon_sym_namespace] = ACTIONS(2142),
    [anon_sym_LBRACE] = ACTIONS(703),
    [anon_sym_typeof] = ACTIONS(184),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(2140),
    [anon_sym_BANG] = ACTIONS(180),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(1671),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(2144),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(2146),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(184),
    [anon_sym_DASH] = ACTIONS(184),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(691),
    [anon_sym_DASH_DASH] = ACTIONS(691),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(2148),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(2140),
    [anon_sym_readonly] = ACTIONS(2140),
    [anon_sym_get] = ACTIONS(2140),
    [anon_sym_set] = ACTIONS(2140),
    [anon_sym_declare] = ACTIONS(2140),
    [anon_sym_public] = ACTIONS(2140),
    [anon_sym_private] = ACTIONS(2140),
    [anon_sym_protected] = ACTIONS(2140),
    [anon_sym_override] = ACTIONS(2140),
    [anon_sym_module] = ACTIONS(2140),
    [anon_sym_any] = ACTIONS(2140),
    [anon_sym_number] = ACTIONS(2140),
    [anon_sym_boolean] = ACTIONS(2140),
    [anon_sym_string] = ACTIONS(2140),
    [anon_sym_symbol] = ACTIONS(2140),
    [anon_sym_object] = ACTIONS(2140),
    [sym_html_comment] = ACTIONS(5),
  },
  [442] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1324),
    [sym_expression] = STATE(1778),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5710),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5710),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5565),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1324),
    [sym_subscript_expression] = STATE(1324),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(2958),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5710),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1324),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(482),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(1463),
    [anon_sym_export] = ACTIONS(1055),
    [anon_sym_type] = ACTIONS(1055),
    [anon_sym_namespace] = ACTIONS(1057),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(620),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1055),
    [anon_sym_BANG] = ACTIONS(592),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(594),
    [anon_sym_yield] = ACTIONS(596),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1065),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1471),
    [anon_sym_using] = ACTIONS(606),
    [anon_sym_PLUS] = ACTIONS(620),
    [anon_sym_DASH] = ACTIONS(620),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(592),
    [anon_sym_void] = ACTIONS(620),
    [anon_sym_delete] = ACTIONS(620),
    [anon_sym_PLUS_PLUS] = ACTIONS(622),
    [anon_sym_DASH_DASH] = ACTIONS(622),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(2150),
    [sym_private_property_identifier] = ACTIONS(624),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1473),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1055),
    [anon_sym_readonly] = ACTIONS(1055),
    [anon_sym_get] = ACTIONS(1055),
    [anon_sym_set] = ACTIONS(1055),
    [anon_sym_declare] = ACTIONS(1055),
    [anon_sym_public] = ACTIONS(1055),
    [anon_sym_private] = ACTIONS(1055),
    [anon_sym_protected] = ACTIONS(1055),
    [anon_sym_override] = ACTIONS(1055),
    [anon_sym_module] = ACTIONS(1055),
    [anon_sym_any] = ACTIONS(1055),
    [anon_sym_number] = ACTIONS(1055),
    [anon_sym_boolean] = ACTIONS(1055),
    [anon_sym_string] = ACTIONS(1055),
    [anon_sym_symbol] = ACTIONS(1055),
    [anon_sym_object] = ACTIONS(1055),
    [sym_html_comment] = ACTIONS(5),
  },
  [443] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1228),
    [sym_expression] = STATE(2543),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5482),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5482),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5824),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1228),
    [sym_subscript_expression] = STATE(1228),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(2969),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5482),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1228),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(537),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(809),
    [anon_sym_export] = ACTIONS(811),
    [anon_sym_type] = ACTIONS(811),
    [anon_sym_namespace] = ACTIONS(813),
    [anon_sym_LBRACE] = ACTIONS(815),
    [anon_sym_typeof] = ACTIONS(184),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(811),
    [anon_sym_BANG] = ACTIONS(180),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(819),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(823),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(825),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(184),
    [anon_sym_DASH] = ACTIONS(184),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(691),
    [anon_sym_DASH_DASH] = ACTIONS(691),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(2150),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(829),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(811),
    [anon_sym_readonly] = ACTIONS(811),
    [anon_sym_get] = ACTIONS(811),
    [anon_sym_set] = ACTIONS(811),
    [anon_sym_declare] = ACTIONS(811),
    [anon_sym_public] = ACTIONS(811),
    [anon_sym_private] = ACTIONS(811),
    [anon_sym_protected] = ACTIONS(811),
    [anon_sym_override] = ACTIONS(811),
    [anon_sym_module] = ACTIONS(811),
    [anon_sym_any] = ACTIONS(811),
    [anon_sym_number] = ACTIONS(811),
    [anon_sym_boolean] = ACTIONS(811),
    [anon_sym_string] = ACTIONS(811),
    [anon_sym_symbol] = ACTIONS(811),
    [anon_sym_object] = ACTIONS(811),
    [sym_html_comment] = ACTIONS(5),
  },
  [444] = {
    [sym_import] = STATE(3513),
    [sym_parenthesized_expression] = STATE(1353),
    [sym_expression] = STATE(1870),
    [sym_primary_expression] = STATE(1833),
    [sym_yield_expression] = STATE(2130),
    [sym_object] = STATE(2117),
    [sym_object_pattern] = STATE(5484),
    [sym_array] = STATE(2117),
    [sym_array_pattern] = STATE(5484),
    [sym_glimmer_template] = STATE(2130),
    [sym_class] = STATE(2117),
    [sym_function_expression] = STATE(2117),
    [sym_generator_function] = STATE(2117),
    [sym_arrow_function] = STATE(2117),
    [sym__call_signature] = STATE(5525),
    [sym_call_expression] = STATE(2117),
    [sym_new_expression] = STATE(1963),
    [sym_await_expression] = STATE(2130),
    [sym_member_expression] = STATE(1353),
    [sym_subscript_expression] = STATE(1353),
    [sym_assignment_expression] = STATE(2130),
    [sym__augmented_assignment_lhs] = STATE(3036),
    [sym_augmented_assignment_expression] = STATE(2130),
    [sym__destructuring_pattern] = STATE(5484),
    [sym_ternary_expression] = STATE(2130),
    [sym_binary_expression] = STATE(2130),
    [sym_unary_expression] = STATE(2130),
    [sym_update_expression] = STATE(2130),
    [sym_string] = STATE(2117),
    [sym_template_string] = STATE(2117),
    [sym_regex] = STATE(2117),
    [sym_meta_property] = STATE(2117),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1353),
    [sym_type_assertion] = STATE(2130),
    [sym_as_expression] = STATE(2130),
    [sym_satisfies_expression] = STATE(2130),
    [sym_instantiation_expression] = STATE(2130),
    [sym_internal_module] = STATE(2130),
    [sym_type_arguments] = STATE(427),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4499),
    [sym_identifier] = ACTIONS(1475),
    [anon_sym_export] = ACTIONS(1443),
    [anon_sym_type] = ACTIONS(1443),
    [anon_sym_namespace] = ACTIONS(1445),
    [anon_sym_LBRACE] = ACTIONS(670),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(674),
    [anon_sym_let] = ACTIONS(1443),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(681),
    [anon_sym_async] = ACTIONS(1449),
    [anon_sym_function] = ACTIONS(685),
    [anon_sym_new] = ACTIONS(1479),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1443),
    [anon_sym_readonly] = ACTIONS(1443),
    [anon_sym_get] = ACTIONS(1443),
    [anon_sym_set] = ACTIONS(1443),
    [anon_sym_declare] = ACTIONS(1443),
    [anon_sym_public] = ACTIONS(1443),
    [anon_sym_private] = ACTIONS(1443),
    [anon_sym_protected] = ACTIONS(1443),
    [anon_sym_override] = ACTIONS(1443),
    [anon_sym_module] = ACTIONS(1443),
    [anon_sym_any] = ACTIONS(1443),
    [anon_sym_number] = ACTIONS(1443),
    [anon_sym_boolean] = ACTIONS(1443),
    [anon_sym_string] = ACTIONS(1443),
    [anon_sym_symbol] = ACTIONS(1443),
    [anon_sym_object] = ACTIONS(1443),
    [sym_html_comment] = ACTIONS(5),
  },
  [445] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1324),
    [sym_expression] = STATE(2440),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5710),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5710),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5565),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1324),
    [sym_subscript_expression] = STATE(1324),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(2958),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5710),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1324),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(482),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(1463),
    [anon_sym_export] = ACTIONS(1055),
    [anon_sym_type] = ACTIONS(1055),
    [anon_sym_namespace] = ACTIONS(1057),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(620),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1055),
    [anon_sym_BANG] = ACTIONS(592),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(594),
    [anon_sym_yield] = ACTIONS(596),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1065),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1471),
    [anon_sym_using] = ACTIONS(606),
    [anon_sym_PLUS] = ACTIONS(620),
    [anon_sym_DASH] = ACTIONS(620),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(592),
    [anon_sym_void] = ACTIONS(620),
    [anon_sym_delete] = ACTIONS(620),
    [anon_sym_PLUS_PLUS] = ACTIONS(622),
    [anon_sym_DASH_DASH] = ACTIONS(622),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(624),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1473),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1055),
    [anon_sym_readonly] = ACTIONS(1055),
    [anon_sym_get] = ACTIONS(1055),
    [anon_sym_set] = ACTIONS(1055),
    [anon_sym_declare] = ACTIONS(1055),
    [anon_sym_public] = ACTIONS(1055),
    [anon_sym_private] = ACTIONS(1055),
    [anon_sym_protected] = ACTIONS(1055),
    [anon_sym_override] = ACTIONS(1055),
    [anon_sym_module] = ACTIONS(1055),
    [anon_sym_any] = ACTIONS(1055),
    [anon_sym_number] = ACTIONS(1055),
    [anon_sym_boolean] = ACTIONS(1055),
    [anon_sym_string] = ACTIONS(1055),
    [anon_sym_symbol] = ACTIONS(1055),
    [anon_sym_object] = ACTIONS(1055),
    [sym_html_comment] = ACTIONS(5),
  },
  [446] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1324),
    [sym_expression] = STATE(2441),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5710),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5710),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5565),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1324),
    [sym_subscript_expression] = STATE(1324),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(2958),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5710),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1324),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(482),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(1463),
    [anon_sym_export] = ACTIONS(1055),
    [anon_sym_type] = ACTIONS(1055),
    [anon_sym_namespace] = ACTIONS(1057),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(620),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1055),
    [anon_sym_BANG] = ACTIONS(592),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(594),
    [anon_sym_yield] = ACTIONS(596),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1065),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1471),
    [anon_sym_using] = ACTIONS(606),
    [anon_sym_PLUS] = ACTIONS(620),
    [anon_sym_DASH] = ACTIONS(620),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(592),
    [anon_sym_void] = ACTIONS(620),
    [anon_sym_delete] = ACTIONS(620),
    [anon_sym_PLUS_PLUS] = ACTIONS(622),
    [anon_sym_DASH_DASH] = ACTIONS(622),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(624),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1473),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1055),
    [anon_sym_readonly] = ACTIONS(1055),
    [anon_sym_get] = ACTIONS(1055),
    [anon_sym_set] = ACTIONS(1055),
    [anon_sym_declare] = ACTIONS(1055),
    [anon_sym_public] = ACTIONS(1055),
    [anon_sym_private] = ACTIONS(1055),
    [anon_sym_protected] = ACTIONS(1055),
    [anon_sym_override] = ACTIONS(1055),
    [anon_sym_module] = ACTIONS(1055),
    [anon_sym_any] = ACTIONS(1055),
    [anon_sym_number] = ACTIONS(1055),
    [anon_sym_boolean] = ACTIONS(1055),
    [anon_sym_string] = ACTIONS(1055),
    [anon_sym_symbol] = ACTIONS(1055),
    [anon_sym_object] = ACTIONS(1055),
    [sym_html_comment] = ACTIONS(5),
  },
  [447] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1324),
    [sym_expression] = STATE(1778),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5710),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5710),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5565),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1324),
    [sym_subscript_expression] = STATE(1324),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(2958),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5710),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1324),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(482),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(1463),
    [anon_sym_export] = ACTIONS(1055),
    [anon_sym_type] = ACTIONS(1055),
    [anon_sym_namespace] = ACTIONS(1057),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(620),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1055),
    [anon_sym_BANG] = ACTIONS(592),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(594),
    [anon_sym_yield] = ACTIONS(596),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1065),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1471),
    [anon_sym_using] = ACTIONS(606),
    [anon_sym_PLUS] = ACTIONS(620),
    [anon_sym_DASH] = ACTIONS(620),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(592),
    [anon_sym_void] = ACTIONS(620),
    [anon_sym_delete] = ACTIONS(620),
    [anon_sym_PLUS_PLUS] = ACTIONS(622),
    [anon_sym_DASH_DASH] = ACTIONS(622),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(2152),
    [sym_private_property_identifier] = ACTIONS(624),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1473),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1055),
    [anon_sym_readonly] = ACTIONS(1055),
    [anon_sym_get] = ACTIONS(1055),
    [anon_sym_set] = ACTIONS(1055),
    [anon_sym_declare] = ACTIONS(1055),
    [anon_sym_public] = ACTIONS(1055),
    [anon_sym_private] = ACTIONS(1055),
    [anon_sym_protected] = ACTIONS(1055),
    [anon_sym_override] = ACTIONS(1055),
    [anon_sym_module] = ACTIONS(1055),
    [anon_sym_any] = ACTIONS(1055),
    [anon_sym_number] = ACTIONS(1055),
    [anon_sym_boolean] = ACTIONS(1055),
    [anon_sym_string] = ACTIONS(1055),
    [anon_sym_symbol] = ACTIONS(1055),
    [anon_sym_object] = ACTIONS(1055),
    [sym_html_comment] = ACTIONS(5),
  },
  [448] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1469),
    [sym_expression] = STATE(2615),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5578),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5578),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5824),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1469),
    [sym_subscript_expression] = STATE(1469),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(2969),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5578),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1469),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(537),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(2154),
    [anon_sym_export] = ACTIONS(2156),
    [anon_sym_type] = ACTIONS(2156),
    [anon_sym_namespace] = ACTIONS(2158),
    [anon_sym_LBRACE] = ACTIONS(815),
    [anon_sym_typeof] = ACTIONS(184),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(2156),
    [anon_sym_BANG] = ACTIONS(180),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(819),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(2160),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(2162),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(184),
    [anon_sym_DASH] = ACTIONS(184),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(691),
    [anon_sym_DASH_DASH] = ACTIONS(691),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(2164),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(2156),
    [anon_sym_readonly] = ACTIONS(2156),
    [anon_sym_get] = ACTIONS(2156),
    [anon_sym_set] = ACTIONS(2156),
    [anon_sym_declare] = ACTIONS(2156),
    [anon_sym_public] = ACTIONS(2156),
    [anon_sym_private] = ACTIONS(2156),
    [anon_sym_protected] = ACTIONS(2156),
    [anon_sym_override] = ACTIONS(2156),
    [anon_sym_module] = ACTIONS(2156),
    [anon_sym_any] = ACTIONS(2156),
    [anon_sym_number] = ACTIONS(2156),
    [anon_sym_boolean] = ACTIONS(2156),
    [anon_sym_string] = ACTIONS(2156),
    [anon_sym_symbol] = ACTIONS(2156),
    [anon_sym_object] = ACTIONS(2156),
    [sym_html_comment] = ACTIONS(5),
  },
  [449] = {
    [sym_import] = STATE(3513),
    [sym_parenthesized_expression] = STATE(1364),
    [sym_expression] = STATE(1830),
    [sym_primary_expression] = STATE(1833),
    [sym_yield_expression] = STATE(2130),
    [sym_object] = STATE(2117),
    [sym_object_pattern] = STATE(5785),
    [sym_array] = STATE(2117),
    [sym_array_pattern] = STATE(5785),
    [sym_glimmer_template] = STATE(2130),
    [sym_class] = STATE(2117),
    [sym_function_expression] = STATE(2117),
    [sym_generator_function] = STATE(2117),
    [sym_arrow_function] = STATE(2117),
    [sym__call_signature] = STATE(5783),
    [sym_call_expression] = STATE(2117),
    [sym_new_expression] = STATE(1963),
    [sym_await_expression] = STATE(2130),
    [sym_member_expression] = STATE(1364),
    [sym_subscript_expression] = STATE(1364),
    [sym_assignment_expression] = STATE(2130),
    [sym__augmented_assignment_lhs] = STATE(3037),
    [sym_augmented_assignment_expression] = STATE(2130),
    [sym__destructuring_pattern] = STATE(5785),
    [sym_ternary_expression] = STATE(2130),
    [sym_binary_expression] = STATE(2130),
    [sym_unary_expression] = STATE(2130),
    [sym_update_expression] = STATE(2130),
    [sym_string] = STATE(2117),
    [sym_template_string] = STATE(2117),
    [sym_regex] = STATE(2117),
    [sym_meta_property] = STATE(2117),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1364),
    [sym_type_assertion] = STATE(2130),
    [sym_as_expression] = STATE(2130),
    [sym_satisfies_expression] = STATE(2130),
    [sym_instantiation_expression] = STATE(2130),
    [sym_internal_module] = STATE(2130),
    [sym_type_arguments] = STATE(511),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4499),
    [sym_identifier] = ACTIONS(1481),
    [anon_sym_export] = ACTIONS(1227),
    [anon_sym_type] = ACTIONS(1227),
    [anon_sym_namespace] = ACTIONS(1229),
    [anon_sym_LBRACE] = ACTIONS(670),
    [anon_sym_typeof] = ACTIONS(1253),
    [anon_sym_import] = ACTIONS(674),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_BANG] = ACTIONS(1235),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1237),
    [anon_sym_yield] = ACTIONS(1239),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(681),
    [anon_sym_async] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(685),
    [anon_sym_new] = ACTIONS(1485),
    [anon_sym_using] = ACTIONS(1247),
    [anon_sym_PLUS] = ACTIONS(1253),
    [anon_sym_DASH] = ACTIONS(1253),
    [anon_sym_SLASH] = ACTIONS(885),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1235),
    [anon_sym_void] = ACTIONS(1253),
    [anon_sym_delete] = ACTIONS(1253),
    [anon_sym_PLUS_PLUS] = ACTIONS(1255),
    [anon_sym_DASH_DASH] = ACTIONS(1255),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1261),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1487),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1227),
    [anon_sym_readonly] = ACTIONS(1227),
    [anon_sym_get] = ACTIONS(1227),
    [anon_sym_set] = ACTIONS(1227),
    [anon_sym_declare] = ACTIONS(1227),
    [anon_sym_public] = ACTIONS(1227),
    [anon_sym_private] = ACTIONS(1227),
    [anon_sym_protected] = ACTIONS(1227),
    [anon_sym_override] = ACTIONS(1227),
    [anon_sym_module] = ACTIONS(1227),
    [anon_sym_any] = ACTIONS(1227),
    [anon_sym_number] = ACTIONS(1227),
    [anon_sym_boolean] = ACTIONS(1227),
    [anon_sym_string] = ACTIONS(1227),
    [anon_sym_symbol] = ACTIONS(1227),
    [anon_sym_object] = ACTIONS(1227),
    [sym_html_comment] = ACTIONS(5),
  },
  [450] = {
    [sym_import] = STATE(3513),
    [sym_parenthesized_expression] = STATE(1417),
    [sym_expression] = STATE(2181),
    [sym_primary_expression] = STATE(1833),
    [sym_yield_expression] = STATE(2130),
    [sym_object] = STATE(2117),
    [sym_object_pattern] = STATE(5592),
    [sym_array] = STATE(2117),
    [sym_array_pattern] = STATE(5592),
    [sym_glimmer_template] = STATE(2130),
    [sym_class] = STATE(2117),
    [sym_function_expression] = STATE(2117),
    [sym_generator_function] = STATE(2117),
    [sym_arrow_function] = STATE(2117),
    [sym__call_signature] = STATE(5478),
    [sym_call_expression] = STATE(2117),
    [sym_new_expression] = STATE(1963),
    [sym_await_expression] = STATE(2130),
    [sym_member_expression] = STATE(1417),
    [sym_subscript_expression] = STATE(1417),
    [sym_assignment_expression] = STATE(2130),
    [sym__augmented_assignment_lhs] = STATE(3012),
    [sym_augmented_assignment_expression] = STATE(2130),
    [sym__destructuring_pattern] = STATE(5592),
    [sym_ternary_expression] = STATE(2130),
    [sym_binary_expression] = STATE(2130),
    [sym_unary_expression] = STATE(2130),
    [sym_update_expression] = STATE(2130),
    [sym_string] = STATE(2117),
    [sym_template_string] = STATE(2117),
    [sym_regex] = STATE(2117),
    [sym_meta_property] = STATE(2117),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1417),
    [sym_type_assertion] = STATE(2130),
    [sym_as_expression] = STATE(2130),
    [sym_satisfies_expression] = STATE(2130),
    [sym_instantiation_expression] = STATE(2130),
    [sym_internal_module] = STATE(2130),
    [sym_type_arguments] = STATE(450),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4499),
    [sym_identifier] = ACTIONS(1497),
    [anon_sym_export] = ACTIONS(1129),
    [anon_sym_type] = ACTIONS(1129),
    [anon_sym_namespace] = ACTIONS(1131),
    [anon_sym_LBRACE] = ACTIONS(670),
    [anon_sym_typeof] = ACTIONS(1157),
    [anon_sym_import] = ACTIONS(674),
    [anon_sym_let] = ACTIONS(1129),
    [anon_sym_BANG] = ACTIONS(1137),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1141),
    [anon_sym_yield] = ACTIONS(1143),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(681),
    [anon_sym_async] = ACTIONS(1147),
    [anon_sym_function] = ACTIONS(685),
    [anon_sym_new] = ACTIONS(1501),
    [anon_sym_using] = ACTIONS(1151),
    [anon_sym_PLUS] = ACTIONS(1157),
    [anon_sym_DASH] = ACTIONS(1157),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1137),
    [anon_sym_void] = ACTIONS(1157),
    [anon_sym_delete] = ACTIONS(1157),
    [anon_sym_PLUS_PLUS] = ACTIONS(1159),
    [anon_sym_DASH_DASH] = ACTIONS(1159),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1165),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1503),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1129),
    [anon_sym_readonly] = ACTIONS(1129),
    [anon_sym_get] = ACTIONS(1129),
    [anon_sym_set] = ACTIONS(1129),
    [anon_sym_declare] = ACTIONS(1129),
    [anon_sym_public] = ACTIONS(1129),
    [anon_sym_private] = ACTIONS(1129),
    [anon_sym_protected] = ACTIONS(1129),
    [anon_sym_override] = ACTIONS(1129),
    [anon_sym_module] = ACTIONS(1129),
    [anon_sym_any] = ACTIONS(1129),
    [anon_sym_number] = ACTIONS(1129),
    [anon_sym_boolean] = ACTIONS(1129),
    [anon_sym_string] = ACTIONS(1129),
    [anon_sym_symbol] = ACTIONS(1129),
    [anon_sym_object] = ACTIONS(1129),
    [sym_html_comment] = ACTIONS(5),
  },
  [451] = {
    [sym_import] = STATE(3513),
    [sym_parenthesized_expression] = STATE(1353),
    [sym_expression] = STATE(1804),
    [sym_primary_expression] = STATE(1833),
    [sym_yield_expression] = STATE(2130),
    [sym_object] = STATE(2117),
    [sym_object_pattern] = STATE(5484),
    [sym_array] = STATE(2117),
    [sym_array_pattern] = STATE(5484),
    [sym_glimmer_template] = STATE(2130),
    [sym_class] = STATE(2117),
    [sym_function_expression] = STATE(2117),
    [sym_generator_function] = STATE(2117),
    [sym_arrow_function] = STATE(2117),
    [sym__call_signature] = STATE(5525),
    [sym_call_expression] = STATE(2117),
    [sym_new_expression] = STATE(1963),
    [sym_await_expression] = STATE(2130),
    [sym_member_expression] = STATE(1353),
    [sym_subscript_expression] = STATE(1353),
    [sym_assignment_expression] = STATE(2130),
    [sym__augmented_assignment_lhs] = STATE(3036),
    [sym_augmented_assignment_expression] = STATE(2130),
    [sym__destructuring_pattern] = STATE(5484),
    [sym_ternary_expression] = STATE(2130),
    [sym_binary_expression] = STATE(2130),
    [sym_unary_expression] = STATE(2130),
    [sym_update_expression] = STATE(2130),
    [sym_string] = STATE(2117),
    [sym_template_string] = STATE(2117),
    [sym_regex] = STATE(2117),
    [sym_meta_property] = STATE(2117),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1353),
    [sym_type_assertion] = STATE(2130),
    [sym_as_expression] = STATE(2130),
    [sym_satisfies_expression] = STATE(2130),
    [sym_instantiation_expression] = STATE(2130),
    [sym_internal_module] = STATE(2130),
    [sym_type_arguments] = STATE(427),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4499),
    [sym_identifier] = ACTIONS(1475),
    [anon_sym_export] = ACTIONS(1443),
    [anon_sym_type] = ACTIONS(1443),
    [anon_sym_namespace] = ACTIONS(1445),
    [anon_sym_LBRACE] = ACTIONS(670),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(674),
    [anon_sym_let] = ACTIONS(1443),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(681),
    [anon_sym_async] = ACTIONS(1449),
    [anon_sym_function] = ACTIONS(685),
    [anon_sym_new] = ACTIONS(1479),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1443),
    [anon_sym_readonly] = ACTIONS(1443),
    [anon_sym_get] = ACTIONS(1443),
    [anon_sym_set] = ACTIONS(1443),
    [anon_sym_declare] = ACTIONS(1443),
    [anon_sym_public] = ACTIONS(1443),
    [anon_sym_private] = ACTIONS(1443),
    [anon_sym_protected] = ACTIONS(1443),
    [anon_sym_override] = ACTIONS(1443),
    [anon_sym_module] = ACTIONS(1443),
    [anon_sym_any] = ACTIONS(1443),
    [anon_sym_number] = ACTIONS(1443),
    [anon_sym_boolean] = ACTIONS(1443),
    [anon_sym_string] = ACTIONS(1443),
    [anon_sym_symbol] = ACTIONS(1443),
    [anon_sym_object] = ACTIONS(1443),
    [sym_html_comment] = ACTIONS(5),
  },
  [452] = {
    [sym_import] = STATE(3513),
    [sym_parenthesized_expression] = STATE(1417),
    [sym_expression] = STATE(2184),
    [sym_primary_expression] = STATE(1833),
    [sym_yield_expression] = STATE(2130),
    [sym_object] = STATE(2117),
    [sym_object_pattern] = STATE(5592),
    [sym_array] = STATE(2117),
    [sym_array_pattern] = STATE(5592),
    [sym_glimmer_template] = STATE(2130),
    [sym_class] = STATE(2117),
    [sym_function_expression] = STATE(2117),
    [sym_generator_function] = STATE(2117),
    [sym_arrow_function] = STATE(2117),
    [sym__call_signature] = STATE(5478),
    [sym_call_expression] = STATE(2117),
    [sym_new_expression] = STATE(1963),
    [sym_await_expression] = STATE(2130),
    [sym_member_expression] = STATE(1417),
    [sym_subscript_expression] = STATE(1417),
    [sym_assignment_expression] = STATE(2130),
    [sym__augmented_assignment_lhs] = STATE(3012),
    [sym_augmented_assignment_expression] = STATE(2130),
    [sym__destructuring_pattern] = STATE(5592),
    [sym_ternary_expression] = STATE(2130),
    [sym_binary_expression] = STATE(2130),
    [sym_unary_expression] = STATE(2130),
    [sym_update_expression] = STATE(2130),
    [sym_string] = STATE(2117),
    [sym_template_string] = STATE(2117),
    [sym_regex] = STATE(2117),
    [sym_meta_property] = STATE(2117),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1417),
    [sym_type_assertion] = STATE(2130),
    [sym_as_expression] = STATE(2130),
    [sym_satisfies_expression] = STATE(2130),
    [sym_instantiation_expression] = STATE(2130),
    [sym_internal_module] = STATE(2130),
    [sym_type_arguments] = STATE(450),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4499),
    [sym_identifier] = ACTIONS(1497),
    [anon_sym_export] = ACTIONS(1129),
    [anon_sym_type] = ACTIONS(1129),
    [anon_sym_namespace] = ACTIONS(1131),
    [anon_sym_LBRACE] = ACTIONS(670),
    [anon_sym_typeof] = ACTIONS(1157),
    [anon_sym_import] = ACTIONS(674),
    [anon_sym_let] = ACTIONS(1129),
    [anon_sym_BANG] = ACTIONS(1137),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1141),
    [anon_sym_yield] = ACTIONS(1143),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(681),
    [anon_sym_async] = ACTIONS(1147),
    [anon_sym_function] = ACTIONS(685),
    [anon_sym_new] = ACTIONS(1501),
    [anon_sym_using] = ACTIONS(1151),
    [anon_sym_PLUS] = ACTIONS(1157),
    [anon_sym_DASH] = ACTIONS(1157),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1137),
    [anon_sym_void] = ACTIONS(1157),
    [anon_sym_delete] = ACTIONS(1157),
    [anon_sym_PLUS_PLUS] = ACTIONS(1159),
    [anon_sym_DASH_DASH] = ACTIONS(1159),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1165),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1503),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1129),
    [anon_sym_readonly] = ACTIONS(1129),
    [anon_sym_get] = ACTIONS(1129),
    [anon_sym_set] = ACTIONS(1129),
    [anon_sym_declare] = ACTIONS(1129),
    [anon_sym_public] = ACTIONS(1129),
    [anon_sym_private] = ACTIONS(1129),
    [anon_sym_protected] = ACTIONS(1129),
    [anon_sym_override] = ACTIONS(1129),
    [anon_sym_module] = ACTIONS(1129),
    [anon_sym_any] = ACTIONS(1129),
    [anon_sym_number] = ACTIONS(1129),
    [anon_sym_boolean] = ACTIONS(1129),
    [anon_sym_string] = ACTIONS(1129),
    [anon_sym_symbol] = ACTIONS(1129),
    [anon_sym_object] = ACTIONS(1129),
    [sym_html_comment] = ACTIONS(5),
  },
  [453] = {
    [sym_import] = STATE(3513),
    [sym_parenthesized_expression] = STATE(1417),
    [sym_expression] = STATE(2185),
    [sym_primary_expression] = STATE(1833),
    [sym_yield_expression] = STATE(2130),
    [sym_object] = STATE(2117),
    [sym_object_pattern] = STATE(5592),
    [sym_array] = STATE(2117),
    [sym_array_pattern] = STATE(5592),
    [sym_glimmer_template] = STATE(2130),
    [sym_class] = STATE(2117),
    [sym_function_expression] = STATE(2117),
    [sym_generator_function] = STATE(2117),
    [sym_arrow_function] = STATE(2117),
    [sym__call_signature] = STATE(5478),
    [sym_call_expression] = STATE(2117),
    [sym_new_expression] = STATE(1963),
    [sym_await_expression] = STATE(2130),
    [sym_member_expression] = STATE(1417),
    [sym_subscript_expression] = STATE(1417),
    [sym_assignment_expression] = STATE(2130),
    [sym__augmented_assignment_lhs] = STATE(3012),
    [sym_augmented_assignment_expression] = STATE(2130),
    [sym__destructuring_pattern] = STATE(5592),
    [sym_ternary_expression] = STATE(2130),
    [sym_binary_expression] = STATE(2130),
    [sym_unary_expression] = STATE(2130),
    [sym_update_expression] = STATE(2130),
    [sym_string] = STATE(2117),
    [sym_template_string] = STATE(2117),
    [sym_regex] = STATE(2117),
    [sym_meta_property] = STATE(2117),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1417),
    [sym_type_assertion] = STATE(2130),
    [sym_as_expression] = STATE(2130),
    [sym_satisfies_expression] = STATE(2130),
    [sym_instantiation_expression] = STATE(2130),
    [sym_internal_module] = STATE(2130),
    [sym_type_arguments] = STATE(450),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4499),
    [sym_identifier] = ACTIONS(1497),
    [anon_sym_export] = ACTIONS(1129),
    [anon_sym_type] = ACTIONS(1129),
    [anon_sym_namespace] = ACTIONS(1131),
    [anon_sym_LBRACE] = ACTIONS(670),
    [anon_sym_typeof] = ACTIONS(1157),
    [anon_sym_import] = ACTIONS(674),
    [anon_sym_let] = ACTIONS(1129),
    [anon_sym_BANG] = ACTIONS(1137),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1141),
    [anon_sym_yield] = ACTIONS(1143),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(681),
    [anon_sym_async] = ACTIONS(1147),
    [anon_sym_function] = ACTIONS(685),
    [anon_sym_new] = ACTIONS(1501),
    [anon_sym_using] = ACTIONS(1151),
    [anon_sym_PLUS] = ACTIONS(1157),
    [anon_sym_DASH] = ACTIONS(1157),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1137),
    [anon_sym_void] = ACTIONS(1157),
    [anon_sym_delete] = ACTIONS(1157),
    [anon_sym_PLUS_PLUS] = ACTIONS(1159),
    [anon_sym_DASH_DASH] = ACTIONS(1159),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1165),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1503),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1129),
    [anon_sym_readonly] = ACTIONS(1129),
    [anon_sym_get] = ACTIONS(1129),
    [anon_sym_set] = ACTIONS(1129),
    [anon_sym_declare] = ACTIONS(1129),
    [anon_sym_public] = ACTIONS(1129),
    [anon_sym_private] = ACTIONS(1129),
    [anon_sym_protected] = ACTIONS(1129),
    [anon_sym_override] = ACTIONS(1129),
    [anon_sym_module] = ACTIONS(1129),
    [anon_sym_any] = ACTIONS(1129),
    [anon_sym_number] = ACTIONS(1129),
    [anon_sym_boolean] = ACTIONS(1129),
    [anon_sym_string] = ACTIONS(1129),
    [anon_sym_symbol] = ACTIONS(1129),
    [anon_sym_object] = ACTIONS(1129),
    [sym_html_comment] = ACTIONS(5),
  },
  [454] = {
    [sym_import] = STATE(3513),
    [sym_parenthesized_expression] = STATE(1417),
    [sym_expression] = STATE(2189),
    [sym_primary_expression] = STATE(1833),
    [sym_yield_expression] = STATE(2130),
    [sym_object] = STATE(2117),
    [sym_object_pattern] = STATE(5592),
    [sym_array] = STATE(2117),
    [sym_array_pattern] = STATE(5592),
    [sym_glimmer_template] = STATE(2130),
    [sym_class] = STATE(2117),
    [sym_function_expression] = STATE(2117),
    [sym_generator_function] = STATE(2117),
    [sym_arrow_function] = STATE(2117),
    [sym__call_signature] = STATE(5478),
    [sym_call_expression] = STATE(2117),
    [sym_new_expression] = STATE(1963),
    [sym_await_expression] = STATE(2130),
    [sym_member_expression] = STATE(1417),
    [sym_subscript_expression] = STATE(1417),
    [sym_assignment_expression] = STATE(2130),
    [sym__augmented_assignment_lhs] = STATE(3012),
    [sym_augmented_assignment_expression] = STATE(2130),
    [sym__destructuring_pattern] = STATE(5592),
    [sym_ternary_expression] = STATE(2130),
    [sym_binary_expression] = STATE(2130),
    [sym_unary_expression] = STATE(2130),
    [sym_update_expression] = STATE(2130),
    [sym_string] = STATE(2117),
    [sym_template_string] = STATE(2117),
    [sym_regex] = STATE(2117),
    [sym_meta_property] = STATE(2117),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1417),
    [sym_type_assertion] = STATE(2130),
    [sym_as_expression] = STATE(2130),
    [sym_satisfies_expression] = STATE(2130),
    [sym_instantiation_expression] = STATE(2130),
    [sym_internal_module] = STATE(2130),
    [sym_type_arguments] = STATE(450),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4499),
    [sym_identifier] = ACTIONS(1497),
    [anon_sym_export] = ACTIONS(1129),
    [anon_sym_type] = ACTIONS(1129),
    [anon_sym_namespace] = ACTIONS(1131),
    [anon_sym_LBRACE] = ACTIONS(670),
    [anon_sym_typeof] = ACTIONS(1157),
    [anon_sym_import] = ACTIONS(674),
    [anon_sym_let] = ACTIONS(1129),
    [anon_sym_BANG] = ACTIONS(1137),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1141),
    [anon_sym_yield] = ACTIONS(1143),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(681),
    [anon_sym_async] = ACTIONS(1147),
    [anon_sym_function] = ACTIONS(685),
    [anon_sym_new] = ACTIONS(1501),
    [anon_sym_using] = ACTIONS(1151),
    [anon_sym_PLUS] = ACTIONS(1157),
    [anon_sym_DASH] = ACTIONS(1157),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1137),
    [anon_sym_void] = ACTIONS(1157),
    [anon_sym_delete] = ACTIONS(1157),
    [anon_sym_PLUS_PLUS] = ACTIONS(1159),
    [anon_sym_DASH_DASH] = ACTIONS(1159),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1165),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1503),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1129),
    [anon_sym_readonly] = ACTIONS(1129),
    [anon_sym_get] = ACTIONS(1129),
    [anon_sym_set] = ACTIONS(1129),
    [anon_sym_declare] = ACTIONS(1129),
    [anon_sym_public] = ACTIONS(1129),
    [anon_sym_private] = ACTIONS(1129),
    [anon_sym_protected] = ACTIONS(1129),
    [anon_sym_override] = ACTIONS(1129),
    [anon_sym_module] = ACTIONS(1129),
    [anon_sym_any] = ACTIONS(1129),
    [anon_sym_number] = ACTIONS(1129),
    [anon_sym_boolean] = ACTIONS(1129),
    [anon_sym_string] = ACTIONS(1129),
    [anon_sym_symbol] = ACTIONS(1129),
    [anon_sym_object] = ACTIONS(1129),
    [sym_html_comment] = ACTIONS(5),
  },
  [455] = {
    [sym_import] = STATE(3513),
    [sym_parenthesized_expression] = STATE(1353),
    [sym_expression] = STATE(1796),
    [sym_primary_expression] = STATE(1833),
    [sym_yield_expression] = STATE(2130),
    [sym_object] = STATE(2117),
    [sym_object_pattern] = STATE(5484),
    [sym_array] = STATE(2117),
    [sym_array_pattern] = STATE(5484),
    [sym_glimmer_template] = STATE(2130),
    [sym_class] = STATE(2117),
    [sym_function_expression] = STATE(2117),
    [sym_generator_function] = STATE(2117),
    [sym_arrow_function] = STATE(2117),
    [sym__call_signature] = STATE(5525),
    [sym_call_expression] = STATE(2117),
    [sym_new_expression] = STATE(1963),
    [sym_await_expression] = STATE(2130),
    [sym_member_expression] = STATE(1353),
    [sym_subscript_expression] = STATE(1353),
    [sym_assignment_expression] = STATE(2130),
    [sym__augmented_assignment_lhs] = STATE(3036),
    [sym_augmented_assignment_expression] = STATE(2130),
    [sym__destructuring_pattern] = STATE(5484),
    [sym_ternary_expression] = STATE(2130),
    [sym_binary_expression] = STATE(2130),
    [sym_unary_expression] = STATE(2130),
    [sym_update_expression] = STATE(2130),
    [sym_string] = STATE(2117),
    [sym_template_string] = STATE(2117),
    [sym_regex] = STATE(2117),
    [sym_meta_property] = STATE(2117),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1353),
    [sym_type_assertion] = STATE(2130),
    [sym_as_expression] = STATE(2130),
    [sym_satisfies_expression] = STATE(2130),
    [sym_instantiation_expression] = STATE(2130),
    [sym_internal_module] = STATE(2130),
    [sym_type_arguments] = STATE(427),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4499),
    [sym_identifier] = ACTIONS(1475),
    [anon_sym_export] = ACTIONS(1443),
    [anon_sym_type] = ACTIONS(1443),
    [anon_sym_namespace] = ACTIONS(1445),
    [anon_sym_LBRACE] = ACTIONS(670),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(674),
    [anon_sym_let] = ACTIONS(1443),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(681),
    [anon_sym_async] = ACTIONS(1449),
    [anon_sym_function] = ACTIONS(685),
    [anon_sym_new] = ACTIONS(1479),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1443),
    [anon_sym_readonly] = ACTIONS(1443),
    [anon_sym_get] = ACTIONS(1443),
    [anon_sym_set] = ACTIONS(1443),
    [anon_sym_declare] = ACTIONS(1443),
    [anon_sym_public] = ACTIONS(1443),
    [anon_sym_private] = ACTIONS(1443),
    [anon_sym_protected] = ACTIONS(1443),
    [anon_sym_override] = ACTIONS(1443),
    [anon_sym_module] = ACTIONS(1443),
    [anon_sym_any] = ACTIONS(1443),
    [anon_sym_number] = ACTIONS(1443),
    [anon_sym_boolean] = ACTIONS(1443),
    [anon_sym_string] = ACTIONS(1443),
    [anon_sym_symbol] = ACTIONS(1443),
    [anon_sym_object] = ACTIONS(1443),
    [sym_html_comment] = ACTIONS(5),
  },
  [456] = {
    [sym_import] = STATE(3513),
    [sym_parenthesized_expression] = STATE(1417),
    [sym_expression] = STATE(2191),
    [sym_primary_expression] = STATE(1833),
    [sym_yield_expression] = STATE(2130),
    [sym_object] = STATE(2117),
    [sym_object_pattern] = STATE(5592),
    [sym_array] = STATE(2117),
    [sym_array_pattern] = STATE(5592),
    [sym_glimmer_template] = STATE(2130),
    [sym_class] = STATE(2117),
    [sym_function_expression] = STATE(2117),
    [sym_generator_function] = STATE(2117),
    [sym_arrow_function] = STATE(2117),
    [sym__call_signature] = STATE(5478),
    [sym_call_expression] = STATE(2117),
    [sym_new_expression] = STATE(1963),
    [sym_await_expression] = STATE(2130),
    [sym_member_expression] = STATE(1417),
    [sym_subscript_expression] = STATE(1417),
    [sym_assignment_expression] = STATE(2130),
    [sym__augmented_assignment_lhs] = STATE(3012),
    [sym_augmented_assignment_expression] = STATE(2130),
    [sym__destructuring_pattern] = STATE(5592),
    [sym_ternary_expression] = STATE(2130),
    [sym_binary_expression] = STATE(2130),
    [sym_unary_expression] = STATE(2130),
    [sym_update_expression] = STATE(2130),
    [sym_string] = STATE(2117),
    [sym_template_string] = STATE(2117),
    [sym_regex] = STATE(2117),
    [sym_meta_property] = STATE(2117),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1417),
    [sym_type_assertion] = STATE(2130),
    [sym_as_expression] = STATE(2130),
    [sym_satisfies_expression] = STATE(2130),
    [sym_instantiation_expression] = STATE(2130),
    [sym_internal_module] = STATE(2130),
    [sym_type_arguments] = STATE(450),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4499),
    [sym_identifier] = ACTIONS(1497),
    [anon_sym_export] = ACTIONS(1129),
    [anon_sym_type] = ACTIONS(1129),
    [anon_sym_namespace] = ACTIONS(1131),
    [anon_sym_LBRACE] = ACTIONS(670),
    [anon_sym_typeof] = ACTIONS(1157),
    [anon_sym_import] = ACTIONS(674),
    [anon_sym_let] = ACTIONS(1129),
    [anon_sym_BANG] = ACTIONS(1137),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1141),
    [anon_sym_yield] = ACTIONS(1143),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(681),
    [anon_sym_async] = ACTIONS(1147),
    [anon_sym_function] = ACTIONS(685),
    [anon_sym_new] = ACTIONS(1501),
    [anon_sym_using] = ACTIONS(1151),
    [anon_sym_PLUS] = ACTIONS(1157),
    [anon_sym_DASH] = ACTIONS(1157),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1137),
    [anon_sym_void] = ACTIONS(1157),
    [anon_sym_delete] = ACTIONS(1157),
    [anon_sym_PLUS_PLUS] = ACTIONS(1159),
    [anon_sym_DASH_DASH] = ACTIONS(1159),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1165),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1503),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1129),
    [anon_sym_readonly] = ACTIONS(1129),
    [anon_sym_get] = ACTIONS(1129),
    [anon_sym_set] = ACTIONS(1129),
    [anon_sym_declare] = ACTIONS(1129),
    [anon_sym_public] = ACTIONS(1129),
    [anon_sym_private] = ACTIONS(1129),
    [anon_sym_protected] = ACTIONS(1129),
    [anon_sym_override] = ACTIONS(1129),
    [anon_sym_module] = ACTIONS(1129),
    [anon_sym_any] = ACTIONS(1129),
    [anon_sym_number] = ACTIONS(1129),
    [anon_sym_boolean] = ACTIONS(1129),
    [anon_sym_string] = ACTIONS(1129),
    [anon_sym_symbol] = ACTIONS(1129),
    [anon_sym_object] = ACTIONS(1129),
    [sym_html_comment] = ACTIONS(5),
  },
  [457] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1457),
    [sym_expression] = STATE(2581),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5827),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5827),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5728),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1457),
    [sym_subscript_expression] = STATE(1457),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(3001),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5827),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1457),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(591),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(1521),
    [anon_sym_export] = ACTIONS(1361),
    [anon_sym_type] = ACTIONS(1361),
    [anon_sym_namespace] = ACTIONS(1363),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(1383),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1361),
    [anon_sym_BANG] = ACTIONS(1367),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(1369),
    [anon_sym_yield] = ACTIONS(1371),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1373),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1525),
    [anon_sym_using] = ACTIONS(1377),
    [anon_sym_PLUS] = ACTIONS(1383),
    [anon_sym_DASH] = ACTIONS(1383),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1367),
    [anon_sym_void] = ACTIONS(1383),
    [anon_sym_delete] = ACTIONS(1383),
    [anon_sym_PLUS_PLUS] = ACTIONS(1385),
    [anon_sym_DASH_DASH] = ACTIONS(1385),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(1387),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1527),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1361),
    [anon_sym_readonly] = ACTIONS(1361),
    [anon_sym_get] = ACTIONS(1361),
    [anon_sym_set] = ACTIONS(1361),
    [anon_sym_declare] = ACTIONS(1361),
    [anon_sym_public] = ACTIONS(1361),
    [anon_sym_private] = ACTIONS(1361),
    [anon_sym_protected] = ACTIONS(1361),
    [anon_sym_override] = ACTIONS(1361),
    [anon_sym_module] = ACTIONS(1361),
    [anon_sym_any] = ACTIONS(1361),
    [anon_sym_number] = ACTIONS(1361),
    [anon_sym_boolean] = ACTIONS(1361),
    [anon_sym_string] = ACTIONS(1361),
    [anon_sym_symbol] = ACTIONS(1361),
    [anon_sym_object] = ACTIONS(1361),
    [sym_html_comment] = ACTIONS(5),
  },
  [458] = {
    [sym_import] = STATE(3513),
    [sym_parenthesized_expression] = STATE(1417),
    [sym_expression] = STATE(2193),
    [sym_primary_expression] = STATE(1833),
    [sym_yield_expression] = STATE(2130),
    [sym_object] = STATE(2117),
    [sym_object_pattern] = STATE(5592),
    [sym_array] = STATE(2117),
    [sym_array_pattern] = STATE(5592),
    [sym_glimmer_template] = STATE(2130),
    [sym_class] = STATE(2117),
    [sym_function_expression] = STATE(2117),
    [sym_generator_function] = STATE(2117),
    [sym_arrow_function] = STATE(2117),
    [sym__call_signature] = STATE(5478),
    [sym_call_expression] = STATE(2117),
    [sym_new_expression] = STATE(1963),
    [sym_await_expression] = STATE(2130),
    [sym_member_expression] = STATE(1417),
    [sym_subscript_expression] = STATE(1417),
    [sym_assignment_expression] = STATE(2130),
    [sym__augmented_assignment_lhs] = STATE(3012),
    [sym_augmented_assignment_expression] = STATE(2130),
    [sym__destructuring_pattern] = STATE(5592),
    [sym_ternary_expression] = STATE(2130),
    [sym_binary_expression] = STATE(2130),
    [sym_unary_expression] = STATE(2130),
    [sym_update_expression] = STATE(2130),
    [sym_string] = STATE(2117),
    [sym_template_string] = STATE(2117),
    [sym_regex] = STATE(2117),
    [sym_meta_property] = STATE(2117),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1417),
    [sym_type_assertion] = STATE(2130),
    [sym_as_expression] = STATE(2130),
    [sym_satisfies_expression] = STATE(2130),
    [sym_instantiation_expression] = STATE(2130),
    [sym_internal_module] = STATE(2130),
    [sym_type_arguments] = STATE(450),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4499),
    [sym_identifier] = ACTIONS(1497),
    [anon_sym_export] = ACTIONS(1129),
    [anon_sym_type] = ACTIONS(1129),
    [anon_sym_namespace] = ACTIONS(1131),
    [anon_sym_LBRACE] = ACTIONS(670),
    [anon_sym_typeof] = ACTIONS(1157),
    [anon_sym_import] = ACTIONS(674),
    [anon_sym_let] = ACTIONS(1129),
    [anon_sym_BANG] = ACTIONS(1137),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1141),
    [anon_sym_yield] = ACTIONS(1143),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(681),
    [anon_sym_async] = ACTIONS(1147),
    [anon_sym_function] = ACTIONS(685),
    [anon_sym_new] = ACTIONS(1501),
    [anon_sym_using] = ACTIONS(1151),
    [anon_sym_PLUS] = ACTIONS(1157),
    [anon_sym_DASH] = ACTIONS(1157),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1137),
    [anon_sym_void] = ACTIONS(1157),
    [anon_sym_delete] = ACTIONS(1157),
    [anon_sym_PLUS_PLUS] = ACTIONS(1159),
    [anon_sym_DASH_DASH] = ACTIONS(1159),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1165),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1503),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1129),
    [anon_sym_readonly] = ACTIONS(1129),
    [anon_sym_get] = ACTIONS(1129),
    [anon_sym_set] = ACTIONS(1129),
    [anon_sym_declare] = ACTIONS(1129),
    [anon_sym_public] = ACTIONS(1129),
    [anon_sym_private] = ACTIONS(1129),
    [anon_sym_protected] = ACTIONS(1129),
    [anon_sym_override] = ACTIONS(1129),
    [anon_sym_module] = ACTIONS(1129),
    [anon_sym_any] = ACTIONS(1129),
    [anon_sym_number] = ACTIONS(1129),
    [anon_sym_boolean] = ACTIONS(1129),
    [anon_sym_string] = ACTIONS(1129),
    [anon_sym_symbol] = ACTIONS(1129),
    [anon_sym_object] = ACTIONS(1129),
    [sym_html_comment] = ACTIONS(5),
  },
  [459] = {
    [sym_import] = STATE(3513),
    [sym_parenthesized_expression] = STATE(1417),
    [sym_expression] = STATE(2195),
    [sym_primary_expression] = STATE(1833),
    [sym_yield_expression] = STATE(2130),
    [sym_object] = STATE(2117),
    [sym_object_pattern] = STATE(5592),
    [sym_array] = STATE(2117),
    [sym_array_pattern] = STATE(5592),
    [sym_glimmer_template] = STATE(2130),
    [sym_class] = STATE(2117),
    [sym_function_expression] = STATE(2117),
    [sym_generator_function] = STATE(2117),
    [sym_arrow_function] = STATE(2117),
    [sym__call_signature] = STATE(5478),
    [sym_call_expression] = STATE(2117),
    [sym_new_expression] = STATE(1963),
    [sym_await_expression] = STATE(2130),
    [sym_member_expression] = STATE(1417),
    [sym_subscript_expression] = STATE(1417),
    [sym_assignment_expression] = STATE(2130),
    [sym__augmented_assignment_lhs] = STATE(3012),
    [sym_augmented_assignment_expression] = STATE(2130),
    [sym__destructuring_pattern] = STATE(5592),
    [sym_ternary_expression] = STATE(2130),
    [sym_binary_expression] = STATE(2130),
    [sym_unary_expression] = STATE(2130),
    [sym_update_expression] = STATE(2130),
    [sym_string] = STATE(2117),
    [sym_template_string] = STATE(2117),
    [sym_regex] = STATE(2117),
    [sym_meta_property] = STATE(2117),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1417),
    [sym_type_assertion] = STATE(2130),
    [sym_as_expression] = STATE(2130),
    [sym_satisfies_expression] = STATE(2130),
    [sym_instantiation_expression] = STATE(2130),
    [sym_internal_module] = STATE(2130),
    [sym_type_arguments] = STATE(450),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4499),
    [sym_identifier] = ACTIONS(1497),
    [anon_sym_export] = ACTIONS(1129),
    [anon_sym_type] = ACTIONS(1129),
    [anon_sym_namespace] = ACTIONS(1131),
    [anon_sym_LBRACE] = ACTIONS(670),
    [anon_sym_typeof] = ACTIONS(1157),
    [anon_sym_import] = ACTIONS(674),
    [anon_sym_let] = ACTIONS(1129),
    [anon_sym_BANG] = ACTIONS(1137),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1141),
    [anon_sym_yield] = ACTIONS(1143),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(681),
    [anon_sym_async] = ACTIONS(1147),
    [anon_sym_function] = ACTIONS(685),
    [anon_sym_new] = ACTIONS(1501),
    [anon_sym_using] = ACTIONS(1151),
    [anon_sym_PLUS] = ACTIONS(1157),
    [anon_sym_DASH] = ACTIONS(1157),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1137),
    [anon_sym_void] = ACTIONS(1157),
    [anon_sym_delete] = ACTIONS(1157),
    [anon_sym_PLUS_PLUS] = ACTIONS(1159),
    [anon_sym_DASH_DASH] = ACTIONS(1159),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1165),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1503),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1129),
    [anon_sym_readonly] = ACTIONS(1129),
    [anon_sym_get] = ACTIONS(1129),
    [anon_sym_set] = ACTIONS(1129),
    [anon_sym_declare] = ACTIONS(1129),
    [anon_sym_public] = ACTIONS(1129),
    [anon_sym_private] = ACTIONS(1129),
    [anon_sym_protected] = ACTIONS(1129),
    [anon_sym_override] = ACTIONS(1129),
    [anon_sym_module] = ACTIONS(1129),
    [anon_sym_any] = ACTIONS(1129),
    [anon_sym_number] = ACTIONS(1129),
    [anon_sym_boolean] = ACTIONS(1129),
    [anon_sym_string] = ACTIONS(1129),
    [anon_sym_symbol] = ACTIONS(1129),
    [anon_sym_object] = ACTIONS(1129),
    [sym_html_comment] = ACTIONS(5),
  },
  [460] = {
    [sym_import] = STATE(3513),
    [sym_parenthesized_expression] = STATE(1417),
    [sym_expression] = STATE(2196),
    [sym_primary_expression] = STATE(1833),
    [sym_yield_expression] = STATE(2130),
    [sym_object] = STATE(2117),
    [sym_object_pattern] = STATE(5592),
    [sym_array] = STATE(2117),
    [sym_array_pattern] = STATE(5592),
    [sym_glimmer_template] = STATE(2130),
    [sym_class] = STATE(2117),
    [sym_function_expression] = STATE(2117),
    [sym_generator_function] = STATE(2117),
    [sym_arrow_function] = STATE(2117),
    [sym__call_signature] = STATE(5478),
    [sym_call_expression] = STATE(2117),
    [sym_new_expression] = STATE(1963),
    [sym_await_expression] = STATE(2130),
    [sym_member_expression] = STATE(1417),
    [sym_subscript_expression] = STATE(1417),
    [sym_assignment_expression] = STATE(2130),
    [sym__augmented_assignment_lhs] = STATE(3012),
    [sym_augmented_assignment_expression] = STATE(2130),
    [sym__destructuring_pattern] = STATE(5592),
    [sym_ternary_expression] = STATE(2130),
    [sym_binary_expression] = STATE(2130),
    [sym_unary_expression] = STATE(2130),
    [sym_update_expression] = STATE(2130),
    [sym_string] = STATE(2117),
    [sym_template_string] = STATE(2117),
    [sym_regex] = STATE(2117),
    [sym_meta_property] = STATE(2117),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1417),
    [sym_type_assertion] = STATE(2130),
    [sym_as_expression] = STATE(2130),
    [sym_satisfies_expression] = STATE(2130),
    [sym_instantiation_expression] = STATE(2130),
    [sym_internal_module] = STATE(2130),
    [sym_type_arguments] = STATE(450),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4499),
    [sym_identifier] = ACTIONS(1497),
    [anon_sym_export] = ACTIONS(1129),
    [anon_sym_type] = ACTIONS(1129),
    [anon_sym_namespace] = ACTIONS(1131),
    [anon_sym_LBRACE] = ACTIONS(670),
    [anon_sym_typeof] = ACTIONS(1157),
    [anon_sym_import] = ACTIONS(674),
    [anon_sym_let] = ACTIONS(1129),
    [anon_sym_BANG] = ACTIONS(1137),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1141),
    [anon_sym_yield] = ACTIONS(1143),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(681),
    [anon_sym_async] = ACTIONS(1147),
    [anon_sym_function] = ACTIONS(685),
    [anon_sym_new] = ACTIONS(1501),
    [anon_sym_using] = ACTIONS(1151),
    [anon_sym_PLUS] = ACTIONS(1157),
    [anon_sym_DASH] = ACTIONS(1157),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1137),
    [anon_sym_void] = ACTIONS(1157),
    [anon_sym_delete] = ACTIONS(1157),
    [anon_sym_PLUS_PLUS] = ACTIONS(1159),
    [anon_sym_DASH_DASH] = ACTIONS(1159),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1165),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1503),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1129),
    [anon_sym_readonly] = ACTIONS(1129),
    [anon_sym_get] = ACTIONS(1129),
    [anon_sym_set] = ACTIONS(1129),
    [anon_sym_declare] = ACTIONS(1129),
    [anon_sym_public] = ACTIONS(1129),
    [anon_sym_private] = ACTIONS(1129),
    [anon_sym_protected] = ACTIONS(1129),
    [anon_sym_override] = ACTIONS(1129),
    [anon_sym_module] = ACTIONS(1129),
    [anon_sym_any] = ACTIONS(1129),
    [anon_sym_number] = ACTIONS(1129),
    [anon_sym_boolean] = ACTIONS(1129),
    [anon_sym_string] = ACTIONS(1129),
    [anon_sym_symbol] = ACTIONS(1129),
    [anon_sym_object] = ACTIONS(1129),
    [sym_html_comment] = ACTIONS(5),
  },
  [461] = {
    [sym_import] = STATE(3513),
    [sym_parenthesized_expression] = STATE(1417),
    [sym_expression] = STATE(2197),
    [sym_primary_expression] = STATE(1833),
    [sym_yield_expression] = STATE(2130),
    [sym_object] = STATE(2117),
    [sym_object_pattern] = STATE(5592),
    [sym_array] = STATE(2117),
    [sym_array_pattern] = STATE(5592),
    [sym_glimmer_template] = STATE(2130),
    [sym_class] = STATE(2117),
    [sym_function_expression] = STATE(2117),
    [sym_generator_function] = STATE(2117),
    [sym_arrow_function] = STATE(2117),
    [sym__call_signature] = STATE(5478),
    [sym_call_expression] = STATE(2117),
    [sym_new_expression] = STATE(1963),
    [sym_await_expression] = STATE(2130),
    [sym_member_expression] = STATE(1417),
    [sym_subscript_expression] = STATE(1417),
    [sym_assignment_expression] = STATE(2130),
    [sym__augmented_assignment_lhs] = STATE(3012),
    [sym_augmented_assignment_expression] = STATE(2130),
    [sym__destructuring_pattern] = STATE(5592),
    [sym_ternary_expression] = STATE(2130),
    [sym_binary_expression] = STATE(2130),
    [sym_unary_expression] = STATE(2130),
    [sym_update_expression] = STATE(2130),
    [sym_string] = STATE(2117),
    [sym_template_string] = STATE(2117),
    [sym_regex] = STATE(2117),
    [sym_meta_property] = STATE(2117),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1417),
    [sym_type_assertion] = STATE(2130),
    [sym_as_expression] = STATE(2130),
    [sym_satisfies_expression] = STATE(2130),
    [sym_instantiation_expression] = STATE(2130),
    [sym_internal_module] = STATE(2130),
    [sym_type_arguments] = STATE(450),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4499),
    [sym_identifier] = ACTIONS(1497),
    [anon_sym_export] = ACTIONS(1129),
    [anon_sym_type] = ACTIONS(1129),
    [anon_sym_namespace] = ACTIONS(1131),
    [anon_sym_LBRACE] = ACTIONS(670),
    [anon_sym_typeof] = ACTIONS(1157),
    [anon_sym_import] = ACTIONS(674),
    [anon_sym_let] = ACTIONS(1129),
    [anon_sym_BANG] = ACTIONS(1137),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1141),
    [anon_sym_yield] = ACTIONS(1143),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(681),
    [anon_sym_async] = ACTIONS(1147),
    [anon_sym_function] = ACTIONS(685),
    [anon_sym_new] = ACTIONS(1501),
    [anon_sym_using] = ACTIONS(1151),
    [anon_sym_PLUS] = ACTIONS(1157),
    [anon_sym_DASH] = ACTIONS(1157),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1137),
    [anon_sym_void] = ACTIONS(1157),
    [anon_sym_delete] = ACTIONS(1157),
    [anon_sym_PLUS_PLUS] = ACTIONS(1159),
    [anon_sym_DASH_DASH] = ACTIONS(1159),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1165),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1503),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1129),
    [anon_sym_readonly] = ACTIONS(1129),
    [anon_sym_get] = ACTIONS(1129),
    [anon_sym_set] = ACTIONS(1129),
    [anon_sym_declare] = ACTIONS(1129),
    [anon_sym_public] = ACTIONS(1129),
    [anon_sym_private] = ACTIONS(1129),
    [anon_sym_protected] = ACTIONS(1129),
    [anon_sym_override] = ACTIONS(1129),
    [anon_sym_module] = ACTIONS(1129),
    [anon_sym_any] = ACTIONS(1129),
    [anon_sym_number] = ACTIONS(1129),
    [anon_sym_boolean] = ACTIONS(1129),
    [anon_sym_string] = ACTIONS(1129),
    [anon_sym_symbol] = ACTIONS(1129),
    [anon_sym_object] = ACTIONS(1129),
    [sym_html_comment] = ACTIONS(5),
  },
  [462] = {
    [sym_import] = STATE(3513),
    [sym_parenthesized_expression] = STATE(1417),
    [sym_expression] = STATE(2198),
    [sym_primary_expression] = STATE(1833),
    [sym_yield_expression] = STATE(2130),
    [sym_object] = STATE(2117),
    [sym_object_pattern] = STATE(5592),
    [sym_array] = STATE(2117),
    [sym_array_pattern] = STATE(5592),
    [sym_glimmer_template] = STATE(2130),
    [sym_class] = STATE(2117),
    [sym_function_expression] = STATE(2117),
    [sym_generator_function] = STATE(2117),
    [sym_arrow_function] = STATE(2117),
    [sym__call_signature] = STATE(5478),
    [sym_call_expression] = STATE(2117),
    [sym_new_expression] = STATE(1963),
    [sym_await_expression] = STATE(2130),
    [sym_member_expression] = STATE(1417),
    [sym_subscript_expression] = STATE(1417),
    [sym_assignment_expression] = STATE(2130),
    [sym__augmented_assignment_lhs] = STATE(3012),
    [sym_augmented_assignment_expression] = STATE(2130),
    [sym__destructuring_pattern] = STATE(5592),
    [sym_ternary_expression] = STATE(2130),
    [sym_binary_expression] = STATE(2130),
    [sym_unary_expression] = STATE(2130),
    [sym_update_expression] = STATE(2130),
    [sym_string] = STATE(2117),
    [sym_template_string] = STATE(2117),
    [sym_regex] = STATE(2117),
    [sym_meta_property] = STATE(2117),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1417),
    [sym_type_assertion] = STATE(2130),
    [sym_as_expression] = STATE(2130),
    [sym_satisfies_expression] = STATE(2130),
    [sym_instantiation_expression] = STATE(2130),
    [sym_internal_module] = STATE(2130),
    [sym_type_arguments] = STATE(450),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4499),
    [sym_identifier] = ACTIONS(1497),
    [anon_sym_export] = ACTIONS(1129),
    [anon_sym_type] = ACTIONS(1129),
    [anon_sym_namespace] = ACTIONS(1131),
    [anon_sym_LBRACE] = ACTIONS(670),
    [anon_sym_typeof] = ACTIONS(1157),
    [anon_sym_import] = ACTIONS(674),
    [anon_sym_let] = ACTIONS(1129),
    [anon_sym_BANG] = ACTIONS(1137),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1141),
    [anon_sym_yield] = ACTIONS(1143),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(681),
    [anon_sym_async] = ACTIONS(1147),
    [anon_sym_function] = ACTIONS(685),
    [anon_sym_new] = ACTIONS(1501),
    [anon_sym_using] = ACTIONS(1151),
    [anon_sym_PLUS] = ACTIONS(1157),
    [anon_sym_DASH] = ACTIONS(1157),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1137),
    [anon_sym_void] = ACTIONS(1157),
    [anon_sym_delete] = ACTIONS(1157),
    [anon_sym_PLUS_PLUS] = ACTIONS(1159),
    [anon_sym_DASH_DASH] = ACTIONS(1159),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1165),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1503),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1129),
    [anon_sym_readonly] = ACTIONS(1129),
    [anon_sym_get] = ACTIONS(1129),
    [anon_sym_set] = ACTIONS(1129),
    [anon_sym_declare] = ACTIONS(1129),
    [anon_sym_public] = ACTIONS(1129),
    [anon_sym_private] = ACTIONS(1129),
    [anon_sym_protected] = ACTIONS(1129),
    [anon_sym_override] = ACTIONS(1129),
    [anon_sym_module] = ACTIONS(1129),
    [anon_sym_any] = ACTIONS(1129),
    [anon_sym_number] = ACTIONS(1129),
    [anon_sym_boolean] = ACTIONS(1129),
    [anon_sym_string] = ACTIONS(1129),
    [anon_sym_symbol] = ACTIONS(1129),
    [anon_sym_object] = ACTIONS(1129),
    [sym_html_comment] = ACTIONS(5),
  },
  [463] = {
    [sym_import] = STATE(3513),
    [sym_parenthesized_expression] = STATE(1417),
    [sym_expression] = STATE(2199),
    [sym_primary_expression] = STATE(1833),
    [sym_yield_expression] = STATE(2130),
    [sym_object] = STATE(2117),
    [sym_object_pattern] = STATE(5592),
    [sym_array] = STATE(2117),
    [sym_array_pattern] = STATE(5592),
    [sym_glimmer_template] = STATE(2130),
    [sym_class] = STATE(2117),
    [sym_function_expression] = STATE(2117),
    [sym_generator_function] = STATE(2117),
    [sym_arrow_function] = STATE(2117),
    [sym__call_signature] = STATE(5478),
    [sym_call_expression] = STATE(2117),
    [sym_new_expression] = STATE(1963),
    [sym_await_expression] = STATE(2130),
    [sym_member_expression] = STATE(1417),
    [sym_subscript_expression] = STATE(1417),
    [sym_assignment_expression] = STATE(2130),
    [sym__augmented_assignment_lhs] = STATE(3012),
    [sym_augmented_assignment_expression] = STATE(2130),
    [sym__destructuring_pattern] = STATE(5592),
    [sym_ternary_expression] = STATE(2130),
    [sym_binary_expression] = STATE(2130),
    [sym_unary_expression] = STATE(2130),
    [sym_update_expression] = STATE(2130),
    [sym_string] = STATE(2117),
    [sym_template_string] = STATE(2117),
    [sym_regex] = STATE(2117),
    [sym_meta_property] = STATE(2117),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1417),
    [sym_type_assertion] = STATE(2130),
    [sym_as_expression] = STATE(2130),
    [sym_satisfies_expression] = STATE(2130),
    [sym_instantiation_expression] = STATE(2130),
    [sym_internal_module] = STATE(2130),
    [sym_type_arguments] = STATE(450),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4499),
    [sym_identifier] = ACTIONS(1497),
    [anon_sym_export] = ACTIONS(1129),
    [anon_sym_type] = ACTIONS(1129),
    [anon_sym_namespace] = ACTIONS(1131),
    [anon_sym_LBRACE] = ACTIONS(670),
    [anon_sym_typeof] = ACTIONS(1157),
    [anon_sym_import] = ACTIONS(674),
    [anon_sym_let] = ACTIONS(1129),
    [anon_sym_BANG] = ACTIONS(1137),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1141),
    [anon_sym_yield] = ACTIONS(1143),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(681),
    [anon_sym_async] = ACTIONS(1147),
    [anon_sym_function] = ACTIONS(685),
    [anon_sym_new] = ACTIONS(1501),
    [anon_sym_using] = ACTIONS(1151),
    [anon_sym_PLUS] = ACTIONS(1157),
    [anon_sym_DASH] = ACTIONS(1157),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1137),
    [anon_sym_void] = ACTIONS(1157),
    [anon_sym_delete] = ACTIONS(1157),
    [anon_sym_PLUS_PLUS] = ACTIONS(1159),
    [anon_sym_DASH_DASH] = ACTIONS(1159),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1165),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1503),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1129),
    [anon_sym_readonly] = ACTIONS(1129),
    [anon_sym_get] = ACTIONS(1129),
    [anon_sym_set] = ACTIONS(1129),
    [anon_sym_declare] = ACTIONS(1129),
    [anon_sym_public] = ACTIONS(1129),
    [anon_sym_private] = ACTIONS(1129),
    [anon_sym_protected] = ACTIONS(1129),
    [anon_sym_override] = ACTIONS(1129),
    [anon_sym_module] = ACTIONS(1129),
    [anon_sym_any] = ACTIONS(1129),
    [anon_sym_number] = ACTIONS(1129),
    [anon_sym_boolean] = ACTIONS(1129),
    [anon_sym_string] = ACTIONS(1129),
    [anon_sym_symbol] = ACTIONS(1129),
    [anon_sym_object] = ACTIONS(1129),
    [sym_html_comment] = ACTIONS(5),
  },
  [464] = {
    [sym_import] = STATE(3513),
    [sym_parenthesized_expression] = STATE(1417),
    [sym_expression] = STATE(2200),
    [sym_primary_expression] = STATE(1833),
    [sym_yield_expression] = STATE(2130),
    [sym_object] = STATE(2117),
    [sym_object_pattern] = STATE(5592),
    [sym_array] = STATE(2117),
    [sym_array_pattern] = STATE(5592),
    [sym_glimmer_template] = STATE(2130),
    [sym_class] = STATE(2117),
    [sym_function_expression] = STATE(2117),
    [sym_generator_function] = STATE(2117),
    [sym_arrow_function] = STATE(2117),
    [sym__call_signature] = STATE(5478),
    [sym_call_expression] = STATE(2117),
    [sym_new_expression] = STATE(1963),
    [sym_await_expression] = STATE(2130),
    [sym_member_expression] = STATE(1417),
    [sym_subscript_expression] = STATE(1417),
    [sym_assignment_expression] = STATE(2130),
    [sym__augmented_assignment_lhs] = STATE(3012),
    [sym_augmented_assignment_expression] = STATE(2130),
    [sym__destructuring_pattern] = STATE(5592),
    [sym_ternary_expression] = STATE(2130),
    [sym_binary_expression] = STATE(2130),
    [sym_unary_expression] = STATE(2130),
    [sym_update_expression] = STATE(2130),
    [sym_string] = STATE(2117),
    [sym_template_string] = STATE(2117),
    [sym_regex] = STATE(2117),
    [sym_meta_property] = STATE(2117),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1417),
    [sym_type_assertion] = STATE(2130),
    [sym_as_expression] = STATE(2130),
    [sym_satisfies_expression] = STATE(2130),
    [sym_instantiation_expression] = STATE(2130),
    [sym_internal_module] = STATE(2130),
    [sym_type_arguments] = STATE(450),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4499),
    [sym_identifier] = ACTIONS(1497),
    [anon_sym_export] = ACTIONS(1129),
    [anon_sym_type] = ACTIONS(1129),
    [anon_sym_namespace] = ACTIONS(1131),
    [anon_sym_LBRACE] = ACTIONS(670),
    [anon_sym_typeof] = ACTIONS(1157),
    [anon_sym_import] = ACTIONS(674),
    [anon_sym_let] = ACTIONS(1129),
    [anon_sym_BANG] = ACTIONS(1137),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1141),
    [anon_sym_yield] = ACTIONS(1143),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(681),
    [anon_sym_async] = ACTIONS(1147),
    [anon_sym_function] = ACTIONS(685),
    [anon_sym_new] = ACTIONS(1501),
    [anon_sym_using] = ACTIONS(1151),
    [anon_sym_PLUS] = ACTIONS(1157),
    [anon_sym_DASH] = ACTIONS(1157),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1137),
    [anon_sym_void] = ACTIONS(1157),
    [anon_sym_delete] = ACTIONS(1157),
    [anon_sym_PLUS_PLUS] = ACTIONS(1159),
    [anon_sym_DASH_DASH] = ACTIONS(1159),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1165),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1503),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1129),
    [anon_sym_readonly] = ACTIONS(1129),
    [anon_sym_get] = ACTIONS(1129),
    [anon_sym_set] = ACTIONS(1129),
    [anon_sym_declare] = ACTIONS(1129),
    [anon_sym_public] = ACTIONS(1129),
    [anon_sym_private] = ACTIONS(1129),
    [anon_sym_protected] = ACTIONS(1129),
    [anon_sym_override] = ACTIONS(1129),
    [anon_sym_module] = ACTIONS(1129),
    [anon_sym_any] = ACTIONS(1129),
    [anon_sym_number] = ACTIONS(1129),
    [anon_sym_boolean] = ACTIONS(1129),
    [anon_sym_string] = ACTIONS(1129),
    [anon_sym_symbol] = ACTIONS(1129),
    [anon_sym_object] = ACTIONS(1129),
    [sym_html_comment] = ACTIONS(5),
  },
  [465] = {
    [sym_import] = STATE(3513),
    [sym_parenthesized_expression] = STATE(1417),
    [sym_expression] = STATE(2201),
    [sym_primary_expression] = STATE(1833),
    [sym_yield_expression] = STATE(2130),
    [sym_object] = STATE(2117),
    [sym_object_pattern] = STATE(5592),
    [sym_array] = STATE(2117),
    [sym_array_pattern] = STATE(5592),
    [sym_glimmer_template] = STATE(2130),
    [sym_class] = STATE(2117),
    [sym_function_expression] = STATE(2117),
    [sym_generator_function] = STATE(2117),
    [sym_arrow_function] = STATE(2117),
    [sym__call_signature] = STATE(5478),
    [sym_call_expression] = STATE(2117),
    [sym_new_expression] = STATE(1963),
    [sym_await_expression] = STATE(2130),
    [sym_member_expression] = STATE(1417),
    [sym_subscript_expression] = STATE(1417),
    [sym_assignment_expression] = STATE(2130),
    [sym__augmented_assignment_lhs] = STATE(3012),
    [sym_augmented_assignment_expression] = STATE(2130),
    [sym__destructuring_pattern] = STATE(5592),
    [sym_ternary_expression] = STATE(2130),
    [sym_binary_expression] = STATE(2130),
    [sym_unary_expression] = STATE(2130),
    [sym_update_expression] = STATE(2130),
    [sym_string] = STATE(2117),
    [sym_template_string] = STATE(2117),
    [sym_regex] = STATE(2117),
    [sym_meta_property] = STATE(2117),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1417),
    [sym_type_assertion] = STATE(2130),
    [sym_as_expression] = STATE(2130),
    [sym_satisfies_expression] = STATE(2130),
    [sym_instantiation_expression] = STATE(2130),
    [sym_internal_module] = STATE(2130),
    [sym_type_arguments] = STATE(450),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4499),
    [sym_identifier] = ACTIONS(1497),
    [anon_sym_export] = ACTIONS(1129),
    [anon_sym_type] = ACTIONS(1129),
    [anon_sym_namespace] = ACTIONS(1131),
    [anon_sym_LBRACE] = ACTIONS(670),
    [anon_sym_typeof] = ACTIONS(1157),
    [anon_sym_import] = ACTIONS(674),
    [anon_sym_let] = ACTIONS(1129),
    [anon_sym_BANG] = ACTIONS(1137),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1141),
    [anon_sym_yield] = ACTIONS(1143),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(681),
    [anon_sym_async] = ACTIONS(1147),
    [anon_sym_function] = ACTIONS(685),
    [anon_sym_new] = ACTIONS(1501),
    [anon_sym_using] = ACTIONS(1151),
    [anon_sym_PLUS] = ACTIONS(1157),
    [anon_sym_DASH] = ACTIONS(1157),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1137),
    [anon_sym_void] = ACTIONS(1157),
    [anon_sym_delete] = ACTIONS(1157),
    [anon_sym_PLUS_PLUS] = ACTIONS(1159),
    [anon_sym_DASH_DASH] = ACTIONS(1159),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1165),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1503),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1129),
    [anon_sym_readonly] = ACTIONS(1129),
    [anon_sym_get] = ACTIONS(1129),
    [anon_sym_set] = ACTIONS(1129),
    [anon_sym_declare] = ACTIONS(1129),
    [anon_sym_public] = ACTIONS(1129),
    [anon_sym_private] = ACTIONS(1129),
    [anon_sym_protected] = ACTIONS(1129),
    [anon_sym_override] = ACTIONS(1129),
    [anon_sym_module] = ACTIONS(1129),
    [anon_sym_any] = ACTIONS(1129),
    [anon_sym_number] = ACTIONS(1129),
    [anon_sym_boolean] = ACTIONS(1129),
    [anon_sym_string] = ACTIONS(1129),
    [anon_sym_symbol] = ACTIONS(1129),
    [anon_sym_object] = ACTIONS(1129),
    [sym_html_comment] = ACTIONS(5),
  },
  [466] = {
    [sym_import] = STATE(3513),
    [sym_parenthesized_expression] = STATE(1417),
    [sym_expression] = STATE(2202),
    [sym_primary_expression] = STATE(1833),
    [sym_yield_expression] = STATE(2130),
    [sym_object] = STATE(2117),
    [sym_object_pattern] = STATE(5592),
    [sym_array] = STATE(2117),
    [sym_array_pattern] = STATE(5592),
    [sym_glimmer_template] = STATE(2130),
    [sym_class] = STATE(2117),
    [sym_function_expression] = STATE(2117),
    [sym_generator_function] = STATE(2117),
    [sym_arrow_function] = STATE(2117),
    [sym__call_signature] = STATE(5478),
    [sym_call_expression] = STATE(2117),
    [sym_new_expression] = STATE(1963),
    [sym_await_expression] = STATE(2130),
    [sym_member_expression] = STATE(1417),
    [sym_subscript_expression] = STATE(1417),
    [sym_assignment_expression] = STATE(2130),
    [sym__augmented_assignment_lhs] = STATE(3012),
    [sym_augmented_assignment_expression] = STATE(2130),
    [sym__destructuring_pattern] = STATE(5592),
    [sym_ternary_expression] = STATE(2130),
    [sym_binary_expression] = STATE(2130),
    [sym_unary_expression] = STATE(2130),
    [sym_update_expression] = STATE(2130),
    [sym_string] = STATE(2117),
    [sym_template_string] = STATE(2117),
    [sym_regex] = STATE(2117),
    [sym_meta_property] = STATE(2117),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1417),
    [sym_type_assertion] = STATE(2130),
    [sym_as_expression] = STATE(2130),
    [sym_satisfies_expression] = STATE(2130),
    [sym_instantiation_expression] = STATE(2130),
    [sym_internal_module] = STATE(2130),
    [sym_type_arguments] = STATE(450),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4499),
    [sym_identifier] = ACTIONS(1497),
    [anon_sym_export] = ACTIONS(1129),
    [anon_sym_type] = ACTIONS(1129),
    [anon_sym_namespace] = ACTIONS(1131),
    [anon_sym_LBRACE] = ACTIONS(670),
    [anon_sym_typeof] = ACTIONS(1157),
    [anon_sym_import] = ACTIONS(674),
    [anon_sym_let] = ACTIONS(1129),
    [anon_sym_BANG] = ACTIONS(1137),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1141),
    [anon_sym_yield] = ACTIONS(1143),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(681),
    [anon_sym_async] = ACTIONS(1147),
    [anon_sym_function] = ACTIONS(685),
    [anon_sym_new] = ACTIONS(1501),
    [anon_sym_using] = ACTIONS(1151),
    [anon_sym_PLUS] = ACTIONS(1157),
    [anon_sym_DASH] = ACTIONS(1157),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1137),
    [anon_sym_void] = ACTIONS(1157),
    [anon_sym_delete] = ACTIONS(1157),
    [anon_sym_PLUS_PLUS] = ACTIONS(1159),
    [anon_sym_DASH_DASH] = ACTIONS(1159),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1165),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1503),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1129),
    [anon_sym_readonly] = ACTIONS(1129),
    [anon_sym_get] = ACTIONS(1129),
    [anon_sym_set] = ACTIONS(1129),
    [anon_sym_declare] = ACTIONS(1129),
    [anon_sym_public] = ACTIONS(1129),
    [anon_sym_private] = ACTIONS(1129),
    [anon_sym_protected] = ACTIONS(1129),
    [anon_sym_override] = ACTIONS(1129),
    [anon_sym_module] = ACTIONS(1129),
    [anon_sym_any] = ACTIONS(1129),
    [anon_sym_number] = ACTIONS(1129),
    [anon_sym_boolean] = ACTIONS(1129),
    [anon_sym_string] = ACTIONS(1129),
    [anon_sym_symbol] = ACTIONS(1129),
    [anon_sym_object] = ACTIONS(1129),
    [sym_html_comment] = ACTIONS(5),
  },
  [467] = {
    [sym_import] = STATE(3513),
    [sym_parenthesized_expression] = STATE(1417),
    [sym_expression] = STATE(2203),
    [sym_primary_expression] = STATE(1833),
    [sym_yield_expression] = STATE(2130),
    [sym_object] = STATE(2117),
    [sym_object_pattern] = STATE(5592),
    [sym_array] = STATE(2117),
    [sym_array_pattern] = STATE(5592),
    [sym_glimmer_template] = STATE(2130),
    [sym_class] = STATE(2117),
    [sym_function_expression] = STATE(2117),
    [sym_generator_function] = STATE(2117),
    [sym_arrow_function] = STATE(2117),
    [sym__call_signature] = STATE(5478),
    [sym_call_expression] = STATE(2117),
    [sym_new_expression] = STATE(1963),
    [sym_await_expression] = STATE(2130),
    [sym_member_expression] = STATE(1417),
    [sym_subscript_expression] = STATE(1417),
    [sym_assignment_expression] = STATE(2130),
    [sym__augmented_assignment_lhs] = STATE(3012),
    [sym_augmented_assignment_expression] = STATE(2130),
    [sym__destructuring_pattern] = STATE(5592),
    [sym_ternary_expression] = STATE(2130),
    [sym_binary_expression] = STATE(2130),
    [sym_unary_expression] = STATE(2130),
    [sym_update_expression] = STATE(2130),
    [sym_string] = STATE(2117),
    [sym_template_string] = STATE(2117),
    [sym_regex] = STATE(2117),
    [sym_meta_property] = STATE(2117),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1417),
    [sym_type_assertion] = STATE(2130),
    [sym_as_expression] = STATE(2130),
    [sym_satisfies_expression] = STATE(2130),
    [sym_instantiation_expression] = STATE(2130),
    [sym_internal_module] = STATE(2130),
    [sym_type_arguments] = STATE(450),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4499),
    [sym_identifier] = ACTIONS(1497),
    [anon_sym_export] = ACTIONS(1129),
    [anon_sym_type] = ACTIONS(1129),
    [anon_sym_namespace] = ACTIONS(1131),
    [anon_sym_LBRACE] = ACTIONS(670),
    [anon_sym_typeof] = ACTIONS(1157),
    [anon_sym_import] = ACTIONS(674),
    [anon_sym_let] = ACTIONS(1129),
    [anon_sym_BANG] = ACTIONS(1137),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1141),
    [anon_sym_yield] = ACTIONS(1143),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(681),
    [anon_sym_async] = ACTIONS(1147),
    [anon_sym_function] = ACTIONS(685),
    [anon_sym_new] = ACTIONS(1501),
    [anon_sym_using] = ACTIONS(1151),
    [anon_sym_PLUS] = ACTIONS(1157),
    [anon_sym_DASH] = ACTIONS(1157),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1137),
    [anon_sym_void] = ACTIONS(1157),
    [anon_sym_delete] = ACTIONS(1157),
    [anon_sym_PLUS_PLUS] = ACTIONS(1159),
    [anon_sym_DASH_DASH] = ACTIONS(1159),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1165),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1503),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1129),
    [anon_sym_readonly] = ACTIONS(1129),
    [anon_sym_get] = ACTIONS(1129),
    [anon_sym_set] = ACTIONS(1129),
    [anon_sym_declare] = ACTIONS(1129),
    [anon_sym_public] = ACTIONS(1129),
    [anon_sym_private] = ACTIONS(1129),
    [anon_sym_protected] = ACTIONS(1129),
    [anon_sym_override] = ACTIONS(1129),
    [anon_sym_module] = ACTIONS(1129),
    [anon_sym_any] = ACTIONS(1129),
    [anon_sym_number] = ACTIONS(1129),
    [anon_sym_boolean] = ACTIONS(1129),
    [anon_sym_string] = ACTIONS(1129),
    [anon_sym_symbol] = ACTIONS(1129),
    [anon_sym_object] = ACTIONS(1129),
    [sym_html_comment] = ACTIONS(5),
  },
  [468] = {
    [sym_import] = STATE(3513),
    [sym_parenthesized_expression] = STATE(1417),
    [sym_expression] = STATE(2204),
    [sym_primary_expression] = STATE(1833),
    [sym_yield_expression] = STATE(2130),
    [sym_object] = STATE(2117),
    [sym_object_pattern] = STATE(5592),
    [sym_array] = STATE(2117),
    [sym_array_pattern] = STATE(5592),
    [sym_glimmer_template] = STATE(2130),
    [sym_class] = STATE(2117),
    [sym_function_expression] = STATE(2117),
    [sym_generator_function] = STATE(2117),
    [sym_arrow_function] = STATE(2117),
    [sym__call_signature] = STATE(5478),
    [sym_call_expression] = STATE(2117),
    [sym_new_expression] = STATE(1963),
    [sym_await_expression] = STATE(2130),
    [sym_member_expression] = STATE(1417),
    [sym_subscript_expression] = STATE(1417),
    [sym_assignment_expression] = STATE(2130),
    [sym__augmented_assignment_lhs] = STATE(3012),
    [sym_augmented_assignment_expression] = STATE(2130),
    [sym__destructuring_pattern] = STATE(5592),
    [sym_ternary_expression] = STATE(2130),
    [sym_binary_expression] = STATE(2130),
    [sym_unary_expression] = STATE(2130),
    [sym_update_expression] = STATE(2130),
    [sym_string] = STATE(2117),
    [sym_template_string] = STATE(2117),
    [sym_regex] = STATE(2117),
    [sym_meta_property] = STATE(2117),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1417),
    [sym_type_assertion] = STATE(2130),
    [sym_as_expression] = STATE(2130),
    [sym_satisfies_expression] = STATE(2130),
    [sym_instantiation_expression] = STATE(2130),
    [sym_internal_module] = STATE(2130),
    [sym_type_arguments] = STATE(450),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4499),
    [sym_identifier] = ACTIONS(1497),
    [anon_sym_export] = ACTIONS(1129),
    [anon_sym_type] = ACTIONS(1129),
    [anon_sym_namespace] = ACTIONS(1131),
    [anon_sym_LBRACE] = ACTIONS(670),
    [anon_sym_typeof] = ACTIONS(1157),
    [anon_sym_import] = ACTIONS(674),
    [anon_sym_let] = ACTIONS(1129),
    [anon_sym_BANG] = ACTIONS(1137),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1141),
    [anon_sym_yield] = ACTIONS(1143),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(681),
    [anon_sym_async] = ACTIONS(1147),
    [anon_sym_function] = ACTIONS(685),
    [anon_sym_new] = ACTIONS(1501),
    [anon_sym_using] = ACTIONS(1151),
    [anon_sym_PLUS] = ACTIONS(1157),
    [anon_sym_DASH] = ACTIONS(1157),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1137),
    [anon_sym_void] = ACTIONS(1157),
    [anon_sym_delete] = ACTIONS(1157),
    [anon_sym_PLUS_PLUS] = ACTIONS(1159),
    [anon_sym_DASH_DASH] = ACTIONS(1159),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1165),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1503),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1129),
    [anon_sym_readonly] = ACTIONS(1129),
    [anon_sym_get] = ACTIONS(1129),
    [anon_sym_set] = ACTIONS(1129),
    [anon_sym_declare] = ACTIONS(1129),
    [anon_sym_public] = ACTIONS(1129),
    [anon_sym_private] = ACTIONS(1129),
    [anon_sym_protected] = ACTIONS(1129),
    [anon_sym_override] = ACTIONS(1129),
    [anon_sym_module] = ACTIONS(1129),
    [anon_sym_any] = ACTIONS(1129),
    [anon_sym_number] = ACTIONS(1129),
    [anon_sym_boolean] = ACTIONS(1129),
    [anon_sym_string] = ACTIONS(1129),
    [anon_sym_symbol] = ACTIONS(1129),
    [anon_sym_object] = ACTIONS(1129),
    [sym_html_comment] = ACTIONS(5),
  },
  [469] = {
    [sym_import] = STATE(3513),
    [sym_parenthesized_expression] = STATE(1417),
    [sym_expression] = STATE(2206),
    [sym_primary_expression] = STATE(1833),
    [sym_yield_expression] = STATE(2130),
    [sym_object] = STATE(2117),
    [sym_object_pattern] = STATE(5592),
    [sym_array] = STATE(2117),
    [sym_array_pattern] = STATE(5592),
    [sym_glimmer_template] = STATE(2130),
    [sym_class] = STATE(2117),
    [sym_function_expression] = STATE(2117),
    [sym_generator_function] = STATE(2117),
    [sym_arrow_function] = STATE(2117),
    [sym__call_signature] = STATE(5478),
    [sym_call_expression] = STATE(2117),
    [sym_new_expression] = STATE(1963),
    [sym_await_expression] = STATE(2130),
    [sym_member_expression] = STATE(1417),
    [sym_subscript_expression] = STATE(1417),
    [sym_assignment_expression] = STATE(2130),
    [sym__augmented_assignment_lhs] = STATE(3012),
    [sym_augmented_assignment_expression] = STATE(2130),
    [sym__destructuring_pattern] = STATE(5592),
    [sym_ternary_expression] = STATE(2130),
    [sym_binary_expression] = STATE(2130),
    [sym_unary_expression] = STATE(2130),
    [sym_update_expression] = STATE(2130),
    [sym_string] = STATE(2117),
    [sym_template_string] = STATE(2117),
    [sym_regex] = STATE(2117),
    [sym_meta_property] = STATE(2117),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1417),
    [sym_type_assertion] = STATE(2130),
    [sym_as_expression] = STATE(2130),
    [sym_satisfies_expression] = STATE(2130),
    [sym_instantiation_expression] = STATE(2130),
    [sym_internal_module] = STATE(2130),
    [sym_type_arguments] = STATE(450),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4499),
    [sym_identifier] = ACTIONS(1497),
    [anon_sym_export] = ACTIONS(1129),
    [anon_sym_type] = ACTIONS(1129),
    [anon_sym_namespace] = ACTIONS(1131),
    [anon_sym_LBRACE] = ACTIONS(670),
    [anon_sym_typeof] = ACTIONS(1157),
    [anon_sym_import] = ACTIONS(674),
    [anon_sym_let] = ACTIONS(1129),
    [anon_sym_BANG] = ACTIONS(1137),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1141),
    [anon_sym_yield] = ACTIONS(1143),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(681),
    [anon_sym_async] = ACTIONS(1147),
    [anon_sym_function] = ACTIONS(685),
    [anon_sym_new] = ACTIONS(1501),
    [anon_sym_using] = ACTIONS(1151),
    [anon_sym_PLUS] = ACTIONS(1157),
    [anon_sym_DASH] = ACTIONS(1157),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1137),
    [anon_sym_void] = ACTIONS(1157),
    [anon_sym_delete] = ACTIONS(1157),
    [anon_sym_PLUS_PLUS] = ACTIONS(1159),
    [anon_sym_DASH_DASH] = ACTIONS(1159),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1165),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1503),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1129),
    [anon_sym_readonly] = ACTIONS(1129),
    [anon_sym_get] = ACTIONS(1129),
    [anon_sym_set] = ACTIONS(1129),
    [anon_sym_declare] = ACTIONS(1129),
    [anon_sym_public] = ACTIONS(1129),
    [anon_sym_private] = ACTIONS(1129),
    [anon_sym_protected] = ACTIONS(1129),
    [anon_sym_override] = ACTIONS(1129),
    [anon_sym_module] = ACTIONS(1129),
    [anon_sym_any] = ACTIONS(1129),
    [anon_sym_number] = ACTIONS(1129),
    [anon_sym_boolean] = ACTIONS(1129),
    [anon_sym_string] = ACTIONS(1129),
    [anon_sym_symbol] = ACTIONS(1129),
    [anon_sym_object] = ACTIONS(1129),
    [sym_html_comment] = ACTIONS(5),
  },
  [470] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1459),
    [sym_expression] = STATE(2605),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5835),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5835),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5489),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1459),
    [sym_subscript_expression] = STATE(1459),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(3006),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5835),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1459),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(617),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(1529),
    [anon_sym_export] = ACTIONS(1081),
    [anon_sym_type] = ACTIONS(1081),
    [anon_sym_namespace] = ACTIONS(1083),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(1107),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1081),
    [anon_sym_BANG] = ACTIONS(1089),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(1091),
    [anon_sym_yield] = ACTIONS(1093),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1097),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1533),
    [anon_sym_using] = ACTIONS(1101),
    [anon_sym_PLUS] = ACTIONS(1107),
    [anon_sym_DASH] = ACTIONS(1107),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1089),
    [anon_sym_void] = ACTIONS(1107),
    [anon_sym_delete] = ACTIONS(1107),
    [anon_sym_PLUS_PLUS] = ACTIONS(1109),
    [anon_sym_DASH_DASH] = ACTIONS(1109),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(1115),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1535),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1081),
    [anon_sym_readonly] = ACTIONS(1081),
    [anon_sym_get] = ACTIONS(1081),
    [anon_sym_set] = ACTIONS(1081),
    [anon_sym_declare] = ACTIONS(1081),
    [anon_sym_public] = ACTIONS(1081),
    [anon_sym_private] = ACTIONS(1081),
    [anon_sym_protected] = ACTIONS(1081),
    [anon_sym_override] = ACTIONS(1081),
    [anon_sym_module] = ACTIONS(1081),
    [anon_sym_any] = ACTIONS(1081),
    [anon_sym_number] = ACTIONS(1081),
    [anon_sym_boolean] = ACTIONS(1081),
    [anon_sym_string] = ACTIONS(1081),
    [anon_sym_symbol] = ACTIONS(1081),
    [anon_sym_object] = ACTIONS(1081),
    [sym_html_comment] = ACTIONS(5),
  },
  [471] = {
    [sym_import] = STATE(3513),
    [sym_parenthesized_expression] = STATE(1353),
    [sym_expression] = STATE(1805),
    [sym_primary_expression] = STATE(1833),
    [sym_yield_expression] = STATE(2130),
    [sym_object] = STATE(2117),
    [sym_object_pattern] = STATE(5484),
    [sym_array] = STATE(2117),
    [sym_array_pattern] = STATE(5484),
    [sym_glimmer_template] = STATE(2130),
    [sym_class] = STATE(2117),
    [sym_function_expression] = STATE(2117),
    [sym_generator_function] = STATE(2117),
    [sym_arrow_function] = STATE(2117),
    [sym__call_signature] = STATE(5525),
    [sym_call_expression] = STATE(2117),
    [sym_new_expression] = STATE(1963),
    [sym_await_expression] = STATE(2130),
    [sym_member_expression] = STATE(1353),
    [sym_subscript_expression] = STATE(1353),
    [sym_assignment_expression] = STATE(2130),
    [sym__augmented_assignment_lhs] = STATE(3036),
    [sym_augmented_assignment_expression] = STATE(2130),
    [sym__destructuring_pattern] = STATE(5484),
    [sym_ternary_expression] = STATE(2130),
    [sym_binary_expression] = STATE(2130),
    [sym_unary_expression] = STATE(2130),
    [sym_update_expression] = STATE(2130),
    [sym_string] = STATE(2117),
    [sym_template_string] = STATE(2117),
    [sym_regex] = STATE(2117),
    [sym_meta_property] = STATE(2117),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1353),
    [sym_type_assertion] = STATE(2130),
    [sym_as_expression] = STATE(2130),
    [sym_satisfies_expression] = STATE(2130),
    [sym_instantiation_expression] = STATE(2130),
    [sym_internal_module] = STATE(2130),
    [sym_type_arguments] = STATE(427),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4499),
    [sym_identifier] = ACTIONS(1475),
    [anon_sym_export] = ACTIONS(1443),
    [anon_sym_type] = ACTIONS(1443),
    [anon_sym_namespace] = ACTIONS(1445),
    [anon_sym_LBRACE] = ACTIONS(670),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(674),
    [anon_sym_let] = ACTIONS(1443),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(681),
    [anon_sym_async] = ACTIONS(1449),
    [anon_sym_function] = ACTIONS(685),
    [anon_sym_new] = ACTIONS(1479),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1443),
    [anon_sym_readonly] = ACTIONS(1443),
    [anon_sym_get] = ACTIONS(1443),
    [anon_sym_set] = ACTIONS(1443),
    [anon_sym_declare] = ACTIONS(1443),
    [anon_sym_public] = ACTIONS(1443),
    [anon_sym_private] = ACTIONS(1443),
    [anon_sym_protected] = ACTIONS(1443),
    [anon_sym_override] = ACTIONS(1443),
    [anon_sym_module] = ACTIONS(1443),
    [anon_sym_any] = ACTIONS(1443),
    [anon_sym_number] = ACTIONS(1443),
    [anon_sym_boolean] = ACTIONS(1443),
    [anon_sym_string] = ACTIONS(1443),
    [anon_sym_symbol] = ACTIONS(1443),
    [anon_sym_object] = ACTIONS(1443),
    [sym_html_comment] = ACTIONS(5),
  },
  [472] = {
    [sym_import] = STATE(3513),
    [sym_parenthesized_expression] = STATE(1353),
    [sym_expression] = STATE(1806),
    [sym_primary_expression] = STATE(1833),
    [sym_yield_expression] = STATE(2130),
    [sym_object] = STATE(2117),
    [sym_object_pattern] = STATE(5484),
    [sym_array] = STATE(2117),
    [sym_array_pattern] = STATE(5484),
    [sym_glimmer_template] = STATE(2130),
    [sym_class] = STATE(2117),
    [sym_function_expression] = STATE(2117),
    [sym_generator_function] = STATE(2117),
    [sym_arrow_function] = STATE(2117),
    [sym__call_signature] = STATE(5525),
    [sym_call_expression] = STATE(2117),
    [sym_new_expression] = STATE(1963),
    [sym_await_expression] = STATE(2130),
    [sym_member_expression] = STATE(1353),
    [sym_subscript_expression] = STATE(1353),
    [sym_assignment_expression] = STATE(2130),
    [sym__augmented_assignment_lhs] = STATE(3036),
    [sym_augmented_assignment_expression] = STATE(2130),
    [sym__destructuring_pattern] = STATE(5484),
    [sym_ternary_expression] = STATE(2130),
    [sym_binary_expression] = STATE(2130),
    [sym_unary_expression] = STATE(2130),
    [sym_update_expression] = STATE(2130),
    [sym_string] = STATE(2117),
    [sym_template_string] = STATE(2117),
    [sym_regex] = STATE(2117),
    [sym_meta_property] = STATE(2117),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1353),
    [sym_type_assertion] = STATE(2130),
    [sym_as_expression] = STATE(2130),
    [sym_satisfies_expression] = STATE(2130),
    [sym_instantiation_expression] = STATE(2130),
    [sym_internal_module] = STATE(2130),
    [sym_type_arguments] = STATE(427),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4499),
    [sym_identifier] = ACTIONS(1475),
    [anon_sym_export] = ACTIONS(1443),
    [anon_sym_type] = ACTIONS(1443),
    [anon_sym_namespace] = ACTIONS(1445),
    [anon_sym_LBRACE] = ACTIONS(670),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(674),
    [anon_sym_let] = ACTIONS(1443),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(681),
    [anon_sym_async] = ACTIONS(1449),
    [anon_sym_function] = ACTIONS(685),
    [anon_sym_new] = ACTIONS(1479),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1443),
    [anon_sym_readonly] = ACTIONS(1443),
    [anon_sym_get] = ACTIONS(1443),
    [anon_sym_set] = ACTIONS(1443),
    [anon_sym_declare] = ACTIONS(1443),
    [anon_sym_public] = ACTIONS(1443),
    [anon_sym_private] = ACTIONS(1443),
    [anon_sym_protected] = ACTIONS(1443),
    [anon_sym_override] = ACTIONS(1443),
    [anon_sym_module] = ACTIONS(1443),
    [anon_sym_any] = ACTIONS(1443),
    [anon_sym_number] = ACTIONS(1443),
    [anon_sym_boolean] = ACTIONS(1443),
    [anon_sym_string] = ACTIONS(1443),
    [anon_sym_symbol] = ACTIONS(1443),
    [anon_sym_object] = ACTIONS(1443),
    [sym_html_comment] = ACTIONS(5),
  },
  [473] = {
    [sym_import] = STATE(3513),
    [sym_parenthesized_expression] = STATE(1353),
    [sym_expression] = STATE(1807),
    [sym_primary_expression] = STATE(1833),
    [sym_yield_expression] = STATE(2130),
    [sym_object] = STATE(2117),
    [sym_object_pattern] = STATE(5484),
    [sym_array] = STATE(2117),
    [sym_array_pattern] = STATE(5484),
    [sym_glimmer_template] = STATE(2130),
    [sym_class] = STATE(2117),
    [sym_function_expression] = STATE(2117),
    [sym_generator_function] = STATE(2117),
    [sym_arrow_function] = STATE(2117),
    [sym__call_signature] = STATE(5525),
    [sym_call_expression] = STATE(2117),
    [sym_new_expression] = STATE(1963),
    [sym_await_expression] = STATE(2130),
    [sym_member_expression] = STATE(1353),
    [sym_subscript_expression] = STATE(1353),
    [sym_assignment_expression] = STATE(2130),
    [sym__augmented_assignment_lhs] = STATE(3036),
    [sym_augmented_assignment_expression] = STATE(2130),
    [sym__destructuring_pattern] = STATE(5484),
    [sym_ternary_expression] = STATE(2130),
    [sym_binary_expression] = STATE(2130),
    [sym_unary_expression] = STATE(2130),
    [sym_update_expression] = STATE(2130),
    [sym_string] = STATE(2117),
    [sym_template_string] = STATE(2117),
    [sym_regex] = STATE(2117),
    [sym_meta_property] = STATE(2117),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1353),
    [sym_type_assertion] = STATE(2130),
    [sym_as_expression] = STATE(2130),
    [sym_satisfies_expression] = STATE(2130),
    [sym_instantiation_expression] = STATE(2130),
    [sym_internal_module] = STATE(2130),
    [sym_type_arguments] = STATE(427),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4499),
    [sym_identifier] = ACTIONS(1475),
    [anon_sym_export] = ACTIONS(1443),
    [anon_sym_type] = ACTIONS(1443),
    [anon_sym_namespace] = ACTIONS(1445),
    [anon_sym_LBRACE] = ACTIONS(670),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(674),
    [anon_sym_let] = ACTIONS(1443),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(681),
    [anon_sym_async] = ACTIONS(1449),
    [anon_sym_function] = ACTIONS(685),
    [anon_sym_new] = ACTIONS(1479),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1443),
    [anon_sym_readonly] = ACTIONS(1443),
    [anon_sym_get] = ACTIONS(1443),
    [anon_sym_set] = ACTIONS(1443),
    [anon_sym_declare] = ACTIONS(1443),
    [anon_sym_public] = ACTIONS(1443),
    [anon_sym_private] = ACTIONS(1443),
    [anon_sym_protected] = ACTIONS(1443),
    [anon_sym_override] = ACTIONS(1443),
    [anon_sym_module] = ACTIONS(1443),
    [anon_sym_any] = ACTIONS(1443),
    [anon_sym_number] = ACTIONS(1443),
    [anon_sym_boolean] = ACTIONS(1443),
    [anon_sym_string] = ACTIONS(1443),
    [anon_sym_symbol] = ACTIONS(1443),
    [anon_sym_object] = ACTIONS(1443),
    [sym_html_comment] = ACTIONS(5),
  },
  [474] = {
    [sym_import] = STATE(3513),
    [sym_parenthesized_expression] = STATE(1417),
    [sym_expression] = STATE(2210),
    [sym_primary_expression] = STATE(1833),
    [sym_yield_expression] = STATE(2130),
    [sym_object] = STATE(2117),
    [sym_object_pattern] = STATE(5592),
    [sym_array] = STATE(2117),
    [sym_array_pattern] = STATE(5592),
    [sym_glimmer_template] = STATE(2130),
    [sym_class] = STATE(2117),
    [sym_function_expression] = STATE(2117),
    [sym_generator_function] = STATE(2117),
    [sym_arrow_function] = STATE(2117),
    [sym__call_signature] = STATE(5478),
    [sym_call_expression] = STATE(2117),
    [sym_new_expression] = STATE(1963),
    [sym_await_expression] = STATE(2130),
    [sym_member_expression] = STATE(1417),
    [sym_subscript_expression] = STATE(1417),
    [sym_assignment_expression] = STATE(2130),
    [sym__augmented_assignment_lhs] = STATE(3012),
    [sym_augmented_assignment_expression] = STATE(2130),
    [sym__destructuring_pattern] = STATE(5592),
    [sym_ternary_expression] = STATE(2130),
    [sym_binary_expression] = STATE(2130),
    [sym_unary_expression] = STATE(2130),
    [sym_update_expression] = STATE(2130),
    [sym_string] = STATE(2117),
    [sym_template_string] = STATE(2117),
    [sym_regex] = STATE(2117),
    [sym_meta_property] = STATE(2117),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1417),
    [sym_type_assertion] = STATE(2130),
    [sym_as_expression] = STATE(2130),
    [sym_satisfies_expression] = STATE(2130),
    [sym_instantiation_expression] = STATE(2130),
    [sym_internal_module] = STATE(2130),
    [sym_type_arguments] = STATE(450),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4499),
    [sym_identifier] = ACTIONS(1497),
    [anon_sym_export] = ACTIONS(1129),
    [anon_sym_type] = ACTIONS(1129),
    [anon_sym_namespace] = ACTIONS(1131),
    [anon_sym_LBRACE] = ACTIONS(670),
    [anon_sym_typeof] = ACTIONS(1157),
    [anon_sym_import] = ACTIONS(674),
    [anon_sym_let] = ACTIONS(1129),
    [anon_sym_BANG] = ACTIONS(1137),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1141),
    [anon_sym_yield] = ACTIONS(1143),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(681),
    [anon_sym_async] = ACTIONS(1147),
    [anon_sym_function] = ACTIONS(685),
    [anon_sym_new] = ACTIONS(1501),
    [anon_sym_using] = ACTIONS(1151),
    [anon_sym_PLUS] = ACTIONS(1157),
    [anon_sym_DASH] = ACTIONS(1157),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1137),
    [anon_sym_void] = ACTIONS(1157),
    [anon_sym_delete] = ACTIONS(1157),
    [anon_sym_PLUS_PLUS] = ACTIONS(1159),
    [anon_sym_DASH_DASH] = ACTIONS(1159),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1165),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1503),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1129),
    [anon_sym_readonly] = ACTIONS(1129),
    [anon_sym_get] = ACTIONS(1129),
    [anon_sym_set] = ACTIONS(1129),
    [anon_sym_declare] = ACTIONS(1129),
    [anon_sym_public] = ACTIONS(1129),
    [anon_sym_private] = ACTIONS(1129),
    [anon_sym_protected] = ACTIONS(1129),
    [anon_sym_override] = ACTIONS(1129),
    [anon_sym_module] = ACTIONS(1129),
    [anon_sym_any] = ACTIONS(1129),
    [anon_sym_number] = ACTIONS(1129),
    [anon_sym_boolean] = ACTIONS(1129),
    [anon_sym_string] = ACTIONS(1129),
    [anon_sym_symbol] = ACTIONS(1129),
    [anon_sym_object] = ACTIONS(1129),
    [sym_html_comment] = ACTIONS(5),
  },
  [475] = {
    [sym_import] = STATE(3513),
    [sym_parenthesized_expression] = STATE(1417),
    [sym_expression] = STATE(2211),
    [sym_primary_expression] = STATE(1833),
    [sym_yield_expression] = STATE(2130),
    [sym_object] = STATE(2117),
    [sym_object_pattern] = STATE(5592),
    [sym_array] = STATE(2117),
    [sym_array_pattern] = STATE(5592),
    [sym_glimmer_template] = STATE(2130),
    [sym_class] = STATE(2117),
    [sym_function_expression] = STATE(2117),
    [sym_generator_function] = STATE(2117),
    [sym_arrow_function] = STATE(2117),
    [sym__call_signature] = STATE(5478),
    [sym_call_expression] = STATE(2117),
    [sym_new_expression] = STATE(1963),
    [sym_await_expression] = STATE(2130),
    [sym_member_expression] = STATE(1417),
    [sym_subscript_expression] = STATE(1417),
    [sym_assignment_expression] = STATE(2130),
    [sym__augmented_assignment_lhs] = STATE(3012),
    [sym_augmented_assignment_expression] = STATE(2130),
    [sym__destructuring_pattern] = STATE(5592),
    [sym_ternary_expression] = STATE(2130),
    [sym_binary_expression] = STATE(2130),
    [sym_unary_expression] = STATE(2130),
    [sym_update_expression] = STATE(2130),
    [sym_string] = STATE(2117),
    [sym_template_string] = STATE(2117),
    [sym_regex] = STATE(2117),
    [sym_meta_property] = STATE(2117),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1417),
    [sym_type_assertion] = STATE(2130),
    [sym_as_expression] = STATE(2130),
    [sym_satisfies_expression] = STATE(2130),
    [sym_instantiation_expression] = STATE(2130),
    [sym_internal_module] = STATE(2130),
    [sym_type_arguments] = STATE(450),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4499),
    [sym_identifier] = ACTIONS(1497),
    [anon_sym_export] = ACTIONS(1129),
    [anon_sym_type] = ACTIONS(1129),
    [anon_sym_namespace] = ACTIONS(1131),
    [anon_sym_LBRACE] = ACTIONS(670),
    [anon_sym_typeof] = ACTIONS(1157),
    [anon_sym_import] = ACTIONS(674),
    [anon_sym_let] = ACTIONS(1129),
    [anon_sym_BANG] = ACTIONS(1137),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1141),
    [anon_sym_yield] = ACTIONS(1143),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(681),
    [anon_sym_async] = ACTIONS(1147),
    [anon_sym_function] = ACTIONS(685),
    [anon_sym_new] = ACTIONS(1501),
    [anon_sym_using] = ACTIONS(1151),
    [anon_sym_PLUS] = ACTIONS(1157),
    [anon_sym_DASH] = ACTIONS(1157),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1137),
    [anon_sym_void] = ACTIONS(1157),
    [anon_sym_delete] = ACTIONS(1157),
    [anon_sym_PLUS_PLUS] = ACTIONS(1159),
    [anon_sym_DASH_DASH] = ACTIONS(1159),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1165),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1503),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1129),
    [anon_sym_readonly] = ACTIONS(1129),
    [anon_sym_get] = ACTIONS(1129),
    [anon_sym_set] = ACTIONS(1129),
    [anon_sym_declare] = ACTIONS(1129),
    [anon_sym_public] = ACTIONS(1129),
    [anon_sym_private] = ACTIONS(1129),
    [anon_sym_protected] = ACTIONS(1129),
    [anon_sym_override] = ACTIONS(1129),
    [anon_sym_module] = ACTIONS(1129),
    [anon_sym_any] = ACTIONS(1129),
    [anon_sym_number] = ACTIONS(1129),
    [anon_sym_boolean] = ACTIONS(1129),
    [anon_sym_string] = ACTIONS(1129),
    [anon_sym_symbol] = ACTIONS(1129),
    [anon_sym_object] = ACTIONS(1129),
    [sym_html_comment] = ACTIONS(5),
  },
  [476] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1381),
    [sym_expression] = STATE(1924),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5574),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5574),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5865),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1381),
    [sym_subscript_expression] = STATE(1381),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(3033),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5574),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1381),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(635),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(1489),
    [anon_sym_export] = ACTIONS(1275),
    [anon_sym_type] = ACTIONS(1275),
    [anon_sym_namespace] = ACTIONS(1277),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(763),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1275),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(743),
    [anon_sym_yield] = ACTIONS(745),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1285),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1493),
    [anon_sym_using] = ACTIONS(753),
    [anon_sym_PLUS] = ACTIONS(763),
    [anon_sym_DASH] = ACTIONS(763),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(739),
    [anon_sym_void] = ACTIONS(763),
    [anon_sym_delete] = ACTIONS(763),
    [anon_sym_PLUS_PLUS] = ACTIONS(765),
    [anon_sym_DASH_DASH] = ACTIONS(765),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(2136),
    [sym_private_property_identifier] = ACTIONS(771),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1495),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1275),
    [anon_sym_readonly] = ACTIONS(1275),
    [anon_sym_get] = ACTIONS(1275),
    [anon_sym_set] = ACTIONS(1275),
    [anon_sym_declare] = ACTIONS(1275),
    [anon_sym_public] = ACTIONS(1275),
    [anon_sym_private] = ACTIONS(1275),
    [anon_sym_protected] = ACTIONS(1275),
    [anon_sym_override] = ACTIONS(1275),
    [anon_sym_module] = ACTIONS(1275),
    [anon_sym_any] = ACTIONS(1275),
    [anon_sym_number] = ACTIONS(1275),
    [anon_sym_boolean] = ACTIONS(1275),
    [anon_sym_string] = ACTIONS(1275),
    [anon_sym_symbol] = ACTIONS(1275),
    [anon_sym_object] = ACTIONS(1275),
    [sym_html_comment] = ACTIONS(5),
  },
  [477] = {
    [sym_import] = STATE(3513),
    [sym_parenthesized_expression] = STATE(1353),
    [sym_expression] = STATE(1808),
    [sym_primary_expression] = STATE(1833),
    [sym_yield_expression] = STATE(2130),
    [sym_object] = STATE(2117),
    [sym_object_pattern] = STATE(5484),
    [sym_array] = STATE(2117),
    [sym_array_pattern] = STATE(5484),
    [sym_glimmer_template] = STATE(2130),
    [sym_class] = STATE(2117),
    [sym_function_expression] = STATE(2117),
    [sym_generator_function] = STATE(2117),
    [sym_arrow_function] = STATE(2117),
    [sym__call_signature] = STATE(5525),
    [sym_call_expression] = STATE(2117),
    [sym_new_expression] = STATE(1963),
    [sym_await_expression] = STATE(2130),
    [sym_member_expression] = STATE(1353),
    [sym_subscript_expression] = STATE(1353),
    [sym_assignment_expression] = STATE(2130),
    [sym__augmented_assignment_lhs] = STATE(3036),
    [sym_augmented_assignment_expression] = STATE(2130),
    [sym__destructuring_pattern] = STATE(5484),
    [sym_ternary_expression] = STATE(2130),
    [sym_binary_expression] = STATE(2130),
    [sym_unary_expression] = STATE(2130),
    [sym_update_expression] = STATE(2130),
    [sym_string] = STATE(2117),
    [sym_template_string] = STATE(2117),
    [sym_regex] = STATE(2117),
    [sym_meta_property] = STATE(2117),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1353),
    [sym_type_assertion] = STATE(2130),
    [sym_as_expression] = STATE(2130),
    [sym_satisfies_expression] = STATE(2130),
    [sym_instantiation_expression] = STATE(2130),
    [sym_internal_module] = STATE(2130),
    [sym_type_arguments] = STATE(427),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4499),
    [sym_identifier] = ACTIONS(1475),
    [anon_sym_export] = ACTIONS(1443),
    [anon_sym_type] = ACTIONS(1443),
    [anon_sym_namespace] = ACTIONS(1445),
    [anon_sym_LBRACE] = ACTIONS(670),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(674),
    [anon_sym_let] = ACTIONS(1443),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(681),
    [anon_sym_async] = ACTIONS(1449),
    [anon_sym_function] = ACTIONS(685),
    [anon_sym_new] = ACTIONS(1479),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1443),
    [anon_sym_readonly] = ACTIONS(1443),
    [anon_sym_get] = ACTIONS(1443),
    [anon_sym_set] = ACTIONS(1443),
    [anon_sym_declare] = ACTIONS(1443),
    [anon_sym_public] = ACTIONS(1443),
    [anon_sym_private] = ACTIONS(1443),
    [anon_sym_protected] = ACTIONS(1443),
    [anon_sym_override] = ACTIONS(1443),
    [anon_sym_module] = ACTIONS(1443),
    [anon_sym_any] = ACTIONS(1443),
    [anon_sym_number] = ACTIONS(1443),
    [anon_sym_boolean] = ACTIONS(1443),
    [anon_sym_string] = ACTIONS(1443),
    [anon_sym_symbol] = ACTIONS(1443),
    [anon_sym_object] = ACTIONS(1443),
    [sym_html_comment] = ACTIONS(5),
  },
  [478] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1324),
    [sym_expression] = STATE(2323),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5710),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5710),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5565),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1324),
    [sym_subscript_expression] = STATE(1324),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(2958),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5710),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1324),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(482),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(1463),
    [anon_sym_export] = ACTIONS(1055),
    [anon_sym_type] = ACTIONS(1055),
    [anon_sym_namespace] = ACTIONS(1057),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(620),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1055),
    [anon_sym_BANG] = ACTIONS(592),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(594),
    [anon_sym_yield] = ACTIONS(596),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1065),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1471),
    [anon_sym_using] = ACTIONS(606),
    [anon_sym_PLUS] = ACTIONS(620),
    [anon_sym_DASH] = ACTIONS(620),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(592),
    [anon_sym_void] = ACTIONS(620),
    [anon_sym_delete] = ACTIONS(620),
    [anon_sym_PLUS_PLUS] = ACTIONS(622),
    [anon_sym_DASH_DASH] = ACTIONS(622),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(624),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1473),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1055),
    [anon_sym_readonly] = ACTIONS(1055),
    [anon_sym_get] = ACTIONS(1055),
    [anon_sym_set] = ACTIONS(1055),
    [anon_sym_declare] = ACTIONS(1055),
    [anon_sym_public] = ACTIONS(1055),
    [anon_sym_private] = ACTIONS(1055),
    [anon_sym_protected] = ACTIONS(1055),
    [anon_sym_override] = ACTIONS(1055),
    [anon_sym_module] = ACTIONS(1055),
    [anon_sym_any] = ACTIONS(1055),
    [anon_sym_number] = ACTIONS(1055),
    [anon_sym_boolean] = ACTIONS(1055),
    [anon_sym_string] = ACTIONS(1055),
    [anon_sym_symbol] = ACTIONS(1055),
    [anon_sym_object] = ACTIONS(1055),
    [sym_html_comment] = ACTIONS(5),
  },
  [479] = {
    [sym_import] = STATE(3513),
    [sym_parenthesized_expression] = STATE(1417),
    [sym_expression] = STATE(2215),
    [sym_primary_expression] = STATE(1833),
    [sym_yield_expression] = STATE(2130),
    [sym_object] = STATE(2117),
    [sym_object_pattern] = STATE(5592),
    [sym_array] = STATE(2117),
    [sym_array_pattern] = STATE(5592),
    [sym_glimmer_template] = STATE(2130),
    [sym_class] = STATE(2117),
    [sym_function_expression] = STATE(2117),
    [sym_generator_function] = STATE(2117),
    [sym_arrow_function] = STATE(2117),
    [sym__call_signature] = STATE(5478),
    [sym_call_expression] = STATE(2117),
    [sym_new_expression] = STATE(1963),
    [sym_await_expression] = STATE(2130),
    [sym_member_expression] = STATE(1417),
    [sym_subscript_expression] = STATE(1417),
    [sym_assignment_expression] = STATE(2130),
    [sym__augmented_assignment_lhs] = STATE(3012),
    [sym_augmented_assignment_expression] = STATE(2130),
    [sym__destructuring_pattern] = STATE(5592),
    [sym_ternary_expression] = STATE(2130),
    [sym_binary_expression] = STATE(2130),
    [sym_unary_expression] = STATE(2130),
    [sym_update_expression] = STATE(2130),
    [sym_string] = STATE(2117),
    [sym_template_string] = STATE(2117),
    [sym_regex] = STATE(2117),
    [sym_meta_property] = STATE(2117),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1417),
    [sym_type_assertion] = STATE(2130),
    [sym_as_expression] = STATE(2130),
    [sym_satisfies_expression] = STATE(2130),
    [sym_instantiation_expression] = STATE(2130),
    [sym_internal_module] = STATE(2130),
    [sym_type_arguments] = STATE(450),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4499),
    [sym_identifier] = ACTIONS(1497),
    [anon_sym_export] = ACTIONS(1129),
    [anon_sym_type] = ACTIONS(1129),
    [anon_sym_namespace] = ACTIONS(1131),
    [anon_sym_LBRACE] = ACTIONS(670),
    [anon_sym_typeof] = ACTIONS(1157),
    [anon_sym_import] = ACTIONS(674),
    [anon_sym_let] = ACTIONS(1129),
    [anon_sym_BANG] = ACTIONS(1137),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1141),
    [anon_sym_yield] = ACTIONS(1143),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(681),
    [anon_sym_async] = ACTIONS(1147),
    [anon_sym_function] = ACTIONS(685),
    [anon_sym_new] = ACTIONS(1501),
    [anon_sym_using] = ACTIONS(1151),
    [anon_sym_PLUS] = ACTIONS(1157),
    [anon_sym_DASH] = ACTIONS(1157),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1137),
    [anon_sym_void] = ACTIONS(1157),
    [anon_sym_delete] = ACTIONS(1157),
    [anon_sym_PLUS_PLUS] = ACTIONS(1159),
    [anon_sym_DASH_DASH] = ACTIONS(1159),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1165),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1503),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1129),
    [anon_sym_readonly] = ACTIONS(1129),
    [anon_sym_get] = ACTIONS(1129),
    [anon_sym_set] = ACTIONS(1129),
    [anon_sym_declare] = ACTIONS(1129),
    [anon_sym_public] = ACTIONS(1129),
    [anon_sym_private] = ACTIONS(1129),
    [anon_sym_protected] = ACTIONS(1129),
    [anon_sym_override] = ACTIONS(1129),
    [anon_sym_module] = ACTIONS(1129),
    [anon_sym_any] = ACTIONS(1129),
    [anon_sym_number] = ACTIONS(1129),
    [anon_sym_boolean] = ACTIONS(1129),
    [anon_sym_string] = ACTIONS(1129),
    [anon_sym_symbol] = ACTIONS(1129),
    [anon_sym_object] = ACTIONS(1129),
    [sym_html_comment] = ACTIONS(5),
  },
  [480] = {
    [sym_import] = STATE(3513),
    [sym_parenthesized_expression] = STATE(1353),
    [sym_expression] = STATE(1826),
    [sym_primary_expression] = STATE(1833),
    [sym_yield_expression] = STATE(2130),
    [sym_object] = STATE(2117),
    [sym_object_pattern] = STATE(5484),
    [sym_array] = STATE(2117),
    [sym_array_pattern] = STATE(5484),
    [sym_glimmer_template] = STATE(2130),
    [sym_class] = STATE(2117),
    [sym_function_expression] = STATE(2117),
    [sym_generator_function] = STATE(2117),
    [sym_arrow_function] = STATE(2117),
    [sym__call_signature] = STATE(5525),
    [sym_call_expression] = STATE(2117),
    [sym_new_expression] = STATE(1963),
    [sym_await_expression] = STATE(2130),
    [sym_member_expression] = STATE(1353),
    [sym_subscript_expression] = STATE(1353),
    [sym_assignment_expression] = STATE(2130),
    [sym__augmented_assignment_lhs] = STATE(3036),
    [sym_augmented_assignment_expression] = STATE(2130),
    [sym__destructuring_pattern] = STATE(5484),
    [sym_ternary_expression] = STATE(2130),
    [sym_binary_expression] = STATE(2130),
    [sym_unary_expression] = STATE(2130),
    [sym_update_expression] = STATE(2130),
    [sym_string] = STATE(2117),
    [sym_template_string] = STATE(2117),
    [sym_regex] = STATE(2117),
    [sym_meta_property] = STATE(2117),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1353),
    [sym_type_assertion] = STATE(2130),
    [sym_as_expression] = STATE(2130),
    [sym_satisfies_expression] = STATE(2130),
    [sym_instantiation_expression] = STATE(2130),
    [sym_internal_module] = STATE(2130),
    [sym_type_arguments] = STATE(427),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4499),
    [sym_identifier] = ACTIONS(1475),
    [anon_sym_export] = ACTIONS(1443),
    [anon_sym_type] = ACTIONS(1443),
    [anon_sym_namespace] = ACTIONS(1445),
    [anon_sym_LBRACE] = ACTIONS(670),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(674),
    [anon_sym_let] = ACTIONS(1443),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(681),
    [anon_sym_async] = ACTIONS(1449),
    [anon_sym_function] = ACTIONS(685),
    [anon_sym_new] = ACTIONS(1479),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1443),
    [anon_sym_readonly] = ACTIONS(1443),
    [anon_sym_get] = ACTIONS(1443),
    [anon_sym_set] = ACTIONS(1443),
    [anon_sym_declare] = ACTIONS(1443),
    [anon_sym_public] = ACTIONS(1443),
    [anon_sym_private] = ACTIONS(1443),
    [anon_sym_protected] = ACTIONS(1443),
    [anon_sym_override] = ACTIONS(1443),
    [anon_sym_module] = ACTIONS(1443),
    [anon_sym_any] = ACTIONS(1443),
    [anon_sym_number] = ACTIONS(1443),
    [anon_sym_boolean] = ACTIONS(1443),
    [anon_sym_string] = ACTIONS(1443),
    [anon_sym_symbol] = ACTIONS(1443),
    [anon_sym_object] = ACTIONS(1443),
    [sym_html_comment] = ACTIONS(5),
  },
  [481] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1228),
    [sym_expression] = STATE(2546),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5482),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5482),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5824),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1228),
    [sym_subscript_expression] = STATE(1228),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(2969),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5482),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1228),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(537),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(809),
    [anon_sym_export] = ACTIONS(811),
    [anon_sym_type] = ACTIONS(811),
    [anon_sym_namespace] = ACTIONS(813),
    [anon_sym_LBRACE] = ACTIONS(815),
    [anon_sym_typeof] = ACTIONS(184),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(811),
    [anon_sym_BANG] = ACTIONS(180),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(819),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(823),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(825),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(184),
    [anon_sym_DASH] = ACTIONS(184),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(691),
    [anon_sym_DASH_DASH] = ACTIONS(691),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(829),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(811),
    [anon_sym_readonly] = ACTIONS(811),
    [anon_sym_get] = ACTIONS(811),
    [anon_sym_set] = ACTIONS(811),
    [anon_sym_declare] = ACTIONS(811),
    [anon_sym_public] = ACTIONS(811),
    [anon_sym_private] = ACTIONS(811),
    [anon_sym_protected] = ACTIONS(811),
    [anon_sym_override] = ACTIONS(811),
    [anon_sym_module] = ACTIONS(811),
    [anon_sym_any] = ACTIONS(811),
    [anon_sym_number] = ACTIONS(811),
    [anon_sym_boolean] = ACTIONS(811),
    [anon_sym_string] = ACTIONS(811),
    [anon_sym_symbol] = ACTIONS(811),
    [anon_sym_object] = ACTIONS(811),
    [sym_html_comment] = ACTIONS(5),
  },
  [482] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1324),
    [sym_expression] = STATE(1741),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5710),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5710),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5565),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1324),
    [sym_subscript_expression] = STATE(1324),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(2958),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5710),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1324),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(482),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(1463),
    [anon_sym_export] = ACTIONS(1055),
    [anon_sym_type] = ACTIONS(1055),
    [anon_sym_namespace] = ACTIONS(1057),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(620),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1055),
    [anon_sym_BANG] = ACTIONS(592),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(594),
    [anon_sym_yield] = ACTIONS(596),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1065),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1471),
    [anon_sym_using] = ACTIONS(606),
    [anon_sym_PLUS] = ACTIONS(620),
    [anon_sym_DASH] = ACTIONS(620),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(592),
    [anon_sym_void] = ACTIONS(620),
    [anon_sym_delete] = ACTIONS(620),
    [anon_sym_PLUS_PLUS] = ACTIONS(622),
    [anon_sym_DASH_DASH] = ACTIONS(622),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(624),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1473),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1055),
    [anon_sym_readonly] = ACTIONS(1055),
    [anon_sym_get] = ACTIONS(1055),
    [anon_sym_set] = ACTIONS(1055),
    [anon_sym_declare] = ACTIONS(1055),
    [anon_sym_public] = ACTIONS(1055),
    [anon_sym_private] = ACTIONS(1055),
    [anon_sym_protected] = ACTIONS(1055),
    [anon_sym_override] = ACTIONS(1055),
    [anon_sym_module] = ACTIONS(1055),
    [anon_sym_any] = ACTIONS(1055),
    [anon_sym_number] = ACTIONS(1055),
    [anon_sym_boolean] = ACTIONS(1055),
    [anon_sym_string] = ACTIONS(1055),
    [anon_sym_symbol] = ACTIONS(1055),
    [anon_sym_object] = ACTIONS(1055),
    [sym_html_comment] = ACTIONS(5),
  },
  [483] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1324),
    [sym_expression] = STATE(1743),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5710),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5710),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5565),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1324),
    [sym_subscript_expression] = STATE(1324),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(2958),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5710),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1324),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(482),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(1463),
    [anon_sym_export] = ACTIONS(1055),
    [anon_sym_type] = ACTIONS(1055),
    [anon_sym_namespace] = ACTIONS(1057),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(620),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1055),
    [anon_sym_BANG] = ACTIONS(592),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(594),
    [anon_sym_yield] = ACTIONS(596),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1065),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1471),
    [anon_sym_using] = ACTIONS(606),
    [anon_sym_PLUS] = ACTIONS(620),
    [anon_sym_DASH] = ACTIONS(620),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(592),
    [anon_sym_void] = ACTIONS(620),
    [anon_sym_delete] = ACTIONS(620),
    [anon_sym_PLUS_PLUS] = ACTIONS(622),
    [anon_sym_DASH_DASH] = ACTIONS(622),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(624),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1473),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1055),
    [anon_sym_readonly] = ACTIONS(1055),
    [anon_sym_get] = ACTIONS(1055),
    [anon_sym_set] = ACTIONS(1055),
    [anon_sym_declare] = ACTIONS(1055),
    [anon_sym_public] = ACTIONS(1055),
    [anon_sym_private] = ACTIONS(1055),
    [anon_sym_protected] = ACTIONS(1055),
    [anon_sym_override] = ACTIONS(1055),
    [anon_sym_module] = ACTIONS(1055),
    [anon_sym_any] = ACTIONS(1055),
    [anon_sym_number] = ACTIONS(1055),
    [anon_sym_boolean] = ACTIONS(1055),
    [anon_sym_string] = ACTIONS(1055),
    [anon_sym_symbol] = ACTIONS(1055),
    [anon_sym_object] = ACTIONS(1055),
    [sym_html_comment] = ACTIONS(5),
  },
  [484] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1467),
    [sym_expression] = STATE(2615),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5830),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5830),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5824),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1467),
    [sym_subscript_expression] = STATE(1467),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(2969),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5830),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1467),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(537),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(2166),
    [anon_sym_export] = ACTIONS(2168),
    [anon_sym_type] = ACTIONS(2168),
    [anon_sym_namespace] = ACTIONS(2170),
    [anon_sym_LBRACE] = ACTIONS(815),
    [anon_sym_typeof] = ACTIONS(184),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(2168),
    [anon_sym_BANG] = ACTIONS(180),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(819),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(2172),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(2174),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(184),
    [anon_sym_DASH] = ACTIONS(184),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(691),
    [anon_sym_DASH_DASH] = ACTIONS(691),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(2176),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(2168),
    [anon_sym_readonly] = ACTIONS(2168),
    [anon_sym_get] = ACTIONS(2168),
    [anon_sym_set] = ACTIONS(2168),
    [anon_sym_declare] = ACTIONS(2168),
    [anon_sym_public] = ACTIONS(2168),
    [anon_sym_private] = ACTIONS(2168),
    [anon_sym_protected] = ACTIONS(2168),
    [anon_sym_override] = ACTIONS(2168),
    [anon_sym_module] = ACTIONS(2168),
    [anon_sym_any] = ACTIONS(2168),
    [anon_sym_number] = ACTIONS(2168),
    [anon_sym_boolean] = ACTIONS(2168),
    [anon_sym_string] = ACTIONS(2168),
    [anon_sym_symbol] = ACTIONS(2168),
    [anon_sym_object] = ACTIONS(2168),
    [sym_html_comment] = ACTIONS(5),
  },
  [485] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1324),
    [sym_expression] = STATE(1744),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5710),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5710),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5565),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1324),
    [sym_subscript_expression] = STATE(1324),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(2958),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5710),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1324),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(482),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(1463),
    [anon_sym_export] = ACTIONS(1055),
    [anon_sym_type] = ACTIONS(1055),
    [anon_sym_namespace] = ACTIONS(1057),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(620),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1055),
    [anon_sym_BANG] = ACTIONS(592),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(594),
    [anon_sym_yield] = ACTIONS(596),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1065),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1471),
    [anon_sym_using] = ACTIONS(606),
    [anon_sym_PLUS] = ACTIONS(620),
    [anon_sym_DASH] = ACTIONS(620),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(592),
    [anon_sym_void] = ACTIONS(620),
    [anon_sym_delete] = ACTIONS(620),
    [anon_sym_PLUS_PLUS] = ACTIONS(622),
    [anon_sym_DASH_DASH] = ACTIONS(622),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(624),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1473),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1055),
    [anon_sym_readonly] = ACTIONS(1055),
    [anon_sym_get] = ACTIONS(1055),
    [anon_sym_set] = ACTIONS(1055),
    [anon_sym_declare] = ACTIONS(1055),
    [anon_sym_public] = ACTIONS(1055),
    [anon_sym_private] = ACTIONS(1055),
    [anon_sym_protected] = ACTIONS(1055),
    [anon_sym_override] = ACTIONS(1055),
    [anon_sym_module] = ACTIONS(1055),
    [anon_sym_any] = ACTIONS(1055),
    [anon_sym_number] = ACTIONS(1055),
    [anon_sym_boolean] = ACTIONS(1055),
    [anon_sym_string] = ACTIONS(1055),
    [anon_sym_symbol] = ACTIONS(1055),
    [anon_sym_object] = ACTIONS(1055),
    [sym_html_comment] = ACTIONS(5),
  },
  [486] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1324),
    [sym_expression] = STATE(1745),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5710),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5710),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5565),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1324),
    [sym_subscript_expression] = STATE(1324),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(2958),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5710),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1324),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(482),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(1463),
    [anon_sym_export] = ACTIONS(1055),
    [anon_sym_type] = ACTIONS(1055),
    [anon_sym_namespace] = ACTIONS(1057),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(620),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1055),
    [anon_sym_BANG] = ACTIONS(592),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(594),
    [anon_sym_yield] = ACTIONS(596),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1065),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1471),
    [anon_sym_using] = ACTIONS(606),
    [anon_sym_PLUS] = ACTIONS(620),
    [anon_sym_DASH] = ACTIONS(620),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(592),
    [anon_sym_void] = ACTIONS(620),
    [anon_sym_delete] = ACTIONS(620),
    [anon_sym_PLUS_PLUS] = ACTIONS(622),
    [anon_sym_DASH_DASH] = ACTIONS(622),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(624),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1473),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1055),
    [anon_sym_readonly] = ACTIONS(1055),
    [anon_sym_get] = ACTIONS(1055),
    [anon_sym_set] = ACTIONS(1055),
    [anon_sym_declare] = ACTIONS(1055),
    [anon_sym_public] = ACTIONS(1055),
    [anon_sym_private] = ACTIONS(1055),
    [anon_sym_protected] = ACTIONS(1055),
    [anon_sym_override] = ACTIONS(1055),
    [anon_sym_module] = ACTIONS(1055),
    [anon_sym_any] = ACTIONS(1055),
    [anon_sym_number] = ACTIONS(1055),
    [anon_sym_boolean] = ACTIONS(1055),
    [anon_sym_string] = ACTIONS(1055),
    [anon_sym_symbol] = ACTIONS(1055),
    [anon_sym_object] = ACTIONS(1055),
    [sym_html_comment] = ACTIONS(5),
  },
  [487] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1324),
    [sym_expression] = STATE(1747),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5710),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5710),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5565),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1324),
    [sym_subscript_expression] = STATE(1324),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(2958),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5710),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1324),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(482),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(1463),
    [anon_sym_export] = ACTIONS(1055),
    [anon_sym_type] = ACTIONS(1055),
    [anon_sym_namespace] = ACTIONS(1057),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(620),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1055),
    [anon_sym_BANG] = ACTIONS(592),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(594),
    [anon_sym_yield] = ACTIONS(596),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1065),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1471),
    [anon_sym_using] = ACTIONS(606),
    [anon_sym_PLUS] = ACTIONS(620),
    [anon_sym_DASH] = ACTIONS(620),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(592),
    [anon_sym_void] = ACTIONS(620),
    [anon_sym_delete] = ACTIONS(620),
    [anon_sym_PLUS_PLUS] = ACTIONS(622),
    [anon_sym_DASH_DASH] = ACTIONS(622),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(624),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1473),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1055),
    [anon_sym_readonly] = ACTIONS(1055),
    [anon_sym_get] = ACTIONS(1055),
    [anon_sym_set] = ACTIONS(1055),
    [anon_sym_declare] = ACTIONS(1055),
    [anon_sym_public] = ACTIONS(1055),
    [anon_sym_private] = ACTIONS(1055),
    [anon_sym_protected] = ACTIONS(1055),
    [anon_sym_override] = ACTIONS(1055),
    [anon_sym_module] = ACTIONS(1055),
    [anon_sym_any] = ACTIONS(1055),
    [anon_sym_number] = ACTIONS(1055),
    [anon_sym_boolean] = ACTIONS(1055),
    [anon_sym_string] = ACTIONS(1055),
    [anon_sym_symbol] = ACTIONS(1055),
    [anon_sym_object] = ACTIONS(1055),
    [sym_html_comment] = ACTIONS(5),
  },
  [488] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1324),
    [sym_expression] = STATE(1748),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5710),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5710),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5565),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1324),
    [sym_subscript_expression] = STATE(1324),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(2958),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5710),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1324),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(482),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(1463),
    [anon_sym_export] = ACTIONS(1055),
    [anon_sym_type] = ACTIONS(1055),
    [anon_sym_namespace] = ACTIONS(1057),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(620),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1055),
    [anon_sym_BANG] = ACTIONS(592),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(594),
    [anon_sym_yield] = ACTIONS(596),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1065),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1471),
    [anon_sym_using] = ACTIONS(606),
    [anon_sym_PLUS] = ACTIONS(620),
    [anon_sym_DASH] = ACTIONS(620),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(592),
    [anon_sym_void] = ACTIONS(620),
    [anon_sym_delete] = ACTIONS(620),
    [anon_sym_PLUS_PLUS] = ACTIONS(622),
    [anon_sym_DASH_DASH] = ACTIONS(622),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(624),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1473),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1055),
    [anon_sym_readonly] = ACTIONS(1055),
    [anon_sym_get] = ACTIONS(1055),
    [anon_sym_set] = ACTIONS(1055),
    [anon_sym_declare] = ACTIONS(1055),
    [anon_sym_public] = ACTIONS(1055),
    [anon_sym_private] = ACTIONS(1055),
    [anon_sym_protected] = ACTIONS(1055),
    [anon_sym_override] = ACTIONS(1055),
    [anon_sym_module] = ACTIONS(1055),
    [anon_sym_any] = ACTIONS(1055),
    [anon_sym_number] = ACTIONS(1055),
    [anon_sym_boolean] = ACTIONS(1055),
    [anon_sym_string] = ACTIONS(1055),
    [anon_sym_symbol] = ACTIONS(1055),
    [anon_sym_object] = ACTIONS(1055),
    [sym_html_comment] = ACTIONS(5),
  },
  [489] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1324),
    [sym_expression] = STATE(1795),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5710),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5710),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5565),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1324),
    [sym_subscript_expression] = STATE(1324),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(2958),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5710),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1324),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(482),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(1463),
    [anon_sym_export] = ACTIONS(1055),
    [anon_sym_type] = ACTIONS(1055),
    [anon_sym_namespace] = ACTIONS(1057),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(620),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1055),
    [anon_sym_BANG] = ACTIONS(592),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(594),
    [anon_sym_yield] = ACTIONS(596),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1065),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1471),
    [anon_sym_using] = ACTIONS(606),
    [anon_sym_PLUS] = ACTIONS(620),
    [anon_sym_DASH] = ACTIONS(620),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(592),
    [anon_sym_void] = ACTIONS(620),
    [anon_sym_delete] = ACTIONS(620),
    [anon_sym_PLUS_PLUS] = ACTIONS(622),
    [anon_sym_DASH_DASH] = ACTIONS(622),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(624),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1473),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1055),
    [anon_sym_readonly] = ACTIONS(1055),
    [anon_sym_get] = ACTIONS(1055),
    [anon_sym_set] = ACTIONS(1055),
    [anon_sym_declare] = ACTIONS(1055),
    [anon_sym_public] = ACTIONS(1055),
    [anon_sym_private] = ACTIONS(1055),
    [anon_sym_protected] = ACTIONS(1055),
    [anon_sym_override] = ACTIONS(1055),
    [anon_sym_module] = ACTIONS(1055),
    [anon_sym_any] = ACTIONS(1055),
    [anon_sym_number] = ACTIONS(1055),
    [anon_sym_boolean] = ACTIONS(1055),
    [anon_sym_string] = ACTIONS(1055),
    [anon_sym_symbol] = ACTIONS(1055),
    [anon_sym_object] = ACTIONS(1055),
    [sym_html_comment] = ACTIONS(5),
  },
  [490] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1324),
    [sym_expression] = STATE(1749),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5710),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5710),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5565),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1324),
    [sym_subscript_expression] = STATE(1324),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(2958),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5710),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1324),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(482),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(1463),
    [anon_sym_export] = ACTIONS(1055),
    [anon_sym_type] = ACTIONS(1055),
    [anon_sym_namespace] = ACTIONS(1057),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(620),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1055),
    [anon_sym_BANG] = ACTIONS(592),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(594),
    [anon_sym_yield] = ACTIONS(596),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1065),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1471),
    [anon_sym_using] = ACTIONS(606),
    [anon_sym_PLUS] = ACTIONS(620),
    [anon_sym_DASH] = ACTIONS(620),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(592),
    [anon_sym_void] = ACTIONS(620),
    [anon_sym_delete] = ACTIONS(620),
    [anon_sym_PLUS_PLUS] = ACTIONS(622),
    [anon_sym_DASH_DASH] = ACTIONS(622),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(624),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1473),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1055),
    [anon_sym_readonly] = ACTIONS(1055),
    [anon_sym_get] = ACTIONS(1055),
    [anon_sym_set] = ACTIONS(1055),
    [anon_sym_declare] = ACTIONS(1055),
    [anon_sym_public] = ACTIONS(1055),
    [anon_sym_private] = ACTIONS(1055),
    [anon_sym_protected] = ACTIONS(1055),
    [anon_sym_override] = ACTIONS(1055),
    [anon_sym_module] = ACTIONS(1055),
    [anon_sym_any] = ACTIONS(1055),
    [anon_sym_number] = ACTIONS(1055),
    [anon_sym_boolean] = ACTIONS(1055),
    [anon_sym_string] = ACTIONS(1055),
    [anon_sym_symbol] = ACTIONS(1055),
    [anon_sym_object] = ACTIONS(1055),
    [sym_html_comment] = ACTIONS(5),
  },
  [491] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1324),
    [sym_expression] = STATE(1750),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5710),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5710),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5565),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1324),
    [sym_subscript_expression] = STATE(1324),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(2958),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5710),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1324),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(482),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(1463),
    [anon_sym_export] = ACTIONS(1055),
    [anon_sym_type] = ACTIONS(1055),
    [anon_sym_namespace] = ACTIONS(1057),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(620),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1055),
    [anon_sym_BANG] = ACTIONS(592),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(594),
    [anon_sym_yield] = ACTIONS(596),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1065),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1471),
    [anon_sym_using] = ACTIONS(606),
    [anon_sym_PLUS] = ACTIONS(620),
    [anon_sym_DASH] = ACTIONS(620),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(592),
    [anon_sym_void] = ACTIONS(620),
    [anon_sym_delete] = ACTIONS(620),
    [anon_sym_PLUS_PLUS] = ACTIONS(622),
    [anon_sym_DASH_DASH] = ACTIONS(622),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(624),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1473),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1055),
    [anon_sym_readonly] = ACTIONS(1055),
    [anon_sym_get] = ACTIONS(1055),
    [anon_sym_set] = ACTIONS(1055),
    [anon_sym_declare] = ACTIONS(1055),
    [anon_sym_public] = ACTIONS(1055),
    [anon_sym_private] = ACTIONS(1055),
    [anon_sym_protected] = ACTIONS(1055),
    [anon_sym_override] = ACTIONS(1055),
    [anon_sym_module] = ACTIONS(1055),
    [anon_sym_any] = ACTIONS(1055),
    [anon_sym_number] = ACTIONS(1055),
    [anon_sym_boolean] = ACTIONS(1055),
    [anon_sym_string] = ACTIONS(1055),
    [anon_sym_symbol] = ACTIONS(1055),
    [anon_sym_object] = ACTIONS(1055),
    [sym_html_comment] = ACTIONS(5),
  },
  [492] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1324),
    [sym_expression] = STATE(1751),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5710),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5710),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5565),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1324),
    [sym_subscript_expression] = STATE(1324),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(2958),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5710),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1324),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(482),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(1463),
    [anon_sym_export] = ACTIONS(1055),
    [anon_sym_type] = ACTIONS(1055),
    [anon_sym_namespace] = ACTIONS(1057),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(620),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1055),
    [anon_sym_BANG] = ACTIONS(592),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(594),
    [anon_sym_yield] = ACTIONS(596),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1065),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1471),
    [anon_sym_using] = ACTIONS(606),
    [anon_sym_PLUS] = ACTIONS(620),
    [anon_sym_DASH] = ACTIONS(620),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(592),
    [anon_sym_void] = ACTIONS(620),
    [anon_sym_delete] = ACTIONS(620),
    [anon_sym_PLUS_PLUS] = ACTIONS(622),
    [anon_sym_DASH_DASH] = ACTIONS(622),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(624),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1473),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1055),
    [anon_sym_readonly] = ACTIONS(1055),
    [anon_sym_get] = ACTIONS(1055),
    [anon_sym_set] = ACTIONS(1055),
    [anon_sym_declare] = ACTIONS(1055),
    [anon_sym_public] = ACTIONS(1055),
    [anon_sym_private] = ACTIONS(1055),
    [anon_sym_protected] = ACTIONS(1055),
    [anon_sym_override] = ACTIONS(1055),
    [anon_sym_module] = ACTIONS(1055),
    [anon_sym_any] = ACTIONS(1055),
    [anon_sym_number] = ACTIONS(1055),
    [anon_sym_boolean] = ACTIONS(1055),
    [anon_sym_string] = ACTIONS(1055),
    [anon_sym_symbol] = ACTIONS(1055),
    [anon_sym_object] = ACTIONS(1055),
    [sym_html_comment] = ACTIONS(5),
  },
  [493] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1324),
    [sym_expression] = STATE(1781),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5710),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5710),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5565),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1324),
    [sym_subscript_expression] = STATE(1324),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(2958),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5710),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1324),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(482),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(1463),
    [anon_sym_export] = ACTIONS(1055),
    [anon_sym_type] = ACTIONS(1055),
    [anon_sym_namespace] = ACTIONS(1057),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(620),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1055),
    [anon_sym_BANG] = ACTIONS(592),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(594),
    [anon_sym_yield] = ACTIONS(596),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1065),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1471),
    [anon_sym_using] = ACTIONS(606),
    [anon_sym_PLUS] = ACTIONS(620),
    [anon_sym_DASH] = ACTIONS(620),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(592),
    [anon_sym_void] = ACTIONS(620),
    [anon_sym_delete] = ACTIONS(620),
    [anon_sym_PLUS_PLUS] = ACTIONS(622),
    [anon_sym_DASH_DASH] = ACTIONS(622),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(624),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1473),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1055),
    [anon_sym_readonly] = ACTIONS(1055),
    [anon_sym_get] = ACTIONS(1055),
    [anon_sym_set] = ACTIONS(1055),
    [anon_sym_declare] = ACTIONS(1055),
    [anon_sym_public] = ACTIONS(1055),
    [anon_sym_private] = ACTIONS(1055),
    [anon_sym_protected] = ACTIONS(1055),
    [anon_sym_override] = ACTIONS(1055),
    [anon_sym_module] = ACTIONS(1055),
    [anon_sym_any] = ACTIONS(1055),
    [anon_sym_number] = ACTIONS(1055),
    [anon_sym_boolean] = ACTIONS(1055),
    [anon_sym_string] = ACTIONS(1055),
    [anon_sym_symbol] = ACTIONS(1055),
    [anon_sym_object] = ACTIONS(1055),
    [sym_html_comment] = ACTIONS(5),
  },
  [494] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1324),
    [sym_expression] = STATE(1753),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5710),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5710),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5565),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1324),
    [sym_subscript_expression] = STATE(1324),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(2958),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5710),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1324),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(482),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(1463),
    [anon_sym_export] = ACTIONS(1055),
    [anon_sym_type] = ACTIONS(1055),
    [anon_sym_namespace] = ACTIONS(1057),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(620),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1055),
    [anon_sym_BANG] = ACTIONS(592),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(594),
    [anon_sym_yield] = ACTIONS(596),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1065),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1471),
    [anon_sym_using] = ACTIONS(606),
    [anon_sym_PLUS] = ACTIONS(620),
    [anon_sym_DASH] = ACTIONS(620),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(592),
    [anon_sym_void] = ACTIONS(620),
    [anon_sym_delete] = ACTIONS(620),
    [anon_sym_PLUS_PLUS] = ACTIONS(622),
    [anon_sym_DASH_DASH] = ACTIONS(622),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(624),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1473),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1055),
    [anon_sym_readonly] = ACTIONS(1055),
    [anon_sym_get] = ACTIONS(1055),
    [anon_sym_set] = ACTIONS(1055),
    [anon_sym_declare] = ACTIONS(1055),
    [anon_sym_public] = ACTIONS(1055),
    [anon_sym_private] = ACTIONS(1055),
    [anon_sym_protected] = ACTIONS(1055),
    [anon_sym_override] = ACTIONS(1055),
    [anon_sym_module] = ACTIONS(1055),
    [anon_sym_any] = ACTIONS(1055),
    [anon_sym_number] = ACTIONS(1055),
    [anon_sym_boolean] = ACTIONS(1055),
    [anon_sym_string] = ACTIONS(1055),
    [anon_sym_symbol] = ACTIONS(1055),
    [anon_sym_object] = ACTIONS(1055),
    [sym_html_comment] = ACTIONS(5),
  },
  [495] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1324),
    [sym_expression] = STATE(1754),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5710),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5710),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5565),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1324),
    [sym_subscript_expression] = STATE(1324),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(2958),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5710),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1324),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(482),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(1463),
    [anon_sym_export] = ACTIONS(1055),
    [anon_sym_type] = ACTIONS(1055),
    [anon_sym_namespace] = ACTIONS(1057),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(620),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1055),
    [anon_sym_BANG] = ACTIONS(592),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(594),
    [anon_sym_yield] = ACTIONS(596),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1065),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1471),
    [anon_sym_using] = ACTIONS(606),
    [anon_sym_PLUS] = ACTIONS(620),
    [anon_sym_DASH] = ACTIONS(620),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(592),
    [anon_sym_void] = ACTIONS(620),
    [anon_sym_delete] = ACTIONS(620),
    [anon_sym_PLUS_PLUS] = ACTIONS(622),
    [anon_sym_DASH_DASH] = ACTIONS(622),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(624),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1473),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1055),
    [anon_sym_readonly] = ACTIONS(1055),
    [anon_sym_get] = ACTIONS(1055),
    [anon_sym_set] = ACTIONS(1055),
    [anon_sym_declare] = ACTIONS(1055),
    [anon_sym_public] = ACTIONS(1055),
    [anon_sym_private] = ACTIONS(1055),
    [anon_sym_protected] = ACTIONS(1055),
    [anon_sym_override] = ACTIONS(1055),
    [anon_sym_module] = ACTIONS(1055),
    [anon_sym_any] = ACTIONS(1055),
    [anon_sym_number] = ACTIONS(1055),
    [anon_sym_boolean] = ACTIONS(1055),
    [anon_sym_string] = ACTIONS(1055),
    [anon_sym_symbol] = ACTIONS(1055),
    [anon_sym_object] = ACTIONS(1055),
    [sym_html_comment] = ACTIONS(5),
  },
  [496] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1324),
    [sym_expression] = STATE(1755),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5710),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5710),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5565),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1324),
    [sym_subscript_expression] = STATE(1324),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(2958),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5710),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1324),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(482),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(1463),
    [anon_sym_export] = ACTIONS(1055),
    [anon_sym_type] = ACTIONS(1055),
    [anon_sym_namespace] = ACTIONS(1057),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(620),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1055),
    [anon_sym_BANG] = ACTIONS(592),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(594),
    [anon_sym_yield] = ACTIONS(596),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1065),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1471),
    [anon_sym_using] = ACTIONS(606),
    [anon_sym_PLUS] = ACTIONS(620),
    [anon_sym_DASH] = ACTIONS(620),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(592),
    [anon_sym_void] = ACTIONS(620),
    [anon_sym_delete] = ACTIONS(620),
    [anon_sym_PLUS_PLUS] = ACTIONS(622),
    [anon_sym_DASH_DASH] = ACTIONS(622),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(624),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1473),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1055),
    [anon_sym_readonly] = ACTIONS(1055),
    [anon_sym_get] = ACTIONS(1055),
    [anon_sym_set] = ACTIONS(1055),
    [anon_sym_declare] = ACTIONS(1055),
    [anon_sym_public] = ACTIONS(1055),
    [anon_sym_private] = ACTIONS(1055),
    [anon_sym_protected] = ACTIONS(1055),
    [anon_sym_override] = ACTIONS(1055),
    [anon_sym_module] = ACTIONS(1055),
    [anon_sym_any] = ACTIONS(1055),
    [anon_sym_number] = ACTIONS(1055),
    [anon_sym_boolean] = ACTIONS(1055),
    [anon_sym_string] = ACTIONS(1055),
    [anon_sym_symbol] = ACTIONS(1055),
    [anon_sym_object] = ACTIONS(1055),
    [sym_html_comment] = ACTIONS(5),
  },
  [497] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1324),
    [sym_expression] = STATE(1756),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5710),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5710),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5565),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1324),
    [sym_subscript_expression] = STATE(1324),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(2958),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5710),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1324),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(482),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(1463),
    [anon_sym_export] = ACTIONS(1055),
    [anon_sym_type] = ACTIONS(1055),
    [anon_sym_namespace] = ACTIONS(1057),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(620),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1055),
    [anon_sym_BANG] = ACTIONS(592),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(594),
    [anon_sym_yield] = ACTIONS(596),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1065),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1471),
    [anon_sym_using] = ACTIONS(606),
    [anon_sym_PLUS] = ACTIONS(620),
    [anon_sym_DASH] = ACTIONS(620),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(592),
    [anon_sym_void] = ACTIONS(620),
    [anon_sym_delete] = ACTIONS(620),
    [anon_sym_PLUS_PLUS] = ACTIONS(622),
    [anon_sym_DASH_DASH] = ACTIONS(622),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(624),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1473),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1055),
    [anon_sym_readonly] = ACTIONS(1055),
    [anon_sym_get] = ACTIONS(1055),
    [anon_sym_set] = ACTIONS(1055),
    [anon_sym_declare] = ACTIONS(1055),
    [anon_sym_public] = ACTIONS(1055),
    [anon_sym_private] = ACTIONS(1055),
    [anon_sym_protected] = ACTIONS(1055),
    [anon_sym_override] = ACTIONS(1055),
    [anon_sym_module] = ACTIONS(1055),
    [anon_sym_any] = ACTIONS(1055),
    [anon_sym_number] = ACTIONS(1055),
    [anon_sym_boolean] = ACTIONS(1055),
    [anon_sym_string] = ACTIONS(1055),
    [anon_sym_symbol] = ACTIONS(1055),
    [anon_sym_object] = ACTIONS(1055),
    [sym_html_comment] = ACTIONS(5),
  },
  [498] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1324),
    [sym_expression] = STATE(1757),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5710),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5710),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5565),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1324),
    [sym_subscript_expression] = STATE(1324),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(2958),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5710),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1324),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(482),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(1463),
    [anon_sym_export] = ACTIONS(1055),
    [anon_sym_type] = ACTIONS(1055),
    [anon_sym_namespace] = ACTIONS(1057),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(620),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1055),
    [anon_sym_BANG] = ACTIONS(592),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(594),
    [anon_sym_yield] = ACTIONS(596),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1065),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1471),
    [anon_sym_using] = ACTIONS(606),
    [anon_sym_PLUS] = ACTIONS(620),
    [anon_sym_DASH] = ACTIONS(620),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(592),
    [anon_sym_void] = ACTIONS(620),
    [anon_sym_delete] = ACTIONS(620),
    [anon_sym_PLUS_PLUS] = ACTIONS(622),
    [anon_sym_DASH_DASH] = ACTIONS(622),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(624),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1473),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1055),
    [anon_sym_readonly] = ACTIONS(1055),
    [anon_sym_get] = ACTIONS(1055),
    [anon_sym_set] = ACTIONS(1055),
    [anon_sym_declare] = ACTIONS(1055),
    [anon_sym_public] = ACTIONS(1055),
    [anon_sym_private] = ACTIONS(1055),
    [anon_sym_protected] = ACTIONS(1055),
    [anon_sym_override] = ACTIONS(1055),
    [anon_sym_module] = ACTIONS(1055),
    [anon_sym_any] = ACTIONS(1055),
    [anon_sym_number] = ACTIONS(1055),
    [anon_sym_boolean] = ACTIONS(1055),
    [anon_sym_string] = ACTIONS(1055),
    [anon_sym_symbol] = ACTIONS(1055),
    [anon_sym_object] = ACTIONS(1055),
    [sym_html_comment] = ACTIONS(5),
  },
  [499] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1324),
    [sym_expression] = STATE(1758),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5710),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5710),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5565),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1324),
    [sym_subscript_expression] = STATE(1324),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(2958),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5710),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1324),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(482),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(1463),
    [anon_sym_export] = ACTIONS(1055),
    [anon_sym_type] = ACTIONS(1055),
    [anon_sym_namespace] = ACTIONS(1057),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(620),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1055),
    [anon_sym_BANG] = ACTIONS(592),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(594),
    [anon_sym_yield] = ACTIONS(596),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1065),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1471),
    [anon_sym_using] = ACTIONS(606),
    [anon_sym_PLUS] = ACTIONS(620),
    [anon_sym_DASH] = ACTIONS(620),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(592),
    [anon_sym_void] = ACTIONS(620),
    [anon_sym_delete] = ACTIONS(620),
    [anon_sym_PLUS_PLUS] = ACTIONS(622),
    [anon_sym_DASH_DASH] = ACTIONS(622),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(624),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1473),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1055),
    [anon_sym_readonly] = ACTIONS(1055),
    [anon_sym_get] = ACTIONS(1055),
    [anon_sym_set] = ACTIONS(1055),
    [anon_sym_declare] = ACTIONS(1055),
    [anon_sym_public] = ACTIONS(1055),
    [anon_sym_private] = ACTIONS(1055),
    [anon_sym_protected] = ACTIONS(1055),
    [anon_sym_override] = ACTIONS(1055),
    [anon_sym_module] = ACTIONS(1055),
    [anon_sym_any] = ACTIONS(1055),
    [anon_sym_number] = ACTIONS(1055),
    [anon_sym_boolean] = ACTIONS(1055),
    [anon_sym_string] = ACTIONS(1055),
    [anon_sym_symbol] = ACTIONS(1055),
    [anon_sym_object] = ACTIONS(1055),
    [sym_html_comment] = ACTIONS(5),
  },
  [500] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1324),
    [sym_expression] = STATE(1760),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5710),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5710),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5565),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1324),
    [sym_subscript_expression] = STATE(1324),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(2958),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5710),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1324),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(482),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(1463),
    [anon_sym_export] = ACTIONS(1055),
    [anon_sym_type] = ACTIONS(1055),
    [anon_sym_namespace] = ACTIONS(1057),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(620),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1055),
    [anon_sym_BANG] = ACTIONS(592),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(594),
    [anon_sym_yield] = ACTIONS(596),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1065),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1471),
    [anon_sym_using] = ACTIONS(606),
    [anon_sym_PLUS] = ACTIONS(620),
    [anon_sym_DASH] = ACTIONS(620),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(592),
    [anon_sym_void] = ACTIONS(620),
    [anon_sym_delete] = ACTIONS(620),
    [anon_sym_PLUS_PLUS] = ACTIONS(622),
    [anon_sym_DASH_DASH] = ACTIONS(622),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(624),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1473),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1055),
    [anon_sym_readonly] = ACTIONS(1055),
    [anon_sym_get] = ACTIONS(1055),
    [anon_sym_set] = ACTIONS(1055),
    [anon_sym_declare] = ACTIONS(1055),
    [anon_sym_public] = ACTIONS(1055),
    [anon_sym_private] = ACTIONS(1055),
    [anon_sym_protected] = ACTIONS(1055),
    [anon_sym_override] = ACTIONS(1055),
    [anon_sym_module] = ACTIONS(1055),
    [anon_sym_any] = ACTIONS(1055),
    [anon_sym_number] = ACTIONS(1055),
    [anon_sym_boolean] = ACTIONS(1055),
    [anon_sym_string] = ACTIONS(1055),
    [anon_sym_symbol] = ACTIONS(1055),
    [anon_sym_object] = ACTIONS(1055),
    [sym_html_comment] = ACTIONS(5),
  },
  [501] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1324),
    [sym_expression] = STATE(2472),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5710),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5710),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5565),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1324),
    [sym_subscript_expression] = STATE(1324),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(2958),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5710),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1324),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(482),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(1463),
    [anon_sym_export] = ACTIONS(1055),
    [anon_sym_type] = ACTIONS(1055),
    [anon_sym_namespace] = ACTIONS(1057),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(620),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1055),
    [anon_sym_BANG] = ACTIONS(592),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(594),
    [anon_sym_yield] = ACTIONS(596),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1065),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1471),
    [anon_sym_using] = ACTIONS(606),
    [anon_sym_PLUS] = ACTIONS(620),
    [anon_sym_DASH] = ACTIONS(620),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(592),
    [anon_sym_void] = ACTIONS(620),
    [anon_sym_delete] = ACTIONS(620),
    [anon_sym_PLUS_PLUS] = ACTIONS(622),
    [anon_sym_DASH_DASH] = ACTIONS(622),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(624),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1473),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1055),
    [anon_sym_readonly] = ACTIONS(1055),
    [anon_sym_get] = ACTIONS(1055),
    [anon_sym_set] = ACTIONS(1055),
    [anon_sym_declare] = ACTIONS(1055),
    [anon_sym_public] = ACTIONS(1055),
    [anon_sym_private] = ACTIONS(1055),
    [anon_sym_protected] = ACTIONS(1055),
    [anon_sym_override] = ACTIONS(1055),
    [anon_sym_module] = ACTIONS(1055),
    [anon_sym_any] = ACTIONS(1055),
    [anon_sym_number] = ACTIONS(1055),
    [anon_sym_boolean] = ACTIONS(1055),
    [anon_sym_string] = ACTIONS(1055),
    [anon_sym_symbol] = ACTIONS(1055),
    [anon_sym_object] = ACTIONS(1055),
    [sym_html_comment] = ACTIONS(5),
  },
  [502] = {
    [sym_import] = STATE(3513),
    [sym_parenthesized_expression] = STATE(1353),
    [sym_expression] = STATE(1809),
    [sym_primary_expression] = STATE(1833),
    [sym_yield_expression] = STATE(2130),
    [sym_object] = STATE(2117),
    [sym_object_pattern] = STATE(5484),
    [sym_array] = STATE(2117),
    [sym_array_pattern] = STATE(5484),
    [sym_glimmer_template] = STATE(2130),
    [sym_class] = STATE(2117),
    [sym_function_expression] = STATE(2117),
    [sym_generator_function] = STATE(2117),
    [sym_arrow_function] = STATE(2117),
    [sym__call_signature] = STATE(5525),
    [sym_call_expression] = STATE(2117),
    [sym_new_expression] = STATE(1963),
    [sym_await_expression] = STATE(2130),
    [sym_member_expression] = STATE(1353),
    [sym_subscript_expression] = STATE(1353),
    [sym_assignment_expression] = STATE(2130),
    [sym__augmented_assignment_lhs] = STATE(3036),
    [sym_augmented_assignment_expression] = STATE(2130),
    [sym__destructuring_pattern] = STATE(5484),
    [sym_ternary_expression] = STATE(2130),
    [sym_binary_expression] = STATE(2130),
    [sym_unary_expression] = STATE(2130),
    [sym_update_expression] = STATE(2130),
    [sym_string] = STATE(2117),
    [sym_template_string] = STATE(2117),
    [sym_regex] = STATE(2117),
    [sym_meta_property] = STATE(2117),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1353),
    [sym_type_assertion] = STATE(2130),
    [sym_as_expression] = STATE(2130),
    [sym_satisfies_expression] = STATE(2130),
    [sym_instantiation_expression] = STATE(2130),
    [sym_internal_module] = STATE(2130),
    [sym_type_arguments] = STATE(427),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4499),
    [sym_identifier] = ACTIONS(1475),
    [anon_sym_export] = ACTIONS(1443),
    [anon_sym_type] = ACTIONS(1443),
    [anon_sym_namespace] = ACTIONS(1445),
    [anon_sym_LBRACE] = ACTIONS(670),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(674),
    [anon_sym_let] = ACTIONS(1443),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(681),
    [anon_sym_async] = ACTIONS(1449),
    [anon_sym_function] = ACTIONS(685),
    [anon_sym_new] = ACTIONS(1479),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1443),
    [anon_sym_readonly] = ACTIONS(1443),
    [anon_sym_get] = ACTIONS(1443),
    [anon_sym_set] = ACTIONS(1443),
    [anon_sym_declare] = ACTIONS(1443),
    [anon_sym_public] = ACTIONS(1443),
    [anon_sym_private] = ACTIONS(1443),
    [anon_sym_protected] = ACTIONS(1443),
    [anon_sym_override] = ACTIONS(1443),
    [anon_sym_module] = ACTIONS(1443),
    [anon_sym_any] = ACTIONS(1443),
    [anon_sym_number] = ACTIONS(1443),
    [anon_sym_boolean] = ACTIONS(1443),
    [anon_sym_string] = ACTIONS(1443),
    [anon_sym_symbol] = ACTIONS(1443),
    [anon_sym_object] = ACTIONS(1443),
    [sym_html_comment] = ACTIONS(5),
  },
  [503] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1324),
    [sym_expression] = STATE(1764),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5710),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5710),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5565),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1324),
    [sym_subscript_expression] = STATE(1324),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(2958),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5710),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1324),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(482),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(1463),
    [anon_sym_export] = ACTIONS(1055),
    [anon_sym_type] = ACTIONS(1055),
    [anon_sym_namespace] = ACTIONS(1057),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(620),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1055),
    [anon_sym_BANG] = ACTIONS(592),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(594),
    [anon_sym_yield] = ACTIONS(596),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1065),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1471),
    [anon_sym_using] = ACTIONS(606),
    [anon_sym_PLUS] = ACTIONS(620),
    [anon_sym_DASH] = ACTIONS(620),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(592),
    [anon_sym_void] = ACTIONS(620),
    [anon_sym_delete] = ACTIONS(620),
    [anon_sym_PLUS_PLUS] = ACTIONS(622),
    [anon_sym_DASH_DASH] = ACTIONS(622),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(624),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1473),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1055),
    [anon_sym_readonly] = ACTIONS(1055),
    [anon_sym_get] = ACTIONS(1055),
    [anon_sym_set] = ACTIONS(1055),
    [anon_sym_declare] = ACTIONS(1055),
    [anon_sym_public] = ACTIONS(1055),
    [anon_sym_private] = ACTIONS(1055),
    [anon_sym_protected] = ACTIONS(1055),
    [anon_sym_override] = ACTIONS(1055),
    [anon_sym_module] = ACTIONS(1055),
    [anon_sym_any] = ACTIONS(1055),
    [anon_sym_number] = ACTIONS(1055),
    [anon_sym_boolean] = ACTIONS(1055),
    [anon_sym_string] = ACTIONS(1055),
    [anon_sym_symbol] = ACTIONS(1055),
    [anon_sym_object] = ACTIONS(1055),
    [sym_html_comment] = ACTIONS(5),
  },
  [504] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1324),
    [sym_expression] = STATE(1765),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5710),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5710),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5565),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1324),
    [sym_subscript_expression] = STATE(1324),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(2958),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5710),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1324),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(482),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(1463),
    [anon_sym_export] = ACTIONS(1055),
    [anon_sym_type] = ACTIONS(1055),
    [anon_sym_namespace] = ACTIONS(1057),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(620),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1055),
    [anon_sym_BANG] = ACTIONS(592),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(594),
    [anon_sym_yield] = ACTIONS(596),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1065),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1471),
    [anon_sym_using] = ACTIONS(606),
    [anon_sym_PLUS] = ACTIONS(620),
    [anon_sym_DASH] = ACTIONS(620),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(592),
    [anon_sym_void] = ACTIONS(620),
    [anon_sym_delete] = ACTIONS(620),
    [anon_sym_PLUS_PLUS] = ACTIONS(622),
    [anon_sym_DASH_DASH] = ACTIONS(622),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(624),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1473),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1055),
    [anon_sym_readonly] = ACTIONS(1055),
    [anon_sym_get] = ACTIONS(1055),
    [anon_sym_set] = ACTIONS(1055),
    [anon_sym_declare] = ACTIONS(1055),
    [anon_sym_public] = ACTIONS(1055),
    [anon_sym_private] = ACTIONS(1055),
    [anon_sym_protected] = ACTIONS(1055),
    [anon_sym_override] = ACTIONS(1055),
    [anon_sym_module] = ACTIONS(1055),
    [anon_sym_any] = ACTIONS(1055),
    [anon_sym_number] = ACTIONS(1055),
    [anon_sym_boolean] = ACTIONS(1055),
    [anon_sym_string] = ACTIONS(1055),
    [anon_sym_symbol] = ACTIONS(1055),
    [anon_sym_object] = ACTIONS(1055),
    [sym_html_comment] = ACTIONS(5),
  },
  [505] = {
    [sym_import] = STATE(3513),
    [sym_parenthesized_expression] = STATE(1417),
    [sym_expression] = STATE(2259),
    [sym_primary_expression] = STATE(1833),
    [sym_yield_expression] = STATE(2130),
    [sym_object] = STATE(2117),
    [sym_object_pattern] = STATE(5592),
    [sym_array] = STATE(2117),
    [sym_array_pattern] = STATE(5592),
    [sym_glimmer_template] = STATE(2130),
    [sym_class] = STATE(2117),
    [sym_function_expression] = STATE(2117),
    [sym_generator_function] = STATE(2117),
    [sym_arrow_function] = STATE(2117),
    [sym__call_signature] = STATE(5478),
    [sym_call_expression] = STATE(2117),
    [sym_new_expression] = STATE(1963),
    [sym_await_expression] = STATE(2130),
    [sym_member_expression] = STATE(1417),
    [sym_subscript_expression] = STATE(1417),
    [sym_assignment_expression] = STATE(2130),
    [sym__augmented_assignment_lhs] = STATE(3012),
    [sym_augmented_assignment_expression] = STATE(2130),
    [sym__destructuring_pattern] = STATE(5592),
    [sym_ternary_expression] = STATE(2130),
    [sym_binary_expression] = STATE(2130),
    [sym_unary_expression] = STATE(2130),
    [sym_update_expression] = STATE(2130),
    [sym_string] = STATE(2117),
    [sym_template_string] = STATE(2117),
    [sym_regex] = STATE(2117),
    [sym_meta_property] = STATE(2117),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1417),
    [sym_type_assertion] = STATE(2130),
    [sym_as_expression] = STATE(2130),
    [sym_satisfies_expression] = STATE(2130),
    [sym_instantiation_expression] = STATE(2130),
    [sym_internal_module] = STATE(2130),
    [sym_type_arguments] = STATE(450),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4499),
    [sym_identifier] = ACTIONS(1497),
    [anon_sym_export] = ACTIONS(1129),
    [anon_sym_type] = ACTIONS(1129),
    [anon_sym_namespace] = ACTIONS(1131),
    [anon_sym_LBRACE] = ACTIONS(670),
    [anon_sym_typeof] = ACTIONS(1157),
    [anon_sym_import] = ACTIONS(674),
    [anon_sym_let] = ACTIONS(1129),
    [anon_sym_BANG] = ACTIONS(1137),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1141),
    [anon_sym_yield] = ACTIONS(1143),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(681),
    [anon_sym_async] = ACTIONS(1147),
    [anon_sym_function] = ACTIONS(685),
    [anon_sym_new] = ACTIONS(1501),
    [anon_sym_using] = ACTIONS(1151),
    [anon_sym_PLUS] = ACTIONS(1157),
    [anon_sym_DASH] = ACTIONS(1157),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1137),
    [anon_sym_void] = ACTIONS(1157),
    [anon_sym_delete] = ACTIONS(1157),
    [anon_sym_PLUS_PLUS] = ACTIONS(1159),
    [anon_sym_DASH_DASH] = ACTIONS(1159),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(2132),
    [sym_private_property_identifier] = ACTIONS(1165),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1503),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1129),
    [anon_sym_readonly] = ACTIONS(1129),
    [anon_sym_get] = ACTIONS(1129),
    [anon_sym_set] = ACTIONS(1129),
    [anon_sym_declare] = ACTIONS(1129),
    [anon_sym_public] = ACTIONS(1129),
    [anon_sym_private] = ACTIONS(1129),
    [anon_sym_protected] = ACTIONS(1129),
    [anon_sym_override] = ACTIONS(1129),
    [anon_sym_module] = ACTIONS(1129),
    [anon_sym_any] = ACTIONS(1129),
    [anon_sym_number] = ACTIONS(1129),
    [anon_sym_boolean] = ACTIONS(1129),
    [anon_sym_string] = ACTIONS(1129),
    [anon_sym_symbol] = ACTIONS(1129),
    [anon_sym_object] = ACTIONS(1129),
    [sym_html_comment] = ACTIONS(5),
  },
  [506] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1324),
    [sym_expression] = STATE(1767),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5710),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5710),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5565),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1324),
    [sym_subscript_expression] = STATE(1324),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(2958),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5710),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1324),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(482),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(1463),
    [anon_sym_export] = ACTIONS(1055),
    [anon_sym_type] = ACTIONS(1055),
    [anon_sym_namespace] = ACTIONS(1057),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(620),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1055),
    [anon_sym_BANG] = ACTIONS(592),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(594),
    [anon_sym_yield] = ACTIONS(596),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1065),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1471),
    [anon_sym_using] = ACTIONS(606),
    [anon_sym_PLUS] = ACTIONS(620),
    [anon_sym_DASH] = ACTIONS(620),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(592),
    [anon_sym_void] = ACTIONS(620),
    [anon_sym_delete] = ACTIONS(620),
    [anon_sym_PLUS_PLUS] = ACTIONS(622),
    [anon_sym_DASH_DASH] = ACTIONS(622),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(624),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1473),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1055),
    [anon_sym_readonly] = ACTIONS(1055),
    [anon_sym_get] = ACTIONS(1055),
    [anon_sym_set] = ACTIONS(1055),
    [anon_sym_declare] = ACTIONS(1055),
    [anon_sym_public] = ACTIONS(1055),
    [anon_sym_private] = ACTIONS(1055),
    [anon_sym_protected] = ACTIONS(1055),
    [anon_sym_override] = ACTIONS(1055),
    [anon_sym_module] = ACTIONS(1055),
    [anon_sym_any] = ACTIONS(1055),
    [anon_sym_number] = ACTIONS(1055),
    [anon_sym_boolean] = ACTIONS(1055),
    [anon_sym_string] = ACTIONS(1055),
    [anon_sym_symbol] = ACTIONS(1055),
    [anon_sym_object] = ACTIONS(1055),
    [sym_html_comment] = ACTIONS(5),
  },
  [507] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1324),
    [sym_expression] = STATE(1778),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5710),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5710),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5565),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1324),
    [sym_subscript_expression] = STATE(1324),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(2958),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5710),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1324),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(482),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(1463),
    [anon_sym_export] = ACTIONS(1055),
    [anon_sym_type] = ACTIONS(1055),
    [anon_sym_namespace] = ACTIONS(1057),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(620),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1055),
    [anon_sym_BANG] = ACTIONS(592),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(594),
    [anon_sym_yield] = ACTIONS(596),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1065),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1471),
    [anon_sym_using] = ACTIONS(606),
    [anon_sym_PLUS] = ACTIONS(620),
    [anon_sym_DASH] = ACTIONS(620),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(592),
    [anon_sym_void] = ACTIONS(620),
    [anon_sym_delete] = ACTIONS(620),
    [anon_sym_PLUS_PLUS] = ACTIONS(622),
    [anon_sym_DASH_DASH] = ACTIONS(622),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(624),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1473),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1055),
    [anon_sym_readonly] = ACTIONS(1055),
    [anon_sym_get] = ACTIONS(1055),
    [anon_sym_set] = ACTIONS(1055),
    [anon_sym_declare] = ACTIONS(1055),
    [anon_sym_public] = ACTIONS(1055),
    [anon_sym_private] = ACTIONS(1055),
    [anon_sym_protected] = ACTIONS(1055),
    [anon_sym_override] = ACTIONS(1055),
    [anon_sym_module] = ACTIONS(1055),
    [anon_sym_any] = ACTIONS(1055),
    [anon_sym_number] = ACTIONS(1055),
    [anon_sym_boolean] = ACTIONS(1055),
    [anon_sym_string] = ACTIONS(1055),
    [anon_sym_symbol] = ACTIONS(1055),
    [anon_sym_object] = ACTIONS(1055),
    [sym_html_comment] = ACTIONS(5),
  },
  [508] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1324),
    [sym_expression] = STATE(1779),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5710),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5710),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5565),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1324),
    [sym_subscript_expression] = STATE(1324),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(2958),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5710),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1324),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(482),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(1463),
    [anon_sym_export] = ACTIONS(1055),
    [anon_sym_type] = ACTIONS(1055),
    [anon_sym_namespace] = ACTIONS(1057),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(620),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1055),
    [anon_sym_BANG] = ACTIONS(592),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(594),
    [anon_sym_yield] = ACTIONS(596),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1065),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1471),
    [anon_sym_using] = ACTIONS(606),
    [anon_sym_PLUS] = ACTIONS(620),
    [anon_sym_DASH] = ACTIONS(620),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(592),
    [anon_sym_void] = ACTIONS(620),
    [anon_sym_delete] = ACTIONS(620),
    [anon_sym_PLUS_PLUS] = ACTIONS(622),
    [anon_sym_DASH_DASH] = ACTIONS(622),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(624),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1473),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1055),
    [anon_sym_readonly] = ACTIONS(1055),
    [anon_sym_get] = ACTIONS(1055),
    [anon_sym_set] = ACTIONS(1055),
    [anon_sym_declare] = ACTIONS(1055),
    [anon_sym_public] = ACTIONS(1055),
    [anon_sym_private] = ACTIONS(1055),
    [anon_sym_protected] = ACTIONS(1055),
    [anon_sym_override] = ACTIONS(1055),
    [anon_sym_module] = ACTIONS(1055),
    [anon_sym_any] = ACTIONS(1055),
    [anon_sym_number] = ACTIONS(1055),
    [anon_sym_boolean] = ACTIONS(1055),
    [anon_sym_string] = ACTIONS(1055),
    [anon_sym_symbol] = ACTIONS(1055),
    [anon_sym_object] = ACTIONS(1055),
    [sym_html_comment] = ACTIONS(5),
  },
  [509] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1324),
    [sym_expression] = STATE(1778),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5710),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5710),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5565),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1324),
    [sym_subscript_expression] = STATE(1324),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(2958),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5710),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1324),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(482),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(1463),
    [anon_sym_export] = ACTIONS(1055),
    [anon_sym_type] = ACTIONS(1055),
    [anon_sym_namespace] = ACTIONS(1057),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(620),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1055),
    [anon_sym_BANG] = ACTIONS(592),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(594),
    [anon_sym_yield] = ACTIONS(596),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1065),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1471),
    [anon_sym_using] = ACTIONS(606),
    [anon_sym_PLUS] = ACTIONS(620),
    [anon_sym_DASH] = ACTIONS(620),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(592),
    [anon_sym_void] = ACTIONS(620),
    [anon_sym_delete] = ACTIONS(620),
    [anon_sym_PLUS_PLUS] = ACTIONS(622),
    [anon_sym_DASH_DASH] = ACTIONS(622),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(2134),
    [sym_private_property_identifier] = ACTIONS(624),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1473),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1055),
    [anon_sym_readonly] = ACTIONS(1055),
    [anon_sym_get] = ACTIONS(1055),
    [anon_sym_set] = ACTIONS(1055),
    [anon_sym_declare] = ACTIONS(1055),
    [anon_sym_public] = ACTIONS(1055),
    [anon_sym_private] = ACTIONS(1055),
    [anon_sym_protected] = ACTIONS(1055),
    [anon_sym_override] = ACTIONS(1055),
    [anon_sym_module] = ACTIONS(1055),
    [anon_sym_any] = ACTIONS(1055),
    [anon_sym_number] = ACTIONS(1055),
    [anon_sym_boolean] = ACTIONS(1055),
    [anon_sym_string] = ACTIONS(1055),
    [anon_sym_symbol] = ACTIONS(1055),
    [anon_sym_object] = ACTIONS(1055),
    [sym_html_comment] = ACTIONS(5),
  },
  [510] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1464),
    [sym_expression] = STATE(2615),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5802),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5802),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5824),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1464),
    [sym_subscript_expression] = STATE(1464),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(2969),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5802),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1464),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(537),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(2178),
    [anon_sym_export] = ACTIONS(2180),
    [anon_sym_type] = ACTIONS(2180),
    [anon_sym_namespace] = ACTIONS(2182),
    [anon_sym_LBRACE] = ACTIONS(815),
    [anon_sym_typeof] = ACTIONS(184),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(2180),
    [anon_sym_BANG] = ACTIONS(180),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(819),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(2184),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(2186),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(184),
    [anon_sym_DASH] = ACTIONS(184),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(691),
    [anon_sym_DASH_DASH] = ACTIONS(691),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(2188),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(2180),
    [anon_sym_readonly] = ACTIONS(2180),
    [anon_sym_get] = ACTIONS(2180),
    [anon_sym_set] = ACTIONS(2180),
    [anon_sym_declare] = ACTIONS(2180),
    [anon_sym_public] = ACTIONS(2180),
    [anon_sym_private] = ACTIONS(2180),
    [anon_sym_protected] = ACTIONS(2180),
    [anon_sym_override] = ACTIONS(2180),
    [anon_sym_module] = ACTIONS(2180),
    [anon_sym_any] = ACTIONS(2180),
    [anon_sym_number] = ACTIONS(2180),
    [anon_sym_boolean] = ACTIONS(2180),
    [anon_sym_string] = ACTIONS(2180),
    [anon_sym_symbol] = ACTIONS(2180),
    [anon_sym_object] = ACTIONS(2180),
    [sym_html_comment] = ACTIONS(5),
  },
  [511] = {
    [sym_import] = STATE(3513),
    [sym_parenthesized_expression] = STATE(1364),
    [sym_expression] = STATE(1837),
    [sym_primary_expression] = STATE(1833),
    [sym_yield_expression] = STATE(2130),
    [sym_object] = STATE(2117),
    [sym_object_pattern] = STATE(5785),
    [sym_array] = STATE(2117),
    [sym_array_pattern] = STATE(5785),
    [sym_glimmer_template] = STATE(2130),
    [sym_class] = STATE(2117),
    [sym_function_expression] = STATE(2117),
    [sym_generator_function] = STATE(2117),
    [sym_arrow_function] = STATE(2117),
    [sym__call_signature] = STATE(5783),
    [sym_call_expression] = STATE(2117),
    [sym_new_expression] = STATE(1963),
    [sym_await_expression] = STATE(2130),
    [sym_member_expression] = STATE(1364),
    [sym_subscript_expression] = STATE(1364),
    [sym_assignment_expression] = STATE(2130),
    [sym__augmented_assignment_lhs] = STATE(3037),
    [sym_augmented_assignment_expression] = STATE(2130),
    [sym__destructuring_pattern] = STATE(5785),
    [sym_ternary_expression] = STATE(2130),
    [sym_binary_expression] = STATE(2130),
    [sym_unary_expression] = STATE(2130),
    [sym_update_expression] = STATE(2130),
    [sym_string] = STATE(2117),
    [sym_template_string] = STATE(2117),
    [sym_regex] = STATE(2117),
    [sym_meta_property] = STATE(2117),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1364),
    [sym_type_assertion] = STATE(2130),
    [sym_as_expression] = STATE(2130),
    [sym_satisfies_expression] = STATE(2130),
    [sym_instantiation_expression] = STATE(2130),
    [sym_internal_module] = STATE(2130),
    [sym_type_arguments] = STATE(511),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4499),
    [sym_identifier] = ACTIONS(1481),
    [anon_sym_export] = ACTIONS(1227),
    [anon_sym_type] = ACTIONS(1227),
    [anon_sym_namespace] = ACTIONS(1229),
    [anon_sym_LBRACE] = ACTIONS(670),
    [anon_sym_typeof] = ACTIONS(1253),
    [anon_sym_import] = ACTIONS(674),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_BANG] = ACTIONS(1235),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1237),
    [anon_sym_yield] = ACTIONS(1239),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(681),
    [anon_sym_async] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(685),
    [anon_sym_new] = ACTIONS(1485),
    [anon_sym_using] = ACTIONS(1247),
    [anon_sym_PLUS] = ACTIONS(1253),
    [anon_sym_DASH] = ACTIONS(1253),
    [anon_sym_SLASH] = ACTIONS(885),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1235),
    [anon_sym_void] = ACTIONS(1253),
    [anon_sym_delete] = ACTIONS(1253),
    [anon_sym_PLUS_PLUS] = ACTIONS(1255),
    [anon_sym_DASH_DASH] = ACTIONS(1255),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1261),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1487),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1227),
    [anon_sym_readonly] = ACTIONS(1227),
    [anon_sym_get] = ACTIONS(1227),
    [anon_sym_set] = ACTIONS(1227),
    [anon_sym_declare] = ACTIONS(1227),
    [anon_sym_public] = ACTIONS(1227),
    [anon_sym_private] = ACTIONS(1227),
    [anon_sym_protected] = ACTIONS(1227),
    [anon_sym_override] = ACTIONS(1227),
    [anon_sym_module] = ACTIONS(1227),
    [anon_sym_any] = ACTIONS(1227),
    [anon_sym_number] = ACTIONS(1227),
    [anon_sym_boolean] = ACTIONS(1227),
    [anon_sym_string] = ACTIONS(1227),
    [anon_sym_symbol] = ACTIONS(1227),
    [anon_sym_object] = ACTIONS(1227),
    [sym_html_comment] = ACTIONS(5),
  },
  [512] = {
    [sym_import] = STATE(3513),
    [sym_parenthesized_expression] = STATE(1353),
    [sym_expression] = STATE(1810),
    [sym_primary_expression] = STATE(1833),
    [sym_yield_expression] = STATE(2130),
    [sym_object] = STATE(2117),
    [sym_object_pattern] = STATE(5484),
    [sym_array] = STATE(2117),
    [sym_array_pattern] = STATE(5484),
    [sym_glimmer_template] = STATE(2130),
    [sym_class] = STATE(2117),
    [sym_function_expression] = STATE(2117),
    [sym_generator_function] = STATE(2117),
    [sym_arrow_function] = STATE(2117),
    [sym__call_signature] = STATE(5525),
    [sym_call_expression] = STATE(2117),
    [sym_new_expression] = STATE(1963),
    [sym_await_expression] = STATE(2130),
    [sym_member_expression] = STATE(1353),
    [sym_subscript_expression] = STATE(1353),
    [sym_assignment_expression] = STATE(2130),
    [sym__augmented_assignment_lhs] = STATE(3036),
    [sym_augmented_assignment_expression] = STATE(2130),
    [sym__destructuring_pattern] = STATE(5484),
    [sym_ternary_expression] = STATE(2130),
    [sym_binary_expression] = STATE(2130),
    [sym_unary_expression] = STATE(2130),
    [sym_update_expression] = STATE(2130),
    [sym_string] = STATE(2117),
    [sym_template_string] = STATE(2117),
    [sym_regex] = STATE(2117),
    [sym_meta_property] = STATE(2117),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1353),
    [sym_type_assertion] = STATE(2130),
    [sym_as_expression] = STATE(2130),
    [sym_satisfies_expression] = STATE(2130),
    [sym_instantiation_expression] = STATE(2130),
    [sym_internal_module] = STATE(2130),
    [sym_type_arguments] = STATE(427),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4499),
    [sym_identifier] = ACTIONS(1475),
    [anon_sym_export] = ACTIONS(1443),
    [anon_sym_type] = ACTIONS(1443),
    [anon_sym_namespace] = ACTIONS(1445),
    [anon_sym_LBRACE] = ACTIONS(670),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(674),
    [anon_sym_let] = ACTIONS(1443),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(681),
    [anon_sym_async] = ACTIONS(1449),
    [anon_sym_function] = ACTIONS(685),
    [anon_sym_new] = ACTIONS(1479),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1443),
    [anon_sym_readonly] = ACTIONS(1443),
    [anon_sym_get] = ACTIONS(1443),
    [anon_sym_set] = ACTIONS(1443),
    [anon_sym_declare] = ACTIONS(1443),
    [anon_sym_public] = ACTIONS(1443),
    [anon_sym_private] = ACTIONS(1443),
    [anon_sym_protected] = ACTIONS(1443),
    [anon_sym_override] = ACTIONS(1443),
    [anon_sym_module] = ACTIONS(1443),
    [anon_sym_any] = ACTIONS(1443),
    [anon_sym_number] = ACTIONS(1443),
    [anon_sym_boolean] = ACTIONS(1443),
    [anon_sym_string] = ACTIONS(1443),
    [anon_sym_symbol] = ACTIONS(1443),
    [anon_sym_object] = ACTIONS(1443),
    [sym_html_comment] = ACTIONS(5),
  },
  [513] = {
    [sym_import] = STATE(3513),
    [sym_parenthesized_expression] = STATE(1364),
    [sym_expression] = STATE(1839),
    [sym_primary_expression] = STATE(1833),
    [sym_yield_expression] = STATE(2130),
    [sym_object] = STATE(2117),
    [sym_object_pattern] = STATE(5785),
    [sym_array] = STATE(2117),
    [sym_array_pattern] = STATE(5785),
    [sym_glimmer_template] = STATE(2130),
    [sym_class] = STATE(2117),
    [sym_function_expression] = STATE(2117),
    [sym_generator_function] = STATE(2117),
    [sym_arrow_function] = STATE(2117),
    [sym__call_signature] = STATE(5783),
    [sym_call_expression] = STATE(2117),
    [sym_new_expression] = STATE(1963),
    [sym_await_expression] = STATE(2130),
    [sym_member_expression] = STATE(1364),
    [sym_subscript_expression] = STATE(1364),
    [sym_assignment_expression] = STATE(2130),
    [sym__augmented_assignment_lhs] = STATE(3037),
    [sym_augmented_assignment_expression] = STATE(2130),
    [sym__destructuring_pattern] = STATE(5785),
    [sym_ternary_expression] = STATE(2130),
    [sym_binary_expression] = STATE(2130),
    [sym_unary_expression] = STATE(2130),
    [sym_update_expression] = STATE(2130),
    [sym_string] = STATE(2117),
    [sym_template_string] = STATE(2117),
    [sym_regex] = STATE(2117),
    [sym_meta_property] = STATE(2117),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1364),
    [sym_type_assertion] = STATE(2130),
    [sym_as_expression] = STATE(2130),
    [sym_satisfies_expression] = STATE(2130),
    [sym_instantiation_expression] = STATE(2130),
    [sym_internal_module] = STATE(2130),
    [sym_type_arguments] = STATE(511),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4499),
    [sym_identifier] = ACTIONS(1481),
    [anon_sym_export] = ACTIONS(1227),
    [anon_sym_type] = ACTIONS(1227),
    [anon_sym_namespace] = ACTIONS(1229),
    [anon_sym_LBRACE] = ACTIONS(670),
    [anon_sym_typeof] = ACTIONS(1253),
    [anon_sym_import] = ACTIONS(674),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_BANG] = ACTIONS(1235),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1237),
    [anon_sym_yield] = ACTIONS(1239),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(681),
    [anon_sym_async] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(685),
    [anon_sym_new] = ACTIONS(1485),
    [anon_sym_using] = ACTIONS(1247),
    [anon_sym_PLUS] = ACTIONS(1253),
    [anon_sym_DASH] = ACTIONS(1253),
    [anon_sym_SLASH] = ACTIONS(885),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1235),
    [anon_sym_void] = ACTIONS(1253),
    [anon_sym_delete] = ACTIONS(1253),
    [anon_sym_PLUS_PLUS] = ACTIONS(1255),
    [anon_sym_DASH_DASH] = ACTIONS(1255),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1261),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1487),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1227),
    [anon_sym_readonly] = ACTIONS(1227),
    [anon_sym_get] = ACTIONS(1227),
    [anon_sym_set] = ACTIONS(1227),
    [anon_sym_declare] = ACTIONS(1227),
    [anon_sym_public] = ACTIONS(1227),
    [anon_sym_private] = ACTIONS(1227),
    [anon_sym_protected] = ACTIONS(1227),
    [anon_sym_override] = ACTIONS(1227),
    [anon_sym_module] = ACTIONS(1227),
    [anon_sym_any] = ACTIONS(1227),
    [anon_sym_number] = ACTIONS(1227),
    [anon_sym_boolean] = ACTIONS(1227),
    [anon_sym_string] = ACTIONS(1227),
    [anon_sym_symbol] = ACTIONS(1227),
    [anon_sym_object] = ACTIONS(1227),
    [sym_html_comment] = ACTIONS(5),
  },
  [514] = {
    [sym_import] = STATE(3513),
    [sym_parenthesized_expression] = STATE(1364),
    [sym_expression] = STATE(1840),
    [sym_primary_expression] = STATE(1833),
    [sym_yield_expression] = STATE(2130),
    [sym_object] = STATE(2117),
    [sym_object_pattern] = STATE(5785),
    [sym_array] = STATE(2117),
    [sym_array_pattern] = STATE(5785),
    [sym_glimmer_template] = STATE(2130),
    [sym_class] = STATE(2117),
    [sym_function_expression] = STATE(2117),
    [sym_generator_function] = STATE(2117),
    [sym_arrow_function] = STATE(2117),
    [sym__call_signature] = STATE(5783),
    [sym_call_expression] = STATE(2117),
    [sym_new_expression] = STATE(1963),
    [sym_await_expression] = STATE(2130),
    [sym_member_expression] = STATE(1364),
    [sym_subscript_expression] = STATE(1364),
    [sym_assignment_expression] = STATE(2130),
    [sym__augmented_assignment_lhs] = STATE(3037),
    [sym_augmented_assignment_expression] = STATE(2130),
    [sym__destructuring_pattern] = STATE(5785),
    [sym_ternary_expression] = STATE(2130),
    [sym_binary_expression] = STATE(2130),
    [sym_unary_expression] = STATE(2130),
    [sym_update_expression] = STATE(2130),
    [sym_string] = STATE(2117),
    [sym_template_string] = STATE(2117),
    [sym_regex] = STATE(2117),
    [sym_meta_property] = STATE(2117),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1364),
    [sym_type_assertion] = STATE(2130),
    [sym_as_expression] = STATE(2130),
    [sym_satisfies_expression] = STATE(2130),
    [sym_instantiation_expression] = STATE(2130),
    [sym_internal_module] = STATE(2130),
    [sym_type_arguments] = STATE(511),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4499),
    [sym_identifier] = ACTIONS(1481),
    [anon_sym_export] = ACTIONS(1227),
    [anon_sym_type] = ACTIONS(1227),
    [anon_sym_namespace] = ACTIONS(1229),
    [anon_sym_LBRACE] = ACTIONS(670),
    [anon_sym_typeof] = ACTIONS(1253),
    [anon_sym_import] = ACTIONS(674),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_BANG] = ACTIONS(1235),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1237),
    [anon_sym_yield] = ACTIONS(1239),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(681),
    [anon_sym_async] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(685),
    [anon_sym_new] = ACTIONS(1485),
    [anon_sym_using] = ACTIONS(1247),
    [anon_sym_PLUS] = ACTIONS(1253),
    [anon_sym_DASH] = ACTIONS(1253),
    [anon_sym_SLASH] = ACTIONS(885),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1235),
    [anon_sym_void] = ACTIONS(1253),
    [anon_sym_delete] = ACTIONS(1253),
    [anon_sym_PLUS_PLUS] = ACTIONS(1255),
    [anon_sym_DASH_DASH] = ACTIONS(1255),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1261),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1487),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1227),
    [anon_sym_readonly] = ACTIONS(1227),
    [anon_sym_get] = ACTIONS(1227),
    [anon_sym_set] = ACTIONS(1227),
    [anon_sym_declare] = ACTIONS(1227),
    [anon_sym_public] = ACTIONS(1227),
    [anon_sym_private] = ACTIONS(1227),
    [anon_sym_protected] = ACTIONS(1227),
    [anon_sym_override] = ACTIONS(1227),
    [anon_sym_module] = ACTIONS(1227),
    [anon_sym_any] = ACTIONS(1227),
    [anon_sym_number] = ACTIONS(1227),
    [anon_sym_boolean] = ACTIONS(1227),
    [anon_sym_string] = ACTIONS(1227),
    [anon_sym_symbol] = ACTIONS(1227),
    [anon_sym_object] = ACTIONS(1227),
    [sym_html_comment] = ACTIONS(5),
  },
  [515] = {
    [sym_import] = STATE(3513),
    [sym_parenthesized_expression] = STATE(1364),
    [sym_expression] = STATE(1842),
    [sym_primary_expression] = STATE(1833),
    [sym_yield_expression] = STATE(2130),
    [sym_object] = STATE(2117),
    [sym_object_pattern] = STATE(5785),
    [sym_array] = STATE(2117),
    [sym_array_pattern] = STATE(5785),
    [sym_glimmer_template] = STATE(2130),
    [sym_class] = STATE(2117),
    [sym_function_expression] = STATE(2117),
    [sym_generator_function] = STATE(2117),
    [sym_arrow_function] = STATE(2117),
    [sym__call_signature] = STATE(5783),
    [sym_call_expression] = STATE(2117),
    [sym_new_expression] = STATE(1963),
    [sym_await_expression] = STATE(2130),
    [sym_member_expression] = STATE(1364),
    [sym_subscript_expression] = STATE(1364),
    [sym_assignment_expression] = STATE(2130),
    [sym__augmented_assignment_lhs] = STATE(3037),
    [sym_augmented_assignment_expression] = STATE(2130),
    [sym__destructuring_pattern] = STATE(5785),
    [sym_ternary_expression] = STATE(2130),
    [sym_binary_expression] = STATE(2130),
    [sym_unary_expression] = STATE(2130),
    [sym_update_expression] = STATE(2130),
    [sym_string] = STATE(2117),
    [sym_template_string] = STATE(2117),
    [sym_regex] = STATE(2117),
    [sym_meta_property] = STATE(2117),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1364),
    [sym_type_assertion] = STATE(2130),
    [sym_as_expression] = STATE(2130),
    [sym_satisfies_expression] = STATE(2130),
    [sym_instantiation_expression] = STATE(2130),
    [sym_internal_module] = STATE(2130),
    [sym_type_arguments] = STATE(511),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4499),
    [sym_identifier] = ACTIONS(1481),
    [anon_sym_export] = ACTIONS(1227),
    [anon_sym_type] = ACTIONS(1227),
    [anon_sym_namespace] = ACTIONS(1229),
    [anon_sym_LBRACE] = ACTIONS(670),
    [anon_sym_typeof] = ACTIONS(1253),
    [anon_sym_import] = ACTIONS(674),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_BANG] = ACTIONS(1235),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1237),
    [anon_sym_yield] = ACTIONS(1239),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(681),
    [anon_sym_async] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(685),
    [anon_sym_new] = ACTIONS(1485),
    [anon_sym_using] = ACTIONS(1247),
    [anon_sym_PLUS] = ACTIONS(1253),
    [anon_sym_DASH] = ACTIONS(1253),
    [anon_sym_SLASH] = ACTIONS(885),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1235),
    [anon_sym_void] = ACTIONS(1253),
    [anon_sym_delete] = ACTIONS(1253),
    [anon_sym_PLUS_PLUS] = ACTIONS(1255),
    [anon_sym_DASH_DASH] = ACTIONS(1255),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1261),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1487),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1227),
    [anon_sym_readonly] = ACTIONS(1227),
    [anon_sym_get] = ACTIONS(1227),
    [anon_sym_set] = ACTIONS(1227),
    [anon_sym_declare] = ACTIONS(1227),
    [anon_sym_public] = ACTIONS(1227),
    [anon_sym_private] = ACTIONS(1227),
    [anon_sym_protected] = ACTIONS(1227),
    [anon_sym_override] = ACTIONS(1227),
    [anon_sym_module] = ACTIONS(1227),
    [anon_sym_any] = ACTIONS(1227),
    [anon_sym_number] = ACTIONS(1227),
    [anon_sym_boolean] = ACTIONS(1227),
    [anon_sym_string] = ACTIONS(1227),
    [anon_sym_symbol] = ACTIONS(1227),
    [anon_sym_object] = ACTIONS(1227),
    [sym_html_comment] = ACTIONS(5),
  },
  [516] = {
    [sym_import] = STATE(3513),
    [sym_parenthesized_expression] = STATE(1364),
    [sym_expression] = STATE(1844),
    [sym_primary_expression] = STATE(1833),
    [sym_yield_expression] = STATE(2130),
    [sym_object] = STATE(2117),
    [sym_object_pattern] = STATE(5785),
    [sym_array] = STATE(2117),
    [sym_array_pattern] = STATE(5785),
    [sym_glimmer_template] = STATE(2130),
    [sym_class] = STATE(2117),
    [sym_function_expression] = STATE(2117),
    [sym_generator_function] = STATE(2117),
    [sym_arrow_function] = STATE(2117),
    [sym__call_signature] = STATE(5783),
    [sym_call_expression] = STATE(2117),
    [sym_new_expression] = STATE(1963),
    [sym_await_expression] = STATE(2130),
    [sym_member_expression] = STATE(1364),
    [sym_subscript_expression] = STATE(1364),
    [sym_assignment_expression] = STATE(2130),
    [sym__augmented_assignment_lhs] = STATE(3037),
    [sym_augmented_assignment_expression] = STATE(2130),
    [sym__destructuring_pattern] = STATE(5785),
    [sym_ternary_expression] = STATE(2130),
    [sym_binary_expression] = STATE(2130),
    [sym_unary_expression] = STATE(2130),
    [sym_update_expression] = STATE(2130),
    [sym_string] = STATE(2117),
    [sym_template_string] = STATE(2117),
    [sym_regex] = STATE(2117),
    [sym_meta_property] = STATE(2117),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1364),
    [sym_type_assertion] = STATE(2130),
    [sym_as_expression] = STATE(2130),
    [sym_satisfies_expression] = STATE(2130),
    [sym_instantiation_expression] = STATE(2130),
    [sym_internal_module] = STATE(2130),
    [sym_type_arguments] = STATE(511),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4499),
    [sym_identifier] = ACTIONS(1481),
    [anon_sym_export] = ACTIONS(1227),
    [anon_sym_type] = ACTIONS(1227),
    [anon_sym_namespace] = ACTIONS(1229),
    [anon_sym_LBRACE] = ACTIONS(670),
    [anon_sym_typeof] = ACTIONS(1253),
    [anon_sym_import] = ACTIONS(674),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_BANG] = ACTIONS(1235),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1237),
    [anon_sym_yield] = ACTIONS(1239),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(681),
    [anon_sym_async] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(685),
    [anon_sym_new] = ACTIONS(1485),
    [anon_sym_using] = ACTIONS(1247),
    [anon_sym_PLUS] = ACTIONS(1253),
    [anon_sym_DASH] = ACTIONS(1253),
    [anon_sym_SLASH] = ACTIONS(885),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1235),
    [anon_sym_void] = ACTIONS(1253),
    [anon_sym_delete] = ACTIONS(1253),
    [anon_sym_PLUS_PLUS] = ACTIONS(1255),
    [anon_sym_DASH_DASH] = ACTIONS(1255),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1261),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1487),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1227),
    [anon_sym_readonly] = ACTIONS(1227),
    [anon_sym_get] = ACTIONS(1227),
    [anon_sym_set] = ACTIONS(1227),
    [anon_sym_declare] = ACTIONS(1227),
    [anon_sym_public] = ACTIONS(1227),
    [anon_sym_private] = ACTIONS(1227),
    [anon_sym_protected] = ACTIONS(1227),
    [anon_sym_override] = ACTIONS(1227),
    [anon_sym_module] = ACTIONS(1227),
    [anon_sym_any] = ACTIONS(1227),
    [anon_sym_number] = ACTIONS(1227),
    [anon_sym_boolean] = ACTIONS(1227),
    [anon_sym_string] = ACTIONS(1227),
    [anon_sym_symbol] = ACTIONS(1227),
    [anon_sym_object] = ACTIONS(1227),
    [sym_html_comment] = ACTIONS(5),
  },
  [517] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1457),
    [sym_expression] = STATE(2538),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5827),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5827),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5728),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1457),
    [sym_subscript_expression] = STATE(1457),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(3001),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5827),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1457),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(591),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(1521),
    [anon_sym_export] = ACTIONS(1361),
    [anon_sym_type] = ACTIONS(1361),
    [anon_sym_namespace] = ACTIONS(1363),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(1383),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1361),
    [anon_sym_BANG] = ACTIONS(1367),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(1369),
    [anon_sym_yield] = ACTIONS(1371),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1373),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1525),
    [anon_sym_using] = ACTIONS(1377),
    [anon_sym_PLUS] = ACTIONS(1383),
    [anon_sym_DASH] = ACTIONS(1383),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1367),
    [anon_sym_void] = ACTIONS(1383),
    [anon_sym_delete] = ACTIONS(1383),
    [anon_sym_PLUS_PLUS] = ACTIONS(1385),
    [anon_sym_DASH_DASH] = ACTIONS(1385),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(1387),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1527),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1361),
    [anon_sym_readonly] = ACTIONS(1361),
    [anon_sym_get] = ACTIONS(1361),
    [anon_sym_set] = ACTIONS(1361),
    [anon_sym_declare] = ACTIONS(1361),
    [anon_sym_public] = ACTIONS(1361),
    [anon_sym_private] = ACTIONS(1361),
    [anon_sym_protected] = ACTIONS(1361),
    [anon_sym_override] = ACTIONS(1361),
    [anon_sym_module] = ACTIONS(1361),
    [anon_sym_any] = ACTIONS(1361),
    [anon_sym_number] = ACTIONS(1361),
    [anon_sym_boolean] = ACTIONS(1361),
    [anon_sym_string] = ACTIONS(1361),
    [anon_sym_symbol] = ACTIONS(1361),
    [anon_sym_object] = ACTIONS(1361),
    [sym_html_comment] = ACTIONS(5),
  },
  [518] = {
    [sym_import] = STATE(3513),
    [sym_parenthesized_expression] = STATE(1364),
    [sym_expression] = STATE(1845),
    [sym_primary_expression] = STATE(1833),
    [sym_yield_expression] = STATE(2130),
    [sym_object] = STATE(2117),
    [sym_object_pattern] = STATE(5785),
    [sym_array] = STATE(2117),
    [sym_array_pattern] = STATE(5785),
    [sym_glimmer_template] = STATE(2130),
    [sym_class] = STATE(2117),
    [sym_function_expression] = STATE(2117),
    [sym_generator_function] = STATE(2117),
    [sym_arrow_function] = STATE(2117),
    [sym__call_signature] = STATE(5783),
    [sym_call_expression] = STATE(2117),
    [sym_new_expression] = STATE(1963),
    [sym_await_expression] = STATE(2130),
    [sym_member_expression] = STATE(1364),
    [sym_subscript_expression] = STATE(1364),
    [sym_assignment_expression] = STATE(2130),
    [sym__augmented_assignment_lhs] = STATE(3037),
    [sym_augmented_assignment_expression] = STATE(2130),
    [sym__destructuring_pattern] = STATE(5785),
    [sym_ternary_expression] = STATE(2130),
    [sym_binary_expression] = STATE(2130),
    [sym_unary_expression] = STATE(2130),
    [sym_update_expression] = STATE(2130),
    [sym_string] = STATE(2117),
    [sym_template_string] = STATE(2117),
    [sym_regex] = STATE(2117),
    [sym_meta_property] = STATE(2117),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1364),
    [sym_type_assertion] = STATE(2130),
    [sym_as_expression] = STATE(2130),
    [sym_satisfies_expression] = STATE(2130),
    [sym_instantiation_expression] = STATE(2130),
    [sym_internal_module] = STATE(2130),
    [sym_type_arguments] = STATE(511),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4499),
    [sym_identifier] = ACTIONS(1481),
    [anon_sym_export] = ACTIONS(1227),
    [anon_sym_type] = ACTIONS(1227),
    [anon_sym_namespace] = ACTIONS(1229),
    [anon_sym_LBRACE] = ACTIONS(670),
    [anon_sym_typeof] = ACTIONS(1253),
    [anon_sym_import] = ACTIONS(674),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_BANG] = ACTIONS(1235),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1237),
    [anon_sym_yield] = ACTIONS(1239),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(681),
    [anon_sym_async] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(685),
    [anon_sym_new] = ACTIONS(1485),
    [anon_sym_using] = ACTIONS(1247),
    [anon_sym_PLUS] = ACTIONS(1253),
    [anon_sym_DASH] = ACTIONS(1253),
    [anon_sym_SLASH] = ACTIONS(885),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1235),
    [anon_sym_void] = ACTIONS(1253),
    [anon_sym_delete] = ACTIONS(1253),
    [anon_sym_PLUS_PLUS] = ACTIONS(1255),
    [anon_sym_DASH_DASH] = ACTIONS(1255),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1261),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1487),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1227),
    [anon_sym_readonly] = ACTIONS(1227),
    [anon_sym_get] = ACTIONS(1227),
    [anon_sym_set] = ACTIONS(1227),
    [anon_sym_declare] = ACTIONS(1227),
    [anon_sym_public] = ACTIONS(1227),
    [anon_sym_private] = ACTIONS(1227),
    [anon_sym_protected] = ACTIONS(1227),
    [anon_sym_override] = ACTIONS(1227),
    [anon_sym_module] = ACTIONS(1227),
    [anon_sym_any] = ACTIONS(1227),
    [anon_sym_number] = ACTIONS(1227),
    [anon_sym_boolean] = ACTIONS(1227),
    [anon_sym_string] = ACTIONS(1227),
    [anon_sym_symbol] = ACTIONS(1227),
    [anon_sym_object] = ACTIONS(1227),
    [sym_html_comment] = ACTIONS(5),
  },
  [519] = {
    [sym_import] = STATE(3513),
    [sym_parenthesized_expression] = STATE(1364),
    [sym_expression] = STATE(1846),
    [sym_primary_expression] = STATE(1833),
    [sym_yield_expression] = STATE(2130),
    [sym_object] = STATE(2117),
    [sym_object_pattern] = STATE(5785),
    [sym_array] = STATE(2117),
    [sym_array_pattern] = STATE(5785),
    [sym_glimmer_template] = STATE(2130),
    [sym_class] = STATE(2117),
    [sym_function_expression] = STATE(2117),
    [sym_generator_function] = STATE(2117),
    [sym_arrow_function] = STATE(2117),
    [sym__call_signature] = STATE(5783),
    [sym_call_expression] = STATE(2117),
    [sym_new_expression] = STATE(1963),
    [sym_await_expression] = STATE(2130),
    [sym_member_expression] = STATE(1364),
    [sym_subscript_expression] = STATE(1364),
    [sym_assignment_expression] = STATE(2130),
    [sym__augmented_assignment_lhs] = STATE(3037),
    [sym_augmented_assignment_expression] = STATE(2130),
    [sym__destructuring_pattern] = STATE(5785),
    [sym_ternary_expression] = STATE(2130),
    [sym_binary_expression] = STATE(2130),
    [sym_unary_expression] = STATE(2130),
    [sym_update_expression] = STATE(2130),
    [sym_string] = STATE(2117),
    [sym_template_string] = STATE(2117),
    [sym_regex] = STATE(2117),
    [sym_meta_property] = STATE(2117),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1364),
    [sym_type_assertion] = STATE(2130),
    [sym_as_expression] = STATE(2130),
    [sym_satisfies_expression] = STATE(2130),
    [sym_instantiation_expression] = STATE(2130),
    [sym_internal_module] = STATE(2130),
    [sym_type_arguments] = STATE(511),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4499),
    [sym_identifier] = ACTIONS(1481),
    [anon_sym_export] = ACTIONS(1227),
    [anon_sym_type] = ACTIONS(1227),
    [anon_sym_namespace] = ACTIONS(1229),
    [anon_sym_LBRACE] = ACTIONS(670),
    [anon_sym_typeof] = ACTIONS(1253),
    [anon_sym_import] = ACTIONS(674),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_BANG] = ACTIONS(1235),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1237),
    [anon_sym_yield] = ACTIONS(1239),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(681),
    [anon_sym_async] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(685),
    [anon_sym_new] = ACTIONS(1485),
    [anon_sym_using] = ACTIONS(1247),
    [anon_sym_PLUS] = ACTIONS(1253),
    [anon_sym_DASH] = ACTIONS(1253),
    [anon_sym_SLASH] = ACTIONS(885),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1235),
    [anon_sym_void] = ACTIONS(1253),
    [anon_sym_delete] = ACTIONS(1253),
    [anon_sym_PLUS_PLUS] = ACTIONS(1255),
    [anon_sym_DASH_DASH] = ACTIONS(1255),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1261),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1487),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1227),
    [anon_sym_readonly] = ACTIONS(1227),
    [anon_sym_get] = ACTIONS(1227),
    [anon_sym_set] = ACTIONS(1227),
    [anon_sym_declare] = ACTIONS(1227),
    [anon_sym_public] = ACTIONS(1227),
    [anon_sym_private] = ACTIONS(1227),
    [anon_sym_protected] = ACTIONS(1227),
    [anon_sym_override] = ACTIONS(1227),
    [anon_sym_module] = ACTIONS(1227),
    [anon_sym_any] = ACTIONS(1227),
    [anon_sym_number] = ACTIONS(1227),
    [anon_sym_boolean] = ACTIONS(1227),
    [anon_sym_string] = ACTIONS(1227),
    [anon_sym_symbol] = ACTIONS(1227),
    [anon_sym_object] = ACTIONS(1227),
    [sym_html_comment] = ACTIONS(5),
  },
  [520] = {
    [sym_import] = STATE(3513),
    [sym_parenthesized_expression] = STATE(1364),
    [sym_expression] = STATE(1847),
    [sym_primary_expression] = STATE(1833),
    [sym_yield_expression] = STATE(2130),
    [sym_object] = STATE(2117),
    [sym_object_pattern] = STATE(5785),
    [sym_array] = STATE(2117),
    [sym_array_pattern] = STATE(5785),
    [sym_glimmer_template] = STATE(2130),
    [sym_class] = STATE(2117),
    [sym_function_expression] = STATE(2117),
    [sym_generator_function] = STATE(2117),
    [sym_arrow_function] = STATE(2117),
    [sym__call_signature] = STATE(5783),
    [sym_call_expression] = STATE(2117),
    [sym_new_expression] = STATE(1963),
    [sym_await_expression] = STATE(2130),
    [sym_member_expression] = STATE(1364),
    [sym_subscript_expression] = STATE(1364),
    [sym_assignment_expression] = STATE(2130),
    [sym__augmented_assignment_lhs] = STATE(3037),
    [sym_augmented_assignment_expression] = STATE(2130),
    [sym__destructuring_pattern] = STATE(5785),
    [sym_ternary_expression] = STATE(2130),
    [sym_binary_expression] = STATE(2130),
    [sym_unary_expression] = STATE(2130),
    [sym_update_expression] = STATE(2130),
    [sym_string] = STATE(2117),
    [sym_template_string] = STATE(2117),
    [sym_regex] = STATE(2117),
    [sym_meta_property] = STATE(2117),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1364),
    [sym_type_assertion] = STATE(2130),
    [sym_as_expression] = STATE(2130),
    [sym_satisfies_expression] = STATE(2130),
    [sym_instantiation_expression] = STATE(2130),
    [sym_internal_module] = STATE(2130),
    [sym_type_arguments] = STATE(511),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4499),
    [sym_identifier] = ACTIONS(1481),
    [anon_sym_export] = ACTIONS(1227),
    [anon_sym_type] = ACTIONS(1227),
    [anon_sym_namespace] = ACTIONS(1229),
    [anon_sym_LBRACE] = ACTIONS(670),
    [anon_sym_typeof] = ACTIONS(1253),
    [anon_sym_import] = ACTIONS(674),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_BANG] = ACTIONS(1235),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1237),
    [anon_sym_yield] = ACTIONS(1239),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(681),
    [anon_sym_async] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(685),
    [anon_sym_new] = ACTIONS(1485),
    [anon_sym_using] = ACTIONS(1247),
    [anon_sym_PLUS] = ACTIONS(1253),
    [anon_sym_DASH] = ACTIONS(1253),
    [anon_sym_SLASH] = ACTIONS(885),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1235),
    [anon_sym_void] = ACTIONS(1253),
    [anon_sym_delete] = ACTIONS(1253),
    [anon_sym_PLUS_PLUS] = ACTIONS(1255),
    [anon_sym_DASH_DASH] = ACTIONS(1255),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1261),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1487),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1227),
    [anon_sym_readonly] = ACTIONS(1227),
    [anon_sym_get] = ACTIONS(1227),
    [anon_sym_set] = ACTIONS(1227),
    [anon_sym_declare] = ACTIONS(1227),
    [anon_sym_public] = ACTIONS(1227),
    [anon_sym_private] = ACTIONS(1227),
    [anon_sym_protected] = ACTIONS(1227),
    [anon_sym_override] = ACTIONS(1227),
    [anon_sym_module] = ACTIONS(1227),
    [anon_sym_any] = ACTIONS(1227),
    [anon_sym_number] = ACTIONS(1227),
    [anon_sym_boolean] = ACTIONS(1227),
    [anon_sym_string] = ACTIONS(1227),
    [anon_sym_symbol] = ACTIONS(1227),
    [anon_sym_object] = ACTIONS(1227),
    [sym_html_comment] = ACTIONS(5),
  },
  [521] = {
    [sym_import] = STATE(3513),
    [sym_parenthesized_expression] = STATE(1364),
    [sym_expression] = STATE(1848),
    [sym_primary_expression] = STATE(1833),
    [sym_yield_expression] = STATE(2130),
    [sym_object] = STATE(2117),
    [sym_object_pattern] = STATE(5785),
    [sym_array] = STATE(2117),
    [sym_array_pattern] = STATE(5785),
    [sym_glimmer_template] = STATE(2130),
    [sym_class] = STATE(2117),
    [sym_function_expression] = STATE(2117),
    [sym_generator_function] = STATE(2117),
    [sym_arrow_function] = STATE(2117),
    [sym__call_signature] = STATE(5783),
    [sym_call_expression] = STATE(2117),
    [sym_new_expression] = STATE(1963),
    [sym_await_expression] = STATE(2130),
    [sym_member_expression] = STATE(1364),
    [sym_subscript_expression] = STATE(1364),
    [sym_assignment_expression] = STATE(2130),
    [sym__augmented_assignment_lhs] = STATE(3037),
    [sym_augmented_assignment_expression] = STATE(2130),
    [sym__destructuring_pattern] = STATE(5785),
    [sym_ternary_expression] = STATE(2130),
    [sym_binary_expression] = STATE(2130),
    [sym_unary_expression] = STATE(2130),
    [sym_update_expression] = STATE(2130),
    [sym_string] = STATE(2117),
    [sym_template_string] = STATE(2117),
    [sym_regex] = STATE(2117),
    [sym_meta_property] = STATE(2117),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1364),
    [sym_type_assertion] = STATE(2130),
    [sym_as_expression] = STATE(2130),
    [sym_satisfies_expression] = STATE(2130),
    [sym_instantiation_expression] = STATE(2130),
    [sym_internal_module] = STATE(2130),
    [sym_type_arguments] = STATE(511),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4499),
    [sym_identifier] = ACTIONS(1481),
    [anon_sym_export] = ACTIONS(1227),
    [anon_sym_type] = ACTIONS(1227),
    [anon_sym_namespace] = ACTIONS(1229),
    [anon_sym_LBRACE] = ACTIONS(670),
    [anon_sym_typeof] = ACTIONS(1253),
    [anon_sym_import] = ACTIONS(674),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_BANG] = ACTIONS(1235),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1237),
    [anon_sym_yield] = ACTIONS(1239),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(681),
    [anon_sym_async] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(685),
    [anon_sym_new] = ACTIONS(1485),
    [anon_sym_using] = ACTIONS(1247),
    [anon_sym_PLUS] = ACTIONS(1253),
    [anon_sym_DASH] = ACTIONS(1253),
    [anon_sym_SLASH] = ACTIONS(885),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1235),
    [anon_sym_void] = ACTIONS(1253),
    [anon_sym_delete] = ACTIONS(1253),
    [anon_sym_PLUS_PLUS] = ACTIONS(1255),
    [anon_sym_DASH_DASH] = ACTIONS(1255),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1261),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1487),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1227),
    [anon_sym_readonly] = ACTIONS(1227),
    [anon_sym_get] = ACTIONS(1227),
    [anon_sym_set] = ACTIONS(1227),
    [anon_sym_declare] = ACTIONS(1227),
    [anon_sym_public] = ACTIONS(1227),
    [anon_sym_private] = ACTIONS(1227),
    [anon_sym_protected] = ACTIONS(1227),
    [anon_sym_override] = ACTIONS(1227),
    [anon_sym_module] = ACTIONS(1227),
    [anon_sym_any] = ACTIONS(1227),
    [anon_sym_number] = ACTIONS(1227),
    [anon_sym_boolean] = ACTIONS(1227),
    [anon_sym_string] = ACTIONS(1227),
    [anon_sym_symbol] = ACTIONS(1227),
    [anon_sym_object] = ACTIONS(1227),
    [sym_html_comment] = ACTIONS(5),
  },
  [522] = {
    [sym_import] = STATE(3513),
    [sym_parenthesized_expression] = STATE(1364),
    [sym_expression] = STATE(1849),
    [sym_primary_expression] = STATE(1833),
    [sym_yield_expression] = STATE(2130),
    [sym_object] = STATE(2117),
    [sym_object_pattern] = STATE(5785),
    [sym_array] = STATE(2117),
    [sym_array_pattern] = STATE(5785),
    [sym_glimmer_template] = STATE(2130),
    [sym_class] = STATE(2117),
    [sym_function_expression] = STATE(2117),
    [sym_generator_function] = STATE(2117),
    [sym_arrow_function] = STATE(2117),
    [sym__call_signature] = STATE(5783),
    [sym_call_expression] = STATE(2117),
    [sym_new_expression] = STATE(1963),
    [sym_await_expression] = STATE(2130),
    [sym_member_expression] = STATE(1364),
    [sym_subscript_expression] = STATE(1364),
    [sym_assignment_expression] = STATE(2130),
    [sym__augmented_assignment_lhs] = STATE(3037),
    [sym_augmented_assignment_expression] = STATE(2130),
    [sym__destructuring_pattern] = STATE(5785),
    [sym_ternary_expression] = STATE(2130),
    [sym_binary_expression] = STATE(2130),
    [sym_unary_expression] = STATE(2130),
    [sym_update_expression] = STATE(2130),
    [sym_string] = STATE(2117),
    [sym_template_string] = STATE(2117),
    [sym_regex] = STATE(2117),
    [sym_meta_property] = STATE(2117),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1364),
    [sym_type_assertion] = STATE(2130),
    [sym_as_expression] = STATE(2130),
    [sym_satisfies_expression] = STATE(2130),
    [sym_instantiation_expression] = STATE(2130),
    [sym_internal_module] = STATE(2130),
    [sym_type_arguments] = STATE(511),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4499),
    [sym_identifier] = ACTIONS(1481),
    [anon_sym_export] = ACTIONS(1227),
    [anon_sym_type] = ACTIONS(1227),
    [anon_sym_namespace] = ACTIONS(1229),
    [anon_sym_LBRACE] = ACTIONS(670),
    [anon_sym_typeof] = ACTIONS(1253),
    [anon_sym_import] = ACTIONS(674),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_BANG] = ACTIONS(1235),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1237),
    [anon_sym_yield] = ACTIONS(1239),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(681),
    [anon_sym_async] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(685),
    [anon_sym_new] = ACTIONS(1485),
    [anon_sym_using] = ACTIONS(1247),
    [anon_sym_PLUS] = ACTIONS(1253),
    [anon_sym_DASH] = ACTIONS(1253),
    [anon_sym_SLASH] = ACTIONS(885),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1235),
    [anon_sym_void] = ACTIONS(1253),
    [anon_sym_delete] = ACTIONS(1253),
    [anon_sym_PLUS_PLUS] = ACTIONS(1255),
    [anon_sym_DASH_DASH] = ACTIONS(1255),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1261),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1487),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1227),
    [anon_sym_readonly] = ACTIONS(1227),
    [anon_sym_get] = ACTIONS(1227),
    [anon_sym_set] = ACTIONS(1227),
    [anon_sym_declare] = ACTIONS(1227),
    [anon_sym_public] = ACTIONS(1227),
    [anon_sym_private] = ACTIONS(1227),
    [anon_sym_protected] = ACTIONS(1227),
    [anon_sym_override] = ACTIONS(1227),
    [anon_sym_module] = ACTIONS(1227),
    [anon_sym_any] = ACTIONS(1227),
    [anon_sym_number] = ACTIONS(1227),
    [anon_sym_boolean] = ACTIONS(1227),
    [anon_sym_string] = ACTIONS(1227),
    [anon_sym_symbol] = ACTIONS(1227),
    [anon_sym_object] = ACTIONS(1227),
    [sym_html_comment] = ACTIONS(5),
  },
  [523] = {
    [sym_import] = STATE(3513),
    [sym_parenthesized_expression] = STATE(1364),
    [sym_expression] = STATE(1850),
    [sym_primary_expression] = STATE(1833),
    [sym_yield_expression] = STATE(2130),
    [sym_object] = STATE(2117),
    [sym_object_pattern] = STATE(5785),
    [sym_array] = STATE(2117),
    [sym_array_pattern] = STATE(5785),
    [sym_glimmer_template] = STATE(2130),
    [sym_class] = STATE(2117),
    [sym_function_expression] = STATE(2117),
    [sym_generator_function] = STATE(2117),
    [sym_arrow_function] = STATE(2117),
    [sym__call_signature] = STATE(5783),
    [sym_call_expression] = STATE(2117),
    [sym_new_expression] = STATE(1963),
    [sym_await_expression] = STATE(2130),
    [sym_member_expression] = STATE(1364),
    [sym_subscript_expression] = STATE(1364),
    [sym_assignment_expression] = STATE(2130),
    [sym__augmented_assignment_lhs] = STATE(3037),
    [sym_augmented_assignment_expression] = STATE(2130),
    [sym__destructuring_pattern] = STATE(5785),
    [sym_ternary_expression] = STATE(2130),
    [sym_binary_expression] = STATE(2130),
    [sym_unary_expression] = STATE(2130),
    [sym_update_expression] = STATE(2130),
    [sym_string] = STATE(2117),
    [sym_template_string] = STATE(2117),
    [sym_regex] = STATE(2117),
    [sym_meta_property] = STATE(2117),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1364),
    [sym_type_assertion] = STATE(2130),
    [sym_as_expression] = STATE(2130),
    [sym_satisfies_expression] = STATE(2130),
    [sym_instantiation_expression] = STATE(2130),
    [sym_internal_module] = STATE(2130),
    [sym_type_arguments] = STATE(511),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4499),
    [sym_identifier] = ACTIONS(1481),
    [anon_sym_export] = ACTIONS(1227),
    [anon_sym_type] = ACTIONS(1227),
    [anon_sym_namespace] = ACTIONS(1229),
    [anon_sym_LBRACE] = ACTIONS(670),
    [anon_sym_typeof] = ACTIONS(1253),
    [anon_sym_import] = ACTIONS(674),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_BANG] = ACTIONS(1235),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1237),
    [anon_sym_yield] = ACTIONS(1239),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(681),
    [anon_sym_async] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(685),
    [anon_sym_new] = ACTIONS(1485),
    [anon_sym_using] = ACTIONS(1247),
    [anon_sym_PLUS] = ACTIONS(1253),
    [anon_sym_DASH] = ACTIONS(1253),
    [anon_sym_SLASH] = ACTIONS(885),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1235),
    [anon_sym_void] = ACTIONS(1253),
    [anon_sym_delete] = ACTIONS(1253),
    [anon_sym_PLUS_PLUS] = ACTIONS(1255),
    [anon_sym_DASH_DASH] = ACTIONS(1255),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1261),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1487),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1227),
    [anon_sym_readonly] = ACTIONS(1227),
    [anon_sym_get] = ACTIONS(1227),
    [anon_sym_set] = ACTIONS(1227),
    [anon_sym_declare] = ACTIONS(1227),
    [anon_sym_public] = ACTIONS(1227),
    [anon_sym_private] = ACTIONS(1227),
    [anon_sym_protected] = ACTIONS(1227),
    [anon_sym_override] = ACTIONS(1227),
    [anon_sym_module] = ACTIONS(1227),
    [anon_sym_any] = ACTIONS(1227),
    [anon_sym_number] = ACTIONS(1227),
    [anon_sym_boolean] = ACTIONS(1227),
    [anon_sym_string] = ACTIONS(1227),
    [anon_sym_symbol] = ACTIONS(1227),
    [anon_sym_object] = ACTIONS(1227),
    [sym_html_comment] = ACTIONS(5),
  },
  [524] = {
    [sym_import] = STATE(3513),
    [sym_parenthesized_expression] = STATE(1353),
    [sym_expression] = STATE(1792),
    [sym_primary_expression] = STATE(1833),
    [sym_yield_expression] = STATE(2130),
    [sym_object] = STATE(2117),
    [sym_object_pattern] = STATE(5484),
    [sym_array] = STATE(2117),
    [sym_array_pattern] = STATE(5484),
    [sym_glimmer_template] = STATE(2130),
    [sym_class] = STATE(2117),
    [sym_function_expression] = STATE(2117),
    [sym_generator_function] = STATE(2117),
    [sym_arrow_function] = STATE(2117),
    [sym__call_signature] = STATE(5525),
    [sym_call_expression] = STATE(2117),
    [sym_new_expression] = STATE(1963),
    [sym_await_expression] = STATE(2130),
    [sym_member_expression] = STATE(1353),
    [sym_subscript_expression] = STATE(1353),
    [sym_assignment_expression] = STATE(2130),
    [sym__augmented_assignment_lhs] = STATE(3036),
    [sym_augmented_assignment_expression] = STATE(2130),
    [sym__destructuring_pattern] = STATE(5484),
    [sym_ternary_expression] = STATE(2130),
    [sym_binary_expression] = STATE(2130),
    [sym_unary_expression] = STATE(2130),
    [sym_update_expression] = STATE(2130),
    [sym_string] = STATE(2117),
    [sym_template_string] = STATE(2117),
    [sym_regex] = STATE(2117),
    [sym_meta_property] = STATE(2117),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1353),
    [sym_type_assertion] = STATE(2130),
    [sym_as_expression] = STATE(2130),
    [sym_satisfies_expression] = STATE(2130),
    [sym_instantiation_expression] = STATE(2130),
    [sym_internal_module] = STATE(2130),
    [sym_type_arguments] = STATE(427),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4499),
    [sym_identifier] = ACTIONS(1475),
    [anon_sym_export] = ACTIONS(1443),
    [anon_sym_type] = ACTIONS(1443),
    [anon_sym_namespace] = ACTIONS(1445),
    [anon_sym_LBRACE] = ACTIONS(670),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(674),
    [anon_sym_let] = ACTIONS(1443),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(681),
    [anon_sym_async] = ACTIONS(1449),
    [anon_sym_function] = ACTIONS(685),
    [anon_sym_new] = ACTIONS(1479),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1443),
    [anon_sym_readonly] = ACTIONS(1443),
    [anon_sym_get] = ACTIONS(1443),
    [anon_sym_set] = ACTIONS(1443),
    [anon_sym_declare] = ACTIONS(1443),
    [anon_sym_public] = ACTIONS(1443),
    [anon_sym_private] = ACTIONS(1443),
    [anon_sym_protected] = ACTIONS(1443),
    [anon_sym_override] = ACTIONS(1443),
    [anon_sym_module] = ACTIONS(1443),
    [anon_sym_any] = ACTIONS(1443),
    [anon_sym_number] = ACTIONS(1443),
    [anon_sym_boolean] = ACTIONS(1443),
    [anon_sym_string] = ACTIONS(1443),
    [anon_sym_symbol] = ACTIONS(1443),
    [anon_sym_object] = ACTIONS(1443),
    [sym_html_comment] = ACTIONS(5),
  },
  [525] = {
    [sym_import] = STATE(3513),
    [sym_parenthesized_expression] = STATE(1364),
    [sym_expression] = STATE(1852),
    [sym_primary_expression] = STATE(1833),
    [sym_yield_expression] = STATE(2130),
    [sym_object] = STATE(2117),
    [sym_object_pattern] = STATE(5785),
    [sym_array] = STATE(2117),
    [sym_array_pattern] = STATE(5785),
    [sym_glimmer_template] = STATE(2130),
    [sym_class] = STATE(2117),
    [sym_function_expression] = STATE(2117),
    [sym_generator_function] = STATE(2117),
    [sym_arrow_function] = STATE(2117),
    [sym__call_signature] = STATE(5783),
    [sym_call_expression] = STATE(2117),
    [sym_new_expression] = STATE(1963),
    [sym_await_expression] = STATE(2130),
    [sym_member_expression] = STATE(1364),
    [sym_subscript_expression] = STATE(1364),
    [sym_assignment_expression] = STATE(2130),
    [sym__augmented_assignment_lhs] = STATE(3037),
    [sym_augmented_assignment_expression] = STATE(2130),
    [sym__destructuring_pattern] = STATE(5785),
    [sym_ternary_expression] = STATE(2130),
    [sym_binary_expression] = STATE(2130),
    [sym_unary_expression] = STATE(2130),
    [sym_update_expression] = STATE(2130),
    [sym_string] = STATE(2117),
    [sym_template_string] = STATE(2117),
    [sym_regex] = STATE(2117),
    [sym_meta_property] = STATE(2117),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1364),
    [sym_type_assertion] = STATE(2130),
    [sym_as_expression] = STATE(2130),
    [sym_satisfies_expression] = STATE(2130),
    [sym_instantiation_expression] = STATE(2130),
    [sym_internal_module] = STATE(2130),
    [sym_type_arguments] = STATE(511),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4499),
    [sym_identifier] = ACTIONS(1481),
    [anon_sym_export] = ACTIONS(1227),
    [anon_sym_type] = ACTIONS(1227),
    [anon_sym_namespace] = ACTIONS(1229),
    [anon_sym_LBRACE] = ACTIONS(670),
    [anon_sym_typeof] = ACTIONS(1253),
    [anon_sym_import] = ACTIONS(674),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_BANG] = ACTIONS(1235),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1237),
    [anon_sym_yield] = ACTIONS(1239),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(681),
    [anon_sym_async] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(685),
    [anon_sym_new] = ACTIONS(1485),
    [anon_sym_using] = ACTIONS(1247),
    [anon_sym_PLUS] = ACTIONS(1253),
    [anon_sym_DASH] = ACTIONS(1253),
    [anon_sym_SLASH] = ACTIONS(885),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1235),
    [anon_sym_void] = ACTIONS(1253),
    [anon_sym_delete] = ACTIONS(1253),
    [anon_sym_PLUS_PLUS] = ACTIONS(1255),
    [anon_sym_DASH_DASH] = ACTIONS(1255),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1261),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1487),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1227),
    [anon_sym_readonly] = ACTIONS(1227),
    [anon_sym_get] = ACTIONS(1227),
    [anon_sym_set] = ACTIONS(1227),
    [anon_sym_declare] = ACTIONS(1227),
    [anon_sym_public] = ACTIONS(1227),
    [anon_sym_private] = ACTIONS(1227),
    [anon_sym_protected] = ACTIONS(1227),
    [anon_sym_override] = ACTIONS(1227),
    [anon_sym_module] = ACTIONS(1227),
    [anon_sym_any] = ACTIONS(1227),
    [anon_sym_number] = ACTIONS(1227),
    [anon_sym_boolean] = ACTIONS(1227),
    [anon_sym_string] = ACTIONS(1227),
    [anon_sym_symbol] = ACTIONS(1227),
    [anon_sym_object] = ACTIONS(1227),
    [sym_html_comment] = ACTIONS(5),
  },
  [526] = {
    [sym_import] = STATE(3513),
    [sym_parenthesized_expression] = STATE(1364),
    [sym_expression] = STATE(1853),
    [sym_primary_expression] = STATE(1833),
    [sym_yield_expression] = STATE(2130),
    [sym_object] = STATE(2117),
    [sym_object_pattern] = STATE(5785),
    [sym_array] = STATE(2117),
    [sym_array_pattern] = STATE(5785),
    [sym_glimmer_template] = STATE(2130),
    [sym_class] = STATE(2117),
    [sym_function_expression] = STATE(2117),
    [sym_generator_function] = STATE(2117),
    [sym_arrow_function] = STATE(2117),
    [sym__call_signature] = STATE(5783),
    [sym_call_expression] = STATE(2117),
    [sym_new_expression] = STATE(1963),
    [sym_await_expression] = STATE(2130),
    [sym_member_expression] = STATE(1364),
    [sym_subscript_expression] = STATE(1364),
    [sym_assignment_expression] = STATE(2130),
    [sym__augmented_assignment_lhs] = STATE(3037),
    [sym_augmented_assignment_expression] = STATE(2130),
    [sym__destructuring_pattern] = STATE(5785),
    [sym_ternary_expression] = STATE(2130),
    [sym_binary_expression] = STATE(2130),
    [sym_unary_expression] = STATE(2130),
    [sym_update_expression] = STATE(2130),
    [sym_string] = STATE(2117),
    [sym_template_string] = STATE(2117),
    [sym_regex] = STATE(2117),
    [sym_meta_property] = STATE(2117),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1364),
    [sym_type_assertion] = STATE(2130),
    [sym_as_expression] = STATE(2130),
    [sym_satisfies_expression] = STATE(2130),
    [sym_instantiation_expression] = STATE(2130),
    [sym_internal_module] = STATE(2130),
    [sym_type_arguments] = STATE(511),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4499),
    [sym_identifier] = ACTIONS(1481),
    [anon_sym_export] = ACTIONS(1227),
    [anon_sym_type] = ACTIONS(1227),
    [anon_sym_namespace] = ACTIONS(1229),
    [anon_sym_LBRACE] = ACTIONS(670),
    [anon_sym_typeof] = ACTIONS(1253),
    [anon_sym_import] = ACTIONS(674),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_BANG] = ACTIONS(1235),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1237),
    [anon_sym_yield] = ACTIONS(1239),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(681),
    [anon_sym_async] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(685),
    [anon_sym_new] = ACTIONS(1485),
    [anon_sym_using] = ACTIONS(1247),
    [anon_sym_PLUS] = ACTIONS(1253),
    [anon_sym_DASH] = ACTIONS(1253),
    [anon_sym_SLASH] = ACTIONS(885),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1235),
    [anon_sym_void] = ACTIONS(1253),
    [anon_sym_delete] = ACTIONS(1253),
    [anon_sym_PLUS_PLUS] = ACTIONS(1255),
    [anon_sym_DASH_DASH] = ACTIONS(1255),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1261),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1487),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1227),
    [anon_sym_readonly] = ACTIONS(1227),
    [anon_sym_get] = ACTIONS(1227),
    [anon_sym_set] = ACTIONS(1227),
    [anon_sym_declare] = ACTIONS(1227),
    [anon_sym_public] = ACTIONS(1227),
    [anon_sym_private] = ACTIONS(1227),
    [anon_sym_protected] = ACTIONS(1227),
    [anon_sym_override] = ACTIONS(1227),
    [anon_sym_module] = ACTIONS(1227),
    [anon_sym_any] = ACTIONS(1227),
    [anon_sym_number] = ACTIONS(1227),
    [anon_sym_boolean] = ACTIONS(1227),
    [anon_sym_string] = ACTIONS(1227),
    [anon_sym_symbol] = ACTIONS(1227),
    [anon_sym_object] = ACTIONS(1227),
    [sym_html_comment] = ACTIONS(5),
  },
  [527] = {
    [sym_import] = STATE(3513),
    [sym_parenthesized_expression] = STATE(1364),
    [sym_expression] = STATE(1854),
    [sym_primary_expression] = STATE(1833),
    [sym_yield_expression] = STATE(2130),
    [sym_object] = STATE(2117),
    [sym_object_pattern] = STATE(5785),
    [sym_array] = STATE(2117),
    [sym_array_pattern] = STATE(5785),
    [sym_glimmer_template] = STATE(2130),
    [sym_class] = STATE(2117),
    [sym_function_expression] = STATE(2117),
    [sym_generator_function] = STATE(2117),
    [sym_arrow_function] = STATE(2117),
    [sym__call_signature] = STATE(5783),
    [sym_call_expression] = STATE(2117),
    [sym_new_expression] = STATE(1963),
    [sym_await_expression] = STATE(2130),
    [sym_member_expression] = STATE(1364),
    [sym_subscript_expression] = STATE(1364),
    [sym_assignment_expression] = STATE(2130),
    [sym__augmented_assignment_lhs] = STATE(3037),
    [sym_augmented_assignment_expression] = STATE(2130),
    [sym__destructuring_pattern] = STATE(5785),
    [sym_ternary_expression] = STATE(2130),
    [sym_binary_expression] = STATE(2130),
    [sym_unary_expression] = STATE(2130),
    [sym_update_expression] = STATE(2130),
    [sym_string] = STATE(2117),
    [sym_template_string] = STATE(2117),
    [sym_regex] = STATE(2117),
    [sym_meta_property] = STATE(2117),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1364),
    [sym_type_assertion] = STATE(2130),
    [sym_as_expression] = STATE(2130),
    [sym_satisfies_expression] = STATE(2130),
    [sym_instantiation_expression] = STATE(2130),
    [sym_internal_module] = STATE(2130),
    [sym_type_arguments] = STATE(511),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4499),
    [sym_identifier] = ACTIONS(1481),
    [anon_sym_export] = ACTIONS(1227),
    [anon_sym_type] = ACTIONS(1227),
    [anon_sym_namespace] = ACTIONS(1229),
    [anon_sym_LBRACE] = ACTIONS(670),
    [anon_sym_typeof] = ACTIONS(1253),
    [anon_sym_import] = ACTIONS(674),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_BANG] = ACTIONS(1235),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1237),
    [anon_sym_yield] = ACTIONS(1239),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(681),
    [anon_sym_async] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(685),
    [anon_sym_new] = ACTIONS(1485),
    [anon_sym_using] = ACTIONS(1247),
    [anon_sym_PLUS] = ACTIONS(1253),
    [anon_sym_DASH] = ACTIONS(1253),
    [anon_sym_SLASH] = ACTIONS(885),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1235),
    [anon_sym_void] = ACTIONS(1253),
    [anon_sym_delete] = ACTIONS(1253),
    [anon_sym_PLUS_PLUS] = ACTIONS(1255),
    [anon_sym_DASH_DASH] = ACTIONS(1255),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1261),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1487),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1227),
    [anon_sym_readonly] = ACTIONS(1227),
    [anon_sym_get] = ACTIONS(1227),
    [anon_sym_set] = ACTIONS(1227),
    [anon_sym_declare] = ACTIONS(1227),
    [anon_sym_public] = ACTIONS(1227),
    [anon_sym_private] = ACTIONS(1227),
    [anon_sym_protected] = ACTIONS(1227),
    [anon_sym_override] = ACTIONS(1227),
    [anon_sym_module] = ACTIONS(1227),
    [anon_sym_any] = ACTIONS(1227),
    [anon_sym_number] = ACTIONS(1227),
    [anon_sym_boolean] = ACTIONS(1227),
    [anon_sym_string] = ACTIONS(1227),
    [anon_sym_symbol] = ACTIONS(1227),
    [anon_sym_object] = ACTIONS(1227),
    [sym_html_comment] = ACTIONS(5),
  },
  [528] = {
    [sym_import] = STATE(3513),
    [sym_parenthesized_expression] = STATE(1364),
    [sym_expression] = STATE(1855),
    [sym_primary_expression] = STATE(1833),
    [sym_yield_expression] = STATE(2130),
    [sym_object] = STATE(2117),
    [sym_object_pattern] = STATE(5785),
    [sym_array] = STATE(2117),
    [sym_array_pattern] = STATE(5785),
    [sym_glimmer_template] = STATE(2130),
    [sym_class] = STATE(2117),
    [sym_function_expression] = STATE(2117),
    [sym_generator_function] = STATE(2117),
    [sym_arrow_function] = STATE(2117),
    [sym__call_signature] = STATE(5783),
    [sym_call_expression] = STATE(2117),
    [sym_new_expression] = STATE(1963),
    [sym_await_expression] = STATE(2130),
    [sym_member_expression] = STATE(1364),
    [sym_subscript_expression] = STATE(1364),
    [sym_assignment_expression] = STATE(2130),
    [sym__augmented_assignment_lhs] = STATE(3037),
    [sym_augmented_assignment_expression] = STATE(2130),
    [sym__destructuring_pattern] = STATE(5785),
    [sym_ternary_expression] = STATE(2130),
    [sym_binary_expression] = STATE(2130),
    [sym_unary_expression] = STATE(2130),
    [sym_update_expression] = STATE(2130),
    [sym_string] = STATE(2117),
    [sym_template_string] = STATE(2117),
    [sym_regex] = STATE(2117),
    [sym_meta_property] = STATE(2117),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1364),
    [sym_type_assertion] = STATE(2130),
    [sym_as_expression] = STATE(2130),
    [sym_satisfies_expression] = STATE(2130),
    [sym_instantiation_expression] = STATE(2130),
    [sym_internal_module] = STATE(2130),
    [sym_type_arguments] = STATE(511),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4499),
    [sym_identifier] = ACTIONS(1481),
    [anon_sym_export] = ACTIONS(1227),
    [anon_sym_type] = ACTIONS(1227),
    [anon_sym_namespace] = ACTIONS(1229),
    [anon_sym_LBRACE] = ACTIONS(670),
    [anon_sym_typeof] = ACTIONS(1253),
    [anon_sym_import] = ACTIONS(674),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_BANG] = ACTIONS(1235),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1237),
    [anon_sym_yield] = ACTIONS(1239),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(681),
    [anon_sym_async] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(685),
    [anon_sym_new] = ACTIONS(1485),
    [anon_sym_using] = ACTIONS(1247),
    [anon_sym_PLUS] = ACTIONS(1253),
    [anon_sym_DASH] = ACTIONS(1253),
    [anon_sym_SLASH] = ACTIONS(885),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1235),
    [anon_sym_void] = ACTIONS(1253),
    [anon_sym_delete] = ACTIONS(1253),
    [anon_sym_PLUS_PLUS] = ACTIONS(1255),
    [anon_sym_DASH_DASH] = ACTIONS(1255),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1261),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1487),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1227),
    [anon_sym_readonly] = ACTIONS(1227),
    [anon_sym_get] = ACTIONS(1227),
    [anon_sym_set] = ACTIONS(1227),
    [anon_sym_declare] = ACTIONS(1227),
    [anon_sym_public] = ACTIONS(1227),
    [anon_sym_private] = ACTIONS(1227),
    [anon_sym_protected] = ACTIONS(1227),
    [anon_sym_override] = ACTIONS(1227),
    [anon_sym_module] = ACTIONS(1227),
    [anon_sym_any] = ACTIONS(1227),
    [anon_sym_number] = ACTIONS(1227),
    [anon_sym_boolean] = ACTIONS(1227),
    [anon_sym_string] = ACTIONS(1227),
    [anon_sym_symbol] = ACTIONS(1227),
    [anon_sym_object] = ACTIONS(1227),
    [sym_html_comment] = ACTIONS(5),
  },
  [529] = {
    [sym_import] = STATE(3513),
    [sym_parenthesized_expression] = STATE(1364),
    [sym_expression] = STATE(1857),
    [sym_primary_expression] = STATE(1833),
    [sym_yield_expression] = STATE(2130),
    [sym_object] = STATE(2117),
    [sym_object_pattern] = STATE(5785),
    [sym_array] = STATE(2117),
    [sym_array_pattern] = STATE(5785),
    [sym_glimmer_template] = STATE(2130),
    [sym_class] = STATE(2117),
    [sym_function_expression] = STATE(2117),
    [sym_generator_function] = STATE(2117),
    [sym_arrow_function] = STATE(2117),
    [sym__call_signature] = STATE(5783),
    [sym_call_expression] = STATE(2117),
    [sym_new_expression] = STATE(1963),
    [sym_await_expression] = STATE(2130),
    [sym_member_expression] = STATE(1364),
    [sym_subscript_expression] = STATE(1364),
    [sym_assignment_expression] = STATE(2130),
    [sym__augmented_assignment_lhs] = STATE(3037),
    [sym_augmented_assignment_expression] = STATE(2130),
    [sym__destructuring_pattern] = STATE(5785),
    [sym_ternary_expression] = STATE(2130),
    [sym_binary_expression] = STATE(2130),
    [sym_unary_expression] = STATE(2130),
    [sym_update_expression] = STATE(2130),
    [sym_string] = STATE(2117),
    [sym_template_string] = STATE(2117),
    [sym_regex] = STATE(2117),
    [sym_meta_property] = STATE(2117),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1364),
    [sym_type_assertion] = STATE(2130),
    [sym_as_expression] = STATE(2130),
    [sym_satisfies_expression] = STATE(2130),
    [sym_instantiation_expression] = STATE(2130),
    [sym_internal_module] = STATE(2130),
    [sym_type_arguments] = STATE(511),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4499),
    [sym_identifier] = ACTIONS(1481),
    [anon_sym_export] = ACTIONS(1227),
    [anon_sym_type] = ACTIONS(1227),
    [anon_sym_namespace] = ACTIONS(1229),
    [anon_sym_LBRACE] = ACTIONS(670),
    [anon_sym_typeof] = ACTIONS(1253),
    [anon_sym_import] = ACTIONS(674),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_BANG] = ACTIONS(1235),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1237),
    [anon_sym_yield] = ACTIONS(1239),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(681),
    [anon_sym_async] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(685),
    [anon_sym_new] = ACTIONS(1485),
    [anon_sym_using] = ACTIONS(1247),
    [anon_sym_PLUS] = ACTIONS(1253),
    [anon_sym_DASH] = ACTIONS(1253),
    [anon_sym_SLASH] = ACTIONS(885),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1235),
    [anon_sym_void] = ACTIONS(1253),
    [anon_sym_delete] = ACTIONS(1253),
    [anon_sym_PLUS_PLUS] = ACTIONS(1255),
    [anon_sym_DASH_DASH] = ACTIONS(1255),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1261),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1487),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1227),
    [anon_sym_readonly] = ACTIONS(1227),
    [anon_sym_get] = ACTIONS(1227),
    [anon_sym_set] = ACTIONS(1227),
    [anon_sym_declare] = ACTIONS(1227),
    [anon_sym_public] = ACTIONS(1227),
    [anon_sym_private] = ACTIONS(1227),
    [anon_sym_protected] = ACTIONS(1227),
    [anon_sym_override] = ACTIONS(1227),
    [anon_sym_module] = ACTIONS(1227),
    [anon_sym_any] = ACTIONS(1227),
    [anon_sym_number] = ACTIONS(1227),
    [anon_sym_boolean] = ACTIONS(1227),
    [anon_sym_string] = ACTIONS(1227),
    [anon_sym_symbol] = ACTIONS(1227),
    [anon_sym_object] = ACTIONS(1227),
    [sym_html_comment] = ACTIONS(5),
  },
  [530] = {
    [sym_import] = STATE(3513),
    [sym_parenthesized_expression] = STATE(1353),
    [sym_expression] = STATE(1811),
    [sym_primary_expression] = STATE(1833),
    [sym_yield_expression] = STATE(2130),
    [sym_object] = STATE(2117),
    [sym_object_pattern] = STATE(5484),
    [sym_array] = STATE(2117),
    [sym_array_pattern] = STATE(5484),
    [sym_glimmer_template] = STATE(2130),
    [sym_class] = STATE(2117),
    [sym_function_expression] = STATE(2117),
    [sym_generator_function] = STATE(2117),
    [sym_arrow_function] = STATE(2117),
    [sym__call_signature] = STATE(5525),
    [sym_call_expression] = STATE(2117),
    [sym_new_expression] = STATE(1963),
    [sym_await_expression] = STATE(2130),
    [sym_member_expression] = STATE(1353),
    [sym_subscript_expression] = STATE(1353),
    [sym_assignment_expression] = STATE(2130),
    [sym__augmented_assignment_lhs] = STATE(3036),
    [sym_augmented_assignment_expression] = STATE(2130),
    [sym__destructuring_pattern] = STATE(5484),
    [sym_ternary_expression] = STATE(2130),
    [sym_binary_expression] = STATE(2130),
    [sym_unary_expression] = STATE(2130),
    [sym_update_expression] = STATE(2130),
    [sym_string] = STATE(2117),
    [sym_template_string] = STATE(2117),
    [sym_regex] = STATE(2117),
    [sym_meta_property] = STATE(2117),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1353),
    [sym_type_assertion] = STATE(2130),
    [sym_as_expression] = STATE(2130),
    [sym_satisfies_expression] = STATE(2130),
    [sym_instantiation_expression] = STATE(2130),
    [sym_internal_module] = STATE(2130),
    [sym_type_arguments] = STATE(427),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4499),
    [sym_identifier] = ACTIONS(1475),
    [anon_sym_export] = ACTIONS(1443),
    [anon_sym_type] = ACTIONS(1443),
    [anon_sym_namespace] = ACTIONS(1445),
    [anon_sym_LBRACE] = ACTIONS(670),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(674),
    [anon_sym_let] = ACTIONS(1443),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(681),
    [anon_sym_async] = ACTIONS(1449),
    [anon_sym_function] = ACTIONS(685),
    [anon_sym_new] = ACTIONS(1479),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1443),
    [anon_sym_readonly] = ACTIONS(1443),
    [anon_sym_get] = ACTIONS(1443),
    [anon_sym_set] = ACTIONS(1443),
    [anon_sym_declare] = ACTIONS(1443),
    [anon_sym_public] = ACTIONS(1443),
    [anon_sym_private] = ACTIONS(1443),
    [anon_sym_protected] = ACTIONS(1443),
    [anon_sym_override] = ACTIONS(1443),
    [anon_sym_module] = ACTIONS(1443),
    [anon_sym_any] = ACTIONS(1443),
    [anon_sym_number] = ACTIONS(1443),
    [anon_sym_boolean] = ACTIONS(1443),
    [anon_sym_string] = ACTIONS(1443),
    [anon_sym_symbol] = ACTIONS(1443),
    [anon_sym_object] = ACTIONS(1443),
    [sym_html_comment] = ACTIONS(5),
  },
  [531] = {
    [sym_import] = STATE(3513),
    [sym_parenthesized_expression] = STATE(1364),
    [sym_expression] = STATE(1861),
    [sym_primary_expression] = STATE(1833),
    [sym_yield_expression] = STATE(2130),
    [sym_object] = STATE(2117),
    [sym_object_pattern] = STATE(5785),
    [sym_array] = STATE(2117),
    [sym_array_pattern] = STATE(5785),
    [sym_glimmer_template] = STATE(2130),
    [sym_class] = STATE(2117),
    [sym_function_expression] = STATE(2117),
    [sym_generator_function] = STATE(2117),
    [sym_arrow_function] = STATE(2117),
    [sym__call_signature] = STATE(5783),
    [sym_call_expression] = STATE(2117),
    [sym_new_expression] = STATE(1963),
    [sym_await_expression] = STATE(2130),
    [sym_member_expression] = STATE(1364),
    [sym_subscript_expression] = STATE(1364),
    [sym_assignment_expression] = STATE(2130),
    [sym__augmented_assignment_lhs] = STATE(3037),
    [sym_augmented_assignment_expression] = STATE(2130),
    [sym__destructuring_pattern] = STATE(5785),
    [sym_ternary_expression] = STATE(2130),
    [sym_binary_expression] = STATE(2130),
    [sym_unary_expression] = STATE(2130),
    [sym_update_expression] = STATE(2130),
    [sym_string] = STATE(2117),
    [sym_template_string] = STATE(2117),
    [sym_regex] = STATE(2117),
    [sym_meta_property] = STATE(2117),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1364),
    [sym_type_assertion] = STATE(2130),
    [sym_as_expression] = STATE(2130),
    [sym_satisfies_expression] = STATE(2130),
    [sym_instantiation_expression] = STATE(2130),
    [sym_internal_module] = STATE(2130),
    [sym_type_arguments] = STATE(511),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4499),
    [sym_identifier] = ACTIONS(1481),
    [anon_sym_export] = ACTIONS(1227),
    [anon_sym_type] = ACTIONS(1227),
    [anon_sym_namespace] = ACTIONS(1229),
    [anon_sym_LBRACE] = ACTIONS(670),
    [anon_sym_typeof] = ACTIONS(1253),
    [anon_sym_import] = ACTIONS(674),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_BANG] = ACTIONS(1235),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1237),
    [anon_sym_yield] = ACTIONS(1239),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(681),
    [anon_sym_async] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(685),
    [anon_sym_new] = ACTIONS(1485),
    [anon_sym_using] = ACTIONS(1247),
    [anon_sym_PLUS] = ACTIONS(1253),
    [anon_sym_DASH] = ACTIONS(1253),
    [anon_sym_SLASH] = ACTIONS(885),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1235),
    [anon_sym_void] = ACTIONS(1253),
    [anon_sym_delete] = ACTIONS(1253),
    [anon_sym_PLUS_PLUS] = ACTIONS(1255),
    [anon_sym_DASH_DASH] = ACTIONS(1255),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1261),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1487),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1227),
    [anon_sym_readonly] = ACTIONS(1227),
    [anon_sym_get] = ACTIONS(1227),
    [anon_sym_set] = ACTIONS(1227),
    [anon_sym_declare] = ACTIONS(1227),
    [anon_sym_public] = ACTIONS(1227),
    [anon_sym_private] = ACTIONS(1227),
    [anon_sym_protected] = ACTIONS(1227),
    [anon_sym_override] = ACTIONS(1227),
    [anon_sym_module] = ACTIONS(1227),
    [anon_sym_any] = ACTIONS(1227),
    [anon_sym_number] = ACTIONS(1227),
    [anon_sym_boolean] = ACTIONS(1227),
    [anon_sym_string] = ACTIONS(1227),
    [anon_sym_symbol] = ACTIONS(1227),
    [anon_sym_object] = ACTIONS(1227),
    [sym_html_comment] = ACTIONS(5),
  },
  [532] = {
    [sym_import] = STATE(3513),
    [sym_parenthesized_expression] = STATE(1364),
    [sym_expression] = STATE(1862),
    [sym_primary_expression] = STATE(1833),
    [sym_yield_expression] = STATE(2130),
    [sym_object] = STATE(2117),
    [sym_object_pattern] = STATE(5785),
    [sym_array] = STATE(2117),
    [sym_array_pattern] = STATE(5785),
    [sym_glimmer_template] = STATE(2130),
    [sym_class] = STATE(2117),
    [sym_function_expression] = STATE(2117),
    [sym_generator_function] = STATE(2117),
    [sym_arrow_function] = STATE(2117),
    [sym__call_signature] = STATE(5783),
    [sym_call_expression] = STATE(2117),
    [sym_new_expression] = STATE(1963),
    [sym_await_expression] = STATE(2130),
    [sym_member_expression] = STATE(1364),
    [sym_subscript_expression] = STATE(1364),
    [sym_assignment_expression] = STATE(2130),
    [sym__augmented_assignment_lhs] = STATE(3037),
    [sym_augmented_assignment_expression] = STATE(2130),
    [sym__destructuring_pattern] = STATE(5785),
    [sym_ternary_expression] = STATE(2130),
    [sym_binary_expression] = STATE(2130),
    [sym_unary_expression] = STATE(2130),
    [sym_update_expression] = STATE(2130),
    [sym_string] = STATE(2117),
    [sym_template_string] = STATE(2117),
    [sym_regex] = STATE(2117),
    [sym_meta_property] = STATE(2117),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1364),
    [sym_type_assertion] = STATE(2130),
    [sym_as_expression] = STATE(2130),
    [sym_satisfies_expression] = STATE(2130),
    [sym_instantiation_expression] = STATE(2130),
    [sym_internal_module] = STATE(2130),
    [sym_type_arguments] = STATE(511),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4499),
    [sym_identifier] = ACTIONS(1481),
    [anon_sym_export] = ACTIONS(1227),
    [anon_sym_type] = ACTIONS(1227),
    [anon_sym_namespace] = ACTIONS(1229),
    [anon_sym_LBRACE] = ACTIONS(670),
    [anon_sym_typeof] = ACTIONS(1253),
    [anon_sym_import] = ACTIONS(674),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_BANG] = ACTIONS(1235),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1237),
    [anon_sym_yield] = ACTIONS(1239),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(681),
    [anon_sym_async] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(685),
    [anon_sym_new] = ACTIONS(1485),
    [anon_sym_using] = ACTIONS(1247),
    [anon_sym_PLUS] = ACTIONS(1253),
    [anon_sym_DASH] = ACTIONS(1253),
    [anon_sym_SLASH] = ACTIONS(885),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1235),
    [anon_sym_void] = ACTIONS(1253),
    [anon_sym_delete] = ACTIONS(1253),
    [anon_sym_PLUS_PLUS] = ACTIONS(1255),
    [anon_sym_DASH_DASH] = ACTIONS(1255),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1261),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1487),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1227),
    [anon_sym_readonly] = ACTIONS(1227),
    [anon_sym_get] = ACTIONS(1227),
    [anon_sym_set] = ACTIONS(1227),
    [anon_sym_declare] = ACTIONS(1227),
    [anon_sym_public] = ACTIONS(1227),
    [anon_sym_private] = ACTIONS(1227),
    [anon_sym_protected] = ACTIONS(1227),
    [anon_sym_override] = ACTIONS(1227),
    [anon_sym_module] = ACTIONS(1227),
    [anon_sym_any] = ACTIONS(1227),
    [anon_sym_number] = ACTIONS(1227),
    [anon_sym_boolean] = ACTIONS(1227),
    [anon_sym_string] = ACTIONS(1227),
    [anon_sym_symbol] = ACTIONS(1227),
    [anon_sym_object] = ACTIONS(1227),
    [sym_html_comment] = ACTIONS(5),
  },
  [533] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1324),
    [sym_expression] = STATE(1778),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5710),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5710),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5565),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1324),
    [sym_subscript_expression] = STATE(1324),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(2958),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5710),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1324),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(482),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(1463),
    [anon_sym_export] = ACTIONS(1055),
    [anon_sym_type] = ACTIONS(1055),
    [anon_sym_namespace] = ACTIONS(1057),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(620),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1055),
    [anon_sym_BANG] = ACTIONS(592),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(594),
    [anon_sym_yield] = ACTIONS(596),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1065),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1471),
    [anon_sym_using] = ACTIONS(606),
    [anon_sym_PLUS] = ACTIONS(620),
    [anon_sym_DASH] = ACTIONS(620),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(592),
    [anon_sym_void] = ACTIONS(620),
    [anon_sym_delete] = ACTIONS(620),
    [anon_sym_PLUS_PLUS] = ACTIONS(622),
    [anon_sym_DASH_DASH] = ACTIONS(622),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(2136),
    [sym_private_property_identifier] = ACTIONS(624),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1473),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1055),
    [anon_sym_readonly] = ACTIONS(1055),
    [anon_sym_get] = ACTIONS(1055),
    [anon_sym_set] = ACTIONS(1055),
    [anon_sym_declare] = ACTIONS(1055),
    [anon_sym_public] = ACTIONS(1055),
    [anon_sym_private] = ACTIONS(1055),
    [anon_sym_protected] = ACTIONS(1055),
    [anon_sym_override] = ACTIONS(1055),
    [anon_sym_module] = ACTIONS(1055),
    [anon_sym_any] = ACTIONS(1055),
    [anon_sym_number] = ACTIONS(1055),
    [anon_sym_boolean] = ACTIONS(1055),
    [anon_sym_string] = ACTIONS(1055),
    [anon_sym_symbol] = ACTIONS(1055),
    [anon_sym_object] = ACTIONS(1055),
    [sym_html_comment] = ACTIONS(5),
  },
  [534] = {
    [sym_import] = STATE(3513),
    [sym_parenthesized_expression] = STATE(1353),
    [sym_expression] = STATE(1812),
    [sym_primary_expression] = STATE(1833),
    [sym_yield_expression] = STATE(2130),
    [sym_object] = STATE(2117),
    [sym_object_pattern] = STATE(5484),
    [sym_array] = STATE(2117),
    [sym_array_pattern] = STATE(5484),
    [sym_glimmer_template] = STATE(2130),
    [sym_class] = STATE(2117),
    [sym_function_expression] = STATE(2117),
    [sym_generator_function] = STATE(2117),
    [sym_arrow_function] = STATE(2117),
    [sym__call_signature] = STATE(5525),
    [sym_call_expression] = STATE(2117),
    [sym_new_expression] = STATE(1963),
    [sym_await_expression] = STATE(2130),
    [sym_member_expression] = STATE(1353),
    [sym_subscript_expression] = STATE(1353),
    [sym_assignment_expression] = STATE(2130),
    [sym__augmented_assignment_lhs] = STATE(3036),
    [sym_augmented_assignment_expression] = STATE(2130),
    [sym__destructuring_pattern] = STATE(5484),
    [sym_ternary_expression] = STATE(2130),
    [sym_binary_expression] = STATE(2130),
    [sym_unary_expression] = STATE(2130),
    [sym_update_expression] = STATE(2130),
    [sym_string] = STATE(2117),
    [sym_template_string] = STATE(2117),
    [sym_regex] = STATE(2117),
    [sym_meta_property] = STATE(2117),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1353),
    [sym_type_assertion] = STATE(2130),
    [sym_as_expression] = STATE(2130),
    [sym_satisfies_expression] = STATE(2130),
    [sym_instantiation_expression] = STATE(2130),
    [sym_internal_module] = STATE(2130),
    [sym_type_arguments] = STATE(427),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4499),
    [sym_identifier] = ACTIONS(1475),
    [anon_sym_export] = ACTIONS(1443),
    [anon_sym_type] = ACTIONS(1443),
    [anon_sym_namespace] = ACTIONS(1445),
    [anon_sym_LBRACE] = ACTIONS(670),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(674),
    [anon_sym_let] = ACTIONS(1443),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(681),
    [anon_sym_async] = ACTIONS(1449),
    [anon_sym_function] = ACTIONS(685),
    [anon_sym_new] = ACTIONS(1479),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1443),
    [anon_sym_readonly] = ACTIONS(1443),
    [anon_sym_get] = ACTIONS(1443),
    [anon_sym_set] = ACTIONS(1443),
    [anon_sym_declare] = ACTIONS(1443),
    [anon_sym_public] = ACTIONS(1443),
    [anon_sym_private] = ACTIONS(1443),
    [anon_sym_protected] = ACTIONS(1443),
    [anon_sym_override] = ACTIONS(1443),
    [anon_sym_module] = ACTIONS(1443),
    [anon_sym_any] = ACTIONS(1443),
    [anon_sym_number] = ACTIONS(1443),
    [anon_sym_boolean] = ACTIONS(1443),
    [anon_sym_string] = ACTIONS(1443),
    [anon_sym_symbol] = ACTIONS(1443),
    [anon_sym_object] = ACTIONS(1443),
    [sym_html_comment] = ACTIONS(5),
  },
  [535] = {
    [sym_import] = STATE(3513),
    [sym_parenthesized_expression] = STATE(1364),
    [sym_expression] = STATE(1863),
    [sym_primary_expression] = STATE(1833),
    [sym_yield_expression] = STATE(2130),
    [sym_object] = STATE(2117),
    [sym_object_pattern] = STATE(5785),
    [sym_array] = STATE(2117),
    [sym_array_pattern] = STATE(5785),
    [sym_glimmer_template] = STATE(2130),
    [sym_class] = STATE(2117),
    [sym_function_expression] = STATE(2117),
    [sym_generator_function] = STATE(2117),
    [sym_arrow_function] = STATE(2117),
    [sym__call_signature] = STATE(5783),
    [sym_call_expression] = STATE(2117),
    [sym_new_expression] = STATE(1963),
    [sym_await_expression] = STATE(2130),
    [sym_member_expression] = STATE(1364),
    [sym_subscript_expression] = STATE(1364),
    [sym_assignment_expression] = STATE(2130),
    [sym__augmented_assignment_lhs] = STATE(3037),
    [sym_augmented_assignment_expression] = STATE(2130),
    [sym__destructuring_pattern] = STATE(5785),
    [sym_ternary_expression] = STATE(2130),
    [sym_binary_expression] = STATE(2130),
    [sym_unary_expression] = STATE(2130),
    [sym_update_expression] = STATE(2130),
    [sym_string] = STATE(2117),
    [sym_template_string] = STATE(2117),
    [sym_regex] = STATE(2117),
    [sym_meta_property] = STATE(2117),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1364),
    [sym_type_assertion] = STATE(2130),
    [sym_as_expression] = STATE(2130),
    [sym_satisfies_expression] = STATE(2130),
    [sym_instantiation_expression] = STATE(2130),
    [sym_internal_module] = STATE(2130),
    [sym_type_arguments] = STATE(511),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4499),
    [sym_identifier] = ACTIONS(1481),
    [anon_sym_export] = ACTIONS(1227),
    [anon_sym_type] = ACTIONS(1227),
    [anon_sym_namespace] = ACTIONS(1229),
    [anon_sym_LBRACE] = ACTIONS(670),
    [anon_sym_typeof] = ACTIONS(1253),
    [anon_sym_import] = ACTIONS(674),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_BANG] = ACTIONS(1235),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1237),
    [anon_sym_yield] = ACTIONS(1239),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(681),
    [anon_sym_async] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(685),
    [anon_sym_new] = ACTIONS(1485),
    [anon_sym_using] = ACTIONS(1247),
    [anon_sym_PLUS] = ACTIONS(1253),
    [anon_sym_DASH] = ACTIONS(1253),
    [anon_sym_SLASH] = ACTIONS(885),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1235),
    [anon_sym_void] = ACTIONS(1253),
    [anon_sym_delete] = ACTIONS(1253),
    [anon_sym_PLUS_PLUS] = ACTIONS(1255),
    [anon_sym_DASH_DASH] = ACTIONS(1255),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1261),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1487),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1227),
    [anon_sym_readonly] = ACTIONS(1227),
    [anon_sym_get] = ACTIONS(1227),
    [anon_sym_set] = ACTIONS(1227),
    [anon_sym_declare] = ACTIONS(1227),
    [anon_sym_public] = ACTIONS(1227),
    [anon_sym_private] = ACTIONS(1227),
    [anon_sym_protected] = ACTIONS(1227),
    [anon_sym_override] = ACTIONS(1227),
    [anon_sym_module] = ACTIONS(1227),
    [anon_sym_any] = ACTIONS(1227),
    [anon_sym_number] = ACTIONS(1227),
    [anon_sym_boolean] = ACTIONS(1227),
    [anon_sym_string] = ACTIONS(1227),
    [anon_sym_symbol] = ACTIONS(1227),
    [anon_sym_object] = ACTIONS(1227),
    [sym_html_comment] = ACTIONS(5),
  },
  [536] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1461),
    [sym_expression] = STATE(2521),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5839),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5839),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5541),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1461),
    [sym_subscript_expression] = STATE(1461),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(3010),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5839),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1461),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(644),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(1513),
    [anon_sym_export] = ACTIONS(1407),
    [anon_sym_type] = ACTIONS(1407),
    [anon_sym_namespace] = ACTIONS(1409),
    [anon_sym_LBRACE] = ACTIONS(815),
    [anon_sym_typeof] = ACTIONS(1429),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(1413),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(1415),
    [anon_sym_yield] = ACTIONS(1417),
    [anon_sym_LBRACK] = ACTIONS(819),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1419),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1517),
    [anon_sym_using] = ACTIONS(1423),
    [anon_sym_PLUS] = ACTIONS(1429),
    [anon_sym_DASH] = ACTIONS(1429),
    [anon_sym_SLASH] = ACTIONS(979),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1413),
    [anon_sym_void] = ACTIONS(1429),
    [anon_sym_delete] = ACTIONS(1429),
    [anon_sym_PLUS_PLUS] = ACTIONS(1431),
    [anon_sym_DASH_DASH] = ACTIONS(1431),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(1433),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1519),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1407),
    [anon_sym_readonly] = ACTIONS(1407),
    [anon_sym_get] = ACTIONS(1407),
    [anon_sym_set] = ACTIONS(1407),
    [anon_sym_declare] = ACTIONS(1407),
    [anon_sym_public] = ACTIONS(1407),
    [anon_sym_private] = ACTIONS(1407),
    [anon_sym_protected] = ACTIONS(1407),
    [anon_sym_override] = ACTIONS(1407),
    [anon_sym_module] = ACTIONS(1407),
    [anon_sym_any] = ACTIONS(1407),
    [anon_sym_number] = ACTIONS(1407),
    [anon_sym_boolean] = ACTIONS(1407),
    [anon_sym_string] = ACTIONS(1407),
    [anon_sym_symbol] = ACTIONS(1407),
    [anon_sym_object] = ACTIONS(1407),
    [sym_html_comment] = ACTIONS(5),
  },
  [537] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1228),
    [sym_expression] = STATE(2550),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5482),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5482),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5824),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1228),
    [sym_subscript_expression] = STATE(1228),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(2969),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5482),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1228),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(537),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(809),
    [anon_sym_export] = ACTIONS(811),
    [anon_sym_type] = ACTIONS(811),
    [anon_sym_namespace] = ACTIONS(813),
    [anon_sym_LBRACE] = ACTIONS(815),
    [anon_sym_typeof] = ACTIONS(184),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(811),
    [anon_sym_BANG] = ACTIONS(180),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(819),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(823),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(825),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(184),
    [anon_sym_DASH] = ACTIONS(184),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(691),
    [anon_sym_DASH_DASH] = ACTIONS(691),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(829),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(811),
    [anon_sym_readonly] = ACTIONS(811),
    [anon_sym_get] = ACTIONS(811),
    [anon_sym_set] = ACTIONS(811),
    [anon_sym_declare] = ACTIONS(811),
    [anon_sym_public] = ACTIONS(811),
    [anon_sym_private] = ACTIONS(811),
    [anon_sym_protected] = ACTIONS(811),
    [anon_sym_override] = ACTIONS(811),
    [anon_sym_module] = ACTIONS(811),
    [anon_sym_any] = ACTIONS(811),
    [anon_sym_number] = ACTIONS(811),
    [anon_sym_boolean] = ACTIONS(811),
    [anon_sym_string] = ACTIONS(811),
    [anon_sym_symbol] = ACTIONS(811),
    [anon_sym_object] = ACTIONS(811),
    [sym_html_comment] = ACTIONS(5),
  },
  [538] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1228),
    [sym_expression] = STATE(2555),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5482),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5482),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5824),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1228),
    [sym_subscript_expression] = STATE(1228),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(2969),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5482),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1228),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(537),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(809),
    [anon_sym_export] = ACTIONS(811),
    [anon_sym_type] = ACTIONS(811),
    [anon_sym_namespace] = ACTIONS(813),
    [anon_sym_LBRACE] = ACTIONS(815),
    [anon_sym_typeof] = ACTIONS(184),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(811),
    [anon_sym_BANG] = ACTIONS(180),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(819),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(823),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(825),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(184),
    [anon_sym_DASH] = ACTIONS(184),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(691),
    [anon_sym_DASH_DASH] = ACTIONS(691),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(829),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(811),
    [anon_sym_readonly] = ACTIONS(811),
    [anon_sym_get] = ACTIONS(811),
    [anon_sym_set] = ACTIONS(811),
    [anon_sym_declare] = ACTIONS(811),
    [anon_sym_public] = ACTIONS(811),
    [anon_sym_private] = ACTIONS(811),
    [anon_sym_protected] = ACTIONS(811),
    [anon_sym_override] = ACTIONS(811),
    [anon_sym_module] = ACTIONS(811),
    [anon_sym_any] = ACTIONS(811),
    [anon_sym_number] = ACTIONS(811),
    [anon_sym_boolean] = ACTIONS(811),
    [anon_sym_string] = ACTIONS(811),
    [anon_sym_symbol] = ACTIONS(811),
    [anon_sym_object] = ACTIONS(811),
    [sym_html_comment] = ACTIONS(5),
  },
  [539] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1228),
    [sym_expression] = STATE(2556),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5482),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5482),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5824),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1228),
    [sym_subscript_expression] = STATE(1228),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(2969),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5482),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1228),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(537),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(809),
    [anon_sym_export] = ACTIONS(811),
    [anon_sym_type] = ACTIONS(811),
    [anon_sym_namespace] = ACTIONS(813),
    [anon_sym_LBRACE] = ACTIONS(815),
    [anon_sym_typeof] = ACTIONS(184),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(811),
    [anon_sym_BANG] = ACTIONS(180),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(819),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(823),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(825),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(184),
    [anon_sym_DASH] = ACTIONS(184),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(691),
    [anon_sym_DASH_DASH] = ACTIONS(691),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(829),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(811),
    [anon_sym_readonly] = ACTIONS(811),
    [anon_sym_get] = ACTIONS(811),
    [anon_sym_set] = ACTIONS(811),
    [anon_sym_declare] = ACTIONS(811),
    [anon_sym_public] = ACTIONS(811),
    [anon_sym_private] = ACTIONS(811),
    [anon_sym_protected] = ACTIONS(811),
    [anon_sym_override] = ACTIONS(811),
    [anon_sym_module] = ACTIONS(811),
    [anon_sym_any] = ACTIONS(811),
    [anon_sym_number] = ACTIONS(811),
    [anon_sym_boolean] = ACTIONS(811),
    [anon_sym_string] = ACTIONS(811),
    [anon_sym_symbol] = ACTIONS(811),
    [anon_sym_object] = ACTIONS(811),
    [sym_html_comment] = ACTIONS(5),
  },
  [540] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1228),
    [sym_expression] = STATE(2557),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5482),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5482),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5824),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1228),
    [sym_subscript_expression] = STATE(1228),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(2969),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5482),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1228),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(537),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(809),
    [anon_sym_export] = ACTIONS(811),
    [anon_sym_type] = ACTIONS(811),
    [anon_sym_namespace] = ACTIONS(813),
    [anon_sym_LBRACE] = ACTIONS(815),
    [anon_sym_typeof] = ACTIONS(184),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(811),
    [anon_sym_BANG] = ACTIONS(180),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(819),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(823),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(825),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(184),
    [anon_sym_DASH] = ACTIONS(184),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(691),
    [anon_sym_DASH_DASH] = ACTIONS(691),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(829),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(811),
    [anon_sym_readonly] = ACTIONS(811),
    [anon_sym_get] = ACTIONS(811),
    [anon_sym_set] = ACTIONS(811),
    [anon_sym_declare] = ACTIONS(811),
    [anon_sym_public] = ACTIONS(811),
    [anon_sym_private] = ACTIONS(811),
    [anon_sym_protected] = ACTIONS(811),
    [anon_sym_override] = ACTIONS(811),
    [anon_sym_module] = ACTIONS(811),
    [anon_sym_any] = ACTIONS(811),
    [anon_sym_number] = ACTIONS(811),
    [anon_sym_boolean] = ACTIONS(811),
    [anon_sym_string] = ACTIONS(811),
    [anon_sym_symbol] = ACTIONS(811),
    [anon_sym_object] = ACTIONS(811),
    [sym_html_comment] = ACTIONS(5),
  },
  [541] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1228),
    [sym_expression] = STATE(2560),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5482),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5482),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5824),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1228),
    [sym_subscript_expression] = STATE(1228),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(2969),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5482),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1228),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(537),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(809),
    [anon_sym_export] = ACTIONS(811),
    [anon_sym_type] = ACTIONS(811),
    [anon_sym_namespace] = ACTIONS(813),
    [anon_sym_LBRACE] = ACTIONS(815),
    [anon_sym_typeof] = ACTIONS(184),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(811),
    [anon_sym_BANG] = ACTIONS(180),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(819),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(823),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(825),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(184),
    [anon_sym_DASH] = ACTIONS(184),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(691),
    [anon_sym_DASH_DASH] = ACTIONS(691),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(829),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(811),
    [anon_sym_readonly] = ACTIONS(811),
    [anon_sym_get] = ACTIONS(811),
    [anon_sym_set] = ACTIONS(811),
    [anon_sym_declare] = ACTIONS(811),
    [anon_sym_public] = ACTIONS(811),
    [anon_sym_private] = ACTIONS(811),
    [anon_sym_protected] = ACTIONS(811),
    [anon_sym_override] = ACTIONS(811),
    [anon_sym_module] = ACTIONS(811),
    [anon_sym_any] = ACTIONS(811),
    [anon_sym_number] = ACTIONS(811),
    [anon_sym_boolean] = ACTIONS(811),
    [anon_sym_string] = ACTIONS(811),
    [anon_sym_symbol] = ACTIONS(811),
    [anon_sym_object] = ACTIONS(811),
    [sym_html_comment] = ACTIONS(5),
  },
  [542] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1228),
    [sym_expression] = STATE(2561),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5482),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5482),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5824),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1228),
    [sym_subscript_expression] = STATE(1228),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(2969),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5482),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1228),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(537),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(809),
    [anon_sym_export] = ACTIONS(811),
    [anon_sym_type] = ACTIONS(811),
    [anon_sym_namespace] = ACTIONS(813),
    [anon_sym_LBRACE] = ACTIONS(815),
    [anon_sym_typeof] = ACTIONS(184),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(811),
    [anon_sym_BANG] = ACTIONS(180),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(819),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(823),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(825),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(184),
    [anon_sym_DASH] = ACTIONS(184),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(691),
    [anon_sym_DASH_DASH] = ACTIONS(691),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(829),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(811),
    [anon_sym_readonly] = ACTIONS(811),
    [anon_sym_get] = ACTIONS(811),
    [anon_sym_set] = ACTIONS(811),
    [anon_sym_declare] = ACTIONS(811),
    [anon_sym_public] = ACTIONS(811),
    [anon_sym_private] = ACTIONS(811),
    [anon_sym_protected] = ACTIONS(811),
    [anon_sym_override] = ACTIONS(811),
    [anon_sym_module] = ACTIONS(811),
    [anon_sym_any] = ACTIONS(811),
    [anon_sym_number] = ACTIONS(811),
    [anon_sym_boolean] = ACTIONS(811),
    [anon_sym_string] = ACTIONS(811),
    [anon_sym_symbol] = ACTIONS(811),
    [anon_sym_object] = ACTIONS(811),
    [sym_html_comment] = ACTIONS(5),
  },
  [543] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1228),
    [sym_expression] = STATE(2563),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5482),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5482),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5824),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1228),
    [sym_subscript_expression] = STATE(1228),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(2969),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5482),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1228),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(537),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(809),
    [anon_sym_export] = ACTIONS(811),
    [anon_sym_type] = ACTIONS(811),
    [anon_sym_namespace] = ACTIONS(813),
    [anon_sym_LBRACE] = ACTIONS(815),
    [anon_sym_typeof] = ACTIONS(184),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(811),
    [anon_sym_BANG] = ACTIONS(180),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(819),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(823),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(825),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(184),
    [anon_sym_DASH] = ACTIONS(184),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(691),
    [anon_sym_DASH_DASH] = ACTIONS(691),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(829),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(811),
    [anon_sym_readonly] = ACTIONS(811),
    [anon_sym_get] = ACTIONS(811),
    [anon_sym_set] = ACTIONS(811),
    [anon_sym_declare] = ACTIONS(811),
    [anon_sym_public] = ACTIONS(811),
    [anon_sym_private] = ACTIONS(811),
    [anon_sym_protected] = ACTIONS(811),
    [anon_sym_override] = ACTIONS(811),
    [anon_sym_module] = ACTIONS(811),
    [anon_sym_any] = ACTIONS(811),
    [anon_sym_number] = ACTIONS(811),
    [anon_sym_boolean] = ACTIONS(811),
    [anon_sym_string] = ACTIONS(811),
    [anon_sym_symbol] = ACTIONS(811),
    [anon_sym_object] = ACTIONS(811),
    [sym_html_comment] = ACTIONS(5),
  },
  [544] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1228),
    [sym_expression] = STATE(2566),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5482),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5482),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5824),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1228),
    [sym_subscript_expression] = STATE(1228),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(2969),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5482),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1228),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(537),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(809),
    [anon_sym_export] = ACTIONS(811),
    [anon_sym_type] = ACTIONS(811),
    [anon_sym_namespace] = ACTIONS(813),
    [anon_sym_LBRACE] = ACTIONS(815),
    [anon_sym_typeof] = ACTIONS(184),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(811),
    [anon_sym_BANG] = ACTIONS(180),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(819),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(823),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(825),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(184),
    [anon_sym_DASH] = ACTIONS(184),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(691),
    [anon_sym_DASH_DASH] = ACTIONS(691),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(829),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(811),
    [anon_sym_readonly] = ACTIONS(811),
    [anon_sym_get] = ACTIONS(811),
    [anon_sym_set] = ACTIONS(811),
    [anon_sym_declare] = ACTIONS(811),
    [anon_sym_public] = ACTIONS(811),
    [anon_sym_private] = ACTIONS(811),
    [anon_sym_protected] = ACTIONS(811),
    [anon_sym_override] = ACTIONS(811),
    [anon_sym_module] = ACTIONS(811),
    [anon_sym_any] = ACTIONS(811),
    [anon_sym_number] = ACTIONS(811),
    [anon_sym_boolean] = ACTIONS(811),
    [anon_sym_string] = ACTIONS(811),
    [anon_sym_symbol] = ACTIONS(811),
    [anon_sym_object] = ACTIONS(811),
    [sym_html_comment] = ACTIONS(5),
  },
  [545] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1228),
    [sym_expression] = STATE(2567),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5482),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5482),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5824),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1228),
    [sym_subscript_expression] = STATE(1228),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(2969),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5482),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1228),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(537),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(809),
    [anon_sym_export] = ACTIONS(811),
    [anon_sym_type] = ACTIONS(811),
    [anon_sym_namespace] = ACTIONS(813),
    [anon_sym_LBRACE] = ACTIONS(815),
    [anon_sym_typeof] = ACTIONS(184),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(811),
    [anon_sym_BANG] = ACTIONS(180),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(819),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(823),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(825),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(184),
    [anon_sym_DASH] = ACTIONS(184),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(691),
    [anon_sym_DASH_DASH] = ACTIONS(691),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(829),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(811),
    [anon_sym_readonly] = ACTIONS(811),
    [anon_sym_get] = ACTIONS(811),
    [anon_sym_set] = ACTIONS(811),
    [anon_sym_declare] = ACTIONS(811),
    [anon_sym_public] = ACTIONS(811),
    [anon_sym_private] = ACTIONS(811),
    [anon_sym_protected] = ACTIONS(811),
    [anon_sym_override] = ACTIONS(811),
    [anon_sym_module] = ACTIONS(811),
    [anon_sym_any] = ACTIONS(811),
    [anon_sym_number] = ACTIONS(811),
    [anon_sym_boolean] = ACTIONS(811),
    [anon_sym_string] = ACTIONS(811),
    [anon_sym_symbol] = ACTIONS(811),
    [anon_sym_object] = ACTIONS(811),
    [sym_html_comment] = ACTIONS(5),
  },
  [546] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1228),
    [sym_expression] = STATE(2568),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5482),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5482),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5824),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1228),
    [sym_subscript_expression] = STATE(1228),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(2969),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5482),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1228),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(537),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(809),
    [anon_sym_export] = ACTIONS(811),
    [anon_sym_type] = ACTIONS(811),
    [anon_sym_namespace] = ACTIONS(813),
    [anon_sym_LBRACE] = ACTIONS(815),
    [anon_sym_typeof] = ACTIONS(184),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(811),
    [anon_sym_BANG] = ACTIONS(180),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(819),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(823),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(825),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(184),
    [anon_sym_DASH] = ACTIONS(184),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(691),
    [anon_sym_DASH_DASH] = ACTIONS(691),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(829),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(811),
    [anon_sym_readonly] = ACTIONS(811),
    [anon_sym_get] = ACTIONS(811),
    [anon_sym_set] = ACTIONS(811),
    [anon_sym_declare] = ACTIONS(811),
    [anon_sym_public] = ACTIONS(811),
    [anon_sym_private] = ACTIONS(811),
    [anon_sym_protected] = ACTIONS(811),
    [anon_sym_override] = ACTIONS(811),
    [anon_sym_module] = ACTIONS(811),
    [anon_sym_any] = ACTIONS(811),
    [anon_sym_number] = ACTIONS(811),
    [anon_sym_boolean] = ACTIONS(811),
    [anon_sym_string] = ACTIONS(811),
    [anon_sym_symbol] = ACTIONS(811),
    [anon_sym_object] = ACTIONS(811),
    [sym_html_comment] = ACTIONS(5),
  },
  [547] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1228),
    [sym_expression] = STATE(2569),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5482),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5482),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5824),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1228),
    [sym_subscript_expression] = STATE(1228),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(2969),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5482),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1228),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(537),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(809),
    [anon_sym_export] = ACTIONS(811),
    [anon_sym_type] = ACTIONS(811),
    [anon_sym_namespace] = ACTIONS(813),
    [anon_sym_LBRACE] = ACTIONS(815),
    [anon_sym_typeof] = ACTIONS(184),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(811),
    [anon_sym_BANG] = ACTIONS(180),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(819),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(823),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(825),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(184),
    [anon_sym_DASH] = ACTIONS(184),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(691),
    [anon_sym_DASH_DASH] = ACTIONS(691),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(829),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(811),
    [anon_sym_readonly] = ACTIONS(811),
    [anon_sym_get] = ACTIONS(811),
    [anon_sym_set] = ACTIONS(811),
    [anon_sym_declare] = ACTIONS(811),
    [anon_sym_public] = ACTIONS(811),
    [anon_sym_private] = ACTIONS(811),
    [anon_sym_protected] = ACTIONS(811),
    [anon_sym_override] = ACTIONS(811),
    [anon_sym_module] = ACTIONS(811),
    [anon_sym_any] = ACTIONS(811),
    [anon_sym_number] = ACTIONS(811),
    [anon_sym_boolean] = ACTIONS(811),
    [anon_sym_string] = ACTIONS(811),
    [anon_sym_symbol] = ACTIONS(811),
    [anon_sym_object] = ACTIONS(811),
    [sym_html_comment] = ACTIONS(5),
  },
  [548] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1228),
    [sym_expression] = STATE(2570),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5482),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5482),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5824),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1228),
    [sym_subscript_expression] = STATE(1228),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(2969),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5482),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1228),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(537),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(809),
    [anon_sym_export] = ACTIONS(811),
    [anon_sym_type] = ACTIONS(811),
    [anon_sym_namespace] = ACTIONS(813),
    [anon_sym_LBRACE] = ACTIONS(815),
    [anon_sym_typeof] = ACTIONS(184),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(811),
    [anon_sym_BANG] = ACTIONS(180),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(819),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(823),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(825),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(184),
    [anon_sym_DASH] = ACTIONS(184),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(691),
    [anon_sym_DASH_DASH] = ACTIONS(691),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(829),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(811),
    [anon_sym_readonly] = ACTIONS(811),
    [anon_sym_get] = ACTIONS(811),
    [anon_sym_set] = ACTIONS(811),
    [anon_sym_declare] = ACTIONS(811),
    [anon_sym_public] = ACTIONS(811),
    [anon_sym_private] = ACTIONS(811),
    [anon_sym_protected] = ACTIONS(811),
    [anon_sym_override] = ACTIONS(811),
    [anon_sym_module] = ACTIONS(811),
    [anon_sym_any] = ACTIONS(811),
    [anon_sym_number] = ACTIONS(811),
    [anon_sym_boolean] = ACTIONS(811),
    [anon_sym_string] = ACTIONS(811),
    [anon_sym_symbol] = ACTIONS(811),
    [anon_sym_object] = ACTIONS(811),
    [sym_html_comment] = ACTIONS(5),
  },
  [549] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1228),
    [sym_expression] = STATE(2571),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5482),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5482),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5824),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1228),
    [sym_subscript_expression] = STATE(1228),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(2969),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5482),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1228),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(537),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(809),
    [anon_sym_export] = ACTIONS(811),
    [anon_sym_type] = ACTIONS(811),
    [anon_sym_namespace] = ACTIONS(813),
    [anon_sym_LBRACE] = ACTIONS(815),
    [anon_sym_typeof] = ACTIONS(184),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(811),
    [anon_sym_BANG] = ACTIONS(180),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(819),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(823),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(825),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(184),
    [anon_sym_DASH] = ACTIONS(184),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(691),
    [anon_sym_DASH_DASH] = ACTIONS(691),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(829),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(811),
    [anon_sym_readonly] = ACTIONS(811),
    [anon_sym_get] = ACTIONS(811),
    [anon_sym_set] = ACTIONS(811),
    [anon_sym_declare] = ACTIONS(811),
    [anon_sym_public] = ACTIONS(811),
    [anon_sym_private] = ACTIONS(811),
    [anon_sym_protected] = ACTIONS(811),
    [anon_sym_override] = ACTIONS(811),
    [anon_sym_module] = ACTIONS(811),
    [anon_sym_any] = ACTIONS(811),
    [anon_sym_number] = ACTIONS(811),
    [anon_sym_boolean] = ACTIONS(811),
    [anon_sym_string] = ACTIONS(811),
    [anon_sym_symbol] = ACTIONS(811),
    [anon_sym_object] = ACTIONS(811),
    [sym_html_comment] = ACTIONS(5),
  },
  [550] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1228),
    [sym_expression] = STATE(2577),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5482),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5482),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5824),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1228),
    [sym_subscript_expression] = STATE(1228),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(2969),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5482),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1228),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(537),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(809),
    [anon_sym_export] = ACTIONS(811),
    [anon_sym_type] = ACTIONS(811),
    [anon_sym_namespace] = ACTIONS(813),
    [anon_sym_LBRACE] = ACTIONS(815),
    [anon_sym_typeof] = ACTIONS(184),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(811),
    [anon_sym_BANG] = ACTIONS(180),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(819),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(823),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(825),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(184),
    [anon_sym_DASH] = ACTIONS(184),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(691),
    [anon_sym_DASH_DASH] = ACTIONS(691),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(829),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(811),
    [anon_sym_readonly] = ACTIONS(811),
    [anon_sym_get] = ACTIONS(811),
    [anon_sym_set] = ACTIONS(811),
    [anon_sym_declare] = ACTIONS(811),
    [anon_sym_public] = ACTIONS(811),
    [anon_sym_private] = ACTIONS(811),
    [anon_sym_protected] = ACTIONS(811),
    [anon_sym_override] = ACTIONS(811),
    [anon_sym_module] = ACTIONS(811),
    [anon_sym_any] = ACTIONS(811),
    [anon_sym_number] = ACTIONS(811),
    [anon_sym_boolean] = ACTIONS(811),
    [anon_sym_string] = ACTIONS(811),
    [anon_sym_symbol] = ACTIONS(811),
    [anon_sym_object] = ACTIONS(811),
    [sym_html_comment] = ACTIONS(5),
  },
  [551] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1228),
    [sym_expression] = STATE(2529),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5482),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5482),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5824),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1228),
    [sym_subscript_expression] = STATE(1228),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(2969),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5482),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1228),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(537),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(809),
    [anon_sym_export] = ACTIONS(811),
    [anon_sym_type] = ACTIONS(811),
    [anon_sym_namespace] = ACTIONS(813),
    [anon_sym_LBRACE] = ACTIONS(815),
    [anon_sym_typeof] = ACTIONS(184),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(811),
    [anon_sym_BANG] = ACTIONS(180),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(819),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(823),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(825),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(184),
    [anon_sym_DASH] = ACTIONS(184),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(691),
    [anon_sym_DASH_DASH] = ACTIONS(691),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(829),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(811),
    [anon_sym_readonly] = ACTIONS(811),
    [anon_sym_get] = ACTIONS(811),
    [anon_sym_set] = ACTIONS(811),
    [anon_sym_declare] = ACTIONS(811),
    [anon_sym_public] = ACTIONS(811),
    [anon_sym_private] = ACTIONS(811),
    [anon_sym_protected] = ACTIONS(811),
    [anon_sym_override] = ACTIONS(811),
    [anon_sym_module] = ACTIONS(811),
    [anon_sym_any] = ACTIONS(811),
    [anon_sym_number] = ACTIONS(811),
    [anon_sym_boolean] = ACTIONS(811),
    [anon_sym_string] = ACTIONS(811),
    [anon_sym_symbol] = ACTIONS(811),
    [anon_sym_object] = ACTIONS(811),
    [sym_html_comment] = ACTIONS(5),
  },
  [552] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1228),
    [sym_expression] = STATE(2578),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5482),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5482),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5824),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1228),
    [sym_subscript_expression] = STATE(1228),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(2969),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5482),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1228),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(537),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(809),
    [anon_sym_export] = ACTIONS(811),
    [anon_sym_type] = ACTIONS(811),
    [anon_sym_namespace] = ACTIONS(813),
    [anon_sym_LBRACE] = ACTIONS(815),
    [anon_sym_typeof] = ACTIONS(184),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(811),
    [anon_sym_BANG] = ACTIONS(180),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(819),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(823),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(825),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(184),
    [anon_sym_DASH] = ACTIONS(184),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(691),
    [anon_sym_DASH_DASH] = ACTIONS(691),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(829),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(811),
    [anon_sym_readonly] = ACTIONS(811),
    [anon_sym_get] = ACTIONS(811),
    [anon_sym_set] = ACTIONS(811),
    [anon_sym_declare] = ACTIONS(811),
    [anon_sym_public] = ACTIONS(811),
    [anon_sym_private] = ACTIONS(811),
    [anon_sym_protected] = ACTIONS(811),
    [anon_sym_override] = ACTIONS(811),
    [anon_sym_module] = ACTIONS(811),
    [anon_sym_any] = ACTIONS(811),
    [anon_sym_number] = ACTIONS(811),
    [anon_sym_boolean] = ACTIONS(811),
    [anon_sym_string] = ACTIONS(811),
    [anon_sym_symbol] = ACTIONS(811),
    [anon_sym_object] = ACTIONS(811),
    [sym_html_comment] = ACTIONS(5),
  },
  [553] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1228),
    [sym_expression] = STATE(2586),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5482),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5482),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5824),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1228),
    [sym_subscript_expression] = STATE(1228),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(2969),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5482),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1228),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(537),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(809),
    [anon_sym_export] = ACTIONS(811),
    [anon_sym_type] = ACTIONS(811),
    [anon_sym_namespace] = ACTIONS(813),
    [anon_sym_LBRACE] = ACTIONS(815),
    [anon_sym_typeof] = ACTIONS(184),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(811),
    [anon_sym_BANG] = ACTIONS(180),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(819),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(823),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(825),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(184),
    [anon_sym_DASH] = ACTIONS(184),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(691),
    [anon_sym_DASH_DASH] = ACTIONS(691),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(829),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(811),
    [anon_sym_readonly] = ACTIONS(811),
    [anon_sym_get] = ACTIONS(811),
    [anon_sym_set] = ACTIONS(811),
    [anon_sym_declare] = ACTIONS(811),
    [anon_sym_public] = ACTIONS(811),
    [anon_sym_private] = ACTIONS(811),
    [anon_sym_protected] = ACTIONS(811),
    [anon_sym_override] = ACTIONS(811),
    [anon_sym_module] = ACTIONS(811),
    [anon_sym_any] = ACTIONS(811),
    [anon_sym_number] = ACTIONS(811),
    [anon_sym_boolean] = ACTIONS(811),
    [anon_sym_string] = ACTIONS(811),
    [anon_sym_symbol] = ACTIONS(811),
    [anon_sym_object] = ACTIONS(811),
    [sym_html_comment] = ACTIONS(5),
  },
  [554] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1228),
    [sym_expression] = STATE(2598),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5482),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5482),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5824),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1228),
    [sym_subscript_expression] = STATE(1228),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(2969),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5482),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1228),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(537),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(809),
    [anon_sym_export] = ACTIONS(811),
    [anon_sym_type] = ACTIONS(811),
    [anon_sym_namespace] = ACTIONS(813),
    [anon_sym_LBRACE] = ACTIONS(815),
    [anon_sym_typeof] = ACTIONS(184),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(811),
    [anon_sym_BANG] = ACTIONS(180),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(819),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(823),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(825),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(184),
    [anon_sym_DASH] = ACTIONS(184),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(691),
    [anon_sym_DASH_DASH] = ACTIONS(691),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(829),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(811),
    [anon_sym_readonly] = ACTIONS(811),
    [anon_sym_get] = ACTIONS(811),
    [anon_sym_set] = ACTIONS(811),
    [anon_sym_declare] = ACTIONS(811),
    [anon_sym_public] = ACTIONS(811),
    [anon_sym_private] = ACTIONS(811),
    [anon_sym_protected] = ACTIONS(811),
    [anon_sym_override] = ACTIONS(811),
    [anon_sym_module] = ACTIONS(811),
    [anon_sym_any] = ACTIONS(811),
    [anon_sym_number] = ACTIONS(811),
    [anon_sym_boolean] = ACTIONS(811),
    [anon_sym_string] = ACTIONS(811),
    [anon_sym_symbol] = ACTIONS(811),
    [anon_sym_object] = ACTIONS(811),
    [sym_html_comment] = ACTIONS(5),
  },
  [555] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1228),
    [sym_expression] = STATE(2607),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5482),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5482),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5824),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1228),
    [sym_subscript_expression] = STATE(1228),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(2969),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5482),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1228),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(537),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(809),
    [anon_sym_export] = ACTIONS(811),
    [anon_sym_type] = ACTIONS(811),
    [anon_sym_namespace] = ACTIONS(813),
    [anon_sym_LBRACE] = ACTIONS(815),
    [anon_sym_typeof] = ACTIONS(184),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(811),
    [anon_sym_BANG] = ACTIONS(180),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(819),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(823),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(825),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(184),
    [anon_sym_DASH] = ACTIONS(184),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(691),
    [anon_sym_DASH_DASH] = ACTIONS(691),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(829),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(811),
    [anon_sym_readonly] = ACTIONS(811),
    [anon_sym_get] = ACTIONS(811),
    [anon_sym_set] = ACTIONS(811),
    [anon_sym_declare] = ACTIONS(811),
    [anon_sym_public] = ACTIONS(811),
    [anon_sym_private] = ACTIONS(811),
    [anon_sym_protected] = ACTIONS(811),
    [anon_sym_override] = ACTIONS(811),
    [anon_sym_module] = ACTIONS(811),
    [anon_sym_any] = ACTIONS(811),
    [anon_sym_number] = ACTIONS(811),
    [anon_sym_boolean] = ACTIONS(811),
    [anon_sym_string] = ACTIONS(811),
    [anon_sym_symbol] = ACTIONS(811),
    [anon_sym_object] = ACTIONS(811),
    [sym_html_comment] = ACTIONS(5),
  },
  [556] = {
    [sym_import] = STATE(3513),
    [sym_parenthesized_expression] = STATE(1364),
    [sym_expression] = STATE(1875),
    [sym_primary_expression] = STATE(1833),
    [sym_yield_expression] = STATE(2130),
    [sym_object] = STATE(2117),
    [sym_object_pattern] = STATE(5785),
    [sym_array] = STATE(2117),
    [sym_array_pattern] = STATE(5785),
    [sym_glimmer_template] = STATE(2130),
    [sym_class] = STATE(2117),
    [sym_function_expression] = STATE(2117),
    [sym_generator_function] = STATE(2117),
    [sym_arrow_function] = STATE(2117),
    [sym__call_signature] = STATE(5783),
    [sym_call_expression] = STATE(2117),
    [sym_new_expression] = STATE(1963),
    [sym_await_expression] = STATE(2130),
    [sym_member_expression] = STATE(1364),
    [sym_subscript_expression] = STATE(1364),
    [sym_assignment_expression] = STATE(2130),
    [sym__augmented_assignment_lhs] = STATE(3037),
    [sym_augmented_assignment_expression] = STATE(2130),
    [sym__destructuring_pattern] = STATE(5785),
    [sym_ternary_expression] = STATE(2130),
    [sym_binary_expression] = STATE(2130),
    [sym_unary_expression] = STATE(2130),
    [sym_update_expression] = STATE(2130),
    [sym_string] = STATE(2117),
    [sym_template_string] = STATE(2117),
    [sym_regex] = STATE(2117),
    [sym_meta_property] = STATE(2117),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1364),
    [sym_type_assertion] = STATE(2130),
    [sym_as_expression] = STATE(2130),
    [sym_satisfies_expression] = STATE(2130),
    [sym_instantiation_expression] = STATE(2130),
    [sym_internal_module] = STATE(2130),
    [sym_type_arguments] = STATE(511),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4499),
    [sym_identifier] = ACTIONS(1481),
    [anon_sym_export] = ACTIONS(1227),
    [anon_sym_type] = ACTIONS(1227),
    [anon_sym_namespace] = ACTIONS(1229),
    [anon_sym_LBRACE] = ACTIONS(670),
    [anon_sym_typeof] = ACTIONS(1253),
    [anon_sym_import] = ACTIONS(674),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_BANG] = ACTIONS(1235),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1237),
    [anon_sym_yield] = ACTIONS(1239),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(681),
    [anon_sym_async] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(685),
    [anon_sym_new] = ACTIONS(1485),
    [anon_sym_using] = ACTIONS(1247),
    [anon_sym_PLUS] = ACTIONS(1253),
    [anon_sym_DASH] = ACTIONS(1253),
    [anon_sym_SLASH] = ACTIONS(885),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1235),
    [anon_sym_void] = ACTIONS(1253),
    [anon_sym_delete] = ACTIONS(1253),
    [anon_sym_PLUS_PLUS] = ACTIONS(1255),
    [anon_sym_DASH_DASH] = ACTIONS(1255),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(2132),
    [sym_private_property_identifier] = ACTIONS(1261),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1487),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1227),
    [anon_sym_readonly] = ACTIONS(1227),
    [anon_sym_get] = ACTIONS(1227),
    [anon_sym_set] = ACTIONS(1227),
    [anon_sym_declare] = ACTIONS(1227),
    [anon_sym_public] = ACTIONS(1227),
    [anon_sym_private] = ACTIONS(1227),
    [anon_sym_protected] = ACTIONS(1227),
    [anon_sym_override] = ACTIONS(1227),
    [anon_sym_module] = ACTIONS(1227),
    [anon_sym_any] = ACTIONS(1227),
    [anon_sym_number] = ACTIONS(1227),
    [anon_sym_boolean] = ACTIONS(1227),
    [anon_sym_string] = ACTIONS(1227),
    [anon_sym_symbol] = ACTIONS(1227),
    [anon_sym_object] = ACTIONS(1227),
    [sym_html_comment] = ACTIONS(5),
  },
  [557] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1228),
    [sym_expression] = STATE(2608),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5482),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5482),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5824),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1228),
    [sym_subscript_expression] = STATE(1228),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(2969),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5482),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1228),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(537),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(809),
    [anon_sym_export] = ACTIONS(811),
    [anon_sym_type] = ACTIONS(811),
    [anon_sym_namespace] = ACTIONS(813),
    [anon_sym_LBRACE] = ACTIONS(815),
    [anon_sym_typeof] = ACTIONS(184),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(811),
    [anon_sym_BANG] = ACTIONS(180),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(819),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(823),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(825),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(184),
    [anon_sym_DASH] = ACTIONS(184),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(691),
    [anon_sym_DASH_DASH] = ACTIONS(691),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(829),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(811),
    [anon_sym_readonly] = ACTIONS(811),
    [anon_sym_get] = ACTIONS(811),
    [anon_sym_set] = ACTIONS(811),
    [anon_sym_declare] = ACTIONS(811),
    [anon_sym_public] = ACTIONS(811),
    [anon_sym_private] = ACTIONS(811),
    [anon_sym_protected] = ACTIONS(811),
    [anon_sym_override] = ACTIONS(811),
    [anon_sym_module] = ACTIONS(811),
    [anon_sym_any] = ACTIONS(811),
    [anon_sym_number] = ACTIONS(811),
    [anon_sym_boolean] = ACTIONS(811),
    [anon_sym_string] = ACTIONS(811),
    [anon_sym_symbol] = ACTIONS(811),
    [anon_sym_object] = ACTIONS(811),
    [sym_html_comment] = ACTIONS(5),
  },
  [558] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1228),
    [sym_expression] = STATE(2543),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5482),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5482),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5824),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1228),
    [sym_subscript_expression] = STATE(1228),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(2969),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5482),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1228),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(537),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(809),
    [anon_sym_export] = ACTIONS(811),
    [anon_sym_type] = ACTIONS(811),
    [anon_sym_namespace] = ACTIONS(813),
    [anon_sym_LBRACE] = ACTIONS(815),
    [anon_sym_typeof] = ACTIONS(184),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(811),
    [anon_sym_BANG] = ACTIONS(180),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(819),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(823),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(825),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(184),
    [anon_sym_DASH] = ACTIONS(184),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(691),
    [anon_sym_DASH_DASH] = ACTIONS(691),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(829),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(811),
    [anon_sym_readonly] = ACTIONS(811),
    [anon_sym_get] = ACTIONS(811),
    [anon_sym_set] = ACTIONS(811),
    [anon_sym_declare] = ACTIONS(811),
    [anon_sym_public] = ACTIONS(811),
    [anon_sym_private] = ACTIONS(811),
    [anon_sym_protected] = ACTIONS(811),
    [anon_sym_override] = ACTIONS(811),
    [anon_sym_module] = ACTIONS(811),
    [anon_sym_any] = ACTIONS(811),
    [anon_sym_number] = ACTIONS(811),
    [anon_sym_boolean] = ACTIONS(811),
    [anon_sym_string] = ACTIONS(811),
    [anon_sym_symbol] = ACTIONS(811),
    [anon_sym_object] = ACTIONS(811),
    [sym_html_comment] = ACTIONS(5),
  },
  [559] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1228),
    [sym_expression] = STATE(2544),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5482),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5482),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5824),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1228),
    [sym_subscript_expression] = STATE(1228),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(2969),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5482),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1228),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(537),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(809),
    [anon_sym_export] = ACTIONS(811),
    [anon_sym_type] = ACTIONS(811),
    [anon_sym_namespace] = ACTIONS(813),
    [anon_sym_LBRACE] = ACTIONS(815),
    [anon_sym_typeof] = ACTIONS(184),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(811),
    [anon_sym_BANG] = ACTIONS(180),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(819),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(823),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(825),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(184),
    [anon_sym_DASH] = ACTIONS(184),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(691),
    [anon_sym_DASH_DASH] = ACTIONS(691),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(829),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(811),
    [anon_sym_readonly] = ACTIONS(811),
    [anon_sym_get] = ACTIONS(811),
    [anon_sym_set] = ACTIONS(811),
    [anon_sym_declare] = ACTIONS(811),
    [anon_sym_public] = ACTIONS(811),
    [anon_sym_private] = ACTIONS(811),
    [anon_sym_protected] = ACTIONS(811),
    [anon_sym_override] = ACTIONS(811),
    [anon_sym_module] = ACTIONS(811),
    [anon_sym_any] = ACTIONS(811),
    [anon_sym_number] = ACTIONS(811),
    [anon_sym_boolean] = ACTIONS(811),
    [anon_sym_string] = ACTIONS(811),
    [anon_sym_symbol] = ACTIONS(811),
    [anon_sym_object] = ACTIONS(811),
    [sym_html_comment] = ACTIONS(5),
  },
  [560] = {
    [sym_import] = STATE(3513),
    [sym_parenthesized_expression] = STATE(1417),
    [sym_expression] = STATE(2457),
    [sym_primary_expression] = STATE(1833),
    [sym_yield_expression] = STATE(2130),
    [sym_object] = STATE(2117),
    [sym_object_pattern] = STATE(5592),
    [sym_array] = STATE(2117),
    [sym_array_pattern] = STATE(5592),
    [sym_glimmer_template] = STATE(2130),
    [sym_class] = STATE(2117),
    [sym_function_expression] = STATE(2117),
    [sym_generator_function] = STATE(2117),
    [sym_arrow_function] = STATE(2117),
    [sym__call_signature] = STATE(5478),
    [sym_call_expression] = STATE(2117),
    [sym_new_expression] = STATE(1963),
    [sym_await_expression] = STATE(2130),
    [sym_member_expression] = STATE(1417),
    [sym_subscript_expression] = STATE(1417),
    [sym_assignment_expression] = STATE(2130),
    [sym__augmented_assignment_lhs] = STATE(3012),
    [sym_augmented_assignment_expression] = STATE(2130),
    [sym__destructuring_pattern] = STATE(5592),
    [sym_ternary_expression] = STATE(2130),
    [sym_binary_expression] = STATE(2130),
    [sym_unary_expression] = STATE(2130),
    [sym_update_expression] = STATE(2130),
    [sym_string] = STATE(2117),
    [sym_template_string] = STATE(2117),
    [sym_regex] = STATE(2117),
    [sym_meta_property] = STATE(2117),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1417),
    [sym_type_assertion] = STATE(2130),
    [sym_as_expression] = STATE(2130),
    [sym_satisfies_expression] = STATE(2130),
    [sym_instantiation_expression] = STATE(2130),
    [sym_internal_module] = STATE(2130),
    [sym_type_arguments] = STATE(450),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4499),
    [sym_identifier] = ACTIONS(1497),
    [anon_sym_export] = ACTIONS(1129),
    [anon_sym_type] = ACTIONS(1129),
    [anon_sym_namespace] = ACTIONS(1131),
    [anon_sym_LBRACE] = ACTIONS(670),
    [anon_sym_typeof] = ACTIONS(1157),
    [anon_sym_import] = ACTIONS(674),
    [anon_sym_let] = ACTIONS(1129),
    [anon_sym_BANG] = ACTIONS(1137),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1141),
    [anon_sym_yield] = ACTIONS(1143),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(681),
    [anon_sym_async] = ACTIONS(1147),
    [anon_sym_function] = ACTIONS(685),
    [anon_sym_new] = ACTIONS(1501),
    [anon_sym_using] = ACTIONS(1151),
    [anon_sym_PLUS] = ACTIONS(1157),
    [anon_sym_DASH] = ACTIONS(1157),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1137),
    [anon_sym_void] = ACTIONS(1157),
    [anon_sym_delete] = ACTIONS(1157),
    [anon_sym_PLUS_PLUS] = ACTIONS(1159),
    [anon_sym_DASH_DASH] = ACTIONS(1159),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1165),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1503),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1129),
    [anon_sym_readonly] = ACTIONS(1129),
    [anon_sym_get] = ACTIONS(1129),
    [anon_sym_set] = ACTIONS(1129),
    [anon_sym_declare] = ACTIONS(1129),
    [anon_sym_public] = ACTIONS(1129),
    [anon_sym_private] = ACTIONS(1129),
    [anon_sym_protected] = ACTIONS(1129),
    [anon_sym_override] = ACTIONS(1129),
    [anon_sym_module] = ACTIONS(1129),
    [anon_sym_any] = ACTIONS(1129),
    [anon_sym_number] = ACTIONS(1129),
    [anon_sym_boolean] = ACTIONS(1129),
    [anon_sym_string] = ACTIONS(1129),
    [anon_sym_symbol] = ACTIONS(1129),
    [anon_sym_object] = ACTIONS(1129),
    [sym_html_comment] = ACTIONS(5),
  },
  [561] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1391),
    [sym_expression] = STATE(2108),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5815),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5815),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5603),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1391),
    [sym_subscript_expression] = STATE(1391),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(2984),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5815),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1391),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(564),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(1505),
    [anon_sym_export] = ACTIONS(1325),
    [anon_sym_type] = ACTIONS(1325),
    [anon_sym_namespace] = ACTIONS(1327),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(1347),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1325),
    [anon_sym_BANG] = ACTIONS(1331),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(1333),
    [anon_sym_yield] = ACTIONS(1335),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1337),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1509),
    [anon_sym_using] = ACTIONS(1341),
    [anon_sym_PLUS] = ACTIONS(1347),
    [anon_sym_DASH] = ACTIONS(1347),
    [anon_sym_SLASH] = ACTIONS(949),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1331),
    [anon_sym_void] = ACTIONS(1347),
    [anon_sym_delete] = ACTIONS(1347),
    [anon_sym_PLUS_PLUS] = ACTIONS(1349),
    [anon_sym_DASH_DASH] = ACTIONS(1349),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(2134),
    [sym_private_property_identifier] = ACTIONS(1351),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1511),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1325),
    [anon_sym_readonly] = ACTIONS(1325),
    [anon_sym_get] = ACTIONS(1325),
    [anon_sym_set] = ACTIONS(1325),
    [anon_sym_declare] = ACTIONS(1325),
    [anon_sym_public] = ACTIONS(1325),
    [anon_sym_private] = ACTIONS(1325),
    [anon_sym_protected] = ACTIONS(1325),
    [anon_sym_override] = ACTIONS(1325),
    [anon_sym_module] = ACTIONS(1325),
    [anon_sym_any] = ACTIONS(1325),
    [anon_sym_number] = ACTIONS(1325),
    [anon_sym_boolean] = ACTIONS(1325),
    [anon_sym_string] = ACTIONS(1325),
    [anon_sym_symbol] = ACTIONS(1325),
    [anon_sym_object] = ACTIONS(1325),
    [sym_html_comment] = ACTIONS(5),
  },
  [562] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1472),
    [sym_expression] = STATE(2615),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5878),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5878),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5824),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1472),
    [sym_subscript_expression] = STATE(1472),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(2969),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5878),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1472),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(537),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(2190),
    [anon_sym_export] = ACTIONS(2192),
    [anon_sym_type] = ACTIONS(2192),
    [anon_sym_namespace] = ACTIONS(2194),
    [anon_sym_LBRACE] = ACTIONS(815),
    [anon_sym_typeof] = ACTIONS(184),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(2192),
    [anon_sym_BANG] = ACTIONS(180),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(819),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(2196),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(2198),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(184),
    [anon_sym_DASH] = ACTIONS(184),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(691),
    [anon_sym_DASH_DASH] = ACTIONS(691),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(2200),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(2192),
    [anon_sym_readonly] = ACTIONS(2192),
    [anon_sym_get] = ACTIONS(2192),
    [anon_sym_set] = ACTIONS(2192),
    [anon_sym_declare] = ACTIONS(2192),
    [anon_sym_public] = ACTIONS(2192),
    [anon_sym_private] = ACTIONS(2192),
    [anon_sym_protected] = ACTIONS(2192),
    [anon_sym_override] = ACTIONS(2192),
    [anon_sym_module] = ACTIONS(2192),
    [anon_sym_any] = ACTIONS(2192),
    [anon_sym_number] = ACTIONS(2192),
    [anon_sym_boolean] = ACTIONS(2192),
    [anon_sym_string] = ACTIONS(2192),
    [anon_sym_symbol] = ACTIONS(2192),
    [anon_sym_object] = ACTIONS(2192),
    [sym_html_comment] = ACTIONS(5),
  },
  [563] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1457),
    [sym_expression] = STATE(2553),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5827),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5827),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5728),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1457),
    [sym_subscript_expression] = STATE(1457),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(3001),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5827),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1457),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(591),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(1521),
    [anon_sym_export] = ACTIONS(1361),
    [anon_sym_type] = ACTIONS(1361),
    [anon_sym_namespace] = ACTIONS(1363),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(1383),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1361),
    [anon_sym_BANG] = ACTIONS(1367),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(1369),
    [anon_sym_yield] = ACTIONS(1371),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1373),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1525),
    [anon_sym_using] = ACTIONS(1377),
    [anon_sym_PLUS] = ACTIONS(1383),
    [anon_sym_DASH] = ACTIONS(1383),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1367),
    [anon_sym_void] = ACTIONS(1383),
    [anon_sym_delete] = ACTIONS(1383),
    [anon_sym_PLUS_PLUS] = ACTIONS(1385),
    [anon_sym_DASH_DASH] = ACTIONS(1385),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(1387),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1527),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1361),
    [anon_sym_readonly] = ACTIONS(1361),
    [anon_sym_get] = ACTIONS(1361),
    [anon_sym_set] = ACTIONS(1361),
    [anon_sym_declare] = ACTIONS(1361),
    [anon_sym_public] = ACTIONS(1361),
    [anon_sym_private] = ACTIONS(1361),
    [anon_sym_protected] = ACTIONS(1361),
    [anon_sym_override] = ACTIONS(1361),
    [anon_sym_module] = ACTIONS(1361),
    [anon_sym_any] = ACTIONS(1361),
    [anon_sym_number] = ACTIONS(1361),
    [anon_sym_boolean] = ACTIONS(1361),
    [anon_sym_string] = ACTIONS(1361),
    [anon_sym_symbol] = ACTIONS(1361),
    [anon_sym_object] = ACTIONS(1361),
    [sym_html_comment] = ACTIONS(5),
  },
  [564] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1391),
    [sym_expression] = STATE(2082),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5815),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5815),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5603),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1391),
    [sym_subscript_expression] = STATE(1391),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(2984),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5815),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1391),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(564),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(1505),
    [anon_sym_export] = ACTIONS(1325),
    [anon_sym_type] = ACTIONS(1325),
    [anon_sym_namespace] = ACTIONS(1327),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(1347),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1325),
    [anon_sym_BANG] = ACTIONS(1331),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(1333),
    [anon_sym_yield] = ACTIONS(1335),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1337),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1509),
    [anon_sym_using] = ACTIONS(1341),
    [anon_sym_PLUS] = ACTIONS(1347),
    [anon_sym_DASH] = ACTIONS(1347),
    [anon_sym_SLASH] = ACTIONS(949),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1331),
    [anon_sym_void] = ACTIONS(1347),
    [anon_sym_delete] = ACTIONS(1347),
    [anon_sym_PLUS_PLUS] = ACTIONS(1349),
    [anon_sym_DASH_DASH] = ACTIONS(1349),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(1351),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1511),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1325),
    [anon_sym_readonly] = ACTIONS(1325),
    [anon_sym_get] = ACTIONS(1325),
    [anon_sym_set] = ACTIONS(1325),
    [anon_sym_declare] = ACTIONS(1325),
    [anon_sym_public] = ACTIONS(1325),
    [anon_sym_private] = ACTIONS(1325),
    [anon_sym_protected] = ACTIONS(1325),
    [anon_sym_override] = ACTIONS(1325),
    [anon_sym_module] = ACTIONS(1325),
    [anon_sym_any] = ACTIONS(1325),
    [anon_sym_number] = ACTIONS(1325),
    [anon_sym_boolean] = ACTIONS(1325),
    [anon_sym_string] = ACTIONS(1325),
    [anon_sym_symbol] = ACTIONS(1325),
    [anon_sym_object] = ACTIONS(1325),
    [sym_html_comment] = ACTIONS(5),
  },
  [565] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1391),
    [sym_expression] = STATE(2084),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5815),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5815),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5603),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1391),
    [sym_subscript_expression] = STATE(1391),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(2984),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5815),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1391),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(564),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(1505),
    [anon_sym_export] = ACTIONS(1325),
    [anon_sym_type] = ACTIONS(1325),
    [anon_sym_namespace] = ACTIONS(1327),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(1347),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1325),
    [anon_sym_BANG] = ACTIONS(1331),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(1333),
    [anon_sym_yield] = ACTIONS(1335),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1337),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1509),
    [anon_sym_using] = ACTIONS(1341),
    [anon_sym_PLUS] = ACTIONS(1347),
    [anon_sym_DASH] = ACTIONS(1347),
    [anon_sym_SLASH] = ACTIONS(949),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1331),
    [anon_sym_void] = ACTIONS(1347),
    [anon_sym_delete] = ACTIONS(1347),
    [anon_sym_PLUS_PLUS] = ACTIONS(1349),
    [anon_sym_DASH_DASH] = ACTIONS(1349),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(1351),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1511),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1325),
    [anon_sym_readonly] = ACTIONS(1325),
    [anon_sym_get] = ACTIONS(1325),
    [anon_sym_set] = ACTIONS(1325),
    [anon_sym_declare] = ACTIONS(1325),
    [anon_sym_public] = ACTIONS(1325),
    [anon_sym_private] = ACTIONS(1325),
    [anon_sym_protected] = ACTIONS(1325),
    [anon_sym_override] = ACTIONS(1325),
    [anon_sym_module] = ACTIONS(1325),
    [anon_sym_any] = ACTIONS(1325),
    [anon_sym_number] = ACTIONS(1325),
    [anon_sym_boolean] = ACTIONS(1325),
    [anon_sym_string] = ACTIONS(1325),
    [anon_sym_symbol] = ACTIONS(1325),
    [anon_sym_object] = ACTIONS(1325),
    [sym_html_comment] = ACTIONS(5),
  },
  [566] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1391),
    [sym_expression] = STATE(2085),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5815),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5815),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5603),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1391),
    [sym_subscript_expression] = STATE(1391),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(2984),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5815),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1391),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(564),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(1505),
    [anon_sym_export] = ACTIONS(1325),
    [anon_sym_type] = ACTIONS(1325),
    [anon_sym_namespace] = ACTIONS(1327),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(1347),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1325),
    [anon_sym_BANG] = ACTIONS(1331),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(1333),
    [anon_sym_yield] = ACTIONS(1335),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1337),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1509),
    [anon_sym_using] = ACTIONS(1341),
    [anon_sym_PLUS] = ACTIONS(1347),
    [anon_sym_DASH] = ACTIONS(1347),
    [anon_sym_SLASH] = ACTIONS(949),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1331),
    [anon_sym_void] = ACTIONS(1347),
    [anon_sym_delete] = ACTIONS(1347),
    [anon_sym_PLUS_PLUS] = ACTIONS(1349),
    [anon_sym_DASH_DASH] = ACTIONS(1349),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(1351),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1511),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1325),
    [anon_sym_readonly] = ACTIONS(1325),
    [anon_sym_get] = ACTIONS(1325),
    [anon_sym_set] = ACTIONS(1325),
    [anon_sym_declare] = ACTIONS(1325),
    [anon_sym_public] = ACTIONS(1325),
    [anon_sym_private] = ACTIONS(1325),
    [anon_sym_protected] = ACTIONS(1325),
    [anon_sym_override] = ACTIONS(1325),
    [anon_sym_module] = ACTIONS(1325),
    [anon_sym_any] = ACTIONS(1325),
    [anon_sym_number] = ACTIONS(1325),
    [anon_sym_boolean] = ACTIONS(1325),
    [anon_sym_string] = ACTIONS(1325),
    [anon_sym_symbol] = ACTIONS(1325),
    [anon_sym_object] = ACTIONS(1325),
    [sym_html_comment] = ACTIONS(5),
  },
  [567] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1391),
    [sym_expression] = STATE(2086),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5815),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5815),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5603),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1391),
    [sym_subscript_expression] = STATE(1391),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(2984),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5815),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1391),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(564),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(1505),
    [anon_sym_export] = ACTIONS(1325),
    [anon_sym_type] = ACTIONS(1325),
    [anon_sym_namespace] = ACTIONS(1327),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(1347),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1325),
    [anon_sym_BANG] = ACTIONS(1331),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(1333),
    [anon_sym_yield] = ACTIONS(1335),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1337),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1509),
    [anon_sym_using] = ACTIONS(1341),
    [anon_sym_PLUS] = ACTIONS(1347),
    [anon_sym_DASH] = ACTIONS(1347),
    [anon_sym_SLASH] = ACTIONS(949),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1331),
    [anon_sym_void] = ACTIONS(1347),
    [anon_sym_delete] = ACTIONS(1347),
    [anon_sym_PLUS_PLUS] = ACTIONS(1349),
    [anon_sym_DASH_DASH] = ACTIONS(1349),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(1351),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1511),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1325),
    [anon_sym_readonly] = ACTIONS(1325),
    [anon_sym_get] = ACTIONS(1325),
    [anon_sym_set] = ACTIONS(1325),
    [anon_sym_declare] = ACTIONS(1325),
    [anon_sym_public] = ACTIONS(1325),
    [anon_sym_private] = ACTIONS(1325),
    [anon_sym_protected] = ACTIONS(1325),
    [anon_sym_override] = ACTIONS(1325),
    [anon_sym_module] = ACTIONS(1325),
    [anon_sym_any] = ACTIONS(1325),
    [anon_sym_number] = ACTIONS(1325),
    [anon_sym_boolean] = ACTIONS(1325),
    [anon_sym_string] = ACTIONS(1325),
    [anon_sym_symbol] = ACTIONS(1325),
    [anon_sym_object] = ACTIONS(1325),
    [sym_html_comment] = ACTIONS(5),
  },
  [568] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1391),
    [sym_expression] = STATE(2088),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5815),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5815),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5603),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1391),
    [sym_subscript_expression] = STATE(1391),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(2984),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5815),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1391),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(564),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(1505),
    [anon_sym_export] = ACTIONS(1325),
    [anon_sym_type] = ACTIONS(1325),
    [anon_sym_namespace] = ACTIONS(1327),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(1347),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1325),
    [anon_sym_BANG] = ACTIONS(1331),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(1333),
    [anon_sym_yield] = ACTIONS(1335),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1337),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1509),
    [anon_sym_using] = ACTIONS(1341),
    [anon_sym_PLUS] = ACTIONS(1347),
    [anon_sym_DASH] = ACTIONS(1347),
    [anon_sym_SLASH] = ACTIONS(949),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1331),
    [anon_sym_void] = ACTIONS(1347),
    [anon_sym_delete] = ACTIONS(1347),
    [anon_sym_PLUS_PLUS] = ACTIONS(1349),
    [anon_sym_DASH_DASH] = ACTIONS(1349),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(1351),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1511),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1325),
    [anon_sym_readonly] = ACTIONS(1325),
    [anon_sym_get] = ACTIONS(1325),
    [anon_sym_set] = ACTIONS(1325),
    [anon_sym_declare] = ACTIONS(1325),
    [anon_sym_public] = ACTIONS(1325),
    [anon_sym_private] = ACTIONS(1325),
    [anon_sym_protected] = ACTIONS(1325),
    [anon_sym_override] = ACTIONS(1325),
    [anon_sym_module] = ACTIONS(1325),
    [anon_sym_any] = ACTIONS(1325),
    [anon_sym_number] = ACTIONS(1325),
    [anon_sym_boolean] = ACTIONS(1325),
    [anon_sym_string] = ACTIONS(1325),
    [anon_sym_symbol] = ACTIONS(1325),
    [anon_sym_object] = ACTIONS(1325),
    [sym_html_comment] = ACTIONS(5),
  },
  [569] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1391),
    [sym_expression] = STATE(2089),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5815),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5815),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5603),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1391),
    [sym_subscript_expression] = STATE(1391),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(2984),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5815),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1391),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(564),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(1505),
    [anon_sym_export] = ACTIONS(1325),
    [anon_sym_type] = ACTIONS(1325),
    [anon_sym_namespace] = ACTIONS(1327),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(1347),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1325),
    [anon_sym_BANG] = ACTIONS(1331),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(1333),
    [anon_sym_yield] = ACTIONS(1335),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1337),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1509),
    [anon_sym_using] = ACTIONS(1341),
    [anon_sym_PLUS] = ACTIONS(1347),
    [anon_sym_DASH] = ACTIONS(1347),
    [anon_sym_SLASH] = ACTIONS(949),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1331),
    [anon_sym_void] = ACTIONS(1347),
    [anon_sym_delete] = ACTIONS(1347),
    [anon_sym_PLUS_PLUS] = ACTIONS(1349),
    [anon_sym_DASH_DASH] = ACTIONS(1349),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(1351),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1511),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1325),
    [anon_sym_readonly] = ACTIONS(1325),
    [anon_sym_get] = ACTIONS(1325),
    [anon_sym_set] = ACTIONS(1325),
    [anon_sym_declare] = ACTIONS(1325),
    [anon_sym_public] = ACTIONS(1325),
    [anon_sym_private] = ACTIONS(1325),
    [anon_sym_protected] = ACTIONS(1325),
    [anon_sym_override] = ACTIONS(1325),
    [anon_sym_module] = ACTIONS(1325),
    [anon_sym_any] = ACTIONS(1325),
    [anon_sym_number] = ACTIONS(1325),
    [anon_sym_boolean] = ACTIONS(1325),
    [anon_sym_string] = ACTIONS(1325),
    [anon_sym_symbol] = ACTIONS(1325),
    [anon_sym_object] = ACTIONS(1325),
    [sym_html_comment] = ACTIONS(5),
  },
  [570] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1391),
    [sym_expression] = STATE(2090),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5815),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5815),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5603),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1391),
    [sym_subscript_expression] = STATE(1391),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(2984),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5815),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1391),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(564),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(1505),
    [anon_sym_export] = ACTIONS(1325),
    [anon_sym_type] = ACTIONS(1325),
    [anon_sym_namespace] = ACTIONS(1327),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(1347),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1325),
    [anon_sym_BANG] = ACTIONS(1331),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(1333),
    [anon_sym_yield] = ACTIONS(1335),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1337),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1509),
    [anon_sym_using] = ACTIONS(1341),
    [anon_sym_PLUS] = ACTIONS(1347),
    [anon_sym_DASH] = ACTIONS(1347),
    [anon_sym_SLASH] = ACTIONS(949),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1331),
    [anon_sym_void] = ACTIONS(1347),
    [anon_sym_delete] = ACTIONS(1347),
    [anon_sym_PLUS_PLUS] = ACTIONS(1349),
    [anon_sym_DASH_DASH] = ACTIONS(1349),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(1351),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1511),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1325),
    [anon_sym_readonly] = ACTIONS(1325),
    [anon_sym_get] = ACTIONS(1325),
    [anon_sym_set] = ACTIONS(1325),
    [anon_sym_declare] = ACTIONS(1325),
    [anon_sym_public] = ACTIONS(1325),
    [anon_sym_private] = ACTIONS(1325),
    [anon_sym_protected] = ACTIONS(1325),
    [anon_sym_override] = ACTIONS(1325),
    [anon_sym_module] = ACTIONS(1325),
    [anon_sym_any] = ACTIONS(1325),
    [anon_sym_number] = ACTIONS(1325),
    [anon_sym_boolean] = ACTIONS(1325),
    [anon_sym_string] = ACTIONS(1325),
    [anon_sym_symbol] = ACTIONS(1325),
    [anon_sym_object] = ACTIONS(1325),
    [sym_html_comment] = ACTIONS(5),
  },
  [571] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1391),
    [sym_expression] = STATE(2091),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5815),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5815),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5603),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1391),
    [sym_subscript_expression] = STATE(1391),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(2984),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5815),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1391),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(564),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(1505),
    [anon_sym_export] = ACTIONS(1325),
    [anon_sym_type] = ACTIONS(1325),
    [anon_sym_namespace] = ACTIONS(1327),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(1347),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1325),
    [anon_sym_BANG] = ACTIONS(1331),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(1333),
    [anon_sym_yield] = ACTIONS(1335),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1337),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1509),
    [anon_sym_using] = ACTIONS(1341),
    [anon_sym_PLUS] = ACTIONS(1347),
    [anon_sym_DASH] = ACTIONS(1347),
    [anon_sym_SLASH] = ACTIONS(949),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1331),
    [anon_sym_void] = ACTIONS(1347),
    [anon_sym_delete] = ACTIONS(1347),
    [anon_sym_PLUS_PLUS] = ACTIONS(1349),
    [anon_sym_DASH_DASH] = ACTIONS(1349),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(1351),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1511),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1325),
    [anon_sym_readonly] = ACTIONS(1325),
    [anon_sym_get] = ACTIONS(1325),
    [anon_sym_set] = ACTIONS(1325),
    [anon_sym_declare] = ACTIONS(1325),
    [anon_sym_public] = ACTIONS(1325),
    [anon_sym_private] = ACTIONS(1325),
    [anon_sym_protected] = ACTIONS(1325),
    [anon_sym_override] = ACTIONS(1325),
    [anon_sym_module] = ACTIONS(1325),
    [anon_sym_any] = ACTIONS(1325),
    [anon_sym_number] = ACTIONS(1325),
    [anon_sym_boolean] = ACTIONS(1325),
    [anon_sym_string] = ACTIONS(1325),
    [anon_sym_symbol] = ACTIONS(1325),
    [anon_sym_object] = ACTIONS(1325),
    [sym_html_comment] = ACTIONS(5),
  },
  [572] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1391),
    [sym_expression] = STATE(2092),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5815),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5815),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5603),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1391),
    [sym_subscript_expression] = STATE(1391),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(2984),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5815),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1391),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(564),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(1505),
    [anon_sym_export] = ACTIONS(1325),
    [anon_sym_type] = ACTIONS(1325),
    [anon_sym_namespace] = ACTIONS(1327),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(1347),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1325),
    [anon_sym_BANG] = ACTIONS(1331),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(1333),
    [anon_sym_yield] = ACTIONS(1335),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1337),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1509),
    [anon_sym_using] = ACTIONS(1341),
    [anon_sym_PLUS] = ACTIONS(1347),
    [anon_sym_DASH] = ACTIONS(1347),
    [anon_sym_SLASH] = ACTIONS(949),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1331),
    [anon_sym_void] = ACTIONS(1347),
    [anon_sym_delete] = ACTIONS(1347),
    [anon_sym_PLUS_PLUS] = ACTIONS(1349),
    [anon_sym_DASH_DASH] = ACTIONS(1349),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(1351),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1511),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1325),
    [anon_sym_readonly] = ACTIONS(1325),
    [anon_sym_get] = ACTIONS(1325),
    [anon_sym_set] = ACTIONS(1325),
    [anon_sym_declare] = ACTIONS(1325),
    [anon_sym_public] = ACTIONS(1325),
    [anon_sym_private] = ACTIONS(1325),
    [anon_sym_protected] = ACTIONS(1325),
    [anon_sym_override] = ACTIONS(1325),
    [anon_sym_module] = ACTIONS(1325),
    [anon_sym_any] = ACTIONS(1325),
    [anon_sym_number] = ACTIONS(1325),
    [anon_sym_boolean] = ACTIONS(1325),
    [anon_sym_string] = ACTIONS(1325),
    [anon_sym_symbol] = ACTIONS(1325),
    [anon_sym_object] = ACTIONS(1325),
    [sym_html_comment] = ACTIONS(5),
  },
  [573] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1391),
    [sym_expression] = STATE(2093),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5815),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5815),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5603),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1391),
    [sym_subscript_expression] = STATE(1391),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(2984),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5815),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1391),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(564),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(1505),
    [anon_sym_export] = ACTIONS(1325),
    [anon_sym_type] = ACTIONS(1325),
    [anon_sym_namespace] = ACTIONS(1327),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(1347),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1325),
    [anon_sym_BANG] = ACTIONS(1331),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(1333),
    [anon_sym_yield] = ACTIONS(1335),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1337),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1509),
    [anon_sym_using] = ACTIONS(1341),
    [anon_sym_PLUS] = ACTIONS(1347),
    [anon_sym_DASH] = ACTIONS(1347),
    [anon_sym_SLASH] = ACTIONS(949),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1331),
    [anon_sym_void] = ACTIONS(1347),
    [anon_sym_delete] = ACTIONS(1347),
    [anon_sym_PLUS_PLUS] = ACTIONS(1349),
    [anon_sym_DASH_DASH] = ACTIONS(1349),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(1351),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1511),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1325),
    [anon_sym_readonly] = ACTIONS(1325),
    [anon_sym_get] = ACTIONS(1325),
    [anon_sym_set] = ACTIONS(1325),
    [anon_sym_declare] = ACTIONS(1325),
    [anon_sym_public] = ACTIONS(1325),
    [anon_sym_private] = ACTIONS(1325),
    [anon_sym_protected] = ACTIONS(1325),
    [anon_sym_override] = ACTIONS(1325),
    [anon_sym_module] = ACTIONS(1325),
    [anon_sym_any] = ACTIONS(1325),
    [anon_sym_number] = ACTIONS(1325),
    [anon_sym_boolean] = ACTIONS(1325),
    [anon_sym_string] = ACTIONS(1325),
    [anon_sym_symbol] = ACTIONS(1325),
    [anon_sym_object] = ACTIONS(1325),
    [sym_html_comment] = ACTIONS(5),
  },
  [574] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1391),
    [sym_expression] = STATE(2094),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5815),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5815),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5603),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1391),
    [sym_subscript_expression] = STATE(1391),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(2984),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5815),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1391),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(564),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(1505),
    [anon_sym_export] = ACTIONS(1325),
    [anon_sym_type] = ACTIONS(1325),
    [anon_sym_namespace] = ACTIONS(1327),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(1347),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1325),
    [anon_sym_BANG] = ACTIONS(1331),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(1333),
    [anon_sym_yield] = ACTIONS(1335),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1337),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1509),
    [anon_sym_using] = ACTIONS(1341),
    [anon_sym_PLUS] = ACTIONS(1347),
    [anon_sym_DASH] = ACTIONS(1347),
    [anon_sym_SLASH] = ACTIONS(949),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1331),
    [anon_sym_void] = ACTIONS(1347),
    [anon_sym_delete] = ACTIONS(1347),
    [anon_sym_PLUS_PLUS] = ACTIONS(1349),
    [anon_sym_DASH_DASH] = ACTIONS(1349),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(1351),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1511),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1325),
    [anon_sym_readonly] = ACTIONS(1325),
    [anon_sym_get] = ACTIONS(1325),
    [anon_sym_set] = ACTIONS(1325),
    [anon_sym_declare] = ACTIONS(1325),
    [anon_sym_public] = ACTIONS(1325),
    [anon_sym_private] = ACTIONS(1325),
    [anon_sym_protected] = ACTIONS(1325),
    [anon_sym_override] = ACTIONS(1325),
    [anon_sym_module] = ACTIONS(1325),
    [anon_sym_any] = ACTIONS(1325),
    [anon_sym_number] = ACTIONS(1325),
    [anon_sym_boolean] = ACTIONS(1325),
    [anon_sym_string] = ACTIONS(1325),
    [anon_sym_symbol] = ACTIONS(1325),
    [anon_sym_object] = ACTIONS(1325),
    [sym_html_comment] = ACTIONS(5),
  },
  [575] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1391),
    [sym_expression] = STATE(2095),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5815),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5815),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5603),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1391),
    [sym_subscript_expression] = STATE(1391),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(2984),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5815),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1391),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(564),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(1505),
    [anon_sym_export] = ACTIONS(1325),
    [anon_sym_type] = ACTIONS(1325),
    [anon_sym_namespace] = ACTIONS(1327),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(1347),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1325),
    [anon_sym_BANG] = ACTIONS(1331),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(1333),
    [anon_sym_yield] = ACTIONS(1335),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1337),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1509),
    [anon_sym_using] = ACTIONS(1341),
    [anon_sym_PLUS] = ACTIONS(1347),
    [anon_sym_DASH] = ACTIONS(1347),
    [anon_sym_SLASH] = ACTIONS(949),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1331),
    [anon_sym_void] = ACTIONS(1347),
    [anon_sym_delete] = ACTIONS(1347),
    [anon_sym_PLUS_PLUS] = ACTIONS(1349),
    [anon_sym_DASH_DASH] = ACTIONS(1349),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(1351),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1511),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1325),
    [anon_sym_readonly] = ACTIONS(1325),
    [anon_sym_get] = ACTIONS(1325),
    [anon_sym_set] = ACTIONS(1325),
    [anon_sym_declare] = ACTIONS(1325),
    [anon_sym_public] = ACTIONS(1325),
    [anon_sym_private] = ACTIONS(1325),
    [anon_sym_protected] = ACTIONS(1325),
    [anon_sym_override] = ACTIONS(1325),
    [anon_sym_module] = ACTIONS(1325),
    [anon_sym_any] = ACTIONS(1325),
    [anon_sym_number] = ACTIONS(1325),
    [anon_sym_boolean] = ACTIONS(1325),
    [anon_sym_string] = ACTIONS(1325),
    [anon_sym_symbol] = ACTIONS(1325),
    [anon_sym_object] = ACTIONS(1325),
    [sym_html_comment] = ACTIONS(5),
  },
  [576] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1391),
    [sym_expression] = STATE(2096),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5815),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5815),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5603),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1391),
    [sym_subscript_expression] = STATE(1391),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(2984),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5815),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1391),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(564),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(1505),
    [anon_sym_export] = ACTIONS(1325),
    [anon_sym_type] = ACTIONS(1325),
    [anon_sym_namespace] = ACTIONS(1327),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(1347),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1325),
    [anon_sym_BANG] = ACTIONS(1331),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(1333),
    [anon_sym_yield] = ACTIONS(1335),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1337),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1509),
    [anon_sym_using] = ACTIONS(1341),
    [anon_sym_PLUS] = ACTIONS(1347),
    [anon_sym_DASH] = ACTIONS(1347),
    [anon_sym_SLASH] = ACTIONS(949),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1331),
    [anon_sym_void] = ACTIONS(1347),
    [anon_sym_delete] = ACTIONS(1347),
    [anon_sym_PLUS_PLUS] = ACTIONS(1349),
    [anon_sym_DASH_DASH] = ACTIONS(1349),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(1351),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1511),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1325),
    [anon_sym_readonly] = ACTIONS(1325),
    [anon_sym_get] = ACTIONS(1325),
    [anon_sym_set] = ACTIONS(1325),
    [anon_sym_declare] = ACTIONS(1325),
    [anon_sym_public] = ACTIONS(1325),
    [anon_sym_private] = ACTIONS(1325),
    [anon_sym_protected] = ACTIONS(1325),
    [anon_sym_override] = ACTIONS(1325),
    [anon_sym_module] = ACTIONS(1325),
    [anon_sym_any] = ACTIONS(1325),
    [anon_sym_number] = ACTIONS(1325),
    [anon_sym_boolean] = ACTIONS(1325),
    [anon_sym_string] = ACTIONS(1325),
    [anon_sym_symbol] = ACTIONS(1325),
    [anon_sym_object] = ACTIONS(1325),
    [sym_html_comment] = ACTIONS(5),
  },
  [577] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1391),
    [sym_expression] = STATE(2097),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5815),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5815),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5603),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1391),
    [sym_subscript_expression] = STATE(1391),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(2984),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5815),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1391),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(564),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(1505),
    [anon_sym_export] = ACTIONS(1325),
    [anon_sym_type] = ACTIONS(1325),
    [anon_sym_namespace] = ACTIONS(1327),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(1347),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1325),
    [anon_sym_BANG] = ACTIONS(1331),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(1333),
    [anon_sym_yield] = ACTIONS(1335),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1337),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1509),
    [anon_sym_using] = ACTIONS(1341),
    [anon_sym_PLUS] = ACTIONS(1347),
    [anon_sym_DASH] = ACTIONS(1347),
    [anon_sym_SLASH] = ACTIONS(949),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1331),
    [anon_sym_void] = ACTIONS(1347),
    [anon_sym_delete] = ACTIONS(1347),
    [anon_sym_PLUS_PLUS] = ACTIONS(1349),
    [anon_sym_DASH_DASH] = ACTIONS(1349),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(1351),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1511),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1325),
    [anon_sym_readonly] = ACTIONS(1325),
    [anon_sym_get] = ACTIONS(1325),
    [anon_sym_set] = ACTIONS(1325),
    [anon_sym_declare] = ACTIONS(1325),
    [anon_sym_public] = ACTIONS(1325),
    [anon_sym_private] = ACTIONS(1325),
    [anon_sym_protected] = ACTIONS(1325),
    [anon_sym_override] = ACTIONS(1325),
    [anon_sym_module] = ACTIONS(1325),
    [anon_sym_any] = ACTIONS(1325),
    [anon_sym_number] = ACTIONS(1325),
    [anon_sym_boolean] = ACTIONS(1325),
    [anon_sym_string] = ACTIONS(1325),
    [anon_sym_symbol] = ACTIONS(1325),
    [anon_sym_object] = ACTIONS(1325),
    [sym_html_comment] = ACTIONS(5),
  },
  [578] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1391),
    [sym_expression] = STATE(2098),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5815),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5815),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5603),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1391),
    [sym_subscript_expression] = STATE(1391),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(2984),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5815),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1391),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(564),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(1505),
    [anon_sym_export] = ACTIONS(1325),
    [anon_sym_type] = ACTIONS(1325),
    [anon_sym_namespace] = ACTIONS(1327),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(1347),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1325),
    [anon_sym_BANG] = ACTIONS(1331),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(1333),
    [anon_sym_yield] = ACTIONS(1335),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1337),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1509),
    [anon_sym_using] = ACTIONS(1341),
    [anon_sym_PLUS] = ACTIONS(1347),
    [anon_sym_DASH] = ACTIONS(1347),
    [anon_sym_SLASH] = ACTIONS(949),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1331),
    [anon_sym_void] = ACTIONS(1347),
    [anon_sym_delete] = ACTIONS(1347),
    [anon_sym_PLUS_PLUS] = ACTIONS(1349),
    [anon_sym_DASH_DASH] = ACTIONS(1349),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(1351),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1511),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1325),
    [anon_sym_readonly] = ACTIONS(1325),
    [anon_sym_get] = ACTIONS(1325),
    [anon_sym_set] = ACTIONS(1325),
    [anon_sym_declare] = ACTIONS(1325),
    [anon_sym_public] = ACTIONS(1325),
    [anon_sym_private] = ACTIONS(1325),
    [anon_sym_protected] = ACTIONS(1325),
    [anon_sym_override] = ACTIONS(1325),
    [anon_sym_module] = ACTIONS(1325),
    [anon_sym_any] = ACTIONS(1325),
    [anon_sym_number] = ACTIONS(1325),
    [anon_sym_boolean] = ACTIONS(1325),
    [anon_sym_string] = ACTIONS(1325),
    [anon_sym_symbol] = ACTIONS(1325),
    [anon_sym_object] = ACTIONS(1325),
    [sym_html_comment] = ACTIONS(5),
  },
  [579] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1391),
    [sym_expression] = STATE(2099),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5815),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5815),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5603),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1391),
    [sym_subscript_expression] = STATE(1391),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(2984),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5815),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1391),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(564),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(1505),
    [anon_sym_export] = ACTIONS(1325),
    [anon_sym_type] = ACTIONS(1325),
    [anon_sym_namespace] = ACTIONS(1327),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(1347),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1325),
    [anon_sym_BANG] = ACTIONS(1331),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(1333),
    [anon_sym_yield] = ACTIONS(1335),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1337),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1509),
    [anon_sym_using] = ACTIONS(1341),
    [anon_sym_PLUS] = ACTIONS(1347),
    [anon_sym_DASH] = ACTIONS(1347),
    [anon_sym_SLASH] = ACTIONS(949),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1331),
    [anon_sym_void] = ACTIONS(1347),
    [anon_sym_delete] = ACTIONS(1347),
    [anon_sym_PLUS_PLUS] = ACTIONS(1349),
    [anon_sym_DASH_DASH] = ACTIONS(1349),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(1351),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1511),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1325),
    [anon_sym_readonly] = ACTIONS(1325),
    [anon_sym_get] = ACTIONS(1325),
    [anon_sym_set] = ACTIONS(1325),
    [anon_sym_declare] = ACTIONS(1325),
    [anon_sym_public] = ACTIONS(1325),
    [anon_sym_private] = ACTIONS(1325),
    [anon_sym_protected] = ACTIONS(1325),
    [anon_sym_override] = ACTIONS(1325),
    [anon_sym_module] = ACTIONS(1325),
    [anon_sym_any] = ACTIONS(1325),
    [anon_sym_number] = ACTIONS(1325),
    [anon_sym_boolean] = ACTIONS(1325),
    [anon_sym_string] = ACTIONS(1325),
    [anon_sym_symbol] = ACTIONS(1325),
    [anon_sym_object] = ACTIONS(1325),
    [sym_html_comment] = ACTIONS(5),
  },
  [580] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1391),
    [sym_expression] = STATE(2101),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5815),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5815),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5603),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1391),
    [sym_subscript_expression] = STATE(1391),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(2984),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5815),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1391),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(564),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(1505),
    [anon_sym_export] = ACTIONS(1325),
    [anon_sym_type] = ACTIONS(1325),
    [anon_sym_namespace] = ACTIONS(1327),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(1347),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1325),
    [anon_sym_BANG] = ACTIONS(1331),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(1333),
    [anon_sym_yield] = ACTIONS(1335),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1337),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1509),
    [anon_sym_using] = ACTIONS(1341),
    [anon_sym_PLUS] = ACTIONS(1347),
    [anon_sym_DASH] = ACTIONS(1347),
    [anon_sym_SLASH] = ACTIONS(949),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1331),
    [anon_sym_void] = ACTIONS(1347),
    [anon_sym_delete] = ACTIONS(1347),
    [anon_sym_PLUS_PLUS] = ACTIONS(1349),
    [anon_sym_DASH_DASH] = ACTIONS(1349),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(1351),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1511),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1325),
    [anon_sym_readonly] = ACTIONS(1325),
    [anon_sym_get] = ACTIONS(1325),
    [anon_sym_set] = ACTIONS(1325),
    [anon_sym_declare] = ACTIONS(1325),
    [anon_sym_public] = ACTIONS(1325),
    [anon_sym_private] = ACTIONS(1325),
    [anon_sym_protected] = ACTIONS(1325),
    [anon_sym_override] = ACTIONS(1325),
    [anon_sym_module] = ACTIONS(1325),
    [anon_sym_any] = ACTIONS(1325),
    [anon_sym_number] = ACTIONS(1325),
    [anon_sym_boolean] = ACTIONS(1325),
    [anon_sym_string] = ACTIONS(1325),
    [anon_sym_symbol] = ACTIONS(1325),
    [anon_sym_object] = ACTIONS(1325),
    [sym_html_comment] = ACTIONS(5),
  },
  [581] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1391),
    [sym_expression] = STATE(2105),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5815),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5815),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5603),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1391),
    [sym_subscript_expression] = STATE(1391),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(2984),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5815),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1391),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(564),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(1505),
    [anon_sym_export] = ACTIONS(1325),
    [anon_sym_type] = ACTIONS(1325),
    [anon_sym_namespace] = ACTIONS(1327),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(1347),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1325),
    [anon_sym_BANG] = ACTIONS(1331),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(1333),
    [anon_sym_yield] = ACTIONS(1335),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1337),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1509),
    [anon_sym_using] = ACTIONS(1341),
    [anon_sym_PLUS] = ACTIONS(1347),
    [anon_sym_DASH] = ACTIONS(1347),
    [anon_sym_SLASH] = ACTIONS(949),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1331),
    [anon_sym_void] = ACTIONS(1347),
    [anon_sym_delete] = ACTIONS(1347),
    [anon_sym_PLUS_PLUS] = ACTIONS(1349),
    [anon_sym_DASH_DASH] = ACTIONS(1349),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(1351),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1511),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1325),
    [anon_sym_readonly] = ACTIONS(1325),
    [anon_sym_get] = ACTIONS(1325),
    [anon_sym_set] = ACTIONS(1325),
    [anon_sym_declare] = ACTIONS(1325),
    [anon_sym_public] = ACTIONS(1325),
    [anon_sym_private] = ACTIONS(1325),
    [anon_sym_protected] = ACTIONS(1325),
    [anon_sym_override] = ACTIONS(1325),
    [anon_sym_module] = ACTIONS(1325),
    [anon_sym_any] = ACTIONS(1325),
    [anon_sym_number] = ACTIONS(1325),
    [anon_sym_boolean] = ACTIONS(1325),
    [anon_sym_string] = ACTIONS(1325),
    [anon_sym_symbol] = ACTIONS(1325),
    [anon_sym_object] = ACTIONS(1325),
    [sym_html_comment] = ACTIONS(5),
  },
  [582] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1391),
    [sym_expression] = STATE(2106),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5815),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5815),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5603),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1391),
    [sym_subscript_expression] = STATE(1391),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(2984),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5815),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1391),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(564),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(1505),
    [anon_sym_export] = ACTIONS(1325),
    [anon_sym_type] = ACTIONS(1325),
    [anon_sym_namespace] = ACTIONS(1327),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(1347),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1325),
    [anon_sym_BANG] = ACTIONS(1331),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(1333),
    [anon_sym_yield] = ACTIONS(1335),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1337),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1509),
    [anon_sym_using] = ACTIONS(1341),
    [anon_sym_PLUS] = ACTIONS(1347),
    [anon_sym_DASH] = ACTIONS(1347),
    [anon_sym_SLASH] = ACTIONS(949),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1331),
    [anon_sym_void] = ACTIONS(1347),
    [anon_sym_delete] = ACTIONS(1347),
    [anon_sym_PLUS_PLUS] = ACTIONS(1349),
    [anon_sym_DASH_DASH] = ACTIONS(1349),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(1351),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1511),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1325),
    [anon_sym_readonly] = ACTIONS(1325),
    [anon_sym_get] = ACTIONS(1325),
    [anon_sym_set] = ACTIONS(1325),
    [anon_sym_declare] = ACTIONS(1325),
    [anon_sym_public] = ACTIONS(1325),
    [anon_sym_private] = ACTIONS(1325),
    [anon_sym_protected] = ACTIONS(1325),
    [anon_sym_override] = ACTIONS(1325),
    [anon_sym_module] = ACTIONS(1325),
    [anon_sym_any] = ACTIONS(1325),
    [anon_sym_number] = ACTIONS(1325),
    [anon_sym_boolean] = ACTIONS(1325),
    [anon_sym_string] = ACTIONS(1325),
    [anon_sym_symbol] = ACTIONS(1325),
    [anon_sym_object] = ACTIONS(1325),
    [sym_html_comment] = ACTIONS(5),
  },
  [583] = {
    [sym_import] = STATE(3513),
    [sym_parenthesized_expression] = STATE(1353),
    [sym_expression] = STATE(1789),
    [sym_primary_expression] = STATE(1833),
    [sym_yield_expression] = STATE(2130),
    [sym_object] = STATE(2117),
    [sym_object_pattern] = STATE(5484),
    [sym_array] = STATE(2117),
    [sym_array_pattern] = STATE(5484),
    [sym_glimmer_template] = STATE(2130),
    [sym_class] = STATE(2117),
    [sym_function_expression] = STATE(2117),
    [sym_generator_function] = STATE(2117),
    [sym_arrow_function] = STATE(2117),
    [sym__call_signature] = STATE(5525),
    [sym_call_expression] = STATE(2117),
    [sym_new_expression] = STATE(1963),
    [sym_await_expression] = STATE(2130),
    [sym_member_expression] = STATE(1353),
    [sym_subscript_expression] = STATE(1353),
    [sym_assignment_expression] = STATE(2130),
    [sym__augmented_assignment_lhs] = STATE(3036),
    [sym_augmented_assignment_expression] = STATE(2130),
    [sym__destructuring_pattern] = STATE(5484),
    [sym_ternary_expression] = STATE(2130),
    [sym_binary_expression] = STATE(2130),
    [sym_unary_expression] = STATE(2130),
    [sym_update_expression] = STATE(2130),
    [sym_string] = STATE(2117),
    [sym_template_string] = STATE(2117),
    [sym_regex] = STATE(2117),
    [sym_meta_property] = STATE(2117),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1353),
    [sym_type_assertion] = STATE(2130),
    [sym_as_expression] = STATE(2130),
    [sym_satisfies_expression] = STATE(2130),
    [sym_instantiation_expression] = STATE(2130),
    [sym_internal_module] = STATE(2130),
    [sym_type_arguments] = STATE(427),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4499),
    [sym_identifier] = ACTIONS(1475),
    [anon_sym_export] = ACTIONS(1443),
    [anon_sym_type] = ACTIONS(1443),
    [anon_sym_namespace] = ACTIONS(1445),
    [anon_sym_LBRACE] = ACTIONS(670),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(674),
    [anon_sym_let] = ACTIONS(1443),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(681),
    [anon_sym_async] = ACTIONS(1449),
    [anon_sym_function] = ACTIONS(685),
    [anon_sym_new] = ACTIONS(1479),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1443),
    [anon_sym_readonly] = ACTIONS(1443),
    [anon_sym_get] = ACTIONS(1443),
    [anon_sym_set] = ACTIONS(1443),
    [anon_sym_declare] = ACTIONS(1443),
    [anon_sym_public] = ACTIONS(1443),
    [anon_sym_private] = ACTIONS(1443),
    [anon_sym_protected] = ACTIONS(1443),
    [anon_sym_override] = ACTIONS(1443),
    [anon_sym_module] = ACTIONS(1443),
    [anon_sym_any] = ACTIONS(1443),
    [anon_sym_number] = ACTIONS(1443),
    [anon_sym_boolean] = ACTIONS(1443),
    [anon_sym_string] = ACTIONS(1443),
    [anon_sym_symbol] = ACTIONS(1443),
    [anon_sym_object] = ACTIONS(1443),
    [sym_html_comment] = ACTIONS(5),
  },
  [584] = {
    [sym_import] = STATE(3513),
    [sym_parenthesized_expression] = STATE(1353),
    [sym_expression] = STATE(1865),
    [sym_primary_expression] = STATE(1833),
    [sym_yield_expression] = STATE(2130),
    [sym_object] = STATE(2117),
    [sym_object_pattern] = STATE(5484),
    [sym_array] = STATE(2117),
    [sym_array_pattern] = STATE(5484),
    [sym_glimmer_template] = STATE(2130),
    [sym_class] = STATE(2117),
    [sym_function_expression] = STATE(2117),
    [sym_generator_function] = STATE(2117),
    [sym_arrow_function] = STATE(2117),
    [sym__call_signature] = STATE(5525),
    [sym_call_expression] = STATE(2117),
    [sym_new_expression] = STATE(1963),
    [sym_await_expression] = STATE(2130),
    [sym_member_expression] = STATE(1353),
    [sym_subscript_expression] = STATE(1353),
    [sym_assignment_expression] = STATE(2130),
    [sym__augmented_assignment_lhs] = STATE(3036),
    [sym_augmented_assignment_expression] = STATE(2130),
    [sym__destructuring_pattern] = STATE(5484),
    [sym_ternary_expression] = STATE(2130),
    [sym_binary_expression] = STATE(2130),
    [sym_unary_expression] = STATE(2130),
    [sym_update_expression] = STATE(2130),
    [sym_string] = STATE(2117),
    [sym_template_string] = STATE(2117),
    [sym_regex] = STATE(2117),
    [sym_meta_property] = STATE(2117),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1353),
    [sym_type_assertion] = STATE(2130),
    [sym_as_expression] = STATE(2130),
    [sym_satisfies_expression] = STATE(2130),
    [sym_instantiation_expression] = STATE(2130),
    [sym_internal_module] = STATE(2130),
    [sym_type_arguments] = STATE(427),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4499),
    [sym_identifier] = ACTIONS(1475),
    [anon_sym_export] = ACTIONS(1443),
    [anon_sym_type] = ACTIONS(1443),
    [anon_sym_namespace] = ACTIONS(1445),
    [anon_sym_LBRACE] = ACTIONS(670),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(674),
    [anon_sym_let] = ACTIONS(1443),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(681),
    [anon_sym_async] = ACTIONS(1449),
    [anon_sym_function] = ACTIONS(685),
    [anon_sym_new] = ACTIONS(1479),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1443),
    [anon_sym_readonly] = ACTIONS(1443),
    [anon_sym_get] = ACTIONS(1443),
    [anon_sym_set] = ACTIONS(1443),
    [anon_sym_declare] = ACTIONS(1443),
    [anon_sym_public] = ACTIONS(1443),
    [anon_sym_private] = ACTIONS(1443),
    [anon_sym_protected] = ACTIONS(1443),
    [anon_sym_override] = ACTIONS(1443),
    [anon_sym_module] = ACTIONS(1443),
    [anon_sym_any] = ACTIONS(1443),
    [anon_sym_number] = ACTIONS(1443),
    [anon_sym_boolean] = ACTIONS(1443),
    [anon_sym_string] = ACTIONS(1443),
    [anon_sym_symbol] = ACTIONS(1443),
    [anon_sym_object] = ACTIONS(1443),
    [sym_html_comment] = ACTIONS(5),
  },
  [585] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1391),
    [sym_expression] = STATE(2107),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5815),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5815),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5603),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1391),
    [sym_subscript_expression] = STATE(1391),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(2984),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5815),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1391),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(564),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(1505),
    [anon_sym_export] = ACTIONS(1325),
    [anon_sym_type] = ACTIONS(1325),
    [anon_sym_namespace] = ACTIONS(1327),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(1347),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1325),
    [anon_sym_BANG] = ACTIONS(1331),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(1333),
    [anon_sym_yield] = ACTIONS(1335),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1337),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1509),
    [anon_sym_using] = ACTIONS(1341),
    [anon_sym_PLUS] = ACTIONS(1347),
    [anon_sym_DASH] = ACTIONS(1347),
    [anon_sym_SLASH] = ACTIONS(949),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1331),
    [anon_sym_void] = ACTIONS(1347),
    [anon_sym_delete] = ACTIONS(1347),
    [anon_sym_PLUS_PLUS] = ACTIONS(1349),
    [anon_sym_DASH_DASH] = ACTIONS(1349),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(1351),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1511),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1325),
    [anon_sym_readonly] = ACTIONS(1325),
    [anon_sym_get] = ACTIONS(1325),
    [anon_sym_set] = ACTIONS(1325),
    [anon_sym_declare] = ACTIONS(1325),
    [anon_sym_public] = ACTIONS(1325),
    [anon_sym_private] = ACTIONS(1325),
    [anon_sym_protected] = ACTIONS(1325),
    [anon_sym_override] = ACTIONS(1325),
    [anon_sym_module] = ACTIONS(1325),
    [anon_sym_any] = ACTIONS(1325),
    [anon_sym_number] = ACTIONS(1325),
    [anon_sym_boolean] = ACTIONS(1325),
    [anon_sym_string] = ACTIONS(1325),
    [anon_sym_symbol] = ACTIONS(1325),
    [anon_sym_object] = ACTIONS(1325),
    [sym_html_comment] = ACTIONS(5),
  },
  [586] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1391),
    [sym_expression] = STATE(2108),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5815),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5815),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5603),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1391),
    [sym_subscript_expression] = STATE(1391),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(2984),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5815),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1391),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(564),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(1505),
    [anon_sym_export] = ACTIONS(1325),
    [anon_sym_type] = ACTIONS(1325),
    [anon_sym_namespace] = ACTIONS(1327),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(1347),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1325),
    [anon_sym_BANG] = ACTIONS(1331),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(1333),
    [anon_sym_yield] = ACTIONS(1335),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1337),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1509),
    [anon_sym_using] = ACTIONS(1341),
    [anon_sym_PLUS] = ACTIONS(1347),
    [anon_sym_DASH] = ACTIONS(1347),
    [anon_sym_SLASH] = ACTIONS(949),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1331),
    [anon_sym_void] = ACTIONS(1347),
    [anon_sym_delete] = ACTIONS(1347),
    [anon_sym_PLUS_PLUS] = ACTIONS(1349),
    [anon_sym_DASH_DASH] = ACTIONS(1349),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(1351),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1511),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1325),
    [anon_sym_readonly] = ACTIONS(1325),
    [anon_sym_get] = ACTIONS(1325),
    [anon_sym_set] = ACTIONS(1325),
    [anon_sym_declare] = ACTIONS(1325),
    [anon_sym_public] = ACTIONS(1325),
    [anon_sym_private] = ACTIONS(1325),
    [anon_sym_protected] = ACTIONS(1325),
    [anon_sym_override] = ACTIONS(1325),
    [anon_sym_module] = ACTIONS(1325),
    [anon_sym_any] = ACTIONS(1325),
    [anon_sym_number] = ACTIONS(1325),
    [anon_sym_boolean] = ACTIONS(1325),
    [anon_sym_string] = ACTIONS(1325),
    [anon_sym_symbol] = ACTIONS(1325),
    [anon_sym_object] = ACTIONS(1325),
    [sym_html_comment] = ACTIONS(5),
  },
  [587] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1391),
    [sym_expression] = STATE(2109),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5815),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5815),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5603),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1391),
    [sym_subscript_expression] = STATE(1391),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(2984),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5815),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1391),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(564),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(1505),
    [anon_sym_export] = ACTIONS(1325),
    [anon_sym_type] = ACTIONS(1325),
    [anon_sym_namespace] = ACTIONS(1327),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(1347),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1325),
    [anon_sym_BANG] = ACTIONS(1331),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(1333),
    [anon_sym_yield] = ACTIONS(1335),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1337),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1509),
    [anon_sym_using] = ACTIONS(1341),
    [anon_sym_PLUS] = ACTIONS(1347),
    [anon_sym_DASH] = ACTIONS(1347),
    [anon_sym_SLASH] = ACTIONS(949),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1331),
    [anon_sym_void] = ACTIONS(1347),
    [anon_sym_delete] = ACTIONS(1347),
    [anon_sym_PLUS_PLUS] = ACTIONS(1349),
    [anon_sym_DASH_DASH] = ACTIONS(1349),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(1351),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1511),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1325),
    [anon_sym_readonly] = ACTIONS(1325),
    [anon_sym_get] = ACTIONS(1325),
    [anon_sym_set] = ACTIONS(1325),
    [anon_sym_declare] = ACTIONS(1325),
    [anon_sym_public] = ACTIONS(1325),
    [anon_sym_private] = ACTIONS(1325),
    [anon_sym_protected] = ACTIONS(1325),
    [anon_sym_override] = ACTIONS(1325),
    [anon_sym_module] = ACTIONS(1325),
    [anon_sym_any] = ACTIONS(1325),
    [anon_sym_number] = ACTIONS(1325),
    [anon_sym_boolean] = ACTIONS(1325),
    [anon_sym_string] = ACTIONS(1325),
    [anon_sym_symbol] = ACTIONS(1325),
    [anon_sym_object] = ACTIONS(1325),
    [sym_html_comment] = ACTIONS(5),
  },
  [588] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1457),
    [sym_expression] = STATE(2450),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5827),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5827),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5728),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1457),
    [sym_subscript_expression] = STATE(1457),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(3001),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5827),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1457),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(591),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(1521),
    [anon_sym_export] = ACTIONS(1361),
    [anon_sym_type] = ACTIONS(1361),
    [anon_sym_namespace] = ACTIONS(1363),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(1383),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1361),
    [anon_sym_BANG] = ACTIONS(1367),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(1369),
    [anon_sym_yield] = ACTIONS(1371),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1373),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1525),
    [anon_sym_using] = ACTIONS(1377),
    [anon_sym_PLUS] = ACTIONS(1383),
    [anon_sym_DASH] = ACTIONS(1383),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1367),
    [anon_sym_void] = ACTIONS(1383),
    [anon_sym_delete] = ACTIONS(1383),
    [anon_sym_PLUS_PLUS] = ACTIONS(1385),
    [anon_sym_DASH_DASH] = ACTIONS(1385),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(2134),
    [sym_private_property_identifier] = ACTIONS(1387),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1527),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1361),
    [anon_sym_readonly] = ACTIONS(1361),
    [anon_sym_get] = ACTIONS(1361),
    [anon_sym_set] = ACTIONS(1361),
    [anon_sym_declare] = ACTIONS(1361),
    [anon_sym_public] = ACTIONS(1361),
    [anon_sym_private] = ACTIONS(1361),
    [anon_sym_protected] = ACTIONS(1361),
    [anon_sym_override] = ACTIONS(1361),
    [anon_sym_module] = ACTIONS(1361),
    [anon_sym_any] = ACTIONS(1361),
    [anon_sym_number] = ACTIONS(1361),
    [anon_sym_boolean] = ACTIONS(1361),
    [anon_sym_string] = ACTIONS(1361),
    [anon_sym_symbol] = ACTIONS(1361),
    [anon_sym_object] = ACTIONS(1361),
    [sym_html_comment] = ACTIONS(5),
  },
  [589] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1470),
    [sym_expression] = STATE(2615),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5621),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5621),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5824),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1470),
    [sym_subscript_expression] = STATE(1470),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(2969),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5621),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1470),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(537),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(2202),
    [anon_sym_export] = ACTIONS(2204),
    [anon_sym_type] = ACTIONS(2204),
    [anon_sym_namespace] = ACTIONS(2206),
    [anon_sym_LBRACE] = ACTIONS(815),
    [anon_sym_typeof] = ACTIONS(184),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(2204),
    [anon_sym_BANG] = ACTIONS(180),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(819),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(2208),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(2210),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(184),
    [anon_sym_DASH] = ACTIONS(184),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(691),
    [anon_sym_DASH_DASH] = ACTIONS(691),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(2212),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(2204),
    [anon_sym_readonly] = ACTIONS(2204),
    [anon_sym_get] = ACTIONS(2204),
    [anon_sym_set] = ACTIONS(2204),
    [anon_sym_declare] = ACTIONS(2204),
    [anon_sym_public] = ACTIONS(2204),
    [anon_sym_private] = ACTIONS(2204),
    [anon_sym_protected] = ACTIONS(2204),
    [anon_sym_override] = ACTIONS(2204),
    [anon_sym_module] = ACTIONS(2204),
    [anon_sym_any] = ACTIONS(2204),
    [anon_sym_number] = ACTIONS(2204),
    [anon_sym_boolean] = ACTIONS(2204),
    [anon_sym_string] = ACTIONS(2204),
    [anon_sym_symbol] = ACTIONS(2204),
    [anon_sym_object] = ACTIONS(2204),
    [sym_html_comment] = ACTIONS(5),
  },
  [590] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1457),
    [sym_expression] = STATE(2565),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5827),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5827),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5728),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1457),
    [sym_subscript_expression] = STATE(1457),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(3001),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5827),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1457),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(591),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(1521),
    [anon_sym_export] = ACTIONS(1361),
    [anon_sym_type] = ACTIONS(1361),
    [anon_sym_namespace] = ACTIONS(1363),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(1383),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1361),
    [anon_sym_BANG] = ACTIONS(1367),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(1369),
    [anon_sym_yield] = ACTIONS(1371),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1373),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1525),
    [anon_sym_using] = ACTIONS(1377),
    [anon_sym_PLUS] = ACTIONS(1383),
    [anon_sym_DASH] = ACTIONS(1383),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1367),
    [anon_sym_void] = ACTIONS(1383),
    [anon_sym_delete] = ACTIONS(1383),
    [anon_sym_PLUS_PLUS] = ACTIONS(1385),
    [anon_sym_DASH_DASH] = ACTIONS(1385),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(1387),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1527),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1361),
    [anon_sym_readonly] = ACTIONS(1361),
    [anon_sym_get] = ACTIONS(1361),
    [anon_sym_set] = ACTIONS(1361),
    [anon_sym_declare] = ACTIONS(1361),
    [anon_sym_public] = ACTIONS(1361),
    [anon_sym_private] = ACTIONS(1361),
    [anon_sym_protected] = ACTIONS(1361),
    [anon_sym_override] = ACTIONS(1361),
    [anon_sym_module] = ACTIONS(1361),
    [anon_sym_any] = ACTIONS(1361),
    [anon_sym_number] = ACTIONS(1361),
    [anon_sym_boolean] = ACTIONS(1361),
    [anon_sym_string] = ACTIONS(1361),
    [anon_sym_symbol] = ACTIONS(1361),
    [anon_sym_object] = ACTIONS(1361),
    [sym_html_comment] = ACTIONS(5),
  },
  [591] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1457),
    [sym_expression] = STATE(2364),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5827),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5827),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5728),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1457),
    [sym_subscript_expression] = STATE(1457),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(3001),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5827),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1457),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(591),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(1521),
    [anon_sym_export] = ACTIONS(1361),
    [anon_sym_type] = ACTIONS(1361),
    [anon_sym_namespace] = ACTIONS(1363),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(1383),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1361),
    [anon_sym_BANG] = ACTIONS(1367),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(1369),
    [anon_sym_yield] = ACTIONS(1371),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1373),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1525),
    [anon_sym_using] = ACTIONS(1377),
    [anon_sym_PLUS] = ACTIONS(1383),
    [anon_sym_DASH] = ACTIONS(1383),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1367),
    [anon_sym_void] = ACTIONS(1383),
    [anon_sym_delete] = ACTIONS(1383),
    [anon_sym_PLUS_PLUS] = ACTIONS(1385),
    [anon_sym_DASH_DASH] = ACTIONS(1385),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(1387),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1527),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1361),
    [anon_sym_readonly] = ACTIONS(1361),
    [anon_sym_get] = ACTIONS(1361),
    [anon_sym_set] = ACTIONS(1361),
    [anon_sym_declare] = ACTIONS(1361),
    [anon_sym_public] = ACTIONS(1361),
    [anon_sym_private] = ACTIONS(1361),
    [anon_sym_protected] = ACTIONS(1361),
    [anon_sym_override] = ACTIONS(1361),
    [anon_sym_module] = ACTIONS(1361),
    [anon_sym_any] = ACTIONS(1361),
    [anon_sym_number] = ACTIONS(1361),
    [anon_sym_boolean] = ACTIONS(1361),
    [anon_sym_string] = ACTIONS(1361),
    [anon_sym_symbol] = ACTIONS(1361),
    [anon_sym_object] = ACTIONS(1361),
    [sym_html_comment] = ACTIONS(5),
  },
  [592] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1457),
    [sym_expression] = STATE(2366),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5827),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5827),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5728),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1457),
    [sym_subscript_expression] = STATE(1457),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(3001),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5827),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1457),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(591),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(1521),
    [anon_sym_export] = ACTIONS(1361),
    [anon_sym_type] = ACTIONS(1361),
    [anon_sym_namespace] = ACTIONS(1363),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(1383),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1361),
    [anon_sym_BANG] = ACTIONS(1367),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(1369),
    [anon_sym_yield] = ACTIONS(1371),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1373),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1525),
    [anon_sym_using] = ACTIONS(1377),
    [anon_sym_PLUS] = ACTIONS(1383),
    [anon_sym_DASH] = ACTIONS(1383),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1367),
    [anon_sym_void] = ACTIONS(1383),
    [anon_sym_delete] = ACTIONS(1383),
    [anon_sym_PLUS_PLUS] = ACTIONS(1385),
    [anon_sym_DASH_DASH] = ACTIONS(1385),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(1387),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1527),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1361),
    [anon_sym_readonly] = ACTIONS(1361),
    [anon_sym_get] = ACTIONS(1361),
    [anon_sym_set] = ACTIONS(1361),
    [anon_sym_declare] = ACTIONS(1361),
    [anon_sym_public] = ACTIONS(1361),
    [anon_sym_private] = ACTIONS(1361),
    [anon_sym_protected] = ACTIONS(1361),
    [anon_sym_override] = ACTIONS(1361),
    [anon_sym_module] = ACTIONS(1361),
    [anon_sym_any] = ACTIONS(1361),
    [anon_sym_number] = ACTIONS(1361),
    [anon_sym_boolean] = ACTIONS(1361),
    [anon_sym_string] = ACTIONS(1361),
    [anon_sym_symbol] = ACTIONS(1361),
    [anon_sym_object] = ACTIONS(1361),
    [sym_html_comment] = ACTIONS(5),
  },
  [593] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1457),
    [sym_expression] = STATE(2367),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5827),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5827),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5728),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1457),
    [sym_subscript_expression] = STATE(1457),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(3001),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5827),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1457),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(591),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(1521),
    [anon_sym_export] = ACTIONS(1361),
    [anon_sym_type] = ACTIONS(1361),
    [anon_sym_namespace] = ACTIONS(1363),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(1383),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1361),
    [anon_sym_BANG] = ACTIONS(1367),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(1369),
    [anon_sym_yield] = ACTIONS(1371),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1373),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1525),
    [anon_sym_using] = ACTIONS(1377),
    [anon_sym_PLUS] = ACTIONS(1383),
    [anon_sym_DASH] = ACTIONS(1383),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1367),
    [anon_sym_void] = ACTIONS(1383),
    [anon_sym_delete] = ACTIONS(1383),
    [anon_sym_PLUS_PLUS] = ACTIONS(1385),
    [anon_sym_DASH_DASH] = ACTIONS(1385),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(1387),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1527),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1361),
    [anon_sym_readonly] = ACTIONS(1361),
    [anon_sym_get] = ACTIONS(1361),
    [anon_sym_set] = ACTIONS(1361),
    [anon_sym_declare] = ACTIONS(1361),
    [anon_sym_public] = ACTIONS(1361),
    [anon_sym_private] = ACTIONS(1361),
    [anon_sym_protected] = ACTIONS(1361),
    [anon_sym_override] = ACTIONS(1361),
    [anon_sym_module] = ACTIONS(1361),
    [anon_sym_any] = ACTIONS(1361),
    [anon_sym_number] = ACTIONS(1361),
    [anon_sym_boolean] = ACTIONS(1361),
    [anon_sym_string] = ACTIONS(1361),
    [anon_sym_symbol] = ACTIONS(1361),
    [anon_sym_object] = ACTIONS(1361),
    [sym_html_comment] = ACTIONS(5),
  },
  [594] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1457),
    [sym_expression] = STATE(2368),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5827),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5827),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5728),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1457),
    [sym_subscript_expression] = STATE(1457),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(3001),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5827),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1457),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(591),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(1521),
    [anon_sym_export] = ACTIONS(1361),
    [anon_sym_type] = ACTIONS(1361),
    [anon_sym_namespace] = ACTIONS(1363),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(1383),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1361),
    [anon_sym_BANG] = ACTIONS(1367),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(1369),
    [anon_sym_yield] = ACTIONS(1371),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1373),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1525),
    [anon_sym_using] = ACTIONS(1377),
    [anon_sym_PLUS] = ACTIONS(1383),
    [anon_sym_DASH] = ACTIONS(1383),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1367),
    [anon_sym_void] = ACTIONS(1383),
    [anon_sym_delete] = ACTIONS(1383),
    [anon_sym_PLUS_PLUS] = ACTIONS(1385),
    [anon_sym_DASH_DASH] = ACTIONS(1385),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(1387),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1527),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1361),
    [anon_sym_readonly] = ACTIONS(1361),
    [anon_sym_get] = ACTIONS(1361),
    [anon_sym_set] = ACTIONS(1361),
    [anon_sym_declare] = ACTIONS(1361),
    [anon_sym_public] = ACTIONS(1361),
    [anon_sym_private] = ACTIONS(1361),
    [anon_sym_protected] = ACTIONS(1361),
    [anon_sym_override] = ACTIONS(1361),
    [anon_sym_module] = ACTIONS(1361),
    [anon_sym_any] = ACTIONS(1361),
    [anon_sym_number] = ACTIONS(1361),
    [anon_sym_boolean] = ACTIONS(1361),
    [anon_sym_string] = ACTIONS(1361),
    [anon_sym_symbol] = ACTIONS(1361),
    [anon_sym_object] = ACTIONS(1361),
    [sym_html_comment] = ACTIONS(5),
  },
  [595] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1457),
    [sym_expression] = STATE(2370),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5827),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5827),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5728),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1457),
    [sym_subscript_expression] = STATE(1457),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(3001),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5827),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1457),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(591),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(1521),
    [anon_sym_export] = ACTIONS(1361),
    [anon_sym_type] = ACTIONS(1361),
    [anon_sym_namespace] = ACTIONS(1363),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(1383),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1361),
    [anon_sym_BANG] = ACTIONS(1367),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(1369),
    [anon_sym_yield] = ACTIONS(1371),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1373),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1525),
    [anon_sym_using] = ACTIONS(1377),
    [anon_sym_PLUS] = ACTIONS(1383),
    [anon_sym_DASH] = ACTIONS(1383),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1367),
    [anon_sym_void] = ACTIONS(1383),
    [anon_sym_delete] = ACTIONS(1383),
    [anon_sym_PLUS_PLUS] = ACTIONS(1385),
    [anon_sym_DASH_DASH] = ACTIONS(1385),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(1387),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1527),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1361),
    [anon_sym_readonly] = ACTIONS(1361),
    [anon_sym_get] = ACTIONS(1361),
    [anon_sym_set] = ACTIONS(1361),
    [anon_sym_declare] = ACTIONS(1361),
    [anon_sym_public] = ACTIONS(1361),
    [anon_sym_private] = ACTIONS(1361),
    [anon_sym_protected] = ACTIONS(1361),
    [anon_sym_override] = ACTIONS(1361),
    [anon_sym_module] = ACTIONS(1361),
    [anon_sym_any] = ACTIONS(1361),
    [anon_sym_number] = ACTIONS(1361),
    [anon_sym_boolean] = ACTIONS(1361),
    [anon_sym_string] = ACTIONS(1361),
    [anon_sym_symbol] = ACTIONS(1361),
    [anon_sym_object] = ACTIONS(1361),
    [sym_html_comment] = ACTIONS(5),
  },
  [596] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1457),
    [sym_expression] = STATE(2371),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5827),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5827),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5728),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1457),
    [sym_subscript_expression] = STATE(1457),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(3001),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5827),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1457),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(591),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(1521),
    [anon_sym_export] = ACTIONS(1361),
    [anon_sym_type] = ACTIONS(1361),
    [anon_sym_namespace] = ACTIONS(1363),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(1383),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1361),
    [anon_sym_BANG] = ACTIONS(1367),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(1369),
    [anon_sym_yield] = ACTIONS(1371),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1373),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1525),
    [anon_sym_using] = ACTIONS(1377),
    [anon_sym_PLUS] = ACTIONS(1383),
    [anon_sym_DASH] = ACTIONS(1383),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1367),
    [anon_sym_void] = ACTIONS(1383),
    [anon_sym_delete] = ACTIONS(1383),
    [anon_sym_PLUS_PLUS] = ACTIONS(1385),
    [anon_sym_DASH_DASH] = ACTIONS(1385),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(1387),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1527),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1361),
    [anon_sym_readonly] = ACTIONS(1361),
    [anon_sym_get] = ACTIONS(1361),
    [anon_sym_set] = ACTIONS(1361),
    [anon_sym_declare] = ACTIONS(1361),
    [anon_sym_public] = ACTIONS(1361),
    [anon_sym_private] = ACTIONS(1361),
    [anon_sym_protected] = ACTIONS(1361),
    [anon_sym_override] = ACTIONS(1361),
    [anon_sym_module] = ACTIONS(1361),
    [anon_sym_any] = ACTIONS(1361),
    [anon_sym_number] = ACTIONS(1361),
    [anon_sym_boolean] = ACTIONS(1361),
    [anon_sym_string] = ACTIONS(1361),
    [anon_sym_symbol] = ACTIONS(1361),
    [anon_sym_object] = ACTIONS(1361),
    [sym_html_comment] = ACTIONS(5),
  },
  [597] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1457),
    [sym_expression] = STATE(2372),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5827),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5827),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5728),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1457),
    [sym_subscript_expression] = STATE(1457),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(3001),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5827),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1457),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(591),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(1521),
    [anon_sym_export] = ACTIONS(1361),
    [anon_sym_type] = ACTIONS(1361),
    [anon_sym_namespace] = ACTIONS(1363),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(1383),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1361),
    [anon_sym_BANG] = ACTIONS(1367),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(1369),
    [anon_sym_yield] = ACTIONS(1371),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1373),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1525),
    [anon_sym_using] = ACTIONS(1377),
    [anon_sym_PLUS] = ACTIONS(1383),
    [anon_sym_DASH] = ACTIONS(1383),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1367),
    [anon_sym_void] = ACTIONS(1383),
    [anon_sym_delete] = ACTIONS(1383),
    [anon_sym_PLUS_PLUS] = ACTIONS(1385),
    [anon_sym_DASH_DASH] = ACTIONS(1385),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(1387),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1527),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1361),
    [anon_sym_readonly] = ACTIONS(1361),
    [anon_sym_get] = ACTIONS(1361),
    [anon_sym_set] = ACTIONS(1361),
    [anon_sym_declare] = ACTIONS(1361),
    [anon_sym_public] = ACTIONS(1361),
    [anon_sym_private] = ACTIONS(1361),
    [anon_sym_protected] = ACTIONS(1361),
    [anon_sym_override] = ACTIONS(1361),
    [anon_sym_module] = ACTIONS(1361),
    [anon_sym_any] = ACTIONS(1361),
    [anon_sym_number] = ACTIONS(1361),
    [anon_sym_boolean] = ACTIONS(1361),
    [anon_sym_string] = ACTIONS(1361),
    [anon_sym_symbol] = ACTIONS(1361),
    [anon_sym_object] = ACTIONS(1361),
    [sym_html_comment] = ACTIONS(5),
  },
  [598] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1457),
    [sym_expression] = STATE(2373),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5827),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5827),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5728),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1457),
    [sym_subscript_expression] = STATE(1457),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(3001),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5827),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1457),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(591),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(1521),
    [anon_sym_export] = ACTIONS(1361),
    [anon_sym_type] = ACTIONS(1361),
    [anon_sym_namespace] = ACTIONS(1363),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(1383),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1361),
    [anon_sym_BANG] = ACTIONS(1367),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(1369),
    [anon_sym_yield] = ACTIONS(1371),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1373),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1525),
    [anon_sym_using] = ACTIONS(1377),
    [anon_sym_PLUS] = ACTIONS(1383),
    [anon_sym_DASH] = ACTIONS(1383),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1367),
    [anon_sym_void] = ACTIONS(1383),
    [anon_sym_delete] = ACTIONS(1383),
    [anon_sym_PLUS_PLUS] = ACTIONS(1385),
    [anon_sym_DASH_DASH] = ACTIONS(1385),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(1387),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1527),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1361),
    [anon_sym_readonly] = ACTIONS(1361),
    [anon_sym_get] = ACTIONS(1361),
    [anon_sym_set] = ACTIONS(1361),
    [anon_sym_declare] = ACTIONS(1361),
    [anon_sym_public] = ACTIONS(1361),
    [anon_sym_private] = ACTIONS(1361),
    [anon_sym_protected] = ACTIONS(1361),
    [anon_sym_override] = ACTIONS(1361),
    [anon_sym_module] = ACTIONS(1361),
    [anon_sym_any] = ACTIONS(1361),
    [anon_sym_number] = ACTIONS(1361),
    [anon_sym_boolean] = ACTIONS(1361),
    [anon_sym_string] = ACTIONS(1361),
    [anon_sym_symbol] = ACTIONS(1361),
    [anon_sym_object] = ACTIONS(1361),
    [sym_html_comment] = ACTIONS(5),
  },
  [599] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1457),
    [sym_expression] = STATE(2374),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5827),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5827),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5728),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1457),
    [sym_subscript_expression] = STATE(1457),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(3001),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5827),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1457),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(591),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(1521),
    [anon_sym_export] = ACTIONS(1361),
    [anon_sym_type] = ACTIONS(1361),
    [anon_sym_namespace] = ACTIONS(1363),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(1383),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1361),
    [anon_sym_BANG] = ACTIONS(1367),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(1369),
    [anon_sym_yield] = ACTIONS(1371),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1373),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1525),
    [anon_sym_using] = ACTIONS(1377),
    [anon_sym_PLUS] = ACTIONS(1383),
    [anon_sym_DASH] = ACTIONS(1383),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1367),
    [anon_sym_void] = ACTIONS(1383),
    [anon_sym_delete] = ACTIONS(1383),
    [anon_sym_PLUS_PLUS] = ACTIONS(1385),
    [anon_sym_DASH_DASH] = ACTIONS(1385),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(1387),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1527),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1361),
    [anon_sym_readonly] = ACTIONS(1361),
    [anon_sym_get] = ACTIONS(1361),
    [anon_sym_set] = ACTIONS(1361),
    [anon_sym_declare] = ACTIONS(1361),
    [anon_sym_public] = ACTIONS(1361),
    [anon_sym_private] = ACTIONS(1361),
    [anon_sym_protected] = ACTIONS(1361),
    [anon_sym_override] = ACTIONS(1361),
    [anon_sym_module] = ACTIONS(1361),
    [anon_sym_any] = ACTIONS(1361),
    [anon_sym_number] = ACTIONS(1361),
    [anon_sym_boolean] = ACTIONS(1361),
    [anon_sym_string] = ACTIONS(1361),
    [anon_sym_symbol] = ACTIONS(1361),
    [anon_sym_object] = ACTIONS(1361),
    [sym_html_comment] = ACTIONS(5),
  },
  [600] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1457),
    [sym_expression] = STATE(2375),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5827),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5827),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5728),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1457),
    [sym_subscript_expression] = STATE(1457),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(3001),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5827),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1457),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(591),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(1521),
    [anon_sym_export] = ACTIONS(1361),
    [anon_sym_type] = ACTIONS(1361),
    [anon_sym_namespace] = ACTIONS(1363),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(1383),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1361),
    [anon_sym_BANG] = ACTIONS(1367),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(1369),
    [anon_sym_yield] = ACTIONS(1371),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1373),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1525),
    [anon_sym_using] = ACTIONS(1377),
    [anon_sym_PLUS] = ACTIONS(1383),
    [anon_sym_DASH] = ACTIONS(1383),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1367),
    [anon_sym_void] = ACTIONS(1383),
    [anon_sym_delete] = ACTIONS(1383),
    [anon_sym_PLUS_PLUS] = ACTIONS(1385),
    [anon_sym_DASH_DASH] = ACTIONS(1385),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(1387),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1527),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1361),
    [anon_sym_readonly] = ACTIONS(1361),
    [anon_sym_get] = ACTIONS(1361),
    [anon_sym_set] = ACTIONS(1361),
    [anon_sym_declare] = ACTIONS(1361),
    [anon_sym_public] = ACTIONS(1361),
    [anon_sym_private] = ACTIONS(1361),
    [anon_sym_protected] = ACTIONS(1361),
    [anon_sym_override] = ACTIONS(1361),
    [anon_sym_module] = ACTIONS(1361),
    [anon_sym_any] = ACTIONS(1361),
    [anon_sym_number] = ACTIONS(1361),
    [anon_sym_boolean] = ACTIONS(1361),
    [anon_sym_string] = ACTIONS(1361),
    [anon_sym_symbol] = ACTIONS(1361),
    [anon_sym_object] = ACTIONS(1361),
    [sym_html_comment] = ACTIONS(5),
  },
  [601] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1457),
    [sym_expression] = STATE(2376),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5827),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5827),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5728),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1457),
    [sym_subscript_expression] = STATE(1457),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(3001),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5827),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1457),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(591),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(1521),
    [anon_sym_export] = ACTIONS(1361),
    [anon_sym_type] = ACTIONS(1361),
    [anon_sym_namespace] = ACTIONS(1363),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(1383),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1361),
    [anon_sym_BANG] = ACTIONS(1367),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(1369),
    [anon_sym_yield] = ACTIONS(1371),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1373),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1525),
    [anon_sym_using] = ACTIONS(1377),
    [anon_sym_PLUS] = ACTIONS(1383),
    [anon_sym_DASH] = ACTIONS(1383),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1367),
    [anon_sym_void] = ACTIONS(1383),
    [anon_sym_delete] = ACTIONS(1383),
    [anon_sym_PLUS_PLUS] = ACTIONS(1385),
    [anon_sym_DASH_DASH] = ACTIONS(1385),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(1387),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1527),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1361),
    [anon_sym_readonly] = ACTIONS(1361),
    [anon_sym_get] = ACTIONS(1361),
    [anon_sym_set] = ACTIONS(1361),
    [anon_sym_declare] = ACTIONS(1361),
    [anon_sym_public] = ACTIONS(1361),
    [anon_sym_private] = ACTIONS(1361),
    [anon_sym_protected] = ACTIONS(1361),
    [anon_sym_override] = ACTIONS(1361),
    [anon_sym_module] = ACTIONS(1361),
    [anon_sym_any] = ACTIONS(1361),
    [anon_sym_number] = ACTIONS(1361),
    [anon_sym_boolean] = ACTIONS(1361),
    [anon_sym_string] = ACTIONS(1361),
    [anon_sym_symbol] = ACTIONS(1361),
    [anon_sym_object] = ACTIONS(1361),
    [sym_html_comment] = ACTIONS(5),
  },
  [602] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1457),
    [sym_expression] = STATE(2377),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5827),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5827),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5728),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1457),
    [sym_subscript_expression] = STATE(1457),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(3001),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5827),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1457),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(591),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(1521),
    [anon_sym_export] = ACTIONS(1361),
    [anon_sym_type] = ACTIONS(1361),
    [anon_sym_namespace] = ACTIONS(1363),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(1383),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1361),
    [anon_sym_BANG] = ACTIONS(1367),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(1369),
    [anon_sym_yield] = ACTIONS(1371),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1373),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1525),
    [anon_sym_using] = ACTIONS(1377),
    [anon_sym_PLUS] = ACTIONS(1383),
    [anon_sym_DASH] = ACTIONS(1383),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1367),
    [anon_sym_void] = ACTIONS(1383),
    [anon_sym_delete] = ACTIONS(1383),
    [anon_sym_PLUS_PLUS] = ACTIONS(1385),
    [anon_sym_DASH_DASH] = ACTIONS(1385),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(1387),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1527),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1361),
    [anon_sym_readonly] = ACTIONS(1361),
    [anon_sym_get] = ACTIONS(1361),
    [anon_sym_set] = ACTIONS(1361),
    [anon_sym_declare] = ACTIONS(1361),
    [anon_sym_public] = ACTIONS(1361),
    [anon_sym_private] = ACTIONS(1361),
    [anon_sym_protected] = ACTIONS(1361),
    [anon_sym_override] = ACTIONS(1361),
    [anon_sym_module] = ACTIONS(1361),
    [anon_sym_any] = ACTIONS(1361),
    [anon_sym_number] = ACTIONS(1361),
    [anon_sym_boolean] = ACTIONS(1361),
    [anon_sym_string] = ACTIONS(1361),
    [anon_sym_symbol] = ACTIONS(1361),
    [anon_sym_object] = ACTIONS(1361),
    [sym_html_comment] = ACTIONS(5),
  },
  [603] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1457),
    [sym_expression] = STATE(2378),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5827),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5827),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5728),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1457),
    [sym_subscript_expression] = STATE(1457),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(3001),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5827),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1457),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(591),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(1521),
    [anon_sym_export] = ACTIONS(1361),
    [anon_sym_type] = ACTIONS(1361),
    [anon_sym_namespace] = ACTIONS(1363),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(1383),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1361),
    [anon_sym_BANG] = ACTIONS(1367),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(1369),
    [anon_sym_yield] = ACTIONS(1371),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1373),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1525),
    [anon_sym_using] = ACTIONS(1377),
    [anon_sym_PLUS] = ACTIONS(1383),
    [anon_sym_DASH] = ACTIONS(1383),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1367),
    [anon_sym_void] = ACTIONS(1383),
    [anon_sym_delete] = ACTIONS(1383),
    [anon_sym_PLUS_PLUS] = ACTIONS(1385),
    [anon_sym_DASH_DASH] = ACTIONS(1385),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(1387),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1527),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1361),
    [anon_sym_readonly] = ACTIONS(1361),
    [anon_sym_get] = ACTIONS(1361),
    [anon_sym_set] = ACTIONS(1361),
    [anon_sym_declare] = ACTIONS(1361),
    [anon_sym_public] = ACTIONS(1361),
    [anon_sym_private] = ACTIONS(1361),
    [anon_sym_protected] = ACTIONS(1361),
    [anon_sym_override] = ACTIONS(1361),
    [anon_sym_module] = ACTIONS(1361),
    [anon_sym_any] = ACTIONS(1361),
    [anon_sym_number] = ACTIONS(1361),
    [anon_sym_boolean] = ACTIONS(1361),
    [anon_sym_string] = ACTIONS(1361),
    [anon_sym_symbol] = ACTIONS(1361),
    [anon_sym_object] = ACTIONS(1361),
    [sym_html_comment] = ACTIONS(5),
  },
  [604] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1457),
    [sym_expression] = STATE(2379),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5827),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5827),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5728),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1457),
    [sym_subscript_expression] = STATE(1457),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(3001),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5827),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1457),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(591),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(1521),
    [anon_sym_export] = ACTIONS(1361),
    [anon_sym_type] = ACTIONS(1361),
    [anon_sym_namespace] = ACTIONS(1363),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(1383),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1361),
    [anon_sym_BANG] = ACTIONS(1367),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(1369),
    [anon_sym_yield] = ACTIONS(1371),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1373),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1525),
    [anon_sym_using] = ACTIONS(1377),
    [anon_sym_PLUS] = ACTIONS(1383),
    [anon_sym_DASH] = ACTIONS(1383),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1367),
    [anon_sym_void] = ACTIONS(1383),
    [anon_sym_delete] = ACTIONS(1383),
    [anon_sym_PLUS_PLUS] = ACTIONS(1385),
    [anon_sym_DASH_DASH] = ACTIONS(1385),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(1387),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1527),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1361),
    [anon_sym_readonly] = ACTIONS(1361),
    [anon_sym_get] = ACTIONS(1361),
    [anon_sym_set] = ACTIONS(1361),
    [anon_sym_declare] = ACTIONS(1361),
    [anon_sym_public] = ACTIONS(1361),
    [anon_sym_private] = ACTIONS(1361),
    [anon_sym_protected] = ACTIONS(1361),
    [anon_sym_override] = ACTIONS(1361),
    [anon_sym_module] = ACTIONS(1361),
    [anon_sym_any] = ACTIONS(1361),
    [anon_sym_number] = ACTIONS(1361),
    [anon_sym_boolean] = ACTIONS(1361),
    [anon_sym_string] = ACTIONS(1361),
    [anon_sym_symbol] = ACTIONS(1361),
    [anon_sym_object] = ACTIONS(1361),
    [sym_html_comment] = ACTIONS(5),
  },
  [605] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1457),
    [sym_expression] = STATE(2380),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5827),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5827),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5728),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1457),
    [sym_subscript_expression] = STATE(1457),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(3001),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5827),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1457),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(591),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(1521),
    [anon_sym_export] = ACTIONS(1361),
    [anon_sym_type] = ACTIONS(1361),
    [anon_sym_namespace] = ACTIONS(1363),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(1383),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1361),
    [anon_sym_BANG] = ACTIONS(1367),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(1369),
    [anon_sym_yield] = ACTIONS(1371),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1373),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1525),
    [anon_sym_using] = ACTIONS(1377),
    [anon_sym_PLUS] = ACTIONS(1383),
    [anon_sym_DASH] = ACTIONS(1383),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1367),
    [anon_sym_void] = ACTIONS(1383),
    [anon_sym_delete] = ACTIONS(1383),
    [anon_sym_PLUS_PLUS] = ACTIONS(1385),
    [anon_sym_DASH_DASH] = ACTIONS(1385),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(1387),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1527),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1361),
    [anon_sym_readonly] = ACTIONS(1361),
    [anon_sym_get] = ACTIONS(1361),
    [anon_sym_set] = ACTIONS(1361),
    [anon_sym_declare] = ACTIONS(1361),
    [anon_sym_public] = ACTIONS(1361),
    [anon_sym_private] = ACTIONS(1361),
    [anon_sym_protected] = ACTIONS(1361),
    [anon_sym_override] = ACTIONS(1361),
    [anon_sym_module] = ACTIONS(1361),
    [anon_sym_any] = ACTIONS(1361),
    [anon_sym_number] = ACTIONS(1361),
    [anon_sym_boolean] = ACTIONS(1361),
    [anon_sym_string] = ACTIONS(1361),
    [anon_sym_symbol] = ACTIONS(1361),
    [anon_sym_object] = ACTIONS(1361),
    [sym_html_comment] = ACTIONS(5),
  },
  [606] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1457),
    [sym_expression] = STATE(2381),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5827),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5827),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5728),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1457),
    [sym_subscript_expression] = STATE(1457),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(3001),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5827),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1457),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(591),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(1521),
    [anon_sym_export] = ACTIONS(1361),
    [anon_sym_type] = ACTIONS(1361),
    [anon_sym_namespace] = ACTIONS(1363),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(1383),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1361),
    [anon_sym_BANG] = ACTIONS(1367),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(1369),
    [anon_sym_yield] = ACTIONS(1371),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1373),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1525),
    [anon_sym_using] = ACTIONS(1377),
    [anon_sym_PLUS] = ACTIONS(1383),
    [anon_sym_DASH] = ACTIONS(1383),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1367),
    [anon_sym_void] = ACTIONS(1383),
    [anon_sym_delete] = ACTIONS(1383),
    [anon_sym_PLUS_PLUS] = ACTIONS(1385),
    [anon_sym_DASH_DASH] = ACTIONS(1385),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(1387),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1527),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1361),
    [anon_sym_readonly] = ACTIONS(1361),
    [anon_sym_get] = ACTIONS(1361),
    [anon_sym_set] = ACTIONS(1361),
    [anon_sym_declare] = ACTIONS(1361),
    [anon_sym_public] = ACTIONS(1361),
    [anon_sym_private] = ACTIONS(1361),
    [anon_sym_protected] = ACTIONS(1361),
    [anon_sym_override] = ACTIONS(1361),
    [anon_sym_module] = ACTIONS(1361),
    [anon_sym_any] = ACTIONS(1361),
    [anon_sym_number] = ACTIONS(1361),
    [anon_sym_boolean] = ACTIONS(1361),
    [anon_sym_string] = ACTIONS(1361),
    [anon_sym_symbol] = ACTIONS(1361),
    [anon_sym_object] = ACTIONS(1361),
    [sym_html_comment] = ACTIONS(5),
  },
  [607] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1457),
    [sym_expression] = STATE(2383),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5827),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5827),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5728),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1457),
    [sym_subscript_expression] = STATE(1457),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(3001),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5827),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1457),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(591),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(1521),
    [anon_sym_export] = ACTIONS(1361),
    [anon_sym_type] = ACTIONS(1361),
    [anon_sym_namespace] = ACTIONS(1363),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(1383),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1361),
    [anon_sym_BANG] = ACTIONS(1367),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(1369),
    [anon_sym_yield] = ACTIONS(1371),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1373),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1525),
    [anon_sym_using] = ACTIONS(1377),
    [anon_sym_PLUS] = ACTIONS(1383),
    [anon_sym_DASH] = ACTIONS(1383),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1367),
    [anon_sym_void] = ACTIONS(1383),
    [anon_sym_delete] = ACTIONS(1383),
    [anon_sym_PLUS_PLUS] = ACTIONS(1385),
    [anon_sym_DASH_DASH] = ACTIONS(1385),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(1387),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1527),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1361),
    [anon_sym_readonly] = ACTIONS(1361),
    [anon_sym_get] = ACTIONS(1361),
    [anon_sym_set] = ACTIONS(1361),
    [anon_sym_declare] = ACTIONS(1361),
    [anon_sym_public] = ACTIONS(1361),
    [anon_sym_private] = ACTIONS(1361),
    [anon_sym_protected] = ACTIONS(1361),
    [anon_sym_override] = ACTIONS(1361),
    [anon_sym_module] = ACTIONS(1361),
    [anon_sym_any] = ACTIONS(1361),
    [anon_sym_number] = ACTIONS(1361),
    [anon_sym_boolean] = ACTIONS(1361),
    [anon_sym_string] = ACTIONS(1361),
    [anon_sym_symbol] = ACTIONS(1361),
    [anon_sym_object] = ACTIONS(1361),
    [sym_html_comment] = ACTIONS(5),
  },
  [608] = {
    [sym_import] = STATE(3513),
    [sym_parenthesized_expression] = STATE(1353),
    [sym_expression] = STATE(1828),
    [sym_primary_expression] = STATE(1833),
    [sym_yield_expression] = STATE(2130),
    [sym_object] = STATE(2117),
    [sym_object_pattern] = STATE(5484),
    [sym_array] = STATE(2117),
    [sym_array_pattern] = STATE(5484),
    [sym_glimmer_template] = STATE(2130),
    [sym_class] = STATE(2117),
    [sym_function_expression] = STATE(2117),
    [sym_generator_function] = STATE(2117),
    [sym_arrow_function] = STATE(2117),
    [sym__call_signature] = STATE(5525),
    [sym_call_expression] = STATE(2117),
    [sym_new_expression] = STATE(1963),
    [sym_await_expression] = STATE(2130),
    [sym_member_expression] = STATE(1353),
    [sym_subscript_expression] = STATE(1353),
    [sym_assignment_expression] = STATE(2130),
    [sym__augmented_assignment_lhs] = STATE(3036),
    [sym_augmented_assignment_expression] = STATE(2130),
    [sym__destructuring_pattern] = STATE(5484),
    [sym_ternary_expression] = STATE(2130),
    [sym_binary_expression] = STATE(2130),
    [sym_unary_expression] = STATE(2130),
    [sym_update_expression] = STATE(2130),
    [sym_string] = STATE(2117),
    [sym_template_string] = STATE(2117),
    [sym_regex] = STATE(2117),
    [sym_meta_property] = STATE(2117),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1353),
    [sym_type_assertion] = STATE(2130),
    [sym_as_expression] = STATE(2130),
    [sym_satisfies_expression] = STATE(2130),
    [sym_instantiation_expression] = STATE(2130),
    [sym_internal_module] = STATE(2130),
    [sym_type_arguments] = STATE(427),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4499),
    [sym_identifier] = ACTIONS(1475),
    [anon_sym_export] = ACTIONS(1443),
    [anon_sym_type] = ACTIONS(1443),
    [anon_sym_namespace] = ACTIONS(1445),
    [anon_sym_LBRACE] = ACTIONS(670),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(674),
    [anon_sym_let] = ACTIONS(1443),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(681),
    [anon_sym_async] = ACTIONS(1449),
    [anon_sym_function] = ACTIONS(685),
    [anon_sym_new] = ACTIONS(1479),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1443),
    [anon_sym_readonly] = ACTIONS(1443),
    [anon_sym_get] = ACTIONS(1443),
    [anon_sym_set] = ACTIONS(1443),
    [anon_sym_declare] = ACTIONS(1443),
    [anon_sym_public] = ACTIONS(1443),
    [anon_sym_private] = ACTIONS(1443),
    [anon_sym_protected] = ACTIONS(1443),
    [anon_sym_override] = ACTIONS(1443),
    [anon_sym_module] = ACTIONS(1443),
    [anon_sym_any] = ACTIONS(1443),
    [anon_sym_number] = ACTIONS(1443),
    [anon_sym_boolean] = ACTIONS(1443),
    [anon_sym_string] = ACTIONS(1443),
    [anon_sym_symbol] = ACTIONS(1443),
    [anon_sym_object] = ACTIONS(1443),
    [sym_html_comment] = ACTIONS(5),
  },
  [609] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1457),
    [sym_expression] = STATE(2363),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5827),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5827),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5728),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1457),
    [sym_subscript_expression] = STATE(1457),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(3001),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5827),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1457),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(591),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(1521),
    [anon_sym_export] = ACTIONS(1361),
    [anon_sym_type] = ACTIONS(1361),
    [anon_sym_namespace] = ACTIONS(1363),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(1383),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1361),
    [anon_sym_BANG] = ACTIONS(1367),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(1369),
    [anon_sym_yield] = ACTIONS(1371),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1373),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1525),
    [anon_sym_using] = ACTIONS(1377),
    [anon_sym_PLUS] = ACTIONS(1383),
    [anon_sym_DASH] = ACTIONS(1383),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1367),
    [anon_sym_void] = ACTIONS(1383),
    [anon_sym_delete] = ACTIONS(1383),
    [anon_sym_PLUS_PLUS] = ACTIONS(1385),
    [anon_sym_DASH_DASH] = ACTIONS(1385),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(1387),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1527),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1361),
    [anon_sym_readonly] = ACTIONS(1361),
    [anon_sym_get] = ACTIONS(1361),
    [anon_sym_set] = ACTIONS(1361),
    [anon_sym_declare] = ACTIONS(1361),
    [anon_sym_public] = ACTIONS(1361),
    [anon_sym_private] = ACTIONS(1361),
    [anon_sym_protected] = ACTIONS(1361),
    [anon_sym_override] = ACTIONS(1361),
    [anon_sym_module] = ACTIONS(1361),
    [anon_sym_any] = ACTIONS(1361),
    [anon_sym_number] = ACTIONS(1361),
    [anon_sym_boolean] = ACTIONS(1361),
    [anon_sym_string] = ACTIONS(1361),
    [anon_sym_symbol] = ACTIONS(1361),
    [anon_sym_object] = ACTIONS(1361),
    [sym_html_comment] = ACTIONS(5),
  },
  [610] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1457),
    [sym_expression] = STATE(2387),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5827),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5827),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5728),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1457),
    [sym_subscript_expression] = STATE(1457),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(3001),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5827),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1457),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(591),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(1521),
    [anon_sym_export] = ACTIONS(1361),
    [anon_sym_type] = ACTIONS(1361),
    [anon_sym_namespace] = ACTIONS(1363),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(1383),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1361),
    [anon_sym_BANG] = ACTIONS(1367),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(1369),
    [anon_sym_yield] = ACTIONS(1371),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1373),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1525),
    [anon_sym_using] = ACTIONS(1377),
    [anon_sym_PLUS] = ACTIONS(1383),
    [anon_sym_DASH] = ACTIONS(1383),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1367),
    [anon_sym_void] = ACTIONS(1383),
    [anon_sym_delete] = ACTIONS(1383),
    [anon_sym_PLUS_PLUS] = ACTIONS(1385),
    [anon_sym_DASH_DASH] = ACTIONS(1385),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(1387),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1527),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1361),
    [anon_sym_readonly] = ACTIONS(1361),
    [anon_sym_get] = ACTIONS(1361),
    [anon_sym_set] = ACTIONS(1361),
    [anon_sym_declare] = ACTIONS(1361),
    [anon_sym_public] = ACTIONS(1361),
    [anon_sym_private] = ACTIONS(1361),
    [anon_sym_protected] = ACTIONS(1361),
    [anon_sym_override] = ACTIONS(1361),
    [anon_sym_module] = ACTIONS(1361),
    [anon_sym_any] = ACTIONS(1361),
    [anon_sym_number] = ACTIONS(1361),
    [anon_sym_boolean] = ACTIONS(1361),
    [anon_sym_string] = ACTIONS(1361),
    [anon_sym_symbol] = ACTIONS(1361),
    [anon_sym_object] = ACTIONS(1361),
    [sym_html_comment] = ACTIONS(5),
  },
  [611] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1457),
    [sym_expression] = STATE(2388),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5827),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5827),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5728),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1457),
    [sym_subscript_expression] = STATE(1457),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(3001),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5827),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1457),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(591),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(1521),
    [anon_sym_export] = ACTIONS(1361),
    [anon_sym_type] = ACTIONS(1361),
    [anon_sym_namespace] = ACTIONS(1363),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(1383),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1361),
    [anon_sym_BANG] = ACTIONS(1367),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(1369),
    [anon_sym_yield] = ACTIONS(1371),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1373),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1525),
    [anon_sym_using] = ACTIONS(1377),
    [anon_sym_PLUS] = ACTIONS(1383),
    [anon_sym_DASH] = ACTIONS(1383),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1367),
    [anon_sym_void] = ACTIONS(1383),
    [anon_sym_delete] = ACTIONS(1383),
    [anon_sym_PLUS_PLUS] = ACTIONS(1385),
    [anon_sym_DASH_DASH] = ACTIONS(1385),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(1387),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1527),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1361),
    [anon_sym_readonly] = ACTIONS(1361),
    [anon_sym_get] = ACTIONS(1361),
    [anon_sym_set] = ACTIONS(1361),
    [anon_sym_declare] = ACTIONS(1361),
    [anon_sym_public] = ACTIONS(1361),
    [anon_sym_private] = ACTIONS(1361),
    [anon_sym_protected] = ACTIONS(1361),
    [anon_sym_override] = ACTIONS(1361),
    [anon_sym_module] = ACTIONS(1361),
    [anon_sym_any] = ACTIONS(1361),
    [anon_sym_number] = ACTIONS(1361),
    [anon_sym_boolean] = ACTIONS(1361),
    [anon_sym_string] = ACTIONS(1361),
    [anon_sym_symbol] = ACTIONS(1361),
    [anon_sym_object] = ACTIONS(1361),
    [sym_html_comment] = ACTIONS(5),
  },
  [612] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1457),
    [sym_expression] = STATE(2450),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5827),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5827),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5728),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1457),
    [sym_subscript_expression] = STATE(1457),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(3001),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5827),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1457),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(591),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(1521),
    [anon_sym_export] = ACTIONS(1361),
    [anon_sym_type] = ACTIONS(1361),
    [anon_sym_namespace] = ACTIONS(1363),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(1383),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1361),
    [anon_sym_BANG] = ACTIONS(1367),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(1369),
    [anon_sym_yield] = ACTIONS(1371),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1373),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1525),
    [anon_sym_using] = ACTIONS(1377),
    [anon_sym_PLUS] = ACTIONS(1383),
    [anon_sym_DASH] = ACTIONS(1383),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1367),
    [anon_sym_void] = ACTIONS(1383),
    [anon_sym_delete] = ACTIONS(1383),
    [anon_sym_PLUS_PLUS] = ACTIONS(1385),
    [anon_sym_DASH_DASH] = ACTIONS(1385),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(1387),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1527),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1361),
    [anon_sym_readonly] = ACTIONS(1361),
    [anon_sym_get] = ACTIONS(1361),
    [anon_sym_set] = ACTIONS(1361),
    [anon_sym_declare] = ACTIONS(1361),
    [anon_sym_public] = ACTIONS(1361),
    [anon_sym_private] = ACTIONS(1361),
    [anon_sym_protected] = ACTIONS(1361),
    [anon_sym_override] = ACTIONS(1361),
    [anon_sym_module] = ACTIONS(1361),
    [anon_sym_any] = ACTIONS(1361),
    [anon_sym_number] = ACTIONS(1361),
    [anon_sym_boolean] = ACTIONS(1361),
    [anon_sym_string] = ACTIONS(1361),
    [anon_sym_symbol] = ACTIONS(1361),
    [anon_sym_object] = ACTIONS(1361),
    [sym_html_comment] = ACTIONS(5),
  },
  [613] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1457),
    [sym_expression] = STATE(2528),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5827),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5827),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5728),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1457),
    [sym_subscript_expression] = STATE(1457),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(3001),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5827),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1457),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(591),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(1521),
    [anon_sym_export] = ACTIONS(1361),
    [anon_sym_type] = ACTIONS(1361),
    [anon_sym_namespace] = ACTIONS(1363),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(1383),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1361),
    [anon_sym_BANG] = ACTIONS(1367),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(1369),
    [anon_sym_yield] = ACTIONS(1371),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1373),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1525),
    [anon_sym_using] = ACTIONS(1377),
    [anon_sym_PLUS] = ACTIONS(1383),
    [anon_sym_DASH] = ACTIONS(1383),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1367),
    [anon_sym_void] = ACTIONS(1383),
    [anon_sym_delete] = ACTIONS(1383),
    [anon_sym_PLUS_PLUS] = ACTIONS(1385),
    [anon_sym_DASH_DASH] = ACTIONS(1385),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(1387),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1527),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1361),
    [anon_sym_readonly] = ACTIONS(1361),
    [anon_sym_get] = ACTIONS(1361),
    [anon_sym_set] = ACTIONS(1361),
    [anon_sym_declare] = ACTIONS(1361),
    [anon_sym_public] = ACTIONS(1361),
    [anon_sym_private] = ACTIONS(1361),
    [anon_sym_protected] = ACTIONS(1361),
    [anon_sym_override] = ACTIONS(1361),
    [anon_sym_module] = ACTIONS(1361),
    [anon_sym_any] = ACTIONS(1361),
    [anon_sym_number] = ACTIONS(1361),
    [anon_sym_boolean] = ACTIONS(1361),
    [anon_sym_string] = ACTIONS(1361),
    [anon_sym_symbol] = ACTIONS(1361),
    [anon_sym_object] = ACTIONS(1361),
    [sym_html_comment] = ACTIONS(5),
  },
  [614] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1459),
    [sym_expression] = STATE(2458),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5835),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5835),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5489),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1459),
    [sym_subscript_expression] = STATE(1459),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(3006),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5835),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1459),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(617),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(1529),
    [anon_sym_export] = ACTIONS(1081),
    [anon_sym_type] = ACTIONS(1081),
    [anon_sym_namespace] = ACTIONS(1083),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(1107),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1081),
    [anon_sym_BANG] = ACTIONS(1089),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(1091),
    [anon_sym_yield] = ACTIONS(1093),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1097),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1533),
    [anon_sym_using] = ACTIONS(1101),
    [anon_sym_PLUS] = ACTIONS(1107),
    [anon_sym_DASH] = ACTIONS(1107),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1089),
    [anon_sym_void] = ACTIONS(1107),
    [anon_sym_delete] = ACTIONS(1107),
    [anon_sym_PLUS_PLUS] = ACTIONS(1109),
    [anon_sym_DASH_DASH] = ACTIONS(1109),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(2134),
    [sym_private_property_identifier] = ACTIONS(1115),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1535),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1081),
    [anon_sym_readonly] = ACTIONS(1081),
    [anon_sym_get] = ACTIONS(1081),
    [anon_sym_set] = ACTIONS(1081),
    [anon_sym_declare] = ACTIONS(1081),
    [anon_sym_public] = ACTIONS(1081),
    [anon_sym_private] = ACTIONS(1081),
    [anon_sym_protected] = ACTIONS(1081),
    [anon_sym_override] = ACTIONS(1081),
    [anon_sym_module] = ACTIONS(1081),
    [anon_sym_any] = ACTIONS(1081),
    [anon_sym_number] = ACTIONS(1081),
    [anon_sym_boolean] = ACTIONS(1081),
    [anon_sym_string] = ACTIONS(1081),
    [anon_sym_symbol] = ACTIONS(1081),
    [anon_sym_object] = ACTIONS(1081),
    [sym_html_comment] = ACTIONS(5),
  },
  [615] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1465),
    [sym_expression] = STATE(2615),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5797),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5797),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5824),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1465),
    [sym_subscript_expression] = STATE(1465),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(2969),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5797),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1465),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(537),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(2214),
    [anon_sym_export] = ACTIONS(2216),
    [anon_sym_type] = ACTIONS(2216),
    [anon_sym_namespace] = ACTIONS(2218),
    [anon_sym_LBRACE] = ACTIONS(815),
    [anon_sym_typeof] = ACTIONS(184),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(2216),
    [anon_sym_BANG] = ACTIONS(180),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(819),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(2220),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(2222),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(184),
    [anon_sym_DASH] = ACTIONS(184),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(691),
    [anon_sym_DASH_DASH] = ACTIONS(691),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(2224),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(2216),
    [anon_sym_readonly] = ACTIONS(2216),
    [anon_sym_get] = ACTIONS(2216),
    [anon_sym_set] = ACTIONS(2216),
    [anon_sym_declare] = ACTIONS(2216),
    [anon_sym_public] = ACTIONS(2216),
    [anon_sym_private] = ACTIONS(2216),
    [anon_sym_protected] = ACTIONS(2216),
    [anon_sym_override] = ACTIONS(2216),
    [anon_sym_module] = ACTIONS(2216),
    [anon_sym_any] = ACTIONS(2216),
    [anon_sym_number] = ACTIONS(2216),
    [anon_sym_boolean] = ACTIONS(2216),
    [anon_sym_string] = ACTIONS(2216),
    [anon_sym_symbol] = ACTIONS(2216),
    [anon_sym_object] = ACTIONS(2216),
    [sym_html_comment] = ACTIONS(5),
  },
  [616] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1457),
    [sym_expression] = STATE(2572),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5827),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5827),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5728),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1457),
    [sym_subscript_expression] = STATE(1457),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(3001),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5827),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1457),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(591),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(1521),
    [anon_sym_export] = ACTIONS(1361),
    [anon_sym_type] = ACTIONS(1361),
    [anon_sym_namespace] = ACTIONS(1363),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(1383),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1361),
    [anon_sym_BANG] = ACTIONS(1367),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(1369),
    [anon_sym_yield] = ACTIONS(1371),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1373),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1525),
    [anon_sym_using] = ACTIONS(1377),
    [anon_sym_PLUS] = ACTIONS(1383),
    [anon_sym_DASH] = ACTIONS(1383),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1367),
    [anon_sym_void] = ACTIONS(1383),
    [anon_sym_delete] = ACTIONS(1383),
    [anon_sym_PLUS_PLUS] = ACTIONS(1385),
    [anon_sym_DASH_DASH] = ACTIONS(1385),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(1387),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1527),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1361),
    [anon_sym_readonly] = ACTIONS(1361),
    [anon_sym_get] = ACTIONS(1361),
    [anon_sym_set] = ACTIONS(1361),
    [anon_sym_declare] = ACTIONS(1361),
    [anon_sym_public] = ACTIONS(1361),
    [anon_sym_private] = ACTIONS(1361),
    [anon_sym_protected] = ACTIONS(1361),
    [anon_sym_override] = ACTIONS(1361),
    [anon_sym_module] = ACTIONS(1361),
    [anon_sym_any] = ACTIONS(1361),
    [anon_sym_number] = ACTIONS(1361),
    [anon_sym_boolean] = ACTIONS(1361),
    [anon_sym_string] = ACTIONS(1361),
    [anon_sym_symbol] = ACTIONS(1361),
    [anon_sym_object] = ACTIONS(1361),
    [sym_html_comment] = ACTIONS(5),
  },
  [617] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1459),
    [sym_expression] = STATE(2391),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5835),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5835),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5489),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1459),
    [sym_subscript_expression] = STATE(1459),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(3006),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5835),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1459),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(617),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(1529),
    [anon_sym_export] = ACTIONS(1081),
    [anon_sym_type] = ACTIONS(1081),
    [anon_sym_namespace] = ACTIONS(1083),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(1107),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1081),
    [anon_sym_BANG] = ACTIONS(1089),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(1091),
    [anon_sym_yield] = ACTIONS(1093),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1097),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1533),
    [anon_sym_using] = ACTIONS(1101),
    [anon_sym_PLUS] = ACTIONS(1107),
    [anon_sym_DASH] = ACTIONS(1107),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1089),
    [anon_sym_void] = ACTIONS(1107),
    [anon_sym_delete] = ACTIONS(1107),
    [anon_sym_PLUS_PLUS] = ACTIONS(1109),
    [anon_sym_DASH_DASH] = ACTIONS(1109),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(1115),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1535),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1081),
    [anon_sym_readonly] = ACTIONS(1081),
    [anon_sym_get] = ACTIONS(1081),
    [anon_sym_set] = ACTIONS(1081),
    [anon_sym_declare] = ACTIONS(1081),
    [anon_sym_public] = ACTIONS(1081),
    [anon_sym_private] = ACTIONS(1081),
    [anon_sym_protected] = ACTIONS(1081),
    [anon_sym_override] = ACTIONS(1081),
    [anon_sym_module] = ACTIONS(1081),
    [anon_sym_any] = ACTIONS(1081),
    [anon_sym_number] = ACTIONS(1081),
    [anon_sym_boolean] = ACTIONS(1081),
    [anon_sym_string] = ACTIONS(1081),
    [anon_sym_symbol] = ACTIONS(1081),
    [anon_sym_object] = ACTIONS(1081),
    [sym_html_comment] = ACTIONS(5),
  },
  [618] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1459),
    [sym_expression] = STATE(2393),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5835),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5835),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5489),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1459),
    [sym_subscript_expression] = STATE(1459),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(3006),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5835),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1459),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(617),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(1529),
    [anon_sym_export] = ACTIONS(1081),
    [anon_sym_type] = ACTIONS(1081),
    [anon_sym_namespace] = ACTIONS(1083),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(1107),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1081),
    [anon_sym_BANG] = ACTIONS(1089),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(1091),
    [anon_sym_yield] = ACTIONS(1093),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1097),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1533),
    [anon_sym_using] = ACTIONS(1101),
    [anon_sym_PLUS] = ACTIONS(1107),
    [anon_sym_DASH] = ACTIONS(1107),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1089),
    [anon_sym_void] = ACTIONS(1107),
    [anon_sym_delete] = ACTIONS(1107),
    [anon_sym_PLUS_PLUS] = ACTIONS(1109),
    [anon_sym_DASH_DASH] = ACTIONS(1109),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(1115),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1535),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1081),
    [anon_sym_readonly] = ACTIONS(1081),
    [anon_sym_get] = ACTIONS(1081),
    [anon_sym_set] = ACTIONS(1081),
    [anon_sym_declare] = ACTIONS(1081),
    [anon_sym_public] = ACTIONS(1081),
    [anon_sym_private] = ACTIONS(1081),
    [anon_sym_protected] = ACTIONS(1081),
    [anon_sym_override] = ACTIONS(1081),
    [anon_sym_module] = ACTIONS(1081),
    [anon_sym_any] = ACTIONS(1081),
    [anon_sym_number] = ACTIONS(1081),
    [anon_sym_boolean] = ACTIONS(1081),
    [anon_sym_string] = ACTIONS(1081),
    [anon_sym_symbol] = ACTIONS(1081),
    [anon_sym_object] = ACTIONS(1081),
    [sym_html_comment] = ACTIONS(5),
  },
  [619] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1459),
    [sym_expression] = STATE(2394),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5835),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5835),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5489),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1459),
    [sym_subscript_expression] = STATE(1459),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(3006),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5835),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1459),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(617),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(1529),
    [anon_sym_export] = ACTIONS(1081),
    [anon_sym_type] = ACTIONS(1081),
    [anon_sym_namespace] = ACTIONS(1083),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(1107),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1081),
    [anon_sym_BANG] = ACTIONS(1089),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(1091),
    [anon_sym_yield] = ACTIONS(1093),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1097),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1533),
    [anon_sym_using] = ACTIONS(1101),
    [anon_sym_PLUS] = ACTIONS(1107),
    [anon_sym_DASH] = ACTIONS(1107),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1089),
    [anon_sym_void] = ACTIONS(1107),
    [anon_sym_delete] = ACTIONS(1107),
    [anon_sym_PLUS_PLUS] = ACTIONS(1109),
    [anon_sym_DASH_DASH] = ACTIONS(1109),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(1115),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1535),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1081),
    [anon_sym_readonly] = ACTIONS(1081),
    [anon_sym_get] = ACTIONS(1081),
    [anon_sym_set] = ACTIONS(1081),
    [anon_sym_declare] = ACTIONS(1081),
    [anon_sym_public] = ACTIONS(1081),
    [anon_sym_private] = ACTIONS(1081),
    [anon_sym_protected] = ACTIONS(1081),
    [anon_sym_override] = ACTIONS(1081),
    [anon_sym_module] = ACTIONS(1081),
    [anon_sym_any] = ACTIONS(1081),
    [anon_sym_number] = ACTIONS(1081),
    [anon_sym_boolean] = ACTIONS(1081),
    [anon_sym_string] = ACTIONS(1081),
    [anon_sym_symbol] = ACTIONS(1081),
    [anon_sym_object] = ACTIONS(1081),
    [sym_html_comment] = ACTIONS(5),
  },
  [620] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1459),
    [sym_expression] = STATE(2395),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5835),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5835),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5489),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1459),
    [sym_subscript_expression] = STATE(1459),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(3006),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5835),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1459),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(617),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(1529),
    [anon_sym_export] = ACTIONS(1081),
    [anon_sym_type] = ACTIONS(1081),
    [anon_sym_namespace] = ACTIONS(1083),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(1107),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1081),
    [anon_sym_BANG] = ACTIONS(1089),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(1091),
    [anon_sym_yield] = ACTIONS(1093),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1097),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1533),
    [anon_sym_using] = ACTIONS(1101),
    [anon_sym_PLUS] = ACTIONS(1107),
    [anon_sym_DASH] = ACTIONS(1107),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1089),
    [anon_sym_void] = ACTIONS(1107),
    [anon_sym_delete] = ACTIONS(1107),
    [anon_sym_PLUS_PLUS] = ACTIONS(1109),
    [anon_sym_DASH_DASH] = ACTIONS(1109),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(1115),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1535),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1081),
    [anon_sym_readonly] = ACTIONS(1081),
    [anon_sym_get] = ACTIONS(1081),
    [anon_sym_set] = ACTIONS(1081),
    [anon_sym_declare] = ACTIONS(1081),
    [anon_sym_public] = ACTIONS(1081),
    [anon_sym_private] = ACTIONS(1081),
    [anon_sym_protected] = ACTIONS(1081),
    [anon_sym_override] = ACTIONS(1081),
    [anon_sym_module] = ACTIONS(1081),
    [anon_sym_any] = ACTIONS(1081),
    [anon_sym_number] = ACTIONS(1081),
    [anon_sym_boolean] = ACTIONS(1081),
    [anon_sym_string] = ACTIONS(1081),
    [anon_sym_symbol] = ACTIONS(1081),
    [anon_sym_object] = ACTIONS(1081),
    [sym_html_comment] = ACTIONS(5),
  },
  [621] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1459),
    [sym_expression] = STATE(2397),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5835),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5835),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5489),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1459),
    [sym_subscript_expression] = STATE(1459),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(3006),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5835),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1459),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(617),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(1529),
    [anon_sym_export] = ACTIONS(1081),
    [anon_sym_type] = ACTIONS(1081),
    [anon_sym_namespace] = ACTIONS(1083),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(1107),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1081),
    [anon_sym_BANG] = ACTIONS(1089),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(1091),
    [anon_sym_yield] = ACTIONS(1093),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1097),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1533),
    [anon_sym_using] = ACTIONS(1101),
    [anon_sym_PLUS] = ACTIONS(1107),
    [anon_sym_DASH] = ACTIONS(1107),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1089),
    [anon_sym_void] = ACTIONS(1107),
    [anon_sym_delete] = ACTIONS(1107),
    [anon_sym_PLUS_PLUS] = ACTIONS(1109),
    [anon_sym_DASH_DASH] = ACTIONS(1109),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(1115),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1535),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1081),
    [anon_sym_readonly] = ACTIONS(1081),
    [anon_sym_get] = ACTIONS(1081),
    [anon_sym_set] = ACTIONS(1081),
    [anon_sym_declare] = ACTIONS(1081),
    [anon_sym_public] = ACTIONS(1081),
    [anon_sym_private] = ACTIONS(1081),
    [anon_sym_protected] = ACTIONS(1081),
    [anon_sym_override] = ACTIONS(1081),
    [anon_sym_module] = ACTIONS(1081),
    [anon_sym_any] = ACTIONS(1081),
    [anon_sym_number] = ACTIONS(1081),
    [anon_sym_boolean] = ACTIONS(1081),
    [anon_sym_string] = ACTIONS(1081),
    [anon_sym_symbol] = ACTIONS(1081),
    [anon_sym_object] = ACTIONS(1081),
    [sym_html_comment] = ACTIONS(5),
  },
  [622] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1459),
    [sym_expression] = STATE(2398),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5835),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5835),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5489),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1459),
    [sym_subscript_expression] = STATE(1459),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(3006),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5835),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1459),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(617),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(1529),
    [anon_sym_export] = ACTIONS(1081),
    [anon_sym_type] = ACTIONS(1081),
    [anon_sym_namespace] = ACTIONS(1083),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(1107),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1081),
    [anon_sym_BANG] = ACTIONS(1089),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(1091),
    [anon_sym_yield] = ACTIONS(1093),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1097),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1533),
    [anon_sym_using] = ACTIONS(1101),
    [anon_sym_PLUS] = ACTIONS(1107),
    [anon_sym_DASH] = ACTIONS(1107),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1089),
    [anon_sym_void] = ACTIONS(1107),
    [anon_sym_delete] = ACTIONS(1107),
    [anon_sym_PLUS_PLUS] = ACTIONS(1109),
    [anon_sym_DASH_DASH] = ACTIONS(1109),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(1115),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1535),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1081),
    [anon_sym_readonly] = ACTIONS(1081),
    [anon_sym_get] = ACTIONS(1081),
    [anon_sym_set] = ACTIONS(1081),
    [anon_sym_declare] = ACTIONS(1081),
    [anon_sym_public] = ACTIONS(1081),
    [anon_sym_private] = ACTIONS(1081),
    [anon_sym_protected] = ACTIONS(1081),
    [anon_sym_override] = ACTIONS(1081),
    [anon_sym_module] = ACTIONS(1081),
    [anon_sym_any] = ACTIONS(1081),
    [anon_sym_number] = ACTIONS(1081),
    [anon_sym_boolean] = ACTIONS(1081),
    [anon_sym_string] = ACTIONS(1081),
    [anon_sym_symbol] = ACTIONS(1081),
    [anon_sym_object] = ACTIONS(1081),
    [sym_html_comment] = ACTIONS(5),
  },
  [623] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1459),
    [sym_expression] = STATE(2399),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5835),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5835),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5489),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1459),
    [sym_subscript_expression] = STATE(1459),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(3006),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5835),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1459),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(617),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(1529),
    [anon_sym_export] = ACTIONS(1081),
    [anon_sym_type] = ACTIONS(1081),
    [anon_sym_namespace] = ACTIONS(1083),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(1107),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1081),
    [anon_sym_BANG] = ACTIONS(1089),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(1091),
    [anon_sym_yield] = ACTIONS(1093),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1097),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1533),
    [anon_sym_using] = ACTIONS(1101),
    [anon_sym_PLUS] = ACTIONS(1107),
    [anon_sym_DASH] = ACTIONS(1107),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1089),
    [anon_sym_void] = ACTIONS(1107),
    [anon_sym_delete] = ACTIONS(1107),
    [anon_sym_PLUS_PLUS] = ACTIONS(1109),
    [anon_sym_DASH_DASH] = ACTIONS(1109),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(1115),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1535),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1081),
    [anon_sym_readonly] = ACTIONS(1081),
    [anon_sym_get] = ACTIONS(1081),
    [anon_sym_set] = ACTIONS(1081),
    [anon_sym_declare] = ACTIONS(1081),
    [anon_sym_public] = ACTIONS(1081),
    [anon_sym_private] = ACTIONS(1081),
    [anon_sym_protected] = ACTIONS(1081),
    [anon_sym_override] = ACTIONS(1081),
    [anon_sym_module] = ACTIONS(1081),
    [anon_sym_any] = ACTIONS(1081),
    [anon_sym_number] = ACTIONS(1081),
    [anon_sym_boolean] = ACTIONS(1081),
    [anon_sym_string] = ACTIONS(1081),
    [anon_sym_symbol] = ACTIONS(1081),
    [anon_sym_object] = ACTIONS(1081),
    [sym_html_comment] = ACTIONS(5),
  },
  [624] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1459),
    [sym_expression] = STATE(2400),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5835),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5835),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5489),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1459),
    [sym_subscript_expression] = STATE(1459),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(3006),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5835),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1459),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(617),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(1529),
    [anon_sym_export] = ACTIONS(1081),
    [anon_sym_type] = ACTIONS(1081),
    [anon_sym_namespace] = ACTIONS(1083),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(1107),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1081),
    [anon_sym_BANG] = ACTIONS(1089),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(1091),
    [anon_sym_yield] = ACTIONS(1093),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1097),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1533),
    [anon_sym_using] = ACTIONS(1101),
    [anon_sym_PLUS] = ACTIONS(1107),
    [anon_sym_DASH] = ACTIONS(1107),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1089),
    [anon_sym_void] = ACTIONS(1107),
    [anon_sym_delete] = ACTIONS(1107),
    [anon_sym_PLUS_PLUS] = ACTIONS(1109),
    [anon_sym_DASH_DASH] = ACTIONS(1109),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(1115),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1535),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1081),
    [anon_sym_readonly] = ACTIONS(1081),
    [anon_sym_get] = ACTIONS(1081),
    [anon_sym_set] = ACTIONS(1081),
    [anon_sym_declare] = ACTIONS(1081),
    [anon_sym_public] = ACTIONS(1081),
    [anon_sym_private] = ACTIONS(1081),
    [anon_sym_protected] = ACTIONS(1081),
    [anon_sym_override] = ACTIONS(1081),
    [anon_sym_module] = ACTIONS(1081),
    [anon_sym_any] = ACTIONS(1081),
    [anon_sym_number] = ACTIONS(1081),
    [anon_sym_boolean] = ACTIONS(1081),
    [anon_sym_string] = ACTIONS(1081),
    [anon_sym_symbol] = ACTIONS(1081),
    [anon_sym_object] = ACTIONS(1081),
    [sym_html_comment] = ACTIONS(5),
  },
  [625] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1459),
    [sym_expression] = STATE(2401),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5835),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5835),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5489),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1459),
    [sym_subscript_expression] = STATE(1459),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(3006),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5835),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1459),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(617),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(1529),
    [anon_sym_export] = ACTIONS(1081),
    [anon_sym_type] = ACTIONS(1081),
    [anon_sym_namespace] = ACTIONS(1083),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(1107),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1081),
    [anon_sym_BANG] = ACTIONS(1089),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(1091),
    [anon_sym_yield] = ACTIONS(1093),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1097),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1533),
    [anon_sym_using] = ACTIONS(1101),
    [anon_sym_PLUS] = ACTIONS(1107),
    [anon_sym_DASH] = ACTIONS(1107),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1089),
    [anon_sym_void] = ACTIONS(1107),
    [anon_sym_delete] = ACTIONS(1107),
    [anon_sym_PLUS_PLUS] = ACTIONS(1109),
    [anon_sym_DASH_DASH] = ACTIONS(1109),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(1115),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1535),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1081),
    [anon_sym_readonly] = ACTIONS(1081),
    [anon_sym_get] = ACTIONS(1081),
    [anon_sym_set] = ACTIONS(1081),
    [anon_sym_declare] = ACTIONS(1081),
    [anon_sym_public] = ACTIONS(1081),
    [anon_sym_private] = ACTIONS(1081),
    [anon_sym_protected] = ACTIONS(1081),
    [anon_sym_override] = ACTIONS(1081),
    [anon_sym_module] = ACTIONS(1081),
    [anon_sym_any] = ACTIONS(1081),
    [anon_sym_number] = ACTIONS(1081),
    [anon_sym_boolean] = ACTIONS(1081),
    [anon_sym_string] = ACTIONS(1081),
    [anon_sym_symbol] = ACTIONS(1081),
    [anon_sym_object] = ACTIONS(1081),
    [sym_html_comment] = ACTIONS(5),
  },
  [626] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1459),
    [sym_expression] = STATE(2402),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5835),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5835),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5489),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1459),
    [sym_subscript_expression] = STATE(1459),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(3006),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5835),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1459),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(617),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(1529),
    [anon_sym_export] = ACTIONS(1081),
    [anon_sym_type] = ACTIONS(1081),
    [anon_sym_namespace] = ACTIONS(1083),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(1107),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1081),
    [anon_sym_BANG] = ACTIONS(1089),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(1091),
    [anon_sym_yield] = ACTIONS(1093),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1097),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1533),
    [anon_sym_using] = ACTIONS(1101),
    [anon_sym_PLUS] = ACTIONS(1107),
    [anon_sym_DASH] = ACTIONS(1107),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1089),
    [anon_sym_void] = ACTIONS(1107),
    [anon_sym_delete] = ACTIONS(1107),
    [anon_sym_PLUS_PLUS] = ACTIONS(1109),
    [anon_sym_DASH_DASH] = ACTIONS(1109),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(1115),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1535),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1081),
    [anon_sym_readonly] = ACTIONS(1081),
    [anon_sym_get] = ACTIONS(1081),
    [anon_sym_set] = ACTIONS(1081),
    [anon_sym_declare] = ACTIONS(1081),
    [anon_sym_public] = ACTIONS(1081),
    [anon_sym_private] = ACTIONS(1081),
    [anon_sym_protected] = ACTIONS(1081),
    [anon_sym_override] = ACTIONS(1081),
    [anon_sym_module] = ACTIONS(1081),
    [anon_sym_any] = ACTIONS(1081),
    [anon_sym_number] = ACTIONS(1081),
    [anon_sym_boolean] = ACTIONS(1081),
    [anon_sym_string] = ACTIONS(1081),
    [anon_sym_symbol] = ACTIONS(1081),
    [anon_sym_object] = ACTIONS(1081),
    [sym_html_comment] = ACTIONS(5),
  },
  [627] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1459),
    [sym_expression] = STATE(2403),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5835),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5835),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5489),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1459),
    [sym_subscript_expression] = STATE(1459),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(3006),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5835),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1459),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(617),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(1529),
    [anon_sym_export] = ACTIONS(1081),
    [anon_sym_type] = ACTIONS(1081),
    [anon_sym_namespace] = ACTIONS(1083),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(1107),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1081),
    [anon_sym_BANG] = ACTIONS(1089),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(1091),
    [anon_sym_yield] = ACTIONS(1093),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1097),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1533),
    [anon_sym_using] = ACTIONS(1101),
    [anon_sym_PLUS] = ACTIONS(1107),
    [anon_sym_DASH] = ACTIONS(1107),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1089),
    [anon_sym_void] = ACTIONS(1107),
    [anon_sym_delete] = ACTIONS(1107),
    [anon_sym_PLUS_PLUS] = ACTIONS(1109),
    [anon_sym_DASH_DASH] = ACTIONS(1109),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(1115),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1535),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1081),
    [anon_sym_readonly] = ACTIONS(1081),
    [anon_sym_get] = ACTIONS(1081),
    [anon_sym_set] = ACTIONS(1081),
    [anon_sym_declare] = ACTIONS(1081),
    [anon_sym_public] = ACTIONS(1081),
    [anon_sym_private] = ACTIONS(1081),
    [anon_sym_protected] = ACTIONS(1081),
    [anon_sym_override] = ACTIONS(1081),
    [anon_sym_module] = ACTIONS(1081),
    [anon_sym_any] = ACTIONS(1081),
    [anon_sym_number] = ACTIONS(1081),
    [anon_sym_boolean] = ACTIONS(1081),
    [anon_sym_string] = ACTIONS(1081),
    [anon_sym_symbol] = ACTIONS(1081),
    [anon_sym_object] = ACTIONS(1081),
    [sym_html_comment] = ACTIONS(5),
  },
  [628] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1459),
    [sym_expression] = STATE(2404),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5835),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5835),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5489),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1459),
    [sym_subscript_expression] = STATE(1459),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(3006),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5835),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1459),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(617),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(1529),
    [anon_sym_export] = ACTIONS(1081),
    [anon_sym_type] = ACTIONS(1081),
    [anon_sym_namespace] = ACTIONS(1083),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(1107),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1081),
    [anon_sym_BANG] = ACTIONS(1089),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(1091),
    [anon_sym_yield] = ACTIONS(1093),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1097),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1533),
    [anon_sym_using] = ACTIONS(1101),
    [anon_sym_PLUS] = ACTIONS(1107),
    [anon_sym_DASH] = ACTIONS(1107),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1089),
    [anon_sym_void] = ACTIONS(1107),
    [anon_sym_delete] = ACTIONS(1107),
    [anon_sym_PLUS_PLUS] = ACTIONS(1109),
    [anon_sym_DASH_DASH] = ACTIONS(1109),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(1115),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1535),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1081),
    [anon_sym_readonly] = ACTIONS(1081),
    [anon_sym_get] = ACTIONS(1081),
    [anon_sym_set] = ACTIONS(1081),
    [anon_sym_declare] = ACTIONS(1081),
    [anon_sym_public] = ACTIONS(1081),
    [anon_sym_private] = ACTIONS(1081),
    [anon_sym_protected] = ACTIONS(1081),
    [anon_sym_override] = ACTIONS(1081),
    [anon_sym_module] = ACTIONS(1081),
    [anon_sym_any] = ACTIONS(1081),
    [anon_sym_number] = ACTIONS(1081),
    [anon_sym_boolean] = ACTIONS(1081),
    [anon_sym_string] = ACTIONS(1081),
    [anon_sym_symbol] = ACTIONS(1081),
    [anon_sym_object] = ACTIONS(1081),
    [sym_html_comment] = ACTIONS(5),
  },
  [629] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1459),
    [sym_expression] = STATE(2405),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5835),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5835),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5489),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1459),
    [sym_subscript_expression] = STATE(1459),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(3006),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5835),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1459),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(617),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(1529),
    [anon_sym_export] = ACTIONS(1081),
    [anon_sym_type] = ACTIONS(1081),
    [anon_sym_namespace] = ACTIONS(1083),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(1107),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1081),
    [anon_sym_BANG] = ACTIONS(1089),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(1091),
    [anon_sym_yield] = ACTIONS(1093),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1097),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1533),
    [anon_sym_using] = ACTIONS(1101),
    [anon_sym_PLUS] = ACTIONS(1107),
    [anon_sym_DASH] = ACTIONS(1107),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1089),
    [anon_sym_void] = ACTIONS(1107),
    [anon_sym_delete] = ACTIONS(1107),
    [anon_sym_PLUS_PLUS] = ACTIONS(1109),
    [anon_sym_DASH_DASH] = ACTIONS(1109),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(1115),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1535),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1081),
    [anon_sym_readonly] = ACTIONS(1081),
    [anon_sym_get] = ACTIONS(1081),
    [anon_sym_set] = ACTIONS(1081),
    [anon_sym_declare] = ACTIONS(1081),
    [anon_sym_public] = ACTIONS(1081),
    [anon_sym_private] = ACTIONS(1081),
    [anon_sym_protected] = ACTIONS(1081),
    [anon_sym_override] = ACTIONS(1081),
    [anon_sym_module] = ACTIONS(1081),
    [anon_sym_any] = ACTIONS(1081),
    [anon_sym_number] = ACTIONS(1081),
    [anon_sym_boolean] = ACTIONS(1081),
    [anon_sym_string] = ACTIONS(1081),
    [anon_sym_symbol] = ACTIONS(1081),
    [anon_sym_object] = ACTIONS(1081),
    [sym_html_comment] = ACTIONS(5),
  },
  [630] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1459),
    [sym_expression] = STATE(2406),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5835),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5835),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5489),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1459),
    [sym_subscript_expression] = STATE(1459),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(3006),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5835),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1459),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(617),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(1529),
    [anon_sym_export] = ACTIONS(1081),
    [anon_sym_type] = ACTIONS(1081),
    [anon_sym_namespace] = ACTIONS(1083),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(1107),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1081),
    [anon_sym_BANG] = ACTIONS(1089),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(1091),
    [anon_sym_yield] = ACTIONS(1093),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1097),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1533),
    [anon_sym_using] = ACTIONS(1101),
    [anon_sym_PLUS] = ACTIONS(1107),
    [anon_sym_DASH] = ACTIONS(1107),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1089),
    [anon_sym_void] = ACTIONS(1107),
    [anon_sym_delete] = ACTIONS(1107),
    [anon_sym_PLUS_PLUS] = ACTIONS(1109),
    [anon_sym_DASH_DASH] = ACTIONS(1109),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(1115),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1535),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1081),
    [anon_sym_readonly] = ACTIONS(1081),
    [anon_sym_get] = ACTIONS(1081),
    [anon_sym_set] = ACTIONS(1081),
    [anon_sym_declare] = ACTIONS(1081),
    [anon_sym_public] = ACTIONS(1081),
    [anon_sym_private] = ACTIONS(1081),
    [anon_sym_protected] = ACTIONS(1081),
    [anon_sym_override] = ACTIONS(1081),
    [anon_sym_module] = ACTIONS(1081),
    [anon_sym_any] = ACTIONS(1081),
    [anon_sym_number] = ACTIONS(1081),
    [anon_sym_boolean] = ACTIONS(1081),
    [anon_sym_string] = ACTIONS(1081),
    [anon_sym_symbol] = ACTIONS(1081),
    [anon_sym_object] = ACTIONS(1081),
    [sym_html_comment] = ACTIONS(5),
  },
  [631] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1459),
    [sym_expression] = STATE(2407),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5835),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5835),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5489),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1459),
    [sym_subscript_expression] = STATE(1459),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(3006),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5835),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1459),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(617),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(1529),
    [anon_sym_export] = ACTIONS(1081),
    [anon_sym_type] = ACTIONS(1081),
    [anon_sym_namespace] = ACTIONS(1083),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(1107),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1081),
    [anon_sym_BANG] = ACTIONS(1089),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(1091),
    [anon_sym_yield] = ACTIONS(1093),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1097),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1533),
    [anon_sym_using] = ACTIONS(1101),
    [anon_sym_PLUS] = ACTIONS(1107),
    [anon_sym_DASH] = ACTIONS(1107),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1089),
    [anon_sym_void] = ACTIONS(1107),
    [anon_sym_delete] = ACTIONS(1107),
    [anon_sym_PLUS_PLUS] = ACTIONS(1109),
    [anon_sym_DASH_DASH] = ACTIONS(1109),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(1115),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1535),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1081),
    [anon_sym_readonly] = ACTIONS(1081),
    [anon_sym_get] = ACTIONS(1081),
    [anon_sym_set] = ACTIONS(1081),
    [anon_sym_declare] = ACTIONS(1081),
    [anon_sym_public] = ACTIONS(1081),
    [anon_sym_private] = ACTIONS(1081),
    [anon_sym_protected] = ACTIONS(1081),
    [anon_sym_override] = ACTIONS(1081),
    [anon_sym_module] = ACTIONS(1081),
    [anon_sym_any] = ACTIONS(1081),
    [anon_sym_number] = ACTIONS(1081),
    [anon_sym_boolean] = ACTIONS(1081),
    [anon_sym_string] = ACTIONS(1081),
    [anon_sym_symbol] = ACTIONS(1081),
    [anon_sym_object] = ACTIONS(1081),
    [sym_html_comment] = ACTIONS(5),
  },
  [632] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1459),
    [sym_expression] = STATE(2408),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5835),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5835),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5489),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1459),
    [sym_subscript_expression] = STATE(1459),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(3006),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5835),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1459),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(617),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(1529),
    [anon_sym_export] = ACTIONS(1081),
    [anon_sym_type] = ACTIONS(1081),
    [anon_sym_namespace] = ACTIONS(1083),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(1107),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1081),
    [anon_sym_BANG] = ACTIONS(1089),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(1091),
    [anon_sym_yield] = ACTIONS(1093),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1097),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1533),
    [anon_sym_using] = ACTIONS(1101),
    [anon_sym_PLUS] = ACTIONS(1107),
    [anon_sym_DASH] = ACTIONS(1107),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1089),
    [anon_sym_void] = ACTIONS(1107),
    [anon_sym_delete] = ACTIONS(1107),
    [anon_sym_PLUS_PLUS] = ACTIONS(1109),
    [anon_sym_DASH_DASH] = ACTIONS(1109),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(1115),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1535),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1081),
    [anon_sym_readonly] = ACTIONS(1081),
    [anon_sym_get] = ACTIONS(1081),
    [anon_sym_set] = ACTIONS(1081),
    [anon_sym_declare] = ACTIONS(1081),
    [anon_sym_public] = ACTIONS(1081),
    [anon_sym_private] = ACTIONS(1081),
    [anon_sym_protected] = ACTIONS(1081),
    [anon_sym_override] = ACTIONS(1081),
    [anon_sym_module] = ACTIONS(1081),
    [anon_sym_any] = ACTIONS(1081),
    [anon_sym_number] = ACTIONS(1081),
    [anon_sym_boolean] = ACTIONS(1081),
    [anon_sym_string] = ACTIONS(1081),
    [anon_sym_symbol] = ACTIONS(1081),
    [anon_sym_object] = ACTIONS(1081),
    [sym_html_comment] = ACTIONS(5),
  },
  [633] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1381),
    [sym_expression] = STATE(1920),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5574),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5574),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5865),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1381),
    [sym_subscript_expression] = STATE(1381),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(3033),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5574),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1381),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(635),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(1489),
    [anon_sym_export] = ACTIONS(1275),
    [anon_sym_type] = ACTIONS(1275),
    [anon_sym_namespace] = ACTIONS(1277),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(763),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1275),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(743),
    [anon_sym_yield] = ACTIONS(745),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1285),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1493),
    [anon_sym_using] = ACTIONS(753),
    [anon_sym_PLUS] = ACTIONS(763),
    [anon_sym_DASH] = ACTIONS(763),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(739),
    [anon_sym_void] = ACTIONS(763),
    [anon_sym_delete] = ACTIONS(763),
    [anon_sym_PLUS_PLUS] = ACTIONS(765),
    [anon_sym_DASH_DASH] = ACTIONS(765),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(771),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1495),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1275),
    [anon_sym_readonly] = ACTIONS(1275),
    [anon_sym_get] = ACTIONS(1275),
    [anon_sym_set] = ACTIONS(1275),
    [anon_sym_declare] = ACTIONS(1275),
    [anon_sym_public] = ACTIONS(1275),
    [anon_sym_private] = ACTIONS(1275),
    [anon_sym_protected] = ACTIONS(1275),
    [anon_sym_override] = ACTIONS(1275),
    [anon_sym_module] = ACTIONS(1275),
    [anon_sym_any] = ACTIONS(1275),
    [anon_sym_number] = ACTIONS(1275),
    [anon_sym_boolean] = ACTIONS(1275),
    [anon_sym_string] = ACTIONS(1275),
    [anon_sym_symbol] = ACTIONS(1275),
    [anon_sym_object] = ACTIONS(1275),
    [sym_html_comment] = ACTIONS(5),
  },
  [634] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1459),
    [sym_expression] = STATE(2410),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5835),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5835),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5489),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1459),
    [sym_subscript_expression] = STATE(1459),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(3006),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5835),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1459),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(617),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(1529),
    [anon_sym_export] = ACTIONS(1081),
    [anon_sym_type] = ACTIONS(1081),
    [anon_sym_namespace] = ACTIONS(1083),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(1107),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1081),
    [anon_sym_BANG] = ACTIONS(1089),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(1091),
    [anon_sym_yield] = ACTIONS(1093),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1097),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1533),
    [anon_sym_using] = ACTIONS(1101),
    [anon_sym_PLUS] = ACTIONS(1107),
    [anon_sym_DASH] = ACTIONS(1107),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1089),
    [anon_sym_void] = ACTIONS(1107),
    [anon_sym_delete] = ACTIONS(1107),
    [anon_sym_PLUS_PLUS] = ACTIONS(1109),
    [anon_sym_DASH_DASH] = ACTIONS(1109),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(1115),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1535),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1081),
    [anon_sym_readonly] = ACTIONS(1081),
    [anon_sym_get] = ACTIONS(1081),
    [anon_sym_set] = ACTIONS(1081),
    [anon_sym_declare] = ACTIONS(1081),
    [anon_sym_public] = ACTIONS(1081),
    [anon_sym_private] = ACTIONS(1081),
    [anon_sym_protected] = ACTIONS(1081),
    [anon_sym_override] = ACTIONS(1081),
    [anon_sym_module] = ACTIONS(1081),
    [anon_sym_any] = ACTIONS(1081),
    [anon_sym_number] = ACTIONS(1081),
    [anon_sym_boolean] = ACTIONS(1081),
    [anon_sym_string] = ACTIONS(1081),
    [anon_sym_symbol] = ACTIONS(1081),
    [anon_sym_object] = ACTIONS(1081),
    [sym_html_comment] = ACTIONS(5),
  },
  [635] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1381),
    [sym_expression] = STATE(1975),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5574),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5574),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5865),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1381),
    [sym_subscript_expression] = STATE(1381),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(3033),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5574),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1381),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(635),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(1489),
    [anon_sym_export] = ACTIONS(1275),
    [anon_sym_type] = ACTIONS(1275),
    [anon_sym_namespace] = ACTIONS(1277),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(763),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1275),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(743),
    [anon_sym_yield] = ACTIONS(745),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1285),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1493),
    [anon_sym_using] = ACTIONS(753),
    [anon_sym_PLUS] = ACTIONS(763),
    [anon_sym_DASH] = ACTIONS(763),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(739),
    [anon_sym_void] = ACTIONS(763),
    [anon_sym_delete] = ACTIONS(763),
    [anon_sym_PLUS_PLUS] = ACTIONS(765),
    [anon_sym_DASH_DASH] = ACTIONS(765),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(771),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1495),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1275),
    [anon_sym_readonly] = ACTIONS(1275),
    [anon_sym_get] = ACTIONS(1275),
    [anon_sym_set] = ACTIONS(1275),
    [anon_sym_declare] = ACTIONS(1275),
    [anon_sym_public] = ACTIONS(1275),
    [anon_sym_private] = ACTIONS(1275),
    [anon_sym_protected] = ACTIONS(1275),
    [anon_sym_override] = ACTIONS(1275),
    [anon_sym_module] = ACTIONS(1275),
    [anon_sym_any] = ACTIONS(1275),
    [anon_sym_number] = ACTIONS(1275),
    [anon_sym_boolean] = ACTIONS(1275),
    [anon_sym_string] = ACTIONS(1275),
    [anon_sym_symbol] = ACTIONS(1275),
    [anon_sym_object] = ACTIONS(1275),
    [sym_html_comment] = ACTIONS(5),
  },
  [636] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1381),
    [sym_expression] = STATE(1887),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5574),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5574),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5865),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1381),
    [sym_subscript_expression] = STATE(1381),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(3033),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5574),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1381),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(635),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(1489),
    [anon_sym_export] = ACTIONS(1275),
    [anon_sym_type] = ACTIONS(1275),
    [anon_sym_namespace] = ACTIONS(1277),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(763),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1275),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(743),
    [anon_sym_yield] = ACTIONS(745),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1285),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1493),
    [anon_sym_using] = ACTIONS(753),
    [anon_sym_PLUS] = ACTIONS(763),
    [anon_sym_DASH] = ACTIONS(763),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(739),
    [anon_sym_void] = ACTIONS(763),
    [anon_sym_delete] = ACTIONS(763),
    [anon_sym_PLUS_PLUS] = ACTIONS(765),
    [anon_sym_DASH_DASH] = ACTIONS(765),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(771),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1495),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1275),
    [anon_sym_readonly] = ACTIONS(1275),
    [anon_sym_get] = ACTIONS(1275),
    [anon_sym_set] = ACTIONS(1275),
    [anon_sym_declare] = ACTIONS(1275),
    [anon_sym_public] = ACTIONS(1275),
    [anon_sym_private] = ACTIONS(1275),
    [anon_sym_protected] = ACTIONS(1275),
    [anon_sym_override] = ACTIONS(1275),
    [anon_sym_module] = ACTIONS(1275),
    [anon_sym_any] = ACTIONS(1275),
    [anon_sym_number] = ACTIONS(1275),
    [anon_sym_boolean] = ACTIONS(1275),
    [anon_sym_string] = ACTIONS(1275),
    [anon_sym_symbol] = ACTIONS(1275),
    [anon_sym_object] = ACTIONS(1275),
    [sym_html_comment] = ACTIONS(5),
  },
  [637] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1459),
    [sym_expression] = STATE(2414),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5835),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5835),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5489),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1459),
    [sym_subscript_expression] = STATE(1459),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(3006),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5835),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1459),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(617),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(1529),
    [anon_sym_export] = ACTIONS(1081),
    [anon_sym_type] = ACTIONS(1081),
    [anon_sym_namespace] = ACTIONS(1083),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(1107),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1081),
    [anon_sym_BANG] = ACTIONS(1089),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(1091),
    [anon_sym_yield] = ACTIONS(1093),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1097),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1533),
    [anon_sym_using] = ACTIONS(1101),
    [anon_sym_PLUS] = ACTIONS(1107),
    [anon_sym_DASH] = ACTIONS(1107),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1089),
    [anon_sym_void] = ACTIONS(1107),
    [anon_sym_delete] = ACTIONS(1107),
    [anon_sym_PLUS_PLUS] = ACTIONS(1109),
    [anon_sym_DASH_DASH] = ACTIONS(1109),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(1115),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1535),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1081),
    [anon_sym_readonly] = ACTIONS(1081),
    [anon_sym_get] = ACTIONS(1081),
    [anon_sym_set] = ACTIONS(1081),
    [anon_sym_declare] = ACTIONS(1081),
    [anon_sym_public] = ACTIONS(1081),
    [anon_sym_private] = ACTIONS(1081),
    [anon_sym_protected] = ACTIONS(1081),
    [anon_sym_override] = ACTIONS(1081),
    [anon_sym_module] = ACTIONS(1081),
    [anon_sym_any] = ACTIONS(1081),
    [anon_sym_number] = ACTIONS(1081),
    [anon_sym_boolean] = ACTIONS(1081),
    [anon_sym_string] = ACTIONS(1081),
    [anon_sym_symbol] = ACTIONS(1081),
    [anon_sym_object] = ACTIONS(1081),
    [sym_html_comment] = ACTIONS(5),
  },
  [638] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1459),
    [sym_expression] = STATE(2415),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5835),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5835),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5489),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1459),
    [sym_subscript_expression] = STATE(1459),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(3006),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5835),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1459),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(617),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(1529),
    [anon_sym_export] = ACTIONS(1081),
    [anon_sym_type] = ACTIONS(1081),
    [anon_sym_namespace] = ACTIONS(1083),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(1107),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1081),
    [anon_sym_BANG] = ACTIONS(1089),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(1091),
    [anon_sym_yield] = ACTIONS(1093),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1097),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1533),
    [anon_sym_using] = ACTIONS(1101),
    [anon_sym_PLUS] = ACTIONS(1107),
    [anon_sym_DASH] = ACTIONS(1107),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1089),
    [anon_sym_void] = ACTIONS(1107),
    [anon_sym_delete] = ACTIONS(1107),
    [anon_sym_PLUS_PLUS] = ACTIONS(1109),
    [anon_sym_DASH_DASH] = ACTIONS(1109),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(1115),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1535),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1081),
    [anon_sym_readonly] = ACTIONS(1081),
    [anon_sym_get] = ACTIONS(1081),
    [anon_sym_set] = ACTIONS(1081),
    [anon_sym_declare] = ACTIONS(1081),
    [anon_sym_public] = ACTIONS(1081),
    [anon_sym_private] = ACTIONS(1081),
    [anon_sym_protected] = ACTIONS(1081),
    [anon_sym_override] = ACTIONS(1081),
    [anon_sym_module] = ACTIONS(1081),
    [anon_sym_any] = ACTIONS(1081),
    [anon_sym_number] = ACTIONS(1081),
    [anon_sym_boolean] = ACTIONS(1081),
    [anon_sym_string] = ACTIONS(1081),
    [anon_sym_symbol] = ACTIONS(1081),
    [anon_sym_object] = ACTIONS(1081),
    [sym_html_comment] = ACTIONS(5),
  },
  [639] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1459),
    [sym_expression] = STATE(2416),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5835),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5835),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5489),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1459),
    [sym_subscript_expression] = STATE(1459),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(3006),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5835),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1459),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(617),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(1529),
    [anon_sym_export] = ACTIONS(1081),
    [anon_sym_type] = ACTIONS(1081),
    [anon_sym_namespace] = ACTIONS(1083),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(1107),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1081),
    [anon_sym_BANG] = ACTIONS(1089),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(1091),
    [anon_sym_yield] = ACTIONS(1093),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1097),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1533),
    [anon_sym_using] = ACTIONS(1101),
    [anon_sym_PLUS] = ACTIONS(1107),
    [anon_sym_DASH] = ACTIONS(1107),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1089),
    [anon_sym_void] = ACTIONS(1107),
    [anon_sym_delete] = ACTIONS(1107),
    [anon_sym_PLUS_PLUS] = ACTIONS(1109),
    [anon_sym_DASH_DASH] = ACTIONS(1109),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(1115),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1535),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1081),
    [anon_sym_readonly] = ACTIONS(1081),
    [anon_sym_get] = ACTIONS(1081),
    [anon_sym_set] = ACTIONS(1081),
    [anon_sym_declare] = ACTIONS(1081),
    [anon_sym_public] = ACTIONS(1081),
    [anon_sym_private] = ACTIONS(1081),
    [anon_sym_protected] = ACTIONS(1081),
    [anon_sym_override] = ACTIONS(1081),
    [anon_sym_module] = ACTIONS(1081),
    [anon_sym_any] = ACTIONS(1081),
    [anon_sym_number] = ACTIONS(1081),
    [anon_sym_boolean] = ACTIONS(1081),
    [anon_sym_string] = ACTIONS(1081),
    [anon_sym_symbol] = ACTIONS(1081),
    [anon_sym_object] = ACTIONS(1081),
    [sym_html_comment] = ACTIONS(5),
  },
  [640] = {
    [sym_import] = STATE(3513),
    [sym_parenthesized_expression] = STATE(1353),
    [sym_expression] = STATE(1874),
    [sym_primary_expression] = STATE(1833),
    [sym_yield_expression] = STATE(2130),
    [sym_object] = STATE(2117),
    [sym_object_pattern] = STATE(5484),
    [sym_array] = STATE(2117),
    [sym_array_pattern] = STATE(5484),
    [sym_glimmer_template] = STATE(2130),
    [sym_class] = STATE(2117),
    [sym_function_expression] = STATE(2117),
    [sym_generator_function] = STATE(2117),
    [sym_arrow_function] = STATE(2117),
    [sym__call_signature] = STATE(5525),
    [sym_call_expression] = STATE(2117),
    [sym_new_expression] = STATE(1963),
    [sym_await_expression] = STATE(2130),
    [sym_member_expression] = STATE(1353),
    [sym_subscript_expression] = STATE(1353),
    [sym_assignment_expression] = STATE(2130),
    [sym__augmented_assignment_lhs] = STATE(3036),
    [sym_augmented_assignment_expression] = STATE(2130),
    [sym__destructuring_pattern] = STATE(5484),
    [sym_ternary_expression] = STATE(2130),
    [sym_binary_expression] = STATE(2130),
    [sym_unary_expression] = STATE(2130),
    [sym_update_expression] = STATE(2130),
    [sym_string] = STATE(2117),
    [sym_template_string] = STATE(2117),
    [sym_regex] = STATE(2117),
    [sym_meta_property] = STATE(2117),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1353),
    [sym_type_assertion] = STATE(2130),
    [sym_as_expression] = STATE(2130),
    [sym_satisfies_expression] = STATE(2130),
    [sym_instantiation_expression] = STATE(2130),
    [sym_internal_module] = STATE(2130),
    [sym_type_arguments] = STATE(427),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4499),
    [sym_identifier] = ACTIONS(1475),
    [anon_sym_export] = ACTIONS(1443),
    [anon_sym_type] = ACTIONS(1443),
    [anon_sym_namespace] = ACTIONS(1445),
    [anon_sym_LBRACE] = ACTIONS(670),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(674),
    [anon_sym_let] = ACTIONS(1443),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(681),
    [anon_sym_async] = ACTIONS(1449),
    [anon_sym_function] = ACTIONS(685),
    [anon_sym_new] = ACTIONS(1479),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1443),
    [anon_sym_readonly] = ACTIONS(1443),
    [anon_sym_get] = ACTIONS(1443),
    [anon_sym_set] = ACTIONS(1443),
    [anon_sym_declare] = ACTIONS(1443),
    [anon_sym_public] = ACTIONS(1443),
    [anon_sym_private] = ACTIONS(1443),
    [anon_sym_protected] = ACTIONS(1443),
    [anon_sym_override] = ACTIONS(1443),
    [anon_sym_module] = ACTIONS(1443),
    [anon_sym_any] = ACTIONS(1443),
    [anon_sym_number] = ACTIONS(1443),
    [anon_sym_boolean] = ACTIONS(1443),
    [anon_sym_string] = ACTIONS(1443),
    [anon_sym_symbol] = ACTIONS(1443),
    [anon_sym_object] = ACTIONS(1443),
    [sym_html_comment] = ACTIONS(5),
  },
  [641] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1459),
    [sym_expression] = STATE(2458),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5835),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5835),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5489),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1459),
    [sym_subscript_expression] = STATE(1459),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(3006),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5835),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1459),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(617),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(1529),
    [anon_sym_export] = ACTIONS(1081),
    [anon_sym_type] = ACTIONS(1081),
    [anon_sym_namespace] = ACTIONS(1083),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(1107),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1081),
    [anon_sym_BANG] = ACTIONS(1089),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(1091),
    [anon_sym_yield] = ACTIONS(1093),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1097),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1533),
    [anon_sym_using] = ACTIONS(1101),
    [anon_sym_PLUS] = ACTIONS(1107),
    [anon_sym_DASH] = ACTIONS(1107),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1089),
    [anon_sym_void] = ACTIONS(1107),
    [anon_sym_delete] = ACTIONS(1107),
    [anon_sym_PLUS_PLUS] = ACTIONS(1109),
    [anon_sym_DASH_DASH] = ACTIONS(1109),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(1115),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1535),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1081),
    [anon_sym_readonly] = ACTIONS(1081),
    [anon_sym_get] = ACTIONS(1081),
    [anon_sym_set] = ACTIONS(1081),
    [anon_sym_declare] = ACTIONS(1081),
    [anon_sym_public] = ACTIONS(1081),
    [anon_sym_private] = ACTIONS(1081),
    [anon_sym_protected] = ACTIONS(1081),
    [anon_sym_override] = ACTIONS(1081),
    [anon_sym_module] = ACTIONS(1081),
    [anon_sym_any] = ACTIONS(1081),
    [anon_sym_number] = ACTIONS(1081),
    [anon_sym_boolean] = ACTIONS(1081),
    [anon_sym_string] = ACTIONS(1081),
    [anon_sym_symbol] = ACTIONS(1081),
    [anon_sym_object] = ACTIONS(1081),
    [sym_html_comment] = ACTIONS(5),
  },
  [642] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1459),
    [sym_expression] = STATE(2459),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5835),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5835),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5489),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1459),
    [sym_subscript_expression] = STATE(1459),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(3006),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5835),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1459),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(617),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(1529),
    [anon_sym_export] = ACTIONS(1081),
    [anon_sym_type] = ACTIONS(1081),
    [anon_sym_namespace] = ACTIONS(1083),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(1107),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1081),
    [anon_sym_BANG] = ACTIONS(1089),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(1091),
    [anon_sym_yield] = ACTIONS(1093),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1097),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1533),
    [anon_sym_using] = ACTIONS(1101),
    [anon_sym_PLUS] = ACTIONS(1107),
    [anon_sym_DASH] = ACTIONS(1107),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1089),
    [anon_sym_void] = ACTIONS(1107),
    [anon_sym_delete] = ACTIONS(1107),
    [anon_sym_PLUS_PLUS] = ACTIONS(1109),
    [anon_sym_DASH_DASH] = ACTIONS(1109),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(1115),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1535),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1081),
    [anon_sym_readonly] = ACTIONS(1081),
    [anon_sym_get] = ACTIONS(1081),
    [anon_sym_set] = ACTIONS(1081),
    [anon_sym_declare] = ACTIONS(1081),
    [anon_sym_public] = ACTIONS(1081),
    [anon_sym_private] = ACTIONS(1081),
    [anon_sym_protected] = ACTIONS(1081),
    [anon_sym_override] = ACTIONS(1081),
    [anon_sym_module] = ACTIONS(1081),
    [anon_sym_any] = ACTIONS(1081),
    [anon_sym_number] = ACTIONS(1081),
    [anon_sym_boolean] = ACTIONS(1081),
    [anon_sym_string] = ACTIONS(1081),
    [anon_sym_symbol] = ACTIONS(1081),
    [anon_sym_object] = ACTIONS(1081),
    [sym_html_comment] = ACTIONS(5),
  },
  [643] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1466),
    [sym_expression] = STATE(2615),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5501),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5501),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5824),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1466),
    [sym_subscript_expression] = STATE(1466),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(2969),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5501),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1466),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(537),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(2226),
    [anon_sym_export] = ACTIONS(2228),
    [anon_sym_type] = ACTIONS(2228),
    [anon_sym_namespace] = ACTIONS(2230),
    [anon_sym_LBRACE] = ACTIONS(815),
    [anon_sym_typeof] = ACTIONS(184),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(2228),
    [anon_sym_BANG] = ACTIONS(180),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(819),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(2232),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(2234),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(184),
    [anon_sym_DASH] = ACTIONS(184),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(691),
    [anon_sym_DASH_DASH] = ACTIONS(691),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(2236),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(2228),
    [anon_sym_readonly] = ACTIONS(2228),
    [anon_sym_get] = ACTIONS(2228),
    [anon_sym_set] = ACTIONS(2228),
    [anon_sym_declare] = ACTIONS(2228),
    [anon_sym_public] = ACTIONS(2228),
    [anon_sym_private] = ACTIONS(2228),
    [anon_sym_protected] = ACTIONS(2228),
    [anon_sym_override] = ACTIONS(2228),
    [anon_sym_module] = ACTIONS(2228),
    [anon_sym_any] = ACTIONS(2228),
    [anon_sym_number] = ACTIONS(2228),
    [anon_sym_boolean] = ACTIONS(2228),
    [anon_sym_string] = ACTIONS(2228),
    [anon_sym_symbol] = ACTIONS(2228),
    [anon_sym_object] = ACTIONS(2228),
    [sym_html_comment] = ACTIONS(5),
  },
  [644] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1461),
    [sym_expression] = STATE(2490),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5839),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5839),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5541),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1461),
    [sym_subscript_expression] = STATE(1461),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(3010),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5839),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1461),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(644),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(1513),
    [anon_sym_export] = ACTIONS(1407),
    [anon_sym_type] = ACTIONS(1407),
    [anon_sym_namespace] = ACTIONS(1409),
    [anon_sym_LBRACE] = ACTIONS(815),
    [anon_sym_typeof] = ACTIONS(1429),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(1413),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(1415),
    [anon_sym_yield] = ACTIONS(1417),
    [anon_sym_LBRACK] = ACTIONS(819),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1419),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1517),
    [anon_sym_using] = ACTIONS(1423),
    [anon_sym_PLUS] = ACTIONS(1429),
    [anon_sym_DASH] = ACTIONS(1429),
    [anon_sym_SLASH] = ACTIONS(979),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1413),
    [anon_sym_void] = ACTIONS(1429),
    [anon_sym_delete] = ACTIONS(1429),
    [anon_sym_PLUS_PLUS] = ACTIONS(1431),
    [anon_sym_DASH_DASH] = ACTIONS(1431),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(1433),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1519),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1407),
    [anon_sym_readonly] = ACTIONS(1407),
    [anon_sym_get] = ACTIONS(1407),
    [anon_sym_set] = ACTIONS(1407),
    [anon_sym_declare] = ACTIONS(1407),
    [anon_sym_public] = ACTIONS(1407),
    [anon_sym_private] = ACTIONS(1407),
    [anon_sym_protected] = ACTIONS(1407),
    [anon_sym_override] = ACTIONS(1407),
    [anon_sym_module] = ACTIONS(1407),
    [anon_sym_any] = ACTIONS(1407),
    [anon_sym_number] = ACTIONS(1407),
    [anon_sym_boolean] = ACTIONS(1407),
    [anon_sym_string] = ACTIONS(1407),
    [anon_sym_symbol] = ACTIONS(1407),
    [anon_sym_object] = ACTIONS(1407),
    [sym_html_comment] = ACTIONS(5),
  },
  [645] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1461),
    [sym_expression] = STATE(2492),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5839),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5839),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5541),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1461),
    [sym_subscript_expression] = STATE(1461),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(3010),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5839),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1461),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(644),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(1513),
    [anon_sym_export] = ACTIONS(1407),
    [anon_sym_type] = ACTIONS(1407),
    [anon_sym_namespace] = ACTIONS(1409),
    [anon_sym_LBRACE] = ACTIONS(815),
    [anon_sym_typeof] = ACTIONS(1429),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(1413),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(1415),
    [anon_sym_yield] = ACTIONS(1417),
    [anon_sym_LBRACK] = ACTIONS(819),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1419),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1517),
    [anon_sym_using] = ACTIONS(1423),
    [anon_sym_PLUS] = ACTIONS(1429),
    [anon_sym_DASH] = ACTIONS(1429),
    [anon_sym_SLASH] = ACTIONS(979),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1413),
    [anon_sym_void] = ACTIONS(1429),
    [anon_sym_delete] = ACTIONS(1429),
    [anon_sym_PLUS_PLUS] = ACTIONS(1431),
    [anon_sym_DASH_DASH] = ACTIONS(1431),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(1433),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1519),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1407),
    [anon_sym_readonly] = ACTIONS(1407),
    [anon_sym_get] = ACTIONS(1407),
    [anon_sym_set] = ACTIONS(1407),
    [anon_sym_declare] = ACTIONS(1407),
    [anon_sym_public] = ACTIONS(1407),
    [anon_sym_private] = ACTIONS(1407),
    [anon_sym_protected] = ACTIONS(1407),
    [anon_sym_override] = ACTIONS(1407),
    [anon_sym_module] = ACTIONS(1407),
    [anon_sym_any] = ACTIONS(1407),
    [anon_sym_number] = ACTIONS(1407),
    [anon_sym_boolean] = ACTIONS(1407),
    [anon_sym_string] = ACTIONS(1407),
    [anon_sym_symbol] = ACTIONS(1407),
    [anon_sym_object] = ACTIONS(1407),
    [sym_html_comment] = ACTIONS(5),
  },
  [646] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1461),
    [sym_expression] = STATE(2493),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5839),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5839),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5541),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1461),
    [sym_subscript_expression] = STATE(1461),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(3010),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5839),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1461),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(644),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(1513),
    [anon_sym_export] = ACTIONS(1407),
    [anon_sym_type] = ACTIONS(1407),
    [anon_sym_namespace] = ACTIONS(1409),
    [anon_sym_LBRACE] = ACTIONS(815),
    [anon_sym_typeof] = ACTIONS(1429),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(1413),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(1415),
    [anon_sym_yield] = ACTIONS(1417),
    [anon_sym_LBRACK] = ACTIONS(819),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1419),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1517),
    [anon_sym_using] = ACTIONS(1423),
    [anon_sym_PLUS] = ACTIONS(1429),
    [anon_sym_DASH] = ACTIONS(1429),
    [anon_sym_SLASH] = ACTIONS(979),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1413),
    [anon_sym_void] = ACTIONS(1429),
    [anon_sym_delete] = ACTIONS(1429),
    [anon_sym_PLUS_PLUS] = ACTIONS(1431),
    [anon_sym_DASH_DASH] = ACTIONS(1431),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(1433),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1519),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1407),
    [anon_sym_readonly] = ACTIONS(1407),
    [anon_sym_get] = ACTIONS(1407),
    [anon_sym_set] = ACTIONS(1407),
    [anon_sym_declare] = ACTIONS(1407),
    [anon_sym_public] = ACTIONS(1407),
    [anon_sym_private] = ACTIONS(1407),
    [anon_sym_protected] = ACTIONS(1407),
    [anon_sym_override] = ACTIONS(1407),
    [anon_sym_module] = ACTIONS(1407),
    [anon_sym_any] = ACTIONS(1407),
    [anon_sym_number] = ACTIONS(1407),
    [anon_sym_boolean] = ACTIONS(1407),
    [anon_sym_string] = ACTIONS(1407),
    [anon_sym_symbol] = ACTIONS(1407),
    [anon_sym_object] = ACTIONS(1407),
    [sym_html_comment] = ACTIONS(5),
  },
  [647] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1461),
    [sym_expression] = STATE(2494),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5839),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5839),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5541),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1461),
    [sym_subscript_expression] = STATE(1461),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(3010),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5839),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1461),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(644),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(1513),
    [anon_sym_export] = ACTIONS(1407),
    [anon_sym_type] = ACTIONS(1407),
    [anon_sym_namespace] = ACTIONS(1409),
    [anon_sym_LBRACE] = ACTIONS(815),
    [anon_sym_typeof] = ACTIONS(1429),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(1413),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(1415),
    [anon_sym_yield] = ACTIONS(1417),
    [anon_sym_LBRACK] = ACTIONS(819),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1419),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1517),
    [anon_sym_using] = ACTIONS(1423),
    [anon_sym_PLUS] = ACTIONS(1429),
    [anon_sym_DASH] = ACTIONS(1429),
    [anon_sym_SLASH] = ACTIONS(979),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1413),
    [anon_sym_void] = ACTIONS(1429),
    [anon_sym_delete] = ACTIONS(1429),
    [anon_sym_PLUS_PLUS] = ACTIONS(1431),
    [anon_sym_DASH_DASH] = ACTIONS(1431),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(1433),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1519),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1407),
    [anon_sym_readonly] = ACTIONS(1407),
    [anon_sym_get] = ACTIONS(1407),
    [anon_sym_set] = ACTIONS(1407),
    [anon_sym_declare] = ACTIONS(1407),
    [anon_sym_public] = ACTIONS(1407),
    [anon_sym_private] = ACTIONS(1407),
    [anon_sym_protected] = ACTIONS(1407),
    [anon_sym_override] = ACTIONS(1407),
    [anon_sym_module] = ACTIONS(1407),
    [anon_sym_any] = ACTIONS(1407),
    [anon_sym_number] = ACTIONS(1407),
    [anon_sym_boolean] = ACTIONS(1407),
    [anon_sym_string] = ACTIONS(1407),
    [anon_sym_symbol] = ACTIONS(1407),
    [anon_sym_object] = ACTIONS(1407),
    [sym_html_comment] = ACTIONS(5),
  },
  [648] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1461),
    [sym_expression] = STATE(2496),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5839),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5839),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5541),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1461),
    [sym_subscript_expression] = STATE(1461),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(3010),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5839),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1461),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(644),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(1513),
    [anon_sym_export] = ACTIONS(1407),
    [anon_sym_type] = ACTIONS(1407),
    [anon_sym_namespace] = ACTIONS(1409),
    [anon_sym_LBRACE] = ACTIONS(815),
    [anon_sym_typeof] = ACTIONS(1429),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(1413),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(1415),
    [anon_sym_yield] = ACTIONS(1417),
    [anon_sym_LBRACK] = ACTIONS(819),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1419),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1517),
    [anon_sym_using] = ACTIONS(1423),
    [anon_sym_PLUS] = ACTIONS(1429),
    [anon_sym_DASH] = ACTIONS(1429),
    [anon_sym_SLASH] = ACTIONS(979),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1413),
    [anon_sym_void] = ACTIONS(1429),
    [anon_sym_delete] = ACTIONS(1429),
    [anon_sym_PLUS_PLUS] = ACTIONS(1431),
    [anon_sym_DASH_DASH] = ACTIONS(1431),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(1433),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1519),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1407),
    [anon_sym_readonly] = ACTIONS(1407),
    [anon_sym_get] = ACTIONS(1407),
    [anon_sym_set] = ACTIONS(1407),
    [anon_sym_declare] = ACTIONS(1407),
    [anon_sym_public] = ACTIONS(1407),
    [anon_sym_private] = ACTIONS(1407),
    [anon_sym_protected] = ACTIONS(1407),
    [anon_sym_override] = ACTIONS(1407),
    [anon_sym_module] = ACTIONS(1407),
    [anon_sym_any] = ACTIONS(1407),
    [anon_sym_number] = ACTIONS(1407),
    [anon_sym_boolean] = ACTIONS(1407),
    [anon_sym_string] = ACTIONS(1407),
    [anon_sym_symbol] = ACTIONS(1407),
    [anon_sym_object] = ACTIONS(1407),
    [sym_html_comment] = ACTIONS(5),
  },
  [649] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1461),
    [sym_expression] = STATE(2497),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5839),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5839),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5541),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1461),
    [sym_subscript_expression] = STATE(1461),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(3010),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5839),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1461),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(644),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(1513),
    [anon_sym_export] = ACTIONS(1407),
    [anon_sym_type] = ACTIONS(1407),
    [anon_sym_namespace] = ACTIONS(1409),
    [anon_sym_LBRACE] = ACTIONS(815),
    [anon_sym_typeof] = ACTIONS(1429),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(1413),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(1415),
    [anon_sym_yield] = ACTIONS(1417),
    [anon_sym_LBRACK] = ACTIONS(819),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1419),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1517),
    [anon_sym_using] = ACTIONS(1423),
    [anon_sym_PLUS] = ACTIONS(1429),
    [anon_sym_DASH] = ACTIONS(1429),
    [anon_sym_SLASH] = ACTIONS(979),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1413),
    [anon_sym_void] = ACTIONS(1429),
    [anon_sym_delete] = ACTIONS(1429),
    [anon_sym_PLUS_PLUS] = ACTIONS(1431),
    [anon_sym_DASH_DASH] = ACTIONS(1431),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(1433),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1519),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1407),
    [anon_sym_readonly] = ACTIONS(1407),
    [anon_sym_get] = ACTIONS(1407),
    [anon_sym_set] = ACTIONS(1407),
    [anon_sym_declare] = ACTIONS(1407),
    [anon_sym_public] = ACTIONS(1407),
    [anon_sym_private] = ACTIONS(1407),
    [anon_sym_protected] = ACTIONS(1407),
    [anon_sym_override] = ACTIONS(1407),
    [anon_sym_module] = ACTIONS(1407),
    [anon_sym_any] = ACTIONS(1407),
    [anon_sym_number] = ACTIONS(1407),
    [anon_sym_boolean] = ACTIONS(1407),
    [anon_sym_string] = ACTIONS(1407),
    [anon_sym_symbol] = ACTIONS(1407),
    [anon_sym_object] = ACTIONS(1407),
    [sym_html_comment] = ACTIONS(5),
  },
  [650] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1461),
    [sym_expression] = STATE(2498),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5839),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5839),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5541),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1461),
    [sym_subscript_expression] = STATE(1461),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(3010),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5839),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1461),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(644),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(1513),
    [anon_sym_export] = ACTIONS(1407),
    [anon_sym_type] = ACTIONS(1407),
    [anon_sym_namespace] = ACTIONS(1409),
    [anon_sym_LBRACE] = ACTIONS(815),
    [anon_sym_typeof] = ACTIONS(1429),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(1413),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(1415),
    [anon_sym_yield] = ACTIONS(1417),
    [anon_sym_LBRACK] = ACTIONS(819),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1419),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1517),
    [anon_sym_using] = ACTIONS(1423),
    [anon_sym_PLUS] = ACTIONS(1429),
    [anon_sym_DASH] = ACTIONS(1429),
    [anon_sym_SLASH] = ACTIONS(979),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1413),
    [anon_sym_void] = ACTIONS(1429),
    [anon_sym_delete] = ACTIONS(1429),
    [anon_sym_PLUS_PLUS] = ACTIONS(1431),
    [anon_sym_DASH_DASH] = ACTIONS(1431),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(1433),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1519),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1407),
    [anon_sym_readonly] = ACTIONS(1407),
    [anon_sym_get] = ACTIONS(1407),
    [anon_sym_set] = ACTIONS(1407),
    [anon_sym_declare] = ACTIONS(1407),
    [anon_sym_public] = ACTIONS(1407),
    [anon_sym_private] = ACTIONS(1407),
    [anon_sym_protected] = ACTIONS(1407),
    [anon_sym_override] = ACTIONS(1407),
    [anon_sym_module] = ACTIONS(1407),
    [anon_sym_any] = ACTIONS(1407),
    [anon_sym_number] = ACTIONS(1407),
    [anon_sym_boolean] = ACTIONS(1407),
    [anon_sym_string] = ACTIONS(1407),
    [anon_sym_symbol] = ACTIONS(1407),
    [anon_sym_object] = ACTIONS(1407),
    [sym_html_comment] = ACTIONS(5),
  },
  [651] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1461),
    [sym_expression] = STATE(2499),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5839),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5839),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5541),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1461),
    [sym_subscript_expression] = STATE(1461),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(3010),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5839),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1461),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(644),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(1513),
    [anon_sym_export] = ACTIONS(1407),
    [anon_sym_type] = ACTIONS(1407),
    [anon_sym_namespace] = ACTIONS(1409),
    [anon_sym_LBRACE] = ACTIONS(815),
    [anon_sym_typeof] = ACTIONS(1429),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(1413),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(1415),
    [anon_sym_yield] = ACTIONS(1417),
    [anon_sym_LBRACK] = ACTIONS(819),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1419),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1517),
    [anon_sym_using] = ACTIONS(1423),
    [anon_sym_PLUS] = ACTIONS(1429),
    [anon_sym_DASH] = ACTIONS(1429),
    [anon_sym_SLASH] = ACTIONS(979),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1413),
    [anon_sym_void] = ACTIONS(1429),
    [anon_sym_delete] = ACTIONS(1429),
    [anon_sym_PLUS_PLUS] = ACTIONS(1431),
    [anon_sym_DASH_DASH] = ACTIONS(1431),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(1433),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1519),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1407),
    [anon_sym_readonly] = ACTIONS(1407),
    [anon_sym_get] = ACTIONS(1407),
    [anon_sym_set] = ACTIONS(1407),
    [anon_sym_declare] = ACTIONS(1407),
    [anon_sym_public] = ACTIONS(1407),
    [anon_sym_private] = ACTIONS(1407),
    [anon_sym_protected] = ACTIONS(1407),
    [anon_sym_override] = ACTIONS(1407),
    [anon_sym_module] = ACTIONS(1407),
    [anon_sym_any] = ACTIONS(1407),
    [anon_sym_number] = ACTIONS(1407),
    [anon_sym_boolean] = ACTIONS(1407),
    [anon_sym_string] = ACTIONS(1407),
    [anon_sym_symbol] = ACTIONS(1407),
    [anon_sym_object] = ACTIONS(1407),
    [sym_html_comment] = ACTIONS(5),
  },
  [652] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1461),
    [sym_expression] = STATE(2500),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5839),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5839),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5541),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1461),
    [sym_subscript_expression] = STATE(1461),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(3010),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5839),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1461),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(644),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(1513),
    [anon_sym_export] = ACTIONS(1407),
    [anon_sym_type] = ACTIONS(1407),
    [anon_sym_namespace] = ACTIONS(1409),
    [anon_sym_LBRACE] = ACTIONS(815),
    [anon_sym_typeof] = ACTIONS(1429),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(1413),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(1415),
    [anon_sym_yield] = ACTIONS(1417),
    [anon_sym_LBRACK] = ACTIONS(819),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1419),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1517),
    [anon_sym_using] = ACTIONS(1423),
    [anon_sym_PLUS] = ACTIONS(1429),
    [anon_sym_DASH] = ACTIONS(1429),
    [anon_sym_SLASH] = ACTIONS(979),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1413),
    [anon_sym_void] = ACTIONS(1429),
    [anon_sym_delete] = ACTIONS(1429),
    [anon_sym_PLUS_PLUS] = ACTIONS(1431),
    [anon_sym_DASH_DASH] = ACTIONS(1431),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(1433),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1519),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1407),
    [anon_sym_readonly] = ACTIONS(1407),
    [anon_sym_get] = ACTIONS(1407),
    [anon_sym_set] = ACTIONS(1407),
    [anon_sym_declare] = ACTIONS(1407),
    [anon_sym_public] = ACTIONS(1407),
    [anon_sym_private] = ACTIONS(1407),
    [anon_sym_protected] = ACTIONS(1407),
    [anon_sym_override] = ACTIONS(1407),
    [anon_sym_module] = ACTIONS(1407),
    [anon_sym_any] = ACTIONS(1407),
    [anon_sym_number] = ACTIONS(1407),
    [anon_sym_boolean] = ACTIONS(1407),
    [anon_sym_string] = ACTIONS(1407),
    [anon_sym_symbol] = ACTIONS(1407),
    [anon_sym_object] = ACTIONS(1407),
    [sym_html_comment] = ACTIONS(5),
  },
  [653] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1461),
    [sym_expression] = STATE(2501),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5839),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5839),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5541),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1461),
    [sym_subscript_expression] = STATE(1461),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(3010),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5839),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1461),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(644),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(1513),
    [anon_sym_export] = ACTIONS(1407),
    [anon_sym_type] = ACTIONS(1407),
    [anon_sym_namespace] = ACTIONS(1409),
    [anon_sym_LBRACE] = ACTIONS(815),
    [anon_sym_typeof] = ACTIONS(1429),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(1413),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(1415),
    [anon_sym_yield] = ACTIONS(1417),
    [anon_sym_LBRACK] = ACTIONS(819),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1419),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1517),
    [anon_sym_using] = ACTIONS(1423),
    [anon_sym_PLUS] = ACTIONS(1429),
    [anon_sym_DASH] = ACTIONS(1429),
    [anon_sym_SLASH] = ACTIONS(979),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1413),
    [anon_sym_void] = ACTIONS(1429),
    [anon_sym_delete] = ACTIONS(1429),
    [anon_sym_PLUS_PLUS] = ACTIONS(1431),
    [anon_sym_DASH_DASH] = ACTIONS(1431),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(1433),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1519),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1407),
    [anon_sym_readonly] = ACTIONS(1407),
    [anon_sym_get] = ACTIONS(1407),
    [anon_sym_set] = ACTIONS(1407),
    [anon_sym_declare] = ACTIONS(1407),
    [anon_sym_public] = ACTIONS(1407),
    [anon_sym_private] = ACTIONS(1407),
    [anon_sym_protected] = ACTIONS(1407),
    [anon_sym_override] = ACTIONS(1407),
    [anon_sym_module] = ACTIONS(1407),
    [anon_sym_any] = ACTIONS(1407),
    [anon_sym_number] = ACTIONS(1407),
    [anon_sym_boolean] = ACTIONS(1407),
    [anon_sym_string] = ACTIONS(1407),
    [anon_sym_symbol] = ACTIONS(1407),
    [anon_sym_object] = ACTIONS(1407),
    [sym_html_comment] = ACTIONS(5),
  },
  [654] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1461),
    [sym_expression] = STATE(2502),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5839),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5839),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5541),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1461),
    [sym_subscript_expression] = STATE(1461),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(3010),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5839),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1461),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(644),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(1513),
    [anon_sym_export] = ACTIONS(1407),
    [anon_sym_type] = ACTIONS(1407),
    [anon_sym_namespace] = ACTIONS(1409),
    [anon_sym_LBRACE] = ACTIONS(815),
    [anon_sym_typeof] = ACTIONS(1429),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(1413),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(1415),
    [anon_sym_yield] = ACTIONS(1417),
    [anon_sym_LBRACK] = ACTIONS(819),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1419),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1517),
    [anon_sym_using] = ACTIONS(1423),
    [anon_sym_PLUS] = ACTIONS(1429),
    [anon_sym_DASH] = ACTIONS(1429),
    [anon_sym_SLASH] = ACTIONS(979),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1413),
    [anon_sym_void] = ACTIONS(1429),
    [anon_sym_delete] = ACTIONS(1429),
    [anon_sym_PLUS_PLUS] = ACTIONS(1431),
    [anon_sym_DASH_DASH] = ACTIONS(1431),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(1433),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1519),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1407),
    [anon_sym_readonly] = ACTIONS(1407),
    [anon_sym_get] = ACTIONS(1407),
    [anon_sym_set] = ACTIONS(1407),
    [anon_sym_declare] = ACTIONS(1407),
    [anon_sym_public] = ACTIONS(1407),
    [anon_sym_private] = ACTIONS(1407),
    [anon_sym_protected] = ACTIONS(1407),
    [anon_sym_override] = ACTIONS(1407),
    [anon_sym_module] = ACTIONS(1407),
    [anon_sym_any] = ACTIONS(1407),
    [anon_sym_number] = ACTIONS(1407),
    [anon_sym_boolean] = ACTIONS(1407),
    [anon_sym_string] = ACTIONS(1407),
    [anon_sym_symbol] = ACTIONS(1407),
    [anon_sym_object] = ACTIONS(1407),
    [sym_html_comment] = ACTIONS(5),
  },
  [655] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1461),
    [sym_expression] = STATE(2503),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5839),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5839),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5541),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1461),
    [sym_subscript_expression] = STATE(1461),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(3010),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5839),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1461),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(644),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(1513),
    [anon_sym_export] = ACTIONS(1407),
    [anon_sym_type] = ACTIONS(1407),
    [anon_sym_namespace] = ACTIONS(1409),
    [anon_sym_LBRACE] = ACTIONS(815),
    [anon_sym_typeof] = ACTIONS(1429),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(1413),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(1415),
    [anon_sym_yield] = ACTIONS(1417),
    [anon_sym_LBRACK] = ACTIONS(819),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1419),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1517),
    [anon_sym_using] = ACTIONS(1423),
    [anon_sym_PLUS] = ACTIONS(1429),
    [anon_sym_DASH] = ACTIONS(1429),
    [anon_sym_SLASH] = ACTIONS(979),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1413),
    [anon_sym_void] = ACTIONS(1429),
    [anon_sym_delete] = ACTIONS(1429),
    [anon_sym_PLUS_PLUS] = ACTIONS(1431),
    [anon_sym_DASH_DASH] = ACTIONS(1431),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(1433),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1519),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1407),
    [anon_sym_readonly] = ACTIONS(1407),
    [anon_sym_get] = ACTIONS(1407),
    [anon_sym_set] = ACTIONS(1407),
    [anon_sym_declare] = ACTIONS(1407),
    [anon_sym_public] = ACTIONS(1407),
    [anon_sym_private] = ACTIONS(1407),
    [anon_sym_protected] = ACTIONS(1407),
    [anon_sym_override] = ACTIONS(1407),
    [anon_sym_module] = ACTIONS(1407),
    [anon_sym_any] = ACTIONS(1407),
    [anon_sym_number] = ACTIONS(1407),
    [anon_sym_boolean] = ACTIONS(1407),
    [anon_sym_string] = ACTIONS(1407),
    [anon_sym_symbol] = ACTIONS(1407),
    [anon_sym_object] = ACTIONS(1407),
    [sym_html_comment] = ACTIONS(5),
  },
  [656] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1461),
    [sym_expression] = STATE(2504),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5839),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5839),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5541),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1461),
    [sym_subscript_expression] = STATE(1461),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(3010),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5839),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1461),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(644),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(1513),
    [anon_sym_export] = ACTIONS(1407),
    [anon_sym_type] = ACTIONS(1407),
    [anon_sym_namespace] = ACTIONS(1409),
    [anon_sym_LBRACE] = ACTIONS(815),
    [anon_sym_typeof] = ACTIONS(1429),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(1413),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(1415),
    [anon_sym_yield] = ACTIONS(1417),
    [anon_sym_LBRACK] = ACTIONS(819),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1419),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1517),
    [anon_sym_using] = ACTIONS(1423),
    [anon_sym_PLUS] = ACTIONS(1429),
    [anon_sym_DASH] = ACTIONS(1429),
    [anon_sym_SLASH] = ACTIONS(979),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1413),
    [anon_sym_void] = ACTIONS(1429),
    [anon_sym_delete] = ACTIONS(1429),
    [anon_sym_PLUS_PLUS] = ACTIONS(1431),
    [anon_sym_DASH_DASH] = ACTIONS(1431),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(1433),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1519),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1407),
    [anon_sym_readonly] = ACTIONS(1407),
    [anon_sym_get] = ACTIONS(1407),
    [anon_sym_set] = ACTIONS(1407),
    [anon_sym_declare] = ACTIONS(1407),
    [anon_sym_public] = ACTIONS(1407),
    [anon_sym_private] = ACTIONS(1407),
    [anon_sym_protected] = ACTIONS(1407),
    [anon_sym_override] = ACTIONS(1407),
    [anon_sym_module] = ACTIONS(1407),
    [anon_sym_any] = ACTIONS(1407),
    [anon_sym_number] = ACTIONS(1407),
    [anon_sym_boolean] = ACTIONS(1407),
    [anon_sym_string] = ACTIONS(1407),
    [anon_sym_symbol] = ACTIONS(1407),
    [anon_sym_object] = ACTIONS(1407),
    [sym_html_comment] = ACTIONS(5),
  },
  [657] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1461),
    [sym_expression] = STATE(2505),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5839),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5839),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5541),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1461),
    [sym_subscript_expression] = STATE(1461),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(3010),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5839),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1461),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(644),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(1513),
    [anon_sym_export] = ACTIONS(1407),
    [anon_sym_type] = ACTIONS(1407),
    [anon_sym_namespace] = ACTIONS(1409),
    [anon_sym_LBRACE] = ACTIONS(815),
    [anon_sym_typeof] = ACTIONS(1429),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(1413),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(1415),
    [anon_sym_yield] = ACTIONS(1417),
    [anon_sym_LBRACK] = ACTIONS(819),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1419),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1517),
    [anon_sym_using] = ACTIONS(1423),
    [anon_sym_PLUS] = ACTIONS(1429),
    [anon_sym_DASH] = ACTIONS(1429),
    [anon_sym_SLASH] = ACTIONS(979),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1413),
    [anon_sym_void] = ACTIONS(1429),
    [anon_sym_delete] = ACTIONS(1429),
    [anon_sym_PLUS_PLUS] = ACTIONS(1431),
    [anon_sym_DASH_DASH] = ACTIONS(1431),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(1433),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1519),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1407),
    [anon_sym_readonly] = ACTIONS(1407),
    [anon_sym_get] = ACTIONS(1407),
    [anon_sym_set] = ACTIONS(1407),
    [anon_sym_declare] = ACTIONS(1407),
    [anon_sym_public] = ACTIONS(1407),
    [anon_sym_private] = ACTIONS(1407),
    [anon_sym_protected] = ACTIONS(1407),
    [anon_sym_override] = ACTIONS(1407),
    [anon_sym_module] = ACTIONS(1407),
    [anon_sym_any] = ACTIONS(1407),
    [anon_sym_number] = ACTIONS(1407),
    [anon_sym_boolean] = ACTIONS(1407),
    [anon_sym_string] = ACTIONS(1407),
    [anon_sym_symbol] = ACTIONS(1407),
    [anon_sym_object] = ACTIONS(1407),
    [sym_html_comment] = ACTIONS(5),
  },
  [658] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1461),
    [sym_expression] = STATE(2506),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5839),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5839),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5541),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1461),
    [sym_subscript_expression] = STATE(1461),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(3010),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5839),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1461),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(644),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(1513),
    [anon_sym_export] = ACTIONS(1407),
    [anon_sym_type] = ACTIONS(1407),
    [anon_sym_namespace] = ACTIONS(1409),
    [anon_sym_LBRACE] = ACTIONS(815),
    [anon_sym_typeof] = ACTIONS(1429),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(1413),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(1415),
    [anon_sym_yield] = ACTIONS(1417),
    [anon_sym_LBRACK] = ACTIONS(819),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1419),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1517),
    [anon_sym_using] = ACTIONS(1423),
    [anon_sym_PLUS] = ACTIONS(1429),
    [anon_sym_DASH] = ACTIONS(1429),
    [anon_sym_SLASH] = ACTIONS(979),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1413),
    [anon_sym_void] = ACTIONS(1429),
    [anon_sym_delete] = ACTIONS(1429),
    [anon_sym_PLUS_PLUS] = ACTIONS(1431),
    [anon_sym_DASH_DASH] = ACTIONS(1431),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(1433),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1519),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1407),
    [anon_sym_readonly] = ACTIONS(1407),
    [anon_sym_get] = ACTIONS(1407),
    [anon_sym_set] = ACTIONS(1407),
    [anon_sym_declare] = ACTIONS(1407),
    [anon_sym_public] = ACTIONS(1407),
    [anon_sym_private] = ACTIONS(1407),
    [anon_sym_protected] = ACTIONS(1407),
    [anon_sym_override] = ACTIONS(1407),
    [anon_sym_module] = ACTIONS(1407),
    [anon_sym_any] = ACTIONS(1407),
    [anon_sym_number] = ACTIONS(1407),
    [anon_sym_boolean] = ACTIONS(1407),
    [anon_sym_string] = ACTIONS(1407),
    [anon_sym_symbol] = ACTIONS(1407),
    [anon_sym_object] = ACTIONS(1407),
    [sym_html_comment] = ACTIONS(5),
  },
  [659] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1461),
    [sym_expression] = STATE(2507),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5839),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5839),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5541),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1461),
    [sym_subscript_expression] = STATE(1461),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(3010),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5839),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1461),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(644),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(1513),
    [anon_sym_export] = ACTIONS(1407),
    [anon_sym_type] = ACTIONS(1407),
    [anon_sym_namespace] = ACTIONS(1409),
    [anon_sym_LBRACE] = ACTIONS(815),
    [anon_sym_typeof] = ACTIONS(1429),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(1413),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(1415),
    [anon_sym_yield] = ACTIONS(1417),
    [anon_sym_LBRACK] = ACTIONS(819),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1419),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1517),
    [anon_sym_using] = ACTIONS(1423),
    [anon_sym_PLUS] = ACTIONS(1429),
    [anon_sym_DASH] = ACTIONS(1429),
    [anon_sym_SLASH] = ACTIONS(979),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1413),
    [anon_sym_void] = ACTIONS(1429),
    [anon_sym_delete] = ACTIONS(1429),
    [anon_sym_PLUS_PLUS] = ACTIONS(1431),
    [anon_sym_DASH_DASH] = ACTIONS(1431),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(1433),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1519),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1407),
    [anon_sym_readonly] = ACTIONS(1407),
    [anon_sym_get] = ACTIONS(1407),
    [anon_sym_set] = ACTIONS(1407),
    [anon_sym_declare] = ACTIONS(1407),
    [anon_sym_public] = ACTIONS(1407),
    [anon_sym_private] = ACTIONS(1407),
    [anon_sym_protected] = ACTIONS(1407),
    [anon_sym_override] = ACTIONS(1407),
    [anon_sym_module] = ACTIONS(1407),
    [anon_sym_any] = ACTIONS(1407),
    [anon_sym_number] = ACTIONS(1407),
    [anon_sym_boolean] = ACTIONS(1407),
    [anon_sym_string] = ACTIONS(1407),
    [anon_sym_symbol] = ACTIONS(1407),
    [anon_sym_object] = ACTIONS(1407),
    [sym_html_comment] = ACTIONS(5),
  },
  [660] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1461),
    [sym_expression] = STATE(2509),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5839),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5839),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5541),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1461),
    [sym_subscript_expression] = STATE(1461),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(3010),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5839),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1461),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(644),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(1513),
    [anon_sym_export] = ACTIONS(1407),
    [anon_sym_type] = ACTIONS(1407),
    [anon_sym_namespace] = ACTIONS(1409),
    [anon_sym_LBRACE] = ACTIONS(815),
    [anon_sym_typeof] = ACTIONS(1429),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(1413),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(1415),
    [anon_sym_yield] = ACTIONS(1417),
    [anon_sym_LBRACK] = ACTIONS(819),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1419),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1517),
    [anon_sym_using] = ACTIONS(1423),
    [anon_sym_PLUS] = ACTIONS(1429),
    [anon_sym_DASH] = ACTIONS(1429),
    [anon_sym_SLASH] = ACTIONS(979),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1413),
    [anon_sym_void] = ACTIONS(1429),
    [anon_sym_delete] = ACTIONS(1429),
    [anon_sym_PLUS_PLUS] = ACTIONS(1431),
    [anon_sym_DASH_DASH] = ACTIONS(1431),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(1433),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1519),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1407),
    [anon_sym_readonly] = ACTIONS(1407),
    [anon_sym_get] = ACTIONS(1407),
    [anon_sym_set] = ACTIONS(1407),
    [anon_sym_declare] = ACTIONS(1407),
    [anon_sym_public] = ACTIONS(1407),
    [anon_sym_private] = ACTIONS(1407),
    [anon_sym_protected] = ACTIONS(1407),
    [anon_sym_override] = ACTIONS(1407),
    [anon_sym_module] = ACTIONS(1407),
    [anon_sym_any] = ACTIONS(1407),
    [anon_sym_number] = ACTIONS(1407),
    [anon_sym_boolean] = ACTIONS(1407),
    [anon_sym_string] = ACTIONS(1407),
    [anon_sym_symbol] = ACTIONS(1407),
    [anon_sym_object] = ACTIONS(1407),
    [sym_html_comment] = ACTIONS(5),
  },
  [661] = {
    [sym_import] = STATE(3513),
    [sym_parenthesized_expression] = STATE(1353),
    [sym_expression] = STATE(1782),
    [sym_primary_expression] = STATE(1833),
    [sym_yield_expression] = STATE(2130),
    [sym_object] = STATE(2117),
    [sym_object_pattern] = STATE(5484),
    [sym_array] = STATE(2117),
    [sym_array_pattern] = STATE(5484),
    [sym_glimmer_template] = STATE(2130),
    [sym_class] = STATE(2117),
    [sym_function_expression] = STATE(2117),
    [sym_generator_function] = STATE(2117),
    [sym_arrow_function] = STATE(2117),
    [sym__call_signature] = STATE(5525),
    [sym_call_expression] = STATE(2117),
    [sym_new_expression] = STATE(1963),
    [sym_await_expression] = STATE(2130),
    [sym_member_expression] = STATE(1353),
    [sym_subscript_expression] = STATE(1353),
    [sym_assignment_expression] = STATE(2130),
    [sym__augmented_assignment_lhs] = STATE(3036),
    [sym_augmented_assignment_expression] = STATE(2130),
    [sym__destructuring_pattern] = STATE(5484),
    [sym_ternary_expression] = STATE(2130),
    [sym_binary_expression] = STATE(2130),
    [sym_unary_expression] = STATE(2130),
    [sym_update_expression] = STATE(2130),
    [sym_string] = STATE(2117),
    [sym_template_string] = STATE(2117),
    [sym_regex] = STATE(2117),
    [sym_meta_property] = STATE(2117),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1353),
    [sym_type_assertion] = STATE(2130),
    [sym_as_expression] = STATE(2130),
    [sym_satisfies_expression] = STATE(2130),
    [sym_instantiation_expression] = STATE(2130),
    [sym_internal_module] = STATE(2130),
    [sym_type_arguments] = STATE(427),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4499),
    [sym_identifier] = ACTIONS(1475),
    [anon_sym_export] = ACTIONS(1443),
    [anon_sym_type] = ACTIONS(1443),
    [anon_sym_namespace] = ACTIONS(1445),
    [anon_sym_LBRACE] = ACTIONS(670),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(674),
    [anon_sym_let] = ACTIONS(1443),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(681),
    [anon_sym_async] = ACTIONS(1449),
    [anon_sym_function] = ACTIONS(685),
    [anon_sym_new] = ACTIONS(1479),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1443),
    [anon_sym_readonly] = ACTIONS(1443),
    [anon_sym_get] = ACTIONS(1443),
    [anon_sym_set] = ACTIONS(1443),
    [anon_sym_declare] = ACTIONS(1443),
    [anon_sym_public] = ACTIONS(1443),
    [anon_sym_private] = ACTIONS(1443),
    [anon_sym_protected] = ACTIONS(1443),
    [anon_sym_override] = ACTIONS(1443),
    [anon_sym_module] = ACTIONS(1443),
    [anon_sym_any] = ACTIONS(1443),
    [anon_sym_number] = ACTIONS(1443),
    [anon_sym_boolean] = ACTIONS(1443),
    [anon_sym_string] = ACTIONS(1443),
    [anon_sym_symbol] = ACTIONS(1443),
    [anon_sym_object] = ACTIONS(1443),
    [sym_html_comment] = ACTIONS(5),
  },
  [662] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1461),
    [sym_expression] = STATE(2513),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5839),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5839),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5541),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1461),
    [sym_subscript_expression] = STATE(1461),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(3010),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5839),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1461),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(644),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(1513),
    [anon_sym_export] = ACTIONS(1407),
    [anon_sym_type] = ACTIONS(1407),
    [anon_sym_namespace] = ACTIONS(1409),
    [anon_sym_LBRACE] = ACTIONS(815),
    [anon_sym_typeof] = ACTIONS(1429),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(1413),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(1415),
    [anon_sym_yield] = ACTIONS(1417),
    [anon_sym_LBRACK] = ACTIONS(819),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1419),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1517),
    [anon_sym_using] = ACTIONS(1423),
    [anon_sym_PLUS] = ACTIONS(1429),
    [anon_sym_DASH] = ACTIONS(1429),
    [anon_sym_SLASH] = ACTIONS(979),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1413),
    [anon_sym_void] = ACTIONS(1429),
    [anon_sym_delete] = ACTIONS(1429),
    [anon_sym_PLUS_PLUS] = ACTIONS(1431),
    [anon_sym_DASH_DASH] = ACTIONS(1431),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(1433),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1519),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1407),
    [anon_sym_readonly] = ACTIONS(1407),
    [anon_sym_get] = ACTIONS(1407),
    [anon_sym_set] = ACTIONS(1407),
    [anon_sym_declare] = ACTIONS(1407),
    [anon_sym_public] = ACTIONS(1407),
    [anon_sym_private] = ACTIONS(1407),
    [anon_sym_protected] = ACTIONS(1407),
    [anon_sym_override] = ACTIONS(1407),
    [anon_sym_module] = ACTIONS(1407),
    [anon_sym_any] = ACTIONS(1407),
    [anon_sym_number] = ACTIONS(1407),
    [anon_sym_boolean] = ACTIONS(1407),
    [anon_sym_string] = ACTIONS(1407),
    [anon_sym_symbol] = ACTIONS(1407),
    [anon_sym_object] = ACTIONS(1407),
    [sym_html_comment] = ACTIONS(5),
  },
  [663] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1461),
    [sym_expression] = STATE(2514),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5839),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5839),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5541),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1461),
    [sym_subscript_expression] = STATE(1461),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(3010),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5839),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1461),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(644),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(1513),
    [anon_sym_export] = ACTIONS(1407),
    [anon_sym_type] = ACTIONS(1407),
    [anon_sym_namespace] = ACTIONS(1409),
    [anon_sym_LBRACE] = ACTIONS(815),
    [anon_sym_typeof] = ACTIONS(1429),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(1413),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(1415),
    [anon_sym_yield] = ACTIONS(1417),
    [anon_sym_LBRACK] = ACTIONS(819),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1419),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1517),
    [anon_sym_using] = ACTIONS(1423),
    [anon_sym_PLUS] = ACTIONS(1429),
    [anon_sym_DASH] = ACTIONS(1429),
    [anon_sym_SLASH] = ACTIONS(979),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1413),
    [anon_sym_void] = ACTIONS(1429),
    [anon_sym_delete] = ACTIONS(1429),
    [anon_sym_PLUS_PLUS] = ACTIONS(1431),
    [anon_sym_DASH_DASH] = ACTIONS(1431),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(1433),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1519),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1407),
    [anon_sym_readonly] = ACTIONS(1407),
    [anon_sym_get] = ACTIONS(1407),
    [anon_sym_set] = ACTIONS(1407),
    [anon_sym_declare] = ACTIONS(1407),
    [anon_sym_public] = ACTIONS(1407),
    [anon_sym_private] = ACTIONS(1407),
    [anon_sym_protected] = ACTIONS(1407),
    [anon_sym_override] = ACTIONS(1407),
    [anon_sym_module] = ACTIONS(1407),
    [anon_sym_any] = ACTIONS(1407),
    [anon_sym_number] = ACTIONS(1407),
    [anon_sym_boolean] = ACTIONS(1407),
    [anon_sym_string] = ACTIONS(1407),
    [anon_sym_symbol] = ACTIONS(1407),
    [anon_sym_object] = ACTIONS(1407),
    [sym_html_comment] = ACTIONS(5),
  },
  [664] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1461),
    [sym_expression] = STATE(2515),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5839),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5839),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5541),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1461),
    [sym_subscript_expression] = STATE(1461),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(3010),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5839),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1461),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(644),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(1513),
    [anon_sym_export] = ACTIONS(1407),
    [anon_sym_type] = ACTIONS(1407),
    [anon_sym_namespace] = ACTIONS(1409),
    [anon_sym_LBRACE] = ACTIONS(815),
    [anon_sym_typeof] = ACTIONS(1429),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(1413),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(1415),
    [anon_sym_yield] = ACTIONS(1417),
    [anon_sym_LBRACK] = ACTIONS(819),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1419),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1517),
    [anon_sym_using] = ACTIONS(1423),
    [anon_sym_PLUS] = ACTIONS(1429),
    [anon_sym_DASH] = ACTIONS(1429),
    [anon_sym_SLASH] = ACTIONS(979),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1413),
    [anon_sym_void] = ACTIONS(1429),
    [anon_sym_delete] = ACTIONS(1429),
    [anon_sym_PLUS_PLUS] = ACTIONS(1431),
    [anon_sym_DASH_DASH] = ACTIONS(1431),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(1433),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1519),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1407),
    [anon_sym_readonly] = ACTIONS(1407),
    [anon_sym_get] = ACTIONS(1407),
    [anon_sym_set] = ACTIONS(1407),
    [anon_sym_declare] = ACTIONS(1407),
    [anon_sym_public] = ACTIONS(1407),
    [anon_sym_private] = ACTIONS(1407),
    [anon_sym_protected] = ACTIONS(1407),
    [anon_sym_override] = ACTIONS(1407),
    [anon_sym_module] = ACTIONS(1407),
    [anon_sym_any] = ACTIONS(1407),
    [anon_sym_number] = ACTIONS(1407),
    [anon_sym_boolean] = ACTIONS(1407),
    [anon_sym_string] = ACTIONS(1407),
    [anon_sym_symbol] = ACTIONS(1407),
    [anon_sym_object] = ACTIONS(1407),
    [sym_html_comment] = ACTIONS(5),
  },
  [665] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1461),
    [sym_expression] = STATE(2518),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5839),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5839),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5541),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1461),
    [sym_subscript_expression] = STATE(1461),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(3010),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5839),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1461),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(644),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(1513),
    [anon_sym_export] = ACTIONS(1407),
    [anon_sym_type] = ACTIONS(1407),
    [anon_sym_namespace] = ACTIONS(1409),
    [anon_sym_LBRACE] = ACTIONS(815),
    [anon_sym_typeof] = ACTIONS(1429),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(1413),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(1415),
    [anon_sym_yield] = ACTIONS(1417),
    [anon_sym_LBRACK] = ACTIONS(819),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1419),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1517),
    [anon_sym_using] = ACTIONS(1423),
    [anon_sym_PLUS] = ACTIONS(1429),
    [anon_sym_DASH] = ACTIONS(1429),
    [anon_sym_SLASH] = ACTIONS(979),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1413),
    [anon_sym_void] = ACTIONS(1429),
    [anon_sym_delete] = ACTIONS(1429),
    [anon_sym_PLUS_PLUS] = ACTIONS(1431),
    [anon_sym_DASH_DASH] = ACTIONS(1431),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(1433),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1519),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1407),
    [anon_sym_readonly] = ACTIONS(1407),
    [anon_sym_get] = ACTIONS(1407),
    [anon_sym_set] = ACTIONS(1407),
    [anon_sym_declare] = ACTIONS(1407),
    [anon_sym_public] = ACTIONS(1407),
    [anon_sym_private] = ACTIONS(1407),
    [anon_sym_protected] = ACTIONS(1407),
    [anon_sym_override] = ACTIONS(1407),
    [anon_sym_module] = ACTIONS(1407),
    [anon_sym_any] = ACTIONS(1407),
    [anon_sym_number] = ACTIONS(1407),
    [anon_sym_boolean] = ACTIONS(1407),
    [anon_sym_string] = ACTIONS(1407),
    [anon_sym_symbol] = ACTIONS(1407),
    [anon_sym_object] = ACTIONS(1407),
    [sym_html_comment] = ACTIONS(5),
  },
  [666] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1461),
    [sym_expression] = STATE(2519),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5839),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5839),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5541),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1461),
    [sym_subscript_expression] = STATE(1461),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(3010),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5839),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1461),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(644),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(1513),
    [anon_sym_export] = ACTIONS(1407),
    [anon_sym_type] = ACTIONS(1407),
    [anon_sym_namespace] = ACTIONS(1409),
    [anon_sym_LBRACE] = ACTIONS(815),
    [anon_sym_typeof] = ACTIONS(1429),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(1413),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(1415),
    [anon_sym_yield] = ACTIONS(1417),
    [anon_sym_LBRACK] = ACTIONS(819),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1419),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1517),
    [anon_sym_using] = ACTIONS(1423),
    [anon_sym_PLUS] = ACTIONS(1429),
    [anon_sym_DASH] = ACTIONS(1429),
    [anon_sym_SLASH] = ACTIONS(979),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1413),
    [anon_sym_void] = ACTIONS(1429),
    [anon_sym_delete] = ACTIONS(1429),
    [anon_sym_PLUS_PLUS] = ACTIONS(1431),
    [anon_sym_DASH_DASH] = ACTIONS(1431),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(1433),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1519),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1407),
    [anon_sym_readonly] = ACTIONS(1407),
    [anon_sym_get] = ACTIONS(1407),
    [anon_sym_set] = ACTIONS(1407),
    [anon_sym_declare] = ACTIONS(1407),
    [anon_sym_public] = ACTIONS(1407),
    [anon_sym_private] = ACTIONS(1407),
    [anon_sym_protected] = ACTIONS(1407),
    [anon_sym_override] = ACTIONS(1407),
    [anon_sym_module] = ACTIONS(1407),
    [anon_sym_any] = ACTIONS(1407),
    [anon_sym_number] = ACTIONS(1407),
    [anon_sym_boolean] = ACTIONS(1407),
    [anon_sym_string] = ACTIONS(1407),
    [anon_sym_symbol] = ACTIONS(1407),
    [anon_sym_object] = ACTIONS(1407),
    [sym_html_comment] = ACTIONS(5),
  },
  [667] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1468),
    [sym_expression] = STATE(2615),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5553),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5553),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5824),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1468),
    [sym_subscript_expression] = STATE(1468),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(2969),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5553),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1468),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(537),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(2238),
    [anon_sym_export] = ACTIONS(2240),
    [anon_sym_type] = ACTIONS(2240),
    [anon_sym_namespace] = ACTIONS(2242),
    [anon_sym_LBRACE] = ACTIONS(815),
    [anon_sym_typeof] = ACTIONS(184),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(2240),
    [anon_sym_BANG] = ACTIONS(180),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(819),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(2244),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(2246),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(184),
    [anon_sym_DASH] = ACTIONS(184),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(691),
    [anon_sym_DASH_DASH] = ACTIONS(691),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(2248),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(2240),
    [anon_sym_readonly] = ACTIONS(2240),
    [anon_sym_get] = ACTIONS(2240),
    [anon_sym_set] = ACTIONS(2240),
    [anon_sym_declare] = ACTIONS(2240),
    [anon_sym_public] = ACTIONS(2240),
    [anon_sym_private] = ACTIONS(2240),
    [anon_sym_protected] = ACTIONS(2240),
    [anon_sym_override] = ACTIONS(2240),
    [anon_sym_module] = ACTIONS(2240),
    [anon_sym_any] = ACTIONS(2240),
    [anon_sym_number] = ACTIONS(2240),
    [anon_sym_boolean] = ACTIONS(2240),
    [anon_sym_string] = ACTIONS(2240),
    [anon_sym_symbol] = ACTIONS(2240),
    [anon_sym_object] = ACTIONS(2240),
    [sym_html_comment] = ACTIONS(5),
  },
  [668] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1457),
    [sym_expression] = STATE(2579),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5827),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5827),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5728),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1457),
    [sym_subscript_expression] = STATE(1457),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(3001),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5827),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1457),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(591),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(1521),
    [anon_sym_export] = ACTIONS(1361),
    [anon_sym_type] = ACTIONS(1361),
    [anon_sym_namespace] = ACTIONS(1363),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(1383),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1361),
    [anon_sym_BANG] = ACTIONS(1367),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(1369),
    [anon_sym_yield] = ACTIONS(1371),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1373),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1525),
    [anon_sym_using] = ACTIONS(1377),
    [anon_sym_PLUS] = ACTIONS(1383),
    [anon_sym_DASH] = ACTIONS(1383),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1367),
    [anon_sym_void] = ACTIONS(1383),
    [anon_sym_delete] = ACTIONS(1383),
    [anon_sym_PLUS_PLUS] = ACTIONS(1385),
    [anon_sym_DASH_DASH] = ACTIONS(1385),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(1387),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1527),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1361),
    [anon_sym_readonly] = ACTIONS(1361),
    [anon_sym_get] = ACTIONS(1361),
    [anon_sym_set] = ACTIONS(1361),
    [anon_sym_declare] = ACTIONS(1361),
    [anon_sym_public] = ACTIONS(1361),
    [anon_sym_private] = ACTIONS(1361),
    [anon_sym_protected] = ACTIONS(1361),
    [anon_sym_override] = ACTIONS(1361),
    [anon_sym_module] = ACTIONS(1361),
    [anon_sym_any] = ACTIONS(1361),
    [anon_sym_number] = ACTIONS(1361),
    [anon_sym_boolean] = ACTIONS(1361),
    [anon_sym_string] = ACTIONS(1361),
    [anon_sym_symbol] = ACTIONS(1361),
    [anon_sym_object] = ACTIONS(1361),
    [sym_html_comment] = ACTIONS(5),
  },
  [669] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1324),
    [sym_expression] = STATE(2439),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5710),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5710),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5565),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1324),
    [sym_subscript_expression] = STATE(1324),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(2958),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5710),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1324),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(482),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(1463),
    [anon_sym_export] = ACTIONS(1055),
    [anon_sym_type] = ACTIONS(1055),
    [anon_sym_namespace] = ACTIONS(1057),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(620),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1055),
    [anon_sym_BANG] = ACTIONS(592),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(594),
    [anon_sym_yield] = ACTIONS(596),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1065),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1471),
    [anon_sym_using] = ACTIONS(606),
    [anon_sym_PLUS] = ACTIONS(620),
    [anon_sym_DASH] = ACTIONS(620),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(592),
    [anon_sym_void] = ACTIONS(620),
    [anon_sym_delete] = ACTIONS(620),
    [anon_sym_PLUS_PLUS] = ACTIONS(622),
    [anon_sym_DASH_DASH] = ACTIONS(622),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(624),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1473),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1055),
    [anon_sym_readonly] = ACTIONS(1055),
    [anon_sym_get] = ACTIONS(1055),
    [anon_sym_set] = ACTIONS(1055),
    [anon_sym_declare] = ACTIONS(1055),
    [anon_sym_public] = ACTIONS(1055),
    [anon_sym_private] = ACTIONS(1055),
    [anon_sym_protected] = ACTIONS(1055),
    [anon_sym_override] = ACTIONS(1055),
    [anon_sym_module] = ACTIONS(1055),
    [anon_sym_any] = ACTIONS(1055),
    [anon_sym_number] = ACTIONS(1055),
    [anon_sym_boolean] = ACTIONS(1055),
    [anon_sym_string] = ACTIONS(1055),
    [anon_sym_symbol] = ACTIONS(1055),
    [anon_sym_object] = ACTIONS(1055),
    [sym_html_comment] = ACTIONS(5),
  },
  [670] = {
    [sym_import] = STATE(3513),
    [sym_parenthesized_expression] = STATE(1417),
    [sym_expression] = STATE(2259),
    [sym_primary_expression] = STATE(1833),
    [sym_yield_expression] = STATE(2130),
    [sym_object] = STATE(2117),
    [sym_object_pattern] = STATE(5592),
    [sym_array] = STATE(2117),
    [sym_array_pattern] = STATE(5592),
    [sym_glimmer_template] = STATE(2130),
    [sym_class] = STATE(2117),
    [sym_function_expression] = STATE(2117),
    [sym_generator_function] = STATE(2117),
    [sym_arrow_function] = STATE(2117),
    [sym__call_signature] = STATE(5478),
    [sym_call_expression] = STATE(2117),
    [sym_new_expression] = STATE(1963),
    [sym_await_expression] = STATE(2130),
    [sym_member_expression] = STATE(1417),
    [sym_subscript_expression] = STATE(1417),
    [sym_assignment_expression] = STATE(2130),
    [sym__augmented_assignment_lhs] = STATE(3012),
    [sym_augmented_assignment_expression] = STATE(2130),
    [sym__destructuring_pattern] = STATE(5592),
    [sym_ternary_expression] = STATE(2130),
    [sym_binary_expression] = STATE(2130),
    [sym_unary_expression] = STATE(2130),
    [sym_update_expression] = STATE(2130),
    [sym_string] = STATE(2117),
    [sym_template_string] = STATE(2117),
    [sym_regex] = STATE(2117),
    [sym_meta_property] = STATE(2117),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1417),
    [sym_type_assertion] = STATE(2130),
    [sym_as_expression] = STATE(2130),
    [sym_satisfies_expression] = STATE(2130),
    [sym_instantiation_expression] = STATE(2130),
    [sym_internal_module] = STATE(2130),
    [sym_type_arguments] = STATE(450),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4499),
    [sym_identifier] = ACTIONS(1497),
    [anon_sym_export] = ACTIONS(1129),
    [anon_sym_type] = ACTIONS(1129),
    [anon_sym_namespace] = ACTIONS(1131),
    [anon_sym_LBRACE] = ACTIONS(670),
    [anon_sym_typeof] = ACTIONS(1157),
    [anon_sym_import] = ACTIONS(674),
    [anon_sym_let] = ACTIONS(1129),
    [anon_sym_BANG] = ACTIONS(1137),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1141),
    [anon_sym_yield] = ACTIONS(1143),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(681),
    [anon_sym_async] = ACTIONS(1147),
    [anon_sym_function] = ACTIONS(685),
    [anon_sym_new] = ACTIONS(1501),
    [anon_sym_using] = ACTIONS(1151),
    [anon_sym_PLUS] = ACTIONS(1157),
    [anon_sym_DASH] = ACTIONS(1157),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1137),
    [anon_sym_void] = ACTIONS(1157),
    [anon_sym_delete] = ACTIONS(1157),
    [anon_sym_PLUS_PLUS] = ACTIONS(1159),
    [anon_sym_DASH_DASH] = ACTIONS(1159),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1165),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1503),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1129),
    [anon_sym_readonly] = ACTIONS(1129),
    [anon_sym_get] = ACTIONS(1129),
    [anon_sym_set] = ACTIONS(1129),
    [anon_sym_declare] = ACTIONS(1129),
    [anon_sym_public] = ACTIONS(1129),
    [anon_sym_private] = ACTIONS(1129),
    [anon_sym_protected] = ACTIONS(1129),
    [anon_sym_override] = ACTIONS(1129),
    [anon_sym_module] = ACTIONS(1129),
    [anon_sym_any] = ACTIONS(1129),
    [anon_sym_number] = ACTIONS(1129),
    [anon_sym_boolean] = ACTIONS(1129),
    [anon_sym_string] = ACTIONS(1129),
    [anon_sym_symbol] = ACTIONS(1129),
    [anon_sym_object] = ACTIONS(1129),
    [sym_html_comment] = ACTIONS(5),
  },
  [671] = {
    [sym_import] = STATE(3513),
    [sym_parenthesized_expression] = STATE(1417),
    [sym_expression] = STATE(2260),
    [sym_primary_expression] = STATE(1833),
    [sym_yield_expression] = STATE(2130),
    [sym_object] = STATE(2117),
    [sym_object_pattern] = STATE(5592),
    [sym_array] = STATE(2117),
    [sym_array_pattern] = STATE(5592),
    [sym_glimmer_template] = STATE(2130),
    [sym_class] = STATE(2117),
    [sym_function_expression] = STATE(2117),
    [sym_generator_function] = STATE(2117),
    [sym_arrow_function] = STATE(2117),
    [sym__call_signature] = STATE(5478),
    [sym_call_expression] = STATE(2117),
    [sym_new_expression] = STATE(1963),
    [sym_await_expression] = STATE(2130),
    [sym_member_expression] = STATE(1417),
    [sym_subscript_expression] = STATE(1417),
    [sym_assignment_expression] = STATE(2130),
    [sym__augmented_assignment_lhs] = STATE(3012),
    [sym_augmented_assignment_expression] = STATE(2130),
    [sym__destructuring_pattern] = STATE(5592),
    [sym_ternary_expression] = STATE(2130),
    [sym_binary_expression] = STATE(2130),
    [sym_unary_expression] = STATE(2130),
    [sym_update_expression] = STATE(2130),
    [sym_string] = STATE(2117),
    [sym_template_string] = STATE(2117),
    [sym_regex] = STATE(2117),
    [sym_meta_property] = STATE(2117),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1417),
    [sym_type_assertion] = STATE(2130),
    [sym_as_expression] = STATE(2130),
    [sym_satisfies_expression] = STATE(2130),
    [sym_instantiation_expression] = STATE(2130),
    [sym_internal_module] = STATE(2130),
    [sym_type_arguments] = STATE(450),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4499),
    [sym_identifier] = ACTIONS(1497),
    [anon_sym_export] = ACTIONS(1129),
    [anon_sym_type] = ACTIONS(1129),
    [anon_sym_namespace] = ACTIONS(1131),
    [anon_sym_LBRACE] = ACTIONS(670),
    [anon_sym_typeof] = ACTIONS(1157),
    [anon_sym_import] = ACTIONS(674),
    [anon_sym_let] = ACTIONS(1129),
    [anon_sym_BANG] = ACTIONS(1137),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1141),
    [anon_sym_yield] = ACTIONS(1143),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(681),
    [anon_sym_async] = ACTIONS(1147),
    [anon_sym_function] = ACTIONS(685),
    [anon_sym_new] = ACTIONS(1501),
    [anon_sym_using] = ACTIONS(1151),
    [anon_sym_PLUS] = ACTIONS(1157),
    [anon_sym_DASH] = ACTIONS(1157),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1137),
    [anon_sym_void] = ACTIONS(1157),
    [anon_sym_delete] = ACTIONS(1157),
    [anon_sym_PLUS_PLUS] = ACTIONS(1159),
    [anon_sym_DASH_DASH] = ACTIONS(1159),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1165),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1503),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1129),
    [anon_sym_readonly] = ACTIONS(1129),
    [anon_sym_get] = ACTIONS(1129),
    [anon_sym_set] = ACTIONS(1129),
    [anon_sym_declare] = ACTIONS(1129),
    [anon_sym_public] = ACTIONS(1129),
    [anon_sym_private] = ACTIONS(1129),
    [anon_sym_protected] = ACTIONS(1129),
    [anon_sym_override] = ACTIONS(1129),
    [anon_sym_module] = ACTIONS(1129),
    [anon_sym_any] = ACTIONS(1129),
    [anon_sym_number] = ACTIONS(1129),
    [anon_sym_boolean] = ACTIONS(1129),
    [anon_sym_string] = ACTIONS(1129),
    [anon_sym_symbol] = ACTIONS(1129),
    [anon_sym_object] = ACTIONS(1129),
    [sym_html_comment] = ACTIONS(5),
  },
  [672] = {
    [sym_import] = STATE(3513),
    [sym_parenthesized_expression] = STATE(1417),
    [sym_expression] = STATE(2262),
    [sym_primary_expression] = STATE(1833),
    [sym_yield_expression] = STATE(2130),
    [sym_object] = STATE(2117),
    [sym_object_pattern] = STATE(5592),
    [sym_array] = STATE(2117),
    [sym_array_pattern] = STATE(5592),
    [sym_glimmer_template] = STATE(2130),
    [sym_class] = STATE(2117),
    [sym_function_expression] = STATE(2117),
    [sym_generator_function] = STATE(2117),
    [sym_arrow_function] = STATE(2117),
    [sym__call_signature] = STATE(5478),
    [sym_call_expression] = STATE(2117),
    [sym_new_expression] = STATE(1963),
    [sym_await_expression] = STATE(2130),
    [sym_member_expression] = STATE(1417),
    [sym_subscript_expression] = STATE(1417),
    [sym_assignment_expression] = STATE(2130),
    [sym__augmented_assignment_lhs] = STATE(3012),
    [sym_augmented_assignment_expression] = STATE(2130),
    [sym__destructuring_pattern] = STATE(5592),
    [sym_ternary_expression] = STATE(2130),
    [sym_binary_expression] = STATE(2130),
    [sym_unary_expression] = STATE(2130),
    [sym_update_expression] = STATE(2130),
    [sym_string] = STATE(2117),
    [sym_template_string] = STATE(2117),
    [sym_regex] = STATE(2117),
    [sym_meta_property] = STATE(2117),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1417),
    [sym_type_assertion] = STATE(2130),
    [sym_as_expression] = STATE(2130),
    [sym_satisfies_expression] = STATE(2130),
    [sym_instantiation_expression] = STATE(2130),
    [sym_internal_module] = STATE(2130),
    [sym_type_arguments] = STATE(450),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4499),
    [sym_identifier] = ACTIONS(1497),
    [anon_sym_export] = ACTIONS(1129),
    [anon_sym_type] = ACTIONS(1129),
    [anon_sym_namespace] = ACTIONS(1131),
    [anon_sym_LBRACE] = ACTIONS(670),
    [anon_sym_typeof] = ACTIONS(1157),
    [anon_sym_import] = ACTIONS(674),
    [anon_sym_let] = ACTIONS(1129),
    [anon_sym_BANG] = ACTIONS(1137),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1141),
    [anon_sym_yield] = ACTIONS(1143),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(681),
    [anon_sym_async] = ACTIONS(1147),
    [anon_sym_function] = ACTIONS(685),
    [anon_sym_new] = ACTIONS(1501),
    [anon_sym_using] = ACTIONS(1151),
    [anon_sym_PLUS] = ACTIONS(1157),
    [anon_sym_DASH] = ACTIONS(1157),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1137),
    [anon_sym_void] = ACTIONS(1157),
    [anon_sym_delete] = ACTIONS(1157),
    [anon_sym_PLUS_PLUS] = ACTIONS(1159),
    [anon_sym_DASH_DASH] = ACTIONS(1159),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1165),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1503),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1129),
    [anon_sym_readonly] = ACTIONS(1129),
    [anon_sym_get] = ACTIONS(1129),
    [anon_sym_set] = ACTIONS(1129),
    [anon_sym_declare] = ACTIONS(1129),
    [anon_sym_public] = ACTIONS(1129),
    [anon_sym_private] = ACTIONS(1129),
    [anon_sym_protected] = ACTIONS(1129),
    [anon_sym_override] = ACTIONS(1129),
    [anon_sym_module] = ACTIONS(1129),
    [anon_sym_any] = ACTIONS(1129),
    [anon_sym_number] = ACTIONS(1129),
    [anon_sym_boolean] = ACTIONS(1129),
    [anon_sym_string] = ACTIONS(1129),
    [anon_sym_symbol] = ACTIONS(1129),
    [anon_sym_object] = ACTIONS(1129),
    [sym_html_comment] = ACTIONS(5),
  },
  [673] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1324),
    [sym_expression] = STATE(1771),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5710),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5710),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5565),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1324),
    [sym_subscript_expression] = STATE(1324),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(2958),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5710),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1324),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(482),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(1463),
    [anon_sym_export] = ACTIONS(1055),
    [anon_sym_type] = ACTIONS(1055),
    [anon_sym_namespace] = ACTIONS(1057),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(620),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1055),
    [anon_sym_BANG] = ACTIONS(592),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(594),
    [anon_sym_yield] = ACTIONS(596),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1065),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1471),
    [anon_sym_using] = ACTIONS(606),
    [anon_sym_PLUS] = ACTIONS(620),
    [anon_sym_DASH] = ACTIONS(620),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(592),
    [anon_sym_void] = ACTIONS(620),
    [anon_sym_delete] = ACTIONS(620),
    [anon_sym_PLUS_PLUS] = ACTIONS(622),
    [anon_sym_DASH_DASH] = ACTIONS(622),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(624),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1473),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1055),
    [anon_sym_readonly] = ACTIONS(1055),
    [anon_sym_get] = ACTIONS(1055),
    [anon_sym_set] = ACTIONS(1055),
    [anon_sym_declare] = ACTIONS(1055),
    [anon_sym_public] = ACTIONS(1055),
    [anon_sym_private] = ACTIONS(1055),
    [anon_sym_protected] = ACTIONS(1055),
    [anon_sym_override] = ACTIONS(1055),
    [anon_sym_module] = ACTIONS(1055),
    [anon_sym_any] = ACTIONS(1055),
    [anon_sym_number] = ACTIONS(1055),
    [anon_sym_boolean] = ACTIONS(1055),
    [anon_sym_string] = ACTIONS(1055),
    [anon_sym_symbol] = ACTIONS(1055),
    [anon_sym_object] = ACTIONS(1055),
    [sym_html_comment] = ACTIONS(5),
  },
  [674] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1324),
    [sym_expression] = STATE(2323),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(4302),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(4302),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5565),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1351),
    [sym_subscript_expression] = STATE(1351),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(2958),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(4302),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1351),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(482),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(2250),
    [anon_sym_export] = ACTIONS(1307),
    [anon_sym_type] = ACTIONS(1307),
    [anon_sym_namespace] = ACTIONS(1309),
    [anon_sym_LBRACE] = ACTIONS(815),
    [anon_sym_typeof] = ACTIONS(620),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1307),
    [anon_sym_BANG] = ACTIONS(592),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(594),
    [anon_sym_yield] = ACTIONS(596),
    [anon_sym_LBRACK] = ACTIONS(819),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1313),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(2252),
    [anon_sym_using] = ACTIONS(606),
    [anon_sym_PLUS] = ACTIONS(620),
    [anon_sym_DASH] = ACTIONS(620),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(592),
    [anon_sym_void] = ACTIONS(620),
    [anon_sym_delete] = ACTIONS(620),
    [anon_sym_PLUS_PLUS] = ACTIONS(622),
    [anon_sym_DASH_DASH] = ACTIONS(622),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(624),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(2254),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1307),
    [anon_sym_readonly] = ACTIONS(1307),
    [anon_sym_get] = ACTIONS(1307),
    [anon_sym_set] = ACTIONS(1307),
    [anon_sym_declare] = ACTIONS(1307),
    [anon_sym_public] = ACTIONS(1307),
    [anon_sym_private] = ACTIONS(1307),
    [anon_sym_protected] = ACTIONS(1307),
    [anon_sym_override] = ACTIONS(1307),
    [anon_sym_module] = ACTIONS(1307),
    [anon_sym_any] = ACTIONS(1307),
    [anon_sym_number] = ACTIONS(1307),
    [anon_sym_boolean] = ACTIONS(1307),
    [anon_sym_string] = ACTIONS(1307),
    [anon_sym_symbol] = ACTIONS(1307),
    [anon_sym_object] = ACTIONS(1307),
    [sym_html_comment] = ACTIONS(5),
  },
  [675] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1461),
    [sym_expression] = STATE(2518),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5839),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5839),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5541),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1461),
    [sym_subscript_expression] = STATE(1461),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(3010),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5839),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1461),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(644),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(1513),
    [anon_sym_export] = ACTIONS(1407),
    [anon_sym_type] = ACTIONS(1407),
    [anon_sym_namespace] = ACTIONS(1409),
    [anon_sym_LBRACE] = ACTIONS(815),
    [anon_sym_typeof] = ACTIONS(1429),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(1413),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(1415),
    [anon_sym_yield] = ACTIONS(1417),
    [anon_sym_LBRACK] = ACTIONS(819),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1419),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1517),
    [anon_sym_using] = ACTIONS(1423),
    [anon_sym_PLUS] = ACTIONS(1429),
    [anon_sym_DASH] = ACTIONS(1429),
    [anon_sym_SLASH] = ACTIONS(979),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1413),
    [anon_sym_void] = ACTIONS(1429),
    [anon_sym_delete] = ACTIONS(1429),
    [anon_sym_PLUS_PLUS] = ACTIONS(1431),
    [anon_sym_DASH_DASH] = ACTIONS(1431),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(2134),
    [sym_private_property_identifier] = ACTIONS(1433),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1519),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1407),
    [anon_sym_readonly] = ACTIONS(1407),
    [anon_sym_get] = ACTIONS(1407),
    [anon_sym_set] = ACTIONS(1407),
    [anon_sym_declare] = ACTIONS(1407),
    [anon_sym_public] = ACTIONS(1407),
    [anon_sym_private] = ACTIONS(1407),
    [anon_sym_protected] = ACTIONS(1407),
    [anon_sym_override] = ACTIONS(1407),
    [anon_sym_module] = ACTIONS(1407),
    [anon_sym_any] = ACTIONS(1407),
    [anon_sym_number] = ACTIONS(1407),
    [anon_sym_boolean] = ACTIONS(1407),
    [anon_sym_string] = ACTIONS(1407),
    [anon_sym_symbol] = ACTIONS(1407),
    [anon_sym_object] = ACTIONS(1407),
    [sym_html_comment] = ACTIONS(5),
  },
  [676] = {
    [sym_import] = STATE(3513),
    [sym_parenthesized_expression] = STATE(1364),
    [sym_expression] = STATE(1875),
    [sym_primary_expression] = STATE(1833),
    [sym_yield_expression] = STATE(2130),
    [sym_object] = STATE(2117),
    [sym_object_pattern] = STATE(5785),
    [sym_array] = STATE(2117),
    [sym_array_pattern] = STATE(5785),
    [sym_glimmer_template] = STATE(2130),
    [sym_class] = STATE(2117),
    [sym_function_expression] = STATE(2117),
    [sym_generator_function] = STATE(2117),
    [sym_arrow_function] = STATE(2117),
    [sym__call_signature] = STATE(5783),
    [sym_call_expression] = STATE(2117),
    [sym_new_expression] = STATE(1963),
    [sym_await_expression] = STATE(2130),
    [sym_member_expression] = STATE(1364),
    [sym_subscript_expression] = STATE(1364),
    [sym_assignment_expression] = STATE(2130),
    [sym__augmented_assignment_lhs] = STATE(3037),
    [sym_augmented_assignment_expression] = STATE(2130),
    [sym__destructuring_pattern] = STATE(5785),
    [sym_ternary_expression] = STATE(2130),
    [sym_binary_expression] = STATE(2130),
    [sym_unary_expression] = STATE(2130),
    [sym_update_expression] = STATE(2130),
    [sym_string] = STATE(2117),
    [sym_template_string] = STATE(2117),
    [sym_regex] = STATE(2117),
    [sym_meta_property] = STATE(2117),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1364),
    [sym_type_assertion] = STATE(2130),
    [sym_as_expression] = STATE(2130),
    [sym_satisfies_expression] = STATE(2130),
    [sym_instantiation_expression] = STATE(2130),
    [sym_internal_module] = STATE(2130),
    [sym_type_arguments] = STATE(511),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4499),
    [sym_identifier] = ACTIONS(1481),
    [anon_sym_export] = ACTIONS(1227),
    [anon_sym_type] = ACTIONS(1227),
    [anon_sym_namespace] = ACTIONS(1229),
    [anon_sym_LBRACE] = ACTIONS(670),
    [anon_sym_typeof] = ACTIONS(1253),
    [anon_sym_import] = ACTIONS(674),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_BANG] = ACTIONS(1235),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1237),
    [anon_sym_yield] = ACTIONS(1239),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(681),
    [anon_sym_async] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(685),
    [anon_sym_new] = ACTIONS(1485),
    [anon_sym_using] = ACTIONS(1247),
    [anon_sym_PLUS] = ACTIONS(1253),
    [anon_sym_DASH] = ACTIONS(1253),
    [anon_sym_SLASH] = ACTIONS(885),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1235),
    [anon_sym_void] = ACTIONS(1253),
    [anon_sym_delete] = ACTIONS(1253),
    [anon_sym_PLUS_PLUS] = ACTIONS(1255),
    [anon_sym_DASH_DASH] = ACTIONS(1255),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1261),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1487),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1227),
    [anon_sym_readonly] = ACTIONS(1227),
    [anon_sym_get] = ACTIONS(1227),
    [anon_sym_set] = ACTIONS(1227),
    [anon_sym_declare] = ACTIONS(1227),
    [anon_sym_public] = ACTIONS(1227),
    [anon_sym_private] = ACTIONS(1227),
    [anon_sym_protected] = ACTIONS(1227),
    [anon_sym_override] = ACTIONS(1227),
    [anon_sym_module] = ACTIONS(1227),
    [anon_sym_any] = ACTIONS(1227),
    [anon_sym_number] = ACTIONS(1227),
    [anon_sym_boolean] = ACTIONS(1227),
    [anon_sym_string] = ACTIONS(1227),
    [anon_sym_symbol] = ACTIONS(1227),
    [anon_sym_object] = ACTIONS(1227),
    [sym_html_comment] = ACTIONS(5),
  },
  [677] = {
    [sym_import] = STATE(3513),
    [sym_parenthesized_expression] = STATE(1364),
    [sym_expression] = STATE(1876),
    [sym_primary_expression] = STATE(1833),
    [sym_yield_expression] = STATE(2130),
    [sym_object] = STATE(2117),
    [sym_object_pattern] = STATE(5785),
    [sym_array] = STATE(2117),
    [sym_array_pattern] = STATE(5785),
    [sym_glimmer_template] = STATE(2130),
    [sym_class] = STATE(2117),
    [sym_function_expression] = STATE(2117),
    [sym_generator_function] = STATE(2117),
    [sym_arrow_function] = STATE(2117),
    [sym__call_signature] = STATE(5783),
    [sym_call_expression] = STATE(2117),
    [sym_new_expression] = STATE(1963),
    [sym_await_expression] = STATE(2130),
    [sym_member_expression] = STATE(1364),
    [sym_subscript_expression] = STATE(1364),
    [sym_assignment_expression] = STATE(2130),
    [sym__augmented_assignment_lhs] = STATE(3037),
    [sym_augmented_assignment_expression] = STATE(2130),
    [sym__destructuring_pattern] = STATE(5785),
    [sym_ternary_expression] = STATE(2130),
    [sym_binary_expression] = STATE(2130),
    [sym_unary_expression] = STATE(2130),
    [sym_update_expression] = STATE(2130),
    [sym_string] = STATE(2117),
    [sym_template_string] = STATE(2117),
    [sym_regex] = STATE(2117),
    [sym_meta_property] = STATE(2117),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1364),
    [sym_type_assertion] = STATE(2130),
    [sym_as_expression] = STATE(2130),
    [sym_satisfies_expression] = STATE(2130),
    [sym_instantiation_expression] = STATE(2130),
    [sym_internal_module] = STATE(2130),
    [sym_type_arguments] = STATE(511),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4499),
    [sym_identifier] = ACTIONS(1481),
    [anon_sym_export] = ACTIONS(1227),
    [anon_sym_type] = ACTIONS(1227),
    [anon_sym_namespace] = ACTIONS(1229),
    [anon_sym_LBRACE] = ACTIONS(670),
    [anon_sym_typeof] = ACTIONS(1253),
    [anon_sym_import] = ACTIONS(674),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_BANG] = ACTIONS(1235),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1237),
    [anon_sym_yield] = ACTIONS(1239),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(681),
    [anon_sym_async] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(685),
    [anon_sym_new] = ACTIONS(1485),
    [anon_sym_using] = ACTIONS(1247),
    [anon_sym_PLUS] = ACTIONS(1253),
    [anon_sym_DASH] = ACTIONS(1253),
    [anon_sym_SLASH] = ACTIONS(885),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1235),
    [anon_sym_void] = ACTIONS(1253),
    [anon_sym_delete] = ACTIONS(1253),
    [anon_sym_PLUS_PLUS] = ACTIONS(1255),
    [anon_sym_DASH_DASH] = ACTIONS(1255),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1261),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1487),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1227),
    [anon_sym_readonly] = ACTIONS(1227),
    [anon_sym_get] = ACTIONS(1227),
    [anon_sym_set] = ACTIONS(1227),
    [anon_sym_declare] = ACTIONS(1227),
    [anon_sym_public] = ACTIONS(1227),
    [anon_sym_private] = ACTIONS(1227),
    [anon_sym_protected] = ACTIONS(1227),
    [anon_sym_override] = ACTIONS(1227),
    [anon_sym_module] = ACTIONS(1227),
    [anon_sym_any] = ACTIONS(1227),
    [anon_sym_number] = ACTIONS(1227),
    [anon_sym_boolean] = ACTIONS(1227),
    [anon_sym_string] = ACTIONS(1227),
    [anon_sym_symbol] = ACTIONS(1227),
    [anon_sym_object] = ACTIONS(1227),
    [sym_html_comment] = ACTIONS(5),
  },
  [678] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1391),
    [sym_expression] = STATE(2111),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5815),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5815),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5603),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1391),
    [sym_subscript_expression] = STATE(1391),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(2984),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5815),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1391),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(564),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(1505),
    [anon_sym_export] = ACTIONS(1325),
    [anon_sym_type] = ACTIONS(1325),
    [anon_sym_namespace] = ACTIONS(1327),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(1347),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1325),
    [anon_sym_BANG] = ACTIONS(1331),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(1333),
    [anon_sym_yield] = ACTIONS(1335),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1337),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1509),
    [anon_sym_using] = ACTIONS(1341),
    [anon_sym_PLUS] = ACTIONS(1347),
    [anon_sym_DASH] = ACTIONS(1347),
    [anon_sym_SLASH] = ACTIONS(949),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1331),
    [anon_sym_void] = ACTIONS(1347),
    [anon_sym_delete] = ACTIONS(1347),
    [anon_sym_PLUS_PLUS] = ACTIONS(1349),
    [anon_sym_DASH_DASH] = ACTIONS(1349),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(1351),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1511),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1325),
    [anon_sym_readonly] = ACTIONS(1325),
    [anon_sym_get] = ACTIONS(1325),
    [anon_sym_set] = ACTIONS(1325),
    [anon_sym_declare] = ACTIONS(1325),
    [anon_sym_public] = ACTIONS(1325),
    [anon_sym_private] = ACTIONS(1325),
    [anon_sym_protected] = ACTIONS(1325),
    [anon_sym_override] = ACTIONS(1325),
    [anon_sym_module] = ACTIONS(1325),
    [anon_sym_any] = ACTIONS(1325),
    [anon_sym_number] = ACTIONS(1325),
    [anon_sym_boolean] = ACTIONS(1325),
    [anon_sym_string] = ACTIONS(1325),
    [anon_sym_symbol] = ACTIONS(1325),
    [anon_sym_object] = ACTIONS(1325),
    [sym_html_comment] = ACTIONS(5),
  },
  [679] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1381),
    [sym_expression] = STATE(1919),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5574),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5574),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5865),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1381),
    [sym_subscript_expression] = STATE(1381),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(3033),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5574),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1381),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(635),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(1489),
    [anon_sym_export] = ACTIONS(1275),
    [anon_sym_type] = ACTIONS(1275),
    [anon_sym_namespace] = ACTIONS(1277),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(763),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1275),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(743),
    [anon_sym_yield] = ACTIONS(745),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1285),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1493),
    [anon_sym_using] = ACTIONS(753),
    [anon_sym_PLUS] = ACTIONS(763),
    [anon_sym_DASH] = ACTIONS(763),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(739),
    [anon_sym_void] = ACTIONS(763),
    [anon_sym_delete] = ACTIONS(763),
    [anon_sym_PLUS_PLUS] = ACTIONS(765),
    [anon_sym_DASH_DASH] = ACTIONS(765),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(771),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1495),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1275),
    [anon_sym_readonly] = ACTIONS(1275),
    [anon_sym_get] = ACTIONS(1275),
    [anon_sym_set] = ACTIONS(1275),
    [anon_sym_declare] = ACTIONS(1275),
    [anon_sym_public] = ACTIONS(1275),
    [anon_sym_private] = ACTIONS(1275),
    [anon_sym_protected] = ACTIONS(1275),
    [anon_sym_override] = ACTIONS(1275),
    [anon_sym_module] = ACTIONS(1275),
    [anon_sym_any] = ACTIONS(1275),
    [anon_sym_number] = ACTIONS(1275),
    [anon_sym_boolean] = ACTIONS(1275),
    [anon_sym_string] = ACTIONS(1275),
    [anon_sym_symbol] = ACTIONS(1275),
    [anon_sym_object] = ACTIONS(1275),
    [sym_html_comment] = ACTIONS(5),
  },
  [680] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1457),
    [sym_expression] = STATE(2453),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5827),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5827),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5728),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1457),
    [sym_subscript_expression] = STATE(1457),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(3001),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5827),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1457),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(591),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(1521),
    [anon_sym_export] = ACTIONS(1361),
    [anon_sym_type] = ACTIONS(1361),
    [anon_sym_namespace] = ACTIONS(1363),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(1383),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1361),
    [anon_sym_BANG] = ACTIONS(1367),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(1369),
    [anon_sym_yield] = ACTIONS(1371),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1373),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1525),
    [anon_sym_using] = ACTIONS(1377),
    [anon_sym_PLUS] = ACTIONS(1383),
    [anon_sym_DASH] = ACTIONS(1383),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1367),
    [anon_sym_void] = ACTIONS(1383),
    [anon_sym_delete] = ACTIONS(1383),
    [anon_sym_PLUS_PLUS] = ACTIONS(1385),
    [anon_sym_DASH_DASH] = ACTIONS(1385),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(1387),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1527),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1361),
    [anon_sym_readonly] = ACTIONS(1361),
    [anon_sym_get] = ACTIONS(1361),
    [anon_sym_set] = ACTIONS(1361),
    [anon_sym_declare] = ACTIONS(1361),
    [anon_sym_public] = ACTIONS(1361),
    [anon_sym_private] = ACTIONS(1361),
    [anon_sym_protected] = ACTIONS(1361),
    [anon_sym_override] = ACTIONS(1361),
    [anon_sym_module] = ACTIONS(1361),
    [anon_sym_any] = ACTIONS(1361),
    [anon_sym_number] = ACTIONS(1361),
    [anon_sym_boolean] = ACTIONS(1361),
    [anon_sym_string] = ACTIONS(1361),
    [anon_sym_symbol] = ACTIONS(1361),
    [anon_sym_object] = ACTIONS(1361),
    [sym_html_comment] = ACTIONS(5),
  },
  [681] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1459),
    [sym_expression] = STATE(2461),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5835),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5835),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5489),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1459),
    [sym_subscript_expression] = STATE(1459),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(3006),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5835),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1459),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(617),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(1529),
    [anon_sym_export] = ACTIONS(1081),
    [anon_sym_type] = ACTIONS(1081),
    [anon_sym_namespace] = ACTIONS(1083),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(1107),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1081),
    [anon_sym_BANG] = ACTIONS(1089),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(1091),
    [anon_sym_yield] = ACTIONS(1093),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1097),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1533),
    [anon_sym_using] = ACTIONS(1101),
    [anon_sym_PLUS] = ACTIONS(1107),
    [anon_sym_DASH] = ACTIONS(1107),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1089),
    [anon_sym_void] = ACTIONS(1107),
    [anon_sym_delete] = ACTIONS(1107),
    [anon_sym_PLUS_PLUS] = ACTIONS(1109),
    [anon_sym_DASH_DASH] = ACTIONS(1109),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(1115),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1535),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1081),
    [anon_sym_readonly] = ACTIONS(1081),
    [anon_sym_get] = ACTIONS(1081),
    [anon_sym_set] = ACTIONS(1081),
    [anon_sym_declare] = ACTIONS(1081),
    [anon_sym_public] = ACTIONS(1081),
    [anon_sym_private] = ACTIONS(1081),
    [anon_sym_protected] = ACTIONS(1081),
    [anon_sym_override] = ACTIONS(1081),
    [anon_sym_module] = ACTIONS(1081),
    [anon_sym_any] = ACTIONS(1081),
    [anon_sym_number] = ACTIONS(1081),
    [anon_sym_boolean] = ACTIONS(1081),
    [anon_sym_string] = ACTIONS(1081),
    [anon_sym_symbol] = ACTIONS(1081),
    [anon_sym_object] = ACTIONS(1081),
    [sym_html_comment] = ACTIONS(5),
  },
  [682] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1471),
    [sym_expression] = STATE(2615),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5622),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5622),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5824),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1471),
    [sym_subscript_expression] = STATE(1471),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(2969),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5622),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1471),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(537),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(2256),
    [anon_sym_export] = ACTIONS(2258),
    [anon_sym_type] = ACTIONS(2258),
    [anon_sym_namespace] = ACTIONS(2260),
    [anon_sym_LBRACE] = ACTIONS(815),
    [anon_sym_typeof] = ACTIONS(184),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(2258),
    [anon_sym_BANG] = ACTIONS(180),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(819),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(2262),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(2264),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(184),
    [anon_sym_DASH] = ACTIONS(184),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(691),
    [anon_sym_DASH_DASH] = ACTIONS(691),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(2266),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(2258),
    [anon_sym_readonly] = ACTIONS(2258),
    [anon_sym_get] = ACTIONS(2258),
    [anon_sym_set] = ACTIONS(2258),
    [anon_sym_declare] = ACTIONS(2258),
    [anon_sym_public] = ACTIONS(2258),
    [anon_sym_private] = ACTIONS(2258),
    [anon_sym_protected] = ACTIONS(2258),
    [anon_sym_override] = ACTIONS(2258),
    [anon_sym_module] = ACTIONS(2258),
    [anon_sym_any] = ACTIONS(2258),
    [anon_sym_number] = ACTIONS(2258),
    [anon_sym_boolean] = ACTIONS(2258),
    [anon_sym_string] = ACTIONS(2258),
    [anon_sym_symbol] = ACTIONS(2258),
    [anon_sym_object] = ACTIONS(2258),
    [sym_html_comment] = ACTIONS(5),
  },
  [683] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1457),
    [sym_expression] = STATE(2589),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5827),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5827),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5728),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1457),
    [sym_subscript_expression] = STATE(1457),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(3001),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5827),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1457),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(591),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(1521),
    [anon_sym_export] = ACTIONS(1361),
    [anon_sym_type] = ACTIONS(1361),
    [anon_sym_namespace] = ACTIONS(1363),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(1383),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1361),
    [anon_sym_BANG] = ACTIONS(1367),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(1369),
    [anon_sym_yield] = ACTIONS(1371),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1373),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1525),
    [anon_sym_using] = ACTIONS(1377),
    [anon_sym_PLUS] = ACTIONS(1383),
    [anon_sym_DASH] = ACTIONS(1383),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1367),
    [anon_sym_void] = ACTIONS(1383),
    [anon_sym_delete] = ACTIONS(1383),
    [anon_sym_PLUS_PLUS] = ACTIONS(1385),
    [anon_sym_DASH_DASH] = ACTIONS(1385),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(1387),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1527),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1361),
    [anon_sym_readonly] = ACTIONS(1361),
    [anon_sym_get] = ACTIONS(1361),
    [anon_sym_set] = ACTIONS(1361),
    [anon_sym_declare] = ACTIONS(1361),
    [anon_sym_public] = ACTIONS(1361),
    [anon_sym_private] = ACTIONS(1361),
    [anon_sym_protected] = ACTIONS(1361),
    [anon_sym_override] = ACTIONS(1361),
    [anon_sym_module] = ACTIONS(1361),
    [anon_sym_any] = ACTIONS(1361),
    [anon_sym_number] = ACTIONS(1361),
    [anon_sym_boolean] = ACTIONS(1361),
    [anon_sym_string] = ACTIONS(1361),
    [anon_sym_symbol] = ACTIONS(1361),
    [anon_sym_object] = ACTIONS(1361),
    [sym_html_comment] = ACTIONS(5),
  },
  [684] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1473),
    [sym_expression] = STATE(2615),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5800),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5800),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5824),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1473),
    [sym_subscript_expression] = STATE(1473),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(2969),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5800),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1473),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(537),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(2268),
    [anon_sym_export] = ACTIONS(2270),
    [anon_sym_type] = ACTIONS(2270),
    [anon_sym_namespace] = ACTIONS(2272),
    [anon_sym_LBRACE] = ACTIONS(815),
    [anon_sym_typeof] = ACTIONS(184),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(2270),
    [anon_sym_BANG] = ACTIONS(180),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(819),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(2274),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(2276),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(184),
    [anon_sym_DASH] = ACTIONS(184),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(184),
    [anon_sym_PLUS_PLUS] = ACTIONS(691),
    [anon_sym_DASH_DASH] = ACTIONS(691),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(193),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(2278),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(2270),
    [anon_sym_readonly] = ACTIONS(2270),
    [anon_sym_get] = ACTIONS(2270),
    [anon_sym_set] = ACTIONS(2270),
    [anon_sym_declare] = ACTIONS(2270),
    [anon_sym_public] = ACTIONS(2270),
    [anon_sym_private] = ACTIONS(2270),
    [anon_sym_protected] = ACTIONS(2270),
    [anon_sym_override] = ACTIONS(2270),
    [anon_sym_module] = ACTIONS(2270),
    [anon_sym_any] = ACTIONS(2270),
    [anon_sym_number] = ACTIONS(2270),
    [anon_sym_boolean] = ACTIONS(2270),
    [anon_sym_string] = ACTIONS(2270),
    [anon_sym_symbol] = ACTIONS(2270),
    [anon_sym_object] = ACTIONS(2270),
    [sym_html_comment] = ACTIONS(5),
  },
  [685] = {
    [sym_import] = STATE(3542),
    [sym_parenthesized_expression] = STATE(1457),
    [sym_expression] = STATE(2610),
    [sym_primary_expression] = STATE(1512),
    [sym_yield_expression] = STATE(1652),
    [sym_object] = STATE(1691),
    [sym_object_pattern] = STATE(5827),
    [sym_array] = STATE(1691),
    [sym_array_pattern] = STATE(5827),
    [sym_glimmer_template] = STATE(1652),
    [sym_class] = STATE(1691),
    [sym_function_expression] = STATE(1691),
    [sym_generator_function] = STATE(1691),
    [sym_arrow_function] = STATE(1691),
    [sym__call_signature] = STATE(5728),
    [sym_call_expression] = STATE(1691),
    [sym_new_expression] = STATE(1621),
    [sym_await_expression] = STATE(1652),
    [sym_member_expression] = STATE(1457),
    [sym_subscript_expression] = STATE(1457),
    [sym_assignment_expression] = STATE(1652),
    [sym__augmented_assignment_lhs] = STATE(3001),
    [sym_augmented_assignment_expression] = STATE(1652),
    [sym__destructuring_pattern] = STATE(5827),
    [sym_ternary_expression] = STATE(1652),
    [sym_binary_expression] = STATE(1652),
    [sym_unary_expression] = STATE(1652),
    [sym_update_expression] = STATE(1652),
    [sym_string] = STATE(1691),
    [sym_template_string] = STATE(1691),
    [sym_regex] = STATE(1691),
    [sym_meta_property] = STATE(1691),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1457),
    [sym_type_assertion] = STATE(1652),
    [sym_as_expression] = STATE(1652),
    [sym_satisfies_expression] = STATE(1652),
    [sym_instantiation_expression] = STATE(1652),
    [sym_internal_module] = STATE(1652),
    [sym_type_arguments] = STATE(591),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4423),
    [sym_identifier] = ACTIONS(1521),
    [anon_sym_export] = ACTIONS(1361),
    [anon_sym_type] = ACTIONS(1361),
    [anon_sym_namespace] = ACTIONS(1363),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(1383),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1361),
    [anon_sym_BANG] = ACTIONS(1367),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_await] = ACTIONS(1369),
    [anon_sym_yield] = ACTIONS(1371),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1373),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1525),
    [anon_sym_using] = ACTIONS(1377),
    [anon_sym_PLUS] = ACTIONS(1383),
    [anon_sym_DASH] = ACTIONS(1383),
    [anon_sym_SLASH] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1367),
    [anon_sym_void] = ACTIONS(1383),
    [anon_sym_delete] = ACTIONS(1383),
    [anon_sym_PLUS_PLUS] = ACTIONS(1385),
    [anon_sym_DASH_DASH] = ACTIONS(1385),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(827),
    [sym_number] = ACTIONS(719),
    [sym_private_property_identifier] = ACTIONS(1387),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(197),
    [sym_true] = ACTIONS(197),
    [sym_false] = ACTIONS(197),
    [sym_null] = ACTIONS(197),
    [sym_undefined] = ACTIONS(1527),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1361),
    [anon_sym_readonly] = ACTIONS(1361),
    [anon_sym_get] = ACTIONS(1361),
    [anon_sym_set] = ACTIONS(1361),
    [anon_sym_declare] = ACTIONS(1361),
    [anon_sym_public] = ACTIONS(1361),
    [anon_sym_private] = ACTIONS(1361),
    [anon_sym_protected] = ACTIONS(1361),
    [anon_sym_override] = ACTIONS(1361),
    [anon_sym_module] = ACTIONS(1361),
    [anon_sym_any] = ACTIONS(1361),
    [anon_sym_number] = ACTIONS(1361),
    [anon_sym_boolean] = ACTIONS(1361),
    [anon_sym_string] = ACTIONS(1361),
    [anon_sym_symbol] = ACTIONS(1361),
    [anon_sym_object] = ACTIONS(1361),
    [sym_html_comment] = ACTIONS(5),
  },
  [686] = {
    [sym_import] = STATE(3513),
    [sym_parenthesized_expression] = STATE(1364),
    [sym_expression] = STATE(1851),
    [sym_primary_expression] = STATE(1833),
    [sym_yield_expression] = STATE(2130),
    [sym_object] = STATE(2117),
    [sym_object_pattern] = STATE(5785),
    [sym_array] = STATE(2117),
    [sym_array_pattern] = STATE(5785),
    [sym_glimmer_template] = STATE(2130),
    [sym_class] = STATE(2117),
    [sym_function_expression] = STATE(2117),
    [sym_generator_function] = STATE(2117),
    [sym_arrow_function] = STATE(2117),
    [sym__call_signature] = STATE(5783),
    [sym_call_expression] = STATE(2117),
    [sym_new_expression] = STATE(1963),
    [sym_await_expression] = STATE(2130),
    [sym_member_expression] = STATE(1364),
    [sym_subscript_expression] = STATE(1364),
    [sym_assignment_expression] = STATE(2130),
    [sym__augmented_assignment_lhs] = STATE(3037),
    [sym_augmented_assignment_expression] = STATE(2130),
    [sym__destructuring_pattern] = STATE(5785),
    [sym_ternary_expression] = STATE(2130),
    [sym_binary_expression] = STATE(2130),
    [sym_unary_expression] = STATE(2130),
    [sym_update_expression] = STATE(2130),
    [sym_string] = STATE(2117),
    [sym_template_string] = STATE(2117),
    [sym_regex] = STATE(2117),
    [sym_meta_property] = STATE(2117),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3895),
    [sym_non_null_expression] = STATE(1364),
    [sym_type_assertion] = STATE(2130),
    [sym_as_expression] = STATE(2130),
    [sym_satisfies_expression] = STATE(2130),
    [sym_instantiation_expression] = STATE(2130),
    [sym_internal_module] = STATE(2130),
    [sym_type_arguments] = STATE(511),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_export_statement_repeat1] = STATE(4499),
    [sym_identifier] = ACTIONS(1481),
    [anon_sym_export] = ACTIONS(1227),
    [anon_sym_type] = ACTIONS(1227),
    [anon_sym_namespace] = ACTIONS(1229),
    [anon_sym_LBRACE] = ACTIONS(670),
    [anon_sym_typeof] = ACTIONS(1253),
    [anon_sym_import] = ACTIONS(674),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_BANG] = ACTIONS(1235),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1237),
    [anon_sym_yield] = ACTIONS(1239),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(681),
    [anon_sym_async] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(685),
    [anon_sym_new] = ACTIONS(1485),
    [anon_sym_using] = ACTIONS(1247),
    [anon_sym_PLUS] = ACTIONS(1253),
    [anon_sym_DASH] = ACTIONS(1253),
    [anon_sym_SLASH] = ACTIONS(885),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1235),
    [anon_sym_void] = ACTIONS(1253),
    [anon_sym_delete] = ACTIONS(1253),
    [anon_sym_PLUS_PLUS] = ACTIONS(1255),
    [anon_sym_DASH_DASH] = ACTIONS(1255),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1261),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1487),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1227),
    [anon_sym_readonly] = ACTIONS(1227),
    [anon_sym_get] = ACTIONS(1227),
    [anon_sym_set] = ACTIONS(1227),
    [anon_sym_declare] = ACTIONS(1227),
    [anon_sym_public] = ACTIONS(1227),
    [anon_sym_private] = ACTIONS(1227),
    [anon_sym_protected] = ACTIONS(1227),
    [anon_sym_override] = ACTIONS(1227),
    [anon_sym_module] = ACTIONS(1227),
    [anon_sym_any] = ACTIONS(1227),
    [anon_sym_number] = ACTIONS(1227),
    [anon_sym_boolean] = ACTIONS(1227),
    [anon_sym_string] = ACTIONS(1227),
    [anon_sym_symbol] = ACTIONS(1227),
    [anon_sym_object] = ACTIONS(1227),
    [sym_html_comment] = ACTIONS(5),
  },
  [687] = {
    [sym_namespace_export] = STATE(5238),
    [sym_export_clause] = STATE(4387),
    [sym_declaration] = STATE(923),
    [sym_variable_declaration] = STATE(836),
    [sym_lexical_declaration] = STATE(836),
    [sym_class_declaration] = STATE(836),
    [sym_function_declaration] = STATE(836),
    [sym_generator_function_declaration] = STATE(836),
    [sym_decorator] = STATE(1297),
    [sym_function_signature] = STATE(836),
    [sym_ambient_declaration] = STATE(836),
    [sym_abstract_class_declaration] = STATE(836),
    [sym_module] = STATE(836),
    [sym_internal_module] = STATE(824),
    [sym_import_alias] = STATE(836),
    [sym_interface_declaration] = STATE(836),
    [sym_enum_declaration] = STATE(836),
    [sym_type_alias_declaration] = STATE(836),
    [aux_sym_export_statement_repeat1] = STATE(4084),
    [aux_sym_object_repeat1] = STATE(4905),
    [aux_sym_object_pattern_repeat1] = STATE(4835),
    [anon_sym_STAR] = ACTIONS(2280),
    [anon_sym_default] = ACTIONS(2282),
    [anon_sym_type] = ACTIONS(2284),
    [anon_sym_EQ] = ACTIONS(2286),
    [anon_sym_as] = ACTIONS(2288),
    [anon_sym_namespace] = ACTIONS(2290),
    [anon_sym_LBRACE] = ACTIONS(2292),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_RBRACE] = ACTIONS(699),
    [anon_sym_import] = ACTIONS(2294),
    [anon_sym_var] = ACTIONS(2296),
    [anon_sym_let] = ACTIONS(2298),
    [anon_sym_const] = ACTIONS(2300),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2302),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(676),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_class] = ACTIONS(2305),
    [anon_sym_async] = ACTIONS(2307),
    [anon_sym_function] = ACTIONS(2309),
    [anon_sym_EQ_GT] = ACTIONS(687),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2311),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(161),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_QMARK] = ACTIONS(695),
    [anon_sym_declare] = ACTIONS(2314),
    [anon_sym_module] = ACTIONS(2316),
    [anon_sym_abstract] = ACTIONS(2318),
    [anon_sym_satisfies] = ACTIONS(161),
    [anon_sym_interface] = ACTIONS(2320),
    [anon_sym_enum] = ACTIONS(2322),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [688] = {
    [sym_namespace_export] = STATE(5238),
    [sym_export_clause] = STATE(4387),
    [sym_declaration] = STATE(923),
    [sym_variable_declaration] = STATE(836),
    [sym_lexical_declaration] = STATE(836),
    [sym_class_declaration] = STATE(836),
    [sym_function_declaration] = STATE(836),
    [sym_generator_function_declaration] = STATE(836),
    [sym_decorator] = STATE(1297),
    [sym_function_signature] = STATE(836),
    [sym_ambient_declaration] = STATE(836),
    [sym_abstract_class_declaration] = STATE(836),
    [sym_module] = STATE(836),
    [sym_internal_module] = STATE(824),
    [sym_import_alias] = STATE(836),
    [sym_interface_declaration] = STATE(836),
    [sym_enum_declaration] = STATE(836),
    [sym_type_alias_declaration] = STATE(836),
    [aux_sym_export_statement_repeat1] = STATE(4084),
    [aux_sym_object_repeat1] = STATE(4824),
    [aux_sym_object_pattern_repeat1] = STATE(4835),
    [anon_sym_STAR] = ACTIONS(2280),
    [anon_sym_default] = ACTIONS(2282),
    [anon_sym_type] = ACTIONS(2284),
    [anon_sym_EQ] = ACTIONS(2286),
    [anon_sym_as] = ACTIONS(2288),
    [anon_sym_namespace] = ACTIONS(2290),
    [anon_sym_LBRACE] = ACTIONS(2292),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_RBRACE] = ACTIONS(672),
    [anon_sym_import] = ACTIONS(2294),
    [anon_sym_var] = ACTIONS(2296),
    [anon_sym_let] = ACTIONS(2298),
    [anon_sym_const] = ACTIONS(2300),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2302),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(676),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_class] = ACTIONS(2305),
    [anon_sym_async] = ACTIONS(2307),
    [anon_sym_function] = ACTIONS(2309),
    [anon_sym_EQ_GT] = ACTIONS(687),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2311),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(161),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_QMARK] = ACTIONS(695),
    [anon_sym_declare] = ACTIONS(2314),
    [anon_sym_module] = ACTIONS(2316),
    [anon_sym_abstract] = ACTIONS(2318),
    [anon_sym_satisfies] = ACTIONS(161),
    [anon_sym_interface] = ACTIONS(2320),
    [anon_sym_enum] = ACTIONS(2322),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [689] = {
    [sym_namespace_export] = STATE(5238),
    [sym_export_clause] = STATE(4387),
    [sym_declaration] = STATE(923),
    [sym_variable_declaration] = STATE(836),
    [sym_lexical_declaration] = STATE(836),
    [sym_class_declaration] = STATE(836),
    [sym_function_declaration] = STATE(836),
    [sym_generator_function_declaration] = STATE(836),
    [sym_decorator] = STATE(1297),
    [sym_function_signature] = STATE(836),
    [sym_ambient_declaration] = STATE(836),
    [sym_abstract_class_declaration] = STATE(836),
    [sym_module] = STATE(836),
    [sym_internal_module] = STATE(824),
    [sym_import_alias] = STATE(836),
    [sym_interface_declaration] = STATE(836),
    [sym_enum_declaration] = STATE(836),
    [sym_type_alias_declaration] = STATE(836),
    [aux_sym_export_statement_repeat1] = STATE(4084),
    [aux_sym_object_repeat1] = STATE(4905),
    [aux_sym_object_pattern_repeat1] = STATE(4835),
    [anon_sym_STAR] = ACTIONS(2280),
    [anon_sym_default] = ACTIONS(2282),
    [anon_sym_type] = ACTIONS(2284),
    [anon_sym_EQ] = ACTIONS(2286),
    [anon_sym_as] = ACTIONS(2288),
    [anon_sym_namespace] = ACTIONS(2290),
    [anon_sym_LBRACE] = ACTIONS(2292),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_RBRACE] = ACTIONS(697),
    [anon_sym_import] = ACTIONS(2294),
    [anon_sym_var] = ACTIONS(2296),
    [anon_sym_let] = ACTIONS(2298),
    [anon_sym_const] = ACTIONS(2300),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2302),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(676),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_class] = ACTIONS(2305),
    [anon_sym_async] = ACTIONS(2307),
    [anon_sym_function] = ACTIONS(2309),
    [anon_sym_EQ_GT] = ACTIONS(687),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2311),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(161),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_QMARK] = ACTIONS(695),
    [anon_sym_declare] = ACTIONS(2314),
    [anon_sym_module] = ACTIONS(2316),
    [anon_sym_abstract] = ACTIONS(2318),
    [anon_sym_satisfies] = ACTIONS(161),
    [anon_sym_interface] = ACTIONS(2320),
    [anon_sym_enum] = ACTIONS(2322),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [690] = {
    [sym__call_signature] = STATE(5619),
    [sym_string] = STATE(3797),
    [sym_formal_parameters] = STATE(3895),
    [sym__property_name] = STATE(3797),
    [sym_computed_property_name] = STATE(3797),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_object_repeat1] = STATE(4905),
    [aux_sym_object_pattern_repeat1] = STATE(4835),
    [sym_identifier] = ACTIONS(2324),
    [anon_sym_export] = ACTIONS(2326),
    [anon_sym_STAR] = ACTIONS(2328),
    [anon_sym_type] = ACTIONS(2326),
    [anon_sym_EQ] = ACTIONS(666),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(2326),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_RBRACE] = ACTIONS(699),
    [anon_sym_let] = ACTIONS(2326),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2331),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(676),
    [anon_sym_LBRACK] = ACTIONS(2335),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(122),
    [anon_sym_DQUOTE] = ACTIONS(2338),
    [anon_sym_SQUOTE] = ACTIONS(2340),
    [anon_sym_async] = ACTIONS(2326),
    [anon_sym_function] = ACTIONS(2342),
    [anon_sym_EQ_GT] = ACTIONS(687),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(2326),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2344),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [sym_number] = ACTIONS(2348),
    [sym_private_property_identifier] = ACTIONS(2348),
    [anon_sym_static] = ACTIONS(2326),
    [anon_sym_readonly] = ACTIONS(2326),
    [anon_sym_get] = ACTIONS(2350),
    [anon_sym_set] = ACTIONS(2350),
    [anon_sym_QMARK] = ACTIONS(695),
    [anon_sym_declare] = ACTIONS(2326),
    [anon_sym_public] = ACTIONS(2326),
    [anon_sym_private] = ACTIONS(2326),
    [anon_sym_protected] = ACTIONS(2326),
    [anon_sym_override] = ACTIONS(2326),
    [anon_sym_module] = ACTIONS(2326),
    [anon_sym_any] = ACTIONS(2326),
    [anon_sym_number] = ACTIONS(2326),
    [anon_sym_boolean] = ACTIONS(2326),
    [anon_sym_string] = ACTIONS(2326),
    [anon_sym_symbol] = ACTIONS(2326),
    [anon_sym_object] = ACTIONS(2326),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [691] = {
    [sym__call_signature] = STATE(5619),
    [sym_string] = STATE(3797),
    [sym_formal_parameters] = STATE(3895),
    [sym__property_name] = STATE(3797),
    [sym_computed_property_name] = STATE(3797),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_object_repeat1] = STATE(4824),
    [aux_sym_object_pattern_repeat1] = STATE(4835),
    [sym_identifier] = ACTIONS(2324),
    [anon_sym_export] = ACTIONS(2326),
    [anon_sym_STAR] = ACTIONS(2328),
    [anon_sym_type] = ACTIONS(2326),
    [anon_sym_EQ] = ACTIONS(666),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(2326),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_RBRACE] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(2326),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2331),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(676),
    [anon_sym_LBRACK] = ACTIONS(2335),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(122),
    [anon_sym_DQUOTE] = ACTIONS(2338),
    [anon_sym_SQUOTE] = ACTIONS(2340),
    [anon_sym_async] = ACTIONS(2326),
    [anon_sym_function] = ACTIONS(2342),
    [anon_sym_EQ_GT] = ACTIONS(687),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(2326),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2344),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [sym_number] = ACTIONS(2348),
    [sym_private_property_identifier] = ACTIONS(2348),
    [anon_sym_static] = ACTIONS(2326),
    [anon_sym_readonly] = ACTIONS(2326),
    [anon_sym_get] = ACTIONS(2350),
    [anon_sym_set] = ACTIONS(2350),
    [anon_sym_QMARK] = ACTIONS(695),
    [anon_sym_declare] = ACTIONS(2326),
    [anon_sym_public] = ACTIONS(2326),
    [anon_sym_private] = ACTIONS(2326),
    [anon_sym_protected] = ACTIONS(2326),
    [anon_sym_override] = ACTIONS(2326),
    [anon_sym_module] = ACTIONS(2326),
    [anon_sym_any] = ACTIONS(2326),
    [anon_sym_number] = ACTIONS(2326),
    [anon_sym_boolean] = ACTIONS(2326),
    [anon_sym_string] = ACTIONS(2326),
    [anon_sym_symbol] = ACTIONS(2326),
    [anon_sym_object] = ACTIONS(2326),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [692] = {
    [sym__call_signature] = STATE(5619),
    [sym_string] = STATE(3797),
    [sym_formal_parameters] = STATE(3895),
    [sym__property_name] = STATE(3797),
    [sym_computed_property_name] = STATE(3797),
    [sym_type_parameters] = STATE(5348),
    [aux_sym_object_repeat1] = STATE(4905),
    [aux_sym_object_pattern_repeat1] = STATE(4835),
    [sym_identifier] = ACTIONS(2324),
    [anon_sym_export] = ACTIONS(2326),
    [anon_sym_STAR] = ACTIONS(2328),
    [anon_sym_type] = ACTIONS(2326),
    [anon_sym_EQ] = ACTIONS(666),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(2326),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_RBRACE] = ACTIONS(697),
    [anon_sym_let] = ACTIONS(2326),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2331),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(676),
    [anon_sym_LBRACK] = ACTIONS(2335),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(122),
    [anon_sym_DQUOTE] = ACTIONS(2338),
    [anon_sym_SQUOTE] = ACTIONS(2340),
    [anon_sym_async] = ACTIONS(2326),
    [anon_sym_function] = ACTIONS(2342),
    [anon_sym_EQ_GT] = ACTIONS(687),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(2326),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2344),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [sym_number] = ACTIONS(2348),
    [sym_private_property_identifier] = ACTIONS(2348),
    [anon_sym_static] = ACTIONS(2326),
    [anon_sym_readonly] = ACTIONS(2326),
    [anon_sym_get] = ACTIONS(2350),
    [anon_sym_set] = ACTIONS(2350),
    [anon_sym_QMARK] = ACTIONS(695),
    [anon_sym_declare] = ACTIONS(2326),
    [anon_sym_public] = ACTIONS(2326),
    [anon_sym_private] = ACTIONS(2326),
    [anon_sym_protected] = ACTIONS(2326),
    [anon_sym_override] = ACTIONS(2326),
    [anon_sym_module] = ACTIONS(2326),
    [anon_sym_any] = ACTIONS(2326),
    [anon_sym_number] = ACTIONS(2326),
    [anon_sym_boolean] = ACTIONS(2326),
    [anon_sym_string] = ACTIONS(2326),
    [anon_sym_symbol] = ACTIONS(2326),
    [anon_sym_object] = ACTIONS(2326),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [693] = {
    [sym_declaration] = STATE(869),
    [sym_variable_declaration] = STATE(836),
    [sym_lexical_declaration] = STATE(836),
    [sym_class_declaration] = STATE(836),
    [sym_function_declaration] = STATE(836),
    [sym_generator_function_declaration] = STATE(836),
    [sym_decorator] = STATE(1297),
    [sym_function_signature] = STATE(836),
    [sym_ambient_declaration] = STATE(836),
    [sym_abstract_class_declaration] = STATE(836),
    [sym_module] = STATE(836),
    [sym_internal_module] = STATE(824),
    [sym_import_alias] = STATE(836),
    [sym_interface_declaration] = STATE(836),
    [sym_enum_declaration] = STATE(836),
    [sym_type_alias_declaration] = STATE(836),
    [aux_sym_export_statement_repeat1] = STATE(4084),
    [aux_sym_object_repeat1] = STATE(4905),
    [aux_sym_object_pattern_repeat1] = STATE(4835),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(2352),
    [anon_sym_EQ] = ACTIONS(666),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(2290),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_RBRACE] = ACTIONS(697),
    [anon_sym_import] = ACTIONS(2294),
    [anon_sym_var] = ACTIONS(2296),
    [anon_sym_let] = ACTIONS(2298),
    [anon_sym_const] = ACTIONS(2300),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2302),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(676),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_class] = ACTIONS(2305),
    [anon_sym_async] = ACTIONS(2307),
    [anon_sym_function] = ACTIONS(2309),
    [anon_sym_EQ_GT] = ACTIONS(687),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2311),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(161),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_QMARK] = ACTIONS(695),
    [anon_sym_declare] = ACTIONS(2314),
    [anon_sym_module] = ACTIONS(2354),
    [anon_sym_abstract] = ACTIONS(2318),
    [anon_sym_satisfies] = ACTIONS(161),
    [anon_sym_global] = ACTIONS(2356),
    [anon_sym_interface] = ACTIONS(2320),
    [anon_sym_enum] = ACTIONS(2322),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [694] = {
    [sym_declaration] = STATE(869),
    [sym_variable_declaration] = STATE(836),
    [sym_lexical_declaration] = STATE(836),
    [sym_class_declaration] = STATE(836),
    [sym_function_declaration] = STATE(836),
    [sym_generator_function_declaration] = STATE(836),
    [sym_decorator] = STATE(1297),
    [sym_function_signature] = STATE(836),
    [sym_ambient_declaration] = STATE(836),
    [sym_abstract_class_declaration] = STATE(836),
    [sym_module] = STATE(836),
    [sym_internal_module] = STATE(824),
    [sym_import_alias] = STATE(836),
    [sym_interface_declaration] = STATE(836),
    [sym_enum_declaration] = STATE(836),
    [sym_type_alias_declaration] = STATE(836),
    [aux_sym_export_statement_repeat1] = STATE(4084),
    [aux_sym_object_repeat1] = STATE(4905),
    [aux_sym_object_pattern_repeat1] = STATE(4835),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(2352),
    [anon_sym_EQ] = ACTIONS(666),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(2290),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_RBRACE] = ACTIONS(699),
    [anon_sym_import] = ACTIONS(2294),
    [anon_sym_var] = ACTIONS(2296),
    [anon_sym_let] = ACTIONS(2298),
    [anon_sym_const] = ACTIONS(2300),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2302),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(676),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_class] = ACTIONS(2305),
    [anon_sym_async] = ACTIONS(2307),
    [anon_sym_function] = ACTIONS(2309),
    [anon_sym_EQ_GT] = ACTIONS(687),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2311),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(161),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_QMARK] = ACTIONS(695),
    [anon_sym_declare] = ACTIONS(2314),
    [anon_sym_module] = ACTIONS(2354),
    [anon_sym_abstract] = ACTIONS(2318),
    [anon_sym_satisfies] = ACTIONS(161),
    [anon_sym_global] = ACTIONS(2356),
    [anon_sym_interface] = ACTIONS(2320),
    [anon_sym_enum] = ACTIONS(2322),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [695] = {
    [sym_declaration] = STATE(869),
    [sym_variable_declaration] = STATE(836),
    [sym_lexical_declaration] = STATE(836),
    [sym_class_declaration] = STATE(836),
    [sym_function_declaration] = STATE(836),
    [sym_generator_function_declaration] = STATE(836),
    [sym_decorator] = STATE(1297),
    [sym_function_signature] = STATE(836),
    [sym_ambient_declaration] = STATE(836),
    [sym_abstract_class_declaration] = STATE(836),
    [sym_module] = STATE(836),
    [sym_internal_module] = STATE(824),
    [sym_import_alias] = STATE(836),
    [sym_interface_declaration] = STATE(836),
    [sym_enum_declaration] = STATE(836),
    [sym_type_alias_declaration] = STATE(836),
    [aux_sym_export_statement_repeat1] = STATE(4084),
    [aux_sym_object_repeat1] = STATE(4824),
    [aux_sym_object_pattern_repeat1] = STATE(4835),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(2352),
    [anon_sym_EQ] = ACTIONS(666),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(2290),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_RBRACE] = ACTIONS(672),
    [anon_sym_import] = ACTIONS(2294),
    [anon_sym_var] = ACTIONS(2296),
    [anon_sym_let] = ACTIONS(2298),
    [anon_sym_const] = ACTIONS(2300),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2302),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(676),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_class] = ACTIONS(2305),
    [anon_sym_async] = ACTIONS(2307),
    [anon_sym_function] = ACTIONS(2309),
    [anon_sym_EQ_GT] = ACTIONS(687),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2311),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(161),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_QMARK] = ACTIONS(695),
    [anon_sym_declare] = ACTIONS(2314),
    [anon_sym_module] = ACTIONS(2354),
    [anon_sym_abstract] = ACTIONS(2318),
    [anon_sym_satisfies] = ACTIONS(161),
    [anon_sym_global] = ACTIONS(2356),
    [anon_sym_interface] = ACTIONS(2320),
    [anon_sym_enum] = ACTIONS(2322),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [696] = {
    [sym_namespace_export] = STATE(5238),
    [sym_export_clause] = STATE(4387),
    [sym_declaration] = STATE(923),
    [sym_variable_declaration] = STATE(836),
    [sym_lexical_declaration] = STATE(836),
    [sym_class_declaration] = STATE(836),
    [sym_function_declaration] = STATE(836),
    [sym_generator_function_declaration] = STATE(836),
    [sym_decorator] = STATE(1297),
    [sym_function_signature] = STATE(836),
    [sym_ambient_declaration] = STATE(836),
    [sym_abstract_class_declaration] = STATE(836),
    [sym_module] = STATE(836),
    [sym_internal_module] = STATE(824),
    [sym_import_alias] = STATE(836),
    [sym_interface_declaration] = STATE(836),
    [sym_enum_declaration] = STATE(836),
    [sym_type_alias_declaration] = STATE(836),
    [aux_sym_export_statement_repeat1] = STATE(4084),
    [anon_sym_STAR] = ACTIONS(2280),
    [anon_sym_default] = ACTIONS(2282),
    [anon_sym_type] = ACTIONS(2284),
    [anon_sym_EQ] = ACTIONS(2358),
    [anon_sym_as] = ACTIONS(2288),
    [anon_sym_namespace] = ACTIONS(2290),
    [anon_sym_LBRACE] = ACTIONS(2292),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_import] = ACTIONS(2294),
    [anon_sym_var] = ACTIONS(2296),
    [anon_sym_let] = ACTIONS(2298),
    [anon_sym_const] = ACTIONS(2300),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(161),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(869),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_class] = ACTIONS(2305),
    [anon_sym_async] = ACTIONS(2307),
    [anon_sym_function] = ACTIONS(2309),
    [anon_sym_EQ_GT] = ACTIONS(687),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(122),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(161),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_declare] = ACTIONS(2314),
    [anon_sym_module] = ACTIONS(2316),
    [anon_sym_abstract] = ACTIONS(2318),
    [anon_sym_satisfies] = ACTIONS(161),
    [anon_sym_interface] = ACTIONS(2320),
    [anon_sym_enum] = ACTIONS(2322),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [697] = {
    [sym_namespace_export] = STATE(5238),
    [sym_export_clause] = STATE(4387),
    [sym_declaration] = STATE(923),
    [sym_variable_declaration] = STATE(836),
    [sym_lexical_declaration] = STATE(836),
    [sym_class_declaration] = STATE(836),
    [sym_function_declaration] = STATE(836),
    [sym_generator_function_declaration] = STATE(836),
    [sym_decorator] = STATE(1297),
    [sym_function_signature] = STATE(836),
    [sym_ambient_declaration] = STATE(836),
    [sym_abstract_class_declaration] = STATE(836),
    [sym_module] = STATE(836),
    [sym_internal_module] = STATE(824),
    [sym_import_alias] = STATE(836),
    [sym_interface_declaration] = STATE(836),
    [sym_enum_declaration] = STATE(836),
    [sym_type_alias_declaration] = STATE(836),
    [aux_sym_export_statement_repeat1] = STATE(4084),
    [anon_sym_STAR] = ACTIONS(2280),
    [anon_sym_default] = ACTIONS(2360),
    [anon_sym_type] = ACTIONS(2284),
    [anon_sym_EQ] = ACTIONS(2358),
    [anon_sym_as] = ACTIONS(2288),
    [anon_sym_namespace] = ACTIONS(2290),
    [anon_sym_LBRACE] = ACTIONS(2292),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_import] = ACTIONS(2294),
    [anon_sym_var] = ACTIONS(2296),
    [anon_sym_let] = ACTIONS(2298),
    [anon_sym_const] = ACTIONS(2300),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(161),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(857),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_class] = ACTIONS(2305),
    [anon_sym_async] = ACTIONS(2307),
    [anon_sym_function] = ACTIONS(2309),
    [anon_sym_EQ_GT] = ACTIONS(687),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(122),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(161),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_declare] = ACTIONS(2314),
    [anon_sym_module] = ACTIONS(2316),
    [anon_sym_abstract] = ACTIONS(2318),
    [anon_sym_satisfies] = ACTIONS(161),
    [anon_sym_interface] = ACTIONS(2320),
    [anon_sym_enum] = ACTIONS(2322),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [698] = {
    [sym_string] = STATE(3797),
    [sym__property_name] = STATE(3797),
    [sym_computed_property_name] = STATE(3797),
    [sym_override_modifier] = STATE(2805),
    [aux_sym_object_repeat1] = STATE(4905),
    [aux_sym_object_pattern_repeat1] = STATE(4835),
    [sym_identifier] = ACTIONS(2362),
    [anon_sym_export] = ACTIONS(2362),
    [anon_sym_STAR] = ACTIONS(2328),
    [anon_sym_type] = ACTIONS(2362),
    [anon_sym_EQ] = ACTIONS(666),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(2362),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_RBRACE] = ACTIONS(699),
    [anon_sym_let] = ACTIONS(2362),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2302),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(676),
    [anon_sym_LBRACK] = ACTIONS(2335),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(122),
    [anon_sym_DQUOTE] = ACTIONS(2338),
    [anon_sym_SQUOTE] = ACTIONS(2340),
    [anon_sym_async] = ACTIONS(2364),
    [anon_sym_EQ_GT] = ACTIONS(687),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(2362),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2311),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [sym_number] = ACTIONS(2348),
    [sym_private_property_identifier] = ACTIONS(2348),
    [anon_sym_static] = ACTIONS(2362),
    [anon_sym_readonly] = ACTIONS(2366),
    [anon_sym_get] = ACTIONS(2368),
    [anon_sym_set] = ACTIONS(2368),
    [anon_sym_QMARK] = ACTIONS(695),
    [anon_sym_declare] = ACTIONS(2362),
    [anon_sym_public] = ACTIONS(2362),
    [anon_sym_private] = ACTIONS(2362),
    [anon_sym_protected] = ACTIONS(2362),
    [anon_sym_override] = ACTIONS(2370),
    [anon_sym_module] = ACTIONS(2362),
    [anon_sym_any] = ACTIONS(2362),
    [anon_sym_number] = ACTIONS(2362),
    [anon_sym_boolean] = ACTIONS(2362),
    [anon_sym_string] = ACTIONS(2362),
    [anon_sym_symbol] = ACTIONS(2362),
    [anon_sym_object] = ACTIONS(2362),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [699] = {
    [sym_string] = STATE(3797),
    [sym__property_name] = STATE(3797),
    [sym_computed_property_name] = STATE(3797),
    [sym_override_modifier] = STATE(2805),
    [aux_sym_object_repeat1] = STATE(4824),
    [aux_sym_object_pattern_repeat1] = STATE(4835),
    [sym_identifier] = ACTIONS(2362),
    [anon_sym_export] = ACTIONS(2362),
    [anon_sym_STAR] = ACTIONS(2328),
    [anon_sym_type] = ACTIONS(2362),
    [anon_sym_EQ] = ACTIONS(666),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(2362),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_RBRACE] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(2362),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2302),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(676),
    [anon_sym_LBRACK] = ACTIONS(2335),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(122),
    [anon_sym_DQUOTE] = ACTIONS(2338),
    [anon_sym_SQUOTE] = ACTIONS(2340),
    [anon_sym_async] = ACTIONS(2364),
    [anon_sym_EQ_GT] = ACTIONS(687),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(2362),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2311),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [sym_number] = ACTIONS(2348),
    [sym_private_property_identifier] = ACTIONS(2348),
    [anon_sym_static] = ACTIONS(2362),
    [anon_sym_readonly] = ACTIONS(2366),
    [anon_sym_get] = ACTIONS(2368),
    [anon_sym_set] = ACTIONS(2368),
    [anon_sym_QMARK] = ACTIONS(695),
    [anon_sym_declare] = ACTIONS(2362),
    [anon_sym_public] = ACTIONS(2362),
    [anon_sym_private] = ACTIONS(2362),
    [anon_sym_protected] = ACTIONS(2362),
    [anon_sym_override] = ACTIONS(2370),
    [anon_sym_module] = ACTIONS(2362),
    [anon_sym_any] = ACTIONS(2362),
    [anon_sym_number] = ACTIONS(2362),
    [anon_sym_boolean] = ACTIONS(2362),
    [anon_sym_string] = ACTIONS(2362),
    [anon_sym_symbol] = ACTIONS(2362),
    [anon_sym_object] = ACTIONS(2362),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [700] = {
    [sym_string] = STATE(3797),
    [sym__property_name] = STATE(3797),
    [sym_computed_property_name] = STATE(3797),
    [sym_override_modifier] = STATE(2805),
    [aux_sym_object_repeat1] = STATE(4905),
    [aux_sym_object_pattern_repeat1] = STATE(4835),
    [sym_identifier] = ACTIONS(2362),
    [anon_sym_export] = ACTIONS(2362),
    [anon_sym_STAR] = ACTIONS(2328),
    [anon_sym_type] = ACTIONS(2362),
    [anon_sym_EQ] = ACTIONS(666),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(2362),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_RBRACE] = ACTIONS(697),
    [anon_sym_let] = ACTIONS(2362),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2302),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(676),
    [anon_sym_LBRACK] = ACTIONS(2335),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(122),
    [anon_sym_DQUOTE] = ACTIONS(2338),
    [anon_sym_SQUOTE] = ACTIONS(2340),
    [anon_sym_async] = ACTIONS(2364),
    [anon_sym_EQ_GT] = ACTIONS(687),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(2362),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2311),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [sym_number] = ACTIONS(2348),
    [sym_private_property_identifier] = ACTIONS(2348),
    [anon_sym_static] = ACTIONS(2362),
    [anon_sym_readonly] = ACTIONS(2366),
    [anon_sym_get] = ACTIONS(2368),
    [anon_sym_set] = ACTIONS(2368),
    [anon_sym_QMARK] = ACTIONS(695),
    [anon_sym_declare] = ACTIONS(2362),
    [anon_sym_public] = ACTIONS(2362),
    [anon_sym_private] = ACTIONS(2362),
    [anon_sym_protected] = ACTIONS(2362),
    [anon_sym_override] = ACTIONS(2370),
    [anon_sym_module] = ACTIONS(2362),
    [anon_sym_any] = ACTIONS(2362),
    [anon_sym_number] = ACTIONS(2362),
    [anon_sym_boolean] = ACTIONS(2362),
    [anon_sym_string] = ACTIONS(2362),
    [anon_sym_symbol] = ACTIONS(2362),
    [anon_sym_object] = ACTIONS(2362),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [701] = {
    [sym_string] = STATE(3797),
    [sym__property_name] = STATE(3797),
    [sym_computed_property_name] = STATE(3797),
    [aux_sym_object_repeat1] = STATE(4824),
    [aux_sym_object_pattern_repeat1] = STATE(4835),
    [sym_identifier] = ACTIONS(2362),
    [anon_sym_export] = ACTIONS(2362),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(2362),
    [anon_sym_EQ] = ACTIONS(666),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(2362),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_RBRACE] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(2362),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2302),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(676),
    [anon_sym_LBRACK] = ACTIONS(2335),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(122),
    [anon_sym_DQUOTE] = ACTIONS(2338),
    [anon_sym_SQUOTE] = ACTIONS(2340),
    [anon_sym_async] = ACTIONS(2362),
    [anon_sym_EQ_GT] = ACTIONS(687),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(2362),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2311),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [sym_number] = ACTIONS(2348),
    [sym_private_property_identifier] = ACTIONS(2348),
    [anon_sym_static] = ACTIONS(2362),
    [anon_sym_readonly] = ACTIONS(2362),
    [anon_sym_get] = ACTIONS(2362),
    [anon_sym_set] = ACTIONS(2362),
    [anon_sym_QMARK] = ACTIONS(695),
    [anon_sym_declare] = ACTIONS(2362),
    [anon_sym_public] = ACTIONS(2362),
    [anon_sym_private] = ACTIONS(2362),
    [anon_sym_protected] = ACTIONS(2362),
    [anon_sym_override] = ACTIONS(2362),
    [anon_sym_module] = ACTIONS(2362),
    [anon_sym_any] = ACTIONS(2362),
    [anon_sym_number] = ACTIONS(2362),
    [anon_sym_boolean] = ACTIONS(2362),
    [anon_sym_string] = ACTIONS(2362),
    [anon_sym_symbol] = ACTIONS(2362),
    [anon_sym_object] = ACTIONS(2362),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [702] = {
    [sym_string] = STATE(3797),
    [sym__property_name] = STATE(3797),
    [sym_computed_property_name] = STATE(3797),
    [aux_sym_object_repeat1] = STATE(4824),
    [aux_sym_object_pattern_repeat1] = STATE(4835),
    [sym_identifier] = ACTIONS(2362),
    [anon_sym_export] = ACTIONS(2362),
    [anon_sym_STAR] = ACTIONS(2328),
    [anon_sym_type] = ACTIONS(2362),
    [anon_sym_EQ] = ACTIONS(666),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(2362),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_RBRACE] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(2362),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2302),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(676),
    [anon_sym_LBRACK] = ACTIONS(2335),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(122),
    [anon_sym_DQUOTE] = ACTIONS(2338),
    [anon_sym_SQUOTE] = ACTIONS(2340),
    [anon_sym_async] = ACTIONS(2364),
    [anon_sym_EQ_GT] = ACTIONS(687),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(2362),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2311),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [sym_number] = ACTIONS(2348),
    [sym_private_property_identifier] = ACTIONS(2348),
    [anon_sym_static] = ACTIONS(2362),
    [anon_sym_readonly] = ACTIONS(2362),
    [anon_sym_get] = ACTIONS(2368),
    [anon_sym_set] = ACTIONS(2368),
    [anon_sym_QMARK] = ACTIONS(695),
    [anon_sym_declare] = ACTIONS(2362),
    [anon_sym_public] = ACTIONS(2362),
    [anon_sym_private] = ACTIONS(2362),
    [anon_sym_protected] = ACTIONS(2362),
    [anon_sym_override] = ACTIONS(2362),
    [anon_sym_module] = ACTIONS(2362),
    [anon_sym_any] = ACTIONS(2362),
    [anon_sym_number] = ACTIONS(2362),
    [anon_sym_boolean] = ACTIONS(2362),
    [anon_sym_string] = ACTIONS(2362),
    [anon_sym_symbol] = ACTIONS(2362),
    [anon_sym_object] = ACTIONS(2362),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [703] = {
    [sym_string] = STATE(3797),
    [sym__property_name] = STATE(3797),
    [sym_computed_property_name] = STATE(3797),
    [aux_sym_object_repeat1] = STATE(4905),
    [aux_sym_object_pattern_repeat1] = STATE(4835),
    [sym_identifier] = ACTIONS(2362),
    [anon_sym_export] = ACTIONS(2362),
    [anon_sym_STAR] = ACTIONS(2328),
    [anon_sym_type] = ACTIONS(2362),
    [anon_sym_EQ] = ACTIONS(666),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(2362),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_RBRACE] = ACTIONS(699),
    [anon_sym_let] = ACTIONS(2362),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2302),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(676),
    [anon_sym_LBRACK] = ACTIONS(2335),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(122),
    [anon_sym_DQUOTE] = ACTIONS(2338),
    [anon_sym_SQUOTE] = ACTIONS(2340),
    [anon_sym_async] = ACTIONS(2364),
    [anon_sym_EQ_GT] = ACTIONS(687),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(2362),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2311),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [sym_number] = ACTIONS(2348),
    [sym_private_property_identifier] = ACTIONS(2348),
    [anon_sym_static] = ACTIONS(2362),
    [anon_sym_readonly] = ACTIONS(2362),
    [anon_sym_get] = ACTIONS(2368),
    [anon_sym_set] = ACTIONS(2368),
    [anon_sym_QMARK] = ACTIONS(695),
    [anon_sym_declare] = ACTIONS(2362),
    [anon_sym_public] = ACTIONS(2362),
    [anon_sym_private] = ACTIONS(2362),
    [anon_sym_protected] = ACTIONS(2362),
    [anon_sym_override] = ACTIONS(2362),
    [anon_sym_module] = ACTIONS(2362),
    [anon_sym_any] = ACTIONS(2362),
    [anon_sym_number] = ACTIONS(2362),
    [anon_sym_boolean] = ACTIONS(2362),
    [anon_sym_string] = ACTIONS(2362),
    [anon_sym_symbol] = ACTIONS(2362),
    [anon_sym_object] = ACTIONS(2362),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [704] = {
    [sym_string] = STATE(3797),
    [sym__property_name] = STATE(3797),
    [sym_computed_property_name] = STATE(3797),
    [aux_sym_object_repeat1] = STATE(4905),
    [aux_sym_object_pattern_repeat1] = STATE(4835),
    [sym_identifier] = ACTIONS(2362),
    [anon_sym_export] = ACTIONS(2362),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(2362),
    [anon_sym_EQ] = ACTIONS(666),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(2362),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_RBRACE] = ACTIONS(699),
    [anon_sym_let] = ACTIONS(2362),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2302),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(676),
    [anon_sym_LBRACK] = ACTIONS(2335),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(122),
    [anon_sym_DQUOTE] = ACTIONS(2338),
    [anon_sym_SQUOTE] = ACTIONS(2340),
    [anon_sym_async] = ACTIONS(2362),
    [anon_sym_EQ_GT] = ACTIONS(687),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(2362),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2311),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [sym_number] = ACTIONS(2348),
    [sym_private_property_identifier] = ACTIONS(2348),
    [anon_sym_static] = ACTIONS(2362),
    [anon_sym_readonly] = ACTIONS(2362),
    [anon_sym_get] = ACTIONS(2362),
    [anon_sym_set] = ACTIONS(2362),
    [anon_sym_QMARK] = ACTIONS(695),
    [anon_sym_declare] = ACTIONS(2362),
    [anon_sym_public] = ACTIONS(2362),
    [anon_sym_private] = ACTIONS(2362),
    [anon_sym_protected] = ACTIONS(2362),
    [anon_sym_override] = ACTIONS(2362),
    [anon_sym_module] = ACTIONS(2362),
    [anon_sym_any] = ACTIONS(2362),
    [anon_sym_number] = ACTIONS(2362),
    [anon_sym_boolean] = ACTIONS(2362),
    [anon_sym_string] = ACTIONS(2362),
    [anon_sym_symbol] = ACTIONS(2362),
    [anon_sym_object] = ACTIONS(2362),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [705] = {
    [ts_builtin_sym_end] = ACTIONS(1921),
    [sym_identifier] = ACTIONS(1923),
    [anon_sym_export] = ACTIONS(1923),
    [anon_sym_default] = ACTIONS(1923),
    [anon_sym_type] = ACTIONS(1923),
    [anon_sym_EQ] = ACTIONS(1923),
    [anon_sym_namespace] = ACTIONS(1923),
    [anon_sym_LBRACE] = ACTIONS(1921),
    [anon_sym_COMMA] = ACTIONS(1921),
    [anon_sym_RBRACE] = ACTIONS(1921),
    [anon_sym_typeof] = ACTIONS(1923),
    [anon_sym_import] = ACTIONS(1923),
    [anon_sym_from] = ACTIONS(1923),
    [anon_sym_with] = ACTIONS(1923),
    [anon_sym_var] = ACTIONS(1923),
    [anon_sym_let] = ACTIONS(1923),
    [anon_sym_const] = ACTIONS(1923),
    [anon_sym_BANG] = ACTIONS(1921),
    [anon_sym_else] = ACTIONS(1923),
    [anon_sym_if] = ACTIONS(1923),
    [anon_sym_switch] = ACTIONS(1923),
    [anon_sym_for] = ACTIONS(1923),
    [anon_sym_LPAREN] = ACTIONS(1921),
    [anon_sym_SEMI] = ACTIONS(1921),
    [anon_sym_RPAREN] = ACTIONS(1921),
    [anon_sym_await] = ACTIONS(1923),
    [anon_sym_while] = ACTIONS(1923),
    [anon_sym_do] = ACTIONS(1923),
    [anon_sym_try] = ACTIONS(1923),
    [anon_sym_break] = ACTIONS(1923),
    [anon_sym_continue] = ACTIONS(1923),
    [anon_sym_debugger] = ACTIONS(1923),
    [anon_sym_return] = ACTIONS(1923),
    [anon_sym_throw] = ACTIONS(1923),
    [anon_sym_COLON] = ACTIONS(1921),
    [anon_sym_case] = ACTIONS(1923),
    [anon_sym_yield] = ACTIONS(1923),
    [anon_sym_LBRACK] = ACTIONS(1921),
    [anon_sym_RBRACK] = ACTIONS(1921),
    [sym_glimmer_opening_tag] = ACTIONS(1921),
    [anon_sym_GT] = ACTIONS(1921),
    [anon_sym_DQUOTE] = ACTIONS(1921),
    [anon_sym_SQUOTE] = ACTIONS(1921),
    [anon_sym_class] = ACTIONS(1923),
    [anon_sym_async] = ACTIONS(1923),
    [anon_sym_function] = ACTIONS(1923),
    [anon_sym_EQ_GT] = ACTIONS(1921),
    [anon_sym_new] = ACTIONS(1923),
    [anon_sym_using] = ACTIONS(1923),
    [anon_sym_AMP] = ACTIONS(1921),
    [anon_sym_PIPE] = ACTIONS(1921),
    [anon_sym_PLUS] = ACTIONS(1923),
    [anon_sym_DASH] = ACTIONS(1923),
    [anon_sym_SLASH] = ACTIONS(1923),
    [anon_sym_LT] = ACTIONS(1923),
    [anon_sym_TILDE] = ACTIONS(1921),
    [anon_sym_void] = ACTIONS(1923),
    [anon_sym_delete] = ACTIONS(1923),
    [anon_sym_PLUS_PLUS] = ACTIONS(1921),
    [anon_sym_DASH_DASH] = ACTIONS(1921),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1921),
    [sym_number] = ACTIONS(1921),
    [sym_private_property_identifier] = ACTIONS(1921),
    [sym_this] = ACTIONS(1923),
    [sym_super] = ACTIONS(1923),
    [sym_true] = ACTIONS(1923),
    [sym_false] = ACTIONS(1923),
    [sym_null] = ACTIONS(1923),
    [sym_undefined] = ACTIONS(1923),
    [anon_sym_AT] = ACTIONS(1921),
    [anon_sym_static] = ACTIONS(1923),
    [anon_sym_readonly] = ACTIONS(1923),
    [anon_sym_get] = ACTIONS(1923),
    [anon_sym_set] = ACTIONS(1923),
    [anon_sym_QMARK] = ACTIONS(1921),
    [anon_sym_declare] = ACTIONS(1923),
    [anon_sym_public] = ACTIONS(1923),
    [anon_sym_private] = ACTIONS(1923),
    [anon_sym_protected] = ACTIONS(1923),
    [anon_sym_override] = ACTIONS(1923),
    [anon_sym_module] = ACTIONS(1923),
    [anon_sym_any] = ACTIONS(1923),
    [anon_sym_number] = ACTIONS(1923),
    [anon_sym_boolean] = ACTIONS(1923),
    [anon_sym_string] = ACTIONS(1923),
    [anon_sym_symbol] = ACTIONS(1923),
    [anon_sym_object] = ACTIONS(1923),
    [anon_sym_abstract] = ACTIONS(1923),
    [anon_sym_extends] = ACTIONS(1923),
    [anon_sym_interface] = ACTIONS(1923),
    [anon_sym_enum] = ACTIONS(1923),
    [sym_html_comment] = ACTIONS(5),
  },
  [706] = {
    [ts_builtin_sym_end] = ACTIONS(1925),
    [sym_identifier] = ACTIONS(1927),
    [anon_sym_export] = ACTIONS(1927),
    [anon_sym_default] = ACTIONS(1927),
    [anon_sym_type] = ACTIONS(1927),
    [anon_sym_EQ] = ACTIONS(1927),
    [anon_sym_namespace] = ACTIONS(1927),
    [anon_sym_LBRACE] = ACTIONS(1925),
    [anon_sym_COMMA] = ACTIONS(1925),
    [anon_sym_RBRACE] = ACTIONS(1925),
    [anon_sym_typeof] = ACTIONS(1927),
    [anon_sym_import] = ACTIONS(1927),
    [anon_sym_from] = ACTIONS(1927),
    [anon_sym_with] = ACTIONS(1927),
    [anon_sym_var] = ACTIONS(1927),
    [anon_sym_let] = ACTIONS(1927),
    [anon_sym_const] = ACTIONS(1927),
    [anon_sym_BANG] = ACTIONS(1925),
    [anon_sym_else] = ACTIONS(1927),
    [anon_sym_if] = ACTIONS(1927),
    [anon_sym_switch] = ACTIONS(1927),
    [anon_sym_for] = ACTIONS(1927),
    [anon_sym_LPAREN] = ACTIONS(1925),
    [anon_sym_SEMI] = ACTIONS(1925),
    [anon_sym_RPAREN] = ACTIONS(1925),
    [anon_sym_await] = ACTIONS(1927),
    [anon_sym_while] = ACTIONS(1927),
    [anon_sym_do] = ACTIONS(1927),
    [anon_sym_try] = ACTIONS(1927),
    [anon_sym_break] = ACTIONS(1927),
    [anon_sym_continue] = ACTIONS(1927),
    [anon_sym_debugger] = ACTIONS(1927),
    [anon_sym_return] = ACTIONS(1927),
    [anon_sym_throw] = ACTIONS(1927),
    [anon_sym_COLON] = ACTIONS(1925),
    [anon_sym_case] = ACTIONS(1927),
    [anon_sym_yield] = ACTIONS(1927),
    [anon_sym_LBRACK] = ACTIONS(1925),
    [anon_sym_RBRACK] = ACTIONS(1925),
    [sym_glimmer_opening_tag] = ACTIONS(1925),
    [anon_sym_GT] = ACTIONS(1925),
    [anon_sym_DQUOTE] = ACTIONS(1925),
    [anon_sym_SQUOTE] = ACTIONS(1925),
    [anon_sym_class] = ACTIONS(1927),
    [anon_sym_async] = ACTIONS(1927),
    [anon_sym_function] = ACTIONS(1927),
    [anon_sym_EQ_GT] = ACTIONS(1925),
    [anon_sym_new] = ACTIONS(1927),
    [anon_sym_using] = ACTIONS(1927),
    [anon_sym_AMP] = ACTIONS(1925),
    [anon_sym_PIPE] = ACTIONS(1925),
    [anon_sym_PLUS] = ACTIONS(1927),
    [anon_sym_DASH] = ACTIONS(1927),
    [anon_sym_SLASH] = ACTIONS(1927),
    [anon_sym_LT] = ACTIONS(1927),
    [anon_sym_TILDE] = ACTIONS(1925),
    [anon_sym_void] = ACTIONS(1927),
    [anon_sym_delete] = ACTIONS(1927),
    [anon_sym_PLUS_PLUS] = ACTIONS(1925),
    [anon_sym_DASH_DASH] = ACTIONS(1925),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1925),
    [sym_number] = ACTIONS(1925),
    [sym_private_property_identifier] = ACTIONS(1925),
    [sym_this] = ACTIONS(1927),
    [sym_super] = ACTIONS(1927),
    [sym_true] = ACTIONS(1927),
    [sym_false] = ACTIONS(1927),
    [sym_null] = ACTIONS(1927),
    [sym_undefined] = ACTIONS(1927),
    [anon_sym_AT] = ACTIONS(1925),
    [anon_sym_static] = ACTIONS(1927),
    [anon_sym_readonly] = ACTIONS(1927),
    [anon_sym_get] = ACTIONS(1927),
    [anon_sym_set] = ACTIONS(1927),
    [anon_sym_QMARK] = ACTIONS(1925),
    [anon_sym_declare] = ACTIONS(1927),
    [anon_sym_public] = ACTIONS(1927),
    [anon_sym_private] = ACTIONS(1927),
    [anon_sym_protected] = ACTIONS(1927),
    [anon_sym_override] = ACTIONS(1927),
    [anon_sym_module] = ACTIONS(1927),
    [anon_sym_any] = ACTIONS(1927),
    [anon_sym_number] = ACTIONS(1927),
    [anon_sym_boolean] = ACTIONS(1927),
    [anon_sym_string] = ACTIONS(1927),
    [anon_sym_symbol] = ACTIONS(1927),
    [anon_sym_object] = ACTIONS(1927),
    [anon_sym_abstract] = ACTIONS(1927),
    [anon_sym_extends] = ACTIONS(1927),
    [anon_sym_interface] = ACTIONS(1927),
    [anon_sym_enum] = ACTIONS(1927),
    [sym_html_comment] = ACTIONS(5),
  },
  [707] = {
    [sym_string] = STATE(3797),
    [sym__property_name] = STATE(3797),
    [sym_computed_property_name] = STATE(3797),
    [aux_sym_object_repeat1] = STATE(4905),
    [aux_sym_object_pattern_repeat1] = STATE(4835),
    [sym_identifier] = ACTIONS(2362),
    [anon_sym_export] = ACTIONS(2362),
    [anon_sym_STAR] = ACTIONS(2328),
    [anon_sym_type] = ACTIONS(2362),
    [anon_sym_EQ] = ACTIONS(666),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(2362),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_RBRACE] = ACTIONS(697),
    [anon_sym_let] = ACTIONS(2362),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2302),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(676),
    [anon_sym_LBRACK] = ACTIONS(2335),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(122),
    [anon_sym_DQUOTE] = ACTIONS(2338),
    [anon_sym_SQUOTE] = ACTIONS(2340),
    [anon_sym_async] = ACTIONS(2364),
    [anon_sym_EQ_GT] = ACTIONS(687),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(2362),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2311),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [sym_number] = ACTIONS(2348),
    [sym_private_property_identifier] = ACTIONS(2348),
    [anon_sym_static] = ACTIONS(2362),
    [anon_sym_readonly] = ACTIONS(2362),
    [anon_sym_get] = ACTIONS(2368),
    [anon_sym_set] = ACTIONS(2368),
    [anon_sym_QMARK] = ACTIONS(695),
    [anon_sym_declare] = ACTIONS(2362),
    [anon_sym_public] = ACTIONS(2362),
    [anon_sym_private] = ACTIONS(2362),
    [anon_sym_protected] = ACTIONS(2362),
    [anon_sym_override] = ACTIONS(2362),
    [anon_sym_module] = ACTIONS(2362),
    [anon_sym_any] = ACTIONS(2362),
    [anon_sym_number] = ACTIONS(2362),
    [anon_sym_boolean] = ACTIONS(2362),
    [anon_sym_string] = ACTIONS(2362),
    [anon_sym_symbol] = ACTIONS(2362),
    [anon_sym_object] = ACTIONS(2362),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [708] = {
    [sym_string] = STATE(3797),
    [sym__property_name] = STATE(3797),
    [sym_computed_property_name] = STATE(3797),
    [aux_sym_object_repeat1] = STATE(4905),
    [aux_sym_object_pattern_repeat1] = STATE(4835),
    [sym_identifier] = ACTIONS(2362),
    [anon_sym_export] = ACTIONS(2362),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(2362),
    [anon_sym_EQ] = ACTIONS(666),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(2362),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_RBRACE] = ACTIONS(697),
    [anon_sym_let] = ACTIONS(2362),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2302),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(676),
    [anon_sym_LBRACK] = ACTIONS(2335),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(122),
    [anon_sym_DQUOTE] = ACTIONS(2338),
    [anon_sym_SQUOTE] = ACTIONS(2340),
    [anon_sym_async] = ACTIONS(2362),
    [anon_sym_EQ_GT] = ACTIONS(687),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(2362),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2311),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [sym_number] = ACTIONS(2348),
    [sym_private_property_identifier] = ACTIONS(2348),
    [anon_sym_static] = ACTIONS(2362),
    [anon_sym_readonly] = ACTIONS(2362),
    [anon_sym_get] = ACTIONS(2362),
    [anon_sym_set] = ACTIONS(2362),
    [anon_sym_QMARK] = ACTIONS(695),
    [anon_sym_declare] = ACTIONS(2362),
    [anon_sym_public] = ACTIONS(2362),
    [anon_sym_private] = ACTIONS(2362),
    [anon_sym_protected] = ACTIONS(2362),
    [anon_sym_override] = ACTIONS(2362),
    [anon_sym_module] = ACTIONS(2362),
    [anon_sym_any] = ACTIONS(2362),
    [anon_sym_number] = ACTIONS(2362),
    [anon_sym_boolean] = ACTIONS(2362),
    [anon_sym_string] = ACTIONS(2362),
    [anon_sym_symbol] = ACTIONS(2362),
    [anon_sym_object] = ACTIONS(2362),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [709] = {
    [sym_declaration] = STATE(869),
    [sym_variable_declaration] = STATE(836),
    [sym_lexical_declaration] = STATE(836),
    [sym_class_declaration] = STATE(836),
    [sym_function_declaration] = STATE(836),
    [sym_generator_function_declaration] = STATE(836),
    [sym_decorator] = STATE(1297),
    [sym_function_signature] = STATE(836),
    [sym_ambient_declaration] = STATE(836),
    [sym_abstract_class_declaration] = STATE(836),
    [sym_module] = STATE(836),
    [sym_internal_module] = STATE(824),
    [sym_import_alias] = STATE(836),
    [sym_interface_declaration] = STATE(836),
    [sym_enum_declaration] = STATE(836),
    [sym_type_alias_declaration] = STATE(836),
    [aux_sym_export_statement_repeat1] = STATE(4084),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(2352),
    [anon_sym_EQ] = ACTIONS(855),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(2290),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_import] = ACTIONS(2294),
    [anon_sym_var] = ACTIONS(2296),
    [anon_sym_let] = ACTIONS(2298),
    [anon_sym_const] = ACTIONS(2300),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(161),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(869),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_class] = ACTIONS(2305),
    [anon_sym_async] = ACTIONS(2307),
    [anon_sym_function] = ACTIONS(2309),
    [anon_sym_EQ_GT] = ACTIONS(687),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(122),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(161),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_declare] = ACTIONS(2314),
    [anon_sym_module] = ACTIONS(2354),
    [anon_sym_abstract] = ACTIONS(2318),
    [anon_sym_satisfies] = ACTIONS(161),
    [anon_sym_global] = ACTIONS(2356),
    [anon_sym_interface] = ACTIONS(2320),
    [anon_sym_enum] = ACTIONS(2322),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [710] = {
    [ts_builtin_sym_end] = ACTIONS(2372),
    [sym_identifier] = ACTIONS(2374),
    [anon_sym_export] = ACTIONS(2374),
    [anon_sym_default] = ACTIONS(2374),
    [anon_sym_type] = ACTIONS(2374),
    [anon_sym_EQ] = ACTIONS(2374),
    [anon_sym_namespace] = ACTIONS(2374),
    [anon_sym_LBRACE] = ACTIONS(2372),
    [anon_sym_COMMA] = ACTIONS(2372),
    [anon_sym_RBRACE] = ACTIONS(2372),
    [anon_sym_typeof] = ACTIONS(2374),
    [anon_sym_import] = ACTIONS(2374),
    [anon_sym_with] = ACTIONS(2374),
    [anon_sym_var] = ACTIONS(2374),
    [anon_sym_let] = ACTIONS(2374),
    [anon_sym_const] = ACTIONS(2374),
    [anon_sym_BANG] = ACTIONS(2372),
    [anon_sym_else] = ACTIONS(2374),
    [anon_sym_if] = ACTIONS(2374),
    [anon_sym_switch] = ACTIONS(2374),
    [anon_sym_for] = ACTIONS(2374),
    [anon_sym_LPAREN] = ACTIONS(2372),
    [anon_sym_SEMI] = ACTIONS(2372),
    [anon_sym_RPAREN] = ACTIONS(2372),
    [anon_sym_await] = ACTIONS(2374),
    [anon_sym_while] = ACTIONS(2374),
    [anon_sym_do] = ACTIONS(2374),
    [anon_sym_try] = ACTIONS(2374),
    [anon_sym_break] = ACTIONS(2374),
    [anon_sym_continue] = ACTIONS(2374),
    [anon_sym_debugger] = ACTIONS(2374),
    [anon_sym_return] = ACTIONS(2374),
    [anon_sym_throw] = ACTIONS(2374),
    [anon_sym_COLON] = ACTIONS(2372),
    [anon_sym_case] = ACTIONS(2374),
    [anon_sym_yield] = ACTIONS(2374),
    [anon_sym_LBRACK] = ACTIONS(2372),
    [anon_sym_RBRACK] = ACTIONS(2372),
    [sym_glimmer_opening_tag] = ACTIONS(2372),
    [anon_sym_GT] = ACTIONS(2372),
    [anon_sym_DQUOTE] = ACTIONS(2372),
    [anon_sym_SQUOTE] = ACTIONS(2372),
    [anon_sym_class] = ACTIONS(2374),
    [anon_sym_async] = ACTIONS(2374),
    [anon_sym_function] = ACTIONS(2374),
    [anon_sym_EQ_GT] = ACTIONS(2372),
    [anon_sym_new] = ACTIONS(2374),
    [anon_sym_using] = ACTIONS(2374),
    [anon_sym_AMP] = ACTIONS(2372),
    [anon_sym_PIPE] = ACTIONS(2372),
    [anon_sym_PLUS] = ACTIONS(2374),
    [anon_sym_DASH] = ACTIONS(2374),
    [anon_sym_SLASH] = ACTIONS(2374),
    [anon_sym_LT] = ACTIONS(2374),
    [anon_sym_TILDE] = ACTIONS(2372),
    [anon_sym_void] = ACTIONS(2374),
    [anon_sym_delete] = ACTIONS(2374),
    [anon_sym_PLUS_PLUS] = ACTIONS(2372),
    [anon_sym_DASH_DASH] = ACTIONS(2372),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2372),
    [sym_number] = ACTIONS(2372),
    [sym_private_property_identifier] = ACTIONS(2372),
    [sym_this] = ACTIONS(2374),
    [sym_super] = ACTIONS(2374),
    [sym_true] = ACTIONS(2374),
    [sym_false] = ACTIONS(2374),
    [sym_null] = ACTIONS(2374),
    [sym_undefined] = ACTIONS(2374),
    [anon_sym_AT] = ACTIONS(2372),
    [anon_sym_static] = ACTIONS(2374),
    [anon_sym_readonly] = ACTIONS(2374),
    [anon_sym_get] = ACTIONS(2374),
    [anon_sym_set] = ACTIONS(2374),
    [anon_sym_QMARK] = ACTIONS(2372),
    [anon_sym_declare] = ACTIONS(2374),
    [anon_sym_public] = ACTIONS(2374),
    [anon_sym_private] = ACTIONS(2374),
    [anon_sym_protected] = ACTIONS(2374),
    [anon_sym_override] = ACTIONS(2374),
    [anon_sym_module] = ACTIONS(2374),
    [anon_sym_any] = ACTIONS(2374),
    [anon_sym_number] = ACTIONS(2374),
    [anon_sym_boolean] = ACTIONS(2374),
    [anon_sym_string] = ACTIONS(2374),
    [anon_sym_symbol] = ACTIONS(2374),
    [anon_sym_object] = ACTIONS(2374),
    [anon_sym_abstract] = ACTIONS(2374),
    [anon_sym_extends] = ACTIONS(2374),
    [anon_sym_interface] = ACTIONS(2374),
    [anon_sym_enum] = ACTIONS(2374),
    [sym_html_comment] = ACTIONS(5),
  },
  [711] = {
    [ts_builtin_sym_end] = ACTIONS(2376),
    [sym_identifier] = ACTIONS(2378),
    [anon_sym_export] = ACTIONS(2378),
    [anon_sym_default] = ACTIONS(2378),
    [anon_sym_type] = ACTIONS(2378),
    [anon_sym_EQ] = ACTIONS(2378),
    [anon_sym_namespace] = ACTIONS(2378),
    [anon_sym_LBRACE] = ACTIONS(2376),
    [anon_sym_COMMA] = ACTIONS(2376),
    [anon_sym_RBRACE] = ACTIONS(2376),
    [anon_sym_typeof] = ACTIONS(2378),
    [anon_sym_import] = ACTIONS(2378),
    [anon_sym_with] = ACTIONS(2378),
    [anon_sym_var] = ACTIONS(2378),
    [anon_sym_let] = ACTIONS(2378),
    [anon_sym_const] = ACTIONS(2378),
    [anon_sym_BANG] = ACTIONS(2376),
    [anon_sym_else] = ACTIONS(2378),
    [anon_sym_if] = ACTIONS(2378),
    [anon_sym_switch] = ACTIONS(2378),
    [anon_sym_for] = ACTIONS(2378),
    [anon_sym_LPAREN] = ACTIONS(2376),
    [anon_sym_SEMI] = ACTIONS(2376),
    [anon_sym_RPAREN] = ACTIONS(2376),
    [anon_sym_await] = ACTIONS(2378),
    [anon_sym_while] = ACTIONS(2378),
    [anon_sym_do] = ACTIONS(2378),
    [anon_sym_try] = ACTIONS(2378),
    [anon_sym_break] = ACTIONS(2378),
    [anon_sym_continue] = ACTIONS(2378),
    [anon_sym_debugger] = ACTIONS(2378),
    [anon_sym_return] = ACTIONS(2378),
    [anon_sym_throw] = ACTIONS(2378),
    [anon_sym_COLON] = ACTIONS(2376),
    [anon_sym_case] = ACTIONS(2378),
    [anon_sym_yield] = ACTIONS(2378),
    [anon_sym_LBRACK] = ACTIONS(2376),
    [anon_sym_RBRACK] = ACTIONS(2376),
    [sym_glimmer_opening_tag] = ACTIONS(2376),
    [anon_sym_GT] = ACTIONS(2376),
    [anon_sym_DQUOTE] = ACTIONS(2376),
    [anon_sym_SQUOTE] = ACTIONS(2376),
    [anon_sym_class] = ACTIONS(2378),
    [anon_sym_async] = ACTIONS(2378),
    [anon_sym_function] = ACTIONS(2378),
    [anon_sym_EQ_GT] = ACTIONS(2376),
    [anon_sym_new] = ACTIONS(2378),
    [anon_sym_using] = ACTIONS(2378),
    [anon_sym_AMP] = ACTIONS(2376),
    [anon_sym_PIPE] = ACTIONS(2376),
    [anon_sym_PLUS] = ACTIONS(2378),
    [anon_sym_DASH] = ACTIONS(2378),
    [anon_sym_SLASH] = ACTIONS(2378),
    [anon_sym_LT] = ACTIONS(2378),
    [anon_sym_TILDE] = ACTIONS(2376),
    [anon_sym_void] = ACTIONS(2378),
    [anon_sym_delete] = ACTIONS(2378),
    [anon_sym_PLUS_PLUS] = ACTIONS(2376),
    [anon_sym_DASH_DASH] = ACTIONS(2376),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2376),
    [sym_number] = ACTIONS(2376),
    [sym_private_property_identifier] = ACTIONS(2376),
    [sym_this] = ACTIONS(2378),
    [sym_super] = ACTIONS(2378),
    [sym_true] = ACTIONS(2378),
    [sym_false] = ACTIONS(2378),
    [sym_null] = ACTIONS(2378),
    [sym_undefined] = ACTIONS(2378),
    [anon_sym_AT] = ACTIONS(2376),
    [anon_sym_static] = ACTIONS(2378),
    [anon_sym_readonly] = ACTIONS(2378),
    [anon_sym_get] = ACTIONS(2378),
    [anon_sym_set] = ACTIONS(2378),
    [anon_sym_QMARK] = ACTIONS(2376),
    [anon_sym_declare] = ACTIONS(2378),
    [anon_sym_public] = ACTIONS(2378),
    [anon_sym_private] = ACTIONS(2378),
    [anon_sym_protected] = ACTIONS(2378),
    [anon_sym_override] = ACTIONS(2378),
    [anon_sym_module] = ACTIONS(2378),
    [anon_sym_any] = ACTIONS(2378),
    [anon_sym_number] = ACTIONS(2378),
    [anon_sym_boolean] = ACTIONS(2378),
    [anon_sym_string] = ACTIONS(2378),
    [anon_sym_symbol] = ACTIONS(2378),
    [anon_sym_object] = ACTIONS(2378),
    [anon_sym_abstract] = ACTIONS(2378),
    [anon_sym_extends] = ACTIONS(2378),
    [anon_sym_interface] = ACTIONS(2378),
    [anon_sym_enum] = ACTIONS(2378),
    [sym_html_comment] = ACTIONS(5),
  },
  [712] = {
    [ts_builtin_sym_end] = ACTIONS(2380),
    [sym_identifier] = ACTIONS(2382),
    [anon_sym_export] = ACTIONS(2382),
    [anon_sym_default] = ACTIONS(2382),
    [anon_sym_type] = ACTIONS(2382),
    [anon_sym_EQ] = ACTIONS(2382),
    [anon_sym_namespace] = ACTIONS(2382),
    [anon_sym_LBRACE] = ACTIONS(2380),
    [anon_sym_COMMA] = ACTIONS(2380),
    [anon_sym_RBRACE] = ACTIONS(2380),
    [anon_sym_typeof] = ACTIONS(2382),
    [anon_sym_import] = ACTIONS(2382),
    [anon_sym_with] = ACTIONS(2382),
    [anon_sym_var] = ACTIONS(2382),
    [anon_sym_let] = ACTIONS(2382),
    [anon_sym_const] = ACTIONS(2382),
    [anon_sym_BANG] = ACTIONS(2380),
    [anon_sym_else] = ACTIONS(2382),
    [anon_sym_if] = ACTIONS(2382),
    [anon_sym_switch] = ACTIONS(2382),
    [anon_sym_for] = ACTIONS(2382),
    [anon_sym_LPAREN] = ACTIONS(2380),
    [anon_sym_SEMI] = ACTIONS(2380),
    [anon_sym_RPAREN] = ACTIONS(2380),
    [anon_sym_await] = ACTIONS(2382),
    [anon_sym_while] = ACTIONS(2382),
    [anon_sym_do] = ACTIONS(2382),
    [anon_sym_try] = ACTIONS(2382),
    [anon_sym_break] = ACTIONS(2382),
    [anon_sym_continue] = ACTIONS(2382),
    [anon_sym_debugger] = ACTIONS(2382),
    [anon_sym_return] = ACTIONS(2382),
    [anon_sym_throw] = ACTIONS(2382),
    [anon_sym_COLON] = ACTIONS(2380),
    [anon_sym_case] = ACTIONS(2382),
    [anon_sym_yield] = ACTIONS(2382),
    [anon_sym_LBRACK] = ACTIONS(2380),
    [anon_sym_RBRACK] = ACTIONS(2380),
    [sym_glimmer_opening_tag] = ACTIONS(2380),
    [anon_sym_GT] = ACTIONS(2380),
    [anon_sym_DQUOTE] = ACTIONS(2380),
    [anon_sym_SQUOTE] = ACTIONS(2380),
    [anon_sym_class] = ACTIONS(2382),
    [anon_sym_async] = ACTIONS(2382),
    [anon_sym_function] = ACTIONS(2382),
    [anon_sym_EQ_GT] = ACTIONS(2380),
    [anon_sym_new] = ACTIONS(2382),
    [anon_sym_using] = ACTIONS(2382),
    [anon_sym_AMP] = ACTIONS(2380),
    [anon_sym_PIPE] = ACTIONS(2380),
    [anon_sym_PLUS] = ACTIONS(2382),
    [anon_sym_DASH] = ACTIONS(2382),
    [anon_sym_SLASH] = ACTIONS(2382),
    [anon_sym_LT] = ACTIONS(2382),
    [anon_sym_TILDE] = ACTIONS(2380),
    [anon_sym_void] = ACTIONS(2382),
    [anon_sym_delete] = ACTIONS(2382),
    [anon_sym_PLUS_PLUS] = ACTIONS(2380),
    [anon_sym_DASH_DASH] = ACTIONS(2380),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2380),
    [sym_number] = ACTIONS(2380),
    [sym_private_property_identifier] = ACTIONS(2380),
    [sym_this] = ACTIONS(2382),
    [sym_super] = ACTIONS(2382),
    [sym_true] = ACTIONS(2382),
    [sym_false] = ACTIONS(2382),
    [sym_null] = ACTIONS(2382),
    [sym_undefined] = ACTIONS(2382),
    [anon_sym_AT] = ACTIONS(2380),
    [anon_sym_static] = ACTIONS(2382),
    [anon_sym_readonly] = ACTIONS(2382),
    [anon_sym_get] = ACTIONS(2382),
    [anon_sym_set] = ACTIONS(2382),
    [anon_sym_QMARK] = ACTIONS(2380),
    [anon_sym_declare] = ACTIONS(2382),
    [anon_sym_public] = ACTIONS(2382),
    [anon_sym_private] = ACTIONS(2382),
    [anon_sym_protected] = ACTIONS(2382),
    [anon_sym_override] = ACTIONS(2382),
    [anon_sym_module] = ACTIONS(2382),
    [anon_sym_any] = ACTIONS(2382),
    [anon_sym_number] = ACTIONS(2382),
    [anon_sym_boolean] = ACTIONS(2382),
    [anon_sym_string] = ACTIONS(2382),
    [anon_sym_symbol] = ACTIONS(2382),
    [anon_sym_object] = ACTIONS(2382),
    [anon_sym_abstract] = ACTIONS(2382),
    [anon_sym_extends] = ACTIONS(2382),
    [anon_sym_interface] = ACTIONS(2382),
    [anon_sym_enum] = ACTIONS(2382),
    [sym_html_comment] = ACTIONS(5),
  },
  [713] = {
    [ts_builtin_sym_end] = ACTIONS(2384),
    [sym_identifier] = ACTIONS(2386),
    [anon_sym_export] = ACTIONS(2386),
    [anon_sym_default] = ACTIONS(2386),
    [anon_sym_type] = ACTIONS(2386),
    [anon_sym_EQ] = ACTIONS(2386),
    [anon_sym_namespace] = ACTIONS(2386),
    [anon_sym_LBRACE] = ACTIONS(2384),
    [anon_sym_COMMA] = ACTIONS(2384),
    [anon_sym_RBRACE] = ACTIONS(2384),
    [anon_sym_typeof] = ACTIONS(2386),
    [anon_sym_import] = ACTIONS(2386),
    [anon_sym_with] = ACTIONS(2386),
    [anon_sym_var] = ACTIONS(2386),
    [anon_sym_let] = ACTIONS(2386),
    [anon_sym_const] = ACTIONS(2386),
    [anon_sym_BANG] = ACTIONS(2384),
    [anon_sym_else] = ACTIONS(2386),
    [anon_sym_if] = ACTIONS(2386),
    [anon_sym_switch] = ACTIONS(2386),
    [anon_sym_for] = ACTIONS(2386),
    [anon_sym_LPAREN] = ACTIONS(2384),
    [anon_sym_SEMI] = ACTIONS(2384),
    [anon_sym_RPAREN] = ACTIONS(2384),
    [anon_sym_await] = ACTIONS(2386),
    [anon_sym_while] = ACTIONS(2386),
    [anon_sym_do] = ACTIONS(2386),
    [anon_sym_try] = ACTIONS(2386),
    [anon_sym_break] = ACTIONS(2386),
    [anon_sym_continue] = ACTIONS(2386),
    [anon_sym_debugger] = ACTIONS(2386),
    [anon_sym_return] = ACTIONS(2386),
    [anon_sym_throw] = ACTIONS(2386),
    [anon_sym_COLON] = ACTIONS(2384),
    [anon_sym_case] = ACTIONS(2386),
    [anon_sym_yield] = ACTIONS(2386),
    [anon_sym_LBRACK] = ACTIONS(2384),
    [anon_sym_RBRACK] = ACTIONS(2384),
    [sym_glimmer_opening_tag] = ACTIONS(2384),
    [anon_sym_GT] = ACTIONS(2384),
    [anon_sym_DQUOTE] = ACTIONS(2384),
    [anon_sym_SQUOTE] = ACTIONS(2384),
    [anon_sym_class] = ACTIONS(2386),
    [anon_sym_async] = ACTIONS(2386),
    [anon_sym_function] = ACTIONS(2386),
    [anon_sym_EQ_GT] = ACTIONS(2384),
    [anon_sym_new] = ACTIONS(2386),
    [anon_sym_using] = ACTIONS(2386),
    [anon_sym_AMP] = ACTIONS(2384),
    [anon_sym_PIPE] = ACTIONS(2384),
    [anon_sym_PLUS] = ACTIONS(2386),
    [anon_sym_DASH] = ACTIONS(2386),
    [anon_sym_SLASH] = ACTIONS(2386),
    [anon_sym_LT] = ACTIONS(2386),
    [anon_sym_TILDE] = ACTIONS(2384),
    [anon_sym_void] = ACTIONS(2386),
    [anon_sym_delete] = ACTIONS(2386),
    [anon_sym_PLUS_PLUS] = ACTIONS(2384),
    [anon_sym_DASH_DASH] = ACTIONS(2384),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2384),
    [sym_number] = ACTIONS(2384),
    [sym_private_property_identifier] = ACTIONS(2384),
    [sym_this] = ACTIONS(2386),
    [sym_super] = ACTIONS(2386),
    [sym_true] = ACTIONS(2386),
    [sym_false] = ACTIONS(2386),
    [sym_null] = ACTIONS(2386),
    [sym_undefined] = ACTIONS(2386),
    [anon_sym_AT] = ACTIONS(2384),
    [anon_sym_static] = ACTIONS(2386),
    [anon_sym_readonly] = ACTIONS(2386),
    [anon_sym_get] = ACTIONS(2386),
    [anon_sym_set] = ACTIONS(2386),
    [anon_sym_QMARK] = ACTIONS(2384),
    [anon_sym_declare] = ACTIONS(2386),
    [anon_sym_public] = ACTIONS(2386),
    [anon_sym_private] = ACTIONS(2386),
    [anon_sym_protected] = ACTIONS(2386),
    [anon_sym_override] = ACTIONS(2386),
    [anon_sym_module] = ACTIONS(2386),
    [anon_sym_any] = ACTIONS(2386),
    [anon_sym_number] = ACTIONS(2386),
    [anon_sym_boolean] = ACTIONS(2386),
    [anon_sym_string] = ACTIONS(2386),
    [anon_sym_symbol] = ACTIONS(2386),
    [anon_sym_object] = ACTIONS(2386),
    [anon_sym_abstract] = ACTIONS(2386),
    [anon_sym_extends] = ACTIONS(2386),
    [anon_sym_interface] = ACTIONS(2386),
    [anon_sym_enum] = ACTIONS(2386),
    [sym_html_comment] = ACTIONS(5),
  },
  [714] = {
    [ts_builtin_sym_end] = ACTIONS(2388),
    [sym_identifier] = ACTIONS(2390),
    [anon_sym_export] = ACTIONS(2390),
    [anon_sym_default] = ACTIONS(2390),
    [anon_sym_type] = ACTIONS(2390),
    [anon_sym_EQ] = ACTIONS(2390),
    [anon_sym_namespace] = ACTIONS(2390),
    [anon_sym_LBRACE] = ACTIONS(2388),
    [anon_sym_COMMA] = ACTIONS(2388),
    [anon_sym_RBRACE] = ACTIONS(2388),
    [anon_sym_typeof] = ACTIONS(2390),
    [anon_sym_import] = ACTIONS(2390),
    [anon_sym_with] = ACTIONS(2390),
    [anon_sym_var] = ACTIONS(2390),
    [anon_sym_let] = ACTIONS(2390),
    [anon_sym_const] = ACTIONS(2390),
    [anon_sym_BANG] = ACTIONS(2388),
    [anon_sym_else] = ACTIONS(2390),
    [anon_sym_if] = ACTIONS(2390),
    [anon_sym_switch] = ACTIONS(2390),
    [anon_sym_for] = ACTIONS(2390),
    [anon_sym_LPAREN] = ACTIONS(2388),
    [anon_sym_SEMI] = ACTIONS(2388),
    [anon_sym_RPAREN] = ACTIONS(2388),
    [anon_sym_await] = ACTIONS(2390),
    [anon_sym_while] = ACTIONS(2390),
    [anon_sym_do] = ACTIONS(2390),
    [anon_sym_try] = ACTIONS(2390),
    [anon_sym_break] = ACTIONS(2390),
    [anon_sym_continue] = ACTIONS(2390),
    [anon_sym_debugger] = ACTIONS(2390),
    [anon_sym_return] = ACTIONS(2390),
    [anon_sym_throw] = ACTIONS(2390),
    [anon_sym_COLON] = ACTIONS(2388),
    [anon_sym_case] = ACTIONS(2390),
    [anon_sym_yield] = ACTIONS(2390),
    [anon_sym_LBRACK] = ACTIONS(2388),
    [anon_sym_RBRACK] = ACTIONS(2388),
    [sym_glimmer_opening_tag] = ACTIONS(2388),
    [anon_sym_GT] = ACTIONS(2388),
    [anon_sym_DQUOTE] = ACTIONS(2388),
    [anon_sym_SQUOTE] = ACTIONS(2388),
    [anon_sym_class] = ACTIONS(2390),
    [anon_sym_async] = ACTIONS(2390),
    [anon_sym_function] = ACTIONS(2390),
    [anon_sym_EQ_GT] = ACTIONS(2388),
    [anon_sym_new] = ACTIONS(2390),
    [anon_sym_using] = ACTIONS(2390),
    [anon_sym_AMP] = ACTIONS(2388),
    [anon_sym_PIPE] = ACTIONS(2388),
    [anon_sym_PLUS] = ACTIONS(2390),
    [anon_sym_DASH] = ACTIONS(2390),
    [anon_sym_SLASH] = ACTIONS(2390),
    [anon_sym_LT] = ACTIONS(2390),
    [anon_sym_TILDE] = ACTIONS(2388),
    [anon_sym_void] = ACTIONS(2390),
    [anon_sym_delete] = ACTIONS(2390),
    [anon_sym_PLUS_PLUS] = ACTIONS(2388),
    [anon_sym_DASH_DASH] = ACTIONS(2388),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2388),
    [sym_number] = ACTIONS(2388),
    [sym_private_property_identifier] = ACTIONS(2388),
    [sym_this] = ACTIONS(2390),
    [sym_super] = ACTIONS(2390),
    [sym_true] = ACTIONS(2390),
    [sym_false] = ACTIONS(2390),
    [sym_null] = ACTIONS(2390),
    [sym_undefined] = ACTIONS(2390),
    [anon_sym_AT] = ACTIONS(2388),
    [anon_sym_static] = ACTIONS(2390),
    [anon_sym_readonly] = ACTIONS(2390),
    [anon_sym_get] = ACTIONS(2390),
    [anon_sym_set] = ACTIONS(2390),
    [anon_sym_QMARK] = ACTIONS(2388),
    [anon_sym_declare] = ACTIONS(2390),
    [anon_sym_public] = ACTIONS(2390),
    [anon_sym_private] = ACTIONS(2390),
    [anon_sym_protected] = ACTIONS(2390),
    [anon_sym_override] = ACTIONS(2390),
    [anon_sym_module] = ACTIONS(2390),
    [anon_sym_any] = ACTIONS(2390),
    [anon_sym_number] = ACTIONS(2390),
    [anon_sym_boolean] = ACTIONS(2390),
    [anon_sym_string] = ACTIONS(2390),
    [anon_sym_symbol] = ACTIONS(2390),
    [anon_sym_object] = ACTIONS(2390),
    [anon_sym_abstract] = ACTIONS(2390),
    [anon_sym_extends] = ACTIONS(2390),
    [anon_sym_interface] = ACTIONS(2390),
    [anon_sym_enum] = ACTIONS(2390),
    [sym_html_comment] = ACTIONS(5),
  },
  [715] = {
    [sym_declaration] = STATE(869),
    [sym_variable_declaration] = STATE(836),
    [sym_lexical_declaration] = STATE(836),
    [sym_class_declaration] = STATE(836),
    [sym_function_declaration] = STATE(836),
    [sym_generator_function_declaration] = STATE(836),
    [sym_decorator] = STATE(1297),
    [sym_function_signature] = STATE(836),
    [sym_ambient_declaration] = STATE(836),
    [sym_abstract_class_declaration] = STATE(836),
    [sym_module] = STATE(836),
    [sym_internal_module] = STATE(824),
    [sym_import_alias] = STATE(836),
    [sym_interface_declaration] = STATE(836),
    [sym_enum_declaration] = STATE(836),
    [sym_type_alias_declaration] = STATE(836),
    [aux_sym_export_statement_repeat1] = STATE(4084),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(2352),
    [anon_sym_EQ] = ACTIONS(855),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(2290),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_import] = ACTIONS(2294),
    [anon_sym_var] = ACTIONS(2296),
    [anon_sym_let] = ACTIONS(2298),
    [anon_sym_const] = ACTIONS(2300),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(161),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(857),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_class] = ACTIONS(2305),
    [anon_sym_async] = ACTIONS(2307),
    [anon_sym_function] = ACTIONS(2309),
    [anon_sym_EQ_GT] = ACTIONS(687),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(122),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(161),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_declare] = ACTIONS(2314),
    [anon_sym_module] = ACTIONS(2354),
    [anon_sym_abstract] = ACTIONS(2318),
    [anon_sym_satisfies] = ACTIONS(161),
    [anon_sym_global] = ACTIONS(2356),
    [anon_sym_interface] = ACTIONS(2320),
    [anon_sym_enum] = ACTIONS(2322),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [716] = {
    [aux_sym_object_repeat1] = STATE(4905),
    [aux_sym_object_pattern_repeat1] = STATE(4835),
    [sym_identifier] = ACTIONS(1988),
    [anon_sym_export] = ACTIONS(1988),
    [anon_sym_STAR] = ACTIONS(1988),
    [anon_sym_type] = ACTIONS(1988),
    [anon_sym_EQ] = ACTIONS(666),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(1988),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_RBRACE] = ACTIONS(699),
    [anon_sym_let] = ACTIONS(1988),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2302),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(676),
    [anon_sym_LBRACK] = ACTIONS(1990),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(122),
    [anon_sym_DQUOTE] = ACTIONS(1990),
    [anon_sym_SQUOTE] = ACTIONS(1990),
    [anon_sym_async] = ACTIONS(1988),
    [anon_sym_EQ_GT] = ACTIONS(687),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(1988),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2311),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [sym_number] = ACTIONS(1990),
    [sym_private_property_identifier] = ACTIONS(1990),
    [anon_sym_static] = ACTIONS(1988),
    [anon_sym_readonly] = ACTIONS(1988),
    [anon_sym_get] = ACTIONS(1988),
    [anon_sym_set] = ACTIONS(1988),
    [anon_sym_QMARK] = ACTIONS(695),
    [anon_sym_declare] = ACTIONS(1988),
    [anon_sym_public] = ACTIONS(1988),
    [anon_sym_private] = ACTIONS(1988),
    [anon_sym_protected] = ACTIONS(1988),
    [anon_sym_override] = ACTIONS(1988),
    [anon_sym_module] = ACTIONS(1988),
    [anon_sym_any] = ACTIONS(1988),
    [anon_sym_number] = ACTIONS(1988),
    [anon_sym_boolean] = ACTIONS(1988),
    [anon_sym_string] = ACTIONS(1988),
    [anon_sym_symbol] = ACTIONS(1988),
    [anon_sym_object] = ACTIONS(1988),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [717] = {
    [sym_declaration] = STATE(3947),
    [sym_variable_declaration] = STATE(3912),
    [sym_lexical_declaration] = STATE(3912),
    [sym_class_declaration] = STATE(3912),
    [sym_function_declaration] = STATE(3912),
    [sym_generator_function_declaration] = STATE(3912),
    [sym_decorator] = STATE(1297),
    [sym_function_signature] = STATE(3912),
    [sym_ambient_declaration] = STATE(3912),
    [sym_abstract_class_declaration] = STATE(3912),
    [sym_module] = STATE(3912),
    [sym_internal_module] = STATE(3916),
    [sym_import_alias] = STATE(3912),
    [sym_interface_declaration] = STATE(3912),
    [sym_enum_declaration] = STATE(3912),
    [sym_type_alias_declaration] = STATE(3912),
    [aux_sym_export_statement_repeat1] = STATE(4322),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(2392),
    [anon_sym_EQ] = ACTIONS(925),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(2394),
    [anon_sym_import] = ACTIONS(2396),
    [anon_sym_var] = ACTIONS(2398),
    [anon_sym_let] = ACTIONS(2400),
    [anon_sym_const] = ACTIONS(2402),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(161),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_class] = ACTIONS(2404),
    [anon_sym_async] = ACTIONS(2406),
    [anon_sym_function] = ACTIONS(2408),
    [anon_sym_EQ_GT] = ACTIONS(931),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(122),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(161),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_declare] = ACTIONS(2410),
    [anon_sym_module] = ACTIONS(2412),
    [anon_sym_abstract] = ACTIONS(2414),
    [anon_sym_satisfies] = ACTIONS(161),
    [anon_sym_global] = ACTIONS(2416),
    [anon_sym_interface] = ACTIONS(2418),
    [anon_sym_enum] = ACTIONS(2420),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [718] = {
    [aux_sym_object_repeat1] = STATE(4824),
    [aux_sym_object_pattern_repeat1] = STATE(4835),
    [sym_identifier] = ACTIONS(1984),
    [anon_sym_export] = ACTIONS(1984),
    [anon_sym_STAR] = ACTIONS(1984),
    [anon_sym_type] = ACTIONS(1984),
    [anon_sym_EQ] = ACTIONS(666),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(1984),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_RBRACE] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(1984),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2302),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(676),
    [anon_sym_LBRACK] = ACTIONS(1986),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(122),
    [anon_sym_DQUOTE] = ACTIONS(1986),
    [anon_sym_SQUOTE] = ACTIONS(1986),
    [anon_sym_async] = ACTIONS(1984),
    [anon_sym_EQ_GT] = ACTIONS(687),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(1984),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2311),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [sym_number] = ACTIONS(1986),
    [sym_private_property_identifier] = ACTIONS(1986),
    [anon_sym_static] = ACTIONS(1984),
    [anon_sym_readonly] = ACTIONS(1984),
    [anon_sym_get] = ACTIONS(1984),
    [anon_sym_set] = ACTIONS(1984),
    [anon_sym_QMARK] = ACTIONS(695),
    [anon_sym_declare] = ACTIONS(1984),
    [anon_sym_public] = ACTIONS(1984),
    [anon_sym_private] = ACTIONS(1984),
    [anon_sym_protected] = ACTIONS(1984),
    [anon_sym_override] = ACTIONS(1984),
    [anon_sym_module] = ACTIONS(1984),
    [anon_sym_any] = ACTIONS(1984),
    [anon_sym_number] = ACTIONS(1984),
    [anon_sym_boolean] = ACTIONS(1984),
    [anon_sym_string] = ACTIONS(1984),
    [anon_sym_symbol] = ACTIONS(1984),
    [anon_sym_object] = ACTIONS(1984),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [719] = {
    [aux_sym_object_repeat1] = STATE(4824),
    [aux_sym_object_pattern_repeat1] = STATE(4835),
    [sym_identifier] = ACTIONS(1988),
    [anon_sym_export] = ACTIONS(1988),
    [anon_sym_STAR] = ACTIONS(1988),
    [anon_sym_type] = ACTIONS(1988),
    [anon_sym_EQ] = ACTIONS(666),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(1988),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_RBRACE] = ACTIONS(672),
    [anon_sym_let] = ACTIONS(1988),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2302),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(676),
    [anon_sym_LBRACK] = ACTIONS(1990),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(122),
    [anon_sym_DQUOTE] = ACTIONS(1990),
    [anon_sym_SQUOTE] = ACTIONS(1990),
    [anon_sym_async] = ACTIONS(1988),
    [anon_sym_EQ_GT] = ACTIONS(687),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(1988),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2311),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [sym_number] = ACTIONS(1990),
    [sym_private_property_identifier] = ACTIONS(1990),
    [anon_sym_static] = ACTIONS(1988),
    [anon_sym_readonly] = ACTIONS(1988),
    [anon_sym_get] = ACTIONS(1988),
    [anon_sym_set] = ACTIONS(1988),
    [anon_sym_QMARK] = ACTIONS(695),
    [anon_sym_declare] = ACTIONS(1988),
    [anon_sym_public] = ACTIONS(1988),
    [anon_sym_private] = ACTIONS(1988),
    [anon_sym_protected] = ACTIONS(1988),
    [anon_sym_override] = ACTIONS(1988),
    [anon_sym_module] = ACTIONS(1988),
    [anon_sym_any] = ACTIONS(1988),
    [anon_sym_number] = ACTIONS(1988),
    [anon_sym_boolean] = ACTIONS(1988),
    [anon_sym_string] = ACTIONS(1988),
    [anon_sym_symbol] = ACTIONS(1988),
    [anon_sym_object] = ACTIONS(1988),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [720] = {
    [aux_sym_object_repeat1] = STATE(4905),
    [aux_sym_object_pattern_repeat1] = STATE(4835),
    [sym_identifier] = ACTIONS(1988),
    [anon_sym_export] = ACTIONS(1988),
    [anon_sym_STAR] = ACTIONS(1988),
    [anon_sym_type] = ACTIONS(1988),
    [anon_sym_EQ] = ACTIONS(666),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(1988),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_RBRACE] = ACTIONS(697),
    [anon_sym_let] = ACTIONS(1988),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2302),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(676),
    [anon_sym_LBRACK] = ACTIONS(1990),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(122),
    [anon_sym_DQUOTE] = ACTIONS(1990),
    [anon_sym_SQUOTE] = ACTIONS(1990),
    [anon_sym_async] = ACTIONS(1988),
    [anon_sym_EQ_GT] = ACTIONS(687),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(1988),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2311),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [sym_number] = ACTIONS(1990),
    [sym_private_property_identifier] = ACTIONS(1990),
    [anon_sym_static] = ACTIONS(1988),
    [anon_sym_readonly] = ACTIONS(1988),
    [anon_sym_get] = ACTIONS(1988),
    [anon_sym_set] = ACTIONS(1988),
    [anon_sym_QMARK] = ACTIONS(695),
    [anon_sym_declare] = ACTIONS(1988),
    [anon_sym_public] = ACTIONS(1988),
    [anon_sym_private] = ACTIONS(1988),
    [anon_sym_protected] = ACTIONS(1988),
    [anon_sym_override] = ACTIONS(1988),
    [anon_sym_module] = ACTIONS(1988),
    [anon_sym_any] = ACTIONS(1988),
    [anon_sym_number] = ACTIONS(1988),
    [anon_sym_boolean] = ACTIONS(1988),
    [anon_sym_string] = ACTIONS(1988),
    [anon_sym_symbol] = ACTIONS(1988),
    [anon_sym_object] = ACTIONS(1988),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [721] = {
    [aux_sym_object_repeat1] = STATE(4905),
    [aux_sym_object_pattern_repeat1] = STATE(4835),
    [sym_identifier] = ACTIONS(1984),
    [anon_sym_export] = ACTIONS(1984),
    [anon_sym_STAR] = ACTIONS(1984),
    [anon_sym_type] = ACTIONS(1984),
    [anon_sym_EQ] = ACTIONS(666),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(1984),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_RBRACE] = ACTIONS(697),
    [anon_sym_let] = ACTIONS(1984),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2302),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(676),
    [anon_sym_LBRACK] = ACTIONS(1986),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(122),
    [anon_sym_DQUOTE] = ACTIONS(1986),
    [anon_sym_SQUOTE] = ACTIONS(1986),
    [anon_sym_async] = ACTIONS(1984),
    [anon_sym_EQ_GT] = ACTIONS(687),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(1984),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2311),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [sym_number] = ACTIONS(1986),
    [sym_private_property_identifier] = ACTIONS(1986),
    [anon_sym_static] = ACTIONS(1984),
    [anon_sym_readonly] = ACTIONS(1984),
    [anon_sym_get] = ACTIONS(1984),
    [anon_sym_set] = ACTIONS(1984),
    [anon_sym_QMARK] = ACTIONS(695),
    [anon_sym_declare] = ACTIONS(1984),
    [anon_sym_public] = ACTIONS(1984),
    [anon_sym_private] = ACTIONS(1984),
    [anon_sym_protected] = ACTIONS(1984),
    [anon_sym_override] = ACTIONS(1984),
    [anon_sym_module] = ACTIONS(1984),
    [anon_sym_any] = ACTIONS(1984),
    [anon_sym_number] = ACTIONS(1984),
    [anon_sym_boolean] = ACTIONS(1984),
    [anon_sym_string] = ACTIONS(1984),
    [anon_sym_symbol] = ACTIONS(1984),
    [anon_sym_object] = ACTIONS(1984),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [722] = {
    [sym_declaration] = STATE(869),
    [sym_variable_declaration] = STATE(836),
    [sym_lexical_declaration] = STATE(836),
    [sym_class_declaration] = STATE(836),
    [sym_function_declaration] = STATE(836),
    [sym_generator_function_declaration] = STATE(836),
    [sym_decorator] = STATE(1297),
    [sym_function_signature] = STATE(836),
    [sym_ambient_declaration] = STATE(836),
    [sym_abstract_class_declaration] = STATE(836),
    [sym_module] = STATE(836),
    [sym_internal_module] = STATE(824),
    [sym_import_alias] = STATE(836),
    [sym_interface_declaration] = STATE(836),
    [sym_enum_declaration] = STATE(836),
    [sym_type_alias_declaration] = STATE(836),
    [aux_sym_export_statement_repeat1] = STATE(4084),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(2352),
    [anon_sym_EQ] = ACTIONS(925),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(2290),
    [anon_sym_import] = ACTIONS(2294),
    [anon_sym_var] = ACTIONS(2296),
    [anon_sym_let] = ACTIONS(2298),
    [anon_sym_const] = ACTIONS(2300),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(161),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_class] = ACTIONS(2305),
    [anon_sym_async] = ACTIONS(2307),
    [anon_sym_function] = ACTIONS(2309),
    [anon_sym_EQ_GT] = ACTIONS(931),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(122),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(161),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_declare] = ACTIONS(2314),
    [anon_sym_module] = ACTIONS(2354),
    [anon_sym_abstract] = ACTIONS(2318),
    [anon_sym_satisfies] = ACTIONS(161),
    [anon_sym_global] = ACTIONS(2356),
    [anon_sym_interface] = ACTIONS(2320),
    [anon_sym_enum] = ACTIONS(2322),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [723] = {
    [aux_sym_object_repeat1] = STATE(4905),
    [aux_sym_object_pattern_repeat1] = STATE(4835),
    [sym_identifier] = ACTIONS(1984),
    [anon_sym_export] = ACTIONS(1984),
    [anon_sym_STAR] = ACTIONS(1984),
    [anon_sym_type] = ACTIONS(1984),
    [anon_sym_EQ] = ACTIONS(666),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(1984),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_RBRACE] = ACTIONS(699),
    [anon_sym_let] = ACTIONS(1984),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2302),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(676),
    [anon_sym_LBRACK] = ACTIONS(1986),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(122),
    [anon_sym_DQUOTE] = ACTIONS(1986),
    [anon_sym_SQUOTE] = ACTIONS(1986),
    [anon_sym_async] = ACTIONS(1984),
    [anon_sym_EQ_GT] = ACTIONS(687),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(1984),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2311),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [sym_number] = ACTIONS(1986),
    [sym_private_property_identifier] = ACTIONS(1986),
    [anon_sym_static] = ACTIONS(1984),
    [anon_sym_readonly] = ACTIONS(1984),
    [anon_sym_get] = ACTIONS(1984),
    [anon_sym_set] = ACTIONS(1984),
    [anon_sym_QMARK] = ACTIONS(695),
    [anon_sym_declare] = ACTIONS(1984),
    [anon_sym_public] = ACTIONS(1984),
    [anon_sym_private] = ACTIONS(1984),
    [anon_sym_protected] = ACTIONS(1984),
    [anon_sym_override] = ACTIONS(1984),
    [anon_sym_module] = ACTIONS(1984),
    [anon_sym_any] = ACTIONS(1984),
    [anon_sym_number] = ACTIONS(1984),
    [anon_sym_boolean] = ACTIONS(1984),
    [anon_sym_string] = ACTIONS(1984),
    [anon_sym_symbol] = ACTIONS(1984),
    [anon_sym_object] = ACTIONS(1984),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [724] = {
    [sym__call_signature] = STATE(5844),
    [sym_formal_parameters] = STATE(3895),
    [sym_type_parameters] = STATE(5348),
    [sym_identifier] = ACTIONS(2422),
    [anon_sym_export] = ACTIONS(2424),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(2424),
    [anon_sym_EQ] = ACTIONS(119),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(2424),
    [anon_sym_COMMA] = ACTIONS(128),
    [anon_sym_RBRACE] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(2424),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2426),
    [anon_sym_RPAREN] = ACTIONS(128),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(128),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_RBRACK] = ACTIONS(128),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(2424),
    [anon_sym_function] = ACTIONS(2429),
    [anon_sym_EQ_GT] = ACTIONS(159),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(2424),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2431),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_static] = ACTIONS(2424),
    [anon_sym_readonly] = ACTIONS(2424),
    [anon_sym_get] = ACTIONS(2424),
    [anon_sym_set] = ACTIONS(2424),
    [anon_sym_QMARK] = ACTIONS(725),
    [anon_sym_declare] = ACTIONS(2424),
    [anon_sym_public] = ACTIONS(2424),
    [anon_sym_private] = ACTIONS(2424),
    [anon_sym_protected] = ACTIONS(2424),
    [anon_sym_override] = ACTIONS(2424),
    [anon_sym_module] = ACTIONS(2424),
    [anon_sym_any] = ACTIONS(2424),
    [anon_sym_number] = ACTIONS(2424),
    [anon_sym_boolean] = ACTIONS(2424),
    [anon_sym_string] = ACTIONS(2424),
    [anon_sym_symbol] = ACTIONS(2424),
    [anon_sym_object] = ACTIONS(2424),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [725] = {
    [sym__call_signature] = STATE(5844),
    [sym_formal_parameters] = STATE(3895),
    [sym_type_parameters] = STATE(5348),
    [sym_identifier] = ACTIONS(2422),
    [anon_sym_export] = ACTIONS(2424),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(2424),
    [anon_sym_EQ] = ACTIONS(831),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(2424),
    [anon_sym_COMMA] = ACTIONS(833),
    [anon_sym_RBRACE] = ACTIONS(833),
    [anon_sym_let] = ACTIONS(2424),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2426),
    [anon_sym_RPAREN] = ACTIONS(833),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(833),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_RBRACK] = ACTIONS(833),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(2424),
    [anon_sym_function] = ACTIONS(2429),
    [anon_sym_EQ_GT] = ACTIONS(159),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(2424),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2431),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_static] = ACTIONS(2424),
    [anon_sym_readonly] = ACTIONS(2424),
    [anon_sym_get] = ACTIONS(2424),
    [anon_sym_set] = ACTIONS(2424),
    [anon_sym_QMARK] = ACTIONS(835),
    [anon_sym_declare] = ACTIONS(2424),
    [anon_sym_public] = ACTIONS(2424),
    [anon_sym_private] = ACTIONS(2424),
    [anon_sym_protected] = ACTIONS(2424),
    [anon_sym_override] = ACTIONS(2424),
    [anon_sym_module] = ACTIONS(2424),
    [anon_sym_any] = ACTIONS(2424),
    [anon_sym_number] = ACTIONS(2424),
    [anon_sym_boolean] = ACTIONS(2424),
    [anon_sym_string] = ACTIONS(2424),
    [anon_sym_symbol] = ACTIONS(2424),
    [anon_sym_object] = ACTIONS(2424),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [726] = {
    [sym__call_signature] = STATE(5601),
    [sym_formal_parameters] = STATE(3895),
    [sym_type_parameters] = STATE(5348),
    [sym_identifier] = ACTIONS(2434),
    [anon_sym_export] = ACTIONS(2436),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(2436),
    [anon_sym_EQ] = ACTIONS(841),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(2436),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_RBRACE] = ACTIONS(161),
    [anon_sym_let] = ACTIONS(2436),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2426),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(161),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_RBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(2436),
    [anon_sym_function] = ACTIONS(2429),
    [anon_sym_EQ_GT] = ACTIONS(851),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(2436),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2431),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_static] = ACTIONS(2436),
    [anon_sym_readonly] = ACTIONS(2436),
    [anon_sym_get] = ACTIONS(2436),
    [anon_sym_set] = ACTIONS(2436),
    [anon_sym_declare] = ACTIONS(2436),
    [anon_sym_public] = ACTIONS(2436),
    [anon_sym_private] = ACTIONS(2436),
    [anon_sym_protected] = ACTIONS(2436),
    [anon_sym_override] = ACTIONS(2436),
    [anon_sym_module] = ACTIONS(2436),
    [anon_sym_any] = ACTIONS(2436),
    [anon_sym_number] = ACTIONS(2436),
    [anon_sym_boolean] = ACTIONS(2436),
    [anon_sym_string] = ACTIONS(2436),
    [anon_sym_symbol] = ACTIONS(2436),
    [anon_sym_object] = ACTIONS(2436),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [727] = {
    [sym__call_signature] = STATE(5601),
    [sym_formal_parameters] = STATE(3895),
    [sym_type_parameters] = STATE(5348),
    [sym_identifier] = ACTIONS(2434),
    [anon_sym_export] = ACTIONS(2436),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(2436),
    [anon_sym_EQ] = ACTIONS(831),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(2436),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_RBRACE] = ACTIONS(161),
    [anon_sym_let] = ACTIONS(2436),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2426),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(161),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_RBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(2436),
    [anon_sym_function] = ACTIONS(2429),
    [anon_sym_EQ_GT] = ACTIONS(851),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(2436),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2431),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_static] = ACTIONS(2436),
    [anon_sym_readonly] = ACTIONS(2436),
    [anon_sym_get] = ACTIONS(2436),
    [anon_sym_set] = ACTIONS(2436),
    [anon_sym_declare] = ACTIONS(2436),
    [anon_sym_public] = ACTIONS(2436),
    [anon_sym_private] = ACTIONS(2436),
    [anon_sym_protected] = ACTIONS(2436),
    [anon_sym_override] = ACTIONS(2436),
    [anon_sym_module] = ACTIONS(2436),
    [anon_sym_any] = ACTIONS(2436),
    [anon_sym_number] = ACTIONS(2436),
    [anon_sym_boolean] = ACTIONS(2436),
    [anon_sym_string] = ACTIONS(2436),
    [anon_sym_symbol] = ACTIONS(2436),
    [anon_sym_object] = ACTIONS(2436),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [728] = {
    [sym__call_signature] = STATE(5619),
    [sym_formal_parameters] = STATE(3895),
    [sym_type_parameters] = STATE(5348),
    [sym_identifier] = ACTIONS(2438),
    [anon_sym_export] = ACTIONS(2440),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(2440),
    [anon_sym_EQ] = ACTIONS(855),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(2440),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_let] = ACTIONS(2440),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2426),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(857),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(2440),
    [anon_sym_function] = ACTIONS(2442),
    [anon_sym_EQ_GT] = ACTIONS(687),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(2440),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2431),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_static] = ACTIONS(2440),
    [anon_sym_readonly] = ACTIONS(2440),
    [anon_sym_get] = ACTIONS(2440),
    [anon_sym_set] = ACTIONS(2440),
    [anon_sym_declare] = ACTIONS(2440),
    [anon_sym_public] = ACTIONS(2440),
    [anon_sym_private] = ACTIONS(2440),
    [anon_sym_protected] = ACTIONS(2440),
    [anon_sym_override] = ACTIONS(2440),
    [anon_sym_module] = ACTIONS(2440),
    [anon_sym_any] = ACTIONS(2440),
    [anon_sym_number] = ACTIONS(2440),
    [anon_sym_boolean] = ACTIONS(2440),
    [anon_sym_string] = ACTIONS(2440),
    [anon_sym_symbol] = ACTIONS(2440),
    [anon_sym_object] = ACTIONS(2440),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [729] = {
    [sym__call_signature] = STATE(5643),
    [sym_formal_parameters] = STATE(3895),
    [sym_type_parameters] = STATE(5348),
    [sym_identifier] = ACTIONS(2444),
    [anon_sym_export] = ACTIONS(2446),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(2446),
    [anon_sym_EQ] = ACTIONS(221),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(2446),
    [anon_sym_COMMA] = ACTIONS(224),
    [anon_sym_let] = ACTIONS(2446),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2426),
    [anon_sym_RPAREN] = ACTIONS(224),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(224),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(2446),
    [anon_sym_function] = ACTIONS(2429),
    [anon_sym_EQ_GT] = ACTIONS(227),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(2446),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2431),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_static] = ACTIONS(2446),
    [anon_sym_readonly] = ACTIONS(2446),
    [anon_sym_get] = ACTIONS(2446),
    [anon_sym_set] = ACTIONS(2446),
    [anon_sym_QMARK] = ACTIONS(725),
    [anon_sym_declare] = ACTIONS(2446),
    [anon_sym_public] = ACTIONS(2446),
    [anon_sym_private] = ACTIONS(2446),
    [anon_sym_protected] = ACTIONS(2446),
    [anon_sym_override] = ACTIONS(2446),
    [anon_sym_module] = ACTIONS(2446),
    [anon_sym_any] = ACTIONS(2446),
    [anon_sym_number] = ACTIONS(2446),
    [anon_sym_boolean] = ACTIONS(2446),
    [anon_sym_string] = ACTIONS(2446),
    [anon_sym_symbol] = ACTIONS(2446),
    [anon_sym_object] = ACTIONS(2446),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [730] = {
    [sym__call_signature] = STATE(5601),
    [sym_formal_parameters] = STATE(3895),
    [sym_type_parameters] = STATE(5348),
    [sym_identifier] = ACTIONS(2434),
    [anon_sym_export] = ACTIONS(2436),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(2436),
    [anon_sym_EQ] = ACTIONS(841),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(2436),
    [anon_sym_COMMA] = ACTIONS(892),
    [anon_sym_RBRACE] = ACTIONS(892),
    [anon_sym_let] = ACTIONS(2436),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2426),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(833),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_RBRACK] = ACTIONS(892),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(2436),
    [anon_sym_function] = ACTIONS(2429),
    [anon_sym_EQ_GT] = ACTIONS(851),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(2436),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2431),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_static] = ACTIONS(2436),
    [anon_sym_readonly] = ACTIONS(2436),
    [anon_sym_get] = ACTIONS(2436),
    [anon_sym_set] = ACTIONS(2436),
    [anon_sym_declare] = ACTIONS(2436),
    [anon_sym_public] = ACTIONS(2436),
    [anon_sym_private] = ACTIONS(2436),
    [anon_sym_protected] = ACTIONS(2436),
    [anon_sym_override] = ACTIONS(2436),
    [anon_sym_module] = ACTIONS(2436),
    [anon_sym_any] = ACTIONS(2436),
    [anon_sym_number] = ACTIONS(2436),
    [anon_sym_boolean] = ACTIONS(2436),
    [anon_sym_string] = ACTIONS(2436),
    [anon_sym_symbol] = ACTIONS(2436),
    [anon_sym_object] = ACTIONS(2436),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [731] = {
    [sym__call_signature] = STATE(5619),
    [sym_formal_parameters] = STATE(3895),
    [sym_type_parameters] = STATE(5348),
    [sym_identifier] = ACTIONS(2438),
    [anon_sym_export] = ACTIONS(2440),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(2440),
    [anon_sym_EQ] = ACTIONS(855),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(2440),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_RBRACE] = ACTIONS(161),
    [anon_sym_let] = ACTIONS(2440),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2426),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(2440),
    [anon_sym_function] = ACTIONS(2448),
    [anon_sym_EQ_GT] = ACTIONS(687),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(2440),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2431),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_static] = ACTIONS(2440),
    [anon_sym_readonly] = ACTIONS(2440),
    [anon_sym_get] = ACTIONS(2440),
    [anon_sym_set] = ACTIONS(2440),
    [anon_sym_declare] = ACTIONS(2440),
    [anon_sym_public] = ACTIONS(2440),
    [anon_sym_private] = ACTIONS(2440),
    [anon_sym_protected] = ACTIONS(2440),
    [anon_sym_override] = ACTIONS(2440),
    [anon_sym_module] = ACTIONS(2440),
    [anon_sym_any] = ACTIONS(2440),
    [anon_sym_number] = ACTIONS(2440),
    [anon_sym_boolean] = ACTIONS(2440),
    [anon_sym_string] = ACTIONS(2440),
    [anon_sym_symbol] = ACTIONS(2440),
    [anon_sym_object] = ACTIONS(2440),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [732] = {
    [sym__call_signature] = STATE(5791),
    [sym_formal_parameters] = STATE(3895),
    [sym_type_parameters] = STATE(5348),
    [sym_identifier] = ACTIONS(2450),
    [anon_sym_export] = ACTIONS(2452),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(2452),
    [anon_sym_EQ] = ACTIONS(831),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(2452),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_let] = ACTIONS(2452),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2426),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_of] = ACTIONS(122),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(2452),
    [anon_sym_function] = ACTIONS(2448),
    [anon_sym_EQ_GT] = ACTIONS(881),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(2452),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2431),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_static] = ACTIONS(2452),
    [anon_sym_readonly] = ACTIONS(2452),
    [anon_sym_get] = ACTIONS(2452),
    [anon_sym_set] = ACTIONS(2452),
    [anon_sym_declare] = ACTIONS(2452),
    [anon_sym_public] = ACTIONS(2452),
    [anon_sym_private] = ACTIONS(2452),
    [anon_sym_protected] = ACTIONS(2452),
    [anon_sym_override] = ACTIONS(2452),
    [anon_sym_module] = ACTIONS(2452),
    [anon_sym_any] = ACTIONS(2452),
    [anon_sym_number] = ACTIONS(2452),
    [anon_sym_boolean] = ACTIONS(2452),
    [anon_sym_string] = ACTIONS(2452),
    [anon_sym_symbol] = ACTIONS(2452),
    [anon_sym_object] = ACTIONS(2452),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [733] = {
    [sym__call_signature] = STATE(5619),
    [sym_formal_parameters] = STATE(3895),
    [sym_type_parameters] = STATE(5348),
    [sym_identifier] = ACTIONS(2438),
    [anon_sym_export] = ACTIONS(2440),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(2440),
    [anon_sym_EQ] = ACTIONS(831),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(2440),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_RBRACE] = ACTIONS(161),
    [anon_sym_let] = ACTIONS(2440),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2426),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(2440),
    [anon_sym_function] = ACTIONS(2448),
    [anon_sym_EQ_GT] = ACTIONS(687),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(2440),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2431),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_static] = ACTIONS(2440),
    [anon_sym_readonly] = ACTIONS(2440),
    [anon_sym_get] = ACTIONS(2440),
    [anon_sym_set] = ACTIONS(2440),
    [anon_sym_declare] = ACTIONS(2440),
    [anon_sym_public] = ACTIONS(2440),
    [anon_sym_private] = ACTIONS(2440),
    [anon_sym_protected] = ACTIONS(2440),
    [anon_sym_override] = ACTIONS(2440),
    [anon_sym_module] = ACTIONS(2440),
    [anon_sym_any] = ACTIONS(2440),
    [anon_sym_number] = ACTIONS(2440),
    [anon_sym_boolean] = ACTIONS(2440),
    [anon_sym_string] = ACTIONS(2440),
    [anon_sym_symbol] = ACTIONS(2440),
    [anon_sym_object] = ACTIONS(2440),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [734] = {
    [sym__call_signature] = STATE(5619),
    [sym_formal_parameters] = STATE(3895),
    [sym_type_parameters] = STATE(5348),
    [sym_identifier] = ACTIONS(2438),
    [anon_sym_export] = ACTIONS(2440),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(2440),
    [anon_sym_EQ] = ACTIONS(855),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(2440),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_let] = ACTIONS(2440),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2426),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(869),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(2440),
    [anon_sym_function] = ACTIONS(2342),
    [anon_sym_EQ_GT] = ACTIONS(687),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(2440),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2431),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_static] = ACTIONS(2440),
    [anon_sym_readonly] = ACTIONS(2440),
    [anon_sym_get] = ACTIONS(2440),
    [anon_sym_set] = ACTIONS(2440),
    [anon_sym_declare] = ACTIONS(2440),
    [anon_sym_public] = ACTIONS(2440),
    [anon_sym_private] = ACTIONS(2440),
    [anon_sym_protected] = ACTIONS(2440),
    [anon_sym_override] = ACTIONS(2440),
    [anon_sym_module] = ACTIONS(2440),
    [anon_sym_any] = ACTIONS(2440),
    [anon_sym_number] = ACTIONS(2440),
    [anon_sym_boolean] = ACTIONS(2440),
    [anon_sym_string] = ACTIONS(2440),
    [anon_sym_symbol] = ACTIONS(2440),
    [anon_sym_object] = ACTIONS(2440),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [735] = {
    [sym__call_signature] = STATE(5791),
    [sym_formal_parameters] = STATE(3895),
    [sym_type_parameters] = STATE(5348),
    [sym_identifier] = ACTIONS(2450),
    [anon_sym_export] = ACTIONS(2452),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(2452),
    [anon_sym_EQ] = ACTIONS(875),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(2452),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_let] = ACTIONS(2452),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2426),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_of] = ACTIONS(122),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(2452),
    [anon_sym_function] = ACTIONS(2448),
    [anon_sym_EQ_GT] = ACTIONS(881),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(2452),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2431),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_static] = ACTIONS(2452),
    [anon_sym_readonly] = ACTIONS(2452),
    [anon_sym_get] = ACTIONS(2452),
    [anon_sym_set] = ACTIONS(2452),
    [anon_sym_declare] = ACTIONS(2452),
    [anon_sym_public] = ACTIONS(2452),
    [anon_sym_private] = ACTIONS(2452),
    [anon_sym_protected] = ACTIONS(2452),
    [anon_sym_override] = ACTIONS(2452),
    [anon_sym_module] = ACTIONS(2452),
    [anon_sym_any] = ACTIONS(2452),
    [anon_sym_number] = ACTIONS(2452),
    [anon_sym_boolean] = ACTIONS(2452),
    [anon_sym_string] = ACTIONS(2452),
    [anon_sym_symbol] = ACTIONS(2452),
    [anon_sym_object] = ACTIONS(2452),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [736] = {
    [ts_builtin_sym_end] = ACTIONS(1703),
    [sym_identifier] = ACTIONS(1705),
    [anon_sym_export] = ACTIONS(1705),
    [anon_sym_default] = ACTIONS(1705),
    [anon_sym_type] = ACTIONS(1705),
    [anon_sym_namespace] = ACTIONS(1705),
    [anon_sym_LBRACE] = ACTIONS(1703),
    [anon_sym_COMMA] = ACTIONS(1703),
    [anon_sym_RBRACE] = ACTIONS(1703),
    [anon_sym_typeof] = ACTIONS(1705),
    [anon_sym_import] = ACTIONS(1705),
    [anon_sym_with] = ACTIONS(1705),
    [anon_sym_var] = ACTIONS(1705),
    [anon_sym_let] = ACTIONS(1705),
    [anon_sym_const] = ACTIONS(1705),
    [anon_sym_BANG] = ACTIONS(1703),
    [anon_sym_else] = ACTIONS(1705),
    [anon_sym_if] = ACTIONS(1705),
    [anon_sym_switch] = ACTIONS(1705),
    [anon_sym_for] = ACTIONS(1705),
    [anon_sym_LPAREN] = ACTIONS(1703),
    [anon_sym_SEMI] = ACTIONS(1703),
    [anon_sym_await] = ACTIONS(1705),
    [anon_sym_while] = ACTIONS(1705),
    [anon_sym_do] = ACTIONS(1705),
    [anon_sym_try] = ACTIONS(1705),
    [anon_sym_break] = ACTIONS(1705),
    [anon_sym_continue] = ACTIONS(1705),
    [anon_sym_debugger] = ACTIONS(1705),
    [anon_sym_return] = ACTIONS(1705),
    [anon_sym_throw] = ACTIONS(1705),
    [anon_sym_case] = ACTIONS(1705),
    [anon_sym_catch] = ACTIONS(1705),
    [anon_sym_finally] = ACTIONS(1705),
    [anon_sym_yield] = ACTIONS(1705),
    [anon_sym_LBRACK] = ACTIONS(1703),
    [sym_glimmer_opening_tag] = ACTIONS(1703),
    [anon_sym_DQUOTE] = ACTIONS(1703),
    [anon_sym_SQUOTE] = ACTIONS(1703),
    [anon_sym_class] = ACTIONS(1705),
    [anon_sym_async] = ACTIONS(1705),
    [anon_sym_function] = ACTIONS(1705),
    [anon_sym_new] = ACTIONS(1705),
    [anon_sym_using] = ACTIONS(1705),
    [anon_sym_PLUS] = ACTIONS(1705),
    [anon_sym_DASH] = ACTIONS(1705),
    [anon_sym_SLASH] = ACTIONS(1705),
    [anon_sym_LT] = ACTIONS(1705),
    [anon_sym_TILDE] = ACTIONS(1703),
    [anon_sym_void] = ACTIONS(1705),
    [anon_sym_delete] = ACTIONS(1705),
    [anon_sym_PLUS_PLUS] = ACTIONS(1703),
    [anon_sym_DASH_DASH] = ACTIONS(1703),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1703),
    [sym_number] = ACTIONS(1703),
    [sym_private_property_identifier] = ACTIONS(1703),
    [sym_this] = ACTIONS(1705),
    [sym_super] = ACTIONS(1705),
    [sym_true] = ACTIONS(1705),
    [sym_false] = ACTIONS(1705),
    [sym_null] = ACTIONS(1705),
    [sym_undefined] = ACTIONS(1705),
    [anon_sym_AT] = ACTIONS(1703),
    [anon_sym_static] = ACTIONS(1705),
    [anon_sym_readonly] = ACTIONS(1705),
    [anon_sym_get] = ACTIONS(1705),
    [anon_sym_set] = ACTIONS(1705),
    [anon_sym_declare] = ACTIONS(1705),
    [anon_sym_public] = ACTIONS(1705),
    [anon_sym_private] = ACTIONS(1705),
    [anon_sym_protected] = ACTIONS(1705),
    [anon_sym_override] = ACTIONS(1705),
    [anon_sym_module] = ACTIONS(1705),
    [anon_sym_any] = ACTIONS(1705),
    [anon_sym_number] = ACTIONS(1705),
    [anon_sym_boolean] = ACTIONS(1705),
    [anon_sym_string] = ACTIONS(1705),
    [anon_sym_symbol] = ACTIONS(1705),
    [anon_sym_object] = ACTIONS(1705),
    [anon_sym_abstract] = ACTIONS(1705),
    [anon_sym_interface] = ACTIONS(1705),
    [anon_sym_enum] = ACTIONS(1705),
    [sym__automatic_semicolon] = ACTIONS(1713),
    [sym_html_comment] = ACTIONS(5),
  },
  [737] = {
    [sym__call_signature] = STATE(5609),
    [sym_formal_parameters] = STATE(3895),
    [sym_type_parameters] = STATE(5348),
    [sym_identifier] = ACTIONS(2454),
    [anon_sym_export] = ACTIONS(2456),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(2456),
    [anon_sym_EQ] = ACTIONS(939),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(2456),
    [anon_sym_LBRACE] = ACTIONS(161),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_let] = ACTIONS(2456),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2426),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(2456),
    [anon_sym_function] = ACTIONS(2429),
    [anon_sym_EQ_GT] = ACTIONS(945),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(2456),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2431),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_static] = ACTIONS(2456),
    [anon_sym_readonly] = ACTIONS(2456),
    [anon_sym_get] = ACTIONS(2456),
    [anon_sym_set] = ACTIONS(2456),
    [anon_sym_declare] = ACTIONS(2456),
    [anon_sym_public] = ACTIONS(2456),
    [anon_sym_private] = ACTIONS(2456),
    [anon_sym_protected] = ACTIONS(2456),
    [anon_sym_override] = ACTIONS(2456),
    [anon_sym_module] = ACTIONS(2456),
    [anon_sym_any] = ACTIONS(2456),
    [anon_sym_number] = ACTIONS(2456),
    [anon_sym_boolean] = ACTIONS(2456),
    [anon_sym_string] = ACTIONS(2456),
    [anon_sym_symbol] = ACTIONS(2456),
    [anon_sym_object] = ACTIONS(2456),
    [anon_sym_satisfies] = ACTIONS(122),
    [anon_sym_implements] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [738] = {
    [sym__call_signature] = STATE(5493),
    [sym_formal_parameters] = STATE(3895),
    [sym_type_parameters] = STATE(5348),
    [sym_identifier] = ACTIONS(2458),
    [anon_sym_export] = ACTIONS(2460),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(2460),
    [anon_sym_EQ] = ACTIONS(904),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(2460),
    [anon_sym_COMMA] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(2460),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2426),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(909),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_RBRACK] = ACTIONS(224),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(2460),
    [anon_sym_function] = ACTIONS(2429),
    [anon_sym_EQ_GT] = ACTIONS(913),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(2460),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2431),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_static] = ACTIONS(2460),
    [anon_sym_readonly] = ACTIONS(2460),
    [anon_sym_get] = ACTIONS(2460),
    [anon_sym_set] = ACTIONS(2460),
    [anon_sym_declare] = ACTIONS(2460),
    [anon_sym_public] = ACTIONS(2460),
    [anon_sym_private] = ACTIONS(2460),
    [anon_sym_protected] = ACTIONS(2460),
    [anon_sym_override] = ACTIONS(2460),
    [anon_sym_module] = ACTIONS(2460),
    [anon_sym_any] = ACTIONS(2460),
    [anon_sym_number] = ACTIONS(2460),
    [anon_sym_boolean] = ACTIONS(2460),
    [anon_sym_string] = ACTIONS(2460),
    [anon_sym_symbol] = ACTIONS(2460),
    [anon_sym_object] = ACTIONS(2460),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [739] = {
    [sym__call_signature] = STATE(5601),
    [sym_formal_parameters] = STATE(3895),
    [sym_type_parameters] = STATE(5348),
    [sym_identifier] = ACTIONS(2434),
    [anon_sym_export] = ACTIONS(2436),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(2436),
    [anon_sym_EQ] = ACTIONS(841),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(2436),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_let] = ACTIONS(2436),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2426),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_in] = ACTIONS(895),
    [anon_sym_of] = ACTIONS(898),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(2436),
    [anon_sym_function] = ACTIONS(2429),
    [anon_sym_EQ_GT] = ACTIONS(851),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(2436),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2431),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_static] = ACTIONS(2436),
    [anon_sym_readonly] = ACTIONS(2436),
    [anon_sym_get] = ACTIONS(2436),
    [anon_sym_set] = ACTIONS(2436),
    [anon_sym_declare] = ACTIONS(2436),
    [anon_sym_public] = ACTIONS(2436),
    [anon_sym_private] = ACTIONS(2436),
    [anon_sym_protected] = ACTIONS(2436),
    [anon_sym_override] = ACTIONS(2436),
    [anon_sym_module] = ACTIONS(2436),
    [anon_sym_any] = ACTIONS(2436),
    [anon_sym_number] = ACTIONS(2436),
    [anon_sym_boolean] = ACTIONS(2436),
    [anon_sym_string] = ACTIONS(2436),
    [anon_sym_symbol] = ACTIONS(2436),
    [anon_sym_object] = ACTIONS(2436),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [740] = {
    [sym_catch_clause] = STATE(772),
    [sym_finally_clause] = STATE(920),
    [ts_builtin_sym_end] = ACTIONS(2462),
    [sym_identifier] = ACTIONS(2464),
    [anon_sym_export] = ACTIONS(2464),
    [anon_sym_default] = ACTIONS(2464),
    [anon_sym_type] = ACTIONS(2464),
    [anon_sym_namespace] = ACTIONS(2464),
    [anon_sym_LBRACE] = ACTIONS(2462),
    [anon_sym_RBRACE] = ACTIONS(2462),
    [anon_sym_typeof] = ACTIONS(2464),
    [anon_sym_import] = ACTIONS(2464),
    [anon_sym_with] = ACTIONS(2464),
    [anon_sym_var] = ACTIONS(2464),
    [anon_sym_let] = ACTIONS(2464),
    [anon_sym_const] = ACTIONS(2464),
    [anon_sym_BANG] = ACTIONS(2462),
    [anon_sym_else] = ACTIONS(2464),
    [anon_sym_if] = ACTIONS(2464),
    [anon_sym_switch] = ACTIONS(2464),
    [anon_sym_for] = ACTIONS(2464),
    [anon_sym_LPAREN] = ACTIONS(2462),
    [anon_sym_SEMI] = ACTIONS(2462),
    [anon_sym_await] = ACTIONS(2464),
    [anon_sym_while] = ACTIONS(2464),
    [anon_sym_do] = ACTIONS(2464),
    [anon_sym_try] = ACTIONS(2464),
    [anon_sym_break] = ACTIONS(2464),
    [anon_sym_continue] = ACTIONS(2464),
    [anon_sym_debugger] = ACTIONS(2464),
    [anon_sym_return] = ACTIONS(2464),
    [anon_sym_throw] = ACTIONS(2464),
    [anon_sym_case] = ACTIONS(2464),
    [anon_sym_catch] = ACTIONS(2466),
    [anon_sym_finally] = ACTIONS(2468),
    [anon_sym_yield] = ACTIONS(2464),
    [anon_sym_LBRACK] = ACTIONS(2462),
    [sym_glimmer_opening_tag] = ACTIONS(2462),
    [anon_sym_DQUOTE] = ACTIONS(2462),
    [anon_sym_SQUOTE] = ACTIONS(2462),
    [anon_sym_class] = ACTIONS(2464),
    [anon_sym_async] = ACTIONS(2464),
    [anon_sym_function] = ACTIONS(2464),
    [anon_sym_new] = ACTIONS(2464),
    [anon_sym_using] = ACTIONS(2464),
    [anon_sym_PLUS] = ACTIONS(2464),
    [anon_sym_DASH] = ACTIONS(2464),
    [anon_sym_SLASH] = ACTIONS(2464),
    [anon_sym_LT] = ACTIONS(2464),
    [anon_sym_TILDE] = ACTIONS(2462),
    [anon_sym_void] = ACTIONS(2464),
    [anon_sym_delete] = ACTIONS(2464),
    [anon_sym_PLUS_PLUS] = ACTIONS(2462),
    [anon_sym_DASH_DASH] = ACTIONS(2462),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2462),
    [sym_number] = ACTIONS(2462),
    [sym_private_property_identifier] = ACTIONS(2462),
    [sym_this] = ACTIONS(2464),
    [sym_super] = ACTIONS(2464),
    [sym_true] = ACTIONS(2464),
    [sym_false] = ACTIONS(2464),
    [sym_null] = ACTIONS(2464),
    [sym_undefined] = ACTIONS(2464),
    [anon_sym_AT] = ACTIONS(2462),
    [anon_sym_static] = ACTIONS(2464),
    [anon_sym_readonly] = ACTIONS(2464),
    [anon_sym_get] = ACTIONS(2464),
    [anon_sym_set] = ACTIONS(2464),
    [anon_sym_declare] = ACTIONS(2464),
    [anon_sym_public] = ACTIONS(2464),
    [anon_sym_private] = ACTIONS(2464),
    [anon_sym_protected] = ACTIONS(2464),
    [anon_sym_override] = ACTIONS(2464),
    [anon_sym_module] = ACTIONS(2464),
    [anon_sym_any] = ACTIONS(2464),
    [anon_sym_number] = ACTIONS(2464),
    [anon_sym_boolean] = ACTIONS(2464),
    [anon_sym_string] = ACTIONS(2464),
    [anon_sym_symbol] = ACTIONS(2464),
    [anon_sym_object] = ACTIONS(2464),
    [anon_sym_abstract] = ACTIONS(2464),
    [anon_sym_interface] = ACTIONS(2464),
    [anon_sym_enum] = ACTIONS(2464),
    [sym_html_comment] = ACTIONS(5),
  },
  [741] = {
    [ts_builtin_sym_end] = ACTIONS(1801),
    [sym_identifier] = ACTIONS(1803),
    [anon_sym_export] = ACTIONS(1803),
    [anon_sym_default] = ACTIONS(1803),
    [anon_sym_type] = ACTIONS(1803),
    [anon_sym_namespace] = ACTIONS(1803),
    [anon_sym_LBRACE] = ACTIONS(1801),
    [anon_sym_COMMA] = ACTIONS(1801),
    [anon_sym_RBRACE] = ACTIONS(1801),
    [anon_sym_typeof] = ACTIONS(1803),
    [anon_sym_import] = ACTIONS(1803),
    [anon_sym_with] = ACTIONS(1803),
    [anon_sym_var] = ACTIONS(1803),
    [anon_sym_let] = ACTIONS(1803),
    [anon_sym_const] = ACTIONS(1803),
    [anon_sym_BANG] = ACTIONS(1801),
    [anon_sym_else] = ACTIONS(1803),
    [anon_sym_if] = ACTIONS(1803),
    [anon_sym_switch] = ACTIONS(1803),
    [anon_sym_for] = ACTIONS(1803),
    [anon_sym_LPAREN] = ACTIONS(1801),
    [anon_sym_SEMI] = ACTIONS(1801),
    [anon_sym_await] = ACTIONS(1803),
    [anon_sym_while] = ACTIONS(1803),
    [anon_sym_do] = ACTIONS(1803),
    [anon_sym_try] = ACTIONS(1803),
    [anon_sym_break] = ACTIONS(1803),
    [anon_sym_continue] = ACTIONS(1803),
    [anon_sym_debugger] = ACTIONS(1803),
    [anon_sym_return] = ACTIONS(1803),
    [anon_sym_throw] = ACTIONS(1803),
    [anon_sym_case] = ACTIONS(1803),
    [anon_sym_catch] = ACTIONS(1803),
    [anon_sym_finally] = ACTIONS(1803),
    [anon_sym_yield] = ACTIONS(1803),
    [anon_sym_LBRACK] = ACTIONS(1801),
    [sym_glimmer_opening_tag] = ACTIONS(1801),
    [anon_sym_DQUOTE] = ACTIONS(1801),
    [anon_sym_SQUOTE] = ACTIONS(1801),
    [anon_sym_class] = ACTIONS(1803),
    [anon_sym_async] = ACTIONS(1803),
    [anon_sym_function] = ACTIONS(1803),
    [anon_sym_new] = ACTIONS(1803),
    [anon_sym_using] = ACTIONS(1803),
    [anon_sym_PLUS] = ACTIONS(1803),
    [anon_sym_DASH] = ACTIONS(1803),
    [anon_sym_SLASH] = ACTIONS(1803),
    [anon_sym_LT] = ACTIONS(1803),
    [anon_sym_TILDE] = ACTIONS(1801),
    [anon_sym_void] = ACTIONS(1803),
    [anon_sym_delete] = ACTIONS(1803),
    [anon_sym_PLUS_PLUS] = ACTIONS(1801),
    [anon_sym_DASH_DASH] = ACTIONS(1801),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1801),
    [sym_number] = ACTIONS(1801),
    [sym_private_property_identifier] = ACTIONS(1801),
    [sym_this] = ACTIONS(1803),
    [sym_super] = ACTIONS(1803),
    [sym_true] = ACTIONS(1803),
    [sym_false] = ACTIONS(1803),
    [sym_null] = ACTIONS(1803),
    [sym_undefined] = ACTIONS(1803),
    [anon_sym_AT] = ACTIONS(1801),
    [anon_sym_static] = ACTIONS(1803),
    [anon_sym_readonly] = ACTIONS(1803),
    [anon_sym_get] = ACTIONS(1803),
    [anon_sym_set] = ACTIONS(1803),
    [anon_sym_declare] = ACTIONS(1803),
    [anon_sym_public] = ACTIONS(1803),
    [anon_sym_private] = ACTIONS(1803),
    [anon_sym_protected] = ACTIONS(1803),
    [anon_sym_override] = ACTIONS(1803),
    [anon_sym_module] = ACTIONS(1803),
    [anon_sym_any] = ACTIONS(1803),
    [anon_sym_number] = ACTIONS(1803),
    [anon_sym_boolean] = ACTIONS(1803),
    [anon_sym_string] = ACTIONS(1803),
    [anon_sym_symbol] = ACTIONS(1803),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_abstract] = ACTIONS(1803),
    [anon_sym_interface] = ACTIONS(1803),
    [anon_sym_enum] = ACTIONS(1803),
    [sym__automatic_semicolon] = ACTIONS(2470),
    [sym_html_comment] = ACTIONS(5),
  },
  [742] = {
    [sym__call_signature] = STATE(5609),
    [sym_formal_parameters] = STATE(3895),
    [sym_type_parameters] = STATE(5348),
    [sym_identifier] = ACTIONS(2454),
    [anon_sym_export] = ACTIONS(2456),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(2456),
    [anon_sym_EQ] = ACTIONS(831),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(2456),
    [anon_sym_LBRACE] = ACTIONS(161),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_let] = ACTIONS(2456),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2426),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(2456),
    [anon_sym_function] = ACTIONS(2429),
    [anon_sym_EQ_GT] = ACTIONS(945),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(2456),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2431),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_static] = ACTIONS(2456),
    [anon_sym_readonly] = ACTIONS(2456),
    [anon_sym_get] = ACTIONS(2456),
    [anon_sym_set] = ACTIONS(2456),
    [anon_sym_declare] = ACTIONS(2456),
    [anon_sym_public] = ACTIONS(2456),
    [anon_sym_private] = ACTIONS(2456),
    [anon_sym_protected] = ACTIONS(2456),
    [anon_sym_override] = ACTIONS(2456),
    [anon_sym_module] = ACTIONS(2456),
    [anon_sym_any] = ACTIONS(2456),
    [anon_sym_number] = ACTIONS(2456),
    [anon_sym_boolean] = ACTIONS(2456),
    [anon_sym_string] = ACTIONS(2456),
    [anon_sym_symbol] = ACTIONS(2456),
    [anon_sym_object] = ACTIONS(2456),
    [anon_sym_satisfies] = ACTIONS(122),
    [anon_sym_implements] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [743] = {
    [sym__call_signature] = STATE(5643),
    [sym_formal_parameters] = STATE(3895),
    [sym_type_parameters] = STATE(5348),
    [sym_identifier] = ACTIONS(2444),
    [anon_sym_export] = ACTIONS(2446),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(2446),
    [anon_sym_EQ] = ACTIONS(831),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(2446),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_let] = ACTIONS(2446),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2426),
    [anon_sym_RPAREN] = ACTIONS(161),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(161),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(2446),
    [anon_sym_function] = ACTIONS(2429),
    [anon_sym_EQ_GT] = ACTIONS(227),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(2446),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2431),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_static] = ACTIONS(2446),
    [anon_sym_readonly] = ACTIONS(2446),
    [anon_sym_get] = ACTIONS(2446),
    [anon_sym_set] = ACTIONS(2446),
    [anon_sym_declare] = ACTIONS(2446),
    [anon_sym_public] = ACTIONS(2446),
    [anon_sym_private] = ACTIONS(2446),
    [anon_sym_protected] = ACTIONS(2446),
    [anon_sym_override] = ACTIONS(2446),
    [anon_sym_module] = ACTIONS(2446),
    [anon_sym_any] = ACTIONS(2446),
    [anon_sym_number] = ACTIONS(2446),
    [anon_sym_boolean] = ACTIONS(2446),
    [anon_sym_string] = ACTIONS(2446),
    [anon_sym_symbol] = ACTIONS(2446),
    [anon_sym_object] = ACTIONS(2446),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [744] = {
    [sym__call_signature] = STATE(5601),
    [sym_formal_parameters] = STATE(3895),
    [sym_type_parameters] = STATE(5348),
    [sym_identifier] = ACTIONS(2434),
    [anon_sym_export] = ACTIONS(2436),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(2436),
    [anon_sym_EQ] = ACTIONS(887),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(2436),
    [anon_sym_COMMA] = ACTIONS(224),
    [anon_sym_RBRACE] = ACTIONS(224),
    [anon_sym_let] = ACTIONS(2436),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2426),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_RBRACK] = ACTIONS(224),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(2436),
    [anon_sym_function] = ACTIONS(2429),
    [anon_sym_EQ_GT] = ACTIONS(851),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(2436),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2431),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_static] = ACTIONS(2436),
    [anon_sym_readonly] = ACTIONS(2436),
    [anon_sym_get] = ACTIONS(2436),
    [anon_sym_set] = ACTIONS(2436),
    [anon_sym_declare] = ACTIONS(2436),
    [anon_sym_public] = ACTIONS(2436),
    [anon_sym_private] = ACTIONS(2436),
    [anon_sym_protected] = ACTIONS(2436),
    [anon_sym_override] = ACTIONS(2436),
    [anon_sym_module] = ACTIONS(2436),
    [anon_sym_any] = ACTIONS(2436),
    [anon_sym_number] = ACTIONS(2436),
    [anon_sym_boolean] = ACTIONS(2436),
    [anon_sym_string] = ACTIONS(2436),
    [anon_sym_symbol] = ACTIONS(2436),
    [anon_sym_object] = ACTIONS(2436),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [745] = {
    [sym__call_signature] = STATE(5643),
    [sym_formal_parameters] = STATE(3895),
    [sym_type_parameters] = STATE(5348),
    [sym_identifier] = ACTIONS(2444),
    [anon_sym_export] = ACTIONS(2446),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(2446),
    [anon_sym_EQ] = ACTIONS(890),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(2446),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_let] = ACTIONS(2446),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2426),
    [anon_sym_RPAREN] = ACTIONS(161),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(161),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(2446),
    [anon_sym_function] = ACTIONS(2429),
    [anon_sym_EQ_GT] = ACTIONS(227),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(2446),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2431),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_static] = ACTIONS(2446),
    [anon_sym_readonly] = ACTIONS(2446),
    [anon_sym_get] = ACTIONS(2446),
    [anon_sym_set] = ACTIONS(2446),
    [anon_sym_declare] = ACTIONS(2446),
    [anon_sym_public] = ACTIONS(2446),
    [anon_sym_private] = ACTIONS(2446),
    [anon_sym_protected] = ACTIONS(2446),
    [anon_sym_override] = ACTIONS(2446),
    [anon_sym_module] = ACTIONS(2446),
    [anon_sym_any] = ACTIONS(2446),
    [anon_sym_number] = ACTIONS(2446),
    [anon_sym_boolean] = ACTIONS(2446),
    [anon_sym_string] = ACTIONS(2446),
    [anon_sym_symbol] = ACTIONS(2446),
    [anon_sym_object] = ACTIONS(2446),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [746] = {
    [ts_builtin_sym_end] = ACTIONS(1801),
    [sym_identifier] = ACTIONS(1803),
    [anon_sym_export] = ACTIONS(1803),
    [anon_sym_default] = ACTIONS(1803),
    [anon_sym_type] = ACTIONS(1803),
    [anon_sym_namespace] = ACTIONS(1803),
    [anon_sym_LBRACE] = ACTIONS(1801),
    [anon_sym_COMMA] = ACTIONS(1801),
    [anon_sym_RBRACE] = ACTIONS(1801),
    [anon_sym_typeof] = ACTIONS(1803),
    [anon_sym_import] = ACTIONS(1803),
    [anon_sym_with] = ACTIONS(1803),
    [anon_sym_var] = ACTIONS(1803),
    [anon_sym_let] = ACTIONS(1803),
    [anon_sym_const] = ACTIONS(1803),
    [anon_sym_BANG] = ACTIONS(1801),
    [anon_sym_else] = ACTIONS(1803),
    [anon_sym_if] = ACTIONS(1803),
    [anon_sym_switch] = ACTIONS(1803),
    [anon_sym_for] = ACTIONS(1803),
    [anon_sym_LPAREN] = ACTIONS(1801),
    [anon_sym_SEMI] = ACTIONS(1801),
    [anon_sym_await] = ACTIONS(1803),
    [anon_sym_while] = ACTIONS(1803),
    [anon_sym_do] = ACTIONS(1803),
    [anon_sym_try] = ACTIONS(1803),
    [anon_sym_break] = ACTIONS(1803),
    [anon_sym_continue] = ACTIONS(1803),
    [anon_sym_debugger] = ACTIONS(1803),
    [anon_sym_return] = ACTIONS(1803),
    [anon_sym_throw] = ACTIONS(1803),
    [anon_sym_case] = ACTIONS(1803),
    [anon_sym_catch] = ACTIONS(1803),
    [anon_sym_finally] = ACTIONS(1803),
    [anon_sym_yield] = ACTIONS(1803),
    [anon_sym_LBRACK] = ACTIONS(1801),
    [sym_glimmer_opening_tag] = ACTIONS(1801),
    [anon_sym_DQUOTE] = ACTIONS(1801),
    [anon_sym_SQUOTE] = ACTIONS(1801),
    [anon_sym_class] = ACTIONS(1803),
    [anon_sym_async] = ACTIONS(1803),
    [anon_sym_function] = ACTIONS(1803),
    [anon_sym_new] = ACTIONS(1803),
    [anon_sym_using] = ACTIONS(1803),
    [anon_sym_PLUS] = ACTIONS(1803),
    [anon_sym_DASH] = ACTIONS(1803),
    [anon_sym_SLASH] = ACTIONS(1803),
    [anon_sym_LT] = ACTIONS(1803),
    [anon_sym_TILDE] = ACTIONS(1801),
    [anon_sym_void] = ACTIONS(1803),
    [anon_sym_delete] = ACTIONS(1803),
    [anon_sym_PLUS_PLUS] = ACTIONS(1801),
    [anon_sym_DASH_DASH] = ACTIONS(1801),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1801),
    [sym_number] = ACTIONS(1801),
    [sym_private_property_identifier] = ACTIONS(1801),
    [sym_this] = ACTIONS(1803),
    [sym_super] = ACTIONS(1803),
    [sym_true] = ACTIONS(1803),
    [sym_false] = ACTIONS(1803),
    [sym_null] = ACTIONS(1803),
    [sym_undefined] = ACTIONS(1803),
    [anon_sym_AT] = ACTIONS(1801),
    [anon_sym_static] = ACTIONS(1803),
    [anon_sym_readonly] = ACTIONS(1803),
    [anon_sym_get] = ACTIONS(1803),
    [anon_sym_set] = ACTIONS(1803),
    [anon_sym_declare] = ACTIONS(1803),
    [anon_sym_public] = ACTIONS(1803),
    [anon_sym_private] = ACTIONS(1803),
    [anon_sym_protected] = ACTIONS(1803),
    [anon_sym_override] = ACTIONS(1803),
    [anon_sym_module] = ACTIONS(1803),
    [anon_sym_any] = ACTIONS(1803),
    [anon_sym_number] = ACTIONS(1803),
    [anon_sym_boolean] = ACTIONS(1803),
    [anon_sym_string] = ACTIONS(1803),
    [anon_sym_symbol] = ACTIONS(1803),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_abstract] = ACTIONS(1803),
    [anon_sym_interface] = ACTIONS(1803),
    [anon_sym_enum] = ACTIONS(1803),
    [sym_html_comment] = ACTIONS(5),
  },
  [747] = {
    [sym__call_signature] = STATE(5493),
    [sym_formal_parameters] = STATE(3895),
    [sym_type_parameters] = STATE(5348),
    [sym_identifier] = ACTIONS(2458),
    [anon_sym_export] = ACTIONS(2460),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(2460),
    [anon_sym_EQ] = ACTIONS(917),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(2460),
    [anon_sym_let] = ACTIONS(2460),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2426),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(919),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_RBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(2460),
    [anon_sym_function] = ACTIONS(2429),
    [anon_sym_EQ_GT] = ACTIONS(913),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(2460),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2431),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_static] = ACTIONS(2460),
    [anon_sym_readonly] = ACTIONS(2460),
    [anon_sym_get] = ACTIONS(2460),
    [anon_sym_set] = ACTIONS(2460),
    [anon_sym_declare] = ACTIONS(2460),
    [anon_sym_public] = ACTIONS(2460),
    [anon_sym_private] = ACTIONS(2460),
    [anon_sym_protected] = ACTIONS(2460),
    [anon_sym_override] = ACTIONS(2460),
    [anon_sym_module] = ACTIONS(2460),
    [anon_sym_any] = ACTIONS(2460),
    [anon_sym_number] = ACTIONS(2460),
    [anon_sym_boolean] = ACTIONS(2460),
    [anon_sym_string] = ACTIONS(2460),
    [anon_sym_symbol] = ACTIONS(2460),
    [anon_sym_object] = ACTIONS(2460),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [748] = {
    [sym__call_signature] = STATE(5613),
    [sym_formal_parameters] = STATE(3895),
    [sym_type_parameters] = STATE(5348),
    [sym_identifier] = ACTIONS(2472),
    [anon_sym_export] = ACTIONS(2474),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(2474),
    [anon_sym_EQ] = ACTIONS(925),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(2474),
    [anon_sym_let] = ACTIONS(2474),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2426),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(2474),
    [anon_sym_function] = ACTIONS(2448),
    [anon_sym_EQ_GT] = ACTIONS(931),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(2474),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2431),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_static] = ACTIONS(2474),
    [anon_sym_readonly] = ACTIONS(2474),
    [anon_sym_get] = ACTIONS(2474),
    [anon_sym_set] = ACTIONS(2474),
    [anon_sym_declare] = ACTIONS(2474),
    [anon_sym_public] = ACTIONS(2474),
    [anon_sym_private] = ACTIONS(2474),
    [anon_sym_protected] = ACTIONS(2474),
    [anon_sym_override] = ACTIONS(2474),
    [anon_sym_module] = ACTIONS(2474),
    [anon_sym_any] = ACTIONS(2474),
    [anon_sym_number] = ACTIONS(2474),
    [anon_sym_boolean] = ACTIONS(2474),
    [anon_sym_string] = ACTIONS(2474),
    [anon_sym_symbol] = ACTIONS(2474),
    [anon_sym_object] = ACTIONS(2474),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [749] = {
    [ts_builtin_sym_end] = ACTIONS(1807),
    [sym_identifier] = ACTIONS(1809),
    [anon_sym_export] = ACTIONS(1809),
    [anon_sym_default] = ACTIONS(1809),
    [anon_sym_type] = ACTIONS(1809),
    [anon_sym_namespace] = ACTIONS(1809),
    [anon_sym_LBRACE] = ACTIONS(1807),
    [anon_sym_COMMA] = ACTIONS(1807),
    [anon_sym_RBRACE] = ACTIONS(1807),
    [anon_sym_typeof] = ACTIONS(1809),
    [anon_sym_import] = ACTIONS(1809),
    [anon_sym_with] = ACTIONS(1809),
    [anon_sym_var] = ACTIONS(1809),
    [anon_sym_let] = ACTIONS(1809),
    [anon_sym_const] = ACTIONS(1809),
    [anon_sym_BANG] = ACTIONS(1807),
    [anon_sym_else] = ACTIONS(1809),
    [anon_sym_if] = ACTIONS(1809),
    [anon_sym_switch] = ACTIONS(1809),
    [anon_sym_for] = ACTIONS(1809),
    [anon_sym_LPAREN] = ACTIONS(1807),
    [anon_sym_SEMI] = ACTIONS(1807),
    [anon_sym_await] = ACTIONS(1809),
    [anon_sym_while] = ACTIONS(1809),
    [anon_sym_do] = ACTIONS(1809),
    [anon_sym_try] = ACTIONS(1809),
    [anon_sym_break] = ACTIONS(1809),
    [anon_sym_continue] = ACTIONS(1809),
    [anon_sym_debugger] = ACTIONS(1809),
    [anon_sym_return] = ACTIONS(1809),
    [anon_sym_throw] = ACTIONS(1809),
    [anon_sym_case] = ACTIONS(1809),
    [anon_sym_yield] = ACTIONS(1809),
    [anon_sym_LBRACK] = ACTIONS(1807),
    [sym_glimmer_opening_tag] = ACTIONS(1807),
    [anon_sym_DQUOTE] = ACTIONS(1807),
    [anon_sym_SQUOTE] = ACTIONS(1807),
    [anon_sym_class] = ACTIONS(1809),
    [anon_sym_async] = ACTIONS(1809),
    [anon_sym_function] = ACTIONS(1809),
    [anon_sym_new] = ACTIONS(1809),
    [anon_sym_using] = ACTIONS(1809),
    [anon_sym_PLUS] = ACTIONS(1809),
    [anon_sym_DASH] = ACTIONS(1809),
    [anon_sym_SLASH] = ACTIONS(1809),
    [anon_sym_LT] = ACTIONS(1809),
    [anon_sym_TILDE] = ACTIONS(1807),
    [anon_sym_void] = ACTIONS(1809),
    [anon_sym_delete] = ACTIONS(1809),
    [anon_sym_PLUS_PLUS] = ACTIONS(1807),
    [anon_sym_DASH_DASH] = ACTIONS(1807),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1807),
    [sym_number] = ACTIONS(1807),
    [sym_private_property_identifier] = ACTIONS(1807),
    [sym_this] = ACTIONS(1809),
    [sym_super] = ACTIONS(1809),
    [sym_true] = ACTIONS(1809),
    [sym_false] = ACTIONS(1809),
    [sym_null] = ACTIONS(1809),
    [sym_undefined] = ACTIONS(1809),
    [anon_sym_AT] = ACTIONS(1807),
    [anon_sym_static] = ACTIONS(1809),
    [anon_sym_readonly] = ACTIONS(1809),
    [anon_sym_get] = ACTIONS(1809),
    [anon_sym_set] = ACTIONS(1809),
    [anon_sym_declare] = ACTIONS(1809),
    [anon_sym_public] = ACTIONS(1809),
    [anon_sym_private] = ACTIONS(1809),
    [anon_sym_protected] = ACTIONS(1809),
    [anon_sym_override] = ACTIONS(1809),
    [anon_sym_module] = ACTIONS(1809),
    [anon_sym_any] = ACTIONS(1809),
    [anon_sym_number] = ACTIONS(1809),
    [anon_sym_boolean] = ACTIONS(1809),
    [anon_sym_string] = ACTIONS(1809),
    [anon_sym_symbol] = ACTIONS(1809),
    [anon_sym_object] = ACTIONS(1809),
    [anon_sym_abstract] = ACTIONS(1809),
    [anon_sym_interface] = ACTIONS(1809),
    [anon_sym_enum] = ACTIONS(1809),
    [anon_sym_PIPE_RBRACE] = ACTIONS(1807),
    [sym__automatic_semicolon] = ACTIONS(1807),
    [sym_html_comment] = ACTIONS(5),
  },
  [750] = {
    [ts_builtin_sym_end] = ACTIONS(1847),
    [sym_identifier] = ACTIONS(1849),
    [anon_sym_export] = ACTIONS(1849),
    [anon_sym_default] = ACTIONS(1849),
    [anon_sym_type] = ACTIONS(1849),
    [anon_sym_namespace] = ACTIONS(1849),
    [anon_sym_LBRACE] = ACTIONS(1847),
    [anon_sym_COMMA] = ACTIONS(1847),
    [anon_sym_RBRACE] = ACTIONS(1847),
    [anon_sym_typeof] = ACTIONS(1849),
    [anon_sym_import] = ACTIONS(1849),
    [anon_sym_with] = ACTIONS(1849),
    [anon_sym_var] = ACTIONS(1849),
    [anon_sym_let] = ACTIONS(1849),
    [anon_sym_const] = ACTIONS(1849),
    [anon_sym_BANG] = ACTIONS(1847),
    [anon_sym_else] = ACTIONS(1849),
    [anon_sym_if] = ACTIONS(1849),
    [anon_sym_switch] = ACTIONS(1849),
    [anon_sym_for] = ACTIONS(1849),
    [anon_sym_LPAREN] = ACTIONS(1847),
    [anon_sym_SEMI] = ACTIONS(1847),
    [anon_sym_await] = ACTIONS(1849),
    [anon_sym_while] = ACTIONS(1849),
    [anon_sym_do] = ACTIONS(1849),
    [anon_sym_try] = ACTIONS(1849),
    [anon_sym_break] = ACTIONS(1849),
    [anon_sym_continue] = ACTIONS(1849),
    [anon_sym_debugger] = ACTIONS(1849),
    [anon_sym_return] = ACTIONS(1849),
    [anon_sym_throw] = ACTIONS(1849),
    [anon_sym_case] = ACTIONS(1849),
    [anon_sym_yield] = ACTIONS(1849),
    [anon_sym_LBRACK] = ACTIONS(1847),
    [sym_glimmer_opening_tag] = ACTIONS(1847),
    [anon_sym_DQUOTE] = ACTIONS(1847),
    [anon_sym_SQUOTE] = ACTIONS(1847),
    [anon_sym_class] = ACTIONS(1849),
    [anon_sym_async] = ACTIONS(1849),
    [anon_sym_function] = ACTIONS(1849),
    [anon_sym_new] = ACTIONS(1849),
    [anon_sym_using] = ACTIONS(1849),
    [anon_sym_PLUS] = ACTIONS(1849),
    [anon_sym_DASH] = ACTIONS(1849),
    [anon_sym_SLASH] = ACTIONS(1849),
    [anon_sym_LT] = ACTIONS(1849),
    [anon_sym_TILDE] = ACTIONS(1847),
    [anon_sym_void] = ACTIONS(1849),
    [anon_sym_delete] = ACTIONS(1849),
    [anon_sym_PLUS_PLUS] = ACTIONS(1847),
    [anon_sym_DASH_DASH] = ACTIONS(1847),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1847),
    [sym_number] = ACTIONS(1847),
    [sym_private_property_identifier] = ACTIONS(1847),
    [sym_this] = ACTIONS(1849),
    [sym_super] = ACTIONS(1849),
    [sym_true] = ACTIONS(1849),
    [sym_false] = ACTIONS(1849),
    [sym_null] = ACTIONS(1849),
    [sym_undefined] = ACTIONS(1849),
    [anon_sym_AT] = ACTIONS(1847),
    [anon_sym_static] = ACTIONS(1849),
    [anon_sym_readonly] = ACTIONS(1849),
    [anon_sym_get] = ACTIONS(1849),
    [anon_sym_set] = ACTIONS(1849),
    [anon_sym_declare] = ACTIONS(1849),
    [anon_sym_public] = ACTIONS(1849),
    [anon_sym_private] = ACTIONS(1849),
    [anon_sym_protected] = ACTIONS(1849),
    [anon_sym_override] = ACTIONS(1849),
    [anon_sym_module] = ACTIONS(1849),
    [anon_sym_any] = ACTIONS(1849),
    [anon_sym_number] = ACTIONS(1849),
    [anon_sym_boolean] = ACTIONS(1849),
    [anon_sym_string] = ACTIONS(1849),
    [anon_sym_symbol] = ACTIONS(1849),
    [anon_sym_object] = ACTIONS(1849),
    [anon_sym_abstract] = ACTIONS(1849),
    [anon_sym_interface] = ACTIONS(1849),
    [anon_sym_enum] = ACTIONS(1849),
    [anon_sym_PIPE_RBRACE] = ACTIONS(1847),
    [sym__automatic_semicolon] = ACTIONS(1847),
    [sym_html_comment] = ACTIONS(5),
  },
  [751] = {
    [ts_builtin_sym_end] = ACTIONS(1801),
    [sym_identifier] = ACTIONS(1803),
    [anon_sym_export] = ACTIONS(1803),
    [anon_sym_default] = ACTIONS(1803),
    [anon_sym_type] = ACTIONS(1803),
    [anon_sym_namespace] = ACTIONS(1803),
    [anon_sym_LBRACE] = ACTIONS(1801),
    [anon_sym_COMMA] = ACTIONS(1801),
    [anon_sym_RBRACE] = ACTIONS(1801),
    [anon_sym_typeof] = ACTIONS(1803),
    [anon_sym_import] = ACTIONS(1803),
    [anon_sym_with] = ACTIONS(1803),
    [anon_sym_var] = ACTIONS(1803),
    [anon_sym_let] = ACTIONS(1803),
    [anon_sym_const] = ACTIONS(1803),
    [anon_sym_BANG] = ACTIONS(1801),
    [anon_sym_else] = ACTIONS(1803),
    [anon_sym_if] = ACTIONS(1803),
    [anon_sym_switch] = ACTIONS(1803),
    [anon_sym_for] = ACTIONS(1803),
    [anon_sym_LPAREN] = ACTIONS(1801),
    [anon_sym_SEMI] = ACTIONS(1801),
    [anon_sym_await] = ACTIONS(1803),
    [anon_sym_while] = ACTIONS(1803),
    [anon_sym_do] = ACTIONS(1803),
    [anon_sym_try] = ACTIONS(1803),
    [anon_sym_break] = ACTIONS(1803),
    [anon_sym_continue] = ACTIONS(1803),
    [anon_sym_debugger] = ACTIONS(1803),
    [anon_sym_return] = ACTIONS(1803),
    [anon_sym_throw] = ACTIONS(1803),
    [anon_sym_case] = ACTIONS(1803),
    [anon_sym_yield] = ACTIONS(1803),
    [anon_sym_LBRACK] = ACTIONS(1801),
    [sym_glimmer_opening_tag] = ACTIONS(1801),
    [anon_sym_DQUOTE] = ACTIONS(1801),
    [anon_sym_SQUOTE] = ACTIONS(1801),
    [anon_sym_class] = ACTIONS(1803),
    [anon_sym_async] = ACTIONS(1803),
    [anon_sym_function] = ACTIONS(1803),
    [anon_sym_new] = ACTIONS(1803),
    [anon_sym_using] = ACTIONS(1803),
    [anon_sym_PLUS] = ACTIONS(1803),
    [anon_sym_DASH] = ACTIONS(1803),
    [anon_sym_SLASH] = ACTIONS(1803),
    [anon_sym_LT] = ACTIONS(1803),
    [anon_sym_TILDE] = ACTIONS(1801),
    [anon_sym_void] = ACTIONS(1803),
    [anon_sym_delete] = ACTIONS(1803),
    [anon_sym_PLUS_PLUS] = ACTIONS(1801),
    [anon_sym_DASH_DASH] = ACTIONS(1801),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1801),
    [sym_number] = ACTIONS(1801),
    [sym_private_property_identifier] = ACTIONS(1801),
    [sym_this] = ACTIONS(1803),
    [sym_super] = ACTIONS(1803),
    [sym_true] = ACTIONS(1803),
    [sym_false] = ACTIONS(1803),
    [sym_null] = ACTIONS(1803),
    [sym_undefined] = ACTIONS(1803),
    [anon_sym_AT] = ACTIONS(1801),
    [anon_sym_static] = ACTIONS(1803),
    [anon_sym_readonly] = ACTIONS(1803),
    [anon_sym_get] = ACTIONS(1803),
    [anon_sym_set] = ACTIONS(1803),
    [anon_sym_declare] = ACTIONS(1803),
    [anon_sym_public] = ACTIONS(1803),
    [anon_sym_private] = ACTIONS(1803),
    [anon_sym_protected] = ACTIONS(1803),
    [anon_sym_override] = ACTIONS(1803),
    [anon_sym_module] = ACTIONS(1803),
    [anon_sym_any] = ACTIONS(1803),
    [anon_sym_number] = ACTIONS(1803),
    [anon_sym_boolean] = ACTIONS(1803),
    [anon_sym_string] = ACTIONS(1803),
    [anon_sym_symbol] = ACTIONS(1803),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_abstract] = ACTIONS(1803),
    [anon_sym_interface] = ACTIONS(1803),
    [anon_sym_enum] = ACTIONS(1803),
    [anon_sym_PIPE_RBRACE] = ACTIONS(1801),
    [sym__automatic_semicolon] = ACTIONS(1801),
    [sym_html_comment] = ACTIONS(5),
  },
  [752] = {
    [ts_builtin_sym_end] = ACTIONS(1703),
    [sym_identifier] = ACTIONS(1705),
    [anon_sym_export] = ACTIONS(1705),
    [anon_sym_default] = ACTIONS(1705),
    [anon_sym_type] = ACTIONS(1705),
    [anon_sym_namespace] = ACTIONS(1705),
    [anon_sym_LBRACE] = ACTIONS(1703),
    [anon_sym_COMMA] = ACTIONS(1703),
    [anon_sym_RBRACE] = ACTIONS(1703),
    [anon_sym_typeof] = ACTIONS(1705),
    [anon_sym_import] = ACTIONS(1705),
    [anon_sym_with] = ACTIONS(1705),
    [anon_sym_var] = ACTIONS(1705),
    [anon_sym_let] = ACTIONS(1705),
    [anon_sym_const] = ACTIONS(1705),
    [anon_sym_BANG] = ACTIONS(1703),
    [anon_sym_else] = ACTIONS(1705),
    [anon_sym_if] = ACTIONS(1705),
    [anon_sym_switch] = ACTIONS(1705),
    [anon_sym_for] = ACTIONS(1705),
    [anon_sym_LPAREN] = ACTIONS(1703),
    [anon_sym_SEMI] = ACTIONS(1703),
    [anon_sym_await] = ACTIONS(1705),
    [anon_sym_while] = ACTIONS(1705),
    [anon_sym_do] = ACTIONS(1705),
    [anon_sym_try] = ACTIONS(1705),
    [anon_sym_break] = ACTIONS(1705),
    [anon_sym_continue] = ACTIONS(1705),
    [anon_sym_debugger] = ACTIONS(1705),
    [anon_sym_return] = ACTIONS(1705),
    [anon_sym_throw] = ACTIONS(1705),
    [anon_sym_case] = ACTIONS(1705),
    [anon_sym_yield] = ACTIONS(1705),
    [anon_sym_LBRACK] = ACTIONS(1703),
    [sym_glimmer_opening_tag] = ACTIONS(1703),
    [anon_sym_DQUOTE] = ACTIONS(1703),
    [anon_sym_SQUOTE] = ACTIONS(1703),
    [anon_sym_class] = ACTIONS(1705),
    [anon_sym_async] = ACTIONS(1705),
    [anon_sym_function] = ACTIONS(1705),
    [anon_sym_new] = ACTIONS(1705),
    [anon_sym_using] = ACTIONS(1705),
    [anon_sym_PLUS] = ACTIONS(1705),
    [anon_sym_DASH] = ACTIONS(1705),
    [anon_sym_SLASH] = ACTIONS(1705),
    [anon_sym_LT] = ACTIONS(1705),
    [anon_sym_TILDE] = ACTIONS(1703),
    [anon_sym_void] = ACTIONS(1705),
    [anon_sym_delete] = ACTIONS(1705),
    [anon_sym_PLUS_PLUS] = ACTIONS(1703),
    [anon_sym_DASH_DASH] = ACTIONS(1703),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1703),
    [sym_number] = ACTIONS(1703),
    [sym_private_property_identifier] = ACTIONS(1703),
    [sym_this] = ACTIONS(1705),
    [sym_super] = ACTIONS(1705),
    [sym_true] = ACTIONS(1705),
    [sym_false] = ACTIONS(1705),
    [sym_null] = ACTIONS(1705),
    [sym_undefined] = ACTIONS(1705),
    [anon_sym_AT] = ACTIONS(1703),
    [anon_sym_static] = ACTIONS(1705),
    [anon_sym_readonly] = ACTIONS(1705),
    [anon_sym_get] = ACTIONS(1705),
    [anon_sym_set] = ACTIONS(1705),
    [anon_sym_declare] = ACTIONS(1705),
    [anon_sym_public] = ACTIONS(1705),
    [anon_sym_private] = ACTIONS(1705),
    [anon_sym_protected] = ACTIONS(1705),
    [anon_sym_override] = ACTIONS(1705),
    [anon_sym_module] = ACTIONS(1705),
    [anon_sym_any] = ACTIONS(1705),
    [anon_sym_number] = ACTIONS(1705),
    [anon_sym_boolean] = ACTIONS(1705),
    [anon_sym_string] = ACTIONS(1705),
    [anon_sym_symbol] = ACTIONS(1705),
    [anon_sym_object] = ACTIONS(1705),
    [anon_sym_abstract] = ACTIONS(1705),
    [anon_sym_interface] = ACTIONS(1705),
    [anon_sym_enum] = ACTIONS(1705),
    [anon_sym_PIPE_RBRACE] = ACTIONS(1703),
    [sym__automatic_semicolon] = ACTIONS(2476),
    [sym_html_comment] = ACTIONS(5),
  },
  [753] = {
    [ts_builtin_sym_end] = ACTIONS(1843),
    [sym_identifier] = ACTIONS(1845),
    [anon_sym_export] = ACTIONS(1845),
    [anon_sym_default] = ACTIONS(1845),
    [anon_sym_type] = ACTIONS(1845),
    [anon_sym_namespace] = ACTIONS(1845),
    [anon_sym_LBRACE] = ACTIONS(1843),
    [anon_sym_COMMA] = ACTIONS(1843),
    [anon_sym_RBRACE] = ACTIONS(1843),
    [anon_sym_typeof] = ACTIONS(1845),
    [anon_sym_import] = ACTIONS(1845),
    [anon_sym_with] = ACTIONS(1845),
    [anon_sym_var] = ACTIONS(1845),
    [anon_sym_let] = ACTIONS(1845),
    [anon_sym_const] = ACTIONS(1845),
    [anon_sym_BANG] = ACTIONS(1843),
    [anon_sym_else] = ACTIONS(1845),
    [anon_sym_if] = ACTIONS(1845),
    [anon_sym_switch] = ACTIONS(1845),
    [anon_sym_for] = ACTIONS(1845),
    [anon_sym_LPAREN] = ACTIONS(1843),
    [anon_sym_SEMI] = ACTIONS(1843),
    [anon_sym_await] = ACTIONS(1845),
    [anon_sym_while] = ACTIONS(1845),
    [anon_sym_do] = ACTIONS(1845),
    [anon_sym_try] = ACTIONS(1845),
    [anon_sym_break] = ACTIONS(1845),
    [anon_sym_continue] = ACTIONS(1845),
    [anon_sym_debugger] = ACTIONS(1845),
    [anon_sym_return] = ACTIONS(1845),
    [anon_sym_throw] = ACTIONS(1845),
    [anon_sym_case] = ACTIONS(1845),
    [anon_sym_yield] = ACTIONS(1845),
    [anon_sym_LBRACK] = ACTIONS(1843),
    [sym_glimmer_opening_tag] = ACTIONS(1843),
    [anon_sym_DQUOTE] = ACTIONS(1843),
    [anon_sym_SQUOTE] = ACTIONS(1843),
    [anon_sym_class] = ACTIONS(1845),
    [anon_sym_async] = ACTIONS(1845),
    [anon_sym_function] = ACTIONS(1845),
    [anon_sym_new] = ACTIONS(1845),
    [anon_sym_using] = ACTIONS(1845),
    [anon_sym_PLUS] = ACTIONS(1845),
    [anon_sym_DASH] = ACTIONS(1845),
    [anon_sym_SLASH] = ACTIONS(1845),
    [anon_sym_LT] = ACTIONS(1845),
    [anon_sym_TILDE] = ACTIONS(1843),
    [anon_sym_void] = ACTIONS(1845),
    [anon_sym_delete] = ACTIONS(1845),
    [anon_sym_PLUS_PLUS] = ACTIONS(1843),
    [anon_sym_DASH_DASH] = ACTIONS(1843),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1843),
    [sym_number] = ACTIONS(1843),
    [sym_private_property_identifier] = ACTIONS(1843),
    [sym_this] = ACTIONS(1845),
    [sym_super] = ACTIONS(1845),
    [sym_true] = ACTIONS(1845),
    [sym_false] = ACTIONS(1845),
    [sym_null] = ACTIONS(1845),
    [sym_undefined] = ACTIONS(1845),
    [anon_sym_AT] = ACTIONS(1843),
    [anon_sym_static] = ACTIONS(1845),
    [anon_sym_readonly] = ACTIONS(1845),
    [anon_sym_get] = ACTIONS(1845),
    [anon_sym_set] = ACTIONS(1845),
    [anon_sym_declare] = ACTIONS(1845),
    [anon_sym_public] = ACTIONS(1845),
    [anon_sym_private] = ACTIONS(1845),
    [anon_sym_protected] = ACTIONS(1845),
    [anon_sym_override] = ACTIONS(1845),
    [anon_sym_module] = ACTIONS(1845),
    [anon_sym_any] = ACTIONS(1845),
    [anon_sym_number] = ACTIONS(1845),
    [anon_sym_boolean] = ACTIONS(1845),
    [anon_sym_string] = ACTIONS(1845),
    [anon_sym_symbol] = ACTIONS(1845),
    [anon_sym_object] = ACTIONS(1845),
    [anon_sym_abstract] = ACTIONS(1845),
    [anon_sym_interface] = ACTIONS(1845),
    [anon_sym_enum] = ACTIONS(1845),
    [anon_sym_PIPE_RBRACE] = ACTIONS(1843),
    [sym__automatic_semicolon] = ACTIONS(1843),
    [sym_html_comment] = ACTIONS(5),
  },
  [754] = {
    [ts_builtin_sym_end] = ACTIONS(1801),
    [sym_identifier] = ACTIONS(1803),
    [anon_sym_export] = ACTIONS(1803),
    [anon_sym_default] = ACTIONS(1803),
    [anon_sym_type] = ACTIONS(1803),
    [anon_sym_namespace] = ACTIONS(1803),
    [anon_sym_LBRACE] = ACTIONS(1801),
    [anon_sym_COMMA] = ACTIONS(1801),
    [anon_sym_RBRACE] = ACTIONS(1801),
    [anon_sym_typeof] = ACTIONS(1803),
    [anon_sym_import] = ACTIONS(1803),
    [anon_sym_with] = ACTIONS(1803),
    [anon_sym_var] = ACTIONS(1803),
    [anon_sym_let] = ACTIONS(1803),
    [anon_sym_const] = ACTIONS(1803),
    [anon_sym_BANG] = ACTIONS(1801),
    [anon_sym_else] = ACTIONS(1803),
    [anon_sym_if] = ACTIONS(1803),
    [anon_sym_switch] = ACTIONS(1803),
    [anon_sym_for] = ACTIONS(1803),
    [anon_sym_LPAREN] = ACTIONS(1801),
    [anon_sym_SEMI] = ACTIONS(1801),
    [anon_sym_await] = ACTIONS(1803),
    [anon_sym_while] = ACTIONS(1803),
    [anon_sym_do] = ACTIONS(1803),
    [anon_sym_try] = ACTIONS(1803),
    [anon_sym_break] = ACTIONS(1803),
    [anon_sym_continue] = ACTIONS(1803),
    [anon_sym_debugger] = ACTIONS(1803),
    [anon_sym_return] = ACTIONS(1803),
    [anon_sym_throw] = ACTIONS(1803),
    [anon_sym_case] = ACTIONS(1803),
    [anon_sym_yield] = ACTIONS(1803),
    [anon_sym_LBRACK] = ACTIONS(1801),
    [sym_glimmer_opening_tag] = ACTIONS(1801),
    [anon_sym_DQUOTE] = ACTIONS(1801),
    [anon_sym_SQUOTE] = ACTIONS(1801),
    [anon_sym_class] = ACTIONS(1803),
    [anon_sym_async] = ACTIONS(1803),
    [anon_sym_function] = ACTIONS(1803),
    [anon_sym_new] = ACTIONS(1803),
    [anon_sym_using] = ACTIONS(1803),
    [anon_sym_PLUS] = ACTIONS(1803),
    [anon_sym_DASH] = ACTIONS(1803),
    [anon_sym_SLASH] = ACTIONS(1803),
    [anon_sym_LT] = ACTIONS(1803),
    [anon_sym_TILDE] = ACTIONS(1801),
    [anon_sym_void] = ACTIONS(1803),
    [anon_sym_delete] = ACTIONS(1803),
    [anon_sym_PLUS_PLUS] = ACTIONS(1801),
    [anon_sym_DASH_DASH] = ACTIONS(1801),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1801),
    [sym_number] = ACTIONS(1801),
    [sym_private_property_identifier] = ACTIONS(1801),
    [sym_this] = ACTIONS(1803),
    [sym_super] = ACTIONS(1803),
    [sym_true] = ACTIONS(1803),
    [sym_false] = ACTIONS(1803),
    [sym_null] = ACTIONS(1803),
    [sym_undefined] = ACTIONS(1803),
    [anon_sym_AT] = ACTIONS(1801),
    [anon_sym_static] = ACTIONS(1803),
    [anon_sym_readonly] = ACTIONS(1803),
    [anon_sym_get] = ACTIONS(1803),
    [anon_sym_set] = ACTIONS(1803),
    [anon_sym_declare] = ACTIONS(1803),
    [anon_sym_public] = ACTIONS(1803),
    [anon_sym_private] = ACTIONS(1803),
    [anon_sym_protected] = ACTIONS(1803),
    [anon_sym_override] = ACTIONS(1803),
    [anon_sym_module] = ACTIONS(1803),
    [anon_sym_any] = ACTIONS(1803),
    [anon_sym_number] = ACTIONS(1803),
    [anon_sym_boolean] = ACTIONS(1803),
    [anon_sym_string] = ACTIONS(1803),
    [anon_sym_symbol] = ACTIONS(1803),
    [anon_sym_object] = ACTIONS(1803),
    [anon_sym_abstract] = ACTIONS(1803),
    [anon_sym_interface] = ACTIONS(1803),
    [anon_sym_enum] = ACTIONS(1803),
    [anon_sym_PIPE_RBRACE] = ACTIONS(1801),
    [sym__automatic_semicolon] = ACTIONS(2478),
    [sym_html_comment] = ACTIONS(5),
  },
  [755] = {
    [sym__call_signature] = STATE(5613),
    [sym_formal_parameters] = STATE(3895),
    [sym_type_parameters] = STATE(5348),
    [sym_identifier] = ACTIONS(2472),
    [anon_sym_export] = ACTIONS(2474),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(2474),
    [anon_sym_EQ] = ACTIONS(831),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(2474),
    [anon_sym_let] = ACTIONS(2474),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2426),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(2474),
    [anon_sym_function] = ACTIONS(2448),
    [anon_sym_EQ_GT] = ACTIONS(931),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(2474),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2431),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_static] = ACTIONS(2474),
    [anon_sym_readonly] = ACTIONS(2474),
    [anon_sym_get] = ACTIONS(2474),
    [anon_sym_set] = ACTIONS(2474),
    [anon_sym_declare] = ACTIONS(2474),
    [anon_sym_public] = ACTIONS(2474),
    [anon_sym_private] = ACTIONS(2474),
    [anon_sym_protected] = ACTIONS(2474),
    [anon_sym_override] = ACTIONS(2474),
    [anon_sym_module] = ACTIONS(2474),
    [anon_sym_any] = ACTIONS(2474),
    [anon_sym_number] = ACTIONS(2474),
    [anon_sym_boolean] = ACTIONS(2474),
    [anon_sym_string] = ACTIONS(2474),
    [anon_sym_symbol] = ACTIONS(2474),
    [anon_sym_object] = ACTIONS(2474),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [756] = {
    [sym__call_signature] = STATE(5613),
    [sym_formal_parameters] = STATE(3895),
    [sym_type_parameters] = STATE(5348),
    [sym_identifier] = ACTIONS(2472),
    [anon_sym_export] = ACTIONS(2474),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(2474),
    [anon_sym_EQ] = ACTIONS(925),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(2474),
    [anon_sym_let] = ACTIONS(2474),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2426),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(2474),
    [anon_sym_function] = ACTIONS(2342),
    [anon_sym_EQ_GT] = ACTIONS(931),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(2474),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2431),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_static] = ACTIONS(2474),
    [anon_sym_readonly] = ACTIONS(2474),
    [anon_sym_get] = ACTIONS(2474),
    [anon_sym_set] = ACTIONS(2474),
    [anon_sym_declare] = ACTIONS(2474),
    [anon_sym_public] = ACTIONS(2474),
    [anon_sym_private] = ACTIONS(2474),
    [anon_sym_protected] = ACTIONS(2474),
    [anon_sym_override] = ACTIONS(2474),
    [anon_sym_module] = ACTIONS(2474),
    [anon_sym_any] = ACTIONS(2474),
    [anon_sym_number] = ACTIONS(2474),
    [anon_sym_boolean] = ACTIONS(2474),
    [anon_sym_string] = ACTIONS(2474),
    [anon_sym_symbol] = ACTIONS(2474),
    [anon_sym_object] = ACTIONS(2474),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [757] = {
    [ts_builtin_sym_end] = ACTIONS(1843),
    [sym_identifier] = ACTIONS(1845),
    [anon_sym_export] = ACTIONS(1845),
    [anon_sym_default] = ACTIONS(1845),
    [anon_sym_type] = ACTIONS(1845),
    [anon_sym_namespace] = ACTIONS(1845),
    [anon_sym_LBRACE] = ACTIONS(1843),
    [anon_sym_COMMA] = ACTIONS(1843),
    [anon_sym_RBRACE] = ACTIONS(1843),
    [anon_sym_typeof] = ACTIONS(1845),
    [anon_sym_import] = ACTIONS(1845),
    [anon_sym_with] = ACTIONS(1845),
    [anon_sym_var] = ACTIONS(1845),
    [anon_sym_let] = ACTIONS(1845),
    [anon_sym_const] = ACTIONS(1845),
    [anon_sym_BANG] = ACTIONS(1843),
    [anon_sym_else] = ACTIONS(1845),
    [anon_sym_if] = ACTIONS(1845),
    [anon_sym_switch] = ACTIONS(1845),
    [anon_sym_for] = ACTIONS(1845),
    [anon_sym_LPAREN] = ACTIONS(1843),
    [anon_sym_SEMI] = ACTIONS(1843),
    [anon_sym_await] = ACTIONS(1845),
    [anon_sym_while] = ACTIONS(1845),
    [anon_sym_do] = ACTIONS(1845),
    [anon_sym_try] = ACTIONS(1845),
    [anon_sym_break] = ACTIONS(1845),
    [anon_sym_continue] = ACTIONS(1845),
    [anon_sym_debugger] = ACTIONS(1845),
    [anon_sym_return] = ACTIONS(1845),
    [anon_sym_throw] = ACTIONS(1845),
    [anon_sym_case] = ACTIONS(1845),
    [anon_sym_catch] = ACTIONS(1845),
    [anon_sym_finally] = ACTIONS(1845),
    [anon_sym_yield] = ACTIONS(1845),
    [anon_sym_LBRACK] = ACTIONS(1843),
    [sym_glimmer_opening_tag] = ACTIONS(1843),
    [anon_sym_DQUOTE] = ACTIONS(1843),
    [anon_sym_SQUOTE] = ACTIONS(1843),
    [anon_sym_class] = ACTIONS(1845),
    [anon_sym_async] = ACTIONS(1845),
    [anon_sym_function] = ACTIONS(1845),
    [anon_sym_new] = ACTIONS(1845),
    [anon_sym_using] = ACTIONS(1845),
    [anon_sym_PLUS] = ACTIONS(1845),
    [anon_sym_DASH] = ACTIONS(1845),
    [anon_sym_SLASH] = ACTIONS(1845),
    [anon_sym_LT] = ACTIONS(1845),
    [anon_sym_TILDE] = ACTIONS(1843),
    [anon_sym_void] = ACTIONS(1845),
    [anon_sym_delete] = ACTIONS(1845),
    [anon_sym_PLUS_PLUS] = ACTIONS(1843),
    [anon_sym_DASH_DASH] = ACTIONS(1843),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1843),
    [sym_number] = ACTIONS(1843),
    [sym_private_property_identifier] = ACTIONS(1843),
    [sym_this] = ACTIONS(1845),
    [sym_super] = ACTIONS(1845),
    [sym_true] = ACTIONS(1845),
    [sym_false] = ACTIONS(1845),
    [sym_null] = ACTIONS(1845),
    [sym_undefined] = ACTIONS(1845),
    [anon_sym_AT] = ACTIONS(1843),
    [anon_sym_static] = ACTIONS(1845),
    [anon_sym_readonly] = ACTIONS(1845),
    [anon_sym_get] = ACTIONS(1845),
    [anon_sym_set] = ACTIONS(1845),
    [anon_sym_declare] = ACTIONS(1845),
    [anon_sym_public] = ACTIONS(1845),
    [anon_sym_private] = ACTIONS(1845),
    [anon_sym_protected] = ACTIONS(1845),
    [anon_sym_override] = ACTIONS(1845),
    [anon_sym_module] = ACTIONS(1845),
    [anon_sym_any] = ACTIONS(1845),
    [anon_sym_number] = ACTIONS(1845),
    [anon_sym_boolean] = ACTIONS(1845),
    [anon_sym_string] = ACTIONS(1845),
    [anon_sym_symbol] = ACTIONS(1845),
    [anon_sym_object] = ACTIONS(1845),
    [anon_sym_abstract] = ACTIONS(1845),
    [anon_sym_interface] = ACTIONS(1845),
    [anon_sym_enum] = ACTIONS(1845),
    [sym_html_comment] = ACTIONS(5),
  },
  [758] = {
    [sym__call_signature] = STATE(5613),
    [sym_formal_parameters] = STATE(3895),
    [sym_type_parameters] = STATE(5348),
    [sym_identifier] = ACTIONS(2472),
    [anon_sym_export] = ACTIONS(2474),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(2474),
    [anon_sym_EQ] = ACTIONS(925),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(2474),
    [anon_sym_let] = ACTIONS(2474),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2426),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(2474),
    [anon_sym_function] = ACTIONS(2480),
    [anon_sym_EQ_GT] = ACTIONS(931),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(2474),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2431),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_static] = ACTIONS(2474),
    [anon_sym_readonly] = ACTIONS(2474),
    [anon_sym_get] = ACTIONS(2474),
    [anon_sym_set] = ACTIONS(2474),
    [anon_sym_declare] = ACTIONS(2474),
    [anon_sym_public] = ACTIONS(2474),
    [anon_sym_private] = ACTIONS(2474),
    [anon_sym_protected] = ACTIONS(2474),
    [anon_sym_override] = ACTIONS(2474),
    [anon_sym_module] = ACTIONS(2474),
    [anon_sym_any] = ACTIONS(2474),
    [anon_sym_number] = ACTIONS(2474),
    [anon_sym_boolean] = ACTIONS(2474),
    [anon_sym_string] = ACTIONS(2474),
    [anon_sym_symbol] = ACTIONS(2474),
    [anon_sym_object] = ACTIONS(2474),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [759] = {
    [sym__call_signature] = STATE(5493),
    [sym_formal_parameters] = STATE(3895),
    [sym_type_parameters] = STATE(5348),
    [sym_identifier] = ACTIONS(2458),
    [anon_sym_export] = ACTIONS(2460),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(2460),
    [anon_sym_EQ] = ACTIONS(917),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(2460),
    [anon_sym_let] = ACTIONS(2460),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2426),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(909),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_RBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(2460),
    [anon_sym_function] = ACTIONS(2429),
    [anon_sym_EQ_GT] = ACTIONS(913),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(2460),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2431),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_static] = ACTIONS(2460),
    [anon_sym_readonly] = ACTIONS(2460),
    [anon_sym_get] = ACTIONS(2460),
    [anon_sym_set] = ACTIONS(2460),
    [anon_sym_declare] = ACTIONS(2460),
    [anon_sym_public] = ACTIONS(2460),
    [anon_sym_private] = ACTIONS(2460),
    [anon_sym_protected] = ACTIONS(2460),
    [anon_sym_override] = ACTIONS(2460),
    [anon_sym_module] = ACTIONS(2460),
    [anon_sym_any] = ACTIONS(2460),
    [anon_sym_number] = ACTIONS(2460),
    [anon_sym_boolean] = ACTIONS(2460),
    [anon_sym_string] = ACTIONS(2460),
    [anon_sym_symbol] = ACTIONS(2460),
    [anon_sym_object] = ACTIONS(2460),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [760] = {
    [sym__call_signature] = STATE(5613),
    [sym_formal_parameters] = STATE(3895),
    [sym_type_parameters] = STATE(5348),
    [sym_identifier] = ACTIONS(2472),
    [anon_sym_export] = ACTIONS(2474),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(2474),
    [anon_sym_EQ] = ACTIONS(925),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(2474),
    [anon_sym_let] = ACTIONS(2474),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2426),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(2474),
    [anon_sym_function] = ACTIONS(2442),
    [anon_sym_EQ_GT] = ACTIONS(931),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(2474),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2431),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_static] = ACTIONS(2474),
    [anon_sym_readonly] = ACTIONS(2474),
    [anon_sym_get] = ACTIONS(2474),
    [anon_sym_set] = ACTIONS(2474),
    [anon_sym_declare] = ACTIONS(2474),
    [anon_sym_public] = ACTIONS(2474),
    [anon_sym_private] = ACTIONS(2474),
    [anon_sym_protected] = ACTIONS(2474),
    [anon_sym_override] = ACTIONS(2474),
    [anon_sym_module] = ACTIONS(2474),
    [anon_sym_any] = ACTIONS(2474),
    [anon_sym_number] = ACTIONS(2474),
    [anon_sym_boolean] = ACTIONS(2474),
    [anon_sym_string] = ACTIONS(2474),
    [anon_sym_symbol] = ACTIONS(2474),
    [anon_sym_object] = ACTIONS(2474),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [761] = {
    [sym__call_signature] = STATE(5493),
    [sym_formal_parameters] = STATE(3895),
    [sym_type_parameters] = STATE(5348),
    [sym_identifier] = ACTIONS(2458),
    [anon_sym_export] = ACTIONS(2460),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(2460),
    [anon_sym_EQ] = ACTIONS(904),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(2460),
    [anon_sym_COMMA] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(2460),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2426),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_RBRACK] = ACTIONS(224),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(2460),
    [anon_sym_function] = ACTIONS(2429),
    [anon_sym_EQ_GT] = ACTIONS(913),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(2460),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2431),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_static] = ACTIONS(2460),
    [anon_sym_readonly] = ACTIONS(2460),
    [anon_sym_get] = ACTIONS(2460),
    [anon_sym_set] = ACTIONS(2460),
    [anon_sym_declare] = ACTIONS(2460),
    [anon_sym_public] = ACTIONS(2460),
    [anon_sym_private] = ACTIONS(2460),
    [anon_sym_protected] = ACTIONS(2460),
    [anon_sym_override] = ACTIONS(2460),
    [anon_sym_module] = ACTIONS(2460),
    [anon_sym_any] = ACTIONS(2460),
    [anon_sym_number] = ACTIONS(2460),
    [anon_sym_boolean] = ACTIONS(2460),
    [anon_sym_string] = ACTIONS(2460),
    [anon_sym_symbol] = ACTIONS(2460),
    [anon_sym_object] = ACTIONS(2460),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [762] = {
    [sym__call_signature] = STATE(5844),
    [sym_formal_parameters] = STATE(3895),
    [sym_type_parameters] = STATE(5348),
    [sym_identifier] = ACTIONS(2422),
    [anon_sym_export] = ACTIONS(2424),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(2424),
    [anon_sym_EQ] = ACTIONS(831),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(2424),
    [anon_sym_let] = ACTIONS(2424),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2426),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(833),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(2424),
    [anon_sym_function] = ACTIONS(2429),
    [anon_sym_EQ_GT] = ACTIONS(159),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(2424),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2431),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_static] = ACTIONS(2424),
    [anon_sym_readonly] = ACTIONS(2424),
    [anon_sym_get] = ACTIONS(2424),
    [anon_sym_set] = ACTIONS(2424),
    [anon_sym_declare] = ACTIONS(2424),
    [anon_sym_public] = ACTIONS(2424),
    [anon_sym_private] = ACTIONS(2424),
    [anon_sym_protected] = ACTIONS(2424),
    [anon_sym_override] = ACTIONS(2424),
    [anon_sym_module] = ACTIONS(2424),
    [anon_sym_any] = ACTIONS(2424),
    [anon_sym_number] = ACTIONS(2424),
    [anon_sym_boolean] = ACTIONS(2424),
    [anon_sym_string] = ACTIONS(2424),
    [anon_sym_symbol] = ACTIONS(2424),
    [anon_sym_object] = ACTIONS(2424),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [763] = {
    [sym_statement_block] = STATE(898),
    [ts_builtin_sym_end] = ACTIONS(1717),
    [sym_identifier] = ACTIONS(1719),
    [anon_sym_export] = ACTIONS(1719),
    [anon_sym_default] = ACTIONS(1719),
    [anon_sym_type] = ACTIONS(1719),
    [anon_sym_namespace] = ACTIONS(1719),
    [anon_sym_LBRACE] = ACTIONS(2482),
    [anon_sym_RBRACE] = ACTIONS(1717),
    [anon_sym_typeof] = ACTIONS(1719),
    [anon_sym_import] = ACTIONS(1719),
    [anon_sym_with] = ACTIONS(1719),
    [anon_sym_var] = ACTIONS(1719),
    [anon_sym_let] = ACTIONS(1719),
    [anon_sym_const] = ACTIONS(1719),
    [anon_sym_BANG] = ACTIONS(1717),
    [anon_sym_else] = ACTIONS(1719),
    [anon_sym_if] = ACTIONS(1719),
    [anon_sym_switch] = ACTIONS(1719),
    [anon_sym_for] = ACTIONS(1719),
    [anon_sym_LPAREN] = ACTIONS(1717),
    [anon_sym_SEMI] = ACTIONS(1717),
    [anon_sym_await] = ACTIONS(1719),
    [anon_sym_while] = ACTIONS(1719),
    [anon_sym_do] = ACTIONS(1719),
    [anon_sym_try] = ACTIONS(1719),
    [anon_sym_break] = ACTIONS(1719),
    [anon_sym_continue] = ACTIONS(1719),
    [anon_sym_debugger] = ACTIONS(1719),
    [anon_sym_return] = ACTIONS(1719),
    [anon_sym_throw] = ACTIONS(1719),
    [anon_sym_case] = ACTIONS(1719),
    [anon_sym_yield] = ACTIONS(1719),
    [anon_sym_LBRACK] = ACTIONS(1717),
    [sym_glimmer_opening_tag] = ACTIONS(1717),
    [anon_sym_DOT] = ACTIONS(2484),
    [anon_sym_DQUOTE] = ACTIONS(1717),
    [anon_sym_SQUOTE] = ACTIONS(1717),
    [anon_sym_class] = ACTIONS(1719),
    [anon_sym_async] = ACTIONS(1719),
    [anon_sym_function] = ACTIONS(1719),
    [anon_sym_new] = ACTIONS(1719),
    [anon_sym_using] = ACTIONS(1719),
    [anon_sym_PLUS] = ACTIONS(1719),
    [anon_sym_DASH] = ACTIONS(1719),
    [anon_sym_SLASH] = ACTIONS(1719),
    [anon_sym_LT] = ACTIONS(1719),
    [anon_sym_TILDE] = ACTIONS(1717),
    [anon_sym_void] = ACTIONS(1719),
    [anon_sym_delete] = ACTIONS(1719),
    [anon_sym_PLUS_PLUS] = ACTIONS(1717),
    [anon_sym_DASH_DASH] = ACTIONS(1717),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1717),
    [sym_number] = ACTIONS(1717),
    [sym_private_property_identifier] = ACTIONS(1717),
    [sym_this] = ACTIONS(1719),
    [sym_super] = ACTIONS(1719),
    [sym_true] = ACTIONS(1719),
    [sym_false] = ACTIONS(1719),
    [sym_null] = ACTIONS(1719),
    [sym_undefined] = ACTIONS(1719),
    [anon_sym_AT] = ACTIONS(1717),
    [anon_sym_static] = ACTIONS(1719),
    [anon_sym_readonly] = ACTIONS(1719),
    [anon_sym_get] = ACTIONS(1719),
    [anon_sym_set] = ACTIONS(1719),
    [anon_sym_declare] = ACTIONS(1719),
    [anon_sym_public] = ACTIONS(1719),
    [anon_sym_private] = ACTIONS(1719),
    [anon_sym_protected] = ACTIONS(1719),
    [anon_sym_override] = ACTIONS(1719),
    [anon_sym_module] = ACTIONS(1719),
    [anon_sym_any] = ACTIONS(1719),
    [anon_sym_number] = ACTIONS(1719),
    [anon_sym_boolean] = ACTIONS(1719),
    [anon_sym_string] = ACTIONS(1719),
    [anon_sym_symbol] = ACTIONS(1719),
    [anon_sym_object] = ACTIONS(1719),
    [anon_sym_abstract] = ACTIONS(1719),
    [anon_sym_interface] = ACTIONS(1719),
    [anon_sym_enum] = ACTIONS(1719),
    [sym_html_comment] = ACTIONS(5),
  },
  [764] = {
    [sym_statement_block] = STATE(898),
    [ts_builtin_sym_end] = ACTIONS(1717),
    [sym_identifier] = ACTIONS(1719),
    [anon_sym_export] = ACTIONS(1719),
    [anon_sym_default] = ACTIONS(1719),
    [anon_sym_type] = ACTIONS(1719),
    [anon_sym_namespace] = ACTIONS(1719),
    [anon_sym_LBRACE] = ACTIONS(2482),
    [anon_sym_RBRACE] = ACTIONS(1717),
    [anon_sym_typeof] = ACTIONS(1719),
    [anon_sym_import] = ACTIONS(1719),
    [anon_sym_with] = ACTIONS(1719),
    [anon_sym_var] = ACTIONS(1719),
    [anon_sym_let] = ACTIONS(1719),
    [anon_sym_const] = ACTIONS(1719),
    [anon_sym_BANG] = ACTIONS(1717),
    [anon_sym_else] = ACTIONS(1719),
    [anon_sym_if] = ACTIONS(1719),
    [anon_sym_switch] = ACTIONS(1719),
    [anon_sym_for] = ACTIONS(1719),
    [anon_sym_LPAREN] = ACTIONS(1717),
    [anon_sym_SEMI] = ACTIONS(1717),
    [anon_sym_await] = ACTIONS(1719),
    [anon_sym_while] = ACTIONS(1719),
    [anon_sym_do] = ACTIONS(1719),
    [anon_sym_try] = ACTIONS(1719),
    [anon_sym_break] = ACTIONS(1719),
    [anon_sym_continue] = ACTIONS(1719),
    [anon_sym_debugger] = ACTIONS(1719),
    [anon_sym_return] = ACTIONS(1719),
    [anon_sym_throw] = ACTIONS(1719),
    [anon_sym_case] = ACTIONS(1719),
    [anon_sym_yield] = ACTIONS(1719),
    [anon_sym_LBRACK] = ACTIONS(1717),
    [sym_glimmer_opening_tag] = ACTIONS(1717),
    [anon_sym_DOT] = ACTIONS(2486),
    [anon_sym_DQUOTE] = ACTIONS(1717),
    [anon_sym_SQUOTE] = ACTIONS(1717),
    [anon_sym_class] = ACTIONS(1719),
    [anon_sym_async] = ACTIONS(1719),
    [anon_sym_function] = ACTIONS(1719),
    [anon_sym_new] = ACTIONS(1719),
    [anon_sym_using] = ACTIONS(1719),
    [anon_sym_PLUS] = ACTIONS(1719),
    [anon_sym_DASH] = ACTIONS(1719),
    [anon_sym_SLASH] = ACTIONS(1719),
    [anon_sym_LT] = ACTIONS(1719),
    [anon_sym_TILDE] = ACTIONS(1717),
    [anon_sym_void] = ACTIONS(1719),
    [anon_sym_delete] = ACTIONS(1719),
    [anon_sym_PLUS_PLUS] = ACTIONS(1717),
    [anon_sym_DASH_DASH] = ACTIONS(1717),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1717),
    [sym_number] = ACTIONS(1717),
    [sym_private_property_identifier] = ACTIONS(1717),
    [sym_this] = ACTIONS(1719),
    [sym_super] = ACTIONS(1719),
    [sym_true] = ACTIONS(1719),
    [sym_false] = ACTIONS(1719),
    [sym_null] = ACTIONS(1719),
    [sym_undefined] = ACTIONS(1719),
    [anon_sym_AT] = ACTIONS(1717),
    [anon_sym_static] = ACTIONS(1719),
    [anon_sym_readonly] = ACTIONS(1719),
    [anon_sym_get] = ACTIONS(1719),
    [anon_sym_set] = ACTIONS(1719),
    [anon_sym_declare] = ACTIONS(1719),
    [anon_sym_public] = ACTIONS(1719),
    [anon_sym_private] = ACTIONS(1719),
    [anon_sym_protected] = ACTIONS(1719),
    [anon_sym_override] = ACTIONS(1719),
    [anon_sym_module] = ACTIONS(1719),
    [anon_sym_any] = ACTIONS(1719),
    [anon_sym_number] = ACTIONS(1719),
    [anon_sym_boolean] = ACTIONS(1719),
    [anon_sym_string] = ACTIONS(1719),
    [anon_sym_symbol] = ACTIONS(1719),
    [anon_sym_object] = ACTIONS(1719),
    [anon_sym_abstract] = ACTIONS(1719),
    [anon_sym_interface] = ACTIONS(1719),
    [anon_sym_enum] = ACTIONS(1719),
    [sym_html_comment] = ACTIONS(5),
  },
  [765] = {
    [sym__call_signature] = STATE(5749),
    [sym_formal_parameters] = STATE(3895),
    [sym_type_parameters] = STATE(5348),
    [sym_identifier] = ACTIONS(2488),
    [anon_sym_export] = ACTIONS(2490),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(2490),
    [anon_sym_EQ] = ACTIONS(955),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(2490),
    [anon_sym_let] = ACTIONS(2490),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2426),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(161),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(2490),
    [anon_sym_function] = ACTIONS(2429),
    [anon_sym_EQ_GT] = ACTIONS(961),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(2490),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2431),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_static] = ACTIONS(2490),
    [anon_sym_readonly] = ACTIONS(2490),
    [anon_sym_get] = ACTIONS(2490),
    [anon_sym_set] = ACTIONS(2490),
    [anon_sym_declare] = ACTIONS(2490),
    [anon_sym_public] = ACTIONS(2490),
    [anon_sym_private] = ACTIONS(2490),
    [anon_sym_protected] = ACTIONS(2490),
    [anon_sym_override] = ACTIONS(2490),
    [anon_sym_module] = ACTIONS(2490),
    [anon_sym_any] = ACTIONS(2490),
    [anon_sym_number] = ACTIONS(2490),
    [anon_sym_boolean] = ACTIONS(2490),
    [anon_sym_string] = ACTIONS(2490),
    [anon_sym_symbol] = ACTIONS(2490),
    [anon_sym_object] = ACTIONS(2490),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [766] = {
    [sym__call_signature] = STATE(5493),
    [sym_formal_parameters] = STATE(3895),
    [sym_type_parameters] = STATE(5348),
    [sym_identifier] = ACTIONS(2458),
    [anon_sym_export] = ACTIONS(2460),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(2460),
    [anon_sym_EQ] = ACTIONS(917),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(2460),
    [anon_sym_let] = ACTIONS(2460),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2426),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_RBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(2460),
    [anon_sym_function] = ACTIONS(2429),
    [anon_sym_EQ_GT] = ACTIONS(913),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(2460),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2431),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_static] = ACTIONS(2460),
    [anon_sym_readonly] = ACTIONS(2460),
    [anon_sym_get] = ACTIONS(2460),
    [anon_sym_set] = ACTIONS(2460),
    [anon_sym_declare] = ACTIONS(2460),
    [anon_sym_public] = ACTIONS(2460),
    [anon_sym_private] = ACTIONS(2460),
    [anon_sym_protected] = ACTIONS(2460),
    [anon_sym_override] = ACTIONS(2460),
    [anon_sym_module] = ACTIONS(2460),
    [anon_sym_any] = ACTIONS(2460),
    [anon_sym_number] = ACTIONS(2460),
    [anon_sym_boolean] = ACTIONS(2460),
    [anon_sym_string] = ACTIONS(2460),
    [anon_sym_symbol] = ACTIONS(2460),
    [anon_sym_object] = ACTIONS(2460),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [767] = {
    [sym__call_signature] = STATE(5749),
    [sym_formal_parameters] = STATE(3895),
    [sym_type_parameters] = STATE(5348),
    [sym_identifier] = ACTIONS(2488),
    [anon_sym_export] = ACTIONS(2490),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(2490),
    [anon_sym_EQ] = ACTIONS(831),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(2490),
    [anon_sym_let] = ACTIONS(2490),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2426),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(161),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(2490),
    [anon_sym_function] = ACTIONS(2429),
    [anon_sym_EQ_GT] = ACTIONS(961),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(2490),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2431),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_static] = ACTIONS(2490),
    [anon_sym_readonly] = ACTIONS(2490),
    [anon_sym_get] = ACTIONS(2490),
    [anon_sym_set] = ACTIONS(2490),
    [anon_sym_declare] = ACTIONS(2490),
    [anon_sym_public] = ACTIONS(2490),
    [anon_sym_private] = ACTIONS(2490),
    [anon_sym_protected] = ACTIONS(2490),
    [anon_sym_override] = ACTIONS(2490),
    [anon_sym_module] = ACTIONS(2490),
    [anon_sym_any] = ACTIONS(2490),
    [anon_sym_number] = ACTIONS(2490),
    [anon_sym_boolean] = ACTIONS(2490),
    [anon_sym_string] = ACTIONS(2490),
    [anon_sym_symbol] = ACTIONS(2490),
    [anon_sym_object] = ACTIONS(2490),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [768] = {
    [sym__call_signature] = STATE(5493),
    [sym_formal_parameters] = STATE(3895),
    [sym_type_parameters] = STATE(5348),
    [sym_identifier] = ACTIONS(2458),
    [anon_sym_export] = ACTIONS(2460),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(2460),
    [anon_sym_EQ] = ACTIONS(831),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(2460),
    [anon_sym_let] = ACTIONS(2460),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2426),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_RBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(2460),
    [anon_sym_function] = ACTIONS(2429),
    [anon_sym_EQ_GT] = ACTIONS(913),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(2460),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2431),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_static] = ACTIONS(2460),
    [anon_sym_readonly] = ACTIONS(2460),
    [anon_sym_get] = ACTIONS(2460),
    [anon_sym_set] = ACTIONS(2460),
    [anon_sym_declare] = ACTIONS(2460),
    [anon_sym_public] = ACTIONS(2460),
    [anon_sym_private] = ACTIONS(2460),
    [anon_sym_protected] = ACTIONS(2460),
    [anon_sym_override] = ACTIONS(2460),
    [anon_sym_module] = ACTIONS(2460),
    [anon_sym_any] = ACTIONS(2460),
    [anon_sym_number] = ACTIONS(2460),
    [anon_sym_boolean] = ACTIONS(2460),
    [anon_sym_string] = ACTIONS(2460),
    [anon_sym_symbol] = ACTIONS(2460),
    [anon_sym_object] = ACTIONS(2460),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [769] = {
    [sym__call_signature] = STATE(5545),
    [sym_formal_parameters] = STATE(3895),
    [sym_type_parameters] = STATE(5348),
    [sym_identifier] = ACTIONS(2492),
    [anon_sym_export] = ACTIONS(2494),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(2494),
    [anon_sym_EQ] = ACTIONS(969),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(2494),
    [anon_sym_let] = ACTIONS(2494),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2426),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_of] = ACTIONS(122),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(2494),
    [anon_sym_function] = ACTIONS(2429),
    [anon_sym_EQ_GT] = ACTIONS(975),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(2494),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2431),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_static] = ACTIONS(2494),
    [anon_sym_readonly] = ACTIONS(2494),
    [anon_sym_get] = ACTIONS(2494),
    [anon_sym_set] = ACTIONS(2494),
    [anon_sym_declare] = ACTIONS(2494),
    [anon_sym_public] = ACTIONS(2494),
    [anon_sym_private] = ACTIONS(2494),
    [anon_sym_protected] = ACTIONS(2494),
    [anon_sym_override] = ACTIONS(2494),
    [anon_sym_module] = ACTIONS(2494),
    [anon_sym_any] = ACTIONS(2494),
    [anon_sym_number] = ACTIONS(2494),
    [anon_sym_boolean] = ACTIONS(2494),
    [anon_sym_string] = ACTIONS(2494),
    [anon_sym_symbol] = ACTIONS(2494),
    [anon_sym_object] = ACTIONS(2494),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [770] = {
    [sym__call_signature] = STATE(5545),
    [sym_formal_parameters] = STATE(3895),
    [sym_type_parameters] = STATE(5348),
    [sym_identifier] = ACTIONS(2492),
    [anon_sym_export] = ACTIONS(2494),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(2494),
    [anon_sym_EQ] = ACTIONS(831),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(2494),
    [anon_sym_let] = ACTIONS(2494),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2426),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_of] = ACTIONS(122),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(2494),
    [anon_sym_function] = ACTIONS(2429),
    [anon_sym_EQ_GT] = ACTIONS(975),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(2494),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2431),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_static] = ACTIONS(2494),
    [anon_sym_readonly] = ACTIONS(2494),
    [anon_sym_get] = ACTIONS(2494),
    [anon_sym_set] = ACTIONS(2494),
    [anon_sym_declare] = ACTIONS(2494),
    [anon_sym_public] = ACTIONS(2494),
    [anon_sym_private] = ACTIONS(2494),
    [anon_sym_protected] = ACTIONS(2494),
    [anon_sym_override] = ACTIONS(2494),
    [anon_sym_module] = ACTIONS(2494),
    [anon_sym_any] = ACTIONS(2494),
    [anon_sym_number] = ACTIONS(2494),
    [anon_sym_boolean] = ACTIONS(2494),
    [anon_sym_string] = ACTIONS(2494),
    [anon_sym_symbol] = ACTIONS(2494),
    [anon_sym_object] = ACTIONS(2494),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [771] = {
    [sym__call_signature] = STATE(5844),
    [sym_formal_parameters] = STATE(3895),
    [sym_type_parameters] = STATE(5348),
    [sym_identifier] = ACTIONS(2422),
    [anon_sym_export] = ACTIONS(2424),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(2424),
    [anon_sym_EQ] = ACTIONS(831),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(2424),
    [anon_sym_let] = ACTIONS(2424),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2426),
    [anon_sym_in] = ACTIONS(895),
    [anon_sym_of] = ACTIONS(898),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(2424),
    [anon_sym_function] = ACTIONS(2429),
    [anon_sym_EQ_GT] = ACTIONS(159),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(2424),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2431),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_static] = ACTIONS(2424),
    [anon_sym_readonly] = ACTIONS(2424),
    [anon_sym_get] = ACTIONS(2424),
    [anon_sym_set] = ACTIONS(2424),
    [anon_sym_declare] = ACTIONS(2424),
    [anon_sym_public] = ACTIONS(2424),
    [anon_sym_private] = ACTIONS(2424),
    [anon_sym_protected] = ACTIONS(2424),
    [anon_sym_override] = ACTIONS(2424),
    [anon_sym_module] = ACTIONS(2424),
    [anon_sym_any] = ACTIONS(2424),
    [anon_sym_number] = ACTIONS(2424),
    [anon_sym_boolean] = ACTIONS(2424),
    [anon_sym_string] = ACTIONS(2424),
    [anon_sym_symbol] = ACTIONS(2424),
    [anon_sym_object] = ACTIONS(2424),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [772] = {
    [sym_finally_clause] = STATE(841),
    [ts_builtin_sym_end] = ACTIONS(2496),
    [sym_identifier] = ACTIONS(2498),
    [anon_sym_export] = ACTIONS(2498),
    [anon_sym_default] = ACTIONS(2498),
    [anon_sym_type] = ACTIONS(2498),
    [anon_sym_namespace] = ACTIONS(2498),
    [anon_sym_LBRACE] = ACTIONS(2496),
    [anon_sym_RBRACE] = ACTIONS(2496),
    [anon_sym_typeof] = ACTIONS(2498),
    [anon_sym_import] = ACTIONS(2498),
    [anon_sym_with] = ACTIONS(2498),
    [anon_sym_var] = ACTIONS(2498),
    [anon_sym_let] = ACTIONS(2498),
    [anon_sym_const] = ACTIONS(2498),
    [anon_sym_BANG] = ACTIONS(2496),
    [anon_sym_else] = ACTIONS(2498),
    [anon_sym_if] = ACTIONS(2498),
    [anon_sym_switch] = ACTIONS(2498),
    [anon_sym_for] = ACTIONS(2498),
    [anon_sym_LPAREN] = ACTIONS(2496),
    [anon_sym_SEMI] = ACTIONS(2496),
    [anon_sym_await] = ACTIONS(2498),
    [anon_sym_while] = ACTIONS(2498),
    [anon_sym_do] = ACTIONS(2498),
    [anon_sym_try] = ACTIONS(2498),
    [anon_sym_break] = ACTIONS(2498),
    [anon_sym_continue] = ACTIONS(2498),
    [anon_sym_debugger] = ACTIONS(2498),
    [anon_sym_return] = ACTIONS(2498),
    [anon_sym_throw] = ACTIONS(2498),
    [anon_sym_case] = ACTIONS(2498),
    [anon_sym_finally] = ACTIONS(2468),
    [anon_sym_yield] = ACTIONS(2498),
    [anon_sym_LBRACK] = ACTIONS(2496),
    [sym_glimmer_opening_tag] = ACTIONS(2496),
    [anon_sym_DQUOTE] = ACTIONS(2496),
    [anon_sym_SQUOTE] = ACTIONS(2496),
    [anon_sym_class] = ACTIONS(2498),
    [anon_sym_async] = ACTIONS(2498),
    [anon_sym_function] = ACTIONS(2498),
    [anon_sym_new] = ACTIONS(2498),
    [anon_sym_using] = ACTIONS(2498),
    [anon_sym_PLUS] = ACTIONS(2498),
    [anon_sym_DASH] = ACTIONS(2498),
    [anon_sym_SLASH] = ACTIONS(2498),
    [anon_sym_LT] = ACTIONS(2498),
    [anon_sym_TILDE] = ACTIONS(2496),
    [anon_sym_void] = ACTIONS(2498),
    [anon_sym_delete] = ACTIONS(2498),
    [anon_sym_PLUS_PLUS] = ACTIONS(2496),
    [anon_sym_DASH_DASH] = ACTIONS(2496),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2496),
    [sym_number] = ACTIONS(2496),
    [sym_private_property_identifier] = ACTIONS(2496),
    [sym_this] = ACTIONS(2498),
    [sym_super] = ACTIONS(2498),
    [sym_true] = ACTIONS(2498),
    [sym_false] = ACTIONS(2498),
    [sym_null] = ACTIONS(2498),
    [sym_undefined] = ACTIONS(2498),
    [anon_sym_AT] = ACTIONS(2496),
    [anon_sym_static] = ACTIONS(2498),
    [anon_sym_readonly] = ACTIONS(2498),
    [anon_sym_get] = ACTIONS(2498),
    [anon_sym_set] = ACTIONS(2498),
    [anon_sym_declare] = ACTIONS(2498),
    [anon_sym_public] = ACTIONS(2498),
    [anon_sym_private] = ACTIONS(2498),
    [anon_sym_protected] = ACTIONS(2498),
    [anon_sym_override] = ACTIONS(2498),
    [anon_sym_module] = ACTIONS(2498),
    [anon_sym_any] = ACTIONS(2498),
    [anon_sym_number] = ACTIONS(2498),
    [anon_sym_boolean] = ACTIONS(2498),
    [anon_sym_string] = ACTIONS(2498),
    [anon_sym_symbol] = ACTIONS(2498),
    [anon_sym_object] = ACTIONS(2498),
    [anon_sym_abstract] = ACTIONS(2498),
    [anon_sym_interface] = ACTIONS(2498),
    [anon_sym_enum] = ACTIONS(2498),
    [sym_html_comment] = ACTIONS(5),
  },
  [773] = {
    [ts_builtin_sym_end] = ACTIONS(2500),
    [sym_identifier] = ACTIONS(2502),
    [anon_sym_export] = ACTIONS(2502),
    [anon_sym_default] = ACTIONS(2502),
    [anon_sym_type] = ACTIONS(2502),
    [anon_sym_namespace] = ACTIONS(2502),
    [anon_sym_LBRACE] = ACTIONS(2500),
    [anon_sym_RBRACE] = ACTIONS(2500),
    [anon_sym_typeof] = ACTIONS(2502),
    [anon_sym_import] = ACTIONS(2502),
    [anon_sym_with] = ACTIONS(2502),
    [anon_sym_var] = ACTIONS(2502),
    [anon_sym_let] = ACTIONS(2502),
    [anon_sym_const] = ACTIONS(2502),
    [anon_sym_BANG] = ACTIONS(2500),
    [anon_sym_else] = ACTIONS(2502),
    [anon_sym_if] = ACTIONS(2502),
    [anon_sym_switch] = ACTIONS(2502),
    [anon_sym_for] = ACTIONS(2502),
    [anon_sym_LPAREN] = ACTIONS(2500),
    [anon_sym_SEMI] = ACTIONS(2500),
    [anon_sym_await] = ACTIONS(2502),
    [anon_sym_while] = ACTIONS(2502),
    [anon_sym_do] = ACTIONS(2502),
    [anon_sym_try] = ACTIONS(2502),
    [anon_sym_break] = ACTIONS(2502),
    [anon_sym_continue] = ACTIONS(2502),
    [anon_sym_debugger] = ACTIONS(2502),
    [anon_sym_return] = ACTIONS(2502),
    [anon_sym_throw] = ACTIONS(2502),
    [anon_sym_case] = ACTIONS(2502),
    [anon_sym_yield] = ACTIONS(2502),
    [anon_sym_LBRACK] = ACTIONS(2500),
    [sym_glimmer_opening_tag] = ACTIONS(2500),
    [anon_sym_DQUOTE] = ACTIONS(2500),
    [anon_sym_SQUOTE] = ACTIONS(2500),
    [anon_sym_class] = ACTIONS(2502),
    [anon_sym_async] = ACTIONS(2502),
    [anon_sym_function] = ACTIONS(2502),
    [anon_sym_new] = ACTIONS(2502),
    [anon_sym_using] = ACTIONS(2502),
    [anon_sym_PLUS] = ACTIONS(2502),
    [anon_sym_DASH] = ACTIONS(2502),
    [anon_sym_SLASH] = ACTIONS(2502),
    [anon_sym_LT] = ACTIONS(2502),
    [anon_sym_TILDE] = ACTIONS(2500),
    [anon_sym_void] = ACTIONS(2502),
    [anon_sym_delete] = ACTIONS(2502),
    [anon_sym_PLUS_PLUS] = ACTIONS(2500),
    [anon_sym_DASH_DASH] = ACTIONS(2500),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2500),
    [sym_number] = ACTIONS(2500),
    [sym_private_property_identifier] = ACTIONS(2500),
    [sym_this] = ACTIONS(2502),
    [sym_super] = ACTIONS(2502),
    [sym_true] = ACTIONS(2502),
    [sym_false] = ACTIONS(2502),
    [sym_null] = ACTIONS(2502),
    [sym_undefined] = ACTIONS(2502),
    [anon_sym_AT] = ACTIONS(2500),
    [anon_sym_static] = ACTIONS(2502),
    [anon_sym_readonly] = ACTIONS(2502),
    [anon_sym_get] = ACTIONS(2502),
    [anon_sym_set] = ACTIONS(2502),
    [anon_sym_declare] = ACTIONS(2502),
    [anon_sym_public] = ACTIONS(2502),
    [anon_sym_private] = ACTIONS(2502),
    [anon_sym_protected] = ACTIONS(2502),
    [anon_sym_override] = ACTIONS(2502),
    [anon_sym_module] = ACTIONS(2502),
    [anon_sym_any] = ACTIONS(2502),
    [anon_sym_number] = ACTIONS(2502),
    [anon_sym_boolean] = ACTIONS(2502),
    [anon_sym_string] = ACTIONS(2502),
    [anon_sym_symbol] = ACTIONS(2502),
    [anon_sym_object] = ACTIONS(2502),
    [anon_sym_abstract] = ACTIONS(2502),
    [anon_sym_interface] = ACTIONS(2502),
    [anon_sym_enum] = ACTIONS(2502),
    [sym__automatic_semicolon] = ACTIONS(2500),
    [sym_html_comment] = ACTIONS(5),
  },
  [774] = {
    [ts_builtin_sym_end] = ACTIONS(2504),
    [sym_identifier] = ACTIONS(2506),
    [anon_sym_export] = ACTIONS(2506),
    [anon_sym_default] = ACTIONS(2506),
    [anon_sym_type] = ACTIONS(2506),
    [anon_sym_namespace] = ACTIONS(2506),
    [anon_sym_LBRACE] = ACTIONS(2504),
    [anon_sym_RBRACE] = ACTIONS(2504),
    [anon_sym_typeof] = ACTIONS(2506),
    [anon_sym_import] = ACTIONS(2506),
    [anon_sym_with] = ACTIONS(2506),
    [anon_sym_var] = ACTIONS(2506),
    [anon_sym_let] = ACTIONS(2506),
    [anon_sym_const] = ACTIONS(2506),
    [anon_sym_BANG] = ACTIONS(2504),
    [anon_sym_else] = ACTIONS(2506),
    [anon_sym_if] = ACTIONS(2506),
    [anon_sym_switch] = ACTIONS(2506),
    [anon_sym_for] = ACTIONS(2506),
    [anon_sym_LPAREN] = ACTIONS(2504),
    [anon_sym_SEMI] = ACTIONS(2504),
    [anon_sym_await] = ACTIONS(2506),
    [anon_sym_while] = ACTIONS(2506),
    [anon_sym_do] = ACTIONS(2506),
    [anon_sym_try] = ACTIONS(2506),
    [anon_sym_break] = ACTIONS(2506),
    [anon_sym_continue] = ACTIONS(2506),
    [anon_sym_debugger] = ACTIONS(2506),
    [anon_sym_return] = ACTIONS(2506),
    [anon_sym_throw] = ACTIONS(2506),
    [anon_sym_case] = ACTIONS(2506),
    [anon_sym_finally] = ACTIONS(2506),
    [anon_sym_yield] = ACTIONS(2506),
    [anon_sym_LBRACK] = ACTIONS(2504),
    [sym_glimmer_opening_tag] = ACTIONS(2504),
    [anon_sym_DQUOTE] = ACTIONS(2504),
    [anon_sym_SQUOTE] = ACTIONS(2504),
    [anon_sym_class] = ACTIONS(2506),
    [anon_sym_async] = ACTIONS(2506),
    [anon_sym_function] = ACTIONS(2506),
    [anon_sym_new] = ACTIONS(2506),
    [anon_sym_using] = ACTIONS(2506),
    [anon_sym_PLUS] = ACTIONS(2506),
    [anon_sym_DASH] = ACTIONS(2506),
    [anon_sym_SLASH] = ACTIONS(2506),
    [anon_sym_LT] = ACTIONS(2506),
    [anon_sym_TILDE] = ACTIONS(2504),
    [anon_sym_void] = ACTIONS(2506),
    [anon_sym_delete] = ACTIONS(2506),
    [anon_sym_PLUS_PLUS] = ACTIONS(2504),
    [anon_sym_DASH_DASH] = ACTIONS(2504),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2504),
    [sym_number] = ACTIONS(2504),
    [sym_private_property_identifier] = ACTIONS(2504),
    [sym_this] = ACTIONS(2506),
    [sym_super] = ACTIONS(2506),
    [sym_true] = ACTIONS(2506),
    [sym_false] = ACTIONS(2506),
    [sym_null] = ACTIONS(2506),
    [sym_undefined] = ACTIONS(2506),
    [anon_sym_AT] = ACTIONS(2504),
    [anon_sym_static] = ACTIONS(2506),
    [anon_sym_readonly] = ACTIONS(2506),
    [anon_sym_get] = ACTIONS(2506),
    [anon_sym_set] = ACTIONS(2506),
    [anon_sym_declare] = ACTIONS(2506),
    [anon_sym_public] = ACTIONS(2506),
    [anon_sym_private] = ACTIONS(2506),
    [anon_sym_protected] = ACTIONS(2506),
    [anon_sym_override] = ACTIONS(2506),
    [anon_sym_module] = ACTIONS(2506),
    [anon_sym_any] = ACTIONS(2506),
    [anon_sym_number] = ACTIONS(2506),
    [anon_sym_boolean] = ACTIONS(2506),
    [anon_sym_string] = ACTIONS(2506),
    [anon_sym_symbol] = ACTIONS(2506),
    [anon_sym_object] = ACTIONS(2506),
    [anon_sym_abstract] = ACTIONS(2506),
    [anon_sym_interface] = ACTIONS(2506),
    [anon_sym_enum] = ACTIONS(2506),
    [sym_html_comment] = ACTIONS(5),
  },
  [775] = {
    [sym__call_signature] = STATE(5844),
    [sym_formal_parameters] = STATE(3895),
    [sym_type_parameters] = STATE(5348),
    [sym_identifier] = ACTIONS(2422),
    [anon_sym_export] = ACTIONS(2424),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(2424),
    [anon_sym_EQ] = ACTIONS(981),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(2424),
    [anon_sym_let] = ACTIONS(2424),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2426),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(2424),
    [anon_sym_function] = ACTIONS(2429),
    [anon_sym_EQ_GT] = ACTIONS(159),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(2424),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2431),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_static] = ACTIONS(2424),
    [anon_sym_readonly] = ACTIONS(2424),
    [anon_sym_get] = ACTIONS(2424),
    [anon_sym_set] = ACTIONS(2424),
    [anon_sym_declare] = ACTIONS(2424),
    [anon_sym_public] = ACTIONS(2424),
    [anon_sym_private] = ACTIONS(2424),
    [anon_sym_protected] = ACTIONS(2424),
    [anon_sym_override] = ACTIONS(2424),
    [anon_sym_module] = ACTIONS(2424),
    [anon_sym_any] = ACTIONS(2424),
    [anon_sym_number] = ACTIONS(2424),
    [anon_sym_boolean] = ACTIONS(2424),
    [anon_sym_string] = ACTIONS(2424),
    [anon_sym_symbol] = ACTIONS(2424),
    [anon_sym_object] = ACTIONS(2424),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [776] = {
    [ts_builtin_sym_end] = ACTIONS(1781),
    [sym_identifier] = ACTIONS(1783),
    [anon_sym_export] = ACTIONS(1783),
    [anon_sym_default] = ACTIONS(1783),
    [anon_sym_type] = ACTIONS(1783),
    [anon_sym_namespace] = ACTIONS(1783),
    [anon_sym_LBRACE] = ACTIONS(1781),
    [anon_sym_RBRACE] = ACTIONS(1781),
    [anon_sym_typeof] = ACTIONS(1783),
    [anon_sym_import] = ACTIONS(1783),
    [anon_sym_with] = ACTIONS(1783),
    [anon_sym_var] = ACTIONS(1783),
    [anon_sym_let] = ACTIONS(1783),
    [anon_sym_const] = ACTIONS(1783),
    [anon_sym_BANG] = ACTIONS(1781),
    [anon_sym_else] = ACTIONS(1783),
    [anon_sym_if] = ACTIONS(1783),
    [anon_sym_switch] = ACTIONS(1783),
    [anon_sym_for] = ACTIONS(1783),
    [anon_sym_LPAREN] = ACTIONS(1781),
    [anon_sym_SEMI] = ACTIONS(1781),
    [anon_sym_await] = ACTIONS(1783),
    [anon_sym_while] = ACTIONS(1783),
    [anon_sym_do] = ACTIONS(1783),
    [anon_sym_try] = ACTIONS(1783),
    [anon_sym_break] = ACTIONS(1783),
    [anon_sym_continue] = ACTIONS(1783),
    [anon_sym_debugger] = ACTIONS(1783),
    [anon_sym_return] = ACTIONS(1783),
    [anon_sym_throw] = ACTIONS(1783),
    [anon_sym_case] = ACTIONS(1783),
    [anon_sym_yield] = ACTIONS(1783),
    [anon_sym_LBRACK] = ACTIONS(1781),
    [sym_glimmer_opening_tag] = ACTIONS(1781),
    [anon_sym_DQUOTE] = ACTIONS(1781),
    [anon_sym_SQUOTE] = ACTIONS(1781),
    [anon_sym_class] = ACTIONS(1783),
    [anon_sym_async] = ACTIONS(1783),
    [anon_sym_function] = ACTIONS(1783),
    [anon_sym_new] = ACTIONS(1783),
    [anon_sym_using] = ACTIONS(1783),
    [anon_sym_PLUS] = ACTIONS(1783),
    [anon_sym_DASH] = ACTIONS(1783),
    [anon_sym_SLASH] = ACTIONS(1783),
    [anon_sym_LT] = ACTIONS(1783),
    [anon_sym_TILDE] = ACTIONS(1781),
    [anon_sym_void] = ACTIONS(1783),
    [anon_sym_delete] = ACTIONS(1783),
    [anon_sym_PLUS_PLUS] = ACTIONS(1781),
    [anon_sym_DASH_DASH] = ACTIONS(1781),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1781),
    [sym_number] = ACTIONS(1781),
    [sym_private_property_identifier] = ACTIONS(1781),
    [sym_this] = ACTIONS(1783),
    [sym_super] = ACTIONS(1783),
    [sym_true] = ACTIONS(1783),
    [sym_false] = ACTIONS(1783),
    [sym_null] = ACTIONS(1783),
    [sym_undefined] = ACTIONS(1783),
    [anon_sym_AT] = ACTIONS(1781),
    [anon_sym_static] = ACTIONS(1783),
    [anon_sym_readonly] = ACTIONS(1783),
    [anon_sym_get] = ACTIONS(1783),
    [anon_sym_set] = ACTIONS(1783),
    [anon_sym_declare] = ACTIONS(1783),
    [anon_sym_public] = ACTIONS(1783),
    [anon_sym_private] = ACTIONS(1783),
    [anon_sym_protected] = ACTIONS(1783),
    [anon_sym_override] = ACTIONS(1783),
    [anon_sym_module] = ACTIONS(1783),
    [anon_sym_any] = ACTIONS(1783),
    [anon_sym_number] = ACTIONS(1783),
    [anon_sym_boolean] = ACTIONS(1783),
    [anon_sym_string] = ACTIONS(1783),
    [anon_sym_symbol] = ACTIONS(1783),
    [anon_sym_object] = ACTIONS(1783),
    [anon_sym_abstract] = ACTIONS(1783),
    [anon_sym_interface] = ACTIONS(1783),
    [anon_sym_enum] = ACTIONS(1783),
    [sym__automatic_semicolon] = ACTIONS(1789),
    [sym_html_comment] = ACTIONS(5),
  },
  [777] = {
    [ts_builtin_sym_end] = ACTIONS(1753),
    [sym_identifier] = ACTIONS(1755),
    [anon_sym_export] = ACTIONS(1755),
    [anon_sym_default] = ACTIONS(1755),
    [anon_sym_type] = ACTIONS(1755),
    [anon_sym_namespace] = ACTIONS(1755),
    [anon_sym_LBRACE] = ACTIONS(1753),
    [anon_sym_RBRACE] = ACTIONS(1753),
    [anon_sym_typeof] = ACTIONS(1755),
    [anon_sym_import] = ACTIONS(1755),
    [anon_sym_with] = ACTIONS(1755),
    [anon_sym_var] = ACTIONS(1755),
    [anon_sym_let] = ACTIONS(1755),
    [anon_sym_const] = ACTIONS(1755),
    [anon_sym_BANG] = ACTIONS(1753),
    [anon_sym_else] = ACTIONS(1755),
    [anon_sym_if] = ACTIONS(1755),
    [anon_sym_switch] = ACTIONS(1755),
    [anon_sym_for] = ACTIONS(1755),
    [anon_sym_LPAREN] = ACTIONS(1753),
    [anon_sym_SEMI] = ACTIONS(1753),
    [anon_sym_await] = ACTIONS(1755),
    [anon_sym_while] = ACTIONS(1755),
    [anon_sym_do] = ACTIONS(1755),
    [anon_sym_try] = ACTIONS(1755),
    [anon_sym_break] = ACTIONS(1755),
    [anon_sym_continue] = ACTIONS(1755),
    [anon_sym_debugger] = ACTIONS(1755),
    [anon_sym_return] = ACTIONS(1755),
    [anon_sym_throw] = ACTIONS(1755),
    [anon_sym_case] = ACTIONS(1755),
    [anon_sym_yield] = ACTIONS(1755),
    [anon_sym_LBRACK] = ACTIONS(1753),
    [sym_glimmer_opening_tag] = ACTIONS(1753),
    [anon_sym_DQUOTE] = ACTIONS(1753),
    [anon_sym_SQUOTE] = ACTIONS(1753),
    [anon_sym_class] = ACTIONS(1755),
    [anon_sym_async] = ACTIONS(1755),
    [anon_sym_function] = ACTIONS(1755),
    [anon_sym_new] = ACTIONS(1755),
    [anon_sym_using] = ACTIONS(1755),
    [anon_sym_PLUS] = ACTIONS(1755),
    [anon_sym_DASH] = ACTIONS(1755),
    [anon_sym_SLASH] = ACTIONS(1755),
    [anon_sym_LT] = ACTIONS(1755),
    [anon_sym_TILDE] = ACTIONS(1753),
    [anon_sym_void] = ACTIONS(1755),
    [anon_sym_delete] = ACTIONS(1755),
    [anon_sym_PLUS_PLUS] = ACTIONS(1753),
    [anon_sym_DASH_DASH] = ACTIONS(1753),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1753),
    [sym_number] = ACTIONS(1753),
    [sym_private_property_identifier] = ACTIONS(1753),
    [sym_this] = ACTIONS(1755),
    [sym_super] = ACTIONS(1755),
    [sym_true] = ACTIONS(1755),
    [sym_false] = ACTIONS(1755),
    [sym_null] = ACTIONS(1755),
    [sym_undefined] = ACTIONS(1755),
    [anon_sym_AT] = ACTIONS(1753),
    [anon_sym_static] = ACTIONS(1755),
    [anon_sym_readonly] = ACTIONS(1755),
    [anon_sym_get] = ACTIONS(1755),
    [anon_sym_set] = ACTIONS(1755),
    [anon_sym_declare] = ACTIONS(1755),
    [anon_sym_public] = ACTIONS(1755),
    [anon_sym_private] = ACTIONS(1755),
    [anon_sym_protected] = ACTIONS(1755),
    [anon_sym_override] = ACTIONS(1755),
    [anon_sym_module] = ACTIONS(1755),
    [anon_sym_any] = ACTIONS(1755),
    [anon_sym_number] = ACTIONS(1755),
    [anon_sym_boolean] = ACTIONS(1755),
    [anon_sym_string] = ACTIONS(1755),
    [anon_sym_symbol] = ACTIONS(1755),
    [anon_sym_object] = ACTIONS(1755),
    [anon_sym_abstract] = ACTIONS(1755),
    [anon_sym_interface] = ACTIONS(1755),
    [anon_sym_enum] = ACTIONS(1755),
    [sym__automatic_semicolon] = ACTIONS(1761),
    [sym_html_comment] = ACTIONS(5),
  },
  [778] = {
    [ts_builtin_sym_end] = ACTIONS(1767),
    [sym_identifier] = ACTIONS(1769),
    [anon_sym_export] = ACTIONS(1769),
    [anon_sym_default] = ACTIONS(1769),
    [anon_sym_type] = ACTIONS(1769),
    [anon_sym_namespace] = ACTIONS(1769),
    [anon_sym_LBRACE] = ACTIONS(1767),
    [anon_sym_RBRACE] = ACTIONS(1767),
    [anon_sym_typeof] = ACTIONS(1769),
    [anon_sym_import] = ACTIONS(1769),
    [anon_sym_with] = ACTIONS(1769),
    [anon_sym_var] = ACTIONS(1769),
    [anon_sym_let] = ACTIONS(1769),
    [anon_sym_const] = ACTIONS(1769),
    [anon_sym_BANG] = ACTIONS(1767),
    [anon_sym_else] = ACTIONS(1769),
    [anon_sym_if] = ACTIONS(1769),
    [anon_sym_switch] = ACTIONS(1769),
    [anon_sym_for] = ACTIONS(1769),
    [anon_sym_LPAREN] = ACTIONS(1767),
    [anon_sym_SEMI] = ACTIONS(1767),
    [anon_sym_await] = ACTIONS(1769),
    [anon_sym_while] = ACTIONS(1769),
    [anon_sym_do] = ACTIONS(1769),
    [anon_sym_try] = ACTIONS(1769),
    [anon_sym_break] = ACTIONS(1769),
    [anon_sym_continue] = ACTIONS(1769),
    [anon_sym_debugger] = ACTIONS(1769),
    [anon_sym_return] = ACTIONS(1769),
    [anon_sym_throw] = ACTIONS(1769),
    [anon_sym_case] = ACTIONS(1769),
    [anon_sym_yield] = ACTIONS(1769),
    [anon_sym_LBRACK] = ACTIONS(1767),
    [sym_glimmer_opening_tag] = ACTIONS(1767),
    [anon_sym_DQUOTE] = ACTIONS(1767),
    [anon_sym_SQUOTE] = ACTIONS(1767),
    [anon_sym_class] = ACTIONS(1769),
    [anon_sym_async] = ACTIONS(1769),
    [anon_sym_function] = ACTIONS(1769),
    [anon_sym_new] = ACTIONS(1769),
    [anon_sym_using] = ACTIONS(1769),
    [anon_sym_PLUS] = ACTIONS(1769),
    [anon_sym_DASH] = ACTIONS(1769),
    [anon_sym_SLASH] = ACTIONS(1769),
    [anon_sym_LT] = ACTIONS(1769),
    [anon_sym_TILDE] = ACTIONS(1767),
    [anon_sym_void] = ACTIONS(1769),
    [anon_sym_delete] = ACTIONS(1769),
    [anon_sym_PLUS_PLUS] = ACTIONS(1767),
    [anon_sym_DASH_DASH] = ACTIONS(1767),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1767),
    [sym_number] = ACTIONS(1767),
    [sym_private_property_identifier] = ACTIONS(1767),
    [sym_this] = ACTIONS(1769),
    [sym_super] = ACTIONS(1769),
    [sym_true] = ACTIONS(1769),
    [sym_false] = ACTIONS(1769),
    [sym_null] = ACTIONS(1769),
    [sym_undefined] = ACTIONS(1769),
    [anon_sym_AT] = ACTIONS(1767),
    [anon_sym_static] = ACTIONS(1769),
    [anon_sym_readonly] = ACTIONS(1769),
    [anon_sym_get] = ACTIONS(1769),
    [anon_sym_set] = ACTIONS(1769),
    [anon_sym_declare] = ACTIONS(1769),
    [anon_sym_public] = ACTIONS(1769),
    [anon_sym_private] = ACTIONS(1769),
    [anon_sym_protected] = ACTIONS(1769),
    [anon_sym_override] = ACTIONS(1769),
    [anon_sym_module] = ACTIONS(1769),
    [anon_sym_any] = ACTIONS(1769),
    [anon_sym_number] = ACTIONS(1769),
    [anon_sym_boolean] = ACTIONS(1769),
    [anon_sym_string] = ACTIONS(1769),
    [anon_sym_symbol] = ACTIONS(1769),
    [anon_sym_object] = ACTIONS(1769),
    [anon_sym_abstract] = ACTIONS(1769),
    [anon_sym_interface] = ACTIONS(1769),
    [anon_sym_enum] = ACTIONS(1769),
    [sym__automatic_semicolon] = ACTIONS(1775),
    [sym_html_comment] = ACTIONS(5),
  },
  [779] = {
    [ts_builtin_sym_end] = ACTIONS(1823),
    [sym_identifier] = ACTIONS(1825),
    [anon_sym_export] = ACTIONS(1825),
    [anon_sym_default] = ACTIONS(1825),
    [anon_sym_type] = ACTIONS(1825),
    [anon_sym_namespace] = ACTIONS(1825),
    [anon_sym_LBRACE] = ACTIONS(1823),
    [anon_sym_RBRACE] = ACTIONS(1823),
    [anon_sym_typeof] = ACTIONS(1825),
    [anon_sym_import] = ACTIONS(1825),
    [anon_sym_with] = ACTIONS(1825),
    [anon_sym_var] = ACTIONS(1825),
    [anon_sym_let] = ACTIONS(1825),
    [anon_sym_const] = ACTIONS(1825),
    [anon_sym_BANG] = ACTIONS(1823),
    [anon_sym_else] = ACTIONS(1825),
    [anon_sym_if] = ACTIONS(1825),
    [anon_sym_switch] = ACTIONS(1825),
    [anon_sym_for] = ACTIONS(1825),
    [anon_sym_LPAREN] = ACTIONS(1823),
    [anon_sym_SEMI] = ACTIONS(1823),
    [anon_sym_await] = ACTIONS(1825),
    [anon_sym_while] = ACTIONS(1825),
    [anon_sym_do] = ACTIONS(1825),
    [anon_sym_try] = ACTIONS(1825),
    [anon_sym_break] = ACTIONS(1825),
    [anon_sym_continue] = ACTIONS(1825),
    [anon_sym_debugger] = ACTIONS(1825),
    [anon_sym_return] = ACTIONS(1825),
    [anon_sym_throw] = ACTIONS(1825),
    [anon_sym_case] = ACTIONS(1825),
    [anon_sym_yield] = ACTIONS(1825),
    [anon_sym_LBRACK] = ACTIONS(1823),
    [sym_glimmer_opening_tag] = ACTIONS(1823),
    [anon_sym_DQUOTE] = ACTIONS(1823),
    [anon_sym_SQUOTE] = ACTIONS(1823),
    [anon_sym_class] = ACTIONS(1825),
    [anon_sym_async] = ACTIONS(1825),
    [anon_sym_function] = ACTIONS(1825),
    [anon_sym_new] = ACTIONS(1825),
    [anon_sym_using] = ACTIONS(1825),
    [anon_sym_PLUS] = ACTIONS(1825),
    [anon_sym_DASH] = ACTIONS(1825),
    [anon_sym_SLASH] = ACTIONS(1825),
    [anon_sym_LT] = ACTIONS(1825),
    [anon_sym_TILDE] = ACTIONS(1823),
    [anon_sym_void] = ACTIONS(1825),
    [anon_sym_delete] = ACTIONS(1825),
    [anon_sym_PLUS_PLUS] = ACTIONS(1823),
    [anon_sym_DASH_DASH] = ACTIONS(1823),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1823),
    [sym_number] = ACTIONS(1823),
    [sym_private_property_identifier] = ACTIONS(1823),
    [sym_this] = ACTIONS(1825),
    [sym_super] = ACTIONS(1825),
    [sym_true] = ACTIONS(1825),
    [sym_false] = ACTIONS(1825),
    [sym_null] = ACTIONS(1825),
    [sym_undefined] = ACTIONS(1825),
    [anon_sym_AT] = ACTIONS(1823),
    [anon_sym_static] = ACTIONS(1825),
    [anon_sym_readonly] = ACTIONS(1825),
    [anon_sym_get] = ACTIONS(1825),
    [anon_sym_set] = ACTIONS(1825),
    [anon_sym_declare] = ACTIONS(1825),
    [anon_sym_public] = ACTIONS(1825),
    [anon_sym_private] = ACTIONS(1825),
    [anon_sym_protected] = ACTIONS(1825),
    [anon_sym_override] = ACTIONS(1825),
    [anon_sym_module] = ACTIONS(1825),
    [anon_sym_any] = ACTIONS(1825),
    [anon_sym_number] = ACTIONS(1825),
    [anon_sym_boolean] = ACTIONS(1825),
    [anon_sym_string] = ACTIONS(1825),
    [anon_sym_symbol] = ACTIONS(1825),
    [anon_sym_object] = ACTIONS(1825),
    [anon_sym_abstract] = ACTIONS(1825),
    [anon_sym_interface] = ACTIONS(1825),
    [anon_sym_enum] = ACTIONS(1825),
    [sym__automatic_semicolon] = ACTIONS(1831),
    [sym_html_comment] = ACTIONS(5),
  },
  [780] = {
    [ts_builtin_sym_end] = ACTIONS(1811),
    [sym_identifier] = ACTIONS(1813),
    [anon_sym_export] = ACTIONS(1813),
    [anon_sym_default] = ACTIONS(1813),
    [anon_sym_type] = ACTIONS(1813),
    [anon_sym_namespace] = ACTIONS(1813),
    [anon_sym_LBRACE] = ACTIONS(1811),
    [anon_sym_RBRACE] = ACTIONS(1811),
    [anon_sym_typeof] = ACTIONS(1813),
    [anon_sym_import] = ACTIONS(1813),
    [anon_sym_with] = ACTIONS(1813),
    [anon_sym_var] = ACTIONS(1813),
    [anon_sym_let] = ACTIONS(1813),
    [anon_sym_const] = ACTIONS(1813),
    [anon_sym_BANG] = ACTIONS(1811),
    [anon_sym_else] = ACTIONS(1813),
    [anon_sym_if] = ACTIONS(1813),
    [anon_sym_switch] = ACTIONS(1813),
    [anon_sym_for] = ACTIONS(1813),
    [anon_sym_LPAREN] = ACTIONS(1811),
    [anon_sym_SEMI] = ACTIONS(1811),
    [anon_sym_await] = ACTIONS(1813),
    [anon_sym_while] = ACTIONS(1813),
    [anon_sym_do] = ACTIONS(1813),
    [anon_sym_try] = ACTIONS(1813),
    [anon_sym_break] = ACTIONS(1813),
    [anon_sym_continue] = ACTIONS(1813),
    [anon_sym_debugger] = ACTIONS(1813),
    [anon_sym_return] = ACTIONS(1813),
    [anon_sym_throw] = ACTIONS(1813),
    [anon_sym_case] = ACTIONS(1813),
    [anon_sym_yield] = ACTIONS(1813),
    [anon_sym_LBRACK] = ACTIONS(1811),
    [sym_glimmer_opening_tag] = ACTIONS(1811),
    [anon_sym_DQUOTE] = ACTIONS(1811),
    [anon_sym_SQUOTE] = ACTIONS(1811),
    [anon_sym_class] = ACTIONS(1813),
    [anon_sym_async] = ACTIONS(1813),
    [anon_sym_function] = ACTIONS(1813),
    [anon_sym_new] = ACTIONS(1813),
    [anon_sym_using] = ACTIONS(1813),
    [anon_sym_PLUS] = ACTIONS(1813),
    [anon_sym_DASH] = ACTIONS(1813),
    [anon_sym_SLASH] = ACTIONS(1813),
    [anon_sym_LT] = ACTIONS(1813),
    [anon_sym_TILDE] = ACTIONS(1811),
    [anon_sym_void] = ACTIONS(1813),
    [anon_sym_delete] = ACTIONS(1813),
    [anon_sym_PLUS_PLUS] = ACTIONS(1811),
    [anon_sym_DASH_DASH] = ACTIONS(1811),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1811),
    [sym_number] = ACTIONS(1811),
    [sym_private_property_identifier] = ACTIONS(1811),
    [sym_this] = ACTIONS(1813),
    [sym_super] = ACTIONS(1813),
    [sym_true] = ACTIONS(1813),
    [sym_false] = ACTIONS(1813),
    [sym_null] = ACTIONS(1813),
    [sym_undefined] = ACTIONS(1813),
    [anon_sym_AT] = ACTIONS(1811),
    [anon_sym_static] = ACTIONS(1813),
    [anon_sym_readonly] = ACTIONS(1813),
    [anon_sym_get] = ACTIONS(1813),
    [anon_sym_set] = ACTIONS(1813),
    [anon_sym_declare] = ACTIONS(1813),
    [anon_sym_public] = ACTIONS(1813),
    [anon_sym_private] = ACTIONS(1813),
    [anon_sym_protected] = ACTIONS(1813),
    [anon_sym_override] = ACTIONS(1813),
    [anon_sym_module] = ACTIONS(1813),
    [anon_sym_any] = ACTIONS(1813),
    [anon_sym_number] = ACTIONS(1813),
    [anon_sym_boolean] = ACTIONS(1813),
    [anon_sym_string] = ACTIONS(1813),
    [anon_sym_symbol] = ACTIONS(1813),
    [anon_sym_object] = ACTIONS(1813),
    [anon_sym_abstract] = ACTIONS(1813),
    [anon_sym_interface] = ACTIONS(1813),
    [anon_sym_enum] = ACTIONS(1813),
    [sym__automatic_semicolon] = ACTIONS(1819),
    [sym_html_comment] = ACTIONS(5),
  },
  [781] = {
    [ts_builtin_sym_end] = ACTIONS(1875),
    [sym_identifier] = ACTIONS(1877),
    [anon_sym_export] = ACTIONS(1877),
    [anon_sym_default] = ACTIONS(1877),
    [anon_sym_type] = ACTIONS(1877),
    [anon_sym_namespace] = ACTIONS(1877),
    [anon_sym_LBRACE] = ACTIONS(1875),
    [anon_sym_RBRACE] = ACTIONS(1875),
    [anon_sym_typeof] = ACTIONS(1877),
    [anon_sym_import] = ACTIONS(1877),
    [anon_sym_with] = ACTIONS(1877),
    [anon_sym_var] = ACTIONS(1877),
    [anon_sym_let] = ACTIONS(1877),
    [anon_sym_const] = ACTIONS(1877),
    [anon_sym_BANG] = ACTIONS(1875),
    [anon_sym_else] = ACTIONS(1877),
    [anon_sym_if] = ACTIONS(1877),
    [anon_sym_switch] = ACTIONS(1877),
    [anon_sym_for] = ACTIONS(1877),
    [anon_sym_LPAREN] = ACTIONS(1875),
    [anon_sym_SEMI] = ACTIONS(1875),
    [anon_sym_await] = ACTIONS(1877),
    [anon_sym_while] = ACTIONS(1877),
    [anon_sym_do] = ACTIONS(1877),
    [anon_sym_try] = ACTIONS(1877),
    [anon_sym_break] = ACTIONS(1877),
    [anon_sym_continue] = ACTIONS(1877),
    [anon_sym_debugger] = ACTIONS(1877),
    [anon_sym_return] = ACTIONS(1877),
    [anon_sym_throw] = ACTIONS(1877),
    [anon_sym_case] = ACTIONS(1877),
    [anon_sym_yield] = ACTIONS(1877),
    [anon_sym_LBRACK] = ACTIONS(1875),
    [sym_glimmer_opening_tag] = ACTIONS(1875),
    [anon_sym_DQUOTE] = ACTIONS(1875),
    [anon_sym_SQUOTE] = ACTIONS(1875),
    [anon_sym_class] = ACTIONS(1877),
    [anon_sym_async] = ACTIONS(1877),
    [anon_sym_function] = ACTIONS(1877),
    [anon_sym_new] = ACTIONS(1877),
    [anon_sym_using] = ACTIONS(1877),
    [anon_sym_PLUS] = ACTIONS(1877),
    [anon_sym_DASH] = ACTIONS(1877),
    [anon_sym_SLASH] = ACTIONS(1877),
    [anon_sym_LT] = ACTIONS(1877),
    [anon_sym_TILDE] = ACTIONS(1875),
    [anon_sym_void] = ACTIONS(1877),
    [anon_sym_delete] = ACTIONS(1877),
    [anon_sym_PLUS_PLUS] = ACTIONS(1875),
    [anon_sym_DASH_DASH] = ACTIONS(1875),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1875),
    [sym_number] = ACTIONS(1875),
    [sym_private_property_identifier] = ACTIONS(1875),
    [sym_this] = ACTIONS(1877),
    [sym_super] = ACTIONS(1877),
    [sym_true] = ACTIONS(1877),
    [sym_false] = ACTIONS(1877),
    [sym_null] = ACTIONS(1877),
    [sym_undefined] = ACTIONS(1877),
    [anon_sym_AT] = ACTIONS(1875),
    [anon_sym_static] = ACTIONS(1877),
    [anon_sym_readonly] = ACTIONS(1877),
    [anon_sym_get] = ACTIONS(1877),
    [anon_sym_set] = ACTIONS(1877),
    [anon_sym_declare] = ACTIONS(1877),
    [anon_sym_public] = ACTIONS(1877),
    [anon_sym_private] = ACTIONS(1877),
    [anon_sym_protected] = ACTIONS(1877),
    [anon_sym_override] = ACTIONS(1877),
    [anon_sym_module] = ACTIONS(1877),
    [anon_sym_any] = ACTIONS(1877),
    [anon_sym_number] = ACTIONS(1877),
    [anon_sym_boolean] = ACTIONS(1877),
    [anon_sym_string] = ACTIONS(1877),
    [anon_sym_symbol] = ACTIONS(1877),
    [anon_sym_object] = ACTIONS(1877),
    [anon_sym_abstract] = ACTIONS(1877),
    [anon_sym_interface] = ACTIONS(1877),
    [anon_sym_enum] = ACTIONS(1877),
    [sym__automatic_semicolon] = ACTIONS(1883),
    [sym_html_comment] = ACTIONS(5),
  },
  [782] = {
    [sym__call_signature] = STATE(5844),
    [sym_formal_parameters] = STATE(3895),
    [sym_type_parameters] = STATE(5348),
    [sym_identifier] = ACTIONS(2422),
    [anon_sym_export] = ACTIONS(2424),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(2424),
    [anon_sym_EQ] = ACTIONS(991),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(2424),
    [anon_sym_let] = ACTIONS(2424),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2426),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(2424),
    [anon_sym_function] = ACTIONS(2429),
    [anon_sym_EQ_GT] = ACTIONS(159),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(2424),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2431),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_static] = ACTIONS(2424),
    [anon_sym_readonly] = ACTIONS(2424),
    [anon_sym_get] = ACTIONS(2424),
    [anon_sym_set] = ACTIONS(2424),
    [anon_sym_declare] = ACTIONS(2424),
    [anon_sym_public] = ACTIONS(2424),
    [anon_sym_private] = ACTIONS(2424),
    [anon_sym_protected] = ACTIONS(2424),
    [anon_sym_override] = ACTIONS(2424),
    [anon_sym_module] = ACTIONS(2424),
    [anon_sym_any] = ACTIONS(2424),
    [anon_sym_number] = ACTIONS(2424),
    [anon_sym_boolean] = ACTIONS(2424),
    [anon_sym_string] = ACTIONS(2424),
    [anon_sym_symbol] = ACTIONS(2424),
    [anon_sym_object] = ACTIONS(2424),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [783] = {
    [ts_builtin_sym_end] = ACTIONS(1743),
    [sym_identifier] = ACTIONS(1745),
    [anon_sym_export] = ACTIONS(1745),
    [anon_sym_default] = ACTIONS(1745),
    [anon_sym_type] = ACTIONS(1745),
    [anon_sym_namespace] = ACTIONS(1745),
    [anon_sym_LBRACE] = ACTIONS(1743),
    [anon_sym_RBRACE] = ACTIONS(1743),
    [anon_sym_typeof] = ACTIONS(1745),
    [anon_sym_import] = ACTIONS(1745),
    [anon_sym_with] = ACTIONS(1745),
    [anon_sym_var] = ACTIONS(1745),
    [anon_sym_let] = ACTIONS(1745),
    [anon_sym_const] = ACTIONS(1745),
    [anon_sym_BANG] = ACTIONS(1743),
    [anon_sym_else] = ACTIONS(1745),
    [anon_sym_if] = ACTIONS(1745),
    [anon_sym_switch] = ACTIONS(1745),
    [anon_sym_for] = ACTIONS(1745),
    [anon_sym_LPAREN] = ACTIONS(1743),
    [anon_sym_SEMI] = ACTIONS(1743),
    [anon_sym_await] = ACTIONS(1745),
    [anon_sym_while] = ACTIONS(1745),
    [anon_sym_do] = ACTIONS(1745),
    [anon_sym_try] = ACTIONS(1745),
    [anon_sym_break] = ACTIONS(1745),
    [anon_sym_continue] = ACTIONS(1745),
    [anon_sym_debugger] = ACTIONS(1745),
    [anon_sym_return] = ACTIONS(1745),
    [anon_sym_throw] = ACTIONS(1745),
    [anon_sym_case] = ACTIONS(1745),
    [anon_sym_yield] = ACTIONS(1745),
    [anon_sym_LBRACK] = ACTIONS(1743),
    [sym_glimmer_opening_tag] = ACTIONS(1743),
    [anon_sym_DQUOTE] = ACTIONS(1743),
    [anon_sym_SQUOTE] = ACTIONS(1743),
    [anon_sym_class] = ACTIONS(1745),
    [anon_sym_async] = ACTIONS(1745),
    [anon_sym_function] = ACTIONS(1745),
    [anon_sym_new] = ACTIONS(1745),
    [anon_sym_using] = ACTIONS(1745),
    [anon_sym_PLUS] = ACTIONS(1745),
    [anon_sym_DASH] = ACTIONS(1745),
    [anon_sym_SLASH] = ACTIONS(1745),
    [anon_sym_LT] = ACTIONS(1745),
    [anon_sym_TILDE] = ACTIONS(1743),
    [anon_sym_void] = ACTIONS(1745),
    [anon_sym_delete] = ACTIONS(1745),
    [anon_sym_PLUS_PLUS] = ACTIONS(1743),
    [anon_sym_DASH_DASH] = ACTIONS(1743),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1743),
    [sym_number] = ACTIONS(1743),
    [sym_private_property_identifier] = ACTIONS(1743),
    [sym_this] = ACTIONS(1745),
    [sym_super] = ACTIONS(1745),
    [sym_true] = ACTIONS(1745),
    [sym_false] = ACTIONS(1745),
    [sym_null] = ACTIONS(1745),
    [sym_undefined] = ACTIONS(1745),
    [anon_sym_AT] = ACTIONS(1743),
    [anon_sym_static] = ACTIONS(1745),
    [anon_sym_readonly] = ACTIONS(1745),
    [anon_sym_get] = ACTIONS(1745),
    [anon_sym_set] = ACTIONS(1745),
    [anon_sym_declare] = ACTIONS(1745),
    [anon_sym_public] = ACTIONS(1745),
    [anon_sym_private] = ACTIONS(1745),
    [anon_sym_protected] = ACTIONS(1745),
    [anon_sym_override] = ACTIONS(1745),
    [anon_sym_module] = ACTIONS(1745),
    [anon_sym_any] = ACTIONS(1745),
    [anon_sym_number] = ACTIONS(1745),
    [anon_sym_boolean] = ACTIONS(1745),
    [anon_sym_string] = ACTIONS(1745),
    [anon_sym_symbol] = ACTIONS(1745),
    [anon_sym_object] = ACTIONS(1745),
    [anon_sym_abstract] = ACTIONS(1745),
    [anon_sym_interface] = ACTIONS(1745),
    [anon_sym_enum] = ACTIONS(1745),
    [sym__automatic_semicolon] = ACTIONS(1751),
    [sym_html_comment] = ACTIONS(5),
  },
  [784] = {
    [sym__call_signature] = STATE(5844),
    [sym_formal_parameters] = STATE(3895),
    [sym_type_parameters] = STATE(5348),
    [sym_identifier] = ACTIONS(2422),
    [anon_sym_export] = ACTIONS(2424),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(2424),
    [anon_sym_EQ] = ACTIONS(1051),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(2424),
    [anon_sym_let] = ACTIONS(2424),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2426),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(2424),
    [anon_sym_function] = ACTIONS(2429),
    [anon_sym_EQ_GT] = ACTIONS(159),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(2424),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2431),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_static] = ACTIONS(2424),
    [anon_sym_readonly] = ACTIONS(2424),
    [anon_sym_get] = ACTIONS(2424),
    [anon_sym_set] = ACTIONS(2424),
    [anon_sym_declare] = ACTIONS(2424),
    [anon_sym_public] = ACTIONS(2424),
    [anon_sym_private] = ACTIONS(2424),
    [anon_sym_protected] = ACTIONS(2424),
    [anon_sym_override] = ACTIONS(2424),
    [anon_sym_module] = ACTIONS(2424),
    [anon_sym_any] = ACTIONS(2424),
    [anon_sym_number] = ACTIONS(2424),
    [anon_sym_boolean] = ACTIONS(2424),
    [anon_sym_string] = ACTIONS(2424),
    [anon_sym_symbol] = ACTIONS(2424),
    [anon_sym_object] = ACTIONS(2424),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [785] = {
    [sym_statement_block] = STATE(898),
    [ts_builtin_sym_end] = ACTIONS(1717),
    [sym_identifier] = ACTIONS(1719),
    [anon_sym_export] = ACTIONS(1719),
    [anon_sym_default] = ACTIONS(1719),
    [anon_sym_type] = ACTIONS(1719),
    [anon_sym_namespace] = ACTIONS(1719),
    [anon_sym_LBRACE] = ACTIONS(2482),
    [anon_sym_RBRACE] = ACTIONS(1717),
    [anon_sym_typeof] = ACTIONS(1719),
    [anon_sym_import] = ACTIONS(1719),
    [anon_sym_with] = ACTIONS(1719),
    [anon_sym_var] = ACTIONS(1719),
    [anon_sym_let] = ACTIONS(1719),
    [anon_sym_const] = ACTIONS(1719),
    [anon_sym_BANG] = ACTIONS(1717),
    [anon_sym_else] = ACTIONS(1719),
    [anon_sym_if] = ACTIONS(1719),
    [anon_sym_switch] = ACTIONS(1719),
    [anon_sym_for] = ACTIONS(1719),
    [anon_sym_LPAREN] = ACTIONS(1717),
    [anon_sym_SEMI] = ACTIONS(1717),
    [anon_sym_await] = ACTIONS(1719),
    [anon_sym_while] = ACTIONS(1719),
    [anon_sym_do] = ACTIONS(1719),
    [anon_sym_try] = ACTIONS(1719),
    [anon_sym_break] = ACTIONS(1719),
    [anon_sym_continue] = ACTIONS(1719),
    [anon_sym_debugger] = ACTIONS(1719),
    [anon_sym_return] = ACTIONS(1719),
    [anon_sym_throw] = ACTIONS(1719),
    [anon_sym_case] = ACTIONS(1719),
    [anon_sym_yield] = ACTIONS(1719),
    [anon_sym_LBRACK] = ACTIONS(1717),
    [sym_glimmer_opening_tag] = ACTIONS(1717),
    [anon_sym_DQUOTE] = ACTIONS(1717),
    [anon_sym_SQUOTE] = ACTIONS(1717),
    [anon_sym_class] = ACTIONS(1719),
    [anon_sym_async] = ACTIONS(1719),
    [anon_sym_function] = ACTIONS(1719),
    [anon_sym_new] = ACTIONS(1719),
    [anon_sym_using] = ACTIONS(1719),
    [anon_sym_PLUS] = ACTIONS(1719),
    [anon_sym_DASH] = ACTIONS(1719),
    [anon_sym_SLASH] = ACTIONS(1719),
    [anon_sym_LT] = ACTIONS(1719),
    [anon_sym_TILDE] = ACTIONS(1717),
    [anon_sym_void] = ACTIONS(1719),
    [anon_sym_delete] = ACTIONS(1719),
    [anon_sym_PLUS_PLUS] = ACTIONS(1717),
    [anon_sym_DASH_DASH] = ACTIONS(1717),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1717),
    [sym_number] = ACTIONS(1717),
    [sym_private_property_identifier] = ACTIONS(1717),
    [sym_this] = ACTIONS(1719),
    [sym_super] = ACTIONS(1719),
    [sym_true] = ACTIONS(1719),
    [sym_false] = ACTIONS(1719),
    [sym_null] = ACTIONS(1719),
    [sym_undefined] = ACTIONS(1719),
    [anon_sym_AT] = ACTIONS(1717),
    [anon_sym_static] = ACTIONS(1719),
    [anon_sym_readonly] = ACTIONS(1719),
    [anon_sym_get] = ACTIONS(1719),
    [anon_sym_set] = ACTIONS(1719),
    [anon_sym_declare] = ACTIONS(1719),
    [anon_sym_public] = ACTIONS(1719),
    [anon_sym_private] = ACTIONS(1719),
    [anon_sym_protected] = ACTIONS(1719),
    [anon_sym_override] = ACTIONS(1719),
    [anon_sym_module] = ACTIONS(1719),
    [anon_sym_any] = ACTIONS(1719),
    [anon_sym_number] = ACTIONS(1719),
    [anon_sym_boolean] = ACTIONS(1719),
    [anon_sym_string] = ACTIONS(1719),
    [anon_sym_symbol] = ACTIONS(1719),
    [anon_sym_object] = ACTIONS(1719),
    [anon_sym_abstract] = ACTIONS(1719),
    [anon_sym_interface] = ACTIONS(1719),
    [anon_sym_enum] = ACTIONS(1719),
    [sym_html_comment] = ACTIONS(5),
  },
  [786] = {
    [ts_builtin_sym_end] = ACTIONS(2508),
    [sym_identifier] = ACTIONS(2510),
    [anon_sym_export] = ACTIONS(2510),
    [anon_sym_default] = ACTIONS(2510),
    [anon_sym_type] = ACTIONS(2510),
    [anon_sym_namespace] = ACTIONS(2510),
    [anon_sym_LBRACE] = ACTIONS(2508),
    [anon_sym_RBRACE] = ACTIONS(2508),
    [anon_sym_typeof] = ACTIONS(2510),
    [anon_sym_import] = ACTIONS(2510),
    [anon_sym_with] = ACTIONS(2510),
    [anon_sym_var] = ACTIONS(2510),
    [anon_sym_let] = ACTIONS(2510),
    [anon_sym_const] = ACTIONS(2510),
    [anon_sym_BANG] = ACTIONS(2508),
    [anon_sym_else] = ACTIONS(2510),
    [anon_sym_if] = ACTIONS(2510),
    [anon_sym_switch] = ACTIONS(2510),
    [anon_sym_for] = ACTIONS(2510),
    [anon_sym_LPAREN] = ACTIONS(2508),
    [anon_sym_SEMI] = ACTIONS(2508),
    [anon_sym_await] = ACTIONS(2510),
    [anon_sym_while] = ACTIONS(2510),
    [anon_sym_do] = ACTIONS(2510),
    [anon_sym_try] = ACTIONS(2510),
    [anon_sym_break] = ACTIONS(2510),
    [anon_sym_continue] = ACTIONS(2510),
    [anon_sym_debugger] = ACTIONS(2510),
    [anon_sym_return] = ACTIONS(2510),
    [anon_sym_throw] = ACTIONS(2510),
    [anon_sym_case] = ACTIONS(2510),
    [anon_sym_finally] = ACTIONS(2510),
    [anon_sym_yield] = ACTIONS(2510),
    [anon_sym_LBRACK] = ACTIONS(2508),
    [sym_glimmer_opening_tag] = ACTIONS(2508),
    [anon_sym_DQUOTE] = ACTIONS(2508),
    [anon_sym_SQUOTE] = ACTIONS(2508),
    [anon_sym_class] = ACTIONS(2510),
    [anon_sym_async] = ACTIONS(2510),
    [anon_sym_function] = ACTIONS(2510),
    [anon_sym_new] = ACTIONS(2510),
    [anon_sym_using] = ACTIONS(2510),
    [anon_sym_PLUS] = ACTIONS(2510),
    [anon_sym_DASH] = ACTIONS(2510),
    [anon_sym_SLASH] = ACTIONS(2510),
    [anon_sym_LT] = ACTIONS(2510),
    [anon_sym_TILDE] = ACTIONS(2508),
    [anon_sym_void] = ACTIONS(2510),
    [anon_sym_delete] = ACTIONS(2510),
    [anon_sym_PLUS_PLUS] = ACTIONS(2508),
    [anon_sym_DASH_DASH] = ACTIONS(2508),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2508),
    [sym_number] = ACTIONS(2508),
    [sym_private_property_identifier] = ACTIONS(2508),
    [sym_this] = ACTIONS(2510),
    [sym_super] = ACTIONS(2510),
    [sym_true] = ACTIONS(2510),
    [sym_false] = ACTIONS(2510),
    [sym_null] = ACTIONS(2510),
    [sym_undefined] = ACTIONS(2510),
    [anon_sym_AT] = ACTIONS(2508),
    [anon_sym_static] = ACTIONS(2510),
    [anon_sym_readonly] = ACTIONS(2510),
    [anon_sym_get] = ACTIONS(2510),
    [anon_sym_set] = ACTIONS(2510),
    [anon_sym_declare] = ACTIONS(2510),
    [anon_sym_public] = ACTIONS(2510),
    [anon_sym_private] = ACTIONS(2510),
    [anon_sym_protected] = ACTIONS(2510),
    [anon_sym_override] = ACTIONS(2510),
    [anon_sym_module] = ACTIONS(2510),
    [anon_sym_any] = ACTIONS(2510),
    [anon_sym_number] = ACTIONS(2510),
    [anon_sym_boolean] = ACTIONS(2510),
    [anon_sym_string] = ACTIONS(2510),
    [anon_sym_symbol] = ACTIONS(2510),
    [anon_sym_object] = ACTIONS(2510),
    [anon_sym_abstract] = ACTIONS(2510),
    [anon_sym_interface] = ACTIONS(2510),
    [anon_sym_enum] = ACTIONS(2510),
    [sym_html_comment] = ACTIONS(5),
  },
  [787] = {
    [ts_builtin_sym_end] = ACTIONS(1733),
    [sym_identifier] = ACTIONS(1735),
    [anon_sym_export] = ACTIONS(1735),
    [anon_sym_default] = ACTIONS(1735),
    [anon_sym_type] = ACTIONS(1735),
    [anon_sym_namespace] = ACTIONS(1735),
    [anon_sym_LBRACE] = ACTIONS(1733),
    [anon_sym_RBRACE] = ACTIONS(1733),
    [anon_sym_typeof] = ACTIONS(1735),
    [anon_sym_import] = ACTIONS(1735),
    [anon_sym_with] = ACTIONS(1735),
    [anon_sym_var] = ACTIONS(1735),
    [anon_sym_let] = ACTIONS(1735),
    [anon_sym_const] = ACTIONS(1735),
    [anon_sym_BANG] = ACTIONS(1733),
    [anon_sym_else] = ACTIONS(1735),
    [anon_sym_if] = ACTIONS(1735),
    [anon_sym_switch] = ACTIONS(1735),
    [anon_sym_for] = ACTIONS(1735),
    [anon_sym_LPAREN] = ACTIONS(1733),
    [anon_sym_SEMI] = ACTIONS(1733),
    [anon_sym_await] = ACTIONS(1735),
    [anon_sym_while] = ACTIONS(1735),
    [anon_sym_do] = ACTIONS(1735),
    [anon_sym_try] = ACTIONS(1735),
    [anon_sym_break] = ACTIONS(1735),
    [anon_sym_continue] = ACTIONS(1735),
    [anon_sym_debugger] = ACTIONS(1735),
    [anon_sym_return] = ACTIONS(1735),
    [anon_sym_throw] = ACTIONS(1735),
    [anon_sym_case] = ACTIONS(1735),
    [anon_sym_yield] = ACTIONS(1735),
    [anon_sym_LBRACK] = ACTIONS(1733),
    [sym_glimmer_opening_tag] = ACTIONS(1733),
    [anon_sym_DQUOTE] = ACTIONS(1733),
    [anon_sym_SQUOTE] = ACTIONS(1733),
    [anon_sym_class] = ACTIONS(1735),
    [anon_sym_async] = ACTIONS(1735),
    [anon_sym_function] = ACTIONS(1735),
    [anon_sym_new] = ACTIONS(1735),
    [anon_sym_using] = ACTIONS(1735),
    [anon_sym_PLUS] = ACTIONS(1735),
    [anon_sym_DASH] = ACTIONS(1735),
    [anon_sym_SLASH] = ACTIONS(1735),
    [anon_sym_LT] = ACTIONS(1735),
    [anon_sym_TILDE] = ACTIONS(1733),
    [anon_sym_void] = ACTIONS(1735),
    [anon_sym_delete] = ACTIONS(1735),
    [anon_sym_PLUS_PLUS] = ACTIONS(1733),
    [anon_sym_DASH_DASH] = ACTIONS(1733),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1733),
    [sym_number] = ACTIONS(1733),
    [sym_private_property_identifier] = ACTIONS(1733),
    [sym_this] = ACTIONS(1735),
    [sym_super] = ACTIONS(1735),
    [sym_true] = ACTIONS(1735),
    [sym_false] = ACTIONS(1735),
    [sym_null] = ACTIONS(1735),
    [sym_undefined] = ACTIONS(1735),
    [anon_sym_AT] = ACTIONS(1733),
    [anon_sym_static] = ACTIONS(1735),
    [anon_sym_readonly] = ACTIONS(1735),
    [anon_sym_get] = ACTIONS(1735),
    [anon_sym_set] = ACTIONS(1735),
    [anon_sym_declare] = ACTIONS(1735),
    [anon_sym_public] = ACTIONS(1735),
    [anon_sym_private] = ACTIONS(1735),
    [anon_sym_protected] = ACTIONS(1735),
    [anon_sym_override] = ACTIONS(1735),
    [anon_sym_module] = ACTIONS(1735),
    [anon_sym_any] = ACTIONS(1735),
    [anon_sym_number] = ACTIONS(1735),
    [anon_sym_boolean] = ACTIONS(1735),
    [anon_sym_string] = ACTIONS(1735),
    [anon_sym_symbol] = ACTIONS(1735),
    [anon_sym_object] = ACTIONS(1735),
    [anon_sym_abstract] = ACTIONS(1735),
    [anon_sym_interface] = ACTIONS(1735),
    [anon_sym_enum] = ACTIONS(1735),
    [sym__automatic_semicolon] = ACTIONS(1741),
    [sym_html_comment] = ACTIONS(5),
  },
  [788] = {
    [sym_else_clause] = STATE(856),
    [ts_builtin_sym_end] = ACTIONS(2512),
    [sym_identifier] = ACTIONS(2514),
    [anon_sym_export] = ACTIONS(2514),
    [anon_sym_default] = ACTIONS(2514),
    [anon_sym_type] = ACTIONS(2514),
    [anon_sym_namespace] = ACTIONS(2514),
    [anon_sym_LBRACE] = ACTIONS(2512),
    [anon_sym_RBRACE] = ACTIONS(2512),
    [anon_sym_typeof] = ACTIONS(2514),
    [anon_sym_import] = ACTIONS(2514),
    [anon_sym_with] = ACTIONS(2514),
    [anon_sym_var] = ACTIONS(2514),
    [anon_sym_let] = ACTIONS(2514),
    [anon_sym_const] = ACTIONS(2514),
    [anon_sym_BANG] = ACTIONS(2512),
    [anon_sym_else] = ACTIONS(2516),
    [anon_sym_if] = ACTIONS(2514),
    [anon_sym_switch] = ACTIONS(2514),
    [anon_sym_for] = ACTIONS(2514),
    [anon_sym_LPAREN] = ACTIONS(2512),
    [anon_sym_SEMI] = ACTIONS(2512),
    [anon_sym_await] = ACTIONS(2514),
    [anon_sym_while] = ACTIONS(2514),
    [anon_sym_do] = ACTIONS(2514),
    [anon_sym_try] = ACTIONS(2514),
    [anon_sym_break] = ACTIONS(2514),
    [anon_sym_continue] = ACTIONS(2514),
    [anon_sym_debugger] = ACTIONS(2514),
    [anon_sym_return] = ACTIONS(2514),
    [anon_sym_throw] = ACTIONS(2514),
    [anon_sym_case] = ACTIONS(2514),
    [anon_sym_yield] = ACTIONS(2514),
    [anon_sym_LBRACK] = ACTIONS(2512),
    [sym_glimmer_opening_tag] = ACTIONS(2512),
    [anon_sym_DQUOTE] = ACTIONS(2512),
    [anon_sym_SQUOTE] = ACTIONS(2512),
    [anon_sym_class] = ACTIONS(2514),
    [anon_sym_async] = ACTIONS(2514),
    [anon_sym_function] = ACTIONS(2514),
    [anon_sym_new] = ACTIONS(2514),
    [anon_sym_using] = ACTIONS(2514),
    [anon_sym_PLUS] = ACTIONS(2514),
    [anon_sym_DASH] = ACTIONS(2514),
    [anon_sym_SLASH] = ACTIONS(2514),
    [anon_sym_LT] = ACTIONS(2514),
    [anon_sym_TILDE] = ACTIONS(2512),
    [anon_sym_void] = ACTIONS(2514),
    [anon_sym_delete] = ACTIONS(2514),
    [anon_sym_PLUS_PLUS] = ACTIONS(2512),
    [anon_sym_DASH_DASH] = ACTIONS(2512),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2512),
    [sym_number] = ACTIONS(2512),
    [sym_private_property_identifier] = ACTIONS(2512),
    [sym_this] = ACTIONS(2514),
    [sym_super] = ACTIONS(2514),
    [sym_true] = ACTIONS(2514),
    [sym_false] = ACTIONS(2514),
    [sym_null] = ACTIONS(2514),
    [sym_undefined] = ACTIONS(2514),
    [anon_sym_AT] = ACTIONS(2512),
    [anon_sym_static] = ACTIONS(2514),
    [anon_sym_readonly] = ACTIONS(2514),
    [anon_sym_get] = ACTIONS(2514),
    [anon_sym_set] = ACTIONS(2514),
    [anon_sym_declare] = ACTIONS(2514),
    [anon_sym_public] = ACTIONS(2514),
    [anon_sym_private] = ACTIONS(2514),
    [anon_sym_protected] = ACTIONS(2514),
    [anon_sym_override] = ACTIONS(2514),
    [anon_sym_module] = ACTIONS(2514),
    [anon_sym_any] = ACTIONS(2514),
    [anon_sym_number] = ACTIONS(2514),
    [anon_sym_boolean] = ACTIONS(2514),
    [anon_sym_string] = ACTIONS(2514),
    [anon_sym_symbol] = ACTIONS(2514),
    [anon_sym_object] = ACTIONS(2514),
    [anon_sym_abstract] = ACTIONS(2514),
    [anon_sym_interface] = ACTIONS(2514),
    [anon_sym_enum] = ACTIONS(2514),
    [sym_html_comment] = ACTIONS(5),
  },
  [789] = {
    [ts_builtin_sym_end] = ACTIONS(1893),
    [sym_identifier] = ACTIONS(1895),
    [anon_sym_export] = ACTIONS(1895),
    [anon_sym_default] = ACTIONS(1895),
    [anon_sym_type] = ACTIONS(1895),
    [anon_sym_namespace] = ACTIONS(1895),
    [anon_sym_LBRACE] = ACTIONS(1893),
    [anon_sym_RBRACE] = ACTIONS(1893),
    [anon_sym_typeof] = ACTIONS(1895),
    [anon_sym_import] = ACTIONS(1895),
    [anon_sym_with] = ACTIONS(1895),
    [anon_sym_var] = ACTIONS(1895),
    [anon_sym_let] = ACTIONS(1895),
    [anon_sym_const] = ACTIONS(1895),
    [anon_sym_BANG] = ACTIONS(1893),
    [anon_sym_else] = ACTIONS(1895),
    [anon_sym_if] = ACTIONS(1895),
    [anon_sym_switch] = ACTIONS(1895),
    [anon_sym_for] = ACTIONS(1895),
    [anon_sym_LPAREN] = ACTIONS(1893),
    [anon_sym_SEMI] = ACTIONS(1893),
    [anon_sym_await] = ACTIONS(1895),
    [anon_sym_while] = ACTIONS(1895),
    [anon_sym_do] = ACTIONS(1895),
    [anon_sym_try] = ACTIONS(1895),
    [anon_sym_break] = ACTIONS(1895),
    [anon_sym_continue] = ACTIONS(1895),
    [anon_sym_debugger] = ACTIONS(1895),
    [anon_sym_return] = ACTIONS(1895),
    [anon_sym_throw] = ACTIONS(1895),
    [anon_sym_case] = ACTIONS(1895),
    [anon_sym_yield] = ACTIONS(1895),
    [anon_sym_LBRACK] = ACTIONS(1893),
    [sym_glimmer_opening_tag] = ACTIONS(1893),
    [anon_sym_DOT] = ACTIONS(1895),
    [anon_sym_DQUOTE] = ACTIONS(1893),
    [anon_sym_SQUOTE] = ACTIONS(1893),
    [anon_sym_class] = ACTIONS(1895),
    [anon_sym_async] = ACTIONS(1895),
    [anon_sym_function] = ACTIONS(1895),
    [anon_sym_new] = ACTIONS(1895),
    [anon_sym_using] = ACTIONS(1895),
    [anon_sym_PLUS] = ACTIONS(1895),
    [anon_sym_DASH] = ACTIONS(1895),
    [anon_sym_SLASH] = ACTIONS(1895),
    [anon_sym_LT] = ACTIONS(1895),
    [anon_sym_TILDE] = ACTIONS(1893),
    [anon_sym_void] = ACTIONS(1895),
    [anon_sym_delete] = ACTIONS(1895),
    [anon_sym_PLUS_PLUS] = ACTIONS(1893),
    [anon_sym_DASH_DASH] = ACTIONS(1893),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1893),
    [sym_number] = ACTIONS(1893),
    [sym_private_property_identifier] = ACTIONS(1893),
    [sym_this] = ACTIONS(1895),
    [sym_super] = ACTIONS(1895),
    [sym_true] = ACTIONS(1895),
    [sym_false] = ACTIONS(1895),
    [sym_null] = ACTIONS(1895),
    [sym_undefined] = ACTIONS(1895),
    [anon_sym_AT] = ACTIONS(1893),
    [anon_sym_static] = ACTIONS(1895),
    [anon_sym_readonly] = ACTIONS(1895),
    [anon_sym_get] = ACTIONS(1895),
    [anon_sym_set] = ACTIONS(1895),
    [anon_sym_declare] = ACTIONS(1895),
    [anon_sym_public] = ACTIONS(1895),
    [anon_sym_private] = ACTIONS(1895),
    [anon_sym_protected] = ACTIONS(1895),
    [anon_sym_override] = ACTIONS(1895),
    [anon_sym_module] = ACTIONS(1895),
    [anon_sym_any] = ACTIONS(1895),
    [anon_sym_number] = ACTIONS(1895),
    [anon_sym_boolean] = ACTIONS(1895),
    [anon_sym_string] = ACTIONS(1895),
    [anon_sym_symbol] = ACTIONS(1895),
    [anon_sym_object] = ACTIONS(1895),
    [anon_sym_abstract] = ACTIONS(1895),
    [anon_sym_interface] = ACTIONS(1895),
    [anon_sym_enum] = ACTIONS(1895),
    [sym_html_comment] = ACTIONS(5),
  },
  [790] = {
    [ts_builtin_sym_end] = ACTIONS(2518),
    [sym_identifier] = ACTIONS(2520),
    [anon_sym_export] = ACTIONS(2520),
    [anon_sym_default] = ACTIONS(2520),
    [anon_sym_type] = ACTIONS(2520),
    [anon_sym_namespace] = ACTIONS(2520),
    [anon_sym_LBRACE] = ACTIONS(2518),
    [anon_sym_RBRACE] = ACTIONS(2518),
    [anon_sym_typeof] = ACTIONS(2520),
    [anon_sym_import] = ACTIONS(2520),
    [anon_sym_with] = ACTIONS(2520),
    [anon_sym_var] = ACTIONS(2520),
    [anon_sym_let] = ACTIONS(2520),
    [anon_sym_const] = ACTIONS(2520),
    [anon_sym_BANG] = ACTIONS(2518),
    [anon_sym_else] = ACTIONS(2520),
    [anon_sym_if] = ACTIONS(2520),
    [anon_sym_switch] = ACTIONS(2520),
    [anon_sym_for] = ACTIONS(2520),
    [anon_sym_LPAREN] = ACTIONS(2518),
    [anon_sym_SEMI] = ACTIONS(2518),
    [anon_sym_await] = ACTIONS(2520),
    [anon_sym_while] = ACTIONS(2520),
    [anon_sym_do] = ACTIONS(2520),
    [anon_sym_try] = ACTIONS(2520),
    [anon_sym_break] = ACTIONS(2520),
    [anon_sym_continue] = ACTIONS(2520),
    [anon_sym_debugger] = ACTIONS(2520),
    [anon_sym_return] = ACTIONS(2520),
    [anon_sym_throw] = ACTIONS(2520),
    [anon_sym_case] = ACTIONS(2520),
    [anon_sym_yield] = ACTIONS(2520),
    [anon_sym_LBRACK] = ACTIONS(2518),
    [sym_glimmer_opening_tag] = ACTIONS(2518),
    [anon_sym_DQUOTE] = ACTIONS(2518),
    [anon_sym_SQUOTE] = ACTIONS(2518),
    [anon_sym_class] = ACTIONS(2520),
    [anon_sym_async] = ACTIONS(2520),
    [anon_sym_function] = ACTIONS(2520),
    [anon_sym_new] = ACTIONS(2520),
    [anon_sym_using] = ACTIONS(2520),
    [anon_sym_PLUS] = ACTIONS(2520),
    [anon_sym_DASH] = ACTIONS(2520),
    [anon_sym_SLASH] = ACTIONS(2520),
    [anon_sym_LT] = ACTIONS(2520),
    [anon_sym_TILDE] = ACTIONS(2518),
    [anon_sym_void] = ACTIONS(2520),
    [anon_sym_delete] = ACTIONS(2520),
    [anon_sym_PLUS_PLUS] = ACTIONS(2518),
    [anon_sym_DASH_DASH] = ACTIONS(2518),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2518),
    [sym_number] = ACTIONS(2518),
    [sym_private_property_identifier] = ACTIONS(2518),
    [sym_this] = ACTIONS(2520),
    [sym_super] = ACTIONS(2520),
    [sym_true] = ACTIONS(2520),
    [sym_false] = ACTIONS(2520),
    [sym_null] = ACTIONS(2520),
    [sym_undefined] = ACTIONS(2520),
    [anon_sym_AT] = ACTIONS(2518),
    [anon_sym_static] = ACTIONS(2520),
    [anon_sym_readonly] = ACTIONS(2520),
    [anon_sym_get] = ACTIONS(2520),
    [anon_sym_set] = ACTIONS(2520),
    [anon_sym_declare] = ACTIONS(2520),
    [anon_sym_public] = ACTIONS(2520),
    [anon_sym_private] = ACTIONS(2520),
    [anon_sym_protected] = ACTIONS(2520),
    [anon_sym_override] = ACTIONS(2520),
    [anon_sym_module] = ACTIONS(2520),
    [anon_sym_any] = ACTIONS(2520),
    [anon_sym_number] = ACTIONS(2520),
    [anon_sym_boolean] = ACTIONS(2520),
    [anon_sym_string] = ACTIONS(2520),
    [anon_sym_symbol] = ACTIONS(2520),
    [anon_sym_object] = ACTIONS(2520),
    [anon_sym_abstract] = ACTIONS(2520),
    [anon_sym_interface] = ACTIONS(2520),
    [anon_sym_enum] = ACTIONS(2520),
    [sym__automatic_semicolon] = ACTIONS(2518),
    [sym_html_comment] = ACTIONS(5),
  },
  [791] = {
    [sym__call_signature] = STATE(5844),
    [sym_formal_parameters] = STATE(3895),
    [sym_type_parameters] = STATE(5348),
    [sym_identifier] = ACTIONS(2422),
    [anon_sym_export] = ACTIONS(2424),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(2424),
    [anon_sym_EQ] = ACTIONS(987),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(2424),
    [anon_sym_let] = ACTIONS(2424),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2426),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(2424),
    [anon_sym_function] = ACTIONS(2429),
    [anon_sym_EQ_GT] = ACTIONS(159),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(2424),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2431),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_static] = ACTIONS(2424),
    [anon_sym_readonly] = ACTIONS(2424),
    [anon_sym_get] = ACTIONS(2424),
    [anon_sym_set] = ACTIONS(2424),
    [anon_sym_declare] = ACTIONS(2424),
    [anon_sym_public] = ACTIONS(2424),
    [anon_sym_private] = ACTIONS(2424),
    [anon_sym_protected] = ACTIONS(2424),
    [anon_sym_override] = ACTIONS(2424),
    [anon_sym_module] = ACTIONS(2424),
    [anon_sym_any] = ACTIONS(2424),
    [anon_sym_number] = ACTIONS(2424),
    [anon_sym_boolean] = ACTIONS(2424),
    [anon_sym_string] = ACTIONS(2424),
    [anon_sym_symbol] = ACTIONS(2424),
    [anon_sym_object] = ACTIONS(2424),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [792] = {
    [ts_builtin_sym_end] = ACTIONS(2522),
    [sym_identifier] = ACTIONS(2524),
    [anon_sym_export] = ACTIONS(2524),
    [anon_sym_default] = ACTIONS(2524),
    [anon_sym_type] = ACTIONS(2524),
    [anon_sym_namespace] = ACTIONS(2524),
    [anon_sym_LBRACE] = ACTIONS(2522),
    [anon_sym_RBRACE] = ACTIONS(2522),
    [anon_sym_typeof] = ACTIONS(2524),
    [anon_sym_import] = ACTIONS(2524),
    [anon_sym_with] = ACTIONS(2524),
    [anon_sym_var] = ACTIONS(2524),
    [anon_sym_let] = ACTIONS(2524),
    [anon_sym_const] = ACTIONS(2524),
    [anon_sym_BANG] = ACTIONS(2522),
    [anon_sym_else] = ACTIONS(2524),
    [anon_sym_if] = ACTIONS(2524),
    [anon_sym_switch] = ACTIONS(2524),
    [anon_sym_for] = ACTIONS(2524),
    [anon_sym_LPAREN] = ACTIONS(2522),
    [anon_sym_SEMI] = ACTIONS(2522),
    [anon_sym_RPAREN] = ACTIONS(2522),
    [anon_sym_await] = ACTIONS(2524),
    [anon_sym_while] = ACTIONS(2524),
    [anon_sym_do] = ACTIONS(2524),
    [anon_sym_try] = ACTIONS(2524),
    [anon_sym_break] = ACTIONS(2524),
    [anon_sym_continue] = ACTIONS(2524),
    [anon_sym_debugger] = ACTIONS(2524),
    [anon_sym_return] = ACTIONS(2524),
    [anon_sym_throw] = ACTIONS(2524),
    [anon_sym_case] = ACTIONS(2524),
    [anon_sym_yield] = ACTIONS(2524),
    [anon_sym_LBRACK] = ACTIONS(2522),
    [sym_glimmer_opening_tag] = ACTIONS(2522),
    [anon_sym_DQUOTE] = ACTIONS(2522),
    [anon_sym_SQUOTE] = ACTIONS(2522),
    [anon_sym_class] = ACTIONS(2524),
    [anon_sym_async] = ACTIONS(2524),
    [anon_sym_function] = ACTIONS(2524),
    [anon_sym_new] = ACTIONS(2524),
    [anon_sym_using] = ACTIONS(2524),
    [anon_sym_PLUS] = ACTIONS(2524),
    [anon_sym_DASH] = ACTIONS(2524),
    [anon_sym_SLASH] = ACTIONS(2524),
    [anon_sym_LT] = ACTIONS(2524),
    [anon_sym_TILDE] = ACTIONS(2522),
    [anon_sym_void] = ACTIONS(2524),
    [anon_sym_delete] = ACTIONS(2524),
    [anon_sym_PLUS_PLUS] = ACTIONS(2522),
    [anon_sym_DASH_DASH] = ACTIONS(2522),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2522),
    [sym_number] = ACTIONS(2522),
    [sym_private_property_identifier] = ACTIONS(2522),
    [sym_this] = ACTIONS(2524),
    [sym_super] = ACTIONS(2524),
    [sym_true] = ACTIONS(2524),
    [sym_false] = ACTIONS(2524),
    [sym_null] = ACTIONS(2524),
    [sym_undefined] = ACTIONS(2524),
    [anon_sym_AT] = ACTIONS(2522),
    [anon_sym_static] = ACTIONS(2524),
    [anon_sym_readonly] = ACTIONS(2524),
    [anon_sym_get] = ACTIONS(2524),
    [anon_sym_set] = ACTIONS(2524),
    [anon_sym_declare] = ACTIONS(2524),
    [anon_sym_public] = ACTIONS(2524),
    [anon_sym_private] = ACTIONS(2524),
    [anon_sym_protected] = ACTIONS(2524),
    [anon_sym_override] = ACTIONS(2524),
    [anon_sym_module] = ACTIONS(2524),
    [anon_sym_any] = ACTIONS(2524),
    [anon_sym_number] = ACTIONS(2524),
    [anon_sym_boolean] = ACTIONS(2524),
    [anon_sym_string] = ACTIONS(2524),
    [anon_sym_symbol] = ACTIONS(2524),
    [anon_sym_object] = ACTIONS(2524),
    [anon_sym_abstract] = ACTIONS(2524),
    [anon_sym_interface] = ACTIONS(2524),
    [anon_sym_enum] = ACTIONS(2524),
    [sym_html_comment] = ACTIONS(5),
  },
  [793] = {
    [sym__call_signature] = STATE(5844),
    [sym_formal_parameters] = STATE(3895),
    [sym_type_parameters] = STATE(5348),
    [sym_identifier] = ACTIONS(2422),
    [anon_sym_export] = ACTIONS(2424),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(2424),
    [anon_sym_EQ] = ACTIONS(985),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(2424),
    [anon_sym_let] = ACTIONS(2424),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2426),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(2424),
    [anon_sym_function] = ACTIONS(2429),
    [anon_sym_EQ_GT] = ACTIONS(159),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(2424),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2431),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_static] = ACTIONS(2424),
    [anon_sym_readonly] = ACTIONS(2424),
    [anon_sym_get] = ACTIONS(2424),
    [anon_sym_set] = ACTIONS(2424),
    [anon_sym_declare] = ACTIONS(2424),
    [anon_sym_public] = ACTIONS(2424),
    [anon_sym_private] = ACTIONS(2424),
    [anon_sym_protected] = ACTIONS(2424),
    [anon_sym_override] = ACTIONS(2424),
    [anon_sym_module] = ACTIONS(2424),
    [anon_sym_any] = ACTIONS(2424),
    [anon_sym_number] = ACTIONS(2424),
    [anon_sym_boolean] = ACTIONS(2424),
    [anon_sym_string] = ACTIONS(2424),
    [anon_sym_symbol] = ACTIONS(2424),
    [anon_sym_object] = ACTIONS(2424),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [794] = {
    [ts_builtin_sym_end] = ACTIONS(1833),
    [sym_identifier] = ACTIONS(1835),
    [anon_sym_export] = ACTIONS(1835),
    [anon_sym_default] = ACTIONS(1835),
    [anon_sym_type] = ACTIONS(1835),
    [anon_sym_namespace] = ACTIONS(1835),
    [anon_sym_LBRACE] = ACTIONS(1833),
    [anon_sym_RBRACE] = ACTIONS(1833),
    [anon_sym_typeof] = ACTIONS(1835),
    [anon_sym_import] = ACTIONS(1835),
    [anon_sym_with] = ACTIONS(1835),
    [anon_sym_var] = ACTIONS(1835),
    [anon_sym_let] = ACTIONS(1835),
    [anon_sym_const] = ACTIONS(1835),
    [anon_sym_BANG] = ACTIONS(1833),
    [anon_sym_else] = ACTIONS(1835),
    [anon_sym_if] = ACTIONS(1835),
    [anon_sym_switch] = ACTIONS(1835),
    [anon_sym_for] = ACTIONS(1835),
    [anon_sym_LPAREN] = ACTIONS(1833),
    [anon_sym_SEMI] = ACTIONS(1833),
    [anon_sym_await] = ACTIONS(1835),
    [anon_sym_while] = ACTIONS(1835),
    [anon_sym_do] = ACTIONS(1835),
    [anon_sym_try] = ACTIONS(1835),
    [anon_sym_break] = ACTIONS(1835),
    [anon_sym_continue] = ACTIONS(1835),
    [anon_sym_debugger] = ACTIONS(1835),
    [anon_sym_return] = ACTIONS(1835),
    [anon_sym_throw] = ACTIONS(1835),
    [anon_sym_case] = ACTIONS(1835),
    [anon_sym_yield] = ACTIONS(1835),
    [anon_sym_LBRACK] = ACTIONS(1833),
    [sym_glimmer_opening_tag] = ACTIONS(1833),
    [anon_sym_DQUOTE] = ACTIONS(1833),
    [anon_sym_SQUOTE] = ACTIONS(1833),
    [anon_sym_class] = ACTIONS(1835),
    [anon_sym_async] = ACTIONS(1835),
    [anon_sym_function] = ACTIONS(1835),
    [anon_sym_new] = ACTIONS(1835),
    [anon_sym_using] = ACTIONS(1835),
    [anon_sym_PLUS] = ACTIONS(1835),
    [anon_sym_DASH] = ACTIONS(1835),
    [anon_sym_SLASH] = ACTIONS(1835),
    [anon_sym_LT] = ACTIONS(1835),
    [anon_sym_TILDE] = ACTIONS(1833),
    [anon_sym_void] = ACTIONS(1835),
    [anon_sym_delete] = ACTIONS(1835),
    [anon_sym_PLUS_PLUS] = ACTIONS(1833),
    [anon_sym_DASH_DASH] = ACTIONS(1833),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1833),
    [sym_number] = ACTIONS(1833),
    [sym_private_property_identifier] = ACTIONS(1833),
    [sym_this] = ACTIONS(1835),
    [sym_super] = ACTIONS(1835),
    [sym_true] = ACTIONS(1835),
    [sym_false] = ACTIONS(1835),
    [sym_null] = ACTIONS(1835),
    [sym_undefined] = ACTIONS(1835),
    [anon_sym_AT] = ACTIONS(1833),
    [anon_sym_static] = ACTIONS(1835),
    [anon_sym_readonly] = ACTIONS(1835),
    [anon_sym_get] = ACTIONS(1835),
    [anon_sym_set] = ACTIONS(1835),
    [anon_sym_declare] = ACTIONS(1835),
    [anon_sym_public] = ACTIONS(1835),
    [anon_sym_private] = ACTIONS(1835),
    [anon_sym_protected] = ACTIONS(1835),
    [anon_sym_override] = ACTIONS(1835),
    [anon_sym_module] = ACTIONS(1835),
    [anon_sym_any] = ACTIONS(1835),
    [anon_sym_number] = ACTIONS(1835),
    [anon_sym_boolean] = ACTIONS(1835),
    [anon_sym_string] = ACTIONS(1835),
    [anon_sym_symbol] = ACTIONS(1835),
    [anon_sym_object] = ACTIONS(1835),
    [anon_sym_abstract] = ACTIONS(1835),
    [anon_sym_interface] = ACTIONS(1835),
    [anon_sym_enum] = ACTIONS(1835),
    [sym__automatic_semicolon] = ACTIONS(1841),
    [sym_html_comment] = ACTIONS(5),
  },
  [795] = {
    [ts_builtin_sym_end] = ACTIONS(1865),
    [sym_identifier] = ACTIONS(1867),
    [anon_sym_export] = ACTIONS(1867),
    [anon_sym_default] = ACTIONS(1867),
    [anon_sym_type] = ACTIONS(1867),
    [anon_sym_namespace] = ACTIONS(1867),
    [anon_sym_LBRACE] = ACTIONS(1865),
    [anon_sym_RBRACE] = ACTIONS(1865),
    [anon_sym_typeof] = ACTIONS(1867),
    [anon_sym_import] = ACTIONS(1867),
    [anon_sym_with] = ACTIONS(1867),
    [anon_sym_var] = ACTIONS(1867),
    [anon_sym_let] = ACTIONS(1867),
    [anon_sym_const] = ACTIONS(1867),
    [anon_sym_BANG] = ACTIONS(1865),
    [anon_sym_else] = ACTIONS(1867),
    [anon_sym_if] = ACTIONS(1867),
    [anon_sym_switch] = ACTIONS(1867),
    [anon_sym_for] = ACTIONS(1867),
    [anon_sym_LPAREN] = ACTIONS(1865),
    [anon_sym_SEMI] = ACTIONS(1865),
    [anon_sym_await] = ACTIONS(1867),
    [anon_sym_while] = ACTIONS(1867),
    [anon_sym_do] = ACTIONS(1867),
    [anon_sym_try] = ACTIONS(1867),
    [anon_sym_break] = ACTIONS(1867),
    [anon_sym_continue] = ACTIONS(1867),
    [anon_sym_debugger] = ACTIONS(1867),
    [anon_sym_return] = ACTIONS(1867),
    [anon_sym_throw] = ACTIONS(1867),
    [anon_sym_case] = ACTIONS(1867),
    [anon_sym_yield] = ACTIONS(1867),
    [anon_sym_LBRACK] = ACTIONS(1865),
    [sym_glimmer_opening_tag] = ACTIONS(1865),
    [anon_sym_DQUOTE] = ACTIONS(1865),
    [anon_sym_SQUOTE] = ACTIONS(1865),
    [anon_sym_class] = ACTIONS(1867),
    [anon_sym_async] = ACTIONS(1867),
    [anon_sym_function] = ACTIONS(1867),
    [anon_sym_new] = ACTIONS(1867),
    [anon_sym_using] = ACTIONS(1867),
    [anon_sym_PLUS] = ACTIONS(1867),
    [anon_sym_DASH] = ACTIONS(1867),
    [anon_sym_SLASH] = ACTIONS(1867),
    [anon_sym_LT] = ACTIONS(1867),
    [anon_sym_TILDE] = ACTIONS(1865),
    [anon_sym_void] = ACTIONS(1867),
    [anon_sym_delete] = ACTIONS(1867),
    [anon_sym_PLUS_PLUS] = ACTIONS(1865),
    [anon_sym_DASH_DASH] = ACTIONS(1865),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1865),
    [sym_number] = ACTIONS(1865),
    [sym_private_property_identifier] = ACTIONS(1865),
    [sym_this] = ACTIONS(1867),
    [sym_super] = ACTIONS(1867),
    [sym_true] = ACTIONS(1867),
    [sym_false] = ACTIONS(1867),
    [sym_null] = ACTIONS(1867),
    [sym_undefined] = ACTIONS(1867),
    [anon_sym_AT] = ACTIONS(1865),
    [anon_sym_static] = ACTIONS(1867),
    [anon_sym_readonly] = ACTIONS(1867),
    [anon_sym_get] = ACTIONS(1867),
    [anon_sym_set] = ACTIONS(1867),
    [anon_sym_declare] = ACTIONS(1867),
    [anon_sym_public] = ACTIONS(1867),
    [anon_sym_private] = ACTIONS(1867),
    [anon_sym_protected] = ACTIONS(1867),
    [anon_sym_override] = ACTIONS(1867),
    [anon_sym_module] = ACTIONS(1867),
    [anon_sym_any] = ACTIONS(1867),
    [anon_sym_number] = ACTIONS(1867),
    [anon_sym_boolean] = ACTIONS(1867),
    [anon_sym_string] = ACTIONS(1867),
    [anon_sym_symbol] = ACTIONS(1867),
    [anon_sym_object] = ACTIONS(1867),
    [anon_sym_abstract] = ACTIONS(1867),
    [anon_sym_interface] = ACTIONS(1867),
    [anon_sym_enum] = ACTIONS(1867),
    [sym__automatic_semicolon] = ACTIONS(1873),
    [sym_html_comment] = ACTIONS(5),
  },
  [796] = {
    [ts_builtin_sym_end] = ACTIONS(2526),
    [sym_identifier] = ACTIONS(2528),
    [anon_sym_export] = ACTIONS(2528),
    [anon_sym_default] = ACTIONS(2528),
    [anon_sym_type] = ACTIONS(2528),
    [anon_sym_namespace] = ACTIONS(2528),
    [anon_sym_LBRACE] = ACTIONS(2526),
    [anon_sym_RBRACE] = ACTIONS(2526),
    [anon_sym_typeof] = ACTIONS(2528),
    [anon_sym_import] = ACTIONS(2528),
    [anon_sym_with] = ACTIONS(2528),
    [anon_sym_var] = ACTIONS(2528),
    [anon_sym_let] = ACTIONS(2528),
    [anon_sym_const] = ACTIONS(2528),
    [anon_sym_BANG] = ACTIONS(2526),
    [anon_sym_else] = ACTIONS(2528),
    [anon_sym_if] = ACTIONS(2528),
    [anon_sym_switch] = ACTIONS(2528),
    [anon_sym_for] = ACTIONS(2528),
    [anon_sym_LPAREN] = ACTIONS(2526),
    [anon_sym_SEMI] = ACTIONS(2530),
    [anon_sym_await] = ACTIONS(2528),
    [anon_sym_while] = ACTIONS(2528),
    [anon_sym_do] = ACTIONS(2528),
    [anon_sym_try] = ACTIONS(2528),
    [anon_sym_break] = ACTIONS(2528),
    [anon_sym_continue] = ACTIONS(2528),
    [anon_sym_debugger] = ACTIONS(2528),
    [anon_sym_return] = ACTIONS(2528),
    [anon_sym_throw] = ACTIONS(2528),
    [anon_sym_case] = ACTIONS(2528),
    [anon_sym_yield] = ACTIONS(2528),
    [anon_sym_LBRACK] = ACTIONS(2526),
    [sym_glimmer_opening_tag] = ACTIONS(2526),
    [anon_sym_DQUOTE] = ACTIONS(2526),
    [anon_sym_SQUOTE] = ACTIONS(2526),
    [anon_sym_class] = ACTIONS(2528),
    [anon_sym_async] = ACTIONS(2528),
    [anon_sym_function] = ACTIONS(2528),
    [anon_sym_new] = ACTIONS(2528),
    [anon_sym_using] = ACTIONS(2528),
    [anon_sym_PLUS] = ACTIONS(2528),
    [anon_sym_DASH] = ACTIONS(2528),
    [anon_sym_SLASH] = ACTIONS(2528),
    [anon_sym_LT] = ACTIONS(2528),
    [anon_sym_TILDE] = ACTIONS(2526),
    [anon_sym_void] = ACTIONS(2528),
    [anon_sym_delete] = ACTIONS(2528),
    [anon_sym_PLUS_PLUS] = ACTIONS(2526),
    [anon_sym_DASH_DASH] = ACTIONS(2526),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2526),
    [sym_number] = ACTIONS(2526),
    [sym_private_property_identifier] = ACTIONS(2526),
    [sym_this] = ACTIONS(2528),
    [sym_super] = ACTIONS(2528),
    [sym_true] = ACTIONS(2528),
    [sym_false] = ACTIONS(2528),
    [sym_null] = ACTIONS(2528),
    [sym_undefined] = ACTIONS(2528),
    [anon_sym_AT] = ACTIONS(2526),
    [anon_sym_static] = ACTIONS(2528),
    [anon_sym_readonly] = ACTIONS(2528),
    [anon_sym_get] = ACTIONS(2528),
    [anon_sym_set] = ACTIONS(2528),
    [anon_sym_declare] = ACTIONS(2528),
    [anon_sym_public] = ACTIONS(2528),
    [anon_sym_private] = ACTIONS(2528),
    [anon_sym_protected] = ACTIONS(2528),
    [anon_sym_override] = ACTIONS(2528),
    [anon_sym_module] = ACTIONS(2528),
    [anon_sym_any] = ACTIONS(2528),
    [anon_sym_number] = ACTIONS(2528),
    [anon_sym_boolean] = ACTIONS(2528),
    [anon_sym_string] = ACTIONS(2528),
    [anon_sym_symbol] = ACTIONS(2528),
    [anon_sym_object] = ACTIONS(2528),
    [anon_sym_abstract] = ACTIONS(2528),
    [anon_sym_interface] = ACTIONS(2528),
    [anon_sym_enum] = ACTIONS(2528),
    [sym__automatic_semicolon] = ACTIONS(2530),
    [sym_html_comment] = ACTIONS(5),
  },
  [797] = {
    [ts_builtin_sym_end] = ACTIONS(1851),
    [sym_identifier] = ACTIONS(1853),
    [anon_sym_export] = ACTIONS(1853),
    [anon_sym_default] = ACTIONS(1853),
    [anon_sym_type] = ACTIONS(1853),
    [anon_sym_namespace] = ACTIONS(1853),
    [anon_sym_LBRACE] = ACTIONS(1851),
    [anon_sym_RBRACE] = ACTIONS(1851),
    [anon_sym_typeof] = ACTIONS(1853),
    [anon_sym_import] = ACTIONS(1853),
    [anon_sym_with] = ACTIONS(1853),
    [anon_sym_var] = ACTIONS(1853),
    [anon_sym_let] = ACTIONS(1853),
    [anon_sym_const] = ACTIONS(1853),
    [anon_sym_BANG] = ACTIONS(1851),
    [anon_sym_else] = ACTIONS(1853),
    [anon_sym_if] = ACTIONS(1853),
    [anon_sym_switch] = ACTIONS(1853),
    [anon_sym_for] = ACTIONS(1853),
    [anon_sym_LPAREN] = ACTIONS(1851),
    [anon_sym_SEMI] = ACTIONS(1851),
    [anon_sym_await] = ACTIONS(1853),
    [anon_sym_while] = ACTIONS(1853),
    [anon_sym_do] = ACTIONS(1853),
    [anon_sym_try] = ACTIONS(1853),
    [anon_sym_break] = ACTIONS(1853),
    [anon_sym_continue] = ACTIONS(1853),
    [anon_sym_debugger] = ACTIONS(1853),
    [anon_sym_return] = ACTIONS(1853),
    [anon_sym_throw] = ACTIONS(1853),
    [anon_sym_case] = ACTIONS(1853),
    [anon_sym_yield] = ACTIONS(1853),
    [anon_sym_LBRACK] = ACTIONS(1851),
    [sym_glimmer_opening_tag] = ACTIONS(1851),
    [anon_sym_DQUOTE] = ACTIONS(1851),
    [anon_sym_SQUOTE] = ACTIONS(1851),
    [anon_sym_class] = ACTIONS(1853),
    [anon_sym_async] = ACTIONS(1853),
    [anon_sym_function] = ACTIONS(1853),
    [anon_sym_new] = ACTIONS(1853),
    [anon_sym_using] = ACTIONS(1853),
    [anon_sym_PLUS] = ACTIONS(1853),
    [anon_sym_DASH] = ACTIONS(1853),
    [anon_sym_SLASH] = ACTIONS(1853),
    [anon_sym_LT] = ACTIONS(1853),
    [anon_sym_TILDE] = ACTIONS(1851),
    [anon_sym_void] = ACTIONS(1853),
    [anon_sym_delete] = ACTIONS(1853),
    [anon_sym_PLUS_PLUS] = ACTIONS(1851),
    [anon_sym_DASH_DASH] = ACTIONS(1851),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1851),
    [sym_number] = ACTIONS(1851),
    [sym_private_property_identifier] = ACTIONS(1851),
    [sym_this] = ACTIONS(1853),
    [sym_super] = ACTIONS(1853),
    [sym_true] = ACTIONS(1853),
    [sym_false] = ACTIONS(1853),
    [sym_null] = ACTIONS(1853),
    [sym_undefined] = ACTIONS(1853),
    [anon_sym_AT] = ACTIONS(1851),
    [anon_sym_static] = ACTIONS(1853),
    [anon_sym_readonly] = ACTIONS(1853),
    [anon_sym_get] = ACTIONS(1853),
    [anon_sym_set] = ACTIONS(1853),
    [anon_sym_declare] = ACTIONS(1853),
    [anon_sym_public] = ACTIONS(1853),
    [anon_sym_private] = ACTIONS(1853),
    [anon_sym_protected] = ACTIONS(1853),
    [anon_sym_override] = ACTIONS(1853),
    [anon_sym_module] = ACTIONS(1853),
    [anon_sym_any] = ACTIONS(1853),
    [anon_sym_number] = ACTIONS(1853),
    [anon_sym_boolean] = ACTIONS(1853),
    [anon_sym_string] = ACTIONS(1853),
    [anon_sym_symbol] = ACTIONS(1853),
    [anon_sym_object] = ACTIONS(1853),
    [anon_sym_abstract] = ACTIONS(1853),
    [anon_sym_interface] = ACTIONS(1853),
    [anon_sym_enum] = ACTIONS(1853),
    [sym__automatic_semicolon] = ACTIONS(1859),
    [sym_html_comment] = ACTIONS(5),
  },
  [798] = {
    [sym__call_signature] = STATE(5844),
    [sym_formal_parameters] = STATE(3895),
    [sym_type_parameters] = STATE(5348),
    [sym_identifier] = ACTIONS(2422),
    [anon_sym_export] = ACTIONS(2424),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(2424),
    [anon_sym_EQ] = ACTIONS(993),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(2424),
    [anon_sym_let] = ACTIONS(2424),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2426),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(2424),
    [anon_sym_function] = ACTIONS(2429),
    [anon_sym_EQ_GT] = ACTIONS(159),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(2424),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2431),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_static] = ACTIONS(2424),
    [anon_sym_readonly] = ACTIONS(2424),
    [anon_sym_get] = ACTIONS(2424),
    [anon_sym_set] = ACTIONS(2424),
    [anon_sym_declare] = ACTIONS(2424),
    [anon_sym_public] = ACTIONS(2424),
    [anon_sym_private] = ACTIONS(2424),
    [anon_sym_protected] = ACTIONS(2424),
    [anon_sym_override] = ACTIONS(2424),
    [anon_sym_module] = ACTIONS(2424),
    [anon_sym_any] = ACTIONS(2424),
    [anon_sym_number] = ACTIONS(2424),
    [anon_sym_boolean] = ACTIONS(2424),
    [anon_sym_string] = ACTIONS(2424),
    [anon_sym_symbol] = ACTIONS(2424),
    [anon_sym_object] = ACTIONS(2424),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [799] = {
    [sym__call_signature] = STATE(5844),
    [sym_formal_parameters] = STATE(3895),
    [sym_type_parameters] = STATE(5348),
    [sym_identifier] = ACTIONS(2422),
    [anon_sym_export] = ACTIONS(2424),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(2424),
    [anon_sym_EQ] = ACTIONS(983),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(2424),
    [anon_sym_let] = ACTIONS(2424),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2426),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(2424),
    [anon_sym_function] = ACTIONS(2429),
    [anon_sym_EQ_GT] = ACTIONS(159),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(2424),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2431),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_static] = ACTIONS(2424),
    [anon_sym_readonly] = ACTIONS(2424),
    [anon_sym_get] = ACTIONS(2424),
    [anon_sym_set] = ACTIONS(2424),
    [anon_sym_declare] = ACTIONS(2424),
    [anon_sym_public] = ACTIONS(2424),
    [anon_sym_private] = ACTIONS(2424),
    [anon_sym_protected] = ACTIONS(2424),
    [anon_sym_override] = ACTIONS(2424),
    [anon_sym_module] = ACTIONS(2424),
    [anon_sym_any] = ACTIONS(2424),
    [anon_sym_number] = ACTIONS(2424),
    [anon_sym_boolean] = ACTIONS(2424),
    [anon_sym_string] = ACTIONS(2424),
    [anon_sym_symbol] = ACTIONS(2424),
    [anon_sym_object] = ACTIONS(2424),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [800] = {
    [sym__call_signature] = STATE(5844),
    [sym_formal_parameters] = STATE(3895),
    [sym_type_parameters] = STATE(5348),
    [sym_identifier] = ACTIONS(2422),
    [anon_sym_export] = ACTIONS(2424),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(2424),
    [anon_sym_EQ] = ACTIONS(831),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(2424),
    [anon_sym_let] = ACTIONS(2424),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2426),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(2424),
    [anon_sym_function] = ACTIONS(2429),
    [anon_sym_EQ_GT] = ACTIONS(159),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(2424),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2431),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_static] = ACTIONS(2424),
    [anon_sym_readonly] = ACTIONS(2424),
    [anon_sym_get] = ACTIONS(2424),
    [anon_sym_set] = ACTIONS(2424),
    [anon_sym_declare] = ACTIONS(2424),
    [anon_sym_public] = ACTIONS(2424),
    [anon_sym_private] = ACTIONS(2424),
    [anon_sym_protected] = ACTIONS(2424),
    [anon_sym_override] = ACTIONS(2424),
    [anon_sym_module] = ACTIONS(2424),
    [anon_sym_any] = ACTIONS(2424),
    [anon_sym_number] = ACTIONS(2424),
    [anon_sym_boolean] = ACTIONS(2424),
    [anon_sym_string] = ACTIONS(2424),
    [anon_sym_symbol] = ACTIONS(2424),
    [anon_sym_object] = ACTIONS(2424),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [801] = {
    [ts_builtin_sym_end] = ACTIONS(1897),
    [sym_identifier] = ACTIONS(1899),
    [anon_sym_export] = ACTIONS(1899),
    [anon_sym_default] = ACTIONS(1899),
    [anon_sym_type] = ACTIONS(1899),
    [anon_sym_namespace] = ACTIONS(1899),
    [anon_sym_LBRACE] = ACTIONS(1897),
    [anon_sym_RBRACE] = ACTIONS(1897),
    [anon_sym_typeof] = ACTIONS(1899),
    [anon_sym_import] = ACTIONS(1899),
    [anon_sym_with] = ACTIONS(1899),
    [anon_sym_var] = ACTIONS(1899),
    [anon_sym_let] = ACTIONS(1899),
    [anon_sym_const] = ACTIONS(1899),
    [anon_sym_BANG] = ACTIONS(1897),
    [anon_sym_else] = ACTIONS(1899),
    [anon_sym_if] = ACTIONS(1899),
    [anon_sym_switch] = ACTIONS(1899),
    [anon_sym_for] = ACTIONS(1899),
    [anon_sym_LPAREN] = ACTIONS(1897),
    [anon_sym_SEMI] = ACTIONS(1897),
    [anon_sym_await] = ACTIONS(1899),
    [anon_sym_while] = ACTIONS(1899),
    [anon_sym_do] = ACTIONS(1899),
    [anon_sym_try] = ACTIONS(1899),
    [anon_sym_break] = ACTIONS(1899),
    [anon_sym_continue] = ACTIONS(1899),
    [anon_sym_debugger] = ACTIONS(1899),
    [anon_sym_return] = ACTIONS(1899),
    [anon_sym_throw] = ACTIONS(1899),
    [anon_sym_case] = ACTIONS(1899),
    [anon_sym_yield] = ACTIONS(1899),
    [anon_sym_LBRACK] = ACTIONS(1897),
    [sym_glimmer_opening_tag] = ACTIONS(1897),
    [anon_sym_DOT] = ACTIONS(1899),
    [anon_sym_DQUOTE] = ACTIONS(1897),
    [anon_sym_SQUOTE] = ACTIONS(1897),
    [anon_sym_class] = ACTIONS(1899),
    [anon_sym_async] = ACTIONS(1899),
    [anon_sym_function] = ACTIONS(1899),
    [anon_sym_new] = ACTIONS(1899),
    [anon_sym_using] = ACTIONS(1899),
    [anon_sym_PLUS] = ACTIONS(1899),
    [anon_sym_DASH] = ACTIONS(1899),
    [anon_sym_SLASH] = ACTIONS(1899),
    [anon_sym_LT] = ACTIONS(1899),
    [anon_sym_TILDE] = ACTIONS(1897),
    [anon_sym_void] = ACTIONS(1899),
    [anon_sym_delete] = ACTIONS(1899),
    [anon_sym_PLUS_PLUS] = ACTIONS(1897),
    [anon_sym_DASH_DASH] = ACTIONS(1897),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1897),
    [sym_number] = ACTIONS(1897),
    [sym_private_property_identifier] = ACTIONS(1897),
    [sym_this] = ACTIONS(1899),
    [sym_super] = ACTIONS(1899),
    [sym_true] = ACTIONS(1899),
    [sym_false] = ACTIONS(1899),
    [sym_null] = ACTIONS(1899),
    [sym_undefined] = ACTIONS(1899),
    [anon_sym_AT] = ACTIONS(1897),
    [anon_sym_static] = ACTIONS(1899),
    [anon_sym_readonly] = ACTIONS(1899),
    [anon_sym_get] = ACTIONS(1899),
    [anon_sym_set] = ACTIONS(1899),
    [anon_sym_declare] = ACTIONS(1899),
    [anon_sym_public] = ACTIONS(1899),
    [anon_sym_private] = ACTIONS(1899),
    [anon_sym_protected] = ACTIONS(1899),
    [anon_sym_override] = ACTIONS(1899),
    [anon_sym_module] = ACTIONS(1899),
    [anon_sym_any] = ACTIONS(1899),
    [anon_sym_number] = ACTIONS(1899),
    [anon_sym_boolean] = ACTIONS(1899),
    [anon_sym_string] = ACTIONS(1899),
    [anon_sym_symbol] = ACTIONS(1899),
    [anon_sym_object] = ACTIONS(1899),
    [anon_sym_abstract] = ACTIONS(1899),
    [anon_sym_interface] = ACTIONS(1899),
    [anon_sym_enum] = ACTIONS(1899),
    [sym_html_comment] = ACTIONS(5),
  },
  [802] = {
    [ts_builtin_sym_end] = ACTIONS(2532),
    [sym_identifier] = ACTIONS(2534),
    [anon_sym_export] = ACTIONS(2534),
    [anon_sym_default] = ACTIONS(2534),
    [anon_sym_type] = ACTIONS(2534),
    [anon_sym_namespace] = ACTIONS(2534),
    [anon_sym_LBRACE] = ACTIONS(2532),
    [anon_sym_RBRACE] = ACTIONS(2532),
    [anon_sym_typeof] = ACTIONS(2534),
    [anon_sym_import] = ACTIONS(2534),
    [anon_sym_with] = ACTIONS(2534),
    [anon_sym_var] = ACTIONS(2534),
    [anon_sym_let] = ACTIONS(2534),
    [anon_sym_const] = ACTIONS(2534),
    [anon_sym_BANG] = ACTIONS(2532),
    [anon_sym_else] = ACTIONS(2534),
    [anon_sym_if] = ACTIONS(2534),
    [anon_sym_switch] = ACTIONS(2534),
    [anon_sym_for] = ACTIONS(2534),
    [anon_sym_LPAREN] = ACTIONS(2532),
    [anon_sym_SEMI] = ACTIONS(2532),
    [anon_sym_await] = ACTIONS(2534),
    [anon_sym_while] = ACTIONS(2534),
    [anon_sym_do] = ACTIONS(2534),
    [anon_sym_try] = ACTIONS(2534),
    [anon_sym_break] = ACTIONS(2534),
    [anon_sym_continue] = ACTIONS(2534),
    [anon_sym_debugger] = ACTIONS(2534),
    [anon_sym_return] = ACTIONS(2534),
    [anon_sym_throw] = ACTIONS(2534),
    [anon_sym_case] = ACTIONS(2534),
    [anon_sym_finally] = ACTIONS(2534),
    [anon_sym_yield] = ACTIONS(2534),
    [anon_sym_LBRACK] = ACTIONS(2532),
    [sym_glimmer_opening_tag] = ACTIONS(2532),
    [anon_sym_DQUOTE] = ACTIONS(2532),
    [anon_sym_SQUOTE] = ACTIONS(2532),
    [anon_sym_class] = ACTIONS(2534),
    [anon_sym_async] = ACTIONS(2534),
    [anon_sym_function] = ACTIONS(2534),
    [anon_sym_new] = ACTIONS(2534),
    [anon_sym_using] = ACTIONS(2534),
    [anon_sym_PLUS] = ACTIONS(2534),
    [anon_sym_DASH] = ACTIONS(2534),
    [anon_sym_SLASH] = ACTIONS(2534),
    [anon_sym_LT] = ACTIONS(2534),
    [anon_sym_TILDE] = ACTIONS(2532),
    [anon_sym_void] = ACTIONS(2534),
    [anon_sym_delete] = ACTIONS(2534),
    [anon_sym_PLUS_PLUS] = ACTIONS(2532),
    [anon_sym_DASH_DASH] = ACTIONS(2532),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2532),
    [sym_number] = ACTIONS(2532),
    [sym_private_property_identifier] = ACTIONS(2532),
    [sym_this] = ACTIONS(2534),
    [sym_super] = ACTIONS(2534),
    [sym_true] = ACTIONS(2534),
    [sym_false] = ACTIONS(2534),
    [sym_null] = ACTIONS(2534),
    [sym_undefined] = ACTIONS(2534),
    [anon_sym_AT] = ACTIONS(2532),
    [anon_sym_static] = ACTIONS(2534),
    [anon_sym_readonly] = ACTIONS(2534),
    [anon_sym_get] = ACTIONS(2534),
    [anon_sym_set] = ACTIONS(2534),
    [anon_sym_declare] = ACTIONS(2534),
    [anon_sym_public] = ACTIONS(2534),
    [anon_sym_private] = ACTIONS(2534),
    [anon_sym_protected] = ACTIONS(2534),
    [anon_sym_override] = ACTIONS(2534),
    [anon_sym_module] = ACTIONS(2534),
    [anon_sym_any] = ACTIONS(2534),
    [anon_sym_number] = ACTIONS(2534),
    [anon_sym_boolean] = ACTIONS(2534),
    [anon_sym_string] = ACTIONS(2534),
    [anon_sym_symbol] = ACTIONS(2534),
    [anon_sym_object] = ACTIONS(2534),
    [anon_sym_abstract] = ACTIONS(2534),
    [anon_sym_interface] = ACTIONS(2534),
    [anon_sym_enum] = ACTIONS(2534),
    [sym_html_comment] = ACTIONS(5),
  },
  [803] = {
    [ts_builtin_sym_end] = ACTIONS(1791),
    [sym_identifier] = ACTIONS(1793),
    [anon_sym_export] = ACTIONS(1793),
    [anon_sym_default] = ACTIONS(1793),
    [anon_sym_type] = ACTIONS(1793),
    [anon_sym_namespace] = ACTIONS(1793),
    [anon_sym_LBRACE] = ACTIONS(1791),
    [anon_sym_RBRACE] = ACTIONS(1791),
    [anon_sym_typeof] = ACTIONS(1793),
    [anon_sym_import] = ACTIONS(1793),
    [anon_sym_with] = ACTIONS(1793),
    [anon_sym_var] = ACTIONS(1793),
    [anon_sym_let] = ACTIONS(1793),
    [anon_sym_const] = ACTIONS(1793),
    [anon_sym_BANG] = ACTIONS(1791),
    [anon_sym_else] = ACTIONS(1793),
    [anon_sym_if] = ACTIONS(1793),
    [anon_sym_switch] = ACTIONS(1793),
    [anon_sym_for] = ACTIONS(1793),
    [anon_sym_LPAREN] = ACTIONS(1791),
    [anon_sym_SEMI] = ACTIONS(1791),
    [anon_sym_await] = ACTIONS(1793),
    [anon_sym_while] = ACTIONS(1793),
    [anon_sym_do] = ACTIONS(1793),
    [anon_sym_try] = ACTIONS(1793),
    [anon_sym_break] = ACTIONS(1793),
    [anon_sym_continue] = ACTIONS(1793),
    [anon_sym_debugger] = ACTIONS(1793),
    [anon_sym_return] = ACTIONS(1793),
    [anon_sym_throw] = ACTIONS(1793),
    [anon_sym_case] = ACTIONS(1793),
    [anon_sym_yield] = ACTIONS(1793),
    [anon_sym_LBRACK] = ACTIONS(1791),
    [sym_glimmer_opening_tag] = ACTIONS(1791),
    [anon_sym_DQUOTE] = ACTIONS(1791),
    [anon_sym_SQUOTE] = ACTIONS(1791),
    [anon_sym_class] = ACTIONS(1793),
    [anon_sym_async] = ACTIONS(1793),
    [anon_sym_function] = ACTIONS(1793),
    [anon_sym_new] = ACTIONS(1793),
    [anon_sym_using] = ACTIONS(1793),
    [anon_sym_PLUS] = ACTIONS(1793),
    [anon_sym_DASH] = ACTIONS(1793),
    [anon_sym_SLASH] = ACTIONS(1793),
    [anon_sym_LT] = ACTIONS(1793),
    [anon_sym_TILDE] = ACTIONS(1791),
    [anon_sym_void] = ACTIONS(1793),
    [anon_sym_delete] = ACTIONS(1793),
    [anon_sym_PLUS_PLUS] = ACTIONS(1791),
    [anon_sym_DASH_DASH] = ACTIONS(1791),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1791),
    [sym_number] = ACTIONS(1791),
    [sym_private_property_identifier] = ACTIONS(1791),
    [sym_this] = ACTIONS(1793),
    [sym_super] = ACTIONS(1793),
    [sym_true] = ACTIONS(1793),
    [sym_false] = ACTIONS(1793),
    [sym_null] = ACTIONS(1793),
    [sym_undefined] = ACTIONS(1793),
    [anon_sym_AT] = ACTIONS(1791),
    [anon_sym_static] = ACTIONS(1793),
    [anon_sym_readonly] = ACTIONS(1793),
    [anon_sym_get] = ACTIONS(1793),
    [anon_sym_set] = ACTIONS(1793),
    [anon_sym_declare] = ACTIONS(1793),
    [anon_sym_public] = ACTIONS(1793),
    [anon_sym_private] = ACTIONS(1793),
    [anon_sym_protected] = ACTIONS(1793),
    [anon_sym_override] = ACTIONS(1793),
    [anon_sym_module] = ACTIONS(1793),
    [anon_sym_any] = ACTIONS(1793),
    [anon_sym_number] = ACTIONS(1793),
    [anon_sym_boolean] = ACTIONS(1793),
    [anon_sym_string] = ACTIONS(1793),
    [anon_sym_symbol] = ACTIONS(1793),
    [anon_sym_object] = ACTIONS(1793),
    [anon_sym_abstract] = ACTIONS(1793),
    [anon_sym_interface] = ACTIONS(1793),
    [anon_sym_enum] = ACTIONS(1793),
    [sym__automatic_semicolon] = ACTIONS(1799),
    [sym_html_comment] = ACTIONS(5),
  },
  [804] = {
    [sym__call_signature] = STATE(5844),
    [sym_formal_parameters] = STATE(3895),
    [sym_type_parameters] = STATE(5348),
    [sym_identifier] = ACTIONS(2422),
    [anon_sym_export] = ACTIONS(2424),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(2424),
    [anon_sym_EQ] = ACTIONS(995),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(2424),
    [anon_sym_let] = ACTIONS(2424),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2426),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(2424),
    [anon_sym_function] = ACTIONS(2429),
    [anon_sym_EQ_GT] = ACTIONS(159),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(2424),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2431),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_static] = ACTIONS(2424),
    [anon_sym_readonly] = ACTIONS(2424),
    [anon_sym_get] = ACTIONS(2424),
    [anon_sym_set] = ACTIONS(2424),
    [anon_sym_declare] = ACTIONS(2424),
    [anon_sym_public] = ACTIONS(2424),
    [anon_sym_private] = ACTIONS(2424),
    [anon_sym_protected] = ACTIONS(2424),
    [anon_sym_override] = ACTIONS(2424),
    [anon_sym_module] = ACTIONS(2424),
    [anon_sym_any] = ACTIONS(2424),
    [anon_sym_number] = ACTIONS(2424),
    [anon_sym_boolean] = ACTIONS(2424),
    [anon_sym_string] = ACTIONS(2424),
    [anon_sym_symbol] = ACTIONS(2424),
    [anon_sym_object] = ACTIONS(2424),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [805] = {
    [sym__call_signature] = STATE(5844),
    [sym_formal_parameters] = STATE(3895),
    [sym_type_parameters] = STATE(5348),
    [sym_identifier] = ACTIONS(2422),
    [anon_sym_export] = ACTIONS(2424),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(2424),
    [anon_sym_EQ] = ACTIONS(989),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(2424),
    [anon_sym_let] = ACTIONS(2424),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2426),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(2424),
    [anon_sym_function] = ACTIONS(2429),
    [anon_sym_EQ_GT] = ACTIONS(159),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(2424),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2431),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_static] = ACTIONS(2424),
    [anon_sym_readonly] = ACTIONS(2424),
    [anon_sym_get] = ACTIONS(2424),
    [anon_sym_set] = ACTIONS(2424),
    [anon_sym_declare] = ACTIONS(2424),
    [anon_sym_public] = ACTIONS(2424),
    [anon_sym_private] = ACTIONS(2424),
    [anon_sym_protected] = ACTIONS(2424),
    [anon_sym_override] = ACTIONS(2424),
    [anon_sym_module] = ACTIONS(2424),
    [anon_sym_any] = ACTIONS(2424),
    [anon_sym_number] = ACTIONS(2424),
    [anon_sym_boolean] = ACTIONS(2424),
    [anon_sym_string] = ACTIONS(2424),
    [anon_sym_symbol] = ACTIONS(2424),
    [anon_sym_object] = ACTIONS(2424),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [806] = {
    [sym__call_signature] = STATE(5844),
    [sym_formal_parameters] = STATE(3895),
    [sym_type_parameters] = STATE(5348),
    [sym_identifier] = ACTIONS(2422),
    [anon_sym_export] = ACTIONS(2424),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(2424),
    [anon_sym_EQ] = ACTIONS(1049),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(2424),
    [anon_sym_let] = ACTIONS(2424),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2426),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(2424),
    [anon_sym_function] = ACTIONS(2429),
    [anon_sym_EQ_GT] = ACTIONS(159),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(2424),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2431),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_static] = ACTIONS(2424),
    [anon_sym_readonly] = ACTIONS(2424),
    [anon_sym_get] = ACTIONS(2424),
    [anon_sym_set] = ACTIONS(2424),
    [anon_sym_declare] = ACTIONS(2424),
    [anon_sym_public] = ACTIONS(2424),
    [anon_sym_private] = ACTIONS(2424),
    [anon_sym_protected] = ACTIONS(2424),
    [anon_sym_override] = ACTIONS(2424),
    [anon_sym_module] = ACTIONS(2424),
    [anon_sym_any] = ACTIONS(2424),
    [anon_sym_number] = ACTIONS(2424),
    [anon_sym_boolean] = ACTIONS(2424),
    [anon_sym_string] = ACTIONS(2424),
    [anon_sym_symbol] = ACTIONS(2424),
    [anon_sym_object] = ACTIONS(2424),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [807] = {
    [ts_builtin_sym_end] = ACTIONS(2536),
    [sym_identifier] = ACTIONS(2538),
    [anon_sym_export] = ACTIONS(2538),
    [anon_sym_default] = ACTIONS(2538),
    [anon_sym_type] = ACTIONS(2538),
    [anon_sym_namespace] = ACTIONS(2538),
    [anon_sym_LBRACE] = ACTIONS(2536),
    [anon_sym_RBRACE] = ACTIONS(2536),
    [anon_sym_typeof] = ACTIONS(2538),
    [anon_sym_import] = ACTIONS(2538),
    [anon_sym_with] = ACTIONS(2538),
    [anon_sym_var] = ACTIONS(2538),
    [anon_sym_let] = ACTIONS(2538),
    [anon_sym_const] = ACTIONS(2538),
    [anon_sym_BANG] = ACTIONS(2536),
    [anon_sym_else] = ACTIONS(2538),
    [anon_sym_if] = ACTIONS(2538),
    [anon_sym_switch] = ACTIONS(2538),
    [anon_sym_for] = ACTIONS(2538),
    [anon_sym_LPAREN] = ACTIONS(2536),
    [anon_sym_SEMI] = ACTIONS(2536),
    [anon_sym_await] = ACTIONS(2538),
    [anon_sym_while] = ACTIONS(2538),
    [anon_sym_do] = ACTIONS(2538),
    [anon_sym_try] = ACTIONS(2538),
    [anon_sym_break] = ACTIONS(2538),
    [anon_sym_continue] = ACTIONS(2538),
    [anon_sym_debugger] = ACTIONS(2538),
    [anon_sym_return] = ACTIONS(2538),
    [anon_sym_throw] = ACTIONS(2538),
    [anon_sym_case] = ACTIONS(2538),
    [anon_sym_yield] = ACTIONS(2538),
    [anon_sym_LBRACK] = ACTIONS(2536),
    [sym_glimmer_opening_tag] = ACTIONS(2536),
    [anon_sym_DQUOTE] = ACTIONS(2536),
    [anon_sym_SQUOTE] = ACTIONS(2536),
    [anon_sym_class] = ACTIONS(2538),
    [anon_sym_async] = ACTIONS(2538),
    [anon_sym_function] = ACTIONS(2538),
    [anon_sym_new] = ACTIONS(2538),
    [anon_sym_using] = ACTIONS(2538),
    [anon_sym_PLUS] = ACTIONS(2538),
    [anon_sym_DASH] = ACTIONS(2538),
    [anon_sym_SLASH] = ACTIONS(2538),
    [anon_sym_LT] = ACTIONS(2538),
    [anon_sym_TILDE] = ACTIONS(2536),
    [anon_sym_void] = ACTIONS(2538),
    [anon_sym_delete] = ACTIONS(2538),
    [anon_sym_PLUS_PLUS] = ACTIONS(2536),
    [anon_sym_DASH_DASH] = ACTIONS(2536),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2536),
    [sym_number] = ACTIONS(2536),
    [sym_private_property_identifier] = ACTIONS(2536),
    [sym_this] = ACTIONS(2538),
    [sym_super] = ACTIONS(2538),
    [sym_true] = ACTIONS(2538),
    [sym_false] = ACTIONS(2538),
    [sym_null] = ACTIONS(2538),
    [sym_undefined] = ACTIONS(2538),
    [anon_sym_AT] = ACTIONS(2536),
    [anon_sym_static] = ACTIONS(2538),
    [anon_sym_readonly] = ACTIONS(2538),
    [anon_sym_get] = ACTIONS(2538),
    [anon_sym_set] = ACTIONS(2538),
    [anon_sym_declare] = ACTIONS(2538),
    [anon_sym_public] = ACTIONS(2538),
    [anon_sym_private] = ACTIONS(2538),
    [anon_sym_protected] = ACTIONS(2538),
    [anon_sym_override] = ACTIONS(2538),
    [anon_sym_module] = ACTIONS(2538),
    [anon_sym_any] = ACTIONS(2538),
    [anon_sym_number] = ACTIONS(2538),
    [anon_sym_boolean] = ACTIONS(2538),
    [anon_sym_string] = ACTIONS(2538),
    [anon_sym_symbol] = ACTIONS(2538),
    [anon_sym_object] = ACTIONS(2538),
    [anon_sym_abstract] = ACTIONS(2538),
    [anon_sym_interface] = ACTIONS(2538),
    [anon_sym_enum] = ACTIONS(2538),
    [sym_html_comment] = ACTIONS(5),
  },
  [808] = {
    [ts_builtin_sym_end] = ACTIONS(2540),
    [sym_identifier] = ACTIONS(2542),
    [anon_sym_export] = ACTIONS(2542),
    [anon_sym_default] = ACTIONS(2542),
    [anon_sym_type] = ACTIONS(2542),
    [anon_sym_namespace] = ACTIONS(2542),
    [anon_sym_LBRACE] = ACTIONS(2540),
    [anon_sym_RBRACE] = ACTIONS(2540),
    [anon_sym_typeof] = ACTIONS(2542),
    [anon_sym_import] = ACTIONS(2542),
    [anon_sym_with] = ACTIONS(2542),
    [anon_sym_var] = ACTIONS(2542),
    [anon_sym_let] = ACTIONS(2542),
    [anon_sym_const] = ACTIONS(2542),
    [anon_sym_BANG] = ACTIONS(2540),
    [anon_sym_else] = ACTIONS(2542),
    [anon_sym_if] = ACTIONS(2542),
    [anon_sym_switch] = ACTIONS(2542),
    [anon_sym_for] = ACTIONS(2542),
    [anon_sym_LPAREN] = ACTIONS(2540),
    [anon_sym_SEMI] = ACTIONS(2540),
    [anon_sym_await] = ACTIONS(2542),
    [anon_sym_while] = ACTIONS(2542),
    [anon_sym_do] = ACTIONS(2542),
    [anon_sym_try] = ACTIONS(2542),
    [anon_sym_break] = ACTIONS(2542),
    [anon_sym_continue] = ACTIONS(2542),
    [anon_sym_debugger] = ACTIONS(2542),
    [anon_sym_return] = ACTIONS(2542),
    [anon_sym_throw] = ACTIONS(2542),
    [anon_sym_case] = ACTIONS(2542),
    [anon_sym_yield] = ACTIONS(2542),
    [anon_sym_LBRACK] = ACTIONS(2540),
    [sym_glimmer_opening_tag] = ACTIONS(2540),
    [anon_sym_DQUOTE] = ACTIONS(2540),
    [anon_sym_SQUOTE] = ACTIONS(2540),
    [anon_sym_class] = ACTIONS(2542),
    [anon_sym_async] = ACTIONS(2542),
    [anon_sym_function] = ACTIONS(2542),
    [anon_sym_new] = ACTIONS(2542),
    [anon_sym_using] = ACTIONS(2542),
    [anon_sym_PLUS] = ACTIONS(2542),
    [anon_sym_DASH] = ACTIONS(2542),
    [anon_sym_SLASH] = ACTIONS(2542),
    [anon_sym_LT] = ACTIONS(2542),
    [anon_sym_TILDE] = ACTIONS(2540),
    [anon_sym_void] = ACTIONS(2542),
    [anon_sym_delete] = ACTIONS(2542),
    [anon_sym_PLUS_PLUS] = ACTIONS(2540),
    [anon_sym_DASH_DASH] = ACTIONS(2540),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2540),
    [sym_number] = ACTIONS(2540),
    [sym_private_property_identifier] = ACTIONS(2540),
    [sym_this] = ACTIONS(2542),
    [sym_super] = ACTIONS(2542),
    [sym_true] = ACTIONS(2542),
    [sym_false] = ACTIONS(2542),
    [sym_null] = ACTIONS(2542),
    [sym_undefined] = ACTIONS(2542),
    [anon_sym_AT] = ACTIONS(2540),
    [anon_sym_static] = ACTIONS(2542),
    [anon_sym_readonly] = ACTIONS(2542),
    [anon_sym_get] = ACTIONS(2542),
    [anon_sym_set] = ACTIONS(2542),
    [anon_sym_declare] = ACTIONS(2542),
    [anon_sym_public] = ACTIONS(2542),
    [anon_sym_private] = ACTIONS(2542),
    [anon_sym_protected] = ACTIONS(2542),
    [anon_sym_override] = ACTIONS(2542),
    [anon_sym_module] = ACTIONS(2542),
    [anon_sym_any] = ACTIONS(2542),
    [anon_sym_number] = ACTIONS(2542),
    [anon_sym_boolean] = ACTIONS(2542),
    [anon_sym_string] = ACTIONS(2542),
    [anon_sym_symbol] = ACTIONS(2542),
    [anon_sym_object] = ACTIONS(2542),
    [anon_sym_abstract] = ACTIONS(2542),
    [anon_sym_interface] = ACTIONS(2542),
    [anon_sym_enum] = ACTIONS(2542),
    [sym_html_comment] = ACTIONS(5),
  },
  [809] = {
    [ts_builtin_sym_end] = ACTIONS(2544),
    [sym_identifier] = ACTIONS(2546),
    [anon_sym_export] = ACTIONS(2546),
    [anon_sym_default] = ACTIONS(2546),
    [anon_sym_type] = ACTIONS(2546),
    [anon_sym_namespace] = ACTIONS(2546),
    [anon_sym_LBRACE] = ACTIONS(2544),
    [anon_sym_RBRACE] = ACTIONS(2544),
    [anon_sym_typeof] = ACTIONS(2546),
    [anon_sym_import] = ACTIONS(2546),
    [anon_sym_with] = ACTIONS(2546),
    [anon_sym_var] = ACTIONS(2546),
    [anon_sym_let] = ACTIONS(2546),
    [anon_sym_const] = ACTIONS(2546),
    [anon_sym_BANG] = ACTIONS(2544),
    [anon_sym_else] = ACTIONS(2546),
    [anon_sym_if] = ACTIONS(2546),
    [anon_sym_switch] = ACTIONS(2546),
    [anon_sym_for] = ACTIONS(2546),
    [anon_sym_LPAREN] = ACTIONS(2544),
    [anon_sym_SEMI] = ACTIONS(2544),
    [anon_sym_await] = ACTIONS(2546),
    [anon_sym_while] = ACTIONS(2546),
    [anon_sym_do] = ACTIONS(2546),
    [anon_sym_try] = ACTIONS(2546),
    [anon_sym_break] = ACTIONS(2546),
    [anon_sym_continue] = ACTIONS(2546),
    [anon_sym_debugger] = ACTIONS(2546),
    [anon_sym_return] = ACTIONS(2546),
    [anon_sym_throw] = ACTIONS(2546),
    [anon_sym_case] = ACTIONS(2546),
    [anon_sym_yield] = ACTIONS(2546),
    [anon_sym_LBRACK] = ACTIONS(2544),
    [sym_glimmer_opening_tag] = ACTIONS(2544),
    [anon_sym_DQUOTE] = ACTIONS(2544),
    [anon_sym_SQUOTE] = ACTIONS(2544),
    [anon_sym_class] = ACTIONS(2546),
    [anon_sym_async] = ACTIONS(2546),
    [anon_sym_function] = ACTIONS(2546),
    [anon_sym_new] = ACTIONS(2546),
    [anon_sym_using] = ACTIONS(2546),
    [anon_sym_PLUS] = ACTIONS(2546),
    [anon_sym_DASH] = ACTIONS(2546),
    [anon_sym_SLASH] = ACTIONS(2546),
    [anon_sym_LT] = ACTIONS(2546),
    [anon_sym_TILDE] = ACTIONS(2544),
    [anon_sym_void] = ACTIONS(2546),
    [anon_sym_delete] = ACTIONS(2546),
    [anon_sym_PLUS_PLUS] = ACTIONS(2544),
    [anon_sym_DASH_DASH] = ACTIONS(2544),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2544),
    [sym_number] = ACTIONS(2544),
    [sym_private_property_identifier] = ACTIONS(2544),
    [sym_this] = ACTIONS(2546),
    [sym_super] = ACTIONS(2546),
    [sym_true] = ACTIONS(2546),
    [sym_false] = ACTIONS(2546),
    [sym_null] = ACTIONS(2546),
    [sym_undefined] = ACTIONS(2546),
    [anon_sym_AT] = ACTIONS(2544),
    [anon_sym_static] = ACTIONS(2546),
    [anon_sym_readonly] = ACTIONS(2546),
    [anon_sym_get] = ACTIONS(2546),
    [anon_sym_set] = ACTIONS(2546),
    [anon_sym_declare] = ACTIONS(2546),
    [anon_sym_public] = ACTIONS(2546),
    [anon_sym_private] = ACTIONS(2546),
    [anon_sym_protected] = ACTIONS(2546),
    [anon_sym_override] = ACTIONS(2546),
    [anon_sym_module] = ACTIONS(2546),
    [anon_sym_any] = ACTIONS(2546),
    [anon_sym_number] = ACTIONS(2546),
    [anon_sym_boolean] = ACTIONS(2546),
    [anon_sym_string] = ACTIONS(2546),
    [anon_sym_symbol] = ACTIONS(2546),
    [anon_sym_object] = ACTIONS(2546),
    [anon_sym_abstract] = ACTIONS(2546),
    [anon_sym_interface] = ACTIONS(2546),
    [anon_sym_enum] = ACTIONS(2546),
    [sym_html_comment] = ACTIONS(5),
  },
  [810] = {
    [ts_builtin_sym_end] = ACTIONS(2548),
    [sym_identifier] = ACTIONS(2550),
    [anon_sym_export] = ACTIONS(2550),
    [anon_sym_default] = ACTIONS(2550),
    [anon_sym_type] = ACTIONS(2550),
    [anon_sym_namespace] = ACTIONS(2550),
    [anon_sym_LBRACE] = ACTIONS(2548),
    [anon_sym_RBRACE] = ACTIONS(2548),
    [anon_sym_typeof] = ACTIONS(2550),
    [anon_sym_import] = ACTIONS(2550),
    [anon_sym_with] = ACTIONS(2550),
    [anon_sym_var] = ACTIONS(2550),
    [anon_sym_let] = ACTIONS(2550),
    [anon_sym_const] = ACTIONS(2550),
    [anon_sym_BANG] = ACTIONS(2548),
    [anon_sym_else] = ACTIONS(2550),
    [anon_sym_if] = ACTIONS(2550),
    [anon_sym_switch] = ACTIONS(2550),
    [anon_sym_for] = ACTIONS(2550),
    [anon_sym_LPAREN] = ACTIONS(2548),
    [anon_sym_SEMI] = ACTIONS(2548),
    [anon_sym_await] = ACTIONS(2550),
    [anon_sym_while] = ACTIONS(2550),
    [anon_sym_do] = ACTIONS(2550),
    [anon_sym_try] = ACTIONS(2550),
    [anon_sym_break] = ACTIONS(2550),
    [anon_sym_continue] = ACTIONS(2550),
    [anon_sym_debugger] = ACTIONS(2550),
    [anon_sym_return] = ACTIONS(2550),
    [anon_sym_throw] = ACTIONS(2550),
    [anon_sym_case] = ACTIONS(2550),
    [anon_sym_yield] = ACTIONS(2550),
    [anon_sym_LBRACK] = ACTIONS(2548),
    [sym_glimmer_opening_tag] = ACTIONS(2548),
    [anon_sym_DQUOTE] = ACTIONS(2548),
    [anon_sym_SQUOTE] = ACTIONS(2548),
    [anon_sym_class] = ACTIONS(2550),
    [anon_sym_async] = ACTIONS(2550),
    [anon_sym_function] = ACTIONS(2550),
    [anon_sym_new] = ACTIONS(2550),
    [anon_sym_using] = ACTIONS(2550),
    [anon_sym_PLUS] = ACTIONS(2550),
    [anon_sym_DASH] = ACTIONS(2550),
    [anon_sym_SLASH] = ACTIONS(2550),
    [anon_sym_LT] = ACTIONS(2550),
    [anon_sym_TILDE] = ACTIONS(2548),
    [anon_sym_void] = ACTIONS(2550),
    [anon_sym_delete] = ACTIONS(2550),
    [anon_sym_PLUS_PLUS] = ACTIONS(2548),
    [anon_sym_DASH_DASH] = ACTIONS(2548),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2548),
    [sym_number] = ACTIONS(2548),
    [sym_private_property_identifier] = ACTIONS(2548),
    [sym_this] = ACTIONS(2550),
    [sym_super] = ACTIONS(2550),
    [sym_true] = ACTIONS(2550),
    [sym_false] = ACTIONS(2550),
    [sym_null] = ACTIONS(2550),
    [sym_undefined] = ACTIONS(2550),
    [anon_sym_AT] = ACTIONS(2548),
    [anon_sym_static] = ACTIONS(2550),
    [anon_sym_readonly] = ACTIONS(2550),
    [anon_sym_get] = ACTIONS(2550),
    [anon_sym_set] = ACTIONS(2550),
    [anon_sym_declare] = ACTIONS(2550),
    [anon_sym_public] = ACTIONS(2550),
    [anon_sym_private] = ACTIONS(2550),
    [anon_sym_protected] = ACTIONS(2550),
    [anon_sym_override] = ACTIONS(2550),
    [anon_sym_module] = ACTIONS(2550),
    [anon_sym_any] = ACTIONS(2550),
    [anon_sym_number] = ACTIONS(2550),
    [anon_sym_boolean] = ACTIONS(2550),
    [anon_sym_string] = ACTIONS(2550),
    [anon_sym_symbol] = ACTIONS(2550),
    [anon_sym_object] = ACTIONS(2550),
    [anon_sym_abstract] = ACTIONS(2550),
    [anon_sym_interface] = ACTIONS(2550),
    [anon_sym_enum] = ACTIONS(2550),
    [sym_html_comment] = ACTIONS(5),
  },
  [811] = {
    [ts_builtin_sym_end] = ACTIONS(2552),
    [sym_identifier] = ACTIONS(2554),
    [anon_sym_export] = ACTIONS(2554),
    [anon_sym_default] = ACTIONS(2554),
    [anon_sym_type] = ACTIONS(2554),
    [anon_sym_namespace] = ACTIONS(2554),
    [anon_sym_LBRACE] = ACTIONS(2552),
    [anon_sym_RBRACE] = ACTIONS(2552),
    [anon_sym_typeof] = ACTIONS(2554),
    [anon_sym_import] = ACTIONS(2554),
    [anon_sym_with] = ACTIONS(2554),
    [anon_sym_var] = ACTIONS(2554),
    [anon_sym_let] = ACTIONS(2554),
    [anon_sym_const] = ACTIONS(2554),
    [anon_sym_BANG] = ACTIONS(2552),
    [anon_sym_else] = ACTIONS(2554),
    [anon_sym_if] = ACTIONS(2554),
    [anon_sym_switch] = ACTIONS(2554),
    [anon_sym_for] = ACTIONS(2554),
    [anon_sym_LPAREN] = ACTIONS(2552),
    [anon_sym_SEMI] = ACTIONS(2552),
    [anon_sym_await] = ACTIONS(2554),
    [anon_sym_while] = ACTIONS(2554),
    [anon_sym_do] = ACTIONS(2554),
    [anon_sym_try] = ACTIONS(2554),
    [anon_sym_break] = ACTIONS(2554),
    [anon_sym_continue] = ACTIONS(2554),
    [anon_sym_debugger] = ACTIONS(2554),
    [anon_sym_return] = ACTIONS(2554),
    [anon_sym_throw] = ACTIONS(2554),
    [anon_sym_case] = ACTIONS(2554),
    [anon_sym_yield] = ACTIONS(2554),
    [anon_sym_LBRACK] = ACTIONS(2552),
    [sym_glimmer_opening_tag] = ACTIONS(2552),
    [anon_sym_DQUOTE] = ACTIONS(2552),
    [anon_sym_SQUOTE] = ACTIONS(2552),
    [anon_sym_class] = ACTIONS(2554),
    [anon_sym_async] = ACTIONS(2554),
    [anon_sym_function] = ACTIONS(2554),
    [anon_sym_new] = ACTIONS(2554),
    [anon_sym_using] = ACTIONS(2554),
    [anon_sym_PLUS] = ACTIONS(2554),
    [anon_sym_DASH] = ACTIONS(2554),
    [anon_sym_SLASH] = ACTIONS(2554),
    [anon_sym_LT] = ACTIONS(2554),
    [anon_sym_TILDE] = ACTIONS(2552),
    [anon_sym_void] = ACTIONS(2554),
    [anon_sym_delete] = ACTIONS(2554),
    [anon_sym_PLUS_PLUS] = ACTIONS(2552),
    [anon_sym_DASH_DASH] = ACTIONS(2552),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2552),
    [sym_number] = ACTIONS(2552),
    [sym_private_property_identifier] = ACTIONS(2552),
    [sym_this] = ACTIONS(2554),
    [sym_super] = ACTIONS(2554),
    [sym_true] = ACTIONS(2554),
    [sym_false] = ACTIONS(2554),
    [sym_null] = ACTIONS(2554),
    [sym_undefined] = ACTIONS(2554),
    [anon_sym_AT] = ACTIONS(2552),
    [anon_sym_static] = ACTIONS(2554),
    [anon_sym_readonly] = ACTIONS(2554),
    [anon_sym_get] = ACTIONS(2554),
    [anon_sym_set] = ACTIONS(2554),
    [anon_sym_declare] = ACTIONS(2554),
    [anon_sym_public] = ACTIONS(2554),
    [anon_sym_private] = ACTIONS(2554),
    [anon_sym_protected] = ACTIONS(2554),
    [anon_sym_override] = ACTIONS(2554),
    [anon_sym_module] = ACTIONS(2554),
    [anon_sym_any] = ACTIONS(2554),
    [anon_sym_number] = ACTIONS(2554),
    [anon_sym_boolean] = ACTIONS(2554),
    [anon_sym_string] = ACTIONS(2554),
    [anon_sym_symbol] = ACTIONS(2554),
    [anon_sym_object] = ACTIONS(2554),
    [anon_sym_abstract] = ACTIONS(2554),
    [anon_sym_interface] = ACTIONS(2554),
    [anon_sym_enum] = ACTIONS(2554),
    [sym_html_comment] = ACTIONS(5),
  },
  [812] = {
    [ts_builtin_sym_end] = ACTIONS(2556),
    [sym_identifier] = ACTIONS(2558),
    [anon_sym_export] = ACTIONS(2558),
    [anon_sym_default] = ACTIONS(2558),
    [anon_sym_type] = ACTIONS(2558),
    [anon_sym_namespace] = ACTIONS(2558),
    [anon_sym_LBRACE] = ACTIONS(2556),
    [anon_sym_RBRACE] = ACTIONS(2556),
    [anon_sym_typeof] = ACTIONS(2558),
    [anon_sym_import] = ACTIONS(2558),
    [anon_sym_with] = ACTIONS(2558),
    [anon_sym_var] = ACTIONS(2558),
    [anon_sym_let] = ACTIONS(2558),
    [anon_sym_const] = ACTIONS(2558),
    [anon_sym_BANG] = ACTIONS(2556),
    [anon_sym_else] = ACTIONS(2558),
    [anon_sym_if] = ACTIONS(2558),
    [anon_sym_switch] = ACTIONS(2558),
    [anon_sym_for] = ACTIONS(2558),
    [anon_sym_LPAREN] = ACTIONS(2556),
    [anon_sym_SEMI] = ACTIONS(2556),
    [anon_sym_await] = ACTIONS(2558),
    [anon_sym_while] = ACTIONS(2558),
    [anon_sym_do] = ACTIONS(2558),
    [anon_sym_try] = ACTIONS(2558),
    [anon_sym_break] = ACTIONS(2558),
    [anon_sym_continue] = ACTIONS(2558),
    [anon_sym_debugger] = ACTIONS(2558),
    [anon_sym_return] = ACTIONS(2558),
    [anon_sym_throw] = ACTIONS(2558),
    [anon_sym_case] = ACTIONS(2558),
    [anon_sym_yield] = ACTIONS(2558),
    [anon_sym_LBRACK] = ACTIONS(2556),
    [sym_glimmer_opening_tag] = ACTIONS(2556),
    [anon_sym_DQUOTE] = ACTIONS(2556),
    [anon_sym_SQUOTE] = ACTIONS(2556),
    [anon_sym_class] = ACTIONS(2558),
    [anon_sym_async] = ACTIONS(2558),
    [anon_sym_function] = ACTIONS(2558),
    [anon_sym_new] = ACTIONS(2558),
    [anon_sym_using] = ACTIONS(2558),
    [anon_sym_PLUS] = ACTIONS(2558),
    [anon_sym_DASH] = ACTIONS(2558),
    [anon_sym_SLASH] = ACTIONS(2558),
    [anon_sym_LT] = ACTIONS(2558),
    [anon_sym_TILDE] = ACTIONS(2556),
    [anon_sym_void] = ACTIONS(2558),
    [anon_sym_delete] = ACTIONS(2558),
    [anon_sym_PLUS_PLUS] = ACTIONS(2556),
    [anon_sym_DASH_DASH] = ACTIONS(2556),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2556),
    [sym_number] = ACTIONS(2556),
    [sym_private_property_identifier] = ACTIONS(2556),
    [sym_this] = ACTIONS(2558),
    [sym_super] = ACTIONS(2558),
    [sym_true] = ACTIONS(2558),
    [sym_false] = ACTIONS(2558),
    [sym_null] = ACTIONS(2558),
    [sym_undefined] = ACTIONS(2558),
    [anon_sym_AT] = ACTIONS(2556),
    [anon_sym_static] = ACTIONS(2558),
    [anon_sym_readonly] = ACTIONS(2558),
    [anon_sym_get] = ACTIONS(2558),
    [anon_sym_set] = ACTIONS(2558),
    [anon_sym_declare] = ACTIONS(2558),
    [anon_sym_public] = ACTIONS(2558),
    [anon_sym_private] = ACTIONS(2558),
    [anon_sym_protected] = ACTIONS(2558),
    [anon_sym_override] = ACTIONS(2558),
    [anon_sym_module] = ACTIONS(2558),
    [anon_sym_any] = ACTIONS(2558),
    [anon_sym_number] = ACTIONS(2558),
    [anon_sym_boolean] = ACTIONS(2558),
    [anon_sym_string] = ACTIONS(2558),
    [anon_sym_symbol] = ACTIONS(2558),
    [anon_sym_object] = ACTIONS(2558),
    [anon_sym_abstract] = ACTIONS(2558),
    [anon_sym_interface] = ACTIONS(2558),
    [anon_sym_enum] = ACTIONS(2558),
    [sym_html_comment] = ACTIONS(5),
  },
  [813] = {
    [ts_builtin_sym_end] = ACTIONS(2544),
    [sym_identifier] = ACTIONS(2546),
    [anon_sym_export] = ACTIONS(2546),
    [anon_sym_default] = ACTIONS(2546),
    [anon_sym_type] = ACTIONS(2546),
    [anon_sym_namespace] = ACTIONS(2546),
    [anon_sym_LBRACE] = ACTIONS(2544),
    [anon_sym_RBRACE] = ACTIONS(2544),
    [anon_sym_typeof] = ACTIONS(2546),
    [anon_sym_import] = ACTIONS(2546),
    [anon_sym_with] = ACTIONS(2546),
    [anon_sym_var] = ACTIONS(2546),
    [anon_sym_let] = ACTIONS(2546),
    [anon_sym_const] = ACTIONS(2546),
    [anon_sym_BANG] = ACTIONS(2544),
    [anon_sym_else] = ACTIONS(2546),
    [anon_sym_if] = ACTIONS(2546),
    [anon_sym_switch] = ACTIONS(2546),
    [anon_sym_for] = ACTIONS(2546),
    [anon_sym_LPAREN] = ACTIONS(2544),
    [anon_sym_SEMI] = ACTIONS(2544),
    [anon_sym_await] = ACTIONS(2546),
    [anon_sym_while] = ACTIONS(2546),
    [anon_sym_do] = ACTIONS(2546),
    [anon_sym_try] = ACTIONS(2546),
    [anon_sym_break] = ACTIONS(2546),
    [anon_sym_continue] = ACTIONS(2546),
    [anon_sym_debugger] = ACTIONS(2546),
    [anon_sym_return] = ACTIONS(2546),
    [anon_sym_throw] = ACTIONS(2546),
    [anon_sym_case] = ACTIONS(2546),
    [anon_sym_yield] = ACTIONS(2546),
    [anon_sym_LBRACK] = ACTIONS(2544),
    [sym_glimmer_opening_tag] = ACTIONS(2544),
    [anon_sym_DQUOTE] = ACTIONS(2544),
    [anon_sym_SQUOTE] = ACTIONS(2544),
    [anon_sym_class] = ACTIONS(2546),
    [anon_sym_async] = ACTIONS(2546),
    [anon_sym_function] = ACTIONS(2546),
    [anon_sym_new] = ACTIONS(2546),
    [anon_sym_using] = ACTIONS(2546),
    [anon_sym_PLUS] = ACTIONS(2546),
    [anon_sym_DASH] = ACTIONS(2546),
    [anon_sym_SLASH] = ACTIONS(2546),
    [anon_sym_LT] = ACTIONS(2546),
    [anon_sym_TILDE] = ACTIONS(2544),
    [anon_sym_void] = ACTIONS(2546),
    [anon_sym_delete] = ACTIONS(2546),
    [anon_sym_PLUS_PLUS] = ACTIONS(2544),
    [anon_sym_DASH_DASH] = ACTIONS(2544),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2544),
    [sym_number] = ACTIONS(2544),
    [sym_private_property_identifier] = ACTIONS(2544),
    [sym_this] = ACTIONS(2546),
    [sym_super] = ACTIONS(2546),
    [sym_true] = ACTIONS(2546),
    [sym_false] = ACTIONS(2546),
    [sym_null] = ACTIONS(2546),
    [sym_undefined] = ACTIONS(2546),
    [anon_sym_AT] = ACTIONS(2544),
    [anon_sym_static] = ACTIONS(2546),
    [anon_sym_readonly] = ACTIONS(2546),
    [anon_sym_get] = ACTIONS(2546),
    [anon_sym_set] = ACTIONS(2546),
    [anon_sym_declare] = ACTIONS(2546),
    [anon_sym_public] = ACTIONS(2546),
    [anon_sym_private] = ACTIONS(2546),
    [anon_sym_protected] = ACTIONS(2546),
    [anon_sym_override] = ACTIONS(2546),
    [anon_sym_module] = ACTIONS(2546),
    [anon_sym_any] = ACTIONS(2546),
    [anon_sym_number] = ACTIONS(2546),
    [anon_sym_boolean] = ACTIONS(2546),
    [anon_sym_string] = ACTIONS(2546),
    [anon_sym_symbol] = ACTIONS(2546),
    [anon_sym_object] = ACTIONS(2546),
    [anon_sym_abstract] = ACTIONS(2546),
    [anon_sym_interface] = ACTIONS(2546),
    [anon_sym_enum] = ACTIONS(2546),
    [sym_html_comment] = ACTIONS(5),
  },
  [814] = {
    [sym_import] = STATE(4680),
    [sym_nested_identifier] = STATE(5868),
    [sym_string] = STATE(3013),
    [sym_formal_parameters] = STATE(5631),
    [sym_rest_pattern] = STATE(5268),
    [sym_nested_type_identifier] = STATE(2941),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3315),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2944),
    [sym_type] = STATE(3832),
    [sym_tuple_parameter] = STATE(4592),
    [sym_optional_tuple_parameter] = STATE(4592),
    [sym_optional_type] = STATE(4592),
    [sym_rest_type] = STATE(4592),
    [sym__tuple_type_member] = STATE(4592),
    [sym_constructor_type] = STATE(2974),
    [sym_primary_type] = STATE(3014),
    [sym_template_literal_type] = STATE(3018),
    [sym_infer_type] = STATE(2974),
    [sym_conditional_type] = STATE(3018),
    [sym_generic_type] = STATE(3018),
    [sym_type_query] = STATE(3018),
    [sym_index_type_query] = STATE(3018),
    [sym_lookup_type] = STATE(3018),
    [sym_literal_type] = STATE(3018),
    [sym__number] = STATE(3031),
    [sym_existential_type] = STATE(3018),
    [sym_flow_maybe_type] = STATE(3018),
    [sym_parenthesized_type] = STATE(3018),
    [sym_predefined_type] = STATE(3018),
    [sym_object_type] = STATE(3018),
    [sym_type_parameters] = STATE(5464),
    [sym_array_type] = STATE(3018),
    [sym_tuple_type] = STATE(3018),
    [sym_readonly_type] = STATE(2974),
    [sym_union_type] = STATE(3018),
    [sym_intersection_type] = STATE(3018),
    [sym_function_type] = STATE(2974),
    [sym_identifier] = ACTIONS(2560),
    [anon_sym_STAR] = ACTIONS(582),
    [anon_sym_LBRACE] = ACTIONS(1541),
    [anon_sym_COMMA] = ACTIONS(2562),
    [anon_sym_typeof] = ACTIONS(1543),
    [anon_sym_import] = ACTIONS(1545),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1547),
    [anon_sym_LBRACK] = ACTIONS(1549),
    [anon_sym_RBRACK] = ACTIONS(2564),
    [anon_sym_DQUOTE] = ACTIONS(1551),
    [anon_sym_SQUOTE] = ACTIONS(1553),
    [anon_sym_new] = ACTIONS(1613),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2566),
    [anon_sym_AMP] = ACTIONS(610),
    [anon_sym_PIPE] = ACTIONS(612),
    [anon_sym_PLUS] = ACTIONS(2568),
    [anon_sym_DASH] = ACTIONS(2568),
    [anon_sym_LT] = ACTIONS(2570),
    [anon_sym_void] = ACTIONS(217),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1561),
    [sym_number] = ACTIONS(1563),
    [sym_this] = ACTIONS(1565),
    [sym_true] = ACTIONS(1567),
    [sym_false] = ACTIONS(1567),
    [sym_null] = ACTIONS(1567),
    [sym_undefined] = ACTIONS(1567),
    [anon_sym_readonly] = ACTIONS(1619),
    [anon_sym_QMARK] = ACTIONS(632),
    [anon_sym_any] = ACTIONS(217),
    [anon_sym_number] = ACTIONS(217),
    [anon_sym_boolean] = ACTIONS(217),
    [anon_sym_string] = ACTIONS(217),
    [anon_sym_symbol] = ACTIONS(217),
    [anon_sym_object] = ACTIONS(217),
    [anon_sym_abstract] = ACTIONS(636),
    [anon_sym_infer] = ACTIONS(638),
    [anon_sym_keyof] = ACTIONS(640),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym_html_comment] = ACTIONS(5),
  },
  [815] = {
    [ts_builtin_sym_end] = ACTIONS(2544),
    [sym_identifier] = ACTIONS(2546),
    [anon_sym_export] = ACTIONS(2546),
    [anon_sym_default] = ACTIONS(2546),
    [anon_sym_type] = ACTIONS(2546),
    [anon_sym_namespace] = ACTIONS(2546),
    [anon_sym_LBRACE] = ACTIONS(2544),
    [anon_sym_RBRACE] = ACTIONS(2544),
    [anon_sym_typeof] = ACTIONS(2546),
    [anon_sym_import] = ACTIONS(2546),
    [anon_sym_with] = ACTIONS(2546),
    [anon_sym_var] = ACTIONS(2546),
    [anon_sym_let] = ACTIONS(2546),
    [anon_sym_const] = ACTIONS(2546),
    [anon_sym_BANG] = ACTIONS(2544),
    [anon_sym_else] = ACTIONS(2546),
    [anon_sym_if] = ACTIONS(2546),
    [anon_sym_switch] = ACTIONS(2546),
    [anon_sym_for] = ACTIONS(2546),
    [anon_sym_LPAREN] = ACTIONS(2544),
    [anon_sym_SEMI] = ACTIONS(2544),
    [anon_sym_await] = ACTIONS(2546),
    [anon_sym_while] = ACTIONS(2546),
    [anon_sym_do] = ACTIONS(2546),
    [anon_sym_try] = ACTIONS(2546),
    [anon_sym_break] = ACTIONS(2546),
    [anon_sym_continue] = ACTIONS(2546),
    [anon_sym_debugger] = ACTIONS(2546),
    [anon_sym_return] = ACTIONS(2546),
    [anon_sym_throw] = ACTIONS(2546),
    [anon_sym_case] = ACTIONS(2546),
    [anon_sym_yield] = ACTIONS(2546),
    [anon_sym_LBRACK] = ACTIONS(2544),
    [sym_glimmer_opening_tag] = ACTIONS(2544),
    [anon_sym_DQUOTE] = ACTIONS(2544),
    [anon_sym_SQUOTE] = ACTIONS(2544),
    [anon_sym_class] = ACTIONS(2546),
    [anon_sym_async] = ACTIONS(2546),
    [anon_sym_function] = ACTIONS(2546),
    [anon_sym_new] = ACTIONS(2546),
    [anon_sym_using] = ACTIONS(2546),
    [anon_sym_PLUS] = ACTIONS(2546),
    [anon_sym_DASH] = ACTIONS(2546),
    [anon_sym_SLASH] = ACTIONS(2546),
    [anon_sym_LT] = ACTIONS(2546),
    [anon_sym_TILDE] = ACTIONS(2544),
    [anon_sym_void] = ACTIONS(2546),
    [anon_sym_delete] = ACTIONS(2546),
    [anon_sym_PLUS_PLUS] = ACTIONS(2544),
    [anon_sym_DASH_DASH] = ACTIONS(2544),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2544),
    [sym_number] = ACTIONS(2544),
    [sym_private_property_identifier] = ACTIONS(2544),
    [sym_this] = ACTIONS(2546),
    [sym_super] = ACTIONS(2546),
    [sym_true] = ACTIONS(2546),
    [sym_false] = ACTIONS(2546),
    [sym_null] = ACTIONS(2546),
    [sym_undefined] = ACTIONS(2546),
    [anon_sym_AT] = ACTIONS(2544),
    [anon_sym_static] = ACTIONS(2546),
    [anon_sym_readonly] = ACTIONS(2546),
    [anon_sym_get] = ACTIONS(2546),
    [anon_sym_set] = ACTIONS(2546),
    [anon_sym_declare] = ACTIONS(2546),
    [anon_sym_public] = ACTIONS(2546),
    [anon_sym_private] = ACTIONS(2546),
    [anon_sym_protected] = ACTIONS(2546),
    [anon_sym_override] = ACTIONS(2546),
    [anon_sym_module] = ACTIONS(2546),
    [anon_sym_any] = ACTIONS(2546),
    [anon_sym_number] = ACTIONS(2546),
    [anon_sym_boolean] = ACTIONS(2546),
    [anon_sym_string] = ACTIONS(2546),
    [anon_sym_symbol] = ACTIONS(2546),
    [anon_sym_object] = ACTIONS(2546),
    [anon_sym_abstract] = ACTIONS(2546),
    [anon_sym_interface] = ACTIONS(2546),
    [anon_sym_enum] = ACTIONS(2546),
    [sym_html_comment] = ACTIONS(5),
  },
  [816] = {
    [ts_builtin_sym_end] = ACTIONS(2572),
    [sym_identifier] = ACTIONS(2574),
    [anon_sym_export] = ACTIONS(2574),
    [anon_sym_default] = ACTIONS(2574),
    [anon_sym_type] = ACTIONS(2574),
    [anon_sym_namespace] = ACTIONS(2574),
    [anon_sym_LBRACE] = ACTIONS(2572),
    [anon_sym_RBRACE] = ACTIONS(2572),
    [anon_sym_typeof] = ACTIONS(2574),
    [anon_sym_import] = ACTIONS(2574),
    [anon_sym_with] = ACTIONS(2574),
    [anon_sym_var] = ACTIONS(2574),
    [anon_sym_let] = ACTIONS(2574),
    [anon_sym_const] = ACTIONS(2574),
    [anon_sym_BANG] = ACTIONS(2572),
    [anon_sym_else] = ACTIONS(2574),
    [anon_sym_if] = ACTIONS(2574),
    [anon_sym_switch] = ACTIONS(2574),
    [anon_sym_for] = ACTIONS(2574),
    [anon_sym_LPAREN] = ACTIONS(2572),
    [anon_sym_SEMI] = ACTIONS(2572),
    [anon_sym_await] = ACTIONS(2574),
    [anon_sym_while] = ACTIONS(2574),
    [anon_sym_do] = ACTIONS(2574),
    [anon_sym_try] = ACTIONS(2574),
    [anon_sym_break] = ACTIONS(2574),
    [anon_sym_continue] = ACTIONS(2574),
    [anon_sym_debugger] = ACTIONS(2574),
    [anon_sym_return] = ACTIONS(2574),
    [anon_sym_throw] = ACTIONS(2574),
    [anon_sym_case] = ACTIONS(2574),
    [anon_sym_yield] = ACTIONS(2574),
    [anon_sym_LBRACK] = ACTIONS(2572),
    [sym_glimmer_opening_tag] = ACTIONS(2572),
    [anon_sym_DQUOTE] = ACTIONS(2572),
    [anon_sym_SQUOTE] = ACTIONS(2572),
    [anon_sym_class] = ACTIONS(2574),
    [anon_sym_async] = ACTIONS(2574),
    [anon_sym_function] = ACTIONS(2574),
    [anon_sym_new] = ACTIONS(2574),
    [anon_sym_using] = ACTIONS(2574),
    [anon_sym_PLUS] = ACTIONS(2574),
    [anon_sym_DASH] = ACTIONS(2574),
    [anon_sym_SLASH] = ACTIONS(2574),
    [anon_sym_LT] = ACTIONS(2574),
    [anon_sym_TILDE] = ACTIONS(2572),
    [anon_sym_void] = ACTIONS(2574),
    [anon_sym_delete] = ACTIONS(2574),
    [anon_sym_PLUS_PLUS] = ACTIONS(2572),
    [anon_sym_DASH_DASH] = ACTIONS(2572),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2572),
    [sym_number] = ACTIONS(2572),
    [sym_private_property_identifier] = ACTIONS(2572),
    [sym_this] = ACTIONS(2574),
    [sym_super] = ACTIONS(2574),
    [sym_true] = ACTIONS(2574),
    [sym_false] = ACTIONS(2574),
    [sym_null] = ACTIONS(2574),
    [sym_undefined] = ACTIONS(2574),
    [anon_sym_AT] = ACTIONS(2572),
    [anon_sym_static] = ACTIONS(2574),
    [anon_sym_readonly] = ACTIONS(2574),
    [anon_sym_get] = ACTIONS(2574),
    [anon_sym_set] = ACTIONS(2574),
    [anon_sym_declare] = ACTIONS(2574),
    [anon_sym_public] = ACTIONS(2574),
    [anon_sym_private] = ACTIONS(2574),
    [anon_sym_protected] = ACTIONS(2574),
    [anon_sym_override] = ACTIONS(2574),
    [anon_sym_module] = ACTIONS(2574),
    [anon_sym_any] = ACTIONS(2574),
    [anon_sym_number] = ACTIONS(2574),
    [anon_sym_boolean] = ACTIONS(2574),
    [anon_sym_string] = ACTIONS(2574),
    [anon_sym_symbol] = ACTIONS(2574),
    [anon_sym_object] = ACTIONS(2574),
    [anon_sym_abstract] = ACTIONS(2574),
    [anon_sym_interface] = ACTIONS(2574),
    [anon_sym_enum] = ACTIONS(2574),
    [sym_html_comment] = ACTIONS(5),
  },
  [817] = {
    [ts_builtin_sym_end] = ACTIONS(2544),
    [sym_identifier] = ACTIONS(2546),
    [anon_sym_export] = ACTIONS(2546),
    [anon_sym_default] = ACTIONS(2546),
    [anon_sym_type] = ACTIONS(2546),
    [anon_sym_namespace] = ACTIONS(2546),
    [anon_sym_LBRACE] = ACTIONS(2544),
    [anon_sym_RBRACE] = ACTIONS(2544),
    [anon_sym_typeof] = ACTIONS(2546),
    [anon_sym_import] = ACTIONS(2546),
    [anon_sym_with] = ACTIONS(2546),
    [anon_sym_var] = ACTIONS(2546),
    [anon_sym_let] = ACTIONS(2546),
    [anon_sym_const] = ACTIONS(2546),
    [anon_sym_BANG] = ACTIONS(2544),
    [anon_sym_else] = ACTIONS(2546),
    [anon_sym_if] = ACTIONS(2546),
    [anon_sym_switch] = ACTIONS(2546),
    [anon_sym_for] = ACTIONS(2546),
    [anon_sym_LPAREN] = ACTIONS(2544),
    [anon_sym_SEMI] = ACTIONS(2544),
    [anon_sym_await] = ACTIONS(2546),
    [anon_sym_while] = ACTIONS(2546),
    [anon_sym_do] = ACTIONS(2546),
    [anon_sym_try] = ACTIONS(2546),
    [anon_sym_break] = ACTIONS(2546),
    [anon_sym_continue] = ACTIONS(2546),
    [anon_sym_debugger] = ACTIONS(2546),
    [anon_sym_return] = ACTIONS(2546),
    [anon_sym_throw] = ACTIONS(2546),
    [anon_sym_case] = ACTIONS(2546),
    [anon_sym_yield] = ACTIONS(2546),
    [anon_sym_LBRACK] = ACTIONS(2544),
    [sym_glimmer_opening_tag] = ACTIONS(2544),
    [anon_sym_DQUOTE] = ACTIONS(2544),
    [anon_sym_SQUOTE] = ACTIONS(2544),
    [anon_sym_class] = ACTIONS(2546),
    [anon_sym_async] = ACTIONS(2546),
    [anon_sym_function] = ACTIONS(2546),
    [anon_sym_new] = ACTIONS(2546),
    [anon_sym_using] = ACTIONS(2546),
    [anon_sym_PLUS] = ACTIONS(2546),
    [anon_sym_DASH] = ACTIONS(2546),
    [anon_sym_SLASH] = ACTIONS(2546),
    [anon_sym_LT] = ACTIONS(2546),
    [anon_sym_TILDE] = ACTIONS(2544),
    [anon_sym_void] = ACTIONS(2546),
    [anon_sym_delete] = ACTIONS(2546),
    [anon_sym_PLUS_PLUS] = ACTIONS(2544),
    [anon_sym_DASH_DASH] = ACTIONS(2544),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2544),
    [sym_number] = ACTIONS(2544),
    [sym_private_property_identifier] = ACTIONS(2544),
    [sym_this] = ACTIONS(2546),
    [sym_super] = ACTIONS(2546),
    [sym_true] = ACTIONS(2546),
    [sym_false] = ACTIONS(2546),
    [sym_null] = ACTIONS(2546),
    [sym_undefined] = ACTIONS(2546),
    [anon_sym_AT] = ACTIONS(2544),
    [anon_sym_static] = ACTIONS(2546),
    [anon_sym_readonly] = ACTIONS(2546),
    [anon_sym_get] = ACTIONS(2546),
    [anon_sym_set] = ACTIONS(2546),
    [anon_sym_declare] = ACTIONS(2546),
    [anon_sym_public] = ACTIONS(2546),
    [anon_sym_private] = ACTIONS(2546),
    [anon_sym_protected] = ACTIONS(2546),
    [anon_sym_override] = ACTIONS(2546),
    [anon_sym_module] = ACTIONS(2546),
    [anon_sym_any] = ACTIONS(2546),
    [anon_sym_number] = ACTIONS(2546),
    [anon_sym_boolean] = ACTIONS(2546),
    [anon_sym_string] = ACTIONS(2546),
    [anon_sym_symbol] = ACTIONS(2546),
    [anon_sym_object] = ACTIONS(2546),
    [anon_sym_abstract] = ACTIONS(2546),
    [anon_sym_interface] = ACTIONS(2546),
    [anon_sym_enum] = ACTIONS(2546),
    [sym_html_comment] = ACTIONS(5),
  },
  [818] = {
    [ts_builtin_sym_end] = ACTIONS(2576),
    [sym_identifier] = ACTIONS(2578),
    [anon_sym_export] = ACTIONS(2578),
    [anon_sym_default] = ACTIONS(2578),
    [anon_sym_type] = ACTIONS(2578),
    [anon_sym_namespace] = ACTIONS(2578),
    [anon_sym_LBRACE] = ACTIONS(2576),
    [anon_sym_RBRACE] = ACTIONS(2576),
    [anon_sym_typeof] = ACTIONS(2578),
    [anon_sym_import] = ACTIONS(2578),
    [anon_sym_with] = ACTIONS(2578),
    [anon_sym_var] = ACTIONS(2578),
    [anon_sym_let] = ACTIONS(2578),
    [anon_sym_const] = ACTIONS(2578),
    [anon_sym_BANG] = ACTIONS(2576),
    [anon_sym_else] = ACTIONS(2578),
    [anon_sym_if] = ACTIONS(2578),
    [anon_sym_switch] = ACTIONS(2578),
    [anon_sym_for] = ACTIONS(2578),
    [anon_sym_LPAREN] = ACTIONS(2576),
    [anon_sym_SEMI] = ACTIONS(2576),
    [anon_sym_await] = ACTIONS(2578),
    [anon_sym_while] = ACTIONS(2578),
    [anon_sym_do] = ACTIONS(2578),
    [anon_sym_try] = ACTIONS(2578),
    [anon_sym_break] = ACTIONS(2578),
    [anon_sym_continue] = ACTIONS(2578),
    [anon_sym_debugger] = ACTIONS(2578),
    [anon_sym_return] = ACTIONS(2578),
    [anon_sym_throw] = ACTIONS(2578),
    [anon_sym_case] = ACTIONS(2578),
    [anon_sym_yield] = ACTIONS(2578),
    [anon_sym_LBRACK] = ACTIONS(2576),
    [sym_glimmer_opening_tag] = ACTIONS(2576),
    [anon_sym_DQUOTE] = ACTIONS(2576),
    [anon_sym_SQUOTE] = ACTIONS(2576),
    [anon_sym_class] = ACTIONS(2578),
    [anon_sym_async] = ACTIONS(2578),
    [anon_sym_function] = ACTIONS(2578),
    [anon_sym_new] = ACTIONS(2578),
    [anon_sym_using] = ACTIONS(2578),
    [anon_sym_PLUS] = ACTIONS(2578),
    [anon_sym_DASH] = ACTIONS(2578),
    [anon_sym_SLASH] = ACTIONS(2578),
    [anon_sym_LT] = ACTIONS(2578),
    [anon_sym_TILDE] = ACTIONS(2576),
    [anon_sym_void] = ACTIONS(2578),
    [anon_sym_delete] = ACTIONS(2578),
    [anon_sym_PLUS_PLUS] = ACTIONS(2576),
    [anon_sym_DASH_DASH] = ACTIONS(2576),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2576),
    [sym_number] = ACTIONS(2576),
    [sym_private_property_identifier] = ACTIONS(2576),
    [sym_this] = ACTIONS(2578),
    [sym_super] = ACTIONS(2578),
    [sym_true] = ACTIONS(2578),
    [sym_false] = ACTIONS(2578),
    [sym_null] = ACTIONS(2578),
    [sym_undefined] = ACTIONS(2578),
    [anon_sym_AT] = ACTIONS(2576),
    [anon_sym_static] = ACTIONS(2578),
    [anon_sym_readonly] = ACTIONS(2578),
    [anon_sym_get] = ACTIONS(2578),
    [anon_sym_set] = ACTIONS(2578),
    [anon_sym_declare] = ACTIONS(2578),
    [anon_sym_public] = ACTIONS(2578),
    [anon_sym_private] = ACTIONS(2578),
    [anon_sym_protected] = ACTIONS(2578),
    [anon_sym_override] = ACTIONS(2578),
    [anon_sym_module] = ACTIONS(2578),
    [anon_sym_any] = ACTIONS(2578),
    [anon_sym_number] = ACTIONS(2578),
    [anon_sym_boolean] = ACTIONS(2578),
    [anon_sym_string] = ACTIONS(2578),
    [anon_sym_symbol] = ACTIONS(2578),
    [anon_sym_object] = ACTIONS(2578),
    [anon_sym_abstract] = ACTIONS(2578),
    [anon_sym_interface] = ACTIONS(2578),
    [anon_sym_enum] = ACTIONS(2578),
    [sym_html_comment] = ACTIONS(5),
  },
  [819] = {
    [ts_builtin_sym_end] = ACTIONS(2580),
    [sym_identifier] = ACTIONS(2582),
    [anon_sym_export] = ACTIONS(2582),
    [anon_sym_default] = ACTIONS(2582),
    [anon_sym_type] = ACTIONS(2582),
    [anon_sym_namespace] = ACTIONS(2582),
    [anon_sym_LBRACE] = ACTIONS(2580),
    [anon_sym_RBRACE] = ACTIONS(2580),
    [anon_sym_typeof] = ACTIONS(2582),
    [anon_sym_import] = ACTIONS(2582),
    [anon_sym_with] = ACTIONS(2582),
    [anon_sym_var] = ACTIONS(2582),
    [anon_sym_let] = ACTIONS(2582),
    [anon_sym_const] = ACTIONS(2582),
    [anon_sym_BANG] = ACTIONS(2580),
    [anon_sym_else] = ACTIONS(2582),
    [anon_sym_if] = ACTIONS(2582),
    [anon_sym_switch] = ACTIONS(2582),
    [anon_sym_for] = ACTIONS(2582),
    [anon_sym_LPAREN] = ACTIONS(2580),
    [anon_sym_SEMI] = ACTIONS(2580),
    [anon_sym_await] = ACTIONS(2582),
    [anon_sym_while] = ACTIONS(2582),
    [anon_sym_do] = ACTIONS(2582),
    [anon_sym_try] = ACTIONS(2582),
    [anon_sym_break] = ACTIONS(2582),
    [anon_sym_continue] = ACTIONS(2582),
    [anon_sym_debugger] = ACTIONS(2582),
    [anon_sym_return] = ACTIONS(2582),
    [anon_sym_throw] = ACTIONS(2582),
    [anon_sym_case] = ACTIONS(2582),
    [anon_sym_yield] = ACTIONS(2582),
    [anon_sym_LBRACK] = ACTIONS(2580),
    [sym_glimmer_opening_tag] = ACTIONS(2580),
    [anon_sym_DQUOTE] = ACTIONS(2580),
    [anon_sym_SQUOTE] = ACTIONS(2580),
    [anon_sym_class] = ACTIONS(2582),
    [anon_sym_async] = ACTIONS(2582),
    [anon_sym_function] = ACTIONS(2582),
    [anon_sym_new] = ACTIONS(2582),
    [anon_sym_using] = ACTIONS(2582),
    [anon_sym_PLUS] = ACTIONS(2582),
    [anon_sym_DASH] = ACTIONS(2582),
    [anon_sym_SLASH] = ACTIONS(2582),
    [anon_sym_LT] = ACTIONS(2582),
    [anon_sym_TILDE] = ACTIONS(2580),
    [anon_sym_void] = ACTIONS(2582),
    [anon_sym_delete] = ACTIONS(2582),
    [anon_sym_PLUS_PLUS] = ACTIONS(2580),
    [anon_sym_DASH_DASH] = ACTIONS(2580),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2580),
    [sym_number] = ACTIONS(2580),
    [sym_private_property_identifier] = ACTIONS(2580),
    [sym_this] = ACTIONS(2582),
    [sym_super] = ACTIONS(2582),
    [sym_true] = ACTIONS(2582),
    [sym_false] = ACTIONS(2582),
    [sym_null] = ACTIONS(2582),
    [sym_undefined] = ACTIONS(2582),
    [anon_sym_AT] = ACTIONS(2580),
    [anon_sym_static] = ACTIONS(2582),
    [anon_sym_readonly] = ACTIONS(2582),
    [anon_sym_get] = ACTIONS(2582),
    [anon_sym_set] = ACTIONS(2582),
    [anon_sym_declare] = ACTIONS(2582),
    [anon_sym_public] = ACTIONS(2582),
    [anon_sym_private] = ACTIONS(2582),
    [anon_sym_protected] = ACTIONS(2582),
    [anon_sym_override] = ACTIONS(2582),
    [anon_sym_module] = ACTIONS(2582),
    [anon_sym_any] = ACTIONS(2582),
    [anon_sym_number] = ACTIONS(2582),
    [anon_sym_boolean] = ACTIONS(2582),
    [anon_sym_string] = ACTIONS(2582),
    [anon_sym_symbol] = ACTIONS(2582),
    [anon_sym_object] = ACTIONS(2582),
    [anon_sym_abstract] = ACTIONS(2582),
    [anon_sym_interface] = ACTIONS(2582),
    [anon_sym_enum] = ACTIONS(2582),
    [sym_html_comment] = ACTIONS(5),
  },
  [820] = {
    [ts_builtin_sym_end] = ACTIONS(2584),
    [sym_identifier] = ACTIONS(2586),
    [anon_sym_export] = ACTIONS(2586),
    [anon_sym_default] = ACTIONS(2586),
    [anon_sym_type] = ACTIONS(2586),
    [anon_sym_namespace] = ACTIONS(2586),
    [anon_sym_LBRACE] = ACTIONS(2584),
    [anon_sym_RBRACE] = ACTIONS(2584),
    [anon_sym_typeof] = ACTIONS(2586),
    [anon_sym_import] = ACTIONS(2586),
    [anon_sym_with] = ACTIONS(2586),
    [anon_sym_var] = ACTIONS(2586),
    [anon_sym_let] = ACTIONS(2586),
    [anon_sym_const] = ACTIONS(2586),
    [anon_sym_BANG] = ACTIONS(2584),
    [anon_sym_else] = ACTIONS(2586),
    [anon_sym_if] = ACTIONS(2586),
    [anon_sym_switch] = ACTIONS(2586),
    [anon_sym_for] = ACTIONS(2586),
    [anon_sym_LPAREN] = ACTIONS(2584),
    [anon_sym_SEMI] = ACTIONS(2584),
    [anon_sym_await] = ACTIONS(2586),
    [anon_sym_while] = ACTIONS(2586),
    [anon_sym_do] = ACTIONS(2586),
    [anon_sym_try] = ACTIONS(2586),
    [anon_sym_break] = ACTIONS(2586),
    [anon_sym_continue] = ACTIONS(2586),
    [anon_sym_debugger] = ACTIONS(2586),
    [anon_sym_return] = ACTIONS(2586),
    [anon_sym_throw] = ACTIONS(2586),
    [anon_sym_case] = ACTIONS(2586),
    [anon_sym_yield] = ACTIONS(2586),
    [anon_sym_LBRACK] = ACTIONS(2584),
    [sym_glimmer_opening_tag] = ACTIONS(2584),
    [anon_sym_DQUOTE] = ACTIONS(2584),
    [anon_sym_SQUOTE] = ACTIONS(2584),
    [anon_sym_class] = ACTIONS(2586),
    [anon_sym_async] = ACTIONS(2586),
    [anon_sym_function] = ACTIONS(2586),
    [anon_sym_new] = ACTIONS(2586),
    [anon_sym_using] = ACTIONS(2586),
    [anon_sym_PLUS] = ACTIONS(2586),
    [anon_sym_DASH] = ACTIONS(2586),
    [anon_sym_SLASH] = ACTIONS(2586),
    [anon_sym_LT] = ACTIONS(2586),
    [anon_sym_TILDE] = ACTIONS(2584),
    [anon_sym_void] = ACTIONS(2586),
    [anon_sym_delete] = ACTIONS(2586),
    [anon_sym_PLUS_PLUS] = ACTIONS(2584),
    [anon_sym_DASH_DASH] = ACTIONS(2584),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2584),
    [sym_number] = ACTIONS(2584),
    [sym_private_property_identifier] = ACTIONS(2584),
    [sym_this] = ACTIONS(2586),
    [sym_super] = ACTIONS(2586),
    [sym_true] = ACTIONS(2586),
    [sym_false] = ACTIONS(2586),
    [sym_null] = ACTIONS(2586),
    [sym_undefined] = ACTIONS(2586),
    [anon_sym_AT] = ACTIONS(2584),
    [anon_sym_static] = ACTIONS(2586),
    [anon_sym_readonly] = ACTIONS(2586),
    [anon_sym_get] = ACTIONS(2586),
    [anon_sym_set] = ACTIONS(2586),
    [anon_sym_declare] = ACTIONS(2586),
    [anon_sym_public] = ACTIONS(2586),
    [anon_sym_private] = ACTIONS(2586),
    [anon_sym_protected] = ACTIONS(2586),
    [anon_sym_override] = ACTIONS(2586),
    [anon_sym_module] = ACTIONS(2586),
    [anon_sym_any] = ACTIONS(2586),
    [anon_sym_number] = ACTIONS(2586),
    [anon_sym_boolean] = ACTIONS(2586),
    [anon_sym_string] = ACTIONS(2586),
    [anon_sym_symbol] = ACTIONS(2586),
    [anon_sym_object] = ACTIONS(2586),
    [anon_sym_abstract] = ACTIONS(2586),
    [anon_sym_interface] = ACTIONS(2586),
    [anon_sym_enum] = ACTIONS(2586),
    [sym_html_comment] = ACTIONS(5),
  },
  [821] = {
    [ts_builtin_sym_end] = ACTIONS(2588),
    [sym_identifier] = ACTIONS(2590),
    [anon_sym_export] = ACTIONS(2590),
    [anon_sym_default] = ACTIONS(2590),
    [anon_sym_type] = ACTIONS(2590),
    [anon_sym_namespace] = ACTIONS(2590),
    [anon_sym_LBRACE] = ACTIONS(2588),
    [anon_sym_RBRACE] = ACTIONS(2588),
    [anon_sym_typeof] = ACTIONS(2590),
    [anon_sym_import] = ACTIONS(2590),
    [anon_sym_with] = ACTIONS(2590),
    [anon_sym_var] = ACTIONS(2590),
    [anon_sym_let] = ACTIONS(2590),
    [anon_sym_const] = ACTIONS(2590),
    [anon_sym_BANG] = ACTIONS(2588),
    [anon_sym_else] = ACTIONS(2590),
    [anon_sym_if] = ACTIONS(2590),
    [anon_sym_switch] = ACTIONS(2590),
    [anon_sym_for] = ACTIONS(2590),
    [anon_sym_LPAREN] = ACTIONS(2588),
    [anon_sym_SEMI] = ACTIONS(2588),
    [anon_sym_await] = ACTIONS(2590),
    [anon_sym_while] = ACTIONS(2590),
    [anon_sym_do] = ACTIONS(2590),
    [anon_sym_try] = ACTIONS(2590),
    [anon_sym_break] = ACTIONS(2590),
    [anon_sym_continue] = ACTIONS(2590),
    [anon_sym_debugger] = ACTIONS(2590),
    [anon_sym_return] = ACTIONS(2590),
    [anon_sym_throw] = ACTIONS(2590),
    [anon_sym_case] = ACTIONS(2590),
    [anon_sym_yield] = ACTIONS(2590),
    [anon_sym_LBRACK] = ACTIONS(2588),
    [sym_glimmer_opening_tag] = ACTIONS(2588),
    [anon_sym_DQUOTE] = ACTIONS(2588),
    [anon_sym_SQUOTE] = ACTIONS(2588),
    [anon_sym_class] = ACTIONS(2590),
    [anon_sym_async] = ACTIONS(2590),
    [anon_sym_function] = ACTIONS(2590),
    [anon_sym_new] = ACTIONS(2590),
    [anon_sym_using] = ACTIONS(2590),
    [anon_sym_PLUS] = ACTIONS(2590),
    [anon_sym_DASH] = ACTIONS(2590),
    [anon_sym_SLASH] = ACTIONS(2590),
    [anon_sym_LT] = ACTIONS(2590),
    [anon_sym_TILDE] = ACTIONS(2588),
    [anon_sym_void] = ACTIONS(2590),
    [anon_sym_delete] = ACTIONS(2590),
    [anon_sym_PLUS_PLUS] = ACTIONS(2588),
    [anon_sym_DASH_DASH] = ACTIONS(2588),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2588),
    [sym_number] = ACTIONS(2588),
    [sym_private_property_identifier] = ACTIONS(2588),
    [sym_this] = ACTIONS(2590),
    [sym_super] = ACTIONS(2590),
    [sym_true] = ACTIONS(2590),
    [sym_false] = ACTIONS(2590),
    [sym_null] = ACTIONS(2590),
    [sym_undefined] = ACTIONS(2590),
    [anon_sym_AT] = ACTIONS(2588),
    [anon_sym_static] = ACTIONS(2590),
    [anon_sym_readonly] = ACTIONS(2590),
    [anon_sym_get] = ACTIONS(2590),
    [anon_sym_set] = ACTIONS(2590),
    [anon_sym_declare] = ACTIONS(2590),
    [anon_sym_public] = ACTIONS(2590),
    [anon_sym_private] = ACTIONS(2590),
    [anon_sym_protected] = ACTIONS(2590),
    [anon_sym_override] = ACTIONS(2590),
    [anon_sym_module] = ACTIONS(2590),
    [anon_sym_any] = ACTIONS(2590),
    [anon_sym_number] = ACTIONS(2590),
    [anon_sym_boolean] = ACTIONS(2590),
    [anon_sym_string] = ACTIONS(2590),
    [anon_sym_symbol] = ACTIONS(2590),
    [anon_sym_object] = ACTIONS(2590),
    [anon_sym_abstract] = ACTIONS(2590),
    [anon_sym_interface] = ACTIONS(2590),
    [anon_sym_enum] = ACTIONS(2590),
    [sym_html_comment] = ACTIONS(5),
  },
  [822] = {
    [ts_builtin_sym_end] = ACTIONS(2592),
    [sym_identifier] = ACTIONS(2594),
    [anon_sym_export] = ACTIONS(2594),
    [anon_sym_default] = ACTIONS(2594),
    [anon_sym_type] = ACTIONS(2594),
    [anon_sym_namespace] = ACTIONS(2594),
    [anon_sym_LBRACE] = ACTIONS(2592),
    [anon_sym_RBRACE] = ACTIONS(2592),
    [anon_sym_typeof] = ACTIONS(2594),
    [anon_sym_import] = ACTIONS(2594),
    [anon_sym_with] = ACTIONS(2594),
    [anon_sym_var] = ACTIONS(2594),
    [anon_sym_let] = ACTIONS(2594),
    [anon_sym_const] = ACTIONS(2594),
    [anon_sym_BANG] = ACTIONS(2592),
    [anon_sym_else] = ACTIONS(2594),
    [anon_sym_if] = ACTIONS(2594),
    [anon_sym_switch] = ACTIONS(2594),
    [anon_sym_for] = ACTIONS(2594),
    [anon_sym_LPAREN] = ACTIONS(2592),
    [anon_sym_SEMI] = ACTIONS(2592),
    [anon_sym_await] = ACTIONS(2594),
    [anon_sym_while] = ACTIONS(2594),
    [anon_sym_do] = ACTIONS(2594),
    [anon_sym_try] = ACTIONS(2594),
    [anon_sym_break] = ACTIONS(2594),
    [anon_sym_continue] = ACTIONS(2594),
    [anon_sym_debugger] = ACTIONS(2594),
    [anon_sym_return] = ACTIONS(2594),
    [anon_sym_throw] = ACTIONS(2594),
    [anon_sym_case] = ACTIONS(2594),
    [anon_sym_yield] = ACTIONS(2594),
    [anon_sym_LBRACK] = ACTIONS(2592),
    [sym_glimmer_opening_tag] = ACTIONS(2592),
    [anon_sym_DQUOTE] = ACTIONS(2592),
    [anon_sym_SQUOTE] = ACTIONS(2592),
    [anon_sym_class] = ACTIONS(2594),
    [anon_sym_async] = ACTIONS(2594),
    [anon_sym_function] = ACTIONS(2594),
    [anon_sym_new] = ACTIONS(2594),
    [anon_sym_using] = ACTIONS(2594),
    [anon_sym_PLUS] = ACTIONS(2594),
    [anon_sym_DASH] = ACTIONS(2594),
    [anon_sym_SLASH] = ACTIONS(2594),
    [anon_sym_LT] = ACTIONS(2594),
    [anon_sym_TILDE] = ACTIONS(2592),
    [anon_sym_void] = ACTIONS(2594),
    [anon_sym_delete] = ACTIONS(2594),
    [anon_sym_PLUS_PLUS] = ACTIONS(2592),
    [anon_sym_DASH_DASH] = ACTIONS(2592),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2592),
    [sym_number] = ACTIONS(2592),
    [sym_private_property_identifier] = ACTIONS(2592),
    [sym_this] = ACTIONS(2594),
    [sym_super] = ACTIONS(2594),
    [sym_true] = ACTIONS(2594),
    [sym_false] = ACTIONS(2594),
    [sym_null] = ACTIONS(2594),
    [sym_undefined] = ACTIONS(2594),
    [anon_sym_AT] = ACTIONS(2592),
    [anon_sym_static] = ACTIONS(2594),
    [anon_sym_readonly] = ACTIONS(2594),
    [anon_sym_get] = ACTIONS(2594),
    [anon_sym_set] = ACTIONS(2594),
    [anon_sym_declare] = ACTIONS(2594),
    [anon_sym_public] = ACTIONS(2594),
    [anon_sym_private] = ACTIONS(2594),
    [anon_sym_protected] = ACTIONS(2594),
    [anon_sym_override] = ACTIONS(2594),
    [anon_sym_module] = ACTIONS(2594),
    [anon_sym_any] = ACTIONS(2594),
    [anon_sym_number] = ACTIONS(2594),
    [anon_sym_boolean] = ACTIONS(2594),
    [anon_sym_string] = ACTIONS(2594),
    [anon_sym_symbol] = ACTIONS(2594),
    [anon_sym_object] = ACTIONS(2594),
    [anon_sym_abstract] = ACTIONS(2594),
    [anon_sym_interface] = ACTIONS(2594),
    [anon_sym_enum] = ACTIONS(2594),
    [sym_html_comment] = ACTIONS(5),
  },
  [823] = {
    [ts_builtin_sym_end] = ACTIONS(2544),
    [sym_identifier] = ACTIONS(2546),
    [anon_sym_export] = ACTIONS(2546),
    [anon_sym_default] = ACTIONS(2546),
    [anon_sym_type] = ACTIONS(2546),
    [anon_sym_namespace] = ACTIONS(2546),
    [anon_sym_LBRACE] = ACTIONS(2544),
    [anon_sym_RBRACE] = ACTIONS(2544),
    [anon_sym_typeof] = ACTIONS(2546),
    [anon_sym_import] = ACTIONS(2546),
    [anon_sym_with] = ACTIONS(2546),
    [anon_sym_var] = ACTIONS(2546),
    [anon_sym_let] = ACTIONS(2546),
    [anon_sym_const] = ACTIONS(2546),
    [anon_sym_BANG] = ACTIONS(2544),
    [anon_sym_else] = ACTIONS(2546),
    [anon_sym_if] = ACTIONS(2546),
    [anon_sym_switch] = ACTIONS(2546),
    [anon_sym_for] = ACTIONS(2546),
    [anon_sym_LPAREN] = ACTIONS(2544),
    [anon_sym_SEMI] = ACTIONS(2544),
    [anon_sym_await] = ACTIONS(2546),
    [anon_sym_while] = ACTIONS(2546),
    [anon_sym_do] = ACTIONS(2546),
    [anon_sym_try] = ACTIONS(2546),
    [anon_sym_break] = ACTIONS(2546),
    [anon_sym_continue] = ACTIONS(2546),
    [anon_sym_debugger] = ACTIONS(2546),
    [anon_sym_return] = ACTIONS(2546),
    [anon_sym_throw] = ACTIONS(2546),
    [anon_sym_case] = ACTIONS(2546),
    [anon_sym_yield] = ACTIONS(2546),
    [anon_sym_LBRACK] = ACTIONS(2544),
    [sym_glimmer_opening_tag] = ACTIONS(2544),
    [anon_sym_DQUOTE] = ACTIONS(2544),
    [anon_sym_SQUOTE] = ACTIONS(2544),
    [anon_sym_class] = ACTIONS(2546),
    [anon_sym_async] = ACTIONS(2546),
    [anon_sym_function] = ACTIONS(2546),
    [anon_sym_new] = ACTIONS(2546),
    [anon_sym_using] = ACTIONS(2546),
    [anon_sym_PLUS] = ACTIONS(2546),
    [anon_sym_DASH] = ACTIONS(2546),
    [anon_sym_SLASH] = ACTIONS(2546),
    [anon_sym_LT] = ACTIONS(2546),
    [anon_sym_TILDE] = ACTIONS(2544),
    [anon_sym_void] = ACTIONS(2546),
    [anon_sym_delete] = ACTIONS(2546),
    [anon_sym_PLUS_PLUS] = ACTIONS(2544),
    [anon_sym_DASH_DASH] = ACTIONS(2544),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2544),
    [sym_number] = ACTIONS(2544),
    [sym_private_property_identifier] = ACTIONS(2544),
    [sym_this] = ACTIONS(2546),
    [sym_super] = ACTIONS(2546),
    [sym_true] = ACTIONS(2546),
    [sym_false] = ACTIONS(2546),
    [sym_null] = ACTIONS(2546),
    [sym_undefined] = ACTIONS(2546),
    [anon_sym_AT] = ACTIONS(2544),
    [anon_sym_static] = ACTIONS(2546),
    [anon_sym_readonly] = ACTIONS(2546),
    [anon_sym_get] = ACTIONS(2546),
    [anon_sym_set] = ACTIONS(2546),
    [anon_sym_declare] = ACTIONS(2546),
    [anon_sym_public] = ACTIONS(2546),
    [anon_sym_private] = ACTIONS(2546),
    [anon_sym_protected] = ACTIONS(2546),
    [anon_sym_override] = ACTIONS(2546),
    [anon_sym_module] = ACTIONS(2546),
    [anon_sym_any] = ACTIONS(2546),
    [anon_sym_number] = ACTIONS(2546),
    [anon_sym_boolean] = ACTIONS(2546),
    [anon_sym_string] = ACTIONS(2546),
    [anon_sym_symbol] = ACTIONS(2546),
    [anon_sym_object] = ACTIONS(2546),
    [anon_sym_abstract] = ACTIONS(2546),
    [anon_sym_interface] = ACTIONS(2546),
    [anon_sym_enum] = ACTIONS(2546),
    [sym_html_comment] = ACTIONS(5),
  },
  [824] = {
    [ts_builtin_sym_end] = ACTIONS(1885),
    [sym_identifier] = ACTIONS(1887),
    [anon_sym_export] = ACTIONS(1887),
    [anon_sym_default] = ACTIONS(1887),
    [anon_sym_type] = ACTIONS(1887),
    [anon_sym_namespace] = ACTIONS(1887),
    [anon_sym_LBRACE] = ACTIONS(1885),
    [anon_sym_RBRACE] = ACTIONS(1885),
    [anon_sym_typeof] = ACTIONS(1887),
    [anon_sym_import] = ACTIONS(1887),
    [anon_sym_with] = ACTIONS(1887),
    [anon_sym_var] = ACTIONS(1887),
    [anon_sym_let] = ACTIONS(1887),
    [anon_sym_const] = ACTIONS(1887),
    [anon_sym_BANG] = ACTIONS(1885),
    [anon_sym_else] = ACTIONS(1887),
    [anon_sym_if] = ACTIONS(1887),
    [anon_sym_switch] = ACTIONS(1887),
    [anon_sym_for] = ACTIONS(1887),
    [anon_sym_LPAREN] = ACTIONS(1885),
    [anon_sym_SEMI] = ACTIONS(1885),
    [anon_sym_await] = ACTIONS(1887),
    [anon_sym_while] = ACTIONS(1887),
    [anon_sym_do] = ACTIONS(1887),
    [anon_sym_try] = ACTIONS(1887),
    [anon_sym_break] = ACTIONS(1887),
    [anon_sym_continue] = ACTIONS(1887),
    [anon_sym_debugger] = ACTIONS(1887),
    [anon_sym_return] = ACTIONS(1887),
    [anon_sym_throw] = ACTIONS(1887),
    [anon_sym_case] = ACTIONS(1887),
    [anon_sym_yield] = ACTIONS(1887),
    [anon_sym_LBRACK] = ACTIONS(1885),
    [sym_glimmer_opening_tag] = ACTIONS(1885),
    [anon_sym_DQUOTE] = ACTIONS(1885),
    [anon_sym_SQUOTE] = ACTIONS(1885),
    [anon_sym_class] = ACTIONS(1887),
    [anon_sym_async] = ACTIONS(1887),
    [anon_sym_function] = ACTIONS(1887),
    [anon_sym_new] = ACTIONS(1887),
    [anon_sym_using] = ACTIONS(1887),
    [anon_sym_PLUS] = ACTIONS(1887),
    [anon_sym_DASH] = ACTIONS(1887),
    [anon_sym_SLASH] = ACTIONS(1887),
    [anon_sym_LT] = ACTIONS(1887),
    [anon_sym_TILDE] = ACTIONS(1885),
    [anon_sym_void] = ACTIONS(1887),
    [anon_sym_delete] = ACTIONS(1887),
    [anon_sym_PLUS_PLUS] = ACTIONS(1885),
    [anon_sym_DASH_DASH] = ACTIONS(1885),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1885),
    [sym_number] = ACTIONS(1885),
    [sym_private_property_identifier] = ACTIONS(1885),
    [sym_this] = ACTIONS(1887),
    [sym_super] = ACTIONS(1887),
    [sym_true] = ACTIONS(1887),
    [sym_false] = ACTIONS(1887),
    [sym_null] = ACTIONS(1887),
    [sym_undefined] = ACTIONS(1887),
    [anon_sym_AT] = ACTIONS(1885),
    [anon_sym_static] = ACTIONS(1887),
    [anon_sym_readonly] = ACTIONS(1887),
    [anon_sym_get] = ACTIONS(1887),
    [anon_sym_set] = ACTIONS(1887),
    [anon_sym_declare] = ACTIONS(1887),
    [anon_sym_public] = ACTIONS(1887),
    [anon_sym_private] = ACTIONS(1887),
    [anon_sym_protected] = ACTIONS(1887),
    [anon_sym_override] = ACTIONS(1887),
    [anon_sym_module] = ACTIONS(1887),
    [anon_sym_any] = ACTIONS(1887),
    [anon_sym_number] = ACTIONS(1887),
    [anon_sym_boolean] = ACTIONS(1887),
    [anon_sym_string] = ACTIONS(1887),
    [anon_sym_symbol] = ACTIONS(1887),
    [anon_sym_object] = ACTIONS(1887),
    [anon_sym_abstract] = ACTIONS(1887),
    [anon_sym_interface] = ACTIONS(1887),
    [anon_sym_enum] = ACTIONS(1887),
    [sym_html_comment] = ACTIONS(5),
  },
  [825] = {
    [ts_builtin_sym_end] = ACTIONS(2596),
    [sym_identifier] = ACTIONS(2598),
    [anon_sym_export] = ACTIONS(2598),
    [anon_sym_default] = ACTIONS(2598),
    [anon_sym_type] = ACTIONS(2598),
    [anon_sym_namespace] = ACTIONS(2598),
    [anon_sym_LBRACE] = ACTIONS(2596),
    [anon_sym_RBRACE] = ACTIONS(2596),
    [anon_sym_typeof] = ACTIONS(2598),
    [anon_sym_import] = ACTIONS(2598),
    [anon_sym_with] = ACTIONS(2598),
    [anon_sym_var] = ACTIONS(2598),
    [anon_sym_let] = ACTIONS(2598),
    [anon_sym_const] = ACTIONS(2598),
    [anon_sym_BANG] = ACTIONS(2596),
    [anon_sym_else] = ACTIONS(2598),
    [anon_sym_if] = ACTIONS(2598),
    [anon_sym_switch] = ACTIONS(2598),
    [anon_sym_for] = ACTIONS(2598),
    [anon_sym_LPAREN] = ACTIONS(2596),
    [anon_sym_SEMI] = ACTIONS(2596),
    [anon_sym_await] = ACTIONS(2598),
    [anon_sym_while] = ACTIONS(2598),
    [anon_sym_do] = ACTIONS(2598),
    [anon_sym_try] = ACTIONS(2598),
    [anon_sym_break] = ACTIONS(2598),
    [anon_sym_continue] = ACTIONS(2598),
    [anon_sym_debugger] = ACTIONS(2598),
    [anon_sym_return] = ACTIONS(2598),
    [anon_sym_throw] = ACTIONS(2598),
    [anon_sym_case] = ACTIONS(2598),
    [anon_sym_yield] = ACTIONS(2598),
    [anon_sym_LBRACK] = ACTIONS(2596),
    [sym_glimmer_opening_tag] = ACTIONS(2596),
    [anon_sym_DQUOTE] = ACTIONS(2596),
    [anon_sym_SQUOTE] = ACTIONS(2596),
    [anon_sym_class] = ACTIONS(2598),
    [anon_sym_async] = ACTIONS(2598),
    [anon_sym_function] = ACTIONS(2598),
    [anon_sym_new] = ACTIONS(2598),
    [anon_sym_using] = ACTIONS(2598),
    [anon_sym_PLUS] = ACTIONS(2598),
    [anon_sym_DASH] = ACTIONS(2598),
    [anon_sym_SLASH] = ACTIONS(2598),
    [anon_sym_LT] = ACTIONS(2598),
    [anon_sym_TILDE] = ACTIONS(2596),
    [anon_sym_void] = ACTIONS(2598),
    [anon_sym_delete] = ACTIONS(2598),
    [anon_sym_PLUS_PLUS] = ACTIONS(2596),
    [anon_sym_DASH_DASH] = ACTIONS(2596),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2596),
    [sym_number] = ACTIONS(2596),
    [sym_private_property_identifier] = ACTIONS(2596),
    [sym_this] = ACTIONS(2598),
    [sym_super] = ACTIONS(2598),
    [sym_true] = ACTIONS(2598),
    [sym_false] = ACTIONS(2598),
    [sym_null] = ACTIONS(2598),
    [sym_undefined] = ACTIONS(2598),
    [anon_sym_AT] = ACTIONS(2596),
    [anon_sym_static] = ACTIONS(2598),
    [anon_sym_readonly] = ACTIONS(2598),
    [anon_sym_get] = ACTIONS(2598),
    [anon_sym_set] = ACTIONS(2598),
    [anon_sym_declare] = ACTIONS(2598),
    [anon_sym_public] = ACTIONS(2598),
    [anon_sym_private] = ACTIONS(2598),
    [anon_sym_protected] = ACTIONS(2598),
    [anon_sym_override] = ACTIONS(2598),
    [anon_sym_module] = ACTIONS(2598),
    [anon_sym_any] = ACTIONS(2598),
    [anon_sym_number] = ACTIONS(2598),
    [anon_sym_boolean] = ACTIONS(2598),
    [anon_sym_string] = ACTIONS(2598),
    [anon_sym_symbol] = ACTIONS(2598),
    [anon_sym_object] = ACTIONS(2598),
    [anon_sym_abstract] = ACTIONS(2598),
    [anon_sym_interface] = ACTIONS(2598),
    [anon_sym_enum] = ACTIONS(2598),
    [sym_html_comment] = ACTIONS(5),
  },
  [826] = {
    [ts_builtin_sym_end] = ACTIONS(2600),
    [sym_identifier] = ACTIONS(2602),
    [anon_sym_export] = ACTIONS(2602),
    [anon_sym_default] = ACTIONS(2602),
    [anon_sym_type] = ACTIONS(2602),
    [anon_sym_namespace] = ACTIONS(2602),
    [anon_sym_LBRACE] = ACTIONS(2600),
    [anon_sym_RBRACE] = ACTIONS(2600),
    [anon_sym_typeof] = ACTIONS(2602),
    [anon_sym_import] = ACTIONS(2602),
    [anon_sym_with] = ACTIONS(2602),
    [anon_sym_var] = ACTIONS(2602),
    [anon_sym_let] = ACTIONS(2602),
    [anon_sym_const] = ACTIONS(2602),
    [anon_sym_BANG] = ACTIONS(2600),
    [anon_sym_else] = ACTIONS(2602),
    [anon_sym_if] = ACTIONS(2602),
    [anon_sym_switch] = ACTIONS(2602),
    [anon_sym_for] = ACTIONS(2602),
    [anon_sym_LPAREN] = ACTIONS(2600),
    [anon_sym_SEMI] = ACTIONS(2600),
    [anon_sym_await] = ACTIONS(2602),
    [anon_sym_while] = ACTIONS(2602),
    [anon_sym_do] = ACTIONS(2602),
    [anon_sym_try] = ACTIONS(2602),
    [anon_sym_break] = ACTIONS(2602),
    [anon_sym_continue] = ACTIONS(2602),
    [anon_sym_debugger] = ACTIONS(2602),
    [anon_sym_return] = ACTIONS(2602),
    [anon_sym_throw] = ACTIONS(2602),
    [anon_sym_case] = ACTIONS(2602),
    [anon_sym_yield] = ACTIONS(2602),
    [anon_sym_LBRACK] = ACTIONS(2600),
    [sym_glimmer_opening_tag] = ACTIONS(2600),
    [anon_sym_DQUOTE] = ACTIONS(2600),
    [anon_sym_SQUOTE] = ACTIONS(2600),
    [anon_sym_class] = ACTIONS(2602),
    [anon_sym_async] = ACTIONS(2602),
    [anon_sym_function] = ACTIONS(2602),
    [anon_sym_new] = ACTIONS(2602),
    [anon_sym_using] = ACTIONS(2602),
    [anon_sym_PLUS] = ACTIONS(2602),
    [anon_sym_DASH] = ACTIONS(2602),
    [anon_sym_SLASH] = ACTIONS(2602),
    [anon_sym_LT] = ACTIONS(2602),
    [anon_sym_TILDE] = ACTIONS(2600),
    [anon_sym_void] = ACTIONS(2602),
    [anon_sym_delete] = ACTIONS(2602),
    [anon_sym_PLUS_PLUS] = ACTIONS(2600),
    [anon_sym_DASH_DASH] = ACTIONS(2600),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2600),
    [sym_number] = ACTIONS(2600),
    [sym_private_property_identifier] = ACTIONS(2600),
    [sym_this] = ACTIONS(2602),
    [sym_super] = ACTIONS(2602),
    [sym_true] = ACTIONS(2602),
    [sym_false] = ACTIONS(2602),
    [sym_null] = ACTIONS(2602),
    [sym_undefined] = ACTIONS(2602),
    [anon_sym_AT] = ACTIONS(2600),
    [anon_sym_static] = ACTIONS(2602),
    [anon_sym_readonly] = ACTIONS(2602),
    [anon_sym_get] = ACTIONS(2602),
    [anon_sym_set] = ACTIONS(2602),
    [anon_sym_declare] = ACTIONS(2602),
    [anon_sym_public] = ACTIONS(2602),
    [anon_sym_private] = ACTIONS(2602),
    [anon_sym_protected] = ACTIONS(2602),
    [anon_sym_override] = ACTIONS(2602),
    [anon_sym_module] = ACTIONS(2602),
    [anon_sym_any] = ACTIONS(2602),
    [anon_sym_number] = ACTIONS(2602),
    [anon_sym_boolean] = ACTIONS(2602),
    [anon_sym_string] = ACTIONS(2602),
    [anon_sym_symbol] = ACTIONS(2602),
    [anon_sym_object] = ACTIONS(2602),
    [anon_sym_abstract] = ACTIONS(2602),
    [anon_sym_interface] = ACTIONS(2602),
    [anon_sym_enum] = ACTIONS(2602),
    [sym_html_comment] = ACTIONS(5),
  },
  [827] = {
    [ts_builtin_sym_end] = ACTIONS(2604),
    [sym_identifier] = ACTIONS(2606),
    [anon_sym_export] = ACTIONS(2606),
    [anon_sym_default] = ACTIONS(2606),
    [anon_sym_type] = ACTIONS(2606),
    [anon_sym_namespace] = ACTIONS(2606),
    [anon_sym_LBRACE] = ACTIONS(2604),
    [anon_sym_RBRACE] = ACTIONS(2604),
    [anon_sym_typeof] = ACTIONS(2606),
    [anon_sym_import] = ACTIONS(2606),
    [anon_sym_with] = ACTIONS(2606),
    [anon_sym_var] = ACTIONS(2606),
    [anon_sym_let] = ACTIONS(2606),
    [anon_sym_const] = ACTIONS(2606),
    [anon_sym_BANG] = ACTIONS(2604),
    [anon_sym_else] = ACTIONS(2606),
    [anon_sym_if] = ACTIONS(2606),
    [anon_sym_switch] = ACTIONS(2606),
    [anon_sym_for] = ACTIONS(2606),
    [anon_sym_LPAREN] = ACTIONS(2604),
    [anon_sym_SEMI] = ACTIONS(2604),
    [anon_sym_await] = ACTIONS(2606),
    [anon_sym_while] = ACTIONS(2606),
    [anon_sym_do] = ACTIONS(2606),
    [anon_sym_try] = ACTIONS(2606),
    [anon_sym_break] = ACTIONS(2606),
    [anon_sym_continue] = ACTIONS(2606),
    [anon_sym_debugger] = ACTIONS(2606),
    [anon_sym_return] = ACTIONS(2606),
    [anon_sym_throw] = ACTIONS(2606),
    [anon_sym_case] = ACTIONS(2606),
    [anon_sym_yield] = ACTIONS(2606),
    [anon_sym_LBRACK] = ACTIONS(2604),
    [sym_glimmer_opening_tag] = ACTIONS(2604),
    [anon_sym_DQUOTE] = ACTIONS(2604),
    [anon_sym_SQUOTE] = ACTIONS(2604),
    [anon_sym_class] = ACTIONS(2606),
    [anon_sym_async] = ACTIONS(2606),
    [anon_sym_function] = ACTIONS(2606),
    [anon_sym_new] = ACTIONS(2606),
    [anon_sym_using] = ACTIONS(2606),
    [anon_sym_PLUS] = ACTIONS(2606),
    [anon_sym_DASH] = ACTIONS(2606),
    [anon_sym_SLASH] = ACTIONS(2606),
    [anon_sym_LT] = ACTIONS(2606),
    [anon_sym_TILDE] = ACTIONS(2604),
    [anon_sym_void] = ACTIONS(2606),
    [anon_sym_delete] = ACTIONS(2606),
    [anon_sym_PLUS_PLUS] = ACTIONS(2604),
    [anon_sym_DASH_DASH] = ACTIONS(2604),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2604),
    [sym_number] = ACTIONS(2604),
    [sym_private_property_identifier] = ACTIONS(2604),
    [sym_this] = ACTIONS(2606),
    [sym_super] = ACTIONS(2606),
    [sym_true] = ACTIONS(2606),
    [sym_false] = ACTIONS(2606),
    [sym_null] = ACTIONS(2606),
    [sym_undefined] = ACTIONS(2606),
    [anon_sym_AT] = ACTIONS(2604),
    [anon_sym_static] = ACTIONS(2606),
    [anon_sym_readonly] = ACTIONS(2606),
    [anon_sym_get] = ACTIONS(2606),
    [anon_sym_set] = ACTIONS(2606),
    [anon_sym_declare] = ACTIONS(2606),
    [anon_sym_public] = ACTIONS(2606),
    [anon_sym_private] = ACTIONS(2606),
    [anon_sym_protected] = ACTIONS(2606),
    [anon_sym_override] = ACTIONS(2606),
    [anon_sym_module] = ACTIONS(2606),
    [anon_sym_any] = ACTIONS(2606),
    [anon_sym_number] = ACTIONS(2606),
    [anon_sym_boolean] = ACTIONS(2606),
    [anon_sym_string] = ACTIONS(2606),
    [anon_sym_symbol] = ACTIONS(2606),
    [anon_sym_object] = ACTIONS(2606),
    [anon_sym_abstract] = ACTIONS(2606),
    [anon_sym_interface] = ACTIONS(2606),
    [anon_sym_enum] = ACTIONS(2606),
    [sym_html_comment] = ACTIONS(5),
  },
  [828] = {
    [ts_builtin_sym_end] = ACTIONS(2572),
    [sym_identifier] = ACTIONS(2574),
    [anon_sym_export] = ACTIONS(2574),
    [anon_sym_default] = ACTIONS(2574),
    [anon_sym_type] = ACTIONS(2574),
    [anon_sym_namespace] = ACTIONS(2574),
    [anon_sym_LBRACE] = ACTIONS(2572),
    [anon_sym_RBRACE] = ACTIONS(2572),
    [anon_sym_typeof] = ACTIONS(2574),
    [anon_sym_import] = ACTIONS(2574),
    [anon_sym_with] = ACTIONS(2574),
    [anon_sym_var] = ACTIONS(2574),
    [anon_sym_let] = ACTIONS(2574),
    [anon_sym_const] = ACTIONS(2574),
    [anon_sym_BANG] = ACTIONS(2572),
    [anon_sym_else] = ACTIONS(2574),
    [anon_sym_if] = ACTIONS(2574),
    [anon_sym_switch] = ACTIONS(2574),
    [anon_sym_for] = ACTIONS(2574),
    [anon_sym_LPAREN] = ACTIONS(2572),
    [anon_sym_SEMI] = ACTIONS(2572),
    [anon_sym_await] = ACTIONS(2574),
    [anon_sym_while] = ACTIONS(2574),
    [anon_sym_do] = ACTIONS(2574),
    [anon_sym_try] = ACTIONS(2574),
    [anon_sym_break] = ACTIONS(2574),
    [anon_sym_continue] = ACTIONS(2574),
    [anon_sym_debugger] = ACTIONS(2574),
    [anon_sym_return] = ACTIONS(2574),
    [anon_sym_throw] = ACTIONS(2574),
    [anon_sym_case] = ACTIONS(2574),
    [anon_sym_yield] = ACTIONS(2574),
    [anon_sym_LBRACK] = ACTIONS(2572),
    [sym_glimmer_opening_tag] = ACTIONS(2572),
    [anon_sym_DQUOTE] = ACTIONS(2572),
    [anon_sym_SQUOTE] = ACTIONS(2572),
    [anon_sym_class] = ACTIONS(2574),
    [anon_sym_async] = ACTIONS(2574),
    [anon_sym_function] = ACTIONS(2574),
    [anon_sym_new] = ACTIONS(2574),
    [anon_sym_using] = ACTIONS(2574),
    [anon_sym_PLUS] = ACTIONS(2574),
    [anon_sym_DASH] = ACTIONS(2574),
    [anon_sym_SLASH] = ACTIONS(2574),
    [anon_sym_LT] = ACTIONS(2574),
    [anon_sym_TILDE] = ACTIONS(2572),
    [anon_sym_void] = ACTIONS(2574),
    [anon_sym_delete] = ACTIONS(2574),
    [anon_sym_PLUS_PLUS] = ACTIONS(2572),
    [anon_sym_DASH_DASH] = ACTIONS(2572),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2572),
    [sym_number] = ACTIONS(2572),
    [sym_private_property_identifier] = ACTIONS(2572),
    [sym_this] = ACTIONS(2574),
    [sym_super] = ACTIONS(2574),
    [sym_true] = ACTIONS(2574),
    [sym_false] = ACTIONS(2574),
    [sym_null] = ACTIONS(2574),
    [sym_undefined] = ACTIONS(2574),
    [anon_sym_AT] = ACTIONS(2572),
    [anon_sym_static] = ACTIONS(2574),
    [anon_sym_readonly] = ACTIONS(2574),
    [anon_sym_get] = ACTIONS(2574),
    [anon_sym_set] = ACTIONS(2574),
    [anon_sym_declare] = ACTIONS(2574),
    [anon_sym_public] = ACTIONS(2574),
    [anon_sym_private] = ACTIONS(2574),
    [anon_sym_protected] = ACTIONS(2574),
    [anon_sym_override] = ACTIONS(2574),
    [anon_sym_module] = ACTIONS(2574),
    [anon_sym_any] = ACTIONS(2574),
    [anon_sym_number] = ACTIONS(2574),
    [anon_sym_boolean] = ACTIONS(2574),
    [anon_sym_string] = ACTIONS(2574),
    [anon_sym_symbol] = ACTIONS(2574),
    [anon_sym_object] = ACTIONS(2574),
    [anon_sym_abstract] = ACTIONS(2574),
    [anon_sym_interface] = ACTIONS(2574),
    [anon_sym_enum] = ACTIONS(2574),
    [sym_html_comment] = ACTIONS(5),
  },
  [829] = {
    [ts_builtin_sym_end] = ACTIONS(2608),
    [sym_identifier] = ACTIONS(2610),
    [anon_sym_export] = ACTIONS(2610),
    [anon_sym_default] = ACTIONS(2610),
    [anon_sym_type] = ACTIONS(2610),
    [anon_sym_namespace] = ACTIONS(2610),
    [anon_sym_LBRACE] = ACTIONS(2608),
    [anon_sym_RBRACE] = ACTIONS(2608),
    [anon_sym_typeof] = ACTIONS(2610),
    [anon_sym_import] = ACTIONS(2610),
    [anon_sym_with] = ACTIONS(2610),
    [anon_sym_var] = ACTIONS(2610),
    [anon_sym_let] = ACTIONS(2610),
    [anon_sym_const] = ACTIONS(2610),
    [anon_sym_BANG] = ACTIONS(2608),
    [anon_sym_else] = ACTIONS(2610),
    [anon_sym_if] = ACTIONS(2610),
    [anon_sym_switch] = ACTIONS(2610),
    [anon_sym_for] = ACTIONS(2610),
    [anon_sym_LPAREN] = ACTIONS(2608),
    [anon_sym_SEMI] = ACTIONS(2608),
    [anon_sym_await] = ACTIONS(2610),
    [anon_sym_while] = ACTIONS(2610),
    [anon_sym_do] = ACTIONS(2610),
    [anon_sym_try] = ACTIONS(2610),
    [anon_sym_break] = ACTIONS(2610),
    [anon_sym_continue] = ACTIONS(2610),
    [anon_sym_debugger] = ACTIONS(2610),
    [anon_sym_return] = ACTIONS(2610),
    [anon_sym_throw] = ACTIONS(2610),
    [anon_sym_case] = ACTIONS(2610),
    [anon_sym_yield] = ACTIONS(2610),
    [anon_sym_LBRACK] = ACTIONS(2608),
    [sym_glimmer_opening_tag] = ACTIONS(2608),
    [anon_sym_DQUOTE] = ACTIONS(2608),
    [anon_sym_SQUOTE] = ACTIONS(2608),
    [anon_sym_class] = ACTIONS(2610),
    [anon_sym_async] = ACTIONS(2610),
    [anon_sym_function] = ACTIONS(2610),
    [anon_sym_new] = ACTIONS(2610),
    [anon_sym_using] = ACTIONS(2610),
    [anon_sym_PLUS] = ACTIONS(2610),
    [anon_sym_DASH] = ACTIONS(2610),
    [anon_sym_SLASH] = ACTIONS(2610),
    [anon_sym_LT] = ACTIONS(2610),
    [anon_sym_TILDE] = ACTIONS(2608),
    [anon_sym_void] = ACTIONS(2610),
    [anon_sym_delete] = ACTIONS(2610),
    [anon_sym_PLUS_PLUS] = ACTIONS(2608),
    [anon_sym_DASH_DASH] = ACTIONS(2608),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2608),
    [sym_number] = ACTIONS(2608),
    [sym_private_property_identifier] = ACTIONS(2608),
    [sym_this] = ACTIONS(2610),
    [sym_super] = ACTIONS(2610),
    [sym_true] = ACTIONS(2610),
    [sym_false] = ACTIONS(2610),
    [sym_null] = ACTIONS(2610),
    [sym_undefined] = ACTIONS(2610),
    [anon_sym_AT] = ACTIONS(2608),
    [anon_sym_static] = ACTIONS(2610),
    [anon_sym_readonly] = ACTIONS(2610),
    [anon_sym_get] = ACTIONS(2610),
    [anon_sym_set] = ACTIONS(2610),
    [anon_sym_declare] = ACTIONS(2610),
    [anon_sym_public] = ACTIONS(2610),
    [anon_sym_private] = ACTIONS(2610),
    [anon_sym_protected] = ACTIONS(2610),
    [anon_sym_override] = ACTIONS(2610),
    [anon_sym_module] = ACTIONS(2610),
    [anon_sym_any] = ACTIONS(2610),
    [anon_sym_number] = ACTIONS(2610),
    [anon_sym_boolean] = ACTIONS(2610),
    [anon_sym_string] = ACTIONS(2610),
    [anon_sym_symbol] = ACTIONS(2610),
    [anon_sym_object] = ACTIONS(2610),
    [anon_sym_abstract] = ACTIONS(2610),
    [anon_sym_interface] = ACTIONS(2610),
    [anon_sym_enum] = ACTIONS(2610),
    [sym_html_comment] = ACTIONS(5),
  },
  [830] = {
    [ts_builtin_sym_end] = ACTIONS(2612),
    [sym_identifier] = ACTIONS(2614),
    [anon_sym_export] = ACTIONS(2614),
    [anon_sym_default] = ACTIONS(2614),
    [anon_sym_type] = ACTIONS(2614),
    [anon_sym_namespace] = ACTIONS(2614),
    [anon_sym_LBRACE] = ACTIONS(2612),
    [anon_sym_RBRACE] = ACTIONS(2612),
    [anon_sym_typeof] = ACTIONS(2614),
    [anon_sym_import] = ACTIONS(2614),
    [anon_sym_with] = ACTIONS(2614),
    [anon_sym_var] = ACTIONS(2614),
    [anon_sym_let] = ACTIONS(2614),
    [anon_sym_const] = ACTIONS(2614),
    [anon_sym_BANG] = ACTIONS(2612),
    [anon_sym_else] = ACTIONS(2614),
    [anon_sym_if] = ACTIONS(2614),
    [anon_sym_switch] = ACTIONS(2614),
    [anon_sym_for] = ACTIONS(2614),
    [anon_sym_LPAREN] = ACTIONS(2612),
    [anon_sym_SEMI] = ACTIONS(2612),
    [anon_sym_await] = ACTIONS(2614),
    [anon_sym_while] = ACTIONS(2614),
    [anon_sym_do] = ACTIONS(2614),
    [anon_sym_try] = ACTIONS(2614),
    [anon_sym_break] = ACTIONS(2614),
    [anon_sym_continue] = ACTIONS(2614),
    [anon_sym_debugger] = ACTIONS(2614),
    [anon_sym_return] = ACTIONS(2614),
    [anon_sym_throw] = ACTIONS(2614),
    [anon_sym_case] = ACTIONS(2614),
    [anon_sym_yield] = ACTIONS(2614),
    [anon_sym_LBRACK] = ACTIONS(2612),
    [sym_glimmer_opening_tag] = ACTIONS(2612),
    [anon_sym_DQUOTE] = ACTIONS(2612),
    [anon_sym_SQUOTE] = ACTIONS(2612),
    [anon_sym_class] = ACTIONS(2614),
    [anon_sym_async] = ACTIONS(2614),
    [anon_sym_function] = ACTIONS(2614),
    [anon_sym_new] = ACTIONS(2614),
    [anon_sym_using] = ACTIONS(2614),
    [anon_sym_PLUS] = ACTIONS(2614),
    [anon_sym_DASH] = ACTIONS(2614),
    [anon_sym_SLASH] = ACTIONS(2614),
    [anon_sym_LT] = ACTIONS(2614),
    [anon_sym_TILDE] = ACTIONS(2612),
    [anon_sym_void] = ACTIONS(2614),
    [anon_sym_delete] = ACTIONS(2614),
    [anon_sym_PLUS_PLUS] = ACTIONS(2612),
    [anon_sym_DASH_DASH] = ACTIONS(2612),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2612),
    [sym_number] = ACTIONS(2612),
    [sym_private_property_identifier] = ACTIONS(2612),
    [sym_this] = ACTIONS(2614),
    [sym_super] = ACTIONS(2614),
    [sym_true] = ACTIONS(2614),
    [sym_false] = ACTIONS(2614),
    [sym_null] = ACTIONS(2614),
    [sym_undefined] = ACTIONS(2614),
    [anon_sym_AT] = ACTIONS(2612),
    [anon_sym_static] = ACTIONS(2614),
    [anon_sym_readonly] = ACTIONS(2614),
    [anon_sym_get] = ACTIONS(2614),
    [anon_sym_set] = ACTIONS(2614),
    [anon_sym_declare] = ACTIONS(2614),
    [anon_sym_public] = ACTIONS(2614),
    [anon_sym_private] = ACTIONS(2614),
    [anon_sym_protected] = ACTIONS(2614),
    [anon_sym_override] = ACTIONS(2614),
    [anon_sym_module] = ACTIONS(2614),
    [anon_sym_any] = ACTIONS(2614),
    [anon_sym_number] = ACTIONS(2614),
    [anon_sym_boolean] = ACTIONS(2614),
    [anon_sym_string] = ACTIONS(2614),
    [anon_sym_symbol] = ACTIONS(2614),
    [anon_sym_object] = ACTIONS(2614),
    [anon_sym_abstract] = ACTIONS(2614),
    [anon_sym_interface] = ACTIONS(2614),
    [anon_sym_enum] = ACTIONS(2614),
    [sym_html_comment] = ACTIONS(5),
  },
  [831] = {
    [ts_builtin_sym_end] = ACTIONS(2616),
    [sym_identifier] = ACTIONS(2618),
    [anon_sym_export] = ACTIONS(2618),
    [anon_sym_default] = ACTIONS(2618),
    [anon_sym_type] = ACTIONS(2618),
    [anon_sym_namespace] = ACTIONS(2618),
    [anon_sym_LBRACE] = ACTIONS(2616),
    [anon_sym_RBRACE] = ACTIONS(2616),
    [anon_sym_typeof] = ACTIONS(2618),
    [anon_sym_import] = ACTIONS(2618),
    [anon_sym_with] = ACTIONS(2618),
    [anon_sym_var] = ACTIONS(2618),
    [anon_sym_let] = ACTIONS(2618),
    [anon_sym_const] = ACTIONS(2618),
    [anon_sym_BANG] = ACTIONS(2616),
    [anon_sym_else] = ACTIONS(2618),
    [anon_sym_if] = ACTIONS(2618),
    [anon_sym_switch] = ACTIONS(2618),
    [anon_sym_for] = ACTIONS(2618),
    [anon_sym_LPAREN] = ACTIONS(2616),
    [anon_sym_SEMI] = ACTIONS(2616),
    [anon_sym_await] = ACTIONS(2618),
    [anon_sym_while] = ACTIONS(2618),
    [anon_sym_do] = ACTIONS(2618),
    [anon_sym_try] = ACTIONS(2618),
    [anon_sym_break] = ACTIONS(2618),
    [anon_sym_continue] = ACTIONS(2618),
    [anon_sym_debugger] = ACTIONS(2618),
    [anon_sym_return] = ACTIONS(2618),
    [anon_sym_throw] = ACTIONS(2618),
    [anon_sym_case] = ACTIONS(2618),
    [anon_sym_yield] = ACTIONS(2618),
    [anon_sym_LBRACK] = ACTIONS(2616),
    [sym_glimmer_opening_tag] = ACTIONS(2616),
    [anon_sym_DQUOTE] = ACTIONS(2616),
    [anon_sym_SQUOTE] = ACTIONS(2616),
    [anon_sym_class] = ACTIONS(2618),
    [anon_sym_async] = ACTIONS(2618),
    [anon_sym_function] = ACTIONS(2618),
    [anon_sym_new] = ACTIONS(2618),
    [anon_sym_using] = ACTIONS(2618),
    [anon_sym_PLUS] = ACTIONS(2618),
    [anon_sym_DASH] = ACTIONS(2618),
    [anon_sym_SLASH] = ACTIONS(2618),
    [anon_sym_LT] = ACTIONS(2618),
    [anon_sym_TILDE] = ACTIONS(2616),
    [anon_sym_void] = ACTIONS(2618),
    [anon_sym_delete] = ACTIONS(2618),
    [anon_sym_PLUS_PLUS] = ACTIONS(2616),
    [anon_sym_DASH_DASH] = ACTIONS(2616),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2616),
    [sym_number] = ACTIONS(2616),
    [sym_private_property_identifier] = ACTIONS(2616),
    [sym_this] = ACTIONS(2618),
    [sym_super] = ACTIONS(2618),
    [sym_true] = ACTIONS(2618),
    [sym_false] = ACTIONS(2618),
    [sym_null] = ACTIONS(2618),
    [sym_undefined] = ACTIONS(2618),
    [anon_sym_AT] = ACTIONS(2616),
    [anon_sym_static] = ACTIONS(2618),
    [anon_sym_readonly] = ACTIONS(2618),
    [anon_sym_get] = ACTIONS(2618),
    [anon_sym_set] = ACTIONS(2618),
    [anon_sym_declare] = ACTIONS(2618),
    [anon_sym_public] = ACTIONS(2618),
    [anon_sym_private] = ACTIONS(2618),
    [anon_sym_protected] = ACTIONS(2618),
    [anon_sym_override] = ACTIONS(2618),
    [anon_sym_module] = ACTIONS(2618),
    [anon_sym_any] = ACTIONS(2618),
    [anon_sym_number] = ACTIONS(2618),
    [anon_sym_boolean] = ACTIONS(2618),
    [anon_sym_string] = ACTIONS(2618),
    [anon_sym_symbol] = ACTIONS(2618),
    [anon_sym_object] = ACTIONS(2618),
    [anon_sym_abstract] = ACTIONS(2618),
    [anon_sym_interface] = ACTIONS(2618),
    [anon_sym_enum] = ACTIONS(2618),
    [sym_html_comment] = ACTIONS(5),
  },
  [832] = {
    [ts_builtin_sym_end] = ACTIONS(2620),
    [sym_identifier] = ACTIONS(2622),
    [anon_sym_export] = ACTIONS(2622),
    [anon_sym_default] = ACTIONS(2622),
    [anon_sym_type] = ACTIONS(2622),
    [anon_sym_namespace] = ACTIONS(2622),
    [anon_sym_LBRACE] = ACTIONS(2620),
    [anon_sym_RBRACE] = ACTIONS(2620),
    [anon_sym_typeof] = ACTIONS(2622),
    [anon_sym_import] = ACTIONS(2622),
    [anon_sym_with] = ACTIONS(2622),
    [anon_sym_var] = ACTIONS(2622),
    [anon_sym_let] = ACTIONS(2622),
    [anon_sym_const] = ACTIONS(2622),
    [anon_sym_BANG] = ACTIONS(2620),
    [anon_sym_else] = ACTIONS(2622),
    [anon_sym_if] = ACTIONS(2622),
    [anon_sym_switch] = ACTIONS(2622),
    [anon_sym_for] = ACTIONS(2622),
    [anon_sym_LPAREN] = ACTIONS(2620),
    [anon_sym_SEMI] = ACTIONS(2620),
    [anon_sym_await] = ACTIONS(2622),
    [anon_sym_while] = ACTIONS(2622),
    [anon_sym_do] = ACTIONS(2622),
    [anon_sym_try] = ACTIONS(2622),
    [anon_sym_break] = ACTIONS(2622),
    [anon_sym_continue] = ACTIONS(2622),
    [anon_sym_debugger] = ACTIONS(2622),
    [anon_sym_return] = ACTIONS(2622),
    [anon_sym_throw] = ACTIONS(2622),
    [anon_sym_case] = ACTIONS(2622),
    [anon_sym_yield] = ACTIONS(2622),
    [anon_sym_LBRACK] = ACTIONS(2620),
    [sym_glimmer_opening_tag] = ACTIONS(2620),
    [anon_sym_DQUOTE] = ACTIONS(2620),
    [anon_sym_SQUOTE] = ACTIONS(2620),
    [anon_sym_class] = ACTIONS(2622),
    [anon_sym_async] = ACTIONS(2622),
    [anon_sym_function] = ACTIONS(2622),
    [anon_sym_new] = ACTIONS(2622),
    [anon_sym_using] = ACTIONS(2622),
    [anon_sym_PLUS] = ACTIONS(2622),
    [anon_sym_DASH] = ACTIONS(2622),
    [anon_sym_SLASH] = ACTIONS(2622),
    [anon_sym_LT] = ACTIONS(2622),
    [anon_sym_TILDE] = ACTIONS(2620),
    [anon_sym_void] = ACTIONS(2622),
    [anon_sym_delete] = ACTIONS(2622),
    [anon_sym_PLUS_PLUS] = ACTIONS(2620),
    [anon_sym_DASH_DASH] = ACTIONS(2620),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2620),
    [sym_number] = ACTIONS(2620),
    [sym_private_property_identifier] = ACTIONS(2620),
    [sym_this] = ACTIONS(2622),
    [sym_super] = ACTIONS(2622),
    [sym_true] = ACTIONS(2622),
    [sym_false] = ACTIONS(2622),
    [sym_null] = ACTIONS(2622),
    [sym_undefined] = ACTIONS(2622),
    [anon_sym_AT] = ACTIONS(2620),
    [anon_sym_static] = ACTIONS(2622),
    [anon_sym_readonly] = ACTIONS(2622),
    [anon_sym_get] = ACTIONS(2622),
    [anon_sym_set] = ACTIONS(2622),
    [anon_sym_declare] = ACTIONS(2622),
    [anon_sym_public] = ACTIONS(2622),
    [anon_sym_private] = ACTIONS(2622),
    [anon_sym_protected] = ACTIONS(2622),
    [anon_sym_override] = ACTIONS(2622),
    [anon_sym_module] = ACTIONS(2622),
    [anon_sym_any] = ACTIONS(2622),
    [anon_sym_number] = ACTIONS(2622),
    [anon_sym_boolean] = ACTIONS(2622),
    [anon_sym_string] = ACTIONS(2622),
    [anon_sym_symbol] = ACTIONS(2622),
    [anon_sym_object] = ACTIONS(2622),
    [anon_sym_abstract] = ACTIONS(2622),
    [anon_sym_interface] = ACTIONS(2622),
    [anon_sym_enum] = ACTIONS(2622),
    [sym_html_comment] = ACTIONS(5),
  },
  [833] = {
    [ts_builtin_sym_end] = ACTIONS(2624),
    [sym_identifier] = ACTIONS(2626),
    [anon_sym_export] = ACTIONS(2626),
    [anon_sym_default] = ACTIONS(2626),
    [anon_sym_type] = ACTIONS(2626),
    [anon_sym_namespace] = ACTIONS(2626),
    [anon_sym_LBRACE] = ACTIONS(2624),
    [anon_sym_RBRACE] = ACTIONS(2624),
    [anon_sym_typeof] = ACTIONS(2626),
    [anon_sym_import] = ACTIONS(2626),
    [anon_sym_with] = ACTIONS(2626),
    [anon_sym_var] = ACTIONS(2626),
    [anon_sym_let] = ACTIONS(2626),
    [anon_sym_const] = ACTIONS(2626),
    [anon_sym_BANG] = ACTIONS(2624),
    [anon_sym_else] = ACTIONS(2626),
    [anon_sym_if] = ACTIONS(2626),
    [anon_sym_switch] = ACTIONS(2626),
    [anon_sym_for] = ACTIONS(2626),
    [anon_sym_LPAREN] = ACTIONS(2624),
    [anon_sym_SEMI] = ACTIONS(2624),
    [anon_sym_await] = ACTIONS(2626),
    [anon_sym_while] = ACTIONS(2626),
    [anon_sym_do] = ACTIONS(2626),
    [anon_sym_try] = ACTIONS(2626),
    [anon_sym_break] = ACTIONS(2626),
    [anon_sym_continue] = ACTIONS(2626),
    [anon_sym_debugger] = ACTIONS(2626),
    [anon_sym_return] = ACTIONS(2626),
    [anon_sym_throw] = ACTIONS(2626),
    [anon_sym_case] = ACTIONS(2626),
    [anon_sym_yield] = ACTIONS(2626),
    [anon_sym_LBRACK] = ACTIONS(2624),
    [sym_glimmer_opening_tag] = ACTIONS(2624),
    [anon_sym_DQUOTE] = ACTIONS(2624),
    [anon_sym_SQUOTE] = ACTIONS(2624),
    [anon_sym_class] = ACTIONS(2626),
    [anon_sym_async] = ACTIONS(2626),
    [anon_sym_function] = ACTIONS(2626),
    [anon_sym_new] = ACTIONS(2626),
    [anon_sym_using] = ACTIONS(2626),
    [anon_sym_PLUS] = ACTIONS(2626),
    [anon_sym_DASH] = ACTIONS(2626),
    [anon_sym_SLASH] = ACTIONS(2626),
    [anon_sym_LT] = ACTIONS(2626),
    [anon_sym_TILDE] = ACTIONS(2624),
    [anon_sym_void] = ACTIONS(2626),
    [anon_sym_delete] = ACTIONS(2626),
    [anon_sym_PLUS_PLUS] = ACTIONS(2624),
    [anon_sym_DASH_DASH] = ACTIONS(2624),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2624),
    [sym_number] = ACTIONS(2624),
    [sym_private_property_identifier] = ACTIONS(2624),
    [sym_this] = ACTIONS(2626),
    [sym_super] = ACTIONS(2626),
    [sym_true] = ACTIONS(2626),
    [sym_false] = ACTIONS(2626),
    [sym_null] = ACTIONS(2626),
    [sym_undefined] = ACTIONS(2626),
    [anon_sym_AT] = ACTIONS(2624),
    [anon_sym_static] = ACTIONS(2626),
    [anon_sym_readonly] = ACTIONS(2626),
    [anon_sym_get] = ACTIONS(2626),
    [anon_sym_set] = ACTIONS(2626),
    [anon_sym_declare] = ACTIONS(2626),
    [anon_sym_public] = ACTIONS(2626),
    [anon_sym_private] = ACTIONS(2626),
    [anon_sym_protected] = ACTIONS(2626),
    [anon_sym_override] = ACTIONS(2626),
    [anon_sym_module] = ACTIONS(2626),
    [anon_sym_any] = ACTIONS(2626),
    [anon_sym_number] = ACTIONS(2626),
    [anon_sym_boolean] = ACTIONS(2626),
    [anon_sym_string] = ACTIONS(2626),
    [anon_sym_symbol] = ACTIONS(2626),
    [anon_sym_object] = ACTIONS(2626),
    [anon_sym_abstract] = ACTIONS(2626),
    [anon_sym_interface] = ACTIONS(2626),
    [anon_sym_enum] = ACTIONS(2626),
    [sym_html_comment] = ACTIONS(5),
  },
  [834] = {
    [ts_builtin_sym_end] = ACTIONS(2624),
    [sym_identifier] = ACTIONS(2626),
    [anon_sym_export] = ACTIONS(2626),
    [anon_sym_default] = ACTIONS(2626),
    [anon_sym_type] = ACTIONS(2626),
    [anon_sym_namespace] = ACTIONS(2626),
    [anon_sym_LBRACE] = ACTIONS(2624),
    [anon_sym_RBRACE] = ACTIONS(2624),
    [anon_sym_typeof] = ACTIONS(2626),
    [anon_sym_import] = ACTIONS(2626),
    [anon_sym_with] = ACTIONS(2626),
    [anon_sym_var] = ACTIONS(2626),
    [anon_sym_let] = ACTIONS(2626),
    [anon_sym_const] = ACTIONS(2626),
    [anon_sym_BANG] = ACTIONS(2624),
    [anon_sym_else] = ACTIONS(2626),
    [anon_sym_if] = ACTIONS(2626),
    [anon_sym_switch] = ACTIONS(2626),
    [anon_sym_for] = ACTIONS(2626),
    [anon_sym_LPAREN] = ACTIONS(2624),
    [anon_sym_SEMI] = ACTIONS(2624),
    [anon_sym_await] = ACTIONS(2626),
    [anon_sym_while] = ACTIONS(2626),
    [anon_sym_do] = ACTIONS(2626),
    [anon_sym_try] = ACTIONS(2626),
    [anon_sym_break] = ACTIONS(2626),
    [anon_sym_continue] = ACTIONS(2626),
    [anon_sym_debugger] = ACTIONS(2626),
    [anon_sym_return] = ACTIONS(2626),
    [anon_sym_throw] = ACTIONS(2626),
    [anon_sym_case] = ACTIONS(2626),
    [anon_sym_yield] = ACTIONS(2626),
    [anon_sym_LBRACK] = ACTIONS(2624),
    [sym_glimmer_opening_tag] = ACTIONS(2624),
    [anon_sym_DQUOTE] = ACTIONS(2624),
    [anon_sym_SQUOTE] = ACTIONS(2624),
    [anon_sym_class] = ACTIONS(2626),
    [anon_sym_async] = ACTIONS(2626),
    [anon_sym_function] = ACTIONS(2626),
    [anon_sym_new] = ACTIONS(2626),
    [anon_sym_using] = ACTIONS(2626),
    [anon_sym_PLUS] = ACTIONS(2626),
    [anon_sym_DASH] = ACTIONS(2626),
    [anon_sym_SLASH] = ACTIONS(2626),
    [anon_sym_LT] = ACTIONS(2626),
    [anon_sym_TILDE] = ACTIONS(2624),
    [anon_sym_void] = ACTIONS(2626),
    [anon_sym_delete] = ACTIONS(2626),
    [anon_sym_PLUS_PLUS] = ACTIONS(2624),
    [anon_sym_DASH_DASH] = ACTIONS(2624),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2624),
    [sym_number] = ACTIONS(2624),
    [sym_private_property_identifier] = ACTIONS(2624),
    [sym_this] = ACTIONS(2626),
    [sym_super] = ACTIONS(2626),
    [sym_true] = ACTIONS(2626),
    [sym_false] = ACTIONS(2626),
    [sym_null] = ACTIONS(2626),
    [sym_undefined] = ACTIONS(2626),
    [anon_sym_AT] = ACTIONS(2624),
    [anon_sym_static] = ACTIONS(2626),
    [anon_sym_readonly] = ACTIONS(2626),
    [anon_sym_get] = ACTIONS(2626),
    [anon_sym_set] = ACTIONS(2626),
    [anon_sym_declare] = ACTIONS(2626),
    [anon_sym_public] = ACTIONS(2626),
    [anon_sym_private] = ACTIONS(2626),
    [anon_sym_protected] = ACTIONS(2626),
    [anon_sym_override] = ACTIONS(2626),
    [anon_sym_module] = ACTIONS(2626),
    [anon_sym_any] = ACTIONS(2626),
    [anon_sym_number] = ACTIONS(2626),
    [anon_sym_boolean] = ACTIONS(2626),
    [anon_sym_string] = ACTIONS(2626),
    [anon_sym_symbol] = ACTIONS(2626),
    [anon_sym_object] = ACTIONS(2626),
    [anon_sym_abstract] = ACTIONS(2626),
    [anon_sym_interface] = ACTIONS(2626),
    [anon_sym_enum] = ACTIONS(2626),
    [sym_html_comment] = ACTIONS(5),
  },
  [835] = {
    [ts_builtin_sym_end] = ACTIONS(2628),
    [sym_identifier] = ACTIONS(2630),
    [anon_sym_export] = ACTIONS(2630),
    [anon_sym_default] = ACTIONS(2630),
    [anon_sym_type] = ACTIONS(2630),
    [anon_sym_namespace] = ACTIONS(2630),
    [anon_sym_LBRACE] = ACTIONS(2628),
    [anon_sym_RBRACE] = ACTIONS(2628),
    [anon_sym_typeof] = ACTIONS(2630),
    [anon_sym_import] = ACTIONS(2630),
    [anon_sym_with] = ACTIONS(2630),
    [anon_sym_var] = ACTIONS(2630),
    [anon_sym_let] = ACTIONS(2630),
    [anon_sym_const] = ACTIONS(2630),
    [anon_sym_BANG] = ACTIONS(2628),
    [anon_sym_else] = ACTIONS(2630),
    [anon_sym_if] = ACTIONS(2630),
    [anon_sym_switch] = ACTIONS(2630),
    [anon_sym_for] = ACTIONS(2630),
    [anon_sym_LPAREN] = ACTIONS(2628),
    [anon_sym_SEMI] = ACTIONS(2628),
    [anon_sym_await] = ACTIONS(2630),
    [anon_sym_while] = ACTIONS(2630),
    [anon_sym_do] = ACTIONS(2630),
    [anon_sym_try] = ACTIONS(2630),
    [anon_sym_break] = ACTIONS(2630),
    [anon_sym_continue] = ACTIONS(2630),
    [anon_sym_debugger] = ACTIONS(2630),
    [anon_sym_return] = ACTIONS(2630),
    [anon_sym_throw] = ACTIONS(2630),
    [anon_sym_case] = ACTIONS(2630),
    [anon_sym_yield] = ACTIONS(2630),
    [anon_sym_LBRACK] = ACTIONS(2628),
    [sym_glimmer_opening_tag] = ACTIONS(2628),
    [anon_sym_DQUOTE] = ACTIONS(2628),
    [anon_sym_SQUOTE] = ACTIONS(2628),
    [anon_sym_class] = ACTIONS(2630),
    [anon_sym_async] = ACTIONS(2630),
    [anon_sym_function] = ACTIONS(2630),
    [anon_sym_new] = ACTIONS(2630),
    [anon_sym_using] = ACTIONS(2630),
    [anon_sym_PLUS] = ACTIONS(2630),
    [anon_sym_DASH] = ACTIONS(2630),
    [anon_sym_SLASH] = ACTIONS(2630),
    [anon_sym_LT] = ACTIONS(2630),
    [anon_sym_TILDE] = ACTIONS(2628),
    [anon_sym_void] = ACTIONS(2630),
    [anon_sym_delete] = ACTIONS(2630),
    [anon_sym_PLUS_PLUS] = ACTIONS(2628),
    [anon_sym_DASH_DASH] = ACTIONS(2628),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2628),
    [sym_number] = ACTIONS(2628),
    [sym_private_property_identifier] = ACTIONS(2628),
    [sym_this] = ACTIONS(2630),
    [sym_super] = ACTIONS(2630),
    [sym_true] = ACTIONS(2630),
    [sym_false] = ACTIONS(2630),
    [sym_null] = ACTIONS(2630),
    [sym_undefined] = ACTIONS(2630),
    [anon_sym_AT] = ACTIONS(2628),
    [anon_sym_static] = ACTIONS(2630),
    [anon_sym_readonly] = ACTIONS(2630),
    [anon_sym_get] = ACTIONS(2630),
    [anon_sym_set] = ACTIONS(2630),
    [anon_sym_declare] = ACTIONS(2630),
    [anon_sym_public] = ACTIONS(2630),
    [anon_sym_private] = ACTIONS(2630),
    [anon_sym_protected] = ACTIONS(2630),
    [anon_sym_override] = ACTIONS(2630),
    [anon_sym_module] = ACTIONS(2630),
    [anon_sym_any] = ACTIONS(2630),
    [anon_sym_number] = ACTIONS(2630),
    [anon_sym_boolean] = ACTIONS(2630),
    [anon_sym_string] = ACTIONS(2630),
    [anon_sym_symbol] = ACTIONS(2630),
    [anon_sym_object] = ACTIONS(2630),
    [anon_sym_abstract] = ACTIONS(2630),
    [anon_sym_interface] = ACTIONS(2630),
    [anon_sym_enum] = ACTIONS(2630),
    [sym_html_comment] = ACTIONS(5),
  },
  [836] = {
    [ts_builtin_sym_end] = ACTIONS(1885),
    [sym_identifier] = ACTIONS(1887),
    [anon_sym_export] = ACTIONS(1887),
    [anon_sym_default] = ACTIONS(1887),
    [anon_sym_type] = ACTIONS(1887),
    [anon_sym_namespace] = ACTIONS(1887),
    [anon_sym_LBRACE] = ACTIONS(1885),
    [anon_sym_RBRACE] = ACTIONS(1885),
    [anon_sym_typeof] = ACTIONS(1887),
    [anon_sym_import] = ACTIONS(1887),
    [anon_sym_with] = ACTIONS(1887),
    [anon_sym_var] = ACTIONS(1887),
    [anon_sym_let] = ACTIONS(1887),
    [anon_sym_const] = ACTIONS(1887),
    [anon_sym_BANG] = ACTIONS(1885),
    [anon_sym_else] = ACTIONS(1887),
    [anon_sym_if] = ACTIONS(1887),
    [anon_sym_switch] = ACTIONS(1887),
    [anon_sym_for] = ACTIONS(1887),
    [anon_sym_LPAREN] = ACTIONS(1885),
    [anon_sym_SEMI] = ACTIONS(1885),
    [anon_sym_await] = ACTIONS(1887),
    [anon_sym_while] = ACTIONS(1887),
    [anon_sym_do] = ACTIONS(1887),
    [anon_sym_try] = ACTIONS(1887),
    [anon_sym_break] = ACTIONS(1887),
    [anon_sym_continue] = ACTIONS(1887),
    [anon_sym_debugger] = ACTIONS(1887),
    [anon_sym_return] = ACTIONS(1887),
    [anon_sym_throw] = ACTIONS(1887),
    [anon_sym_case] = ACTIONS(1887),
    [anon_sym_yield] = ACTIONS(1887),
    [anon_sym_LBRACK] = ACTIONS(1885),
    [sym_glimmer_opening_tag] = ACTIONS(1885),
    [anon_sym_DQUOTE] = ACTIONS(1885),
    [anon_sym_SQUOTE] = ACTIONS(1885),
    [anon_sym_class] = ACTIONS(1887),
    [anon_sym_async] = ACTIONS(1887),
    [anon_sym_function] = ACTIONS(1887),
    [anon_sym_new] = ACTIONS(1887),
    [anon_sym_using] = ACTIONS(1887),
    [anon_sym_PLUS] = ACTIONS(1887),
    [anon_sym_DASH] = ACTIONS(1887),
    [anon_sym_SLASH] = ACTIONS(1887),
    [anon_sym_LT] = ACTIONS(1887),
    [anon_sym_TILDE] = ACTIONS(1885),
    [anon_sym_void] = ACTIONS(1887),
    [anon_sym_delete] = ACTIONS(1887),
    [anon_sym_PLUS_PLUS] = ACTIONS(1885),
    [anon_sym_DASH_DASH] = ACTIONS(1885),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1885),
    [sym_number] = ACTIONS(1885),
    [sym_private_property_identifier] = ACTIONS(1885),
    [sym_this] = ACTIONS(1887),
    [sym_super] = ACTIONS(1887),
    [sym_true] = ACTIONS(1887),
    [sym_false] = ACTIONS(1887),
    [sym_null] = ACTIONS(1887),
    [sym_undefined] = ACTIONS(1887),
    [anon_sym_AT] = ACTIONS(1885),
    [anon_sym_static] = ACTIONS(1887),
    [anon_sym_readonly] = ACTIONS(1887),
    [anon_sym_get] = ACTIONS(1887),
    [anon_sym_set] = ACTIONS(1887),
    [anon_sym_declare] = ACTIONS(1887),
    [anon_sym_public] = ACTIONS(1887),
    [anon_sym_private] = ACTIONS(1887),
    [anon_sym_protected] = ACTIONS(1887),
    [anon_sym_override] = ACTIONS(1887),
    [anon_sym_module] = ACTIONS(1887),
    [anon_sym_any] = ACTIONS(1887),
    [anon_sym_number] = ACTIONS(1887),
    [anon_sym_boolean] = ACTIONS(1887),
    [anon_sym_string] = ACTIONS(1887),
    [anon_sym_symbol] = ACTIONS(1887),
    [anon_sym_object] = ACTIONS(1887),
    [anon_sym_abstract] = ACTIONS(1887),
    [anon_sym_interface] = ACTIONS(1887),
    [anon_sym_enum] = ACTIONS(1887),
    [sym_html_comment] = ACTIONS(5),
  },
  [837] = {
    [ts_builtin_sym_end] = ACTIONS(2632),
    [sym_identifier] = ACTIONS(2634),
    [anon_sym_export] = ACTIONS(2634),
    [anon_sym_default] = ACTIONS(2634),
    [anon_sym_type] = ACTIONS(2634),
    [anon_sym_namespace] = ACTIONS(2634),
    [anon_sym_LBRACE] = ACTIONS(2632),
    [anon_sym_RBRACE] = ACTIONS(2632),
    [anon_sym_typeof] = ACTIONS(2634),
    [anon_sym_import] = ACTIONS(2634),
    [anon_sym_with] = ACTIONS(2634),
    [anon_sym_var] = ACTIONS(2634),
    [anon_sym_let] = ACTIONS(2634),
    [anon_sym_const] = ACTIONS(2634),
    [anon_sym_BANG] = ACTIONS(2632),
    [anon_sym_else] = ACTIONS(2634),
    [anon_sym_if] = ACTIONS(2634),
    [anon_sym_switch] = ACTIONS(2634),
    [anon_sym_for] = ACTIONS(2634),
    [anon_sym_LPAREN] = ACTIONS(2632),
    [anon_sym_SEMI] = ACTIONS(2632),
    [anon_sym_await] = ACTIONS(2634),
    [anon_sym_while] = ACTIONS(2634),
    [anon_sym_do] = ACTIONS(2634),
    [anon_sym_try] = ACTIONS(2634),
    [anon_sym_break] = ACTIONS(2634),
    [anon_sym_continue] = ACTIONS(2634),
    [anon_sym_debugger] = ACTIONS(2634),
    [anon_sym_return] = ACTIONS(2634),
    [anon_sym_throw] = ACTIONS(2634),
    [anon_sym_case] = ACTIONS(2634),
    [anon_sym_yield] = ACTIONS(2634),
    [anon_sym_LBRACK] = ACTIONS(2632),
    [sym_glimmer_opening_tag] = ACTIONS(2632),
    [anon_sym_DQUOTE] = ACTIONS(2632),
    [anon_sym_SQUOTE] = ACTIONS(2632),
    [anon_sym_class] = ACTIONS(2634),
    [anon_sym_async] = ACTIONS(2634),
    [anon_sym_function] = ACTIONS(2634),
    [anon_sym_new] = ACTIONS(2634),
    [anon_sym_using] = ACTIONS(2634),
    [anon_sym_PLUS] = ACTIONS(2634),
    [anon_sym_DASH] = ACTIONS(2634),
    [anon_sym_SLASH] = ACTIONS(2634),
    [anon_sym_LT] = ACTIONS(2634),
    [anon_sym_TILDE] = ACTIONS(2632),
    [anon_sym_void] = ACTIONS(2634),
    [anon_sym_delete] = ACTIONS(2634),
    [anon_sym_PLUS_PLUS] = ACTIONS(2632),
    [anon_sym_DASH_DASH] = ACTIONS(2632),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2632),
    [sym_number] = ACTIONS(2632),
    [sym_private_property_identifier] = ACTIONS(2632),
    [sym_this] = ACTIONS(2634),
    [sym_super] = ACTIONS(2634),
    [sym_true] = ACTIONS(2634),
    [sym_false] = ACTIONS(2634),
    [sym_null] = ACTIONS(2634),
    [sym_undefined] = ACTIONS(2634),
    [anon_sym_AT] = ACTIONS(2632),
    [anon_sym_static] = ACTIONS(2634),
    [anon_sym_readonly] = ACTIONS(2634),
    [anon_sym_get] = ACTIONS(2634),
    [anon_sym_set] = ACTIONS(2634),
    [anon_sym_declare] = ACTIONS(2634),
    [anon_sym_public] = ACTIONS(2634),
    [anon_sym_private] = ACTIONS(2634),
    [anon_sym_protected] = ACTIONS(2634),
    [anon_sym_override] = ACTIONS(2634),
    [anon_sym_module] = ACTIONS(2634),
    [anon_sym_any] = ACTIONS(2634),
    [anon_sym_number] = ACTIONS(2634),
    [anon_sym_boolean] = ACTIONS(2634),
    [anon_sym_string] = ACTIONS(2634),
    [anon_sym_symbol] = ACTIONS(2634),
    [anon_sym_object] = ACTIONS(2634),
    [anon_sym_abstract] = ACTIONS(2634),
    [anon_sym_interface] = ACTIONS(2634),
    [anon_sym_enum] = ACTIONS(2634),
    [sym_html_comment] = ACTIONS(5),
  },
  [838] = {
    [ts_builtin_sym_end] = ACTIONS(2636),
    [sym_identifier] = ACTIONS(2638),
    [anon_sym_export] = ACTIONS(2638),
    [anon_sym_default] = ACTIONS(2638),
    [anon_sym_type] = ACTIONS(2638),
    [anon_sym_namespace] = ACTIONS(2638),
    [anon_sym_LBRACE] = ACTIONS(2636),
    [anon_sym_RBRACE] = ACTIONS(2636),
    [anon_sym_typeof] = ACTIONS(2638),
    [anon_sym_import] = ACTIONS(2638),
    [anon_sym_with] = ACTIONS(2638),
    [anon_sym_var] = ACTIONS(2638),
    [anon_sym_let] = ACTIONS(2638),
    [anon_sym_const] = ACTIONS(2638),
    [anon_sym_BANG] = ACTIONS(2636),
    [anon_sym_else] = ACTIONS(2638),
    [anon_sym_if] = ACTIONS(2638),
    [anon_sym_switch] = ACTIONS(2638),
    [anon_sym_for] = ACTIONS(2638),
    [anon_sym_LPAREN] = ACTIONS(2636),
    [anon_sym_SEMI] = ACTIONS(2636),
    [anon_sym_await] = ACTIONS(2638),
    [anon_sym_while] = ACTIONS(2638),
    [anon_sym_do] = ACTIONS(2638),
    [anon_sym_try] = ACTIONS(2638),
    [anon_sym_break] = ACTIONS(2638),
    [anon_sym_continue] = ACTIONS(2638),
    [anon_sym_debugger] = ACTIONS(2638),
    [anon_sym_return] = ACTIONS(2638),
    [anon_sym_throw] = ACTIONS(2638),
    [anon_sym_case] = ACTIONS(2638),
    [anon_sym_yield] = ACTIONS(2638),
    [anon_sym_LBRACK] = ACTIONS(2636),
    [sym_glimmer_opening_tag] = ACTIONS(2636),
    [anon_sym_DQUOTE] = ACTIONS(2636),
    [anon_sym_SQUOTE] = ACTIONS(2636),
    [anon_sym_class] = ACTIONS(2638),
    [anon_sym_async] = ACTIONS(2638),
    [anon_sym_function] = ACTIONS(2638),
    [anon_sym_new] = ACTIONS(2638),
    [anon_sym_using] = ACTIONS(2638),
    [anon_sym_PLUS] = ACTIONS(2638),
    [anon_sym_DASH] = ACTIONS(2638),
    [anon_sym_SLASH] = ACTIONS(2638),
    [anon_sym_LT] = ACTIONS(2638),
    [anon_sym_TILDE] = ACTIONS(2636),
    [anon_sym_void] = ACTIONS(2638),
    [anon_sym_delete] = ACTIONS(2638),
    [anon_sym_PLUS_PLUS] = ACTIONS(2636),
    [anon_sym_DASH_DASH] = ACTIONS(2636),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2636),
    [sym_number] = ACTIONS(2636),
    [sym_private_property_identifier] = ACTIONS(2636),
    [sym_this] = ACTIONS(2638),
    [sym_super] = ACTIONS(2638),
    [sym_true] = ACTIONS(2638),
    [sym_false] = ACTIONS(2638),
    [sym_null] = ACTIONS(2638),
    [sym_undefined] = ACTIONS(2638),
    [anon_sym_AT] = ACTIONS(2636),
    [anon_sym_static] = ACTIONS(2638),
    [anon_sym_readonly] = ACTIONS(2638),
    [anon_sym_get] = ACTIONS(2638),
    [anon_sym_set] = ACTIONS(2638),
    [anon_sym_declare] = ACTIONS(2638),
    [anon_sym_public] = ACTIONS(2638),
    [anon_sym_private] = ACTIONS(2638),
    [anon_sym_protected] = ACTIONS(2638),
    [anon_sym_override] = ACTIONS(2638),
    [anon_sym_module] = ACTIONS(2638),
    [anon_sym_any] = ACTIONS(2638),
    [anon_sym_number] = ACTIONS(2638),
    [anon_sym_boolean] = ACTIONS(2638),
    [anon_sym_string] = ACTIONS(2638),
    [anon_sym_symbol] = ACTIONS(2638),
    [anon_sym_object] = ACTIONS(2638),
    [anon_sym_abstract] = ACTIONS(2638),
    [anon_sym_interface] = ACTIONS(2638),
    [anon_sym_enum] = ACTIONS(2638),
    [sym_html_comment] = ACTIONS(5),
  },
  [839] = {
    [ts_builtin_sym_end] = ACTIONS(2640),
    [sym_identifier] = ACTIONS(2642),
    [anon_sym_export] = ACTIONS(2642),
    [anon_sym_default] = ACTIONS(2642),
    [anon_sym_type] = ACTIONS(2642),
    [anon_sym_namespace] = ACTIONS(2642),
    [anon_sym_LBRACE] = ACTIONS(2640),
    [anon_sym_RBRACE] = ACTIONS(2640),
    [anon_sym_typeof] = ACTIONS(2642),
    [anon_sym_import] = ACTIONS(2642),
    [anon_sym_with] = ACTIONS(2642),
    [anon_sym_var] = ACTIONS(2642),
    [anon_sym_let] = ACTIONS(2642),
    [anon_sym_const] = ACTIONS(2642),
    [anon_sym_BANG] = ACTIONS(2640),
    [anon_sym_else] = ACTIONS(2642),
    [anon_sym_if] = ACTIONS(2642),
    [anon_sym_switch] = ACTIONS(2642),
    [anon_sym_for] = ACTIONS(2642),
    [anon_sym_LPAREN] = ACTIONS(2640),
    [anon_sym_SEMI] = ACTIONS(2640),
    [anon_sym_await] = ACTIONS(2642),
    [anon_sym_while] = ACTIONS(2642),
    [anon_sym_do] = ACTIONS(2642),
    [anon_sym_try] = ACTIONS(2642),
    [anon_sym_break] = ACTIONS(2642),
    [anon_sym_continue] = ACTIONS(2642),
    [anon_sym_debugger] = ACTIONS(2642),
    [anon_sym_return] = ACTIONS(2642),
    [anon_sym_throw] = ACTIONS(2642),
    [anon_sym_case] = ACTIONS(2642),
    [anon_sym_yield] = ACTIONS(2642),
    [anon_sym_LBRACK] = ACTIONS(2640),
    [sym_glimmer_opening_tag] = ACTIONS(2640),
    [anon_sym_DQUOTE] = ACTIONS(2640),
    [anon_sym_SQUOTE] = ACTIONS(2640),
    [anon_sym_class] = ACTIONS(2642),
    [anon_sym_async] = ACTIONS(2642),
    [anon_sym_function] = ACTIONS(2642),
    [anon_sym_new] = ACTIONS(2642),
    [anon_sym_using] = ACTIONS(2642),
    [anon_sym_PLUS] = ACTIONS(2642),
    [anon_sym_DASH] = ACTIONS(2642),
    [anon_sym_SLASH] = ACTIONS(2642),
    [anon_sym_LT] = ACTIONS(2642),
    [anon_sym_TILDE] = ACTIONS(2640),
    [anon_sym_void] = ACTIONS(2642),
    [anon_sym_delete] = ACTIONS(2642),
    [anon_sym_PLUS_PLUS] = ACTIONS(2640),
    [anon_sym_DASH_DASH] = ACTIONS(2640),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2640),
    [sym_number] = ACTIONS(2640),
    [sym_private_property_identifier] = ACTIONS(2640),
    [sym_this] = ACTIONS(2642),
    [sym_super] = ACTIONS(2642),
    [sym_true] = ACTIONS(2642),
    [sym_false] = ACTIONS(2642),
    [sym_null] = ACTIONS(2642),
    [sym_undefined] = ACTIONS(2642),
    [anon_sym_AT] = ACTIONS(2640),
    [anon_sym_static] = ACTIONS(2642),
    [anon_sym_readonly] = ACTIONS(2642),
    [anon_sym_get] = ACTIONS(2642),
    [anon_sym_set] = ACTIONS(2642),
    [anon_sym_declare] = ACTIONS(2642),
    [anon_sym_public] = ACTIONS(2642),
    [anon_sym_private] = ACTIONS(2642),
    [anon_sym_protected] = ACTIONS(2642),
    [anon_sym_override] = ACTIONS(2642),
    [anon_sym_module] = ACTIONS(2642),
    [anon_sym_any] = ACTIONS(2642),
    [anon_sym_number] = ACTIONS(2642),
    [anon_sym_boolean] = ACTIONS(2642),
    [anon_sym_string] = ACTIONS(2642),
    [anon_sym_symbol] = ACTIONS(2642),
    [anon_sym_object] = ACTIONS(2642),
    [anon_sym_abstract] = ACTIONS(2642),
    [anon_sym_interface] = ACTIONS(2642),
    [anon_sym_enum] = ACTIONS(2642),
    [sym_html_comment] = ACTIONS(5),
  },
  [840] = {
    [sym_import] = STATE(4680),
    [sym_nested_identifier] = STATE(5868),
    [sym_string] = STATE(3013),
    [sym_formal_parameters] = STATE(5631),
    [sym_rest_pattern] = STATE(5268),
    [sym_nested_type_identifier] = STATE(2941),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3315),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2944),
    [sym_type] = STATE(3832),
    [sym_tuple_parameter] = STATE(4527),
    [sym_optional_tuple_parameter] = STATE(4527),
    [sym_optional_type] = STATE(4527),
    [sym_rest_type] = STATE(4527),
    [sym__tuple_type_member] = STATE(4527),
    [sym_constructor_type] = STATE(2974),
    [sym_primary_type] = STATE(3014),
    [sym_template_literal_type] = STATE(3018),
    [sym_infer_type] = STATE(2974),
    [sym_conditional_type] = STATE(3018),
    [sym_generic_type] = STATE(3018),
    [sym_type_query] = STATE(3018),
    [sym_index_type_query] = STATE(3018),
    [sym_lookup_type] = STATE(3018),
    [sym_literal_type] = STATE(3018),
    [sym__number] = STATE(3031),
    [sym_existential_type] = STATE(3018),
    [sym_flow_maybe_type] = STATE(3018),
    [sym_parenthesized_type] = STATE(3018),
    [sym_predefined_type] = STATE(3018),
    [sym_object_type] = STATE(3018),
    [sym_type_parameters] = STATE(5464),
    [sym_array_type] = STATE(3018),
    [sym_tuple_type] = STATE(3018),
    [sym_readonly_type] = STATE(2974),
    [sym_union_type] = STATE(3018),
    [sym_intersection_type] = STATE(3018),
    [sym_function_type] = STATE(2974),
    [sym_identifier] = ACTIONS(2560),
    [anon_sym_STAR] = ACTIONS(582),
    [anon_sym_LBRACE] = ACTIONS(1541),
    [anon_sym_COMMA] = ACTIONS(2644),
    [anon_sym_typeof] = ACTIONS(1543),
    [anon_sym_import] = ACTIONS(1545),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1547),
    [anon_sym_LBRACK] = ACTIONS(1549),
    [anon_sym_RBRACK] = ACTIONS(2646),
    [anon_sym_DQUOTE] = ACTIONS(1551),
    [anon_sym_SQUOTE] = ACTIONS(1553),
    [anon_sym_new] = ACTIONS(1613),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2566),
    [anon_sym_AMP] = ACTIONS(610),
    [anon_sym_PIPE] = ACTIONS(612),
    [anon_sym_PLUS] = ACTIONS(2568),
    [anon_sym_DASH] = ACTIONS(2568),
    [anon_sym_LT] = ACTIONS(2570),
    [anon_sym_void] = ACTIONS(217),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1561),
    [sym_number] = ACTIONS(1563),
    [sym_this] = ACTIONS(1565),
    [sym_true] = ACTIONS(1567),
    [sym_false] = ACTIONS(1567),
    [sym_null] = ACTIONS(1567),
    [sym_undefined] = ACTIONS(1567),
    [anon_sym_readonly] = ACTIONS(1619),
    [anon_sym_QMARK] = ACTIONS(632),
    [anon_sym_any] = ACTIONS(217),
    [anon_sym_number] = ACTIONS(217),
    [anon_sym_boolean] = ACTIONS(217),
    [anon_sym_string] = ACTIONS(217),
    [anon_sym_symbol] = ACTIONS(217),
    [anon_sym_object] = ACTIONS(217),
    [anon_sym_abstract] = ACTIONS(636),
    [anon_sym_infer] = ACTIONS(638),
    [anon_sym_keyof] = ACTIONS(640),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym_html_comment] = ACTIONS(5),
  },
  [841] = {
    [ts_builtin_sym_end] = ACTIONS(2648),
    [sym_identifier] = ACTIONS(2650),
    [anon_sym_export] = ACTIONS(2650),
    [anon_sym_default] = ACTIONS(2650),
    [anon_sym_type] = ACTIONS(2650),
    [anon_sym_namespace] = ACTIONS(2650),
    [anon_sym_LBRACE] = ACTIONS(2648),
    [anon_sym_RBRACE] = ACTIONS(2648),
    [anon_sym_typeof] = ACTIONS(2650),
    [anon_sym_import] = ACTIONS(2650),
    [anon_sym_with] = ACTIONS(2650),
    [anon_sym_var] = ACTIONS(2650),
    [anon_sym_let] = ACTIONS(2650),
    [anon_sym_const] = ACTIONS(2650),
    [anon_sym_BANG] = ACTIONS(2648),
    [anon_sym_else] = ACTIONS(2650),
    [anon_sym_if] = ACTIONS(2650),
    [anon_sym_switch] = ACTIONS(2650),
    [anon_sym_for] = ACTIONS(2650),
    [anon_sym_LPAREN] = ACTIONS(2648),
    [anon_sym_SEMI] = ACTIONS(2648),
    [anon_sym_await] = ACTIONS(2650),
    [anon_sym_while] = ACTIONS(2650),
    [anon_sym_do] = ACTIONS(2650),
    [anon_sym_try] = ACTIONS(2650),
    [anon_sym_break] = ACTIONS(2650),
    [anon_sym_continue] = ACTIONS(2650),
    [anon_sym_debugger] = ACTIONS(2650),
    [anon_sym_return] = ACTIONS(2650),
    [anon_sym_throw] = ACTIONS(2650),
    [anon_sym_case] = ACTIONS(2650),
    [anon_sym_yield] = ACTIONS(2650),
    [anon_sym_LBRACK] = ACTIONS(2648),
    [sym_glimmer_opening_tag] = ACTIONS(2648),
    [anon_sym_DQUOTE] = ACTIONS(2648),
    [anon_sym_SQUOTE] = ACTIONS(2648),
    [anon_sym_class] = ACTIONS(2650),
    [anon_sym_async] = ACTIONS(2650),
    [anon_sym_function] = ACTIONS(2650),
    [anon_sym_new] = ACTIONS(2650),
    [anon_sym_using] = ACTIONS(2650),
    [anon_sym_PLUS] = ACTIONS(2650),
    [anon_sym_DASH] = ACTIONS(2650),
    [anon_sym_SLASH] = ACTIONS(2650),
    [anon_sym_LT] = ACTIONS(2650),
    [anon_sym_TILDE] = ACTIONS(2648),
    [anon_sym_void] = ACTIONS(2650),
    [anon_sym_delete] = ACTIONS(2650),
    [anon_sym_PLUS_PLUS] = ACTIONS(2648),
    [anon_sym_DASH_DASH] = ACTIONS(2648),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2648),
    [sym_number] = ACTIONS(2648),
    [sym_private_property_identifier] = ACTIONS(2648),
    [sym_this] = ACTIONS(2650),
    [sym_super] = ACTIONS(2650),
    [sym_true] = ACTIONS(2650),
    [sym_false] = ACTIONS(2650),
    [sym_null] = ACTIONS(2650),
    [sym_undefined] = ACTIONS(2650),
    [anon_sym_AT] = ACTIONS(2648),
    [anon_sym_static] = ACTIONS(2650),
    [anon_sym_readonly] = ACTIONS(2650),
    [anon_sym_get] = ACTIONS(2650),
    [anon_sym_set] = ACTIONS(2650),
    [anon_sym_declare] = ACTIONS(2650),
    [anon_sym_public] = ACTIONS(2650),
    [anon_sym_private] = ACTIONS(2650),
    [anon_sym_protected] = ACTIONS(2650),
    [anon_sym_override] = ACTIONS(2650),
    [anon_sym_module] = ACTIONS(2650),
    [anon_sym_any] = ACTIONS(2650),
    [anon_sym_number] = ACTIONS(2650),
    [anon_sym_boolean] = ACTIONS(2650),
    [anon_sym_string] = ACTIONS(2650),
    [anon_sym_symbol] = ACTIONS(2650),
    [anon_sym_object] = ACTIONS(2650),
    [anon_sym_abstract] = ACTIONS(2650),
    [anon_sym_interface] = ACTIONS(2650),
    [anon_sym_enum] = ACTIONS(2650),
    [sym_html_comment] = ACTIONS(5),
  },
  [842] = {
    [ts_builtin_sym_end] = ACTIONS(2652),
    [sym_identifier] = ACTIONS(2654),
    [anon_sym_export] = ACTIONS(2654),
    [anon_sym_default] = ACTIONS(2654),
    [anon_sym_type] = ACTIONS(2654),
    [anon_sym_namespace] = ACTIONS(2654),
    [anon_sym_LBRACE] = ACTIONS(2652),
    [anon_sym_RBRACE] = ACTIONS(2652),
    [anon_sym_typeof] = ACTIONS(2654),
    [anon_sym_import] = ACTIONS(2654),
    [anon_sym_with] = ACTIONS(2654),
    [anon_sym_var] = ACTIONS(2654),
    [anon_sym_let] = ACTIONS(2654),
    [anon_sym_const] = ACTIONS(2654),
    [anon_sym_BANG] = ACTIONS(2652),
    [anon_sym_else] = ACTIONS(2654),
    [anon_sym_if] = ACTIONS(2654),
    [anon_sym_switch] = ACTIONS(2654),
    [anon_sym_for] = ACTIONS(2654),
    [anon_sym_LPAREN] = ACTIONS(2652),
    [anon_sym_SEMI] = ACTIONS(2652),
    [anon_sym_await] = ACTIONS(2654),
    [anon_sym_while] = ACTIONS(2654),
    [anon_sym_do] = ACTIONS(2654),
    [anon_sym_try] = ACTIONS(2654),
    [anon_sym_break] = ACTIONS(2654),
    [anon_sym_continue] = ACTIONS(2654),
    [anon_sym_debugger] = ACTIONS(2654),
    [anon_sym_return] = ACTIONS(2654),
    [anon_sym_throw] = ACTIONS(2654),
    [anon_sym_case] = ACTIONS(2654),
    [anon_sym_yield] = ACTIONS(2654),
    [anon_sym_LBRACK] = ACTIONS(2652),
    [sym_glimmer_opening_tag] = ACTIONS(2652),
    [anon_sym_DQUOTE] = ACTIONS(2652),
    [anon_sym_SQUOTE] = ACTIONS(2652),
    [anon_sym_class] = ACTIONS(2654),
    [anon_sym_async] = ACTIONS(2654),
    [anon_sym_function] = ACTIONS(2654),
    [anon_sym_new] = ACTIONS(2654),
    [anon_sym_using] = ACTIONS(2654),
    [anon_sym_PLUS] = ACTIONS(2654),
    [anon_sym_DASH] = ACTIONS(2654),
    [anon_sym_SLASH] = ACTIONS(2654),
    [anon_sym_LT] = ACTIONS(2654),
    [anon_sym_TILDE] = ACTIONS(2652),
    [anon_sym_void] = ACTIONS(2654),
    [anon_sym_delete] = ACTIONS(2654),
    [anon_sym_PLUS_PLUS] = ACTIONS(2652),
    [anon_sym_DASH_DASH] = ACTIONS(2652),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2652),
    [sym_number] = ACTIONS(2652),
    [sym_private_property_identifier] = ACTIONS(2652),
    [sym_this] = ACTIONS(2654),
    [sym_super] = ACTIONS(2654),
    [sym_true] = ACTIONS(2654),
    [sym_false] = ACTIONS(2654),
    [sym_null] = ACTIONS(2654),
    [sym_undefined] = ACTIONS(2654),
    [anon_sym_AT] = ACTIONS(2652),
    [anon_sym_static] = ACTIONS(2654),
    [anon_sym_readonly] = ACTIONS(2654),
    [anon_sym_get] = ACTIONS(2654),
    [anon_sym_set] = ACTIONS(2654),
    [anon_sym_declare] = ACTIONS(2654),
    [anon_sym_public] = ACTIONS(2654),
    [anon_sym_private] = ACTIONS(2654),
    [anon_sym_protected] = ACTIONS(2654),
    [anon_sym_override] = ACTIONS(2654),
    [anon_sym_module] = ACTIONS(2654),
    [anon_sym_any] = ACTIONS(2654),
    [anon_sym_number] = ACTIONS(2654),
    [anon_sym_boolean] = ACTIONS(2654),
    [anon_sym_string] = ACTIONS(2654),
    [anon_sym_symbol] = ACTIONS(2654),
    [anon_sym_object] = ACTIONS(2654),
    [anon_sym_abstract] = ACTIONS(2654),
    [anon_sym_interface] = ACTIONS(2654),
    [anon_sym_enum] = ACTIONS(2654),
    [sym_html_comment] = ACTIONS(5),
  },
  [843] = {
    [ts_builtin_sym_end] = ACTIONS(2656),
    [sym_identifier] = ACTIONS(2658),
    [anon_sym_export] = ACTIONS(2658),
    [anon_sym_default] = ACTIONS(2658),
    [anon_sym_type] = ACTIONS(2658),
    [anon_sym_namespace] = ACTIONS(2658),
    [anon_sym_LBRACE] = ACTIONS(2656),
    [anon_sym_RBRACE] = ACTIONS(2656),
    [anon_sym_typeof] = ACTIONS(2658),
    [anon_sym_import] = ACTIONS(2658),
    [anon_sym_with] = ACTIONS(2658),
    [anon_sym_var] = ACTIONS(2658),
    [anon_sym_let] = ACTIONS(2658),
    [anon_sym_const] = ACTIONS(2658),
    [anon_sym_BANG] = ACTIONS(2656),
    [anon_sym_else] = ACTIONS(2658),
    [anon_sym_if] = ACTIONS(2658),
    [anon_sym_switch] = ACTIONS(2658),
    [anon_sym_for] = ACTIONS(2658),
    [anon_sym_LPAREN] = ACTIONS(2656),
    [anon_sym_SEMI] = ACTIONS(2656),
    [anon_sym_await] = ACTIONS(2658),
    [anon_sym_while] = ACTIONS(2658),
    [anon_sym_do] = ACTIONS(2658),
    [anon_sym_try] = ACTIONS(2658),
    [anon_sym_break] = ACTIONS(2658),
    [anon_sym_continue] = ACTIONS(2658),
    [anon_sym_debugger] = ACTIONS(2658),
    [anon_sym_return] = ACTIONS(2658),
    [anon_sym_throw] = ACTIONS(2658),
    [anon_sym_case] = ACTIONS(2658),
    [anon_sym_yield] = ACTIONS(2658),
    [anon_sym_LBRACK] = ACTIONS(2656),
    [sym_glimmer_opening_tag] = ACTIONS(2656),
    [anon_sym_DQUOTE] = ACTIONS(2656),
    [anon_sym_SQUOTE] = ACTIONS(2656),
    [anon_sym_class] = ACTIONS(2658),
    [anon_sym_async] = ACTIONS(2658),
    [anon_sym_function] = ACTIONS(2658),
    [anon_sym_new] = ACTIONS(2658),
    [anon_sym_using] = ACTIONS(2658),
    [anon_sym_PLUS] = ACTIONS(2658),
    [anon_sym_DASH] = ACTIONS(2658),
    [anon_sym_SLASH] = ACTIONS(2658),
    [anon_sym_LT] = ACTIONS(2658),
    [anon_sym_TILDE] = ACTIONS(2656),
    [anon_sym_void] = ACTIONS(2658),
    [anon_sym_delete] = ACTIONS(2658),
    [anon_sym_PLUS_PLUS] = ACTIONS(2656),
    [anon_sym_DASH_DASH] = ACTIONS(2656),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2656),
    [sym_number] = ACTIONS(2656),
    [sym_private_property_identifier] = ACTIONS(2656),
    [sym_this] = ACTIONS(2658),
    [sym_super] = ACTIONS(2658),
    [sym_true] = ACTIONS(2658),
    [sym_false] = ACTIONS(2658),
    [sym_null] = ACTIONS(2658),
    [sym_undefined] = ACTIONS(2658),
    [anon_sym_AT] = ACTIONS(2656),
    [anon_sym_static] = ACTIONS(2658),
    [anon_sym_readonly] = ACTIONS(2658),
    [anon_sym_get] = ACTIONS(2658),
    [anon_sym_set] = ACTIONS(2658),
    [anon_sym_declare] = ACTIONS(2658),
    [anon_sym_public] = ACTIONS(2658),
    [anon_sym_private] = ACTIONS(2658),
    [anon_sym_protected] = ACTIONS(2658),
    [anon_sym_override] = ACTIONS(2658),
    [anon_sym_module] = ACTIONS(2658),
    [anon_sym_any] = ACTIONS(2658),
    [anon_sym_number] = ACTIONS(2658),
    [anon_sym_boolean] = ACTIONS(2658),
    [anon_sym_string] = ACTIONS(2658),
    [anon_sym_symbol] = ACTIONS(2658),
    [anon_sym_object] = ACTIONS(2658),
    [anon_sym_abstract] = ACTIONS(2658),
    [anon_sym_interface] = ACTIONS(2658),
    [anon_sym_enum] = ACTIONS(2658),
    [sym_html_comment] = ACTIONS(5),
  },
  [844] = {
    [ts_builtin_sym_end] = ACTIONS(2660),
    [sym_identifier] = ACTIONS(2662),
    [anon_sym_export] = ACTIONS(2662),
    [anon_sym_default] = ACTIONS(2662),
    [anon_sym_type] = ACTIONS(2662),
    [anon_sym_namespace] = ACTIONS(2662),
    [anon_sym_LBRACE] = ACTIONS(2660),
    [anon_sym_RBRACE] = ACTIONS(2660),
    [anon_sym_typeof] = ACTIONS(2662),
    [anon_sym_import] = ACTIONS(2662),
    [anon_sym_with] = ACTIONS(2662),
    [anon_sym_var] = ACTIONS(2662),
    [anon_sym_let] = ACTIONS(2662),
    [anon_sym_const] = ACTIONS(2662),
    [anon_sym_BANG] = ACTIONS(2660),
    [anon_sym_else] = ACTIONS(2662),
    [anon_sym_if] = ACTIONS(2662),
    [anon_sym_switch] = ACTIONS(2662),
    [anon_sym_for] = ACTIONS(2662),
    [anon_sym_LPAREN] = ACTIONS(2660),
    [anon_sym_SEMI] = ACTIONS(2660),
    [anon_sym_await] = ACTIONS(2662),
    [anon_sym_while] = ACTIONS(2662),
    [anon_sym_do] = ACTIONS(2662),
    [anon_sym_try] = ACTIONS(2662),
    [anon_sym_break] = ACTIONS(2662),
    [anon_sym_continue] = ACTIONS(2662),
    [anon_sym_debugger] = ACTIONS(2662),
    [anon_sym_return] = ACTIONS(2662),
    [anon_sym_throw] = ACTIONS(2662),
    [anon_sym_case] = ACTIONS(2662),
    [anon_sym_yield] = ACTIONS(2662),
    [anon_sym_LBRACK] = ACTIONS(2660),
    [sym_glimmer_opening_tag] = ACTIONS(2660),
    [anon_sym_DQUOTE] = ACTIONS(2660),
    [anon_sym_SQUOTE] = ACTIONS(2660),
    [anon_sym_class] = ACTIONS(2662),
    [anon_sym_async] = ACTIONS(2662),
    [anon_sym_function] = ACTIONS(2662),
    [anon_sym_new] = ACTIONS(2662),
    [anon_sym_using] = ACTIONS(2662),
    [anon_sym_PLUS] = ACTIONS(2662),
    [anon_sym_DASH] = ACTIONS(2662),
    [anon_sym_SLASH] = ACTIONS(2662),
    [anon_sym_LT] = ACTIONS(2662),
    [anon_sym_TILDE] = ACTIONS(2660),
    [anon_sym_void] = ACTIONS(2662),
    [anon_sym_delete] = ACTIONS(2662),
    [anon_sym_PLUS_PLUS] = ACTIONS(2660),
    [anon_sym_DASH_DASH] = ACTIONS(2660),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2660),
    [sym_number] = ACTIONS(2660),
    [sym_private_property_identifier] = ACTIONS(2660),
    [sym_this] = ACTIONS(2662),
    [sym_super] = ACTIONS(2662),
    [sym_true] = ACTIONS(2662),
    [sym_false] = ACTIONS(2662),
    [sym_null] = ACTIONS(2662),
    [sym_undefined] = ACTIONS(2662),
    [anon_sym_AT] = ACTIONS(2660),
    [anon_sym_static] = ACTIONS(2662),
    [anon_sym_readonly] = ACTIONS(2662),
    [anon_sym_get] = ACTIONS(2662),
    [anon_sym_set] = ACTIONS(2662),
    [anon_sym_declare] = ACTIONS(2662),
    [anon_sym_public] = ACTIONS(2662),
    [anon_sym_private] = ACTIONS(2662),
    [anon_sym_protected] = ACTIONS(2662),
    [anon_sym_override] = ACTIONS(2662),
    [anon_sym_module] = ACTIONS(2662),
    [anon_sym_any] = ACTIONS(2662),
    [anon_sym_number] = ACTIONS(2662),
    [anon_sym_boolean] = ACTIONS(2662),
    [anon_sym_string] = ACTIONS(2662),
    [anon_sym_symbol] = ACTIONS(2662),
    [anon_sym_object] = ACTIONS(2662),
    [anon_sym_abstract] = ACTIONS(2662),
    [anon_sym_interface] = ACTIONS(2662),
    [anon_sym_enum] = ACTIONS(2662),
    [sym_html_comment] = ACTIONS(5),
  },
  [845] = {
    [ts_builtin_sym_end] = ACTIONS(2664),
    [sym_identifier] = ACTIONS(2666),
    [anon_sym_export] = ACTIONS(2666),
    [anon_sym_default] = ACTIONS(2666),
    [anon_sym_type] = ACTIONS(2666),
    [anon_sym_namespace] = ACTIONS(2666),
    [anon_sym_LBRACE] = ACTIONS(2664),
    [anon_sym_RBRACE] = ACTIONS(2664),
    [anon_sym_typeof] = ACTIONS(2666),
    [anon_sym_import] = ACTIONS(2666),
    [anon_sym_with] = ACTIONS(2666),
    [anon_sym_var] = ACTIONS(2666),
    [anon_sym_let] = ACTIONS(2666),
    [anon_sym_const] = ACTIONS(2666),
    [anon_sym_BANG] = ACTIONS(2664),
    [anon_sym_else] = ACTIONS(2666),
    [anon_sym_if] = ACTIONS(2666),
    [anon_sym_switch] = ACTIONS(2666),
    [anon_sym_for] = ACTIONS(2666),
    [anon_sym_LPAREN] = ACTIONS(2664),
    [anon_sym_SEMI] = ACTIONS(2664),
    [anon_sym_await] = ACTIONS(2666),
    [anon_sym_while] = ACTIONS(2666),
    [anon_sym_do] = ACTIONS(2666),
    [anon_sym_try] = ACTIONS(2666),
    [anon_sym_break] = ACTIONS(2666),
    [anon_sym_continue] = ACTIONS(2666),
    [anon_sym_debugger] = ACTIONS(2666),
    [anon_sym_return] = ACTIONS(2666),
    [anon_sym_throw] = ACTIONS(2666),
    [anon_sym_case] = ACTIONS(2666),
    [anon_sym_yield] = ACTIONS(2666),
    [anon_sym_LBRACK] = ACTIONS(2664),
    [sym_glimmer_opening_tag] = ACTIONS(2664),
    [anon_sym_DQUOTE] = ACTIONS(2664),
    [anon_sym_SQUOTE] = ACTIONS(2664),
    [anon_sym_class] = ACTIONS(2666),
    [anon_sym_async] = ACTIONS(2666),
    [anon_sym_function] = ACTIONS(2666),
    [anon_sym_new] = ACTIONS(2666),
    [anon_sym_using] = ACTIONS(2666),
    [anon_sym_PLUS] = ACTIONS(2666),
    [anon_sym_DASH] = ACTIONS(2666),
    [anon_sym_SLASH] = ACTIONS(2666),
    [anon_sym_LT] = ACTIONS(2666),
    [anon_sym_TILDE] = ACTIONS(2664),
    [anon_sym_void] = ACTIONS(2666),
    [anon_sym_delete] = ACTIONS(2666),
    [anon_sym_PLUS_PLUS] = ACTIONS(2664),
    [anon_sym_DASH_DASH] = ACTIONS(2664),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2664),
    [sym_number] = ACTIONS(2664),
    [sym_private_property_identifier] = ACTIONS(2664),
    [sym_this] = ACTIONS(2666),
    [sym_super] = ACTIONS(2666),
    [sym_true] = ACTIONS(2666),
    [sym_false] = ACTIONS(2666),
    [sym_null] = ACTIONS(2666),
    [sym_undefined] = ACTIONS(2666),
    [anon_sym_AT] = ACTIONS(2664),
    [anon_sym_static] = ACTIONS(2666),
    [anon_sym_readonly] = ACTIONS(2666),
    [anon_sym_get] = ACTIONS(2666),
    [anon_sym_set] = ACTIONS(2666),
    [anon_sym_declare] = ACTIONS(2666),
    [anon_sym_public] = ACTIONS(2666),
    [anon_sym_private] = ACTIONS(2666),
    [anon_sym_protected] = ACTIONS(2666),
    [anon_sym_override] = ACTIONS(2666),
    [anon_sym_module] = ACTIONS(2666),
    [anon_sym_any] = ACTIONS(2666),
    [anon_sym_number] = ACTIONS(2666),
    [anon_sym_boolean] = ACTIONS(2666),
    [anon_sym_string] = ACTIONS(2666),
    [anon_sym_symbol] = ACTIONS(2666),
    [anon_sym_object] = ACTIONS(2666),
    [anon_sym_abstract] = ACTIONS(2666),
    [anon_sym_interface] = ACTIONS(2666),
    [anon_sym_enum] = ACTIONS(2666),
    [sym_html_comment] = ACTIONS(5),
  },
  [846] = {
    [ts_builtin_sym_end] = ACTIONS(2668),
    [sym_identifier] = ACTIONS(2670),
    [anon_sym_export] = ACTIONS(2670),
    [anon_sym_default] = ACTIONS(2670),
    [anon_sym_type] = ACTIONS(2670),
    [anon_sym_namespace] = ACTIONS(2670),
    [anon_sym_LBRACE] = ACTIONS(2668),
    [anon_sym_RBRACE] = ACTIONS(2668),
    [anon_sym_typeof] = ACTIONS(2670),
    [anon_sym_import] = ACTIONS(2670),
    [anon_sym_with] = ACTIONS(2670),
    [anon_sym_var] = ACTIONS(2670),
    [anon_sym_let] = ACTIONS(2670),
    [anon_sym_const] = ACTIONS(2670),
    [anon_sym_BANG] = ACTIONS(2668),
    [anon_sym_else] = ACTIONS(2670),
    [anon_sym_if] = ACTIONS(2670),
    [anon_sym_switch] = ACTIONS(2670),
    [anon_sym_for] = ACTIONS(2670),
    [anon_sym_LPAREN] = ACTIONS(2668),
    [anon_sym_SEMI] = ACTIONS(2668),
    [anon_sym_await] = ACTIONS(2670),
    [anon_sym_while] = ACTIONS(2670),
    [anon_sym_do] = ACTIONS(2670),
    [anon_sym_try] = ACTIONS(2670),
    [anon_sym_break] = ACTIONS(2670),
    [anon_sym_continue] = ACTIONS(2670),
    [anon_sym_debugger] = ACTIONS(2670),
    [anon_sym_return] = ACTIONS(2670),
    [anon_sym_throw] = ACTIONS(2670),
    [anon_sym_case] = ACTIONS(2670),
    [anon_sym_yield] = ACTIONS(2670),
    [anon_sym_LBRACK] = ACTIONS(2668),
    [sym_glimmer_opening_tag] = ACTIONS(2668),
    [anon_sym_DQUOTE] = ACTIONS(2668),
    [anon_sym_SQUOTE] = ACTIONS(2668),
    [anon_sym_class] = ACTIONS(2670),
    [anon_sym_async] = ACTIONS(2670),
    [anon_sym_function] = ACTIONS(2670),
    [anon_sym_new] = ACTIONS(2670),
    [anon_sym_using] = ACTIONS(2670),
    [anon_sym_PLUS] = ACTIONS(2670),
    [anon_sym_DASH] = ACTIONS(2670),
    [anon_sym_SLASH] = ACTIONS(2670),
    [anon_sym_LT] = ACTIONS(2670),
    [anon_sym_TILDE] = ACTIONS(2668),
    [anon_sym_void] = ACTIONS(2670),
    [anon_sym_delete] = ACTIONS(2670),
    [anon_sym_PLUS_PLUS] = ACTIONS(2668),
    [anon_sym_DASH_DASH] = ACTIONS(2668),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2668),
    [sym_number] = ACTIONS(2668),
    [sym_private_property_identifier] = ACTIONS(2668),
    [sym_this] = ACTIONS(2670),
    [sym_super] = ACTIONS(2670),
    [sym_true] = ACTIONS(2670),
    [sym_false] = ACTIONS(2670),
    [sym_null] = ACTIONS(2670),
    [sym_undefined] = ACTIONS(2670),
    [anon_sym_AT] = ACTIONS(2668),
    [anon_sym_static] = ACTIONS(2670),
    [anon_sym_readonly] = ACTIONS(2670),
    [anon_sym_get] = ACTIONS(2670),
    [anon_sym_set] = ACTIONS(2670),
    [anon_sym_declare] = ACTIONS(2670),
    [anon_sym_public] = ACTIONS(2670),
    [anon_sym_private] = ACTIONS(2670),
    [anon_sym_protected] = ACTIONS(2670),
    [anon_sym_override] = ACTIONS(2670),
    [anon_sym_module] = ACTIONS(2670),
    [anon_sym_any] = ACTIONS(2670),
    [anon_sym_number] = ACTIONS(2670),
    [anon_sym_boolean] = ACTIONS(2670),
    [anon_sym_string] = ACTIONS(2670),
    [anon_sym_symbol] = ACTIONS(2670),
    [anon_sym_object] = ACTIONS(2670),
    [anon_sym_abstract] = ACTIONS(2670),
    [anon_sym_interface] = ACTIONS(2670),
    [anon_sym_enum] = ACTIONS(2670),
    [sym_html_comment] = ACTIONS(5),
  },
  [847] = {
    [ts_builtin_sym_end] = ACTIONS(2672),
    [sym_identifier] = ACTIONS(2674),
    [anon_sym_export] = ACTIONS(2674),
    [anon_sym_default] = ACTIONS(2674),
    [anon_sym_type] = ACTIONS(2674),
    [anon_sym_namespace] = ACTIONS(2674),
    [anon_sym_LBRACE] = ACTIONS(2672),
    [anon_sym_RBRACE] = ACTIONS(2672),
    [anon_sym_typeof] = ACTIONS(2674),
    [anon_sym_import] = ACTIONS(2674),
    [anon_sym_with] = ACTIONS(2674),
    [anon_sym_var] = ACTIONS(2674),
    [anon_sym_let] = ACTIONS(2674),
    [anon_sym_const] = ACTIONS(2674),
    [anon_sym_BANG] = ACTIONS(2672),
    [anon_sym_else] = ACTIONS(2674),
    [anon_sym_if] = ACTIONS(2674),
    [anon_sym_switch] = ACTIONS(2674),
    [anon_sym_for] = ACTIONS(2674),
    [anon_sym_LPAREN] = ACTIONS(2672),
    [anon_sym_SEMI] = ACTIONS(2672),
    [anon_sym_await] = ACTIONS(2674),
    [anon_sym_while] = ACTIONS(2674),
    [anon_sym_do] = ACTIONS(2674),
    [anon_sym_try] = ACTIONS(2674),
    [anon_sym_break] = ACTIONS(2674),
    [anon_sym_continue] = ACTIONS(2674),
    [anon_sym_debugger] = ACTIONS(2674),
    [anon_sym_return] = ACTIONS(2674),
    [anon_sym_throw] = ACTIONS(2674),
    [anon_sym_case] = ACTIONS(2674),
    [anon_sym_yield] = ACTIONS(2674),
    [anon_sym_LBRACK] = ACTIONS(2672),
    [sym_glimmer_opening_tag] = ACTIONS(2672),
    [anon_sym_DQUOTE] = ACTIONS(2672),
    [anon_sym_SQUOTE] = ACTIONS(2672),
    [anon_sym_class] = ACTIONS(2674),
    [anon_sym_async] = ACTIONS(2674),
    [anon_sym_function] = ACTIONS(2674),
    [anon_sym_new] = ACTIONS(2674),
    [anon_sym_using] = ACTIONS(2674),
    [anon_sym_PLUS] = ACTIONS(2674),
    [anon_sym_DASH] = ACTIONS(2674),
    [anon_sym_SLASH] = ACTIONS(2674),
    [anon_sym_LT] = ACTIONS(2674),
    [anon_sym_TILDE] = ACTIONS(2672),
    [anon_sym_void] = ACTIONS(2674),
    [anon_sym_delete] = ACTIONS(2674),
    [anon_sym_PLUS_PLUS] = ACTIONS(2672),
    [anon_sym_DASH_DASH] = ACTIONS(2672),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2672),
    [sym_number] = ACTIONS(2672),
    [sym_private_property_identifier] = ACTIONS(2672),
    [sym_this] = ACTIONS(2674),
    [sym_super] = ACTIONS(2674),
    [sym_true] = ACTIONS(2674),
    [sym_false] = ACTIONS(2674),
    [sym_null] = ACTIONS(2674),
    [sym_undefined] = ACTIONS(2674),
    [anon_sym_AT] = ACTIONS(2672),
    [anon_sym_static] = ACTIONS(2674),
    [anon_sym_readonly] = ACTIONS(2674),
    [anon_sym_get] = ACTIONS(2674),
    [anon_sym_set] = ACTIONS(2674),
    [anon_sym_declare] = ACTIONS(2674),
    [anon_sym_public] = ACTIONS(2674),
    [anon_sym_private] = ACTIONS(2674),
    [anon_sym_protected] = ACTIONS(2674),
    [anon_sym_override] = ACTIONS(2674),
    [anon_sym_module] = ACTIONS(2674),
    [anon_sym_any] = ACTIONS(2674),
    [anon_sym_number] = ACTIONS(2674),
    [anon_sym_boolean] = ACTIONS(2674),
    [anon_sym_string] = ACTIONS(2674),
    [anon_sym_symbol] = ACTIONS(2674),
    [anon_sym_object] = ACTIONS(2674),
    [anon_sym_abstract] = ACTIONS(2674),
    [anon_sym_interface] = ACTIONS(2674),
    [anon_sym_enum] = ACTIONS(2674),
    [sym_html_comment] = ACTIONS(5),
  },
  [848] = {
    [ts_builtin_sym_end] = ACTIONS(2676),
    [sym_identifier] = ACTIONS(2678),
    [anon_sym_export] = ACTIONS(2678),
    [anon_sym_default] = ACTIONS(2678),
    [anon_sym_type] = ACTIONS(2678),
    [anon_sym_namespace] = ACTIONS(2678),
    [anon_sym_LBRACE] = ACTIONS(2676),
    [anon_sym_RBRACE] = ACTIONS(2676),
    [anon_sym_typeof] = ACTIONS(2678),
    [anon_sym_import] = ACTIONS(2678),
    [anon_sym_with] = ACTIONS(2678),
    [anon_sym_var] = ACTIONS(2678),
    [anon_sym_let] = ACTIONS(2678),
    [anon_sym_const] = ACTIONS(2678),
    [anon_sym_BANG] = ACTIONS(2676),
    [anon_sym_else] = ACTIONS(2678),
    [anon_sym_if] = ACTIONS(2678),
    [anon_sym_switch] = ACTIONS(2678),
    [anon_sym_for] = ACTIONS(2678),
    [anon_sym_LPAREN] = ACTIONS(2676),
    [anon_sym_SEMI] = ACTIONS(2676),
    [anon_sym_await] = ACTIONS(2678),
    [anon_sym_while] = ACTIONS(2678),
    [anon_sym_do] = ACTIONS(2678),
    [anon_sym_try] = ACTIONS(2678),
    [anon_sym_break] = ACTIONS(2678),
    [anon_sym_continue] = ACTIONS(2678),
    [anon_sym_debugger] = ACTIONS(2678),
    [anon_sym_return] = ACTIONS(2678),
    [anon_sym_throw] = ACTIONS(2678),
    [anon_sym_case] = ACTIONS(2678),
    [anon_sym_yield] = ACTIONS(2678),
    [anon_sym_LBRACK] = ACTIONS(2676),
    [sym_glimmer_opening_tag] = ACTIONS(2676),
    [anon_sym_DQUOTE] = ACTIONS(2676),
    [anon_sym_SQUOTE] = ACTIONS(2676),
    [anon_sym_class] = ACTIONS(2678),
    [anon_sym_async] = ACTIONS(2678),
    [anon_sym_function] = ACTIONS(2678),
    [anon_sym_new] = ACTIONS(2678),
    [anon_sym_using] = ACTIONS(2678),
    [anon_sym_PLUS] = ACTIONS(2678),
    [anon_sym_DASH] = ACTIONS(2678),
    [anon_sym_SLASH] = ACTIONS(2678),
    [anon_sym_LT] = ACTIONS(2678),
    [anon_sym_TILDE] = ACTIONS(2676),
    [anon_sym_void] = ACTIONS(2678),
    [anon_sym_delete] = ACTIONS(2678),
    [anon_sym_PLUS_PLUS] = ACTIONS(2676),
    [anon_sym_DASH_DASH] = ACTIONS(2676),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2676),
    [sym_number] = ACTIONS(2676),
    [sym_private_property_identifier] = ACTIONS(2676),
    [sym_this] = ACTIONS(2678),
    [sym_super] = ACTIONS(2678),
    [sym_true] = ACTIONS(2678),
    [sym_false] = ACTIONS(2678),
    [sym_null] = ACTIONS(2678),
    [sym_undefined] = ACTIONS(2678),
    [anon_sym_AT] = ACTIONS(2676),
    [anon_sym_static] = ACTIONS(2678),
    [anon_sym_readonly] = ACTIONS(2678),
    [anon_sym_get] = ACTIONS(2678),
    [anon_sym_set] = ACTIONS(2678),
    [anon_sym_declare] = ACTIONS(2678),
    [anon_sym_public] = ACTIONS(2678),
    [anon_sym_private] = ACTIONS(2678),
    [anon_sym_protected] = ACTIONS(2678),
    [anon_sym_override] = ACTIONS(2678),
    [anon_sym_module] = ACTIONS(2678),
    [anon_sym_any] = ACTIONS(2678),
    [anon_sym_number] = ACTIONS(2678),
    [anon_sym_boolean] = ACTIONS(2678),
    [anon_sym_string] = ACTIONS(2678),
    [anon_sym_symbol] = ACTIONS(2678),
    [anon_sym_object] = ACTIONS(2678),
    [anon_sym_abstract] = ACTIONS(2678),
    [anon_sym_interface] = ACTIONS(2678),
    [anon_sym_enum] = ACTIONS(2678),
    [sym_html_comment] = ACTIONS(5),
  },
  [849] = {
    [ts_builtin_sym_end] = ACTIONS(2680),
    [sym_identifier] = ACTIONS(2682),
    [anon_sym_export] = ACTIONS(2682),
    [anon_sym_default] = ACTIONS(2682),
    [anon_sym_type] = ACTIONS(2682),
    [anon_sym_namespace] = ACTIONS(2682),
    [anon_sym_LBRACE] = ACTIONS(2680),
    [anon_sym_RBRACE] = ACTIONS(2680),
    [anon_sym_typeof] = ACTIONS(2682),
    [anon_sym_import] = ACTIONS(2682),
    [anon_sym_with] = ACTIONS(2682),
    [anon_sym_var] = ACTIONS(2682),
    [anon_sym_let] = ACTIONS(2682),
    [anon_sym_const] = ACTIONS(2682),
    [anon_sym_BANG] = ACTIONS(2680),
    [anon_sym_else] = ACTIONS(2682),
    [anon_sym_if] = ACTIONS(2682),
    [anon_sym_switch] = ACTIONS(2682),
    [anon_sym_for] = ACTIONS(2682),
    [anon_sym_LPAREN] = ACTIONS(2680),
    [anon_sym_SEMI] = ACTIONS(2680),
    [anon_sym_await] = ACTIONS(2682),
    [anon_sym_while] = ACTIONS(2682),
    [anon_sym_do] = ACTIONS(2682),
    [anon_sym_try] = ACTIONS(2682),
    [anon_sym_break] = ACTIONS(2682),
    [anon_sym_continue] = ACTIONS(2682),
    [anon_sym_debugger] = ACTIONS(2682),
    [anon_sym_return] = ACTIONS(2682),
    [anon_sym_throw] = ACTIONS(2682),
    [anon_sym_case] = ACTIONS(2682),
    [anon_sym_yield] = ACTIONS(2682),
    [anon_sym_LBRACK] = ACTIONS(2680),
    [sym_glimmer_opening_tag] = ACTIONS(2680),
    [anon_sym_DQUOTE] = ACTIONS(2680),
    [anon_sym_SQUOTE] = ACTIONS(2680),
    [anon_sym_class] = ACTIONS(2682),
    [anon_sym_async] = ACTIONS(2682),
    [anon_sym_function] = ACTIONS(2682),
    [anon_sym_new] = ACTIONS(2682),
    [anon_sym_using] = ACTIONS(2682),
    [anon_sym_PLUS] = ACTIONS(2682),
    [anon_sym_DASH] = ACTIONS(2682),
    [anon_sym_SLASH] = ACTIONS(2682),
    [anon_sym_LT] = ACTIONS(2682),
    [anon_sym_TILDE] = ACTIONS(2680),
    [anon_sym_void] = ACTIONS(2682),
    [anon_sym_delete] = ACTIONS(2682),
    [anon_sym_PLUS_PLUS] = ACTIONS(2680),
    [anon_sym_DASH_DASH] = ACTIONS(2680),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2680),
    [sym_number] = ACTIONS(2680),
    [sym_private_property_identifier] = ACTIONS(2680),
    [sym_this] = ACTIONS(2682),
    [sym_super] = ACTIONS(2682),
    [sym_true] = ACTIONS(2682),
    [sym_false] = ACTIONS(2682),
    [sym_null] = ACTIONS(2682),
    [sym_undefined] = ACTIONS(2682),
    [anon_sym_AT] = ACTIONS(2680),
    [anon_sym_static] = ACTIONS(2682),
    [anon_sym_readonly] = ACTIONS(2682),
    [anon_sym_get] = ACTIONS(2682),
    [anon_sym_set] = ACTIONS(2682),
    [anon_sym_declare] = ACTIONS(2682),
    [anon_sym_public] = ACTIONS(2682),
    [anon_sym_private] = ACTIONS(2682),
    [anon_sym_protected] = ACTIONS(2682),
    [anon_sym_override] = ACTIONS(2682),
    [anon_sym_module] = ACTIONS(2682),
    [anon_sym_any] = ACTIONS(2682),
    [anon_sym_number] = ACTIONS(2682),
    [anon_sym_boolean] = ACTIONS(2682),
    [anon_sym_string] = ACTIONS(2682),
    [anon_sym_symbol] = ACTIONS(2682),
    [anon_sym_object] = ACTIONS(2682),
    [anon_sym_abstract] = ACTIONS(2682),
    [anon_sym_interface] = ACTIONS(2682),
    [anon_sym_enum] = ACTIONS(2682),
    [sym_html_comment] = ACTIONS(5),
  },
  [850] = {
    [ts_builtin_sym_end] = ACTIONS(2684),
    [sym_identifier] = ACTIONS(2686),
    [anon_sym_export] = ACTIONS(2686),
    [anon_sym_default] = ACTIONS(2686),
    [anon_sym_type] = ACTIONS(2686),
    [anon_sym_namespace] = ACTIONS(2686),
    [anon_sym_LBRACE] = ACTIONS(2684),
    [anon_sym_RBRACE] = ACTIONS(2684),
    [anon_sym_typeof] = ACTIONS(2686),
    [anon_sym_import] = ACTIONS(2686),
    [anon_sym_with] = ACTIONS(2686),
    [anon_sym_var] = ACTIONS(2686),
    [anon_sym_let] = ACTIONS(2686),
    [anon_sym_const] = ACTIONS(2686),
    [anon_sym_BANG] = ACTIONS(2684),
    [anon_sym_else] = ACTIONS(2686),
    [anon_sym_if] = ACTIONS(2686),
    [anon_sym_switch] = ACTIONS(2686),
    [anon_sym_for] = ACTIONS(2686),
    [anon_sym_LPAREN] = ACTIONS(2684),
    [anon_sym_SEMI] = ACTIONS(2684),
    [anon_sym_await] = ACTIONS(2686),
    [anon_sym_while] = ACTIONS(2686),
    [anon_sym_do] = ACTIONS(2686),
    [anon_sym_try] = ACTIONS(2686),
    [anon_sym_break] = ACTIONS(2686),
    [anon_sym_continue] = ACTIONS(2686),
    [anon_sym_debugger] = ACTIONS(2686),
    [anon_sym_return] = ACTIONS(2686),
    [anon_sym_throw] = ACTIONS(2686),
    [anon_sym_case] = ACTIONS(2686),
    [anon_sym_yield] = ACTIONS(2686),
    [anon_sym_LBRACK] = ACTIONS(2684),
    [sym_glimmer_opening_tag] = ACTIONS(2684),
    [anon_sym_DQUOTE] = ACTIONS(2684),
    [anon_sym_SQUOTE] = ACTIONS(2684),
    [anon_sym_class] = ACTIONS(2686),
    [anon_sym_async] = ACTIONS(2686),
    [anon_sym_function] = ACTIONS(2686),
    [anon_sym_new] = ACTIONS(2686),
    [anon_sym_using] = ACTIONS(2686),
    [anon_sym_PLUS] = ACTIONS(2686),
    [anon_sym_DASH] = ACTIONS(2686),
    [anon_sym_SLASH] = ACTIONS(2686),
    [anon_sym_LT] = ACTIONS(2686),
    [anon_sym_TILDE] = ACTIONS(2684),
    [anon_sym_void] = ACTIONS(2686),
    [anon_sym_delete] = ACTIONS(2686),
    [anon_sym_PLUS_PLUS] = ACTIONS(2684),
    [anon_sym_DASH_DASH] = ACTIONS(2684),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2684),
    [sym_number] = ACTIONS(2684),
    [sym_private_property_identifier] = ACTIONS(2684),
    [sym_this] = ACTIONS(2686),
    [sym_super] = ACTIONS(2686),
    [sym_true] = ACTIONS(2686),
    [sym_false] = ACTIONS(2686),
    [sym_null] = ACTIONS(2686),
    [sym_undefined] = ACTIONS(2686),
    [anon_sym_AT] = ACTIONS(2684),
    [anon_sym_static] = ACTIONS(2686),
    [anon_sym_readonly] = ACTIONS(2686),
    [anon_sym_get] = ACTIONS(2686),
    [anon_sym_set] = ACTIONS(2686),
    [anon_sym_declare] = ACTIONS(2686),
    [anon_sym_public] = ACTIONS(2686),
    [anon_sym_private] = ACTIONS(2686),
    [anon_sym_protected] = ACTIONS(2686),
    [anon_sym_override] = ACTIONS(2686),
    [anon_sym_module] = ACTIONS(2686),
    [anon_sym_any] = ACTIONS(2686),
    [anon_sym_number] = ACTIONS(2686),
    [anon_sym_boolean] = ACTIONS(2686),
    [anon_sym_string] = ACTIONS(2686),
    [anon_sym_symbol] = ACTIONS(2686),
    [anon_sym_object] = ACTIONS(2686),
    [anon_sym_abstract] = ACTIONS(2686),
    [anon_sym_interface] = ACTIONS(2686),
    [anon_sym_enum] = ACTIONS(2686),
    [sym_html_comment] = ACTIONS(5),
  },
  [851] = {
    [ts_builtin_sym_end] = ACTIONS(2688),
    [sym_identifier] = ACTIONS(2690),
    [anon_sym_export] = ACTIONS(2690),
    [anon_sym_default] = ACTIONS(2690),
    [anon_sym_type] = ACTIONS(2690),
    [anon_sym_namespace] = ACTIONS(2690),
    [anon_sym_LBRACE] = ACTIONS(2688),
    [anon_sym_RBRACE] = ACTIONS(2688),
    [anon_sym_typeof] = ACTIONS(2690),
    [anon_sym_import] = ACTIONS(2690),
    [anon_sym_with] = ACTIONS(2690),
    [anon_sym_var] = ACTIONS(2690),
    [anon_sym_let] = ACTIONS(2690),
    [anon_sym_const] = ACTIONS(2690),
    [anon_sym_BANG] = ACTIONS(2688),
    [anon_sym_else] = ACTIONS(2690),
    [anon_sym_if] = ACTIONS(2690),
    [anon_sym_switch] = ACTIONS(2690),
    [anon_sym_for] = ACTIONS(2690),
    [anon_sym_LPAREN] = ACTIONS(2688),
    [anon_sym_SEMI] = ACTIONS(2688),
    [anon_sym_await] = ACTIONS(2690),
    [anon_sym_while] = ACTIONS(2690),
    [anon_sym_do] = ACTIONS(2690),
    [anon_sym_try] = ACTIONS(2690),
    [anon_sym_break] = ACTIONS(2690),
    [anon_sym_continue] = ACTIONS(2690),
    [anon_sym_debugger] = ACTIONS(2690),
    [anon_sym_return] = ACTIONS(2690),
    [anon_sym_throw] = ACTIONS(2690),
    [anon_sym_case] = ACTIONS(2690),
    [anon_sym_yield] = ACTIONS(2690),
    [anon_sym_LBRACK] = ACTIONS(2688),
    [sym_glimmer_opening_tag] = ACTIONS(2688),
    [anon_sym_DQUOTE] = ACTIONS(2688),
    [anon_sym_SQUOTE] = ACTIONS(2688),
    [anon_sym_class] = ACTIONS(2690),
    [anon_sym_async] = ACTIONS(2690),
    [anon_sym_function] = ACTIONS(2690),
    [anon_sym_new] = ACTIONS(2690),
    [anon_sym_using] = ACTIONS(2690),
    [anon_sym_PLUS] = ACTIONS(2690),
    [anon_sym_DASH] = ACTIONS(2690),
    [anon_sym_SLASH] = ACTIONS(2690),
    [anon_sym_LT] = ACTIONS(2690),
    [anon_sym_TILDE] = ACTIONS(2688),
    [anon_sym_void] = ACTIONS(2690),
    [anon_sym_delete] = ACTIONS(2690),
    [anon_sym_PLUS_PLUS] = ACTIONS(2688),
    [anon_sym_DASH_DASH] = ACTIONS(2688),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2688),
    [sym_number] = ACTIONS(2688),
    [sym_private_property_identifier] = ACTIONS(2688),
    [sym_this] = ACTIONS(2690),
    [sym_super] = ACTIONS(2690),
    [sym_true] = ACTIONS(2690),
    [sym_false] = ACTIONS(2690),
    [sym_null] = ACTIONS(2690),
    [sym_undefined] = ACTIONS(2690),
    [anon_sym_AT] = ACTIONS(2688),
    [anon_sym_static] = ACTIONS(2690),
    [anon_sym_readonly] = ACTIONS(2690),
    [anon_sym_get] = ACTIONS(2690),
    [anon_sym_set] = ACTIONS(2690),
    [anon_sym_declare] = ACTIONS(2690),
    [anon_sym_public] = ACTIONS(2690),
    [anon_sym_private] = ACTIONS(2690),
    [anon_sym_protected] = ACTIONS(2690),
    [anon_sym_override] = ACTIONS(2690),
    [anon_sym_module] = ACTIONS(2690),
    [anon_sym_any] = ACTIONS(2690),
    [anon_sym_number] = ACTIONS(2690),
    [anon_sym_boolean] = ACTIONS(2690),
    [anon_sym_string] = ACTIONS(2690),
    [anon_sym_symbol] = ACTIONS(2690),
    [anon_sym_object] = ACTIONS(2690),
    [anon_sym_abstract] = ACTIONS(2690),
    [anon_sym_interface] = ACTIONS(2690),
    [anon_sym_enum] = ACTIONS(2690),
    [sym_html_comment] = ACTIONS(5),
  },
  [852] = {
    [ts_builtin_sym_end] = ACTIONS(2692),
    [sym_identifier] = ACTIONS(2694),
    [anon_sym_export] = ACTIONS(2694),
    [anon_sym_default] = ACTIONS(2694),
    [anon_sym_type] = ACTIONS(2694),
    [anon_sym_namespace] = ACTIONS(2694),
    [anon_sym_LBRACE] = ACTIONS(2692),
    [anon_sym_RBRACE] = ACTIONS(2692),
    [anon_sym_typeof] = ACTIONS(2694),
    [anon_sym_import] = ACTIONS(2694),
    [anon_sym_with] = ACTIONS(2694),
    [anon_sym_var] = ACTIONS(2694),
    [anon_sym_let] = ACTIONS(2694),
    [anon_sym_const] = ACTIONS(2694),
    [anon_sym_BANG] = ACTIONS(2692),
    [anon_sym_else] = ACTIONS(2694),
    [anon_sym_if] = ACTIONS(2694),
    [anon_sym_switch] = ACTIONS(2694),
    [anon_sym_for] = ACTIONS(2694),
    [anon_sym_LPAREN] = ACTIONS(2692),
    [anon_sym_SEMI] = ACTIONS(2692),
    [anon_sym_await] = ACTIONS(2694),
    [anon_sym_while] = ACTIONS(2694),
    [anon_sym_do] = ACTIONS(2694),
    [anon_sym_try] = ACTIONS(2694),
    [anon_sym_break] = ACTIONS(2694),
    [anon_sym_continue] = ACTIONS(2694),
    [anon_sym_debugger] = ACTIONS(2694),
    [anon_sym_return] = ACTIONS(2694),
    [anon_sym_throw] = ACTIONS(2694),
    [anon_sym_case] = ACTIONS(2694),
    [anon_sym_yield] = ACTIONS(2694),
    [anon_sym_LBRACK] = ACTIONS(2692),
    [sym_glimmer_opening_tag] = ACTIONS(2692),
    [anon_sym_DQUOTE] = ACTIONS(2692),
    [anon_sym_SQUOTE] = ACTIONS(2692),
    [anon_sym_class] = ACTIONS(2694),
    [anon_sym_async] = ACTIONS(2694),
    [anon_sym_function] = ACTIONS(2694),
    [anon_sym_new] = ACTIONS(2694),
    [anon_sym_using] = ACTIONS(2694),
    [anon_sym_PLUS] = ACTIONS(2694),
    [anon_sym_DASH] = ACTIONS(2694),
    [anon_sym_SLASH] = ACTIONS(2694),
    [anon_sym_LT] = ACTIONS(2694),
    [anon_sym_TILDE] = ACTIONS(2692),
    [anon_sym_void] = ACTIONS(2694),
    [anon_sym_delete] = ACTIONS(2694),
    [anon_sym_PLUS_PLUS] = ACTIONS(2692),
    [anon_sym_DASH_DASH] = ACTIONS(2692),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2692),
    [sym_number] = ACTIONS(2692),
    [sym_private_property_identifier] = ACTIONS(2692),
    [sym_this] = ACTIONS(2694),
    [sym_super] = ACTIONS(2694),
    [sym_true] = ACTIONS(2694),
    [sym_false] = ACTIONS(2694),
    [sym_null] = ACTIONS(2694),
    [sym_undefined] = ACTIONS(2694),
    [anon_sym_AT] = ACTIONS(2692),
    [anon_sym_static] = ACTIONS(2694),
    [anon_sym_readonly] = ACTIONS(2694),
    [anon_sym_get] = ACTIONS(2694),
    [anon_sym_set] = ACTIONS(2694),
    [anon_sym_declare] = ACTIONS(2694),
    [anon_sym_public] = ACTIONS(2694),
    [anon_sym_private] = ACTIONS(2694),
    [anon_sym_protected] = ACTIONS(2694),
    [anon_sym_override] = ACTIONS(2694),
    [anon_sym_module] = ACTIONS(2694),
    [anon_sym_any] = ACTIONS(2694),
    [anon_sym_number] = ACTIONS(2694),
    [anon_sym_boolean] = ACTIONS(2694),
    [anon_sym_string] = ACTIONS(2694),
    [anon_sym_symbol] = ACTIONS(2694),
    [anon_sym_object] = ACTIONS(2694),
    [anon_sym_abstract] = ACTIONS(2694),
    [anon_sym_interface] = ACTIONS(2694),
    [anon_sym_enum] = ACTIONS(2694),
    [sym_html_comment] = ACTIONS(5),
  },
  [853] = {
    [ts_builtin_sym_end] = ACTIONS(2696),
    [sym_identifier] = ACTIONS(2698),
    [anon_sym_export] = ACTIONS(2698),
    [anon_sym_default] = ACTIONS(2698),
    [anon_sym_type] = ACTIONS(2698),
    [anon_sym_namespace] = ACTIONS(2698),
    [anon_sym_LBRACE] = ACTIONS(2696),
    [anon_sym_RBRACE] = ACTIONS(2696),
    [anon_sym_typeof] = ACTIONS(2698),
    [anon_sym_import] = ACTIONS(2698),
    [anon_sym_with] = ACTIONS(2698),
    [anon_sym_var] = ACTIONS(2698),
    [anon_sym_let] = ACTIONS(2698),
    [anon_sym_const] = ACTIONS(2698),
    [anon_sym_BANG] = ACTIONS(2696),
    [anon_sym_else] = ACTIONS(2698),
    [anon_sym_if] = ACTIONS(2698),
    [anon_sym_switch] = ACTIONS(2698),
    [anon_sym_for] = ACTIONS(2698),
    [anon_sym_LPAREN] = ACTIONS(2696),
    [anon_sym_SEMI] = ACTIONS(2696),
    [anon_sym_await] = ACTIONS(2698),
    [anon_sym_while] = ACTIONS(2698),
    [anon_sym_do] = ACTIONS(2698),
    [anon_sym_try] = ACTIONS(2698),
    [anon_sym_break] = ACTIONS(2698),
    [anon_sym_continue] = ACTIONS(2698),
    [anon_sym_debugger] = ACTIONS(2698),
    [anon_sym_return] = ACTIONS(2698),
    [anon_sym_throw] = ACTIONS(2698),
    [anon_sym_case] = ACTIONS(2698),
    [anon_sym_yield] = ACTIONS(2698),
    [anon_sym_LBRACK] = ACTIONS(2696),
    [sym_glimmer_opening_tag] = ACTIONS(2696),
    [anon_sym_DQUOTE] = ACTIONS(2696),
    [anon_sym_SQUOTE] = ACTIONS(2696),
    [anon_sym_class] = ACTIONS(2698),
    [anon_sym_async] = ACTIONS(2698),
    [anon_sym_function] = ACTIONS(2698),
    [anon_sym_new] = ACTIONS(2698),
    [anon_sym_using] = ACTIONS(2698),
    [anon_sym_PLUS] = ACTIONS(2698),
    [anon_sym_DASH] = ACTIONS(2698),
    [anon_sym_SLASH] = ACTIONS(2698),
    [anon_sym_LT] = ACTIONS(2698),
    [anon_sym_TILDE] = ACTIONS(2696),
    [anon_sym_void] = ACTIONS(2698),
    [anon_sym_delete] = ACTIONS(2698),
    [anon_sym_PLUS_PLUS] = ACTIONS(2696),
    [anon_sym_DASH_DASH] = ACTIONS(2696),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2696),
    [sym_number] = ACTIONS(2696),
    [sym_private_property_identifier] = ACTIONS(2696),
    [sym_this] = ACTIONS(2698),
    [sym_super] = ACTIONS(2698),
    [sym_true] = ACTIONS(2698),
    [sym_false] = ACTIONS(2698),
    [sym_null] = ACTIONS(2698),
    [sym_undefined] = ACTIONS(2698),
    [anon_sym_AT] = ACTIONS(2696),
    [anon_sym_static] = ACTIONS(2698),
    [anon_sym_readonly] = ACTIONS(2698),
    [anon_sym_get] = ACTIONS(2698),
    [anon_sym_set] = ACTIONS(2698),
    [anon_sym_declare] = ACTIONS(2698),
    [anon_sym_public] = ACTIONS(2698),
    [anon_sym_private] = ACTIONS(2698),
    [anon_sym_protected] = ACTIONS(2698),
    [anon_sym_override] = ACTIONS(2698),
    [anon_sym_module] = ACTIONS(2698),
    [anon_sym_any] = ACTIONS(2698),
    [anon_sym_number] = ACTIONS(2698),
    [anon_sym_boolean] = ACTIONS(2698),
    [anon_sym_string] = ACTIONS(2698),
    [anon_sym_symbol] = ACTIONS(2698),
    [anon_sym_object] = ACTIONS(2698),
    [anon_sym_abstract] = ACTIONS(2698),
    [anon_sym_interface] = ACTIONS(2698),
    [anon_sym_enum] = ACTIONS(2698),
    [sym_html_comment] = ACTIONS(5),
  },
  [854] = {
    [ts_builtin_sym_end] = ACTIONS(2700),
    [sym_identifier] = ACTIONS(2702),
    [anon_sym_export] = ACTIONS(2702),
    [anon_sym_default] = ACTIONS(2702),
    [anon_sym_type] = ACTIONS(2702),
    [anon_sym_namespace] = ACTIONS(2702),
    [anon_sym_LBRACE] = ACTIONS(2700),
    [anon_sym_RBRACE] = ACTIONS(2700),
    [anon_sym_typeof] = ACTIONS(2702),
    [anon_sym_import] = ACTIONS(2702),
    [anon_sym_with] = ACTIONS(2702),
    [anon_sym_var] = ACTIONS(2702),
    [anon_sym_let] = ACTIONS(2702),
    [anon_sym_const] = ACTIONS(2702),
    [anon_sym_BANG] = ACTIONS(2700),
    [anon_sym_else] = ACTIONS(2702),
    [anon_sym_if] = ACTIONS(2702),
    [anon_sym_switch] = ACTIONS(2702),
    [anon_sym_for] = ACTIONS(2702),
    [anon_sym_LPAREN] = ACTIONS(2700),
    [anon_sym_SEMI] = ACTIONS(2700),
    [anon_sym_await] = ACTIONS(2702),
    [anon_sym_while] = ACTIONS(2702),
    [anon_sym_do] = ACTIONS(2702),
    [anon_sym_try] = ACTIONS(2702),
    [anon_sym_break] = ACTIONS(2702),
    [anon_sym_continue] = ACTIONS(2702),
    [anon_sym_debugger] = ACTIONS(2702),
    [anon_sym_return] = ACTIONS(2702),
    [anon_sym_throw] = ACTIONS(2702),
    [anon_sym_case] = ACTIONS(2702),
    [anon_sym_yield] = ACTIONS(2702),
    [anon_sym_LBRACK] = ACTIONS(2700),
    [sym_glimmer_opening_tag] = ACTIONS(2700),
    [anon_sym_DQUOTE] = ACTIONS(2700),
    [anon_sym_SQUOTE] = ACTIONS(2700),
    [anon_sym_class] = ACTIONS(2702),
    [anon_sym_async] = ACTIONS(2702),
    [anon_sym_function] = ACTIONS(2702),
    [anon_sym_new] = ACTIONS(2702),
    [anon_sym_using] = ACTIONS(2702),
    [anon_sym_PLUS] = ACTIONS(2702),
    [anon_sym_DASH] = ACTIONS(2702),
    [anon_sym_SLASH] = ACTIONS(2702),
    [anon_sym_LT] = ACTIONS(2702),
    [anon_sym_TILDE] = ACTIONS(2700),
    [anon_sym_void] = ACTIONS(2702),
    [anon_sym_delete] = ACTIONS(2702),
    [anon_sym_PLUS_PLUS] = ACTIONS(2700),
    [anon_sym_DASH_DASH] = ACTIONS(2700),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2700),
    [sym_number] = ACTIONS(2700),
    [sym_private_property_identifier] = ACTIONS(2700),
    [sym_this] = ACTIONS(2702),
    [sym_super] = ACTIONS(2702),
    [sym_true] = ACTIONS(2702),
    [sym_false] = ACTIONS(2702),
    [sym_null] = ACTIONS(2702),
    [sym_undefined] = ACTIONS(2702),
    [anon_sym_AT] = ACTIONS(2700),
    [anon_sym_static] = ACTIONS(2702),
    [anon_sym_readonly] = ACTIONS(2702),
    [anon_sym_get] = ACTIONS(2702),
    [anon_sym_set] = ACTIONS(2702),
    [anon_sym_declare] = ACTIONS(2702),
    [anon_sym_public] = ACTIONS(2702),
    [anon_sym_private] = ACTIONS(2702),
    [anon_sym_protected] = ACTIONS(2702),
    [anon_sym_override] = ACTIONS(2702),
    [anon_sym_module] = ACTIONS(2702),
    [anon_sym_any] = ACTIONS(2702),
    [anon_sym_number] = ACTIONS(2702),
    [anon_sym_boolean] = ACTIONS(2702),
    [anon_sym_string] = ACTIONS(2702),
    [anon_sym_symbol] = ACTIONS(2702),
    [anon_sym_object] = ACTIONS(2702),
    [anon_sym_abstract] = ACTIONS(2702),
    [anon_sym_interface] = ACTIONS(2702),
    [anon_sym_enum] = ACTIONS(2702),
    [sym_html_comment] = ACTIONS(5),
  },
  [855] = {
    [ts_builtin_sym_end] = ACTIONS(2704),
    [sym_identifier] = ACTIONS(2706),
    [anon_sym_export] = ACTIONS(2706),
    [anon_sym_default] = ACTIONS(2706),
    [anon_sym_type] = ACTIONS(2706),
    [anon_sym_namespace] = ACTIONS(2706),
    [anon_sym_LBRACE] = ACTIONS(2704),
    [anon_sym_RBRACE] = ACTIONS(2704),
    [anon_sym_typeof] = ACTIONS(2706),
    [anon_sym_import] = ACTIONS(2706),
    [anon_sym_with] = ACTIONS(2706),
    [anon_sym_var] = ACTIONS(2706),
    [anon_sym_let] = ACTIONS(2706),
    [anon_sym_const] = ACTIONS(2706),
    [anon_sym_BANG] = ACTIONS(2704),
    [anon_sym_else] = ACTIONS(2706),
    [anon_sym_if] = ACTIONS(2706),
    [anon_sym_switch] = ACTIONS(2706),
    [anon_sym_for] = ACTIONS(2706),
    [anon_sym_LPAREN] = ACTIONS(2704),
    [anon_sym_SEMI] = ACTIONS(2704),
    [anon_sym_await] = ACTIONS(2706),
    [anon_sym_while] = ACTIONS(2706),
    [anon_sym_do] = ACTIONS(2706),
    [anon_sym_try] = ACTIONS(2706),
    [anon_sym_break] = ACTIONS(2706),
    [anon_sym_continue] = ACTIONS(2706),
    [anon_sym_debugger] = ACTIONS(2706),
    [anon_sym_return] = ACTIONS(2706),
    [anon_sym_throw] = ACTIONS(2706),
    [anon_sym_case] = ACTIONS(2706),
    [anon_sym_yield] = ACTIONS(2706),
    [anon_sym_LBRACK] = ACTIONS(2704),
    [sym_glimmer_opening_tag] = ACTIONS(2704),
    [anon_sym_DQUOTE] = ACTIONS(2704),
    [anon_sym_SQUOTE] = ACTIONS(2704),
    [anon_sym_class] = ACTIONS(2706),
    [anon_sym_async] = ACTIONS(2706),
    [anon_sym_function] = ACTIONS(2706),
    [anon_sym_new] = ACTIONS(2706),
    [anon_sym_using] = ACTIONS(2706),
    [anon_sym_PLUS] = ACTIONS(2706),
    [anon_sym_DASH] = ACTIONS(2706),
    [anon_sym_SLASH] = ACTIONS(2706),
    [anon_sym_LT] = ACTIONS(2706),
    [anon_sym_TILDE] = ACTIONS(2704),
    [anon_sym_void] = ACTIONS(2706),
    [anon_sym_delete] = ACTIONS(2706),
    [anon_sym_PLUS_PLUS] = ACTIONS(2704),
    [anon_sym_DASH_DASH] = ACTIONS(2704),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2704),
    [sym_number] = ACTIONS(2704),
    [sym_private_property_identifier] = ACTIONS(2704),
    [sym_this] = ACTIONS(2706),
    [sym_super] = ACTIONS(2706),
    [sym_true] = ACTIONS(2706),
    [sym_false] = ACTIONS(2706),
    [sym_null] = ACTIONS(2706),
    [sym_undefined] = ACTIONS(2706),
    [anon_sym_AT] = ACTIONS(2704),
    [anon_sym_static] = ACTIONS(2706),
    [anon_sym_readonly] = ACTIONS(2706),
    [anon_sym_get] = ACTIONS(2706),
    [anon_sym_set] = ACTIONS(2706),
    [anon_sym_declare] = ACTIONS(2706),
    [anon_sym_public] = ACTIONS(2706),
    [anon_sym_private] = ACTIONS(2706),
    [anon_sym_protected] = ACTIONS(2706),
    [anon_sym_override] = ACTIONS(2706),
    [anon_sym_module] = ACTIONS(2706),
    [anon_sym_any] = ACTIONS(2706),
    [anon_sym_number] = ACTIONS(2706),
    [anon_sym_boolean] = ACTIONS(2706),
    [anon_sym_string] = ACTIONS(2706),
    [anon_sym_symbol] = ACTIONS(2706),
    [anon_sym_object] = ACTIONS(2706),
    [anon_sym_abstract] = ACTIONS(2706),
    [anon_sym_interface] = ACTIONS(2706),
    [anon_sym_enum] = ACTIONS(2706),
    [sym_html_comment] = ACTIONS(5),
  },
  [856] = {
    [ts_builtin_sym_end] = ACTIONS(2708),
    [sym_identifier] = ACTIONS(2710),
    [anon_sym_export] = ACTIONS(2710),
    [anon_sym_default] = ACTIONS(2710),
    [anon_sym_type] = ACTIONS(2710),
    [anon_sym_namespace] = ACTIONS(2710),
    [anon_sym_LBRACE] = ACTIONS(2708),
    [anon_sym_RBRACE] = ACTIONS(2708),
    [anon_sym_typeof] = ACTIONS(2710),
    [anon_sym_import] = ACTIONS(2710),
    [anon_sym_with] = ACTIONS(2710),
    [anon_sym_var] = ACTIONS(2710),
    [anon_sym_let] = ACTIONS(2710),
    [anon_sym_const] = ACTIONS(2710),
    [anon_sym_BANG] = ACTIONS(2708),
    [anon_sym_else] = ACTIONS(2710),
    [anon_sym_if] = ACTIONS(2710),
    [anon_sym_switch] = ACTIONS(2710),
    [anon_sym_for] = ACTIONS(2710),
    [anon_sym_LPAREN] = ACTIONS(2708),
    [anon_sym_SEMI] = ACTIONS(2708),
    [anon_sym_await] = ACTIONS(2710),
    [anon_sym_while] = ACTIONS(2710),
    [anon_sym_do] = ACTIONS(2710),
    [anon_sym_try] = ACTIONS(2710),
    [anon_sym_break] = ACTIONS(2710),
    [anon_sym_continue] = ACTIONS(2710),
    [anon_sym_debugger] = ACTIONS(2710),
    [anon_sym_return] = ACTIONS(2710),
    [anon_sym_throw] = ACTIONS(2710),
    [anon_sym_case] = ACTIONS(2710),
    [anon_sym_yield] = ACTIONS(2710),
    [anon_sym_LBRACK] = ACTIONS(2708),
    [sym_glimmer_opening_tag] = ACTIONS(2708),
    [anon_sym_DQUOTE] = ACTIONS(2708),
    [anon_sym_SQUOTE] = ACTIONS(2708),
    [anon_sym_class] = ACTIONS(2710),
    [anon_sym_async] = ACTIONS(2710),
    [anon_sym_function] = ACTIONS(2710),
    [anon_sym_new] = ACTIONS(2710),
    [anon_sym_using] = ACTIONS(2710),
    [anon_sym_PLUS] = ACTIONS(2710),
    [anon_sym_DASH] = ACTIONS(2710),
    [anon_sym_SLASH] = ACTIONS(2710),
    [anon_sym_LT] = ACTIONS(2710),
    [anon_sym_TILDE] = ACTIONS(2708),
    [anon_sym_void] = ACTIONS(2710),
    [anon_sym_delete] = ACTIONS(2710),
    [anon_sym_PLUS_PLUS] = ACTIONS(2708),
    [anon_sym_DASH_DASH] = ACTIONS(2708),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2708),
    [sym_number] = ACTIONS(2708),
    [sym_private_property_identifier] = ACTIONS(2708),
    [sym_this] = ACTIONS(2710),
    [sym_super] = ACTIONS(2710),
    [sym_true] = ACTIONS(2710),
    [sym_false] = ACTIONS(2710),
    [sym_null] = ACTIONS(2710),
    [sym_undefined] = ACTIONS(2710),
    [anon_sym_AT] = ACTIONS(2708),
    [anon_sym_static] = ACTIONS(2710),
    [anon_sym_readonly] = ACTIONS(2710),
    [anon_sym_get] = ACTIONS(2710),
    [anon_sym_set] = ACTIONS(2710),
    [anon_sym_declare] = ACTIONS(2710),
    [anon_sym_public] = ACTIONS(2710),
    [anon_sym_private] = ACTIONS(2710),
    [anon_sym_protected] = ACTIONS(2710),
    [anon_sym_override] = ACTIONS(2710),
    [anon_sym_module] = ACTIONS(2710),
    [anon_sym_any] = ACTIONS(2710),
    [anon_sym_number] = ACTIONS(2710),
    [anon_sym_boolean] = ACTIONS(2710),
    [anon_sym_string] = ACTIONS(2710),
    [anon_sym_symbol] = ACTIONS(2710),
    [anon_sym_object] = ACTIONS(2710),
    [anon_sym_abstract] = ACTIONS(2710),
    [anon_sym_interface] = ACTIONS(2710),
    [anon_sym_enum] = ACTIONS(2710),
    [sym_html_comment] = ACTIONS(5),
  },
  [857] = {
    [ts_builtin_sym_end] = ACTIONS(2712),
    [sym_identifier] = ACTIONS(2714),
    [anon_sym_export] = ACTIONS(2714),
    [anon_sym_default] = ACTIONS(2714),
    [anon_sym_type] = ACTIONS(2714),
    [anon_sym_namespace] = ACTIONS(2714),
    [anon_sym_LBRACE] = ACTIONS(2712),
    [anon_sym_RBRACE] = ACTIONS(2712),
    [anon_sym_typeof] = ACTIONS(2714),
    [anon_sym_import] = ACTIONS(2714),
    [anon_sym_with] = ACTIONS(2714),
    [anon_sym_var] = ACTIONS(2714),
    [anon_sym_let] = ACTIONS(2714),
    [anon_sym_const] = ACTIONS(2714),
    [anon_sym_BANG] = ACTIONS(2712),
    [anon_sym_else] = ACTIONS(2714),
    [anon_sym_if] = ACTIONS(2714),
    [anon_sym_switch] = ACTIONS(2714),
    [anon_sym_for] = ACTIONS(2714),
    [anon_sym_LPAREN] = ACTIONS(2712),
    [anon_sym_SEMI] = ACTIONS(2712),
    [anon_sym_await] = ACTIONS(2714),
    [anon_sym_while] = ACTIONS(2714),
    [anon_sym_do] = ACTIONS(2714),
    [anon_sym_try] = ACTIONS(2714),
    [anon_sym_break] = ACTIONS(2714),
    [anon_sym_continue] = ACTIONS(2714),
    [anon_sym_debugger] = ACTIONS(2714),
    [anon_sym_return] = ACTIONS(2714),
    [anon_sym_throw] = ACTIONS(2714),
    [anon_sym_case] = ACTIONS(2714),
    [anon_sym_yield] = ACTIONS(2714),
    [anon_sym_LBRACK] = ACTIONS(2712),
    [sym_glimmer_opening_tag] = ACTIONS(2712),
    [anon_sym_DQUOTE] = ACTIONS(2712),
    [anon_sym_SQUOTE] = ACTIONS(2712),
    [anon_sym_class] = ACTIONS(2714),
    [anon_sym_async] = ACTIONS(2714),
    [anon_sym_function] = ACTIONS(2714),
    [anon_sym_new] = ACTIONS(2714),
    [anon_sym_using] = ACTIONS(2714),
    [anon_sym_PLUS] = ACTIONS(2714),
    [anon_sym_DASH] = ACTIONS(2714),
    [anon_sym_SLASH] = ACTIONS(2714),
    [anon_sym_LT] = ACTIONS(2714),
    [anon_sym_TILDE] = ACTIONS(2712),
    [anon_sym_void] = ACTIONS(2714),
    [anon_sym_delete] = ACTIONS(2714),
    [anon_sym_PLUS_PLUS] = ACTIONS(2712),
    [anon_sym_DASH_DASH] = ACTIONS(2712),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2712),
    [sym_number] = ACTIONS(2712),
    [sym_private_property_identifier] = ACTIONS(2712),
    [sym_this] = ACTIONS(2714),
    [sym_super] = ACTIONS(2714),
    [sym_true] = ACTIONS(2714),
    [sym_false] = ACTIONS(2714),
    [sym_null] = ACTIONS(2714),
    [sym_undefined] = ACTIONS(2714),
    [anon_sym_AT] = ACTIONS(2712),
    [anon_sym_static] = ACTIONS(2714),
    [anon_sym_readonly] = ACTIONS(2714),
    [anon_sym_get] = ACTIONS(2714),
    [anon_sym_set] = ACTIONS(2714),
    [anon_sym_declare] = ACTIONS(2714),
    [anon_sym_public] = ACTIONS(2714),
    [anon_sym_private] = ACTIONS(2714),
    [anon_sym_protected] = ACTIONS(2714),
    [anon_sym_override] = ACTIONS(2714),
    [anon_sym_module] = ACTIONS(2714),
    [anon_sym_any] = ACTIONS(2714),
    [anon_sym_number] = ACTIONS(2714),
    [anon_sym_boolean] = ACTIONS(2714),
    [anon_sym_string] = ACTIONS(2714),
    [anon_sym_symbol] = ACTIONS(2714),
    [anon_sym_object] = ACTIONS(2714),
    [anon_sym_abstract] = ACTIONS(2714),
    [anon_sym_interface] = ACTIONS(2714),
    [anon_sym_enum] = ACTIONS(2714),
    [sym_html_comment] = ACTIONS(5),
  },
  [858] = {
    [ts_builtin_sym_end] = ACTIONS(2716),
    [sym_identifier] = ACTIONS(2718),
    [anon_sym_export] = ACTIONS(2718),
    [anon_sym_default] = ACTIONS(2718),
    [anon_sym_type] = ACTIONS(2718),
    [anon_sym_namespace] = ACTIONS(2718),
    [anon_sym_LBRACE] = ACTIONS(2716),
    [anon_sym_RBRACE] = ACTIONS(2716),
    [anon_sym_typeof] = ACTIONS(2718),
    [anon_sym_import] = ACTIONS(2718),
    [anon_sym_with] = ACTIONS(2718),
    [anon_sym_var] = ACTIONS(2718),
    [anon_sym_let] = ACTIONS(2718),
    [anon_sym_const] = ACTIONS(2718),
    [anon_sym_BANG] = ACTIONS(2716),
    [anon_sym_else] = ACTIONS(2718),
    [anon_sym_if] = ACTIONS(2718),
    [anon_sym_switch] = ACTIONS(2718),
    [anon_sym_for] = ACTIONS(2718),
    [anon_sym_LPAREN] = ACTIONS(2716),
    [anon_sym_SEMI] = ACTIONS(2716),
    [anon_sym_await] = ACTIONS(2718),
    [anon_sym_while] = ACTIONS(2718),
    [anon_sym_do] = ACTIONS(2718),
    [anon_sym_try] = ACTIONS(2718),
    [anon_sym_break] = ACTIONS(2718),
    [anon_sym_continue] = ACTIONS(2718),
    [anon_sym_debugger] = ACTIONS(2718),
    [anon_sym_return] = ACTIONS(2718),
    [anon_sym_throw] = ACTIONS(2718),
    [anon_sym_case] = ACTIONS(2718),
    [anon_sym_yield] = ACTIONS(2718),
    [anon_sym_LBRACK] = ACTIONS(2716),
    [sym_glimmer_opening_tag] = ACTIONS(2716),
    [anon_sym_DQUOTE] = ACTIONS(2716),
    [anon_sym_SQUOTE] = ACTIONS(2716),
    [anon_sym_class] = ACTIONS(2718),
    [anon_sym_async] = ACTIONS(2718),
    [anon_sym_function] = ACTIONS(2718),
    [anon_sym_new] = ACTIONS(2718),
    [anon_sym_using] = ACTIONS(2718),
    [anon_sym_PLUS] = ACTIONS(2718),
    [anon_sym_DASH] = ACTIONS(2718),
    [anon_sym_SLASH] = ACTIONS(2718),
    [anon_sym_LT] = ACTIONS(2718),
    [anon_sym_TILDE] = ACTIONS(2716),
    [anon_sym_void] = ACTIONS(2718),
    [anon_sym_delete] = ACTIONS(2718),
    [anon_sym_PLUS_PLUS] = ACTIONS(2716),
    [anon_sym_DASH_DASH] = ACTIONS(2716),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2716),
    [sym_number] = ACTIONS(2716),
    [sym_private_property_identifier] = ACTIONS(2716),
    [sym_this] = ACTIONS(2718),
    [sym_super] = ACTIONS(2718),
    [sym_true] = ACTIONS(2718),
    [sym_false] = ACTIONS(2718),
    [sym_null] = ACTIONS(2718),
    [sym_undefined] = ACTIONS(2718),
    [anon_sym_AT] = ACTIONS(2716),
    [anon_sym_static] = ACTIONS(2718),
    [anon_sym_readonly] = ACTIONS(2718),
    [anon_sym_get] = ACTIONS(2718),
    [anon_sym_set] = ACTIONS(2718),
    [anon_sym_declare] = ACTIONS(2718),
    [anon_sym_public] = ACTIONS(2718),
    [anon_sym_private] = ACTIONS(2718),
    [anon_sym_protected] = ACTIONS(2718),
    [anon_sym_override] = ACTIONS(2718),
    [anon_sym_module] = ACTIONS(2718),
    [anon_sym_any] = ACTIONS(2718),
    [anon_sym_number] = ACTIONS(2718),
    [anon_sym_boolean] = ACTIONS(2718),
    [anon_sym_string] = ACTIONS(2718),
    [anon_sym_symbol] = ACTIONS(2718),
    [anon_sym_object] = ACTIONS(2718),
    [anon_sym_abstract] = ACTIONS(2718),
    [anon_sym_interface] = ACTIONS(2718),
    [anon_sym_enum] = ACTIONS(2718),
    [sym_html_comment] = ACTIONS(5),
  },
  [859] = {
    [ts_builtin_sym_end] = ACTIONS(2720),
    [sym_identifier] = ACTIONS(2722),
    [anon_sym_export] = ACTIONS(2722),
    [anon_sym_default] = ACTIONS(2722),
    [anon_sym_type] = ACTIONS(2722),
    [anon_sym_namespace] = ACTIONS(2722),
    [anon_sym_LBRACE] = ACTIONS(2720),
    [anon_sym_RBRACE] = ACTIONS(2720),
    [anon_sym_typeof] = ACTIONS(2722),
    [anon_sym_import] = ACTIONS(2722),
    [anon_sym_with] = ACTIONS(2722),
    [anon_sym_var] = ACTIONS(2722),
    [anon_sym_let] = ACTIONS(2722),
    [anon_sym_const] = ACTIONS(2722),
    [anon_sym_BANG] = ACTIONS(2720),
    [anon_sym_else] = ACTIONS(2722),
    [anon_sym_if] = ACTIONS(2722),
    [anon_sym_switch] = ACTIONS(2722),
    [anon_sym_for] = ACTIONS(2722),
    [anon_sym_LPAREN] = ACTIONS(2720),
    [anon_sym_SEMI] = ACTIONS(2720),
    [anon_sym_await] = ACTIONS(2722),
    [anon_sym_while] = ACTIONS(2722),
    [anon_sym_do] = ACTIONS(2722),
    [anon_sym_try] = ACTIONS(2722),
    [anon_sym_break] = ACTIONS(2722),
    [anon_sym_continue] = ACTIONS(2722),
    [anon_sym_debugger] = ACTIONS(2722),
    [anon_sym_return] = ACTIONS(2722),
    [anon_sym_throw] = ACTIONS(2722),
    [anon_sym_case] = ACTIONS(2722),
    [anon_sym_yield] = ACTIONS(2722),
    [anon_sym_LBRACK] = ACTIONS(2720),
    [sym_glimmer_opening_tag] = ACTIONS(2720),
    [anon_sym_DQUOTE] = ACTIONS(2720),
    [anon_sym_SQUOTE] = ACTIONS(2720),
    [anon_sym_class] = ACTIONS(2722),
    [anon_sym_async] = ACTIONS(2722),
    [anon_sym_function] = ACTIONS(2722),
    [anon_sym_new] = ACTIONS(2722),
    [anon_sym_using] = ACTIONS(2722),
    [anon_sym_PLUS] = ACTIONS(2722),
    [anon_sym_DASH] = ACTIONS(2722),
    [anon_sym_SLASH] = ACTIONS(2722),
    [anon_sym_LT] = ACTIONS(2722),
    [anon_sym_TILDE] = ACTIONS(2720),
    [anon_sym_void] = ACTIONS(2722),
    [anon_sym_delete] = ACTIONS(2722),
    [anon_sym_PLUS_PLUS] = ACTIONS(2720),
    [anon_sym_DASH_DASH] = ACTIONS(2720),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2720),
    [sym_number] = ACTIONS(2720),
    [sym_private_property_identifier] = ACTIONS(2720),
    [sym_this] = ACTIONS(2722),
    [sym_super] = ACTIONS(2722),
    [sym_true] = ACTIONS(2722),
    [sym_false] = ACTIONS(2722),
    [sym_null] = ACTIONS(2722),
    [sym_undefined] = ACTIONS(2722),
    [anon_sym_AT] = ACTIONS(2720),
    [anon_sym_static] = ACTIONS(2722),
    [anon_sym_readonly] = ACTIONS(2722),
    [anon_sym_get] = ACTIONS(2722),
    [anon_sym_set] = ACTIONS(2722),
    [anon_sym_declare] = ACTIONS(2722),
    [anon_sym_public] = ACTIONS(2722),
    [anon_sym_private] = ACTIONS(2722),
    [anon_sym_protected] = ACTIONS(2722),
    [anon_sym_override] = ACTIONS(2722),
    [anon_sym_module] = ACTIONS(2722),
    [anon_sym_any] = ACTIONS(2722),
    [anon_sym_number] = ACTIONS(2722),
    [anon_sym_boolean] = ACTIONS(2722),
    [anon_sym_string] = ACTIONS(2722),
    [anon_sym_symbol] = ACTIONS(2722),
    [anon_sym_object] = ACTIONS(2722),
    [anon_sym_abstract] = ACTIONS(2722),
    [anon_sym_interface] = ACTIONS(2722),
    [anon_sym_enum] = ACTIONS(2722),
    [sym_html_comment] = ACTIONS(5),
  },
  [860] = {
    [ts_builtin_sym_end] = ACTIONS(2724),
    [sym_identifier] = ACTIONS(2726),
    [anon_sym_export] = ACTIONS(2726),
    [anon_sym_default] = ACTIONS(2726),
    [anon_sym_type] = ACTIONS(2726),
    [anon_sym_namespace] = ACTIONS(2726),
    [anon_sym_LBRACE] = ACTIONS(2724),
    [anon_sym_RBRACE] = ACTIONS(2724),
    [anon_sym_typeof] = ACTIONS(2726),
    [anon_sym_import] = ACTIONS(2726),
    [anon_sym_with] = ACTIONS(2726),
    [anon_sym_var] = ACTIONS(2726),
    [anon_sym_let] = ACTIONS(2726),
    [anon_sym_const] = ACTIONS(2726),
    [anon_sym_BANG] = ACTIONS(2724),
    [anon_sym_else] = ACTIONS(2726),
    [anon_sym_if] = ACTIONS(2726),
    [anon_sym_switch] = ACTIONS(2726),
    [anon_sym_for] = ACTIONS(2726),
    [anon_sym_LPAREN] = ACTIONS(2724),
    [anon_sym_SEMI] = ACTIONS(2724),
    [anon_sym_await] = ACTIONS(2726),
    [anon_sym_while] = ACTIONS(2726),
    [anon_sym_do] = ACTIONS(2726),
    [anon_sym_try] = ACTIONS(2726),
    [anon_sym_break] = ACTIONS(2726),
    [anon_sym_continue] = ACTIONS(2726),
    [anon_sym_debugger] = ACTIONS(2726),
    [anon_sym_return] = ACTIONS(2726),
    [anon_sym_throw] = ACTIONS(2726),
    [anon_sym_case] = ACTIONS(2726),
    [anon_sym_yield] = ACTIONS(2726),
    [anon_sym_LBRACK] = ACTIONS(2724),
    [sym_glimmer_opening_tag] = ACTIONS(2724),
    [anon_sym_DQUOTE] = ACTIONS(2724),
    [anon_sym_SQUOTE] = ACTIONS(2724),
    [anon_sym_class] = ACTIONS(2726),
    [anon_sym_async] = ACTIONS(2726),
    [anon_sym_function] = ACTIONS(2726),
    [anon_sym_new] = ACTIONS(2726),
    [anon_sym_using] = ACTIONS(2726),
    [anon_sym_PLUS] = ACTIONS(2726),
    [anon_sym_DASH] = ACTIONS(2726),
    [anon_sym_SLASH] = ACTIONS(2726),
    [anon_sym_LT] = ACTIONS(2726),
    [anon_sym_TILDE] = ACTIONS(2724),
    [anon_sym_void] = ACTIONS(2726),
    [anon_sym_delete] = ACTIONS(2726),
    [anon_sym_PLUS_PLUS] = ACTIONS(2724),
    [anon_sym_DASH_DASH] = ACTIONS(2724),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2724),
    [sym_number] = ACTIONS(2724),
    [sym_private_property_identifier] = ACTIONS(2724),
    [sym_this] = ACTIONS(2726),
    [sym_super] = ACTIONS(2726),
    [sym_true] = ACTIONS(2726),
    [sym_false] = ACTIONS(2726),
    [sym_null] = ACTIONS(2726),
    [sym_undefined] = ACTIONS(2726),
    [anon_sym_AT] = ACTIONS(2724),
    [anon_sym_static] = ACTIONS(2726),
    [anon_sym_readonly] = ACTIONS(2726),
    [anon_sym_get] = ACTIONS(2726),
    [anon_sym_set] = ACTIONS(2726),
    [anon_sym_declare] = ACTIONS(2726),
    [anon_sym_public] = ACTIONS(2726),
    [anon_sym_private] = ACTIONS(2726),
    [anon_sym_protected] = ACTIONS(2726),
    [anon_sym_override] = ACTIONS(2726),
    [anon_sym_module] = ACTIONS(2726),
    [anon_sym_any] = ACTIONS(2726),
    [anon_sym_number] = ACTIONS(2726),
    [anon_sym_boolean] = ACTIONS(2726),
    [anon_sym_string] = ACTIONS(2726),
    [anon_sym_symbol] = ACTIONS(2726),
    [anon_sym_object] = ACTIONS(2726),
    [anon_sym_abstract] = ACTIONS(2726),
    [anon_sym_interface] = ACTIONS(2726),
    [anon_sym_enum] = ACTIONS(2726),
    [sym_html_comment] = ACTIONS(5),
  },
  [861] = {
    [ts_builtin_sym_end] = ACTIONS(2728),
    [sym_identifier] = ACTIONS(2730),
    [anon_sym_export] = ACTIONS(2730),
    [anon_sym_default] = ACTIONS(2730),
    [anon_sym_type] = ACTIONS(2730),
    [anon_sym_namespace] = ACTIONS(2730),
    [anon_sym_LBRACE] = ACTIONS(2728),
    [anon_sym_RBRACE] = ACTIONS(2728),
    [anon_sym_typeof] = ACTIONS(2730),
    [anon_sym_import] = ACTIONS(2730),
    [anon_sym_with] = ACTIONS(2730),
    [anon_sym_var] = ACTIONS(2730),
    [anon_sym_let] = ACTIONS(2730),
    [anon_sym_const] = ACTIONS(2730),
    [anon_sym_BANG] = ACTIONS(2728),
    [anon_sym_else] = ACTIONS(2730),
    [anon_sym_if] = ACTIONS(2730),
    [anon_sym_switch] = ACTIONS(2730),
    [anon_sym_for] = ACTIONS(2730),
    [anon_sym_LPAREN] = ACTIONS(2728),
    [anon_sym_SEMI] = ACTIONS(2728),
    [anon_sym_await] = ACTIONS(2730),
    [anon_sym_while] = ACTIONS(2730),
    [anon_sym_do] = ACTIONS(2730),
    [anon_sym_try] = ACTIONS(2730),
    [anon_sym_break] = ACTIONS(2730),
    [anon_sym_continue] = ACTIONS(2730),
    [anon_sym_debugger] = ACTIONS(2730),
    [anon_sym_return] = ACTIONS(2730),
    [anon_sym_throw] = ACTIONS(2730),
    [anon_sym_case] = ACTIONS(2730),
    [anon_sym_yield] = ACTIONS(2730),
    [anon_sym_LBRACK] = ACTIONS(2728),
    [sym_glimmer_opening_tag] = ACTIONS(2728),
    [anon_sym_DQUOTE] = ACTIONS(2728),
    [anon_sym_SQUOTE] = ACTIONS(2728),
    [anon_sym_class] = ACTIONS(2730),
    [anon_sym_async] = ACTIONS(2730),
    [anon_sym_function] = ACTIONS(2730),
    [anon_sym_new] = ACTIONS(2730),
    [anon_sym_using] = ACTIONS(2730),
    [anon_sym_PLUS] = ACTIONS(2730),
    [anon_sym_DASH] = ACTIONS(2730),
    [anon_sym_SLASH] = ACTIONS(2730),
    [anon_sym_LT] = ACTIONS(2730),
    [anon_sym_TILDE] = ACTIONS(2728),
    [anon_sym_void] = ACTIONS(2730),
    [anon_sym_delete] = ACTIONS(2730),
    [anon_sym_PLUS_PLUS] = ACTIONS(2728),
    [anon_sym_DASH_DASH] = ACTIONS(2728),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2728),
    [sym_number] = ACTIONS(2728),
    [sym_private_property_identifier] = ACTIONS(2728),
    [sym_this] = ACTIONS(2730),
    [sym_super] = ACTIONS(2730),
    [sym_true] = ACTIONS(2730),
    [sym_false] = ACTIONS(2730),
    [sym_null] = ACTIONS(2730),
    [sym_undefined] = ACTIONS(2730),
    [anon_sym_AT] = ACTIONS(2728),
    [anon_sym_static] = ACTIONS(2730),
    [anon_sym_readonly] = ACTIONS(2730),
    [anon_sym_get] = ACTIONS(2730),
    [anon_sym_set] = ACTIONS(2730),
    [anon_sym_declare] = ACTIONS(2730),
    [anon_sym_public] = ACTIONS(2730),
    [anon_sym_private] = ACTIONS(2730),
    [anon_sym_protected] = ACTIONS(2730),
    [anon_sym_override] = ACTIONS(2730),
    [anon_sym_module] = ACTIONS(2730),
    [anon_sym_any] = ACTIONS(2730),
    [anon_sym_number] = ACTIONS(2730),
    [anon_sym_boolean] = ACTIONS(2730),
    [anon_sym_string] = ACTIONS(2730),
    [anon_sym_symbol] = ACTIONS(2730),
    [anon_sym_object] = ACTIONS(2730),
    [anon_sym_abstract] = ACTIONS(2730),
    [anon_sym_interface] = ACTIONS(2730),
    [anon_sym_enum] = ACTIONS(2730),
    [sym_html_comment] = ACTIONS(5),
  },
  [862] = {
    [ts_builtin_sym_end] = ACTIONS(2732),
    [sym_identifier] = ACTIONS(2734),
    [anon_sym_export] = ACTIONS(2734),
    [anon_sym_default] = ACTIONS(2734),
    [anon_sym_type] = ACTIONS(2734),
    [anon_sym_namespace] = ACTIONS(2734),
    [anon_sym_LBRACE] = ACTIONS(2732),
    [anon_sym_RBRACE] = ACTIONS(2732),
    [anon_sym_typeof] = ACTIONS(2734),
    [anon_sym_import] = ACTIONS(2734),
    [anon_sym_with] = ACTIONS(2734),
    [anon_sym_var] = ACTIONS(2734),
    [anon_sym_let] = ACTIONS(2734),
    [anon_sym_const] = ACTIONS(2734),
    [anon_sym_BANG] = ACTIONS(2732),
    [anon_sym_else] = ACTIONS(2734),
    [anon_sym_if] = ACTIONS(2734),
    [anon_sym_switch] = ACTIONS(2734),
    [anon_sym_for] = ACTIONS(2734),
    [anon_sym_LPAREN] = ACTIONS(2732),
    [anon_sym_SEMI] = ACTIONS(2732),
    [anon_sym_await] = ACTIONS(2734),
    [anon_sym_while] = ACTIONS(2734),
    [anon_sym_do] = ACTIONS(2734),
    [anon_sym_try] = ACTIONS(2734),
    [anon_sym_break] = ACTIONS(2734),
    [anon_sym_continue] = ACTIONS(2734),
    [anon_sym_debugger] = ACTIONS(2734),
    [anon_sym_return] = ACTIONS(2734),
    [anon_sym_throw] = ACTIONS(2734),
    [anon_sym_case] = ACTIONS(2734),
    [anon_sym_yield] = ACTIONS(2734),
    [anon_sym_LBRACK] = ACTIONS(2732),
    [sym_glimmer_opening_tag] = ACTIONS(2732),
    [anon_sym_DQUOTE] = ACTIONS(2732),
    [anon_sym_SQUOTE] = ACTIONS(2732),
    [anon_sym_class] = ACTIONS(2734),
    [anon_sym_async] = ACTIONS(2734),
    [anon_sym_function] = ACTIONS(2734),
    [anon_sym_new] = ACTIONS(2734),
    [anon_sym_using] = ACTIONS(2734),
    [anon_sym_PLUS] = ACTIONS(2734),
    [anon_sym_DASH] = ACTIONS(2734),
    [anon_sym_SLASH] = ACTIONS(2734),
    [anon_sym_LT] = ACTIONS(2734),
    [anon_sym_TILDE] = ACTIONS(2732),
    [anon_sym_void] = ACTIONS(2734),
    [anon_sym_delete] = ACTIONS(2734),
    [anon_sym_PLUS_PLUS] = ACTIONS(2732),
    [anon_sym_DASH_DASH] = ACTIONS(2732),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2732),
    [sym_number] = ACTIONS(2732),
    [sym_private_property_identifier] = ACTIONS(2732),
    [sym_this] = ACTIONS(2734),
    [sym_super] = ACTIONS(2734),
    [sym_true] = ACTIONS(2734),
    [sym_false] = ACTIONS(2734),
    [sym_null] = ACTIONS(2734),
    [sym_undefined] = ACTIONS(2734),
    [anon_sym_AT] = ACTIONS(2732),
    [anon_sym_static] = ACTIONS(2734),
    [anon_sym_readonly] = ACTIONS(2734),
    [anon_sym_get] = ACTIONS(2734),
    [anon_sym_set] = ACTIONS(2734),
    [anon_sym_declare] = ACTIONS(2734),
    [anon_sym_public] = ACTIONS(2734),
    [anon_sym_private] = ACTIONS(2734),
    [anon_sym_protected] = ACTIONS(2734),
    [anon_sym_override] = ACTIONS(2734),
    [anon_sym_module] = ACTIONS(2734),
    [anon_sym_any] = ACTIONS(2734),
    [anon_sym_number] = ACTIONS(2734),
    [anon_sym_boolean] = ACTIONS(2734),
    [anon_sym_string] = ACTIONS(2734),
    [anon_sym_symbol] = ACTIONS(2734),
    [anon_sym_object] = ACTIONS(2734),
    [anon_sym_abstract] = ACTIONS(2734),
    [anon_sym_interface] = ACTIONS(2734),
    [anon_sym_enum] = ACTIONS(2734),
    [sym_html_comment] = ACTIONS(5),
  },
  [863] = {
    [ts_builtin_sym_end] = ACTIONS(2736),
    [sym_identifier] = ACTIONS(2738),
    [anon_sym_export] = ACTIONS(2738),
    [anon_sym_default] = ACTIONS(2738),
    [anon_sym_type] = ACTIONS(2738),
    [anon_sym_namespace] = ACTIONS(2738),
    [anon_sym_LBRACE] = ACTIONS(2736),
    [anon_sym_RBRACE] = ACTIONS(2736),
    [anon_sym_typeof] = ACTIONS(2738),
    [anon_sym_import] = ACTIONS(2738),
    [anon_sym_with] = ACTIONS(2738),
    [anon_sym_var] = ACTIONS(2738),
    [anon_sym_let] = ACTIONS(2738),
    [anon_sym_const] = ACTIONS(2738),
    [anon_sym_BANG] = ACTIONS(2736),
    [anon_sym_else] = ACTIONS(2738),
    [anon_sym_if] = ACTIONS(2738),
    [anon_sym_switch] = ACTIONS(2738),
    [anon_sym_for] = ACTIONS(2738),
    [anon_sym_LPAREN] = ACTIONS(2736),
    [anon_sym_SEMI] = ACTIONS(2736),
    [anon_sym_await] = ACTIONS(2738),
    [anon_sym_while] = ACTIONS(2738),
    [anon_sym_do] = ACTIONS(2738),
    [anon_sym_try] = ACTIONS(2738),
    [anon_sym_break] = ACTIONS(2738),
    [anon_sym_continue] = ACTIONS(2738),
    [anon_sym_debugger] = ACTIONS(2738),
    [anon_sym_return] = ACTIONS(2738),
    [anon_sym_throw] = ACTIONS(2738),
    [anon_sym_case] = ACTIONS(2738),
    [anon_sym_yield] = ACTIONS(2738),
    [anon_sym_LBRACK] = ACTIONS(2736),
    [sym_glimmer_opening_tag] = ACTIONS(2736),
    [anon_sym_DQUOTE] = ACTIONS(2736),
    [anon_sym_SQUOTE] = ACTIONS(2736),
    [anon_sym_class] = ACTIONS(2738),
    [anon_sym_async] = ACTIONS(2738),
    [anon_sym_function] = ACTIONS(2738),
    [anon_sym_new] = ACTIONS(2738),
    [anon_sym_using] = ACTIONS(2738),
    [anon_sym_PLUS] = ACTIONS(2738),
    [anon_sym_DASH] = ACTIONS(2738),
    [anon_sym_SLASH] = ACTIONS(2738),
    [anon_sym_LT] = ACTIONS(2738),
    [anon_sym_TILDE] = ACTIONS(2736),
    [anon_sym_void] = ACTIONS(2738),
    [anon_sym_delete] = ACTIONS(2738),
    [anon_sym_PLUS_PLUS] = ACTIONS(2736),
    [anon_sym_DASH_DASH] = ACTIONS(2736),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2736),
    [sym_number] = ACTIONS(2736),
    [sym_private_property_identifier] = ACTIONS(2736),
    [sym_this] = ACTIONS(2738),
    [sym_super] = ACTIONS(2738),
    [sym_true] = ACTIONS(2738),
    [sym_false] = ACTIONS(2738),
    [sym_null] = ACTIONS(2738),
    [sym_undefined] = ACTIONS(2738),
    [anon_sym_AT] = ACTIONS(2736),
    [anon_sym_static] = ACTIONS(2738),
    [anon_sym_readonly] = ACTIONS(2738),
    [anon_sym_get] = ACTIONS(2738),
    [anon_sym_set] = ACTIONS(2738),
    [anon_sym_declare] = ACTIONS(2738),
    [anon_sym_public] = ACTIONS(2738),
    [anon_sym_private] = ACTIONS(2738),
    [anon_sym_protected] = ACTIONS(2738),
    [anon_sym_override] = ACTIONS(2738),
    [anon_sym_module] = ACTIONS(2738),
    [anon_sym_any] = ACTIONS(2738),
    [anon_sym_number] = ACTIONS(2738),
    [anon_sym_boolean] = ACTIONS(2738),
    [anon_sym_string] = ACTIONS(2738),
    [anon_sym_symbol] = ACTIONS(2738),
    [anon_sym_object] = ACTIONS(2738),
    [anon_sym_abstract] = ACTIONS(2738),
    [anon_sym_interface] = ACTIONS(2738),
    [anon_sym_enum] = ACTIONS(2738),
    [sym_html_comment] = ACTIONS(5),
  },
  [864] = {
    [ts_builtin_sym_end] = ACTIONS(2740),
    [sym_identifier] = ACTIONS(2742),
    [anon_sym_export] = ACTIONS(2742),
    [anon_sym_default] = ACTIONS(2742),
    [anon_sym_type] = ACTIONS(2742),
    [anon_sym_namespace] = ACTIONS(2742),
    [anon_sym_LBRACE] = ACTIONS(2740),
    [anon_sym_RBRACE] = ACTIONS(2740),
    [anon_sym_typeof] = ACTIONS(2742),
    [anon_sym_import] = ACTIONS(2742),
    [anon_sym_with] = ACTIONS(2742),
    [anon_sym_var] = ACTIONS(2742),
    [anon_sym_let] = ACTIONS(2742),
    [anon_sym_const] = ACTIONS(2742),
    [anon_sym_BANG] = ACTIONS(2740),
    [anon_sym_else] = ACTIONS(2742),
    [anon_sym_if] = ACTIONS(2742),
    [anon_sym_switch] = ACTIONS(2742),
    [anon_sym_for] = ACTIONS(2742),
    [anon_sym_LPAREN] = ACTIONS(2740),
    [anon_sym_SEMI] = ACTIONS(2740),
    [anon_sym_await] = ACTIONS(2742),
    [anon_sym_while] = ACTIONS(2742),
    [anon_sym_do] = ACTIONS(2742),
    [anon_sym_try] = ACTIONS(2742),
    [anon_sym_break] = ACTIONS(2742),
    [anon_sym_continue] = ACTIONS(2742),
    [anon_sym_debugger] = ACTIONS(2742),
    [anon_sym_return] = ACTIONS(2742),
    [anon_sym_throw] = ACTIONS(2742),
    [anon_sym_case] = ACTIONS(2742),
    [anon_sym_yield] = ACTIONS(2742),
    [anon_sym_LBRACK] = ACTIONS(2740),
    [sym_glimmer_opening_tag] = ACTIONS(2740),
    [anon_sym_DQUOTE] = ACTIONS(2740),
    [anon_sym_SQUOTE] = ACTIONS(2740),
    [anon_sym_class] = ACTIONS(2742),
    [anon_sym_async] = ACTIONS(2742),
    [anon_sym_function] = ACTIONS(2742),
    [anon_sym_new] = ACTIONS(2742),
    [anon_sym_using] = ACTIONS(2742),
    [anon_sym_PLUS] = ACTIONS(2742),
    [anon_sym_DASH] = ACTIONS(2742),
    [anon_sym_SLASH] = ACTIONS(2742),
    [anon_sym_LT] = ACTIONS(2742),
    [anon_sym_TILDE] = ACTIONS(2740),
    [anon_sym_void] = ACTIONS(2742),
    [anon_sym_delete] = ACTIONS(2742),
    [anon_sym_PLUS_PLUS] = ACTIONS(2740),
    [anon_sym_DASH_DASH] = ACTIONS(2740),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2740),
    [sym_number] = ACTIONS(2740),
    [sym_private_property_identifier] = ACTIONS(2740),
    [sym_this] = ACTIONS(2742),
    [sym_super] = ACTIONS(2742),
    [sym_true] = ACTIONS(2742),
    [sym_false] = ACTIONS(2742),
    [sym_null] = ACTIONS(2742),
    [sym_undefined] = ACTIONS(2742),
    [anon_sym_AT] = ACTIONS(2740),
    [anon_sym_static] = ACTIONS(2742),
    [anon_sym_readonly] = ACTIONS(2742),
    [anon_sym_get] = ACTIONS(2742),
    [anon_sym_set] = ACTIONS(2742),
    [anon_sym_declare] = ACTIONS(2742),
    [anon_sym_public] = ACTIONS(2742),
    [anon_sym_private] = ACTIONS(2742),
    [anon_sym_protected] = ACTIONS(2742),
    [anon_sym_override] = ACTIONS(2742),
    [anon_sym_module] = ACTIONS(2742),
    [anon_sym_any] = ACTIONS(2742),
    [anon_sym_number] = ACTIONS(2742),
    [anon_sym_boolean] = ACTIONS(2742),
    [anon_sym_string] = ACTIONS(2742),
    [anon_sym_symbol] = ACTIONS(2742),
    [anon_sym_object] = ACTIONS(2742),
    [anon_sym_abstract] = ACTIONS(2742),
    [anon_sym_interface] = ACTIONS(2742),
    [anon_sym_enum] = ACTIONS(2742),
    [sym_html_comment] = ACTIONS(5),
  },
  [865] = {
    [ts_builtin_sym_end] = ACTIONS(2704),
    [sym_identifier] = ACTIONS(2706),
    [anon_sym_export] = ACTIONS(2706),
    [anon_sym_default] = ACTIONS(2706),
    [anon_sym_type] = ACTIONS(2706),
    [anon_sym_namespace] = ACTIONS(2706),
    [anon_sym_LBRACE] = ACTIONS(2704),
    [anon_sym_RBRACE] = ACTIONS(2704),
    [anon_sym_typeof] = ACTIONS(2706),
    [anon_sym_import] = ACTIONS(2706),
    [anon_sym_with] = ACTIONS(2706),
    [anon_sym_var] = ACTIONS(2706),
    [anon_sym_let] = ACTIONS(2706),
    [anon_sym_const] = ACTIONS(2706),
    [anon_sym_BANG] = ACTIONS(2704),
    [anon_sym_else] = ACTIONS(2706),
    [anon_sym_if] = ACTIONS(2706),
    [anon_sym_switch] = ACTIONS(2706),
    [anon_sym_for] = ACTIONS(2706),
    [anon_sym_LPAREN] = ACTIONS(2704),
    [anon_sym_SEMI] = ACTIONS(2704),
    [anon_sym_await] = ACTIONS(2706),
    [anon_sym_while] = ACTIONS(2706),
    [anon_sym_do] = ACTIONS(2706),
    [anon_sym_try] = ACTIONS(2706),
    [anon_sym_break] = ACTIONS(2706),
    [anon_sym_continue] = ACTIONS(2706),
    [anon_sym_debugger] = ACTIONS(2706),
    [anon_sym_return] = ACTIONS(2706),
    [anon_sym_throw] = ACTIONS(2706),
    [anon_sym_case] = ACTIONS(2706),
    [anon_sym_yield] = ACTIONS(2706),
    [anon_sym_LBRACK] = ACTIONS(2704),
    [sym_glimmer_opening_tag] = ACTIONS(2704),
    [anon_sym_DQUOTE] = ACTIONS(2704),
    [anon_sym_SQUOTE] = ACTIONS(2704),
    [anon_sym_class] = ACTIONS(2706),
    [anon_sym_async] = ACTIONS(2706),
    [anon_sym_function] = ACTIONS(2706),
    [anon_sym_new] = ACTIONS(2706),
    [anon_sym_using] = ACTIONS(2706),
    [anon_sym_PLUS] = ACTIONS(2706),
    [anon_sym_DASH] = ACTIONS(2706),
    [anon_sym_SLASH] = ACTIONS(2706),
    [anon_sym_LT] = ACTIONS(2706),
    [anon_sym_TILDE] = ACTIONS(2704),
    [anon_sym_void] = ACTIONS(2706),
    [anon_sym_delete] = ACTIONS(2706),
    [anon_sym_PLUS_PLUS] = ACTIONS(2704),
    [anon_sym_DASH_DASH] = ACTIONS(2704),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2704),
    [sym_number] = ACTIONS(2704),
    [sym_private_property_identifier] = ACTIONS(2704),
    [sym_this] = ACTIONS(2706),
    [sym_super] = ACTIONS(2706),
    [sym_true] = ACTIONS(2706),
    [sym_false] = ACTIONS(2706),
    [sym_null] = ACTIONS(2706),
    [sym_undefined] = ACTIONS(2706),
    [anon_sym_AT] = ACTIONS(2704),
    [anon_sym_static] = ACTIONS(2706),
    [anon_sym_readonly] = ACTIONS(2706),
    [anon_sym_get] = ACTIONS(2706),
    [anon_sym_set] = ACTIONS(2706),
    [anon_sym_declare] = ACTIONS(2706),
    [anon_sym_public] = ACTIONS(2706),
    [anon_sym_private] = ACTIONS(2706),
    [anon_sym_protected] = ACTIONS(2706),
    [anon_sym_override] = ACTIONS(2706),
    [anon_sym_module] = ACTIONS(2706),
    [anon_sym_any] = ACTIONS(2706),
    [anon_sym_number] = ACTIONS(2706),
    [anon_sym_boolean] = ACTIONS(2706),
    [anon_sym_string] = ACTIONS(2706),
    [anon_sym_symbol] = ACTIONS(2706),
    [anon_sym_object] = ACTIONS(2706),
    [anon_sym_abstract] = ACTIONS(2706),
    [anon_sym_interface] = ACTIONS(2706),
    [anon_sym_enum] = ACTIONS(2706),
    [sym_html_comment] = ACTIONS(5),
  },
  [866] = {
    [ts_builtin_sym_end] = ACTIONS(2744),
    [sym_identifier] = ACTIONS(2746),
    [anon_sym_export] = ACTIONS(2746),
    [anon_sym_default] = ACTIONS(2746),
    [anon_sym_type] = ACTIONS(2746),
    [anon_sym_namespace] = ACTIONS(2746),
    [anon_sym_LBRACE] = ACTIONS(2744),
    [anon_sym_RBRACE] = ACTIONS(2744),
    [anon_sym_typeof] = ACTIONS(2746),
    [anon_sym_import] = ACTIONS(2746),
    [anon_sym_with] = ACTIONS(2746),
    [anon_sym_var] = ACTIONS(2746),
    [anon_sym_let] = ACTIONS(2746),
    [anon_sym_const] = ACTIONS(2746),
    [anon_sym_BANG] = ACTIONS(2744),
    [anon_sym_else] = ACTIONS(2746),
    [anon_sym_if] = ACTIONS(2746),
    [anon_sym_switch] = ACTIONS(2746),
    [anon_sym_for] = ACTIONS(2746),
    [anon_sym_LPAREN] = ACTIONS(2744),
    [anon_sym_SEMI] = ACTIONS(2744),
    [anon_sym_await] = ACTIONS(2746),
    [anon_sym_while] = ACTIONS(2746),
    [anon_sym_do] = ACTIONS(2746),
    [anon_sym_try] = ACTIONS(2746),
    [anon_sym_break] = ACTIONS(2746),
    [anon_sym_continue] = ACTIONS(2746),
    [anon_sym_debugger] = ACTIONS(2746),
    [anon_sym_return] = ACTIONS(2746),
    [anon_sym_throw] = ACTIONS(2746),
    [anon_sym_case] = ACTIONS(2746),
    [anon_sym_yield] = ACTIONS(2746),
    [anon_sym_LBRACK] = ACTIONS(2744),
    [sym_glimmer_opening_tag] = ACTIONS(2744),
    [anon_sym_DQUOTE] = ACTIONS(2744),
    [anon_sym_SQUOTE] = ACTIONS(2744),
    [anon_sym_class] = ACTIONS(2746),
    [anon_sym_async] = ACTIONS(2746),
    [anon_sym_function] = ACTIONS(2746),
    [anon_sym_new] = ACTIONS(2746),
    [anon_sym_using] = ACTIONS(2746),
    [anon_sym_PLUS] = ACTIONS(2746),
    [anon_sym_DASH] = ACTIONS(2746),
    [anon_sym_SLASH] = ACTIONS(2746),
    [anon_sym_LT] = ACTIONS(2746),
    [anon_sym_TILDE] = ACTIONS(2744),
    [anon_sym_void] = ACTIONS(2746),
    [anon_sym_delete] = ACTIONS(2746),
    [anon_sym_PLUS_PLUS] = ACTIONS(2744),
    [anon_sym_DASH_DASH] = ACTIONS(2744),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2744),
    [sym_number] = ACTIONS(2744),
    [sym_private_property_identifier] = ACTIONS(2744),
    [sym_this] = ACTIONS(2746),
    [sym_super] = ACTIONS(2746),
    [sym_true] = ACTIONS(2746),
    [sym_false] = ACTIONS(2746),
    [sym_null] = ACTIONS(2746),
    [sym_undefined] = ACTIONS(2746),
    [anon_sym_AT] = ACTIONS(2744),
    [anon_sym_static] = ACTIONS(2746),
    [anon_sym_readonly] = ACTIONS(2746),
    [anon_sym_get] = ACTIONS(2746),
    [anon_sym_set] = ACTIONS(2746),
    [anon_sym_declare] = ACTIONS(2746),
    [anon_sym_public] = ACTIONS(2746),
    [anon_sym_private] = ACTIONS(2746),
    [anon_sym_protected] = ACTIONS(2746),
    [anon_sym_override] = ACTIONS(2746),
    [anon_sym_module] = ACTIONS(2746),
    [anon_sym_any] = ACTIONS(2746),
    [anon_sym_number] = ACTIONS(2746),
    [anon_sym_boolean] = ACTIONS(2746),
    [anon_sym_string] = ACTIONS(2746),
    [anon_sym_symbol] = ACTIONS(2746),
    [anon_sym_object] = ACTIONS(2746),
    [anon_sym_abstract] = ACTIONS(2746),
    [anon_sym_interface] = ACTIONS(2746),
    [anon_sym_enum] = ACTIONS(2746),
    [sym_html_comment] = ACTIONS(5),
  },
  [867] = {
    [ts_builtin_sym_end] = ACTIONS(2748),
    [sym_identifier] = ACTIONS(2750),
    [anon_sym_export] = ACTIONS(2750),
    [anon_sym_default] = ACTIONS(2750),
    [anon_sym_type] = ACTIONS(2750),
    [anon_sym_namespace] = ACTIONS(2750),
    [anon_sym_LBRACE] = ACTIONS(2748),
    [anon_sym_RBRACE] = ACTIONS(2748),
    [anon_sym_typeof] = ACTIONS(2750),
    [anon_sym_import] = ACTIONS(2750),
    [anon_sym_with] = ACTIONS(2750),
    [anon_sym_var] = ACTIONS(2750),
    [anon_sym_let] = ACTIONS(2750),
    [anon_sym_const] = ACTIONS(2750),
    [anon_sym_BANG] = ACTIONS(2748),
    [anon_sym_else] = ACTIONS(2750),
    [anon_sym_if] = ACTIONS(2750),
    [anon_sym_switch] = ACTIONS(2750),
    [anon_sym_for] = ACTIONS(2750),
    [anon_sym_LPAREN] = ACTIONS(2748),
    [anon_sym_SEMI] = ACTIONS(2748),
    [anon_sym_await] = ACTIONS(2750),
    [anon_sym_while] = ACTIONS(2750),
    [anon_sym_do] = ACTIONS(2750),
    [anon_sym_try] = ACTIONS(2750),
    [anon_sym_break] = ACTIONS(2750),
    [anon_sym_continue] = ACTIONS(2750),
    [anon_sym_debugger] = ACTIONS(2750),
    [anon_sym_return] = ACTIONS(2750),
    [anon_sym_throw] = ACTIONS(2750),
    [anon_sym_case] = ACTIONS(2750),
    [anon_sym_yield] = ACTIONS(2750),
    [anon_sym_LBRACK] = ACTIONS(2748),
    [sym_glimmer_opening_tag] = ACTIONS(2748),
    [anon_sym_DQUOTE] = ACTIONS(2748),
    [anon_sym_SQUOTE] = ACTIONS(2748),
    [anon_sym_class] = ACTIONS(2750),
    [anon_sym_async] = ACTIONS(2750),
    [anon_sym_function] = ACTIONS(2750),
    [anon_sym_new] = ACTIONS(2750),
    [anon_sym_using] = ACTIONS(2750),
    [anon_sym_PLUS] = ACTIONS(2750),
    [anon_sym_DASH] = ACTIONS(2750),
    [anon_sym_SLASH] = ACTIONS(2750),
    [anon_sym_LT] = ACTIONS(2750),
    [anon_sym_TILDE] = ACTIONS(2748),
    [anon_sym_void] = ACTIONS(2750),
    [anon_sym_delete] = ACTIONS(2750),
    [anon_sym_PLUS_PLUS] = ACTIONS(2748),
    [anon_sym_DASH_DASH] = ACTIONS(2748),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2748),
    [sym_number] = ACTIONS(2748),
    [sym_private_property_identifier] = ACTIONS(2748),
    [sym_this] = ACTIONS(2750),
    [sym_super] = ACTIONS(2750),
    [sym_true] = ACTIONS(2750),
    [sym_false] = ACTIONS(2750),
    [sym_null] = ACTIONS(2750),
    [sym_undefined] = ACTIONS(2750),
    [anon_sym_AT] = ACTIONS(2748),
    [anon_sym_static] = ACTIONS(2750),
    [anon_sym_readonly] = ACTIONS(2750),
    [anon_sym_get] = ACTIONS(2750),
    [anon_sym_set] = ACTIONS(2750),
    [anon_sym_declare] = ACTIONS(2750),
    [anon_sym_public] = ACTIONS(2750),
    [anon_sym_private] = ACTIONS(2750),
    [anon_sym_protected] = ACTIONS(2750),
    [anon_sym_override] = ACTIONS(2750),
    [anon_sym_module] = ACTIONS(2750),
    [anon_sym_any] = ACTIONS(2750),
    [anon_sym_number] = ACTIONS(2750),
    [anon_sym_boolean] = ACTIONS(2750),
    [anon_sym_string] = ACTIONS(2750),
    [anon_sym_symbol] = ACTIONS(2750),
    [anon_sym_object] = ACTIONS(2750),
    [anon_sym_abstract] = ACTIONS(2750),
    [anon_sym_interface] = ACTIONS(2750),
    [anon_sym_enum] = ACTIONS(2750),
    [sym_html_comment] = ACTIONS(5),
  },
  [868] = {
    [ts_builtin_sym_end] = ACTIONS(2752),
    [sym_identifier] = ACTIONS(2754),
    [anon_sym_export] = ACTIONS(2754),
    [anon_sym_default] = ACTIONS(2754),
    [anon_sym_type] = ACTIONS(2754),
    [anon_sym_namespace] = ACTIONS(2754),
    [anon_sym_LBRACE] = ACTIONS(2752),
    [anon_sym_RBRACE] = ACTIONS(2752),
    [anon_sym_typeof] = ACTIONS(2754),
    [anon_sym_import] = ACTIONS(2754),
    [anon_sym_with] = ACTIONS(2754),
    [anon_sym_var] = ACTIONS(2754),
    [anon_sym_let] = ACTIONS(2754),
    [anon_sym_const] = ACTIONS(2754),
    [anon_sym_BANG] = ACTIONS(2752),
    [anon_sym_else] = ACTIONS(2754),
    [anon_sym_if] = ACTIONS(2754),
    [anon_sym_switch] = ACTIONS(2754),
    [anon_sym_for] = ACTIONS(2754),
    [anon_sym_LPAREN] = ACTIONS(2752),
    [anon_sym_SEMI] = ACTIONS(2752),
    [anon_sym_await] = ACTIONS(2754),
    [anon_sym_while] = ACTIONS(2754),
    [anon_sym_do] = ACTIONS(2754),
    [anon_sym_try] = ACTIONS(2754),
    [anon_sym_break] = ACTIONS(2754),
    [anon_sym_continue] = ACTIONS(2754),
    [anon_sym_debugger] = ACTIONS(2754),
    [anon_sym_return] = ACTIONS(2754),
    [anon_sym_throw] = ACTIONS(2754),
    [anon_sym_case] = ACTIONS(2754),
    [anon_sym_yield] = ACTIONS(2754),
    [anon_sym_LBRACK] = ACTIONS(2752),
    [sym_glimmer_opening_tag] = ACTIONS(2752),
    [anon_sym_DQUOTE] = ACTIONS(2752),
    [anon_sym_SQUOTE] = ACTIONS(2752),
    [anon_sym_class] = ACTIONS(2754),
    [anon_sym_async] = ACTIONS(2754),
    [anon_sym_function] = ACTIONS(2754),
    [anon_sym_new] = ACTIONS(2754),
    [anon_sym_using] = ACTIONS(2754),
    [anon_sym_PLUS] = ACTIONS(2754),
    [anon_sym_DASH] = ACTIONS(2754),
    [anon_sym_SLASH] = ACTIONS(2754),
    [anon_sym_LT] = ACTIONS(2754),
    [anon_sym_TILDE] = ACTIONS(2752),
    [anon_sym_void] = ACTIONS(2754),
    [anon_sym_delete] = ACTIONS(2754),
    [anon_sym_PLUS_PLUS] = ACTIONS(2752),
    [anon_sym_DASH_DASH] = ACTIONS(2752),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2752),
    [sym_number] = ACTIONS(2752),
    [sym_private_property_identifier] = ACTIONS(2752),
    [sym_this] = ACTIONS(2754),
    [sym_super] = ACTIONS(2754),
    [sym_true] = ACTIONS(2754),
    [sym_false] = ACTIONS(2754),
    [sym_null] = ACTIONS(2754),
    [sym_undefined] = ACTIONS(2754),
    [anon_sym_AT] = ACTIONS(2752),
    [anon_sym_static] = ACTIONS(2754),
    [anon_sym_readonly] = ACTIONS(2754),
    [anon_sym_get] = ACTIONS(2754),
    [anon_sym_set] = ACTIONS(2754),
    [anon_sym_declare] = ACTIONS(2754),
    [anon_sym_public] = ACTIONS(2754),
    [anon_sym_private] = ACTIONS(2754),
    [anon_sym_protected] = ACTIONS(2754),
    [anon_sym_override] = ACTIONS(2754),
    [anon_sym_module] = ACTIONS(2754),
    [anon_sym_any] = ACTIONS(2754),
    [anon_sym_number] = ACTIONS(2754),
    [anon_sym_boolean] = ACTIONS(2754),
    [anon_sym_string] = ACTIONS(2754),
    [anon_sym_symbol] = ACTIONS(2754),
    [anon_sym_object] = ACTIONS(2754),
    [anon_sym_abstract] = ACTIONS(2754),
    [anon_sym_interface] = ACTIONS(2754),
    [anon_sym_enum] = ACTIONS(2754),
    [sym_html_comment] = ACTIONS(5),
  },
  [869] = {
    [ts_builtin_sym_end] = ACTIONS(2756),
    [sym_identifier] = ACTIONS(2758),
    [anon_sym_export] = ACTIONS(2758),
    [anon_sym_default] = ACTIONS(2758),
    [anon_sym_type] = ACTIONS(2758),
    [anon_sym_namespace] = ACTIONS(2758),
    [anon_sym_LBRACE] = ACTIONS(2756),
    [anon_sym_RBRACE] = ACTIONS(2756),
    [anon_sym_typeof] = ACTIONS(2758),
    [anon_sym_import] = ACTIONS(2758),
    [anon_sym_with] = ACTIONS(2758),
    [anon_sym_var] = ACTIONS(2758),
    [anon_sym_let] = ACTIONS(2758),
    [anon_sym_const] = ACTIONS(2758),
    [anon_sym_BANG] = ACTIONS(2756),
    [anon_sym_else] = ACTIONS(2758),
    [anon_sym_if] = ACTIONS(2758),
    [anon_sym_switch] = ACTIONS(2758),
    [anon_sym_for] = ACTIONS(2758),
    [anon_sym_LPAREN] = ACTIONS(2756),
    [anon_sym_SEMI] = ACTIONS(2756),
    [anon_sym_await] = ACTIONS(2758),
    [anon_sym_while] = ACTIONS(2758),
    [anon_sym_do] = ACTIONS(2758),
    [anon_sym_try] = ACTIONS(2758),
    [anon_sym_break] = ACTIONS(2758),
    [anon_sym_continue] = ACTIONS(2758),
    [anon_sym_debugger] = ACTIONS(2758),
    [anon_sym_return] = ACTIONS(2758),
    [anon_sym_throw] = ACTIONS(2758),
    [anon_sym_case] = ACTIONS(2758),
    [anon_sym_yield] = ACTIONS(2758),
    [anon_sym_LBRACK] = ACTIONS(2756),
    [sym_glimmer_opening_tag] = ACTIONS(2756),
    [anon_sym_DQUOTE] = ACTIONS(2756),
    [anon_sym_SQUOTE] = ACTIONS(2756),
    [anon_sym_class] = ACTIONS(2758),
    [anon_sym_async] = ACTIONS(2758),
    [anon_sym_function] = ACTIONS(2758),
    [anon_sym_new] = ACTIONS(2758),
    [anon_sym_using] = ACTIONS(2758),
    [anon_sym_PLUS] = ACTIONS(2758),
    [anon_sym_DASH] = ACTIONS(2758),
    [anon_sym_SLASH] = ACTIONS(2758),
    [anon_sym_LT] = ACTIONS(2758),
    [anon_sym_TILDE] = ACTIONS(2756),
    [anon_sym_void] = ACTIONS(2758),
    [anon_sym_delete] = ACTIONS(2758),
    [anon_sym_PLUS_PLUS] = ACTIONS(2756),
    [anon_sym_DASH_DASH] = ACTIONS(2756),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2756),
    [sym_number] = ACTIONS(2756),
    [sym_private_property_identifier] = ACTIONS(2756),
    [sym_this] = ACTIONS(2758),
    [sym_super] = ACTIONS(2758),
    [sym_true] = ACTIONS(2758),
    [sym_false] = ACTIONS(2758),
    [sym_null] = ACTIONS(2758),
    [sym_undefined] = ACTIONS(2758),
    [anon_sym_AT] = ACTIONS(2756),
    [anon_sym_static] = ACTIONS(2758),
    [anon_sym_readonly] = ACTIONS(2758),
    [anon_sym_get] = ACTIONS(2758),
    [anon_sym_set] = ACTIONS(2758),
    [anon_sym_declare] = ACTIONS(2758),
    [anon_sym_public] = ACTIONS(2758),
    [anon_sym_private] = ACTIONS(2758),
    [anon_sym_protected] = ACTIONS(2758),
    [anon_sym_override] = ACTIONS(2758),
    [anon_sym_module] = ACTIONS(2758),
    [anon_sym_any] = ACTIONS(2758),
    [anon_sym_number] = ACTIONS(2758),
    [anon_sym_boolean] = ACTIONS(2758),
    [anon_sym_string] = ACTIONS(2758),
    [anon_sym_symbol] = ACTIONS(2758),
    [anon_sym_object] = ACTIONS(2758),
    [anon_sym_abstract] = ACTIONS(2758),
    [anon_sym_interface] = ACTIONS(2758),
    [anon_sym_enum] = ACTIONS(2758),
    [sym_html_comment] = ACTIONS(5),
  },
  [870] = {
    [ts_builtin_sym_end] = ACTIONS(2760),
    [sym_identifier] = ACTIONS(2762),
    [anon_sym_export] = ACTIONS(2762),
    [anon_sym_default] = ACTIONS(2762),
    [anon_sym_type] = ACTIONS(2762),
    [anon_sym_namespace] = ACTIONS(2762),
    [anon_sym_LBRACE] = ACTIONS(2760),
    [anon_sym_RBRACE] = ACTIONS(2760),
    [anon_sym_typeof] = ACTIONS(2762),
    [anon_sym_import] = ACTIONS(2762),
    [anon_sym_with] = ACTIONS(2762),
    [anon_sym_var] = ACTIONS(2762),
    [anon_sym_let] = ACTIONS(2762),
    [anon_sym_const] = ACTIONS(2762),
    [anon_sym_BANG] = ACTIONS(2760),
    [anon_sym_else] = ACTIONS(2762),
    [anon_sym_if] = ACTIONS(2762),
    [anon_sym_switch] = ACTIONS(2762),
    [anon_sym_for] = ACTIONS(2762),
    [anon_sym_LPAREN] = ACTIONS(2760),
    [anon_sym_SEMI] = ACTIONS(2760),
    [anon_sym_await] = ACTIONS(2762),
    [anon_sym_while] = ACTIONS(2762),
    [anon_sym_do] = ACTIONS(2762),
    [anon_sym_try] = ACTIONS(2762),
    [anon_sym_break] = ACTIONS(2762),
    [anon_sym_continue] = ACTIONS(2762),
    [anon_sym_debugger] = ACTIONS(2762),
    [anon_sym_return] = ACTIONS(2762),
    [anon_sym_throw] = ACTIONS(2762),
    [anon_sym_case] = ACTIONS(2762),
    [anon_sym_yield] = ACTIONS(2762),
    [anon_sym_LBRACK] = ACTIONS(2760),
    [sym_glimmer_opening_tag] = ACTIONS(2760),
    [anon_sym_DQUOTE] = ACTIONS(2760),
    [anon_sym_SQUOTE] = ACTIONS(2760),
    [anon_sym_class] = ACTIONS(2762),
    [anon_sym_async] = ACTIONS(2762),
    [anon_sym_function] = ACTIONS(2762),
    [anon_sym_new] = ACTIONS(2762),
    [anon_sym_using] = ACTIONS(2762),
    [anon_sym_PLUS] = ACTIONS(2762),
    [anon_sym_DASH] = ACTIONS(2762),
    [anon_sym_SLASH] = ACTIONS(2762),
    [anon_sym_LT] = ACTIONS(2762),
    [anon_sym_TILDE] = ACTIONS(2760),
    [anon_sym_void] = ACTIONS(2762),
    [anon_sym_delete] = ACTIONS(2762),
    [anon_sym_PLUS_PLUS] = ACTIONS(2760),
    [anon_sym_DASH_DASH] = ACTIONS(2760),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2760),
    [sym_number] = ACTIONS(2760),
    [sym_private_property_identifier] = ACTIONS(2760),
    [sym_this] = ACTIONS(2762),
    [sym_super] = ACTIONS(2762),
    [sym_true] = ACTIONS(2762),
    [sym_false] = ACTIONS(2762),
    [sym_null] = ACTIONS(2762),
    [sym_undefined] = ACTIONS(2762),
    [anon_sym_AT] = ACTIONS(2760),
    [anon_sym_static] = ACTIONS(2762),
    [anon_sym_readonly] = ACTIONS(2762),
    [anon_sym_get] = ACTIONS(2762),
    [anon_sym_set] = ACTIONS(2762),
    [anon_sym_declare] = ACTIONS(2762),
    [anon_sym_public] = ACTIONS(2762),
    [anon_sym_private] = ACTIONS(2762),
    [anon_sym_protected] = ACTIONS(2762),
    [anon_sym_override] = ACTIONS(2762),
    [anon_sym_module] = ACTIONS(2762),
    [anon_sym_any] = ACTIONS(2762),
    [anon_sym_number] = ACTIONS(2762),
    [anon_sym_boolean] = ACTIONS(2762),
    [anon_sym_string] = ACTIONS(2762),
    [anon_sym_symbol] = ACTIONS(2762),
    [anon_sym_object] = ACTIONS(2762),
    [anon_sym_abstract] = ACTIONS(2762),
    [anon_sym_interface] = ACTIONS(2762),
    [anon_sym_enum] = ACTIONS(2762),
    [sym_html_comment] = ACTIONS(5),
  },
  [871] = {
    [ts_builtin_sym_end] = ACTIONS(2764),
    [sym_identifier] = ACTIONS(2766),
    [anon_sym_export] = ACTIONS(2766),
    [anon_sym_default] = ACTIONS(2766),
    [anon_sym_type] = ACTIONS(2766),
    [anon_sym_namespace] = ACTIONS(2766),
    [anon_sym_LBRACE] = ACTIONS(2764),
    [anon_sym_RBRACE] = ACTIONS(2764),
    [anon_sym_typeof] = ACTIONS(2766),
    [anon_sym_import] = ACTIONS(2766),
    [anon_sym_with] = ACTIONS(2766),
    [anon_sym_var] = ACTIONS(2766),
    [anon_sym_let] = ACTIONS(2766),
    [anon_sym_const] = ACTIONS(2766),
    [anon_sym_BANG] = ACTIONS(2764),
    [anon_sym_else] = ACTIONS(2766),
    [anon_sym_if] = ACTIONS(2766),
    [anon_sym_switch] = ACTIONS(2766),
    [anon_sym_for] = ACTIONS(2766),
    [anon_sym_LPAREN] = ACTIONS(2764),
    [anon_sym_SEMI] = ACTIONS(2764),
    [anon_sym_await] = ACTIONS(2766),
    [anon_sym_while] = ACTIONS(2766),
    [anon_sym_do] = ACTIONS(2766),
    [anon_sym_try] = ACTIONS(2766),
    [anon_sym_break] = ACTIONS(2766),
    [anon_sym_continue] = ACTIONS(2766),
    [anon_sym_debugger] = ACTIONS(2766),
    [anon_sym_return] = ACTIONS(2766),
    [anon_sym_throw] = ACTIONS(2766),
    [anon_sym_case] = ACTIONS(2766),
    [anon_sym_yield] = ACTIONS(2766),
    [anon_sym_LBRACK] = ACTIONS(2764),
    [sym_glimmer_opening_tag] = ACTIONS(2764),
    [anon_sym_DQUOTE] = ACTIONS(2764),
    [anon_sym_SQUOTE] = ACTIONS(2764),
    [anon_sym_class] = ACTIONS(2766),
    [anon_sym_async] = ACTIONS(2766),
    [anon_sym_function] = ACTIONS(2766),
    [anon_sym_new] = ACTIONS(2766),
    [anon_sym_using] = ACTIONS(2766),
    [anon_sym_PLUS] = ACTIONS(2766),
    [anon_sym_DASH] = ACTIONS(2766),
    [anon_sym_SLASH] = ACTIONS(2766),
    [anon_sym_LT] = ACTIONS(2766),
    [anon_sym_TILDE] = ACTIONS(2764),
    [anon_sym_void] = ACTIONS(2766),
    [anon_sym_delete] = ACTIONS(2766),
    [anon_sym_PLUS_PLUS] = ACTIONS(2764),
    [anon_sym_DASH_DASH] = ACTIONS(2764),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2764),
    [sym_number] = ACTIONS(2764),
    [sym_private_property_identifier] = ACTIONS(2764),
    [sym_this] = ACTIONS(2766),
    [sym_super] = ACTIONS(2766),
    [sym_true] = ACTIONS(2766),
    [sym_false] = ACTIONS(2766),
    [sym_null] = ACTIONS(2766),
    [sym_undefined] = ACTIONS(2766),
    [anon_sym_AT] = ACTIONS(2764),
    [anon_sym_static] = ACTIONS(2766),
    [anon_sym_readonly] = ACTIONS(2766),
    [anon_sym_get] = ACTIONS(2766),
    [anon_sym_set] = ACTIONS(2766),
    [anon_sym_declare] = ACTIONS(2766),
    [anon_sym_public] = ACTIONS(2766),
    [anon_sym_private] = ACTIONS(2766),
    [anon_sym_protected] = ACTIONS(2766),
    [anon_sym_override] = ACTIONS(2766),
    [anon_sym_module] = ACTIONS(2766),
    [anon_sym_any] = ACTIONS(2766),
    [anon_sym_number] = ACTIONS(2766),
    [anon_sym_boolean] = ACTIONS(2766),
    [anon_sym_string] = ACTIONS(2766),
    [anon_sym_symbol] = ACTIONS(2766),
    [anon_sym_object] = ACTIONS(2766),
    [anon_sym_abstract] = ACTIONS(2766),
    [anon_sym_interface] = ACTIONS(2766),
    [anon_sym_enum] = ACTIONS(2766),
    [sym_html_comment] = ACTIONS(5),
  },
  [872] = {
    [ts_builtin_sym_end] = ACTIONS(2768),
    [sym_identifier] = ACTIONS(2770),
    [anon_sym_export] = ACTIONS(2770),
    [anon_sym_default] = ACTIONS(2770),
    [anon_sym_type] = ACTIONS(2770),
    [anon_sym_namespace] = ACTIONS(2770),
    [anon_sym_LBRACE] = ACTIONS(2768),
    [anon_sym_RBRACE] = ACTIONS(2768),
    [anon_sym_typeof] = ACTIONS(2770),
    [anon_sym_import] = ACTIONS(2770),
    [anon_sym_with] = ACTIONS(2770),
    [anon_sym_var] = ACTIONS(2770),
    [anon_sym_let] = ACTIONS(2770),
    [anon_sym_const] = ACTIONS(2770),
    [anon_sym_BANG] = ACTIONS(2768),
    [anon_sym_else] = ACTIONS(2770),
    [anon_sym_if] = ACTIONS(2770),
    [anon_sym_switch] = ACTIONS(2770),
    [anon_sym_for] = ACTIONS(2770),
    [anon_sym_LPAREN] = ACTIONS(2768),
    [anon_sym_SEMI] = ACTIONS(2768),
    [anon_sym_await] = ACTIONS(2770),
    [anon_sym_while] = ACTIONS(2770),
    [anon_sym_do] = ACTIONS(2770),
    [anon_sym_try] = ACTIONS(2770),
    [anon_sym_break] = ACTIONS(2770),
    [anon_sym_continue] = ACTIONS(2770),
    [anon_sym_debugger] = ACTIONS(2770),
    [anon_sym_return] = ACTIONS(2770),
    [anon_sym_throw] = ACTIONS(2770),
    [anon_sym_case] = ACTIONS(2770),
    [anon_sym_yield] = ACTIONS(2770),
    [anon_sym_LBRACK] = ACTIONS(2768),
    [sym_glimmer_opening_tag] = ACTIONS(2768),
    [anon_sym_DQUOTE] = ACTIONS(2768),
    [anon_sym_SQUOTE] = ACTIONS(2768),
    [anon_sym_class] = ACTIONS(2770),
    [anon_sym_async] = ACTIONS(2770),
    [anon_sym_function] = ACTIONS(2770),
    [anon_sym_new] = ACTIONS(2770),
    [anon_sym_using] = ACTIONS(2770),
    [anon_sym_PLUS] = ACTIONS(2770),
    [anon_sym_DASH] = ACTIONS(2770),
    [anon_sym_SLASH] = ACTIONS(2770),
    [anon_sym_LT] = ACTIONS(2770),
    [anon_sym_TILDE] = ACTIONS(2768),
    [anon_sym_void] = ACTIONS(2770),
    [anon_sym_delete] = ACTIONS(2770),
    [anon_sym_PLUS_PLUS] = ACTIONS(2768),
    [anon_sym_DASH_DASH] = ACTIONS(2768),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2768),
    [sym_number] = ACTIONS(2768),
    [sym_private_property_identifier] = ACTIONS(2768),
    [sym_this] = ACTIONS(2770),
    [sym_super] = ACTIONS(2770),
    [sym_true] = ACTIONS(2770),
    [sym_false] = ACTIONS(2770),
    [sym_null] = ACTIONS(2770),
    [sym_undefined] = ACTIONS(2770),
    [anon_sym_AT] = ACTIONS(2768),
    [anon_sym_static] = ACTIONS(2770),
    [anon_sym_readonly] = ACTIONS(2770),
    [anon_sym_get] = ACTIONS(2770),
    [anon_sym_set] = ACTIONS(2770),
    [anon_sym_declare] = ACTIONS(2770),
    [anon_sym_public] = ACTIONS(2770),
    [anon_sym_private] = ACTIONS(2770),
    [anon_sym_protected] = ACTIONS(2770),
    [anon_sym_override] = ACTIONS(2770),
    [anon_sym_module] = ACTIONS(2770),
    [anon_sym_any] = ACTIONS(2770),
    [anon_sym_number] = ACTIONS(2770),
    [anon_sym_boolean] = ACTIONS(2770),
    [anon_sym_string] = ACTIONS(2770),
    [anon_sym_symbol] = ACTIONS(2770),
    [anon_sym_object] = ACTIONS(2770),
    [anon_sym_abstract] = ACTIONS(2770),
    [anon_sym_interface] = ACTIONS(2770),
    [anon_sym_enum] = ACTIONS(2770),
    [sym_html_comment] = ACTIONS(5),
  },
  [873] = {
    [ts_builtin_sym_end] = ACTIONS(2772),
    [sym_identifier] = ACTIONS(2774),
    [anon_sym_export] = ACTIONS(2774),
    [anon_sym_default] = ACTIONS(2774),
    [anon_sym_type] = ACTIONS(2774),
    [anon_sym_namespace] = ACTIONS(2774),
    [anon_sym_LBRACE] = ACTIONS(2772),
    [anon_sym_RBRACE] = ACTIONS(2772),
    [anon_sym_typeof] = ACTIONS(2774),
    [anon_sym_import] = ACTIONS(2774),
    [anon_sym_with] = ACTIONS(2774),
    [anon_sym_var] = ACTIONS(2774),
    [anon_sym_let] = ACTIONS(2774),
    [anon_sym_const] = ACTIONS(2774),
    [anon_sym_BANG] = ACTIONS(2772),
    [anon_sym_else] = ACTIONS(2774),
    [anon_sym_if] = ACTIONS(2774),
    [anon_sym_switch] = ACTIONS(2774),
    [anon_sym_for] = ACTIONS(2774),
    [anon_sym_LPAREN] = ACTIONS(2772),
    [anon_sym_SEMI] = ACTIONS(2772),
    [anon_sym_await] = ACTIONS(2774),
    [anon_sym_while] = ACTIONS(2774),
    [anon_sym_do] = ACTIONS(2774),
    [anon_sym_try] = ACTIONS(2774),
    [anon_sym_break] = ACTIONS(2774),
    [anon_sym_continue] = ACTIONS(2774),
    [anon_sym_debugger] = ACTIONS(2774),
    [anon_sym_return] = ACTIONS(2774),
    [anon_sym_throw] = ACTIONS(2774),
    [anon_sym_case] = ACTIONS(2774),
    [anon_sym_yield] = ACTIONS(2774),
    [anon_sym_LBRACK] = ACTIONS(2772),
    [sym_glimmer_opening_tag] = ACTIONS(2772),
    [anon_sym_DQUOTE] = ACTIONS(2772),
    [anon_sym_SQUOTE] = ACTIONS(2772),
    [anon_sym_class] = ACTIONS(2774),
    [anon_sym_async] = ACTIONS(2774),
    [anon_sym_function] = ACTIONS(2774),
    [anon_sym_new] = ACTIONS(2774),
    [anon_sym_using] = ACTIONS(2774),
    [anon_sym_PLUS] = ACTIONS(2774),
    [anon_sym_DASH] = ACTIONS(2774),
    [anon_sym_SLASH] = ACTIONS(2774),
    [anon_sym_LT] = ACTIONS(2774),
    [anon_sym_TILDE] = ACTIONS(2772),
    [anon_sym_void] = ACTIONS(2774),
    [anon_sym_delete] = ACTIONS(2774),
    [anon_sym_PLUS_PLUS] = ACTIONS(2772),
    [anon_sym_DASH_DASH] = ACTIONS(2772),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2772),
    [sym_number] = ACTIONS(2772),
    [sym_private_property_identifier] = ACTIONS(2772),
    [sym_this] = ACTIONS(2774),
    [sym_super] = ACTIONS(2774),
    [sym_true] = ACTIONS(2774),
    [sym_false] = ACTIONS(2774),
    [sym_null] = ACTIONS(2774),
    [sym_undefined] = ACTIONS(2774),
    [anon_sym_AT] = ACTIONS(2772),
    [anon_sym_static] = ACTIONS(2774),
    [anon_sym_readonly] = ACTIONS(2774),
    [anon_sym_get] = ACTIONS(2774),
    [anon_sym_set] = ACTIONS(2774),
    [anon_sym_declare] = ACTIONS(2774),
    [anon_sym_public] = ACTIONS(2774),
    [anon_sym_private] = ACTIONS(2774),
    [anon_sym_protected] = ACTIONS(2774),
    [anon_sym_override] = ACTIONS(2774),
    [anon_sym_module] = ACTIONS(2774),
    [anon_sym_any] = ACTIONS(2774),
    [anon_sym_number] = ACTIONS(2774),
    [anon_sym_boolean] = ACTIONS(2774),
    [anon_sym_string] = ACTIONS(2774),
    [anon_sym_symbol] = ACTIONS(2774),
    [anon_sym_object] = ACTIONS(2774),
    [anon_sym_abstract] = ACTIONS(2774),
    [anon_sym_interface] = ACTIONS(2774),
    [anon_sym_enum] = ACTIONS(2774),
    [sym_html_comment] = ACTIONS(5),
  },
  [874] = {
    [ts_builtin_sym_end] = ACTIONS(1807),
    [sym_identifier] = ACTIONS(1809),
    [anon_sym_export] = ACTIONS(1809),
    [anon_sym_default] = ACTIONS(1809),
    [anon_sym_type] = ACTIONS(1809),
    [anon_sym_namespace] = ACTIONS(1809),
    [anon_sym_LBRACE] = ACTIONS(1807),
    [anon_sym_RBRACE] = ACTIONS(1807),
    [anon_sym_typeof] = ACTIONS(1809),
    [anon_sym_import] = ACTIONS(1809),
    [anon_sym_with] = ACTIONS(1809),
    [anon_sym_var] = ACTIONS(1809),
    [anon_sym_let] = ACTIONS(1809),
    [anon_sym_const] = ACTIONS(1809),
    [anon_sym_BANG] = ACTIONS(1807),
    [anon_sym_else] = ACTIONS(1809),
    [anon_sym_if] = ACTIONS(1809),
    [anon_sym_switch] = ACTIONS(1809),
    [anon_sym_for] = ACTIONS(1809),
    [anon_sym_LPAREN] = ACTIONS(1807),
    [anon_sym_SEMI] = ACTIONS(1807),
    [anon_sym_await] = ACTIONS(1809),
    [anon_sym_while] = ACTIONS(1809),
    [anon_sym_do] = ACTIONS(1809),
    [anon_sym_try] = ACTIONS(1809),
    [anon_sym_break] = ACTIONS(1809),
    [anon_sym_continue] = ACTIONS(1809),
    [anon_sym_debugger] = ACTIONS(1809),
    [anon_sym_return] = ACTIONS(1809),
    [anon_sym_throw] = ACTIONS(1809),
    [anon_sym_case] = ACTIONS(1809),
    [anon_sym_yield] = ACTIONS(1809),
    [anon_sym_LBRACK] = ACTIONS(1807),
    [sym_glimmer_opening_tag] = ACTIONS(1807),
    [anon_sym_DQUOTE] = ACTIONS(1807),
    [anon_sym_SQUOTE] = ACTIONS(1807),
    [anon_sym_class] = ACTIONS(1809),
    [anon_sym_async] = ACTIONS(1809),
    [anon_sym_function] = ACTIONS(1809),
    [anon_sym_new] = ACTIONS(1809),
    [anon_sym_using] = ACTIONS(1809),
    [anon_sym_PLUS] = ACTIONS(1809),
    [anon_sym_DASH] = ACTIONS(1809),
    [anon_sym_SLASH] = ACTIONS(1809),
    [anon_sym_LT] = ACTIONS(1809),
    [anon_sym_TILDE] = ACTIONS(1807),
    [anon_sym_void] = ACTIONS(1809),
    [anon_sym_delete] = ACTIONS(1809),
    [anon_sym_PLUS_PLUS] = ACTIONS(1807),
    [anon_sym_DASH_DASH] = ACTIONS(1807),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1807),
    [sym_number] = ACTIONS(1807),
    [sym_private_property_identifier] = ACTIONS(1807),
    [sym_this] = ACTIONS(1809),
    [sym_super] = ACTIONS(1809),
    [sym_true] = ACTIONS(1809),
    [sym_false] = ACTIONS(1809),
    [sym_null] = ACTIONS(1809),
    [sym_undefined] = ACTIONS(1809),
    [anon_sym_AT] = ACTIONS(1807),
    [anon_sym_static] = ACTIONS(1809),
    [anon_sym_readonly] = ACTIONS(1809),
    [anon_sym_get] = ACTIONS(1809),
    [anon_sym_set] = ACTIONS(1809),
    [anon_sym_declare] = ACTIONS(1809),
    [anon_sym_public] = ACTIONS(1809),
    [anon_sym_private] = ACTIONS(1809),
    [anon_sym_protected] = ACTIONS(1809),
    [anon_sym_override] = ACTIONS(1809),
    [anon_sym_module] = ACTIONS(1809),
    [anon_sym_any] = ACTIONS(1809),
    [anon_sym_number] = ACTIONS(1809),
    [anon_sym_boolean] = ACTIONS(1809),
    [anon_sym_string] = ACTIONS(1809),
    [anon_sym_symbol] = ACTIONS(1809),
    [anon_sym_object] = ACTIONS(1809),
    [anon_sym_abstract] = ACTIONS(1809),
    [anon_sym_interface] = ACTIONS(1809),
    [anon_sym_enum] = ACTIONS(1809),
    [sym_html_comment] = ACTIONS(5),
  },
  [875] = {
    [ts_builtin_sym_end] = ACTIONS(2776),
    [sym_identifier] = ACTIONS(2778),
    [anon_sym_export] = ACTIONS(2778),
    [anon_sym_default] = ACTIONS(2778),
    [anon_sym_type] = ACTIONS(2778),
    [anon_sym_namespace] = ACTIONS(2778),
    [anon_sym_LBRACE] = ACTIONS(2776),
    [anon_sym_RBRACE] = ACTIONS(2776),
    [anon_sym_typeof] = ACTIONS(2778),
    [anon_sym_import] = ACTIONS(2778),
    [anon_sym_with] = ACTIONS(2778),
    [anon_sym_var] = ACTIONS(2778),
    [anon_sym_let] = ACTIONS(2778),
    [anon_sym_const] = ACTIONS(2778),
    [anon_sym_BANG] = ACTIONS(2776),
    [anon_sym_else] = ACTIONS(2778),
    [anon_sym_if] = ACTIONS(2778),
    [anon_sym_switch] = ACTIONS(2778),
    [anon_sym_for] = ACTIONS(2778),
    [anon_sym_LPAREN] = ACTIONS(2776),
    [anon_sym_SEMI] = ACTIONS(2776),
    [anon_sym_await] = ACTIONS(2778),
    [anon_sym_while] = ACTIONS(2778),
    [anon_sym_do] = ACTIONS(2778),
    [anon_sym_try] = ACTIONS(2778),
    [anon_sym_break] = ACTIONS(2778),
    [anon_sym_continue] = ACTIONS(2778),
    [anon_sym_debugger] = ACTIONS(2778),
    [anon_sym_return] = ACTIONS(2778),
    [anon_sym_throw] = ACTIONS(2778),
    [anon_sym_case] = ACTIONS(2778),
    [anon_sym_yield] = ACTIONS(2778),
    [anon_sym_LBRACK] = ACTIONS(2776),
    [sym_glimmer_opening_tag] = ACTIONS(2776),
    [anon_sym_DQUOTE] = ACTIONS(2776),
    [anon_sym_SQUOTE] = ACTIONS(2776),
    [anon_sym_class] = ACTIONS(2778),
    [anon_sym_async] = ACTIONS(2778),
    [anon_sym_function] = ACTIONS(2778),
    [anon_sym_new] = ACTIONS(2778),
    [anon_sym_using] = ACTIONS(2778),
    [anon_sym_PLUS] = ACTIONS(2778),
    [anon_sym_DASH] = ACTIONS(2778),
    [anon_sym_SLASH] = ACTIONS(2778),
    [anon_sym_LT] = ACTIONS(2778),
    [anon_sym_TILDE] = ACTIONS(2776),
    [anon_sym_void] = ACTIONS(2778),
    [anon_sym_delete] = ACTIONS(2778),
    [anon_sym_PLUS_PLUS] = ACTIONS(2776),
    [anon_sym_DASH_DASH] = ACTIONS(2776),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2776),
    [sym_number] = ACTIONS(2776),
    [sym_private_property_identifier] = ACTIONS(2776),
    [sym_this] = ACTIONS(2778),
    [sym_super] = ACTIONS(2778),
    [sym_true] = ACTIONS(2778),
    [sym_false] = ACTIONS(2778),
    [sym_null] = ACTIONS(2778),
    [sym_undefined] = ACTIONS(2778),
    [anon_sym_AT] = ACTIONS(2776),
    [anon_sym_static] = ACTIONS(2778),
    [anon_sym_readonly] = ACTIONS(2778),
    [anon_sym_get] = ACTIONS(2778),
    [anon_sym_set] = ACTIONS(2778),
    [anon_sym_declare] = ACTIONS(2778),
    [anon_sym_public] = ACTIONS(2778),
    [anon_sym_private] = ACTIONS(2778),
    [anon_sym_protected] = ACTIONS(2778),
    [anon_sym_override] = ACTIONS(2778),
    [anon_sym_module] = ACTIONS(2778),
    [anon_sym_any] = ACTIONS(2778),
    [anon_sym_number] = ACTIONS(2778),
    [anon_sym_boolean] = ACTIONS(2778),
    [anon_sym_string] = ACTIONS(2778),
    [anon_sym_symbol] = ACTIONS(2778),
    [anon_sym_object] = ACTIONS(2778),
    [anon_sym_abstract] = ACTIONS(2778),
    [anon_sym_interface] = ACTIONS(2778),
    [anon_sym_enum] = ACTIONS(2778),
    [sym_html_comment] = ACTIONS(5),
  },
  [876] = {
    [ts_builtin_sym_end] = ACTIONS(2780),
    [sym_identifier] = ACTIONS(2782),
    [anon_sym_export] = ACTIONS(2782),
    [anon_sym_default] = ACTIONS(2782),
    [anon_sym_type] = ACTIONS(2782),
    [anon_sym_namespace] = ACTIONS(2782),
    [anon_sym_LBRACE] = ACTIONS(2780),
    [anon_sym_RBRACE] = ACTIONS(2780),
    [anon_sym_typeof] = ACTIONS(2782),
    [anon_sym_import] = ACTIONS(2782),
    [anon_sym_with] = ACTIONS(2782),
    [anon_sym_var] = ACTIONS(2782),
    [anon_sym_let] = ACTIONS(2782),
    [anon_sym_const] = ACTIONS(2782),
    [anon_sym_BANG] = ACTIONS(2780),
    [anon_sym_else] = ACTIONS(2782),
    [anon_sym_if] = ACTIONS(2782),
    [anon_sym_switch] = ACTIONS(2782),
    [anon_sym_for] = ACTIONS(2782),
    [anon_sym_LPAREN] = ACTIONS(2780),
    [anon_sym_SEMI] = ACTIONS(2780),
    [anon_sym_await] = ACTIONS(2782),
    [anon_sym_while] = ACTIONS(2782),
    [anon_sym_do] = ACTIONS(2782),
    [anon_sym_try] = ACTIONS(2782),
    [anon_sym_break] = ACTIONS(2782),
    [anon_sym_continue] = ACTIONS(2782),
    [anon_sym_debugger] = ACTIONS(2782),
    [anon_sym_return] = ACTIONS(2782),
    [anon_sym_throw] = ACTIONS(2782),
    [anon_sym_case] = ACTIONS(2782),
    [anon_sym_yield] = ACTIONS(2782),
    [anon_sym_LBRACK] = ACTIONS(2780),
    [sym_glimmer_opening_tag] = ACTIONS(2780),
    [anon_sym_DQUOTE] = ACTIONS(2780),
    [anon_sym_SQUOTE] = ACTIONS(2780),
    [anon_sym_class] = ACTIONS(2782),
    [anon_sym_async] = ACTIONS(2782),
    [anon_sym_function] = ACTIONS(2782),
    [anon_sym_new] = ACTIONS(2782),
    [anon_sym_using] = ACTIONS(2782),
    [anon_sym_PLUS] = ACTIONS(2782),
    [anon_sym_DASH] = ACTIONS(2782),
    [anon_sym_SLASH] = ACTIONS(2782),
    [anon_sym_LT] = ACTIONS(2782),
    [anon_sym_TILDE] = ACTIONS(2780),
    [anon_sym_void] = ACTIONS(2782),
    [anon_sym_delete] = ACTIONS(2782),
    [anon_sym_PLUS_PLUS] = ACTIONS(2780),
    [anon_sym_DASH_DASH] = ACTIONS(2780),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2780),
    [sym_number] = ACTIONS(2780),
    [sym_private_property_identifier] = ACTIONS(2780),
    [sym_this] = ACTIONS(2782),
    [sym_super] = ACTIONS(2782),
    [sym_true] = ACTIONS(2782),
    [sym_false] = ACTIONS(2782),
    [sym_null] = ACTIONS(2782),
    [sym_undefined] = ACTIONS(2782),
    [anon_sym_AT] = ACTIONS(2780),
    [anon_sym_static] = ACTIONS(2782),
    [anon_sym_readonly] = ACTIONS(2782),
    [anon_sym_get] = ACTIONS(2782),
    [anon_sym_set] = ACTIONS(2782),
    [anon_sym_declare] = ACTIONS(2782),
    [anon_sym_public] = ACTIONS(2782),
    [anon_sym_private] = ACTIONS(2782),
    [anon_sym_protected] = ACTIONS(2782),
    [anon_sym_override] = ACTIONS(2782),
    [anon_sym_module] = ACTIONS(2782),
    [anon_sym_any] = ACTIONS(2782),
    [anon_sym_number] = ACTIONS(2782),
    [anon_sym_boolean] = ACTIONS(2782),
    [anon_sym_string] = ACTIONS(2782),
    [anon_sym_symbol] = ACTIONS(2782),
    [anon_sym_object] = ACTIONS(2782),
    [anon_sym_abstract] = ACTIONS(2782),
    [anon_sym_interface] = ACTIONS(2782),
    [anon_sym_enum] = ACTIONS(2782),
    [sym_html_comment] = ACTIONS(5),
  },
  [877] = {
    [ts_builtin_sym_end] = ACTIONS(1847),
    [sym_identifier] = ACTIONS(1849),
    [anon_sym_export] = ACTIONS(1849),
    [anon_sym_default] = ACTIONS(1849),
    [anon_sym_type] = ACTIONS(1849),
    [anon_sym_namespace] = ACTIONS(1849),
    [anon_sym_LBRACE] = ACTIONS(1847),
    [anon_sym_RBRACE] = ACTIONS(1847),
    [anon_sym_typeof] = ACTIONS(1849),
    [anon_sym_import] = ACTIONS(1849),
    [anon_sym_with] = ACTIONS(1849),
    [anon_sym_var] = ACTIONS(1849),
    [anon_sym_let] = ACTIONS(1849),
    [anon_sym_const] = ACTIONS(1849),
    [anon_sym_BANG] = ACTIONS(1847),
    [anon_sym_else] = ACTIONS(1849),
    [anon_sym_if] = ACTIONS(1849),
    [anon_sym_switch] = ACTIONS(1849),
    [anon_sym_for] = ACTIONS(1849),
    [anon_sym_LPAREN] = ACTIONS(1847),
    [anon_sym_SEMI] = ACTIONS(1847),
    [anon_sym_await] = ACTIONS(1849),
    [anon_sym_while] = ACTIONS(1849),
    [anon_sym_do] = ACTIONS(1849),
    [anon_sym_try] = ACTIONS(1849),
    [anon_sym_break] = ACTIONS(1849),
    [anon_sym_continue] = ACTIONS(1849),
    [anon_sym_debugger] = ACTIONS(1849),
    [anon_sym_return] = ACTIONS(1849),
    [anon_sym_throw] = ACTIONS(1849),
    [anon_sym_case] = ACTIONS(1849),
    [anon_sym_yield] = ACTIONS(1849),
    [anon_sym_LBRACK] = ACTIONS(1847),
    [sym_glimmer_opening_tag] = ACTIONS(1847),
    [anon_sym_DQUOTE] = ACTIONS(1847),
    [anon_sym_SQUOTE] = ACTIONS(1847),
    [anon_sym_class] = ACTIONS(1849),
    [anon_sym_async] = ACTIONS(1849),
    [anon_sym_function] = ACTIONS(1849),
    [anon_sym_new] = ACTIONS(1849),
    [anon_sym_using] = ACTIONS(1849),
    [anon_sym_PLUS] = ACTIONS(1849),
    [anon_sym_DASH] = ACTIONS(1849),
    [anon_sym_SLASH] = ACTIONS(1849),
    [anon_sym_LT] = ACTIONS(1849),
    [anon_sym_TILDE] = ACTIONS(1847),
    [anon_sym_void] = ACTIONS(1849),
    [anon_sym_delete] = ACTIONS(1849),
    [anon_sym_PLUS_PLUS] = ACTIONS(1847),
    [anon_sym_DASH_DASH] = ACTIONS(1847),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1847),
    [sym_number] = ACTIONS(1847),
    [sym_private_property_identifier] = ACTIONS(1847),
    [sym_this] = ACTIONS(1849),
    [sym_super] = ACTIONS(1849),
    [sym_true] = ACTIONS(1849),
    [sym_false] = ACTIONS(1849),
    [sym_null] = ACTIONS(1849),
    [sym_undefined] = ACTIONS(1849),
    [anon_sym_AT] = ACTIONS(1847),
    [anon_sym_static] = ACTIONS(1849),
    [anon_sym_readonly] = ACTIONS(1849),
    [anon_sym_get] = ACTIONS(1849),
    [anon_sym_set] = ACTIONS(1849),
    [anon_sym_declare] = ACTIONS(1849),
    [anon_sym_public] = ACTIONS(1849),
    [anon_sym_private] = ACTIONS(1849),
    [anon_sym_protected] = ACTIONS(1849),
    [anon_sym_override] = ACTIONS(1849),
    [anon_sym_module] = ACTIONS(1849),
    [anon_sym_any] = ACTIONS(1849),
    [anon_sym_number] = ACTIONS(1849),
    [anon_sym_boolean] = ACTIONS(1849),
    [anon_sym_string] = ACTIONS(1849),
    [anon_sym_symbol] = ACTIONS(1849),
    [anon_sym_object] = ACTIONS(1849),
    [anon_sym_abstract] = ACTIONS(1849),
    [anon_sym_interface] = ACTIONS(1849),
    [anon_sym_enum] = ACTIONS(1849),
    [sym_html_comment] = ACTIONS(5),
  },
  [878] = {
    [ts_builtin_sym_end] = ACTIONS(2784),
    [sym_identifier] = ACTIONS(2786),
    [anon_sym_export] = ACTIONS(2786),
    [anon_sym_default] = ACTIONS(2786),
    [anon_sym_type] = ACTIONS(2786),
    [anon_sym_namespace] = ACTIONS(2786),
    [anon_sym_LBRACE] = ACTIONS(2784),
    [anon_sym_RBRACE] = ACTIONS(2784),
    [anon_sym_typeof] = ACTIONS(2786),
    [anon_sym_import] = ACTIONS(2786),
    [anon_sym_with] = ACTIONS(2786),
    [anon_sym_var] = ACTIONS(2786),
    [anon_sym_let] = ACTIONS(2786),
    [anon_sym_const] = ACTIONS(2786),
    [anon_sym_BANG] = ACTIONS(2784),
    [anon_sym_else] = ACTIONS(2786),
    [anon_sym_if] = ACTIONS(2786),
    [anon_sym_switch] = ACTIONS(2786),
    [anon_sym_for] = ACTIONS(2786),
    [anon_sym_LPAREN] = ACTIONS(2784),
    [anon_sym_SEMI] = ACTIONS(2784),
    [anon_sym_await] = ACTIONS(2786),
    [anon_sym_while] = ACTIONS(2786),
    [anon_sym_do] = ACTIONS(2786),
    [anon_sym_try] = ACTIONS(2786),
    [anon_sym_break] = ACTIONS(2786),
    [anon_sym_continue] = ACTIONS(2786),
    [anon_sym_debugger] = ACTIONS(2786),
    [anon_sym_return] = ACTIONS(2786),
    [anon_sym_throw] = ACTIONS(2786),
    [anon_sym_case] = ACTIONS(2786),
    [anon_sym_yield] = ACTIONS(2786),
    [anon_sym_LBRACK] = ACTIONS(2784),
    [sym_glimmer_opening_tag] = ACTIONS(2784),
    [anon_sym_DQUOTE] = ACTIONS(2784),
    [anon_sym_SQUOTE] = ACTIONS(2784),
    [anon_sym_class] = ACTIONS(2786),
    [anon_sym_async] = ACTIONS(2786),
    [anon_sym_function] = ACTIONS(2786),
    [anon_sym_new] = ACTIONS(2786),
    [anon_sym_using] = ACTIONS(2786),
    [anon_sym_PLUS] = ACTIONS(2786),
    [anon_sym_DASH] = ACTIONS(2786),
    [anon_sym_SLASH] = ACTIONS(2786),
    [anon_sym_LT] = ACTIONS(2786),
    [anon_sym_TILDE] = ACTIONS(2784),
    [anon_sym_void] = ACTIONS(2786),
    [anon_sym_delete] = ACTIONS(2786),
    [anon_sym_PLUS_PLUS] = ACTIONS(2784),
    [anon_sym_DASH_DASH] = ACTIONS(2784),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2784),
    [sym_number] = ACTIONS(2784),
    [sym_private_property_identifier] = ACTIONS(2784),
    [sym_this] = ACTIONS(2786),
    [sym_super] = ACTIONS(2786),
    [sym_true] = ACTIONS(2786),
    [sym_false] = ACTIONS(2786),
    [sym_null] = ACTIONS(2786),
    [sym_undefined] = ACTIONS(2786),
    [anon_sym_AT] = ACTIONS(2784),
    [anon_sym_static] = ACTIONS(2786),
    [anon_sym_readonly] = ACTIONS(2786),
    [anon_sym_get] = ACTIONS(2786),
    [anon_sym_set] = ACTIONS(2786),
    [anon_sym_declare] = ACTIONS(2786),
    [anon_sym_public] = ACTIONS(2786),
    [anon_sym_private] = ACTIONS(2786),
    [anon_sym_protected] = ACTIONS(2786),
    [anon_sym_override] = ACTIONS(2786),
    [anon_sym_module] = ACTIONS(2786),
    [anon_sym_any] = ACTIONS(2786),
    [anon_sym_number] = ACTIONS(2786),
    [anon_sym_boolean] = ACTIONS(2786),
    [anon_sym_string] = ACTIONS(2786),
    [anon_sym_symbol] = ACTIONS(2786),
    [anon_sym_object] = ACTIONS(2786),
    [anon_sym_abstract] = ACTIONS(2786),
    [anon_sym_interface] = ACTIONS(2786),
    [anon_sym_enum] = ACTIONS(2786),
    [sym_html_comment] = ACTIONS(5),
  },
  [879] = {
    [sym_import] = STATE(4680),
    [sym_nested_identifier] = STATE(5868),
    [sym_string] = STATE(3013),
    [sym_formal_parameters] = STATE(5631),
    [sym_rest_pattern] = STATE(5268),
    [sym_nested_type_identifier] = STATE(2941),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3315),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2944),
    [sym_type] = STATE(3832),
    [sym_tuple_parameter] = STATE(4969),
    [sym_optional_tuple_parameter] = STATE(4969),
    [sym_optional_type] = STATE(4969),
    [sym_rest_type] = STATE(4969),
    [sym__tuple_type_member] = STATE(4969),
    [sym_constructor_type] = STATE(2974),
    [sym_primary_type] = STATE(3014),
    [sym_template_literal_type] = STATE(3018),
    [sym_infer_type] = STATE(2974),
    [sym_conditional_type] = STATE(3018),
    [sym_generic_type] = STATE(3018),
    [sym_type_query] = STATE(3018),
    [sym_index_type_query] = STATE(3018),
    [sym_lookup_type] = STATE(3018),
    [sym_literal_type] = STATE(3018),
    [sym__number] = STATE(3031),
    [sym_existential_type] = STATE(3018),
    [sym_flow_maybe_type] = STATE(3018),
    [sym_parenthesized_type] = STATE(3018),
    [sym_predefined_type] = STATE(3018),
    [sym_object_type] = STATE(3018),
    [sym_type_parameters] = STATE(5464),
    [sym_array_type] = STATE(3018),
    [sym_tuple_type] = STATE(3018),
    [sym_readonly_type] = STATE(2974),
    [sym_union_type] = STATE(3018),
    [sym_intersection_type] = STATE(3018),
    [sym_function_type] = STATE(2974),
    [sym_identifier] = ACTIONS(2560),
    [anon_sym_STAR] = ACTIONS(582),
    [anon_sym_LBRACE] = ACTIONS(1541),
    [anon_sym_COMMA] = ACTIONS(2788),
    [anon_sym_typeof] = ACTIONS(1543),
    [anon_sym_import] = ACTIONS(1545),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1547),
    [anon_sym_LBRACK] = ACTIONS(1549),
    [anon_sym_RBRACK] = ACTIONS(2790),
    [anon_sym_DQUOTE] = ACTIONS(1551),
    [anon_sym_SQUOTE] = ACTIONS(1553),
    [anon_sym_new] = ACTIONS(1613),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2566),
    [anon_sym_AMP] = ACTIONS(610),
    [anon_sym_PIPE] = ACTIONS(612),
    [anon_sym_PLUS] = ACTIONS(2568),
    [anon_sym_DASH] = ACTIONS(2568),
    [anon_sym_LT] = ACTIONS(2570),
    [anon_sym_void] = ACTIONS(217),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1561),
    [sym_number] = ACTIONS(1563),
    [sym_this] = ACTIONS(1565),
    [sym_true] = ACTIONS(1567),
    [sym_false] = ACTIONS(1567),
    [sym_null] = ACTIONS(1567),
    [sym_undefined] = ACTIONS(1567),
    [anon_sym_readonly] = ACTIONS(1619),
    [anon_sym_QMARK] = ACTIONS(632),
    [anon_sym_any] = ACTIONS(217),
    [anon_sym_number] = ACTIONS(217),
    [anon_sym_boolean] = ACTIONS(217),
    [anon_sym_string] = ACTIONS(217),
    [anon_sym_symbol] = ACTIONS(217),
    [anon_sym_object] = ACTIONS(217),
    [anon_sym_abstract] = ACTIONS(636),
    [anon_sym_infer] = ACTIONS(638),
    [anon_sym_keyof] = ACTIONS(640),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym_html_comment] = ACTIONS(5),
  },
  [880] = {
    [ts_builtin_sym_end] = ACTIONS(2704),
    [sym_identifier] = ACTIONS(2706),
    [anon_sym_export] = ACTIONS(2706),
    [anon_sym_default] = ACTIONS(2706),
    [anon_sym_type] = ACTIONS(2706),
    [anon_sym_namespace] = ACTIONS(2706),
    [anon_sym_LBRACE] = ACTIONS(2704),
    [anon_sym_RBRACE] = ACTIONS(2704),
    [anon_sym_typeof] = ACTIONS(2706),
    [anon_sym_import] = ACTIONS(2706),
    [anon_sym_with] = ACTIONS(2706),
    [anon_sym_var] = ACTIONS(2706),
    [anon_sym_let] = ACTIONS(2706),
    [anon_sym_const] = ACTIONS(2706),
    [anon_sym_BANG] = ACTIONS(2704),
    [anon_sym_else] = ACTIONS(2706),
    [anon_sym_if] = ACTIONS(2706),
    [anon_sym_switch] = ACTIONS(2706),
    [anon_sym_for] = ACTIONS(2706),
    [anon_sym_LPAREN] = ACTIONS(2704),
    [anon_sym_SEMI] = ACTIONS(2704),
    [anon_sym_await] = ACTIONS(2706),
    [anon_sym_while] = ACTIONS(2706),
    [anon_sym_do] = ACTIONS(2706),
    [anon_sym_try] = ACTIONS(2706),
    [anon_sym_break] = ACTIONS(2706),
    [anon_sym_continue] = ACTIONS(2706),
    [anon_sym_debugger] = ACTIONS(2706),
    [anon_sym_return] = ACTIONS(2706),
    [anon_sym_throw] = ACTIONS(2706),
    [anon_sym_case] = ACTIONS(2706),
    [anon_sym_yield] = ACTIONS(2706),
    [anon_sym_LBRACK] = ACTIONS(2704),
    [sym_glimmer_opening_tag] = ACTIONS(2704),
    [anon_sym_DQUOTE] = ACTIONS(2704),
    [anon_sym_SQUOTE] = ACTIONS(2704),
    [anon_sym_class] = ACTIONS(2706),
    [anon_sym_async] = ACTIONS(2706),
    [anon_sym_function] = ACTIONS(2706),
    [anon_sym_new] = ACTIONS(2706),
    [anon_sym_using] = ACTIONS(2706),
    [anon_sym_PLUS] = ACTIONS(2706),
    [anon_sym_DASH] = ACTIONS(2706),
    [anon_sym_SLASH] = ACTIONS(2706),
    [anon_sym_LT] = ACTIONS(2706),
    [anon_sym_TILDE] = ACTIONS(2704),
    [anon_sym_void] = ACTIONS(2706),
    [anon_sym_delete] = ACTIONS(2706),
    [anon_sym_PLUS_PLUS] = ACTIONS(2704),
    [anon_sym_DASH_DASH] = ACTIONS(2704),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2704),
    [sym_number] = ACTIONS(2704),
    [sym_private_property_identifier] = ACTIONS(2704),
    [sym_this] = ACTIONS(2706),
    [sym_super] = ACTIONS(2706),
    [sym_true] = ACTIONS(2706),
    [sym_false] = ACTIONS(2706),
    [sym_null] = ACTIONS(2706),
    [sym_undefined] = ACTIONS(2706),
    [anon_sym_AT] = ACTIONS(2704),
    [anon_sym_static] = ACTIONS(2706),
    [anon_sym_readonly] = ACTIONS(2706),
    [anon_sym_get] = ACTIONS(2706),
    [anon_sym_set] = ACTIONS(2706),
    [anon_sym_declare] = ACTIONS(2706),
    [anon_sym_public] = ACTIONS(2706),
    [anon_sym_private] = ACTIONS(2706),
    [anon_sym_protected] = ACTIONS(2706),
    [anon_sym_override] = ACTIONS(2706),
    [anon_sym_module] = ACTIONS(2706),
    [anon_sym_any] = ACTIONS(2706),
    [anon_sym_number] = ACTIONS(2706),
    [anon_sym_boolean] = ACTIONS(2706),
    [anon_sym_string] = ACTIONS(2706),
    [anon_sym_symbol] = ACTIONS(2706),
    [anon_sym_object] = ACTIONS(2706),
    [anon_sym_abstract] = ACTIONS(2706),
    [anon_sym_interface] = ACTIONS(2706),
    [anon_sym_enum] = ACTIONS(2706),
    [sym_html_comment] = ACTIONS(5),
  },
  [881] = {
    [ts_builtin_sym_end] = ACTIONS(2792),
    [sym_identifier] = ACTIONS(2794),
    [anon_sym_export] = ACTIONS(2794),
    [anon_sym_default] = ACTIONS(2794),
    [anon_sym_type] = ACTIONS(2794),
    [anon_sym_namespace] = ACTIONS(2794),
    [anon_sym_LBRACE] = ACTIONS(2792),
    [anon_sym_RBRACE] = ACTIONS(2792),
    [anon_sym_typeof] = ACTIONS(2794),
    [anon_sym_import] = ACTIONS(2794),
    [anon_sym_with] = ACTIONS(2794),
    [anon_sym_var] = ACTIONS(2794),
    [anon_sym_let] = ACTIONS(2794),
    [anon_sym_const] = ACTIONS(2794),
    [anon_sym_BANG] = ACTIONS(2792),
    [anon_sym_else] = ACTIONS(2794),
    [anon_sym_if] = ACTIONS(2794),
    [anon_sym_switch] = ACTIONS(2794),
    [anon_sym_for] = ACTIONS(2794),
    [anon_sym_LPAREN] = ACTIONS(2792),
    [anon_sym_SEMI] = ACTIONS(2792),
    [anon_sym_await] = ACTIONS(2794),
    [anon_sym_while] = ACTIONS(2794),
    [anon_sym_do] = ACTIONS(2794),
    [anon_sym_try] = ACTIONS(2794),
    [anon_sym_break] = ACTIONS(2794),
    [anon_sym_continue] = ACTIONS(2794),
    [anon_sym_debugger] = ACTIONS(2794),
    [anon_sym_return] = ACTIONS(2794),
    [anon_sym_throw] = ACTIONS(2794),
    [anon_sym_case] = ACTIONS(2794),
    [anon_sym_yield] = ACTIONS(2794),
    [anon_sym_LBRACK] = ACTIONS(2792),
    [sym_glimmer_opening_tag] = ACTIONS(2792),
    [anon_sym_DQUOTE] = ACTIONS(2792),
    [anon_sym_SQUOTE] = ACTIONS(2792),
    [anon_sym_class] = ACTIONS(2794),
    [anon_sym_async] = ACTIONS(2794),
    [anon_sym_function] = ACTIONS(2794),
    [anon_sym_new] = ACTIONS(2794),
    [anon_sym_using] = ACTIONS(2794),
    [anon_sym_PLUS] = ACTIONS(2794),
    [anon_sym_DASH] = ACTIONS(2794),
    [anon_sym_SLASH] = ACTIONS(2794),
    [anon_sym_LT] = ACTIONS(2794),
    [anon_sym_TILDE] = ACTIONS(2792),
    [anon_sym_void] = ACTIONS(2794),
    [anon_sym_delete] = ACTIONS(2794),
    [anon_sym_PLUS_PLUS] = ACTIONS(2792),
    [anon_sym_DASH_DASH] = ACTIONS(2792),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2792),
    [sym_number] = ACTIONS(2792),
    [sym_private_property_identifier] = ACTIONS(2792),
    [sym_this] = ACTIONS(2794),
    [sym_super] = ACTIONS(2794),
    [sym_true] = ACTIONS(2794),
    [sym_false] = ACTIONS(2794),
    [sym_null] = ACTIONS(2794),
    [sym_undefined] = ACTIONS(2794),
    [anon_sym_AT] = ACTIONS(2792),
    [anon_sym_static] = ACTIONS(2794),
    [anon_sym_readonly] = ACTIONS(2794),
    [anon_sym_get] = ACTIONS(2794),
    [anon_sym_set] = ACTIONS(2794),
    [anon_sym_declare] = ACTIONS(2794),
    [anon_sym_public] = ACTIONS(2794),
    [anon_sym_private] = ACTIONS(2794),
    [anon_sym_protected] = ACTIONS(2794),
    [anon_sym_override] = ACTIONS(2794),
    [anon_sym_module] = ACTIONS(2794),
    [anon_sym_any] = ACTIONS(2794),
    [anon_sym_number] = ACTIONS(2794),
    [anon_sym_boolean] = ACTIONS(2794),
    [anon_sym_string] = ACTIONS(2794),
    [anon_sym_symbol] = ACTIONS(2794),
    [anon_sym_object] = ACTIONS(2794),
    [anon_sym_abstract] = ACTIONS(2794),
    [anon_sym_interface] = ACTIONS(2794),
    [anon_sym_enum] = ACTIONS(2794),
    [sym_html_comment] = ACTIONS(5),
  },
  [882] = {
    [ts_builtin_sym_end] = ACTIONS(2796),
    [sym_identifier] = ACTIONS(2798),
    [anon_sym_export] = ACTIONS(2798),
    [anon_sym_default] = ACTIONS(2798),
    [anon_sym_type] = ACTIONS(2798),
    [anon_sym_namespace] = ACTIONS(2798),
    [anon_sym_LBRACE] = ACTIONS(2796),
    [anon_sym_RBRACE] = ACTIONS(2796),
    [anon_sym_typeof] = ACTIONS(2798),
    [anon_sym_import] = ACTIONS(2798),
    [anon_sym_with] = ACTIONS(2798),
    [anon_sym_var] = ACTIONS(2798),
    [anon_sym_let] = ACTIONS(2798),
    [anon_sym_const] = ACTIONS(2798),
    [anon_sym_BANG] = ACTIONS(2796),
    [anon_sym_else] = ACTIONS(2798),
    [anon_sym_if] = ACTIONS(2798),
    [anon_sym_switch] = ACTIONS(2798),
    [anon_sym_for] = ACTIONS(2798),
    [anon_sym_LPAREN] = ACTIONS(2796),
    [anon_sym_SEMI] = ACTIONS(2796),
    [anon_sym_await] = ACTIONS(2798),
    [anon_sym_while] = ACTIONS(2798),
    [anon_sym_do] = ACTIONS(2798),
    [anon_sym_try] = ACTIONS(2798),
    [anon_sym_break] = ACTIONS(2798),
    [anon_sym_continue] = ACTIONS(2798),
    [anon_sym_debugger] = ACTIONS(2798),
    [anon_sym_return] = ACTIONS(2798),
    [anon_sym_throw] = ACTIONS(2798),
    [anon_sym_case] = ACTIONS(2798),
    [anon_sym_yield] = ACTIONS(2798),
    [anon_sym_LBRACK] = ACTIONS(2796),
    [sym_glimmer_opening_tag] = ACTIONS(2796),
    [anon_sym_DQUOTE] = ACTIONS(2796),
    [anon_sym_SQUOTE] = ACTIONS(2796),
    [anon_sym_class] = ACTIONS(2798),
    [anon_sym_async] = ACTIONS(2798),
    [anon_sym_function] = ACTIONS(2798),
    [anon_sym_new] = ACTIONS(2798),
    [anon_sym_using] = ACTIONS(2798),
    [anon_sym_PLUS] = ACTIONS(2798),
    [anon_sym_DASH] = ACTIONS(2798),
    [anon_sym_SLASH] = ACTIONS(2798),
    [anon_sym_LT] = ACTIONS(2798),
    [anon_sym_TILDE] = ACTIONS(2796),
    [anon_sym_void] = ACTIONS(2798),
    [anon_sym_delete] = ACTIONS(2798),
    [anon_sym_PLUS_PLUS] = ACTIONS(2796),
    [anon_sym_DASH_DASH] = ACTIONS(2796),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2796),
    [sym_number] = ACTIONS(2796),
    [sym_private_property_identifier] = ACTIONS(2796),
    [sym_this] = ACTIONS(2798),
    [sym_super] = ACTIONS(2798),
    [sym_true] = ACTIONS(2798),
    [sym_false] = ACTIONS(2798),
    [sym_null] = ACTIONS(2798),
    [sym_undefined] = ACTIONS(2798),
    [anon_sym_AT] = ACTIONS(2796),
    [anon_sym_static] = ACTIONS(2798),
    [anon_sym_readonly] = ACTIONS(2798),
    [anon_sym_get] = ACTIONS(2798),
    [anon_sym_set] = ACTIONS(2798),
    [anon_sym_declare] = ACTIONS(2798),
    [anon_sym_public] = ACTIONS(2798),
    [anon_sym_private] = ACTIONS(2798),
    [anon_sym_protected] = ACTIONS(2798),
    [anon_sym_override] = ACTIONS(2798),
    [anon_sym_module] = ACTIONS(2798),
    [anon_sym_any] = ACTIONS(2798),
    [anon_sym_number] = ACTIONS(2798),
    [anon_sym_boolean] = ACTIONS(2798),
    [anon_sym_string] = ACTIONS(2798),
    [anon_sym_symbol] = ACTIONS(2798),
    [anon_sym_object] = ACTIONS(2798),
    [anon_sym_abstract] = ACTIONS(2798),
    [anon_sym_interface] = ACTIONS(2798),
    [anon_sym_enum] = ACTIONS(2798),
    [sym_html_comment] = ACTIONS(5),
  },
  [883] = {
    [ts_builtin_sym_end] = ACTIONS(2800),
    [sym_identifier] = ACTIONS(2802),
    [anon_sym_export] = ACTIONS(2802),
    [anon_sym_default] = ACTIONS(2802),
    [anon_sym_type] = ACTIONS(2802),
    [anon_sym_namespace] = ACTIONS(2802),
    [anon_sym_LBRACE] = ACTIONS(2800),
    [anon_sym_RBRACE] = ACTIONS(2800),
    [anon_sym_typeof] = ACTIONS(2802),
    [anon_sym_import] = ACTIONS(2802),
    [anon_sym_with] = ACTIONS(2802),
    [anon_sym_var] = ACTIONS(2802),
    [anon_sym_let] = ACTIONS(2802),
    [anon_sym_const] = ACTIONS(2802),
    [anon_sym_BANG] = ACTIONS(2800),
    [anon_sym_else] = ACTIONS(2802),
    [anon_sym_if] = ACTIONS(2802),
    [anon_sym_switch] = ACTIONS(2802),
    [anon_sym_for] = ACTIONS(2802),
    [anon_sym_LPAREN] = ACTIONS(2800),
    [anon_sym_SEMI] = ACTIONS(2800),
    [anon_sym_await] = ACTIONS(2802),
    [anon_sym_while] = ACTIONS(2802),
    [anon_sym_do] = ACTIONS(2802),
    [anon_sym_try] = ACTIONS(2802),
    [anon_sym_break] = ACTIONS(2802),
    [anon_sym_continue] = ACTIONS(2802),
    [anon_sym_debugger] = ACTIONS(2802),
    [anon_sym_return] = ACTIONS(2802),
    [anon_sym_throw] = ACTIONS(2802),
    [anon_sym_case] = ACTIONS(2802),
    [anon_sym_yield] = ACTIONS(2802),
    [anon_sym_LBRACK] = ACTIONS(2800),
    [sym_glimmer_opening_tag] = ACTIONS(2800),
    [anon_sym_DQUOTE] = ACTIONS(2800),
    [anon_sym_SQUOTE] = ACTIONS(2800),
    [anon_sym_class] = ACTIONS(2802),
    [anon_sym_async] = ACTIONS(2802),
    [anon_sym_function] = ACTIONS(2802),
    [anon_sym_new] = ACTIONS(2802),
    [anon_sym_using] = ACTIONS(2802),
    [anon_sym_PLUS] = ACTIONS(2802),
    [anon_sym_DASH] = ACTIONS(2802),
    [anon_sym_SLASH] = ACTIONS(2802),
    [anon_sym_LT] = ACTIONS(2802),
    [anon_sym_TILDE] = ACTIONS(2800),
    [anon_sym_void] = ACTIONS(2802),
    [anon_sym_delete] = ACTIONS(2802),
    [anon_sym_PLUS_PLUS] = ACTIONS(2800),
    [anon_sym_DASH_DASH] = ACTIONS(2800),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2800),
    [sym_number] = ACTIONS(2800),
    [sym_private_property_identifier] = ACTIONS(2800),
    [sym_this] = ACTIONS(2802),
    [sym_super] = ACTIONS(2802),
    [sym_true] = ACTIONS(2802),
    [sym_false] = ACTIONS(2802),
    [sym_null] = ACTIONS(2802),
    [sym_undefined] = ACTIONS(2802),
    [anon_sym_AT] = ACTIONS(2800),
    [anon_sym_static] = ACTIONS(2802),
    [anon_sym_readonly] = ACTIONS(2802),
    [anon_sym_get] = ACTIONS(2802),
    [anon_sym_set] = ACTIONS(2802),
    [anon_sym_declare] = ACTIONS(2802),
    [anon_sym_public] = ACTIONS(2802),
    [anon_sym_private] = ACTIONS(2802),
    [anon_sym_protected] = ACTIONS(2802),
    [anon_sym_override] = ACTIONS(2802),
    [anon_sym_module] = ACTIONS(2802),
    [anon_sym_any] = ACTIONS(2802),
    [anon_sym_number] = ACTIONS(2802),
    [anon_sym_boolean] = ACTIONS(2802),
    [anon_sym_string] = ACTIONS(2802),
    [anon_sym_symbol] = ACTIONS(2802),
    [anon_sym_object] = ACTIONS(2802),
    [anon_sym_abstract] = ACTIONS(2802),
    [anon_sym_interface] = ACTIONS(2802),
    [anon_sym_enum] = ACTIONS(2802),
    [sym_html_comment] = ACTIONS(5),
  },
  [884] = {
    [ts_builtin_sym_end] = ACTIONS(2804),
    [sym_identifier] = ACTIONS(2806),
    [anon_sym_export] = ACTIONS(2806),
    [anon_sym_default] = ACTIONS(2806),
    [anon_sym_type] = ACTIONS(2806),
    [anon_sym_namespace] = ACTIONS(2806),
    [anon_sym_LBRACE] = ACTIONS(2804),
    [anon_sym_RBRACE] = ACTIONS(2804),
    [anon_sym_typeof] = ACTIONS(2806),
    [anon_sym_import] = ACTIONS(2806),
    [anon_sym_with] = ACTIONS(2806),
    [anon_sym_var] = ACTIONS(2806),
    [anon_sym_let] = ACTIONS(2806),
    [anon_sym_const] = ACTIONS(2806),
    [anon_sym_BANG] = ACTIONS(2804),
    [anon_sym_else] = ACTIONS(2806),
    [anon_sym_if] = ACTIONS(2806),
    [anon_sym_switch] = ACTIONS(2806),
    [anon_sym_for] = ACTIONS(2806),
    [anon_sym_LPAREN] = ACTIONS(2804),
    [anon_sym_SEMI] = ACTIONS(2804),
    [anon_sym_await] = ACTIONS(2806),
    [anon_sym_while] = ACTIONS(2806),
    [anon_sym_do] = ACTIONS(2806),
    [anon_sym_try] = ACTIONS(2806),
    [anon_sym_break] = ACTIONS(2806),
    [anon_sym_continue] = ACTIONS(2806),
    [anon_sym_debugger] = ACTIONS(2806),
    [anon_sym_return] = ACTIONS(2806),
    [anon_sym_throw] = ACTIONS(2806),
    [anon_sym_case] = ACTIONS(2806),
    [anon_sym_yield] = ACTIONS(2806),
    [anon_sym_LBRACK] = ACTIONS(2804),
    [sym_glimmer_opening_tag] = ACTIONS(2804),
    [anon_sym_DQUOTE] = ACTIONS(2804),
    [anon_sym_SQUOTE] = ACTIONS(2804),
    [anon_sym_class] = ACTIONS(2806),
    [anon_sym_async] = ACTIONS(2806),
    [anon_sym_function] = ACTIONS(2806),
    [anon_sym_new] = ACTIONS(2806),
    [anon_sym_using] = ACTIONS(2806),
    [anon_sym_PLUS] = ACTIONS(2806),
    [anon_sym_DASH] = ACTIONS(2806),
    [anon_sym_SLASH] = ACTIONS(2806),
    [anon_sym_LT] = ACTIONS(2806),
    [anon_sym_TILDE] = ACTIONS(2804),
    [anon_sym_void] = ACTIONS(2806),
    [anon_sym_delete] = ACTIONS(2806),
    [anon_sym_PLUS_PLUS] = ACTIONS(2804),
    [anon_sym_DASH_DASH] = ACTIONS(2804),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2804),
    [sym_number] = ACTIONS(2804),
    [sym_private_property_identifier] = ACTIONS(2804),
    [sym_this] = ACTIONS(2806),
    [sym_super] = ACTIONS(2806),
    [sym_true] = ACTIONS(2806),
    [sym_false] = ACTIONS(2806),
    [sym_null] = ACTIONS(2806),
    [sym_undefined] = ACTIONS(2806),
    [anon_sym_AT] = ACTIONS(2804),
    [anon_sym_static] = ACTIONS(2806),
    [anon_sym_readonly] = ACTIONS(2806),
    [anon_sym_get] = ACTIONS(2806),
    [anon_sym_set] = ACTIONS(2806),
    [anon_sym_declare] = ACTIONS(2806),
    [anon_sym_public] = ACTIONS(2806),
    [anon_sym_private] = ACTIONS(2806),
    [anon_sym_protected] = ACTIONS(2806),
    [anon_sym_override] = ACTIONS(2806),
    [anon_sym_module] = ACTIONS(2806),
    [anon_sym_any] = ACTIONS(2806),
    [anon_sym_number] = ACTIONS(2806),
    [anon_sym_boolean] = ACTIONS(2806),
    [anon_sym_string] = ACTIONS(2806),
    [anon_sym_symbol] = ACTIONS(2806),
    [anon_sym_object] = ACTIONS(2806),
    [anon_sym_abstract] = ACTIONS(2806),
    [anon_sym_interface] = ACTIONS(2806),
    [anon_sym_enum] = ACTIONS(2806),
    [sym_html_comment] = ACTIONS(5),
  },
  [885] = {
    [ts_builtin_sym_end] = ACTIONS(1763),
    [sym_identifier] = ACTIONS(1765),
    [anon_sym_export] = ACTIONS(1765),
    [anon_sym_default] = ACTIONS(1765),
    [anon_sym_type] = ACTIONS(1765),
    [anon_sym_namespace] = ACTIONS(1765),
    [anon_sym_LBRACE] = ACTIONS(1763),
    [anon_sym_RBRACE] = ACTIONS(1763),
    [anon_sym_typeof] = ACTIONS(1765),
    [anon_sym_import] = ACTIONS(1765),
    [anon_sym_with] = ACTIONS(1765),
    [anon_sym_var] = ACTIONS(1765),
    [anon_sym_let] = ACTIONS(1765),
    [anon_sym_const] = ACTIONS(1765),
    [anon_sym_BANG] = ACTIONS(1763),
    [anon_sym_else] = ACTIONS(1765),
    [anon_sym_if] = ACTIONS(1765),
    [anon_sym_switch] = ACTIONS(1765),
    [anon_sym_for] = ACTIONS(1765),
    [anon_sym_LPAREN] = ACTIONS(1763),
    [anon_sym_SEMI] = ACTIONS(1763),
    [anon_sym_await] = ACTIONS(1765),
    [anon_sym_while] = ACTIONS(1765),
    [anon_sym_do] = ACTIONS(1765),
    [anon_sym_try] = ACTIONS(1765),
    [anon_sym_break] = ACTIONS(1765),
    [anon_sym_continue] = ACTIONS(1765),
    [anon_sym_debugger] = ACTIONS(1765),
    [anon_sym_return] = ACTIONS(1765),
    [anon_sym_throw] = ACTIONS(1765),
    [anon_sym_case] = ACTIONS(1765),
    [anon_sym_yield] = ACTIONS(1765),
    [anon_sym_LBRACK] = ACTIONS(1763),
    [sym_glimmer_opening_tag] = ACTIONS(1763),
    [anon_sym_DQUOTE] = ACTIONS(1763),
    [anon_sym_SQUOTE] = ACTIONS(1763),
    [anon_sym_class] = ACTIONS(1765),
    [anon_sym_async] = ACTIONS(1765),
    [anon_sym_function] = ACTIONS(1765),
    [anon_sym_new] = ACTIONS(1765),
    [anon_sym_using] = ACTIONS(1765),
    [anon_sym_PLUS] = ACTIONS(1765),
    [anon_sym_DASH] = ACTIONS(1765),
    [anon_sym_SLASH] = ACTIONS(1765),
    [anon_sym_LT] = ACTIONS(1765),
    [anon_sym_TILDE] = ACTIONS(1763),
    [anon_sym_void] = ACTIONS(1765),
    [anon_sym_delete] = ACTIONS(1765),
    [anon_sym_PLUS_PLUS] = ACTIONS(1763),
    [anon_sym_DASH_DASH] = ACTIONS(1763),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1763),
    [sym_number] = ACTIONS(1763),
    [sym_private_property_identifier] = ACTIONS(1763),
    [sym_this] = ACTIONS(1765),
    [sym_super] = ACTIONS(1765),
    [sym_true] = ACTIONS(1765),
    [sym_false] = ACTIONS(1765),
    [sym_null] = ACTIONS(1765),
    [sym_undefined] = ACTIONS(1765),
    [anon_sym_AT] = ACTIONS(1763),
    [anon_sym_static] = ACTIONS(1765),
    [anon_sym_readonly] = ACTIONS(1765),
    [anon_sym_get] = ACTIONS(1765),
    [anon_sym_set] = ACTIONS(1765),
    [anon_sym_declare] = ACTIONS(1765),
    [anon_sym_public] = ACTIONS(1765),
    [anon_sym_private] = ACTIONS(1765),
    [anon_sym_protected] = ACTIONS(1765),
    [anon_sym_override] = ACTIONS(1765),
    [anon_sym_module] = ACTIONS(1765),
    [anon_sym_any] = ACTIONS(1765),
    [anon_sym_number] = ACTIONS(1765),
    [anon_sym_boolean] = ACTIONS(1765),
    [anon_sym_string] = ACTIONS(1765),
    [anon_sym_symbol] = ACTIONS(1765),
    [anon_sym_object] = ACTIONS(1765),
    [anon_sym_abstract] = ACTIONS(1765),
    [anon_sym_interface] = ACTIONS(1765),
    [anon_sym_enum] = ACTIONS(1765),
    [sym_html_comment] = ACTIONS(5),
  },
  [886] = {
    [ts_builtin_sym_end] = ACTIONS(2808),
    [sym_identifier] = ACTIONS(2810),
    [anon_sym_export] = ACTIONS(2810),
    [anon_sym_default] = ACTIONS(2810),
    [anon_sym_type] = ACTIONS(2810),
    [anon_sym_namespace] = ACTIONS(2810),
    [anon_sym_LBRACE] = ACTIONS(2808),
    [anon_sym_RBRACE] = ACTIONS(2808),
    [anon_sym_typeof] = ACTIONS(2810),
    [anon_sym_import] = ACTIONS(2810),
    [anon_sym_with] = ACTIONS(2810),
    [anon_sym_var] = ACTIONS(2810),
    [anon_sym_let] = ACTIONS(2810),
    [anon_sym_const] = ACTIONS(2810),
    [anon_sym_BANG] = ACTIONS(2808),
    [anon_sym_else] = ACTIONS(2810),
    [anon_sym_if] = ACTIONS(2810),
    [anon_sym_switch] = ACTIONS(2810),
    [anon_sym_for] = ACTIONS(2810),
    [anon_sym_LPAREN] = ACTIONS(2808),
    [anon_sym_SEMI] = ACTIONS(2808),
    [anon_sym_await] = ACTIONS(2810),
    [anon_sym_while] = ACTIONS(2810),
    [anon_sym_do] = ACTIONS(2810),
    [anon_sym_try] = ACTIONS(2810),
    [anon_sym_break] = ACTIONS(2810),
    [anon_sym_continue] = ACTIONS(2810),
    [anon_sym_debugger] = ACTIONS(2810),
    [anon_sym_return] = ACTIONS(2810),
    [anon_sym_throw] = ACTIONS(2810),
    [anon_sym_case] = ACTIONS(2810),
    [anon_sym_yield] = ACTIONS(2810),
    [anon_sym_LBRACK] = ACTIONS(2808),
    [sym_glimmer_opening_tag] = ACTIONS(2808),
    [anon_sym_DQUOTE] = ACTIONS(2808),
    [anon_sym_SQUOTE] = ACTIONS(2808),
    [anon_sym_class] = ACTIONS(2810),
    [anon_sym_async] = ACTIONS(2810),
    [anon_sym_function] = ACTIONS(2810),
    [anon_sym_new] = ACTIONS(2810),
    [anon_sym_using] = ACTIONS(2810),
    [anon_sym_PLUS] = ACTIONS(2810),
    [anon_sym_DASH] = ACTIONS(2810),
    [anon_sym_SLASH] = ACTIONS(2810),
    [anon_sym_LT] = ACTIONS(2810),
    [anon_sym_TILDE] = ACTIONS(2808),
    [anon_sym_void] = ACTIONS(2810),
    [anon_sym_delete] = ACTIONS(2810),
    [anon_sym_PLUS_PLUS] = ACTIONS(2808),
    [anon_sym_DASH_DASH] = ACTIONS(2808),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2808),
    [sym_number] = ACTIONS(2808),
    [sym_private_property_identifier] = ACTIONS(2808),
    [sym_this] = ACTIONS(2810),
    [sym_super] = ACTIONS(2810),
    [sym_true] = ACTIONS(2810),
    [sym_false] = ACTIONS(2810),
    [sym_null] = ACTIONS(2810),
    [sym_undefined] = ACTIONS(2810),
    [anon_sym_AT] = ACTIONS(2808),
    [anon_sym_static] = ACTIONS(2810),
    [anon_sym_readonly] = ACTIONS(2810),
    [anon_sym_get] = ACTIONS(2810),
    [anon_sym_set] = ACTIONS(2810),
    [anon_sym_declare] = ACTIONS(2810),
    [anon_sym_public] = ACTIONS(2810),
    [anon_sym_private] = ACTIONS(2810),
    [anon_sym_protected] = ACTIONS(2810),
    [anon_sym_override] = ACTIONS(2810),
    [anon_sym_module] = ACTIONS(2810),
    [anon_sym_any] = ACTIONS(2810),
    [anon_sym_number] = ACTIONS(2810),
    [anon_sym_boolean] = ACTIONS(2810),
    [anon_sym_string] = ACTIONS(2810),
    [anon_sym_symbol] = ACTIONS(2810),
    [anon_sym_object] = ACTIONS(2810),
    [anon_sym_abstract] = ACTIONS(2810),
    [anon_sym_interface] = ACTIONS(2810),
    [anon_sym_enum] = ACTIONS(2810),
    [sym_html_comment] = ACTIONS(5),
  },
  [887] = {
    [ts_builtin_sym_end] = ACTIONS(2812),
    [sym_identifier] = ACTIONS(2814),
    [anon_sym_export] = ACTIONS(2814),
    [anon_sym_default] = ACTIONS(2814),
    [anon_sym_type] = ACTIONS(2814),
    [anon_sym_namespace] = ACTIONS(2814),
    [anon_sym_LBRACE] = ACTIONS(2812),
    [anon_sym_RBRACE] = ACTIONS(2812),
    [anon_sym_typeof] = ACTIONS(2814),
    [anon_sym_import] = ACTIONS(2814),
    [anon_sym_with] = ACTIONS(2814),
    [anon_sym_var] = ACTIONS(2814),
    [anon_sym_let] = ACTIONS(2814),
    [anon_sym_const] = ACTIONS(2814),
    [anon_sym_BANG] = ACTIONS(2812),
    [anon_sym_else] = ACTIONS(2814),
    [anon_sym_if] = ACTIONS(2814),
    [anon_sym_switch] = ACTIONS(2814),
    [anon_sym_for] = ACTIONS(2814),
    [anon_sym_LPAREN] = ACTIONS(2812),
    [anon_sym_SEMI] = ACTIONS(2812),
    [anon_sym_await] = ACTIONS(2814),
    [anon_sym_while] = ACTIONS(2814),
    [anon_sym_do] = ACTIONS(2814),
    [anon_sym_try] = ACTIONS(2814),
    [anon_sym_break] = ACTIONS(2814),
    [anon_sym_continue] = ACTIONS(2814),
    [anon_sym_debugger] = ACTIONS(2814),
    [anon_sym_return] = ACTIONS(2814),
    [anon_sym_throw] = ACTIONS(2814),
    [anon_sym_case] = ACTIONS(2814),
    [anon_sym_yield] = ACTIONS(2814),
    [anon_sym_LBRACK] = ACTIONS(2812),
    [sym_glimmer_opening_tag] = ACTIONS(2812),
    [anon_sym_DQUOTE] = ACTIONS(2812),
    [anon_sym_SQUOTE] = ACTIONS(2812),
    [anon_sym_class] = ACTIONS(2814),
    [anon_sym_async] = ACTIONS(2814),
    [anon_sym_function] = ACTIONS(2814),
    [anon_sym_new] = ACTIONS(2814),
    [anon_sym_using] = ACTIONS(2814),
    [anon_sym_PLUS] = ACTIONS(2814),
    [anon_sym_DASH] = ACTIONS(2814),
    [anon_sym_SLASH] = ACTIONS(2814),
    [anon_sym_LT] = ACTIONS(2814),
    [anon_sym_TILDE] = ACTIONS(2812),
    [anon_sym_void] = ACTIONS(2814),
    [anon_sym_delete] = ACTIONS(2814),
    [anon_sym_PLUS_PLUS] = ACTIONS(2812),
    [anon_sym_DASH_DASH] = ACTIONS(2812),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2812),
    [sym_number] = ACTIONS(2812),
    [sym_private_property_identifier] = ACTIONS(2812),
    [sym_this] = ACTIONS(2814),
    [sym_super] = ACTIONS(2814),
    [sym_true] = ACTIONS(2814),
    [sym_false] = ACTIONS(2814),
    [sym_null] = ACTIONS(2814),
    [sym_undefined] = ACTIONS(2814),
    [anon_sym_AT] = ACTIONS(2812),
    [anon_sym_static] = ACTIONS(2814),
    [anon_sym_readonly] = ACTIONS(2814),
    [anon_sym_get] = ACTIONS(2814),
    [anon_sym_set] = ACTIONS(2814),
    [anon_sym_declare] = ACTIONS(2814),
    [anon_sym_public] = ACTIONS(2814),
    [anon_sym_private] = ACTIONS(2814),
    [anon_sym_protected] = ACTIONS(2814),
    [anon_sym_override] = ACTIONS(2814),
    [anon_sym_module] = ACTIONS(2814),
    [anon_sym_any] = ACTIONS(2814),
    [anon_sym_number] = ACTIONS(2814),
    [anon_sym_boolean] = ACTIONS(2814),
    [anon_sym_string] = ACTIONS(2814),
    [anon_sym_symbol] = ACTIONS(2814),
    [anon_sym_object] = ACTIONS(2814),
    [anon_sym_abstract] = ACTIONS(2814),
    [anon_sym_interface] = ACTIONS(2814),
    [anon_sym_enum] = ACTIONS(2814),
    [sym_html_comment] = ACTIONS(5),
  },
  [888] = {
    [ts_builtin_sym_end] = ACTIONS(2816),
    [sym_identifier] = ACTIONS(2818),
    [anon_sym_export] = ACTIONS(2818),
    [anon_sym_default] = ACTIONS(2818),
    [anon_sym_type] = ACTIONS(2818),
    [anon_sym_namespace] = ACTIONS(2818),
    [anon_sym_LBRACE] = ACTIONS(2816),
    [anon_sym_RBRACE] = ACTIONS(2816),
    [anon_sym_typeof] = ACTIONS(2818),
    [anon_sym_import] = ACTIONS(2818),
    [anon_sym_with] = ACTIONS(2818),
    [anon_sym_var] = ACTIONS(2818),
    [anon_sym_let] = ACTIONS(2818),
    [anon_sym_const] = ACTIONS(2818),
    [anon_sym_BANG] = ACTIONS(2816),
    [anon_sym_else] = ACTIONS(2818),
    [anon_sym_if] = ACTIONS(2818),
    [anon_sym_switch] = ACTIONS(2818),
    [anon_sym_for] = ACTIONS(2818),
    [anon_sym_LPAREN] = ACTIONS(2816),
    [anon_sym_SEMI] = ACTIONS(2816),
    [anon_sym_await] = ACTIONS(2818),
    [anon_sym_while] = ACTIONS(2818),
    [anon_sym_do] = ACTIONS(2818),
    [anon_sym_try] = ACTIONS(2818),
    [anon_sym_break] = ACTIONS(2818),
    [anon_sym_continue] = ACTIONS(2818),
    [anon_sym_debugger] = ACTIONS(2818),
    [anon_sym_return] = ACTIONS(2818),
    [anon_sym_throw] = ACTIONS(2818),
    [anon_sym_case] = ACTIONS(2818),
    [anon_sym_yield] = ACTIONS(2818),
    [anon_sym_LBRACK] = ACTIONS(2816),
    [sym_glimmer_opening_tag] = ACTIONS(2816),
    [anon_sym_DQUOTE] = ACTIONS(2816),
    [anon_sym_SQUOTE] = ACTIONS(2816),
    [anon_sym_class] = ACTIONS(2818),
    [anon_sym_async] = ACTIONS(2818),
    [anon_sym_function] = ACTIONS(2818),
    [anon_sym_new] = ACTIONS(2818),
    [anon_sym_using] = ACTIONS(2818),
    [anon_sym_PLUS] = ACTIONS(2818),
    [anon_sym_DASH] = ACTIONS(2818),
    [anon_sym_SLASH] = ACTIONS(2818),
    [anon_sym_LT] = ACTIONS(2818),
    [anon_sym_TILDE] = ACTIONS(2816),
    [anon_sym_void] = ACTIONS(2818),
    [anon_sym_delete] = ACTIONS(2818),
    [anon_sym_PLUS_PLUS] = ACTIONS(2816),
    [anon_sym_DASH_DASH] = ACTIONS(2816),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2816),
    [sym_number] = ACTIONS(2816),
    [sym_private_property_identifier] = ACTIONS(2816),
    [sym_this] = ACTIONS(2818),
    [sym_super] = ACTIONS(2818),
    [sym_true] = ACTIONS(2818),
    [sym_false] = ACTIONS(2818),
    [sym_null] = ACTIONS(2818),
    [sym_undefined] = ACTIONS(2818),
    [anon_sym_AT] = ACTIONS(2816),
    [anon_sym_static] = ACTIONS(2818),
    [anon_sym_readonly] = ACTIONS(2818),
    [anon_sym_get] = ACTIONS(2818),
    [anon_sym_set] = ACTIONS(2818),
    [anon_sym_declare] = ACTIONS(2818),
    [anon_sym_public] = ACTIONS(2818),
    [anon_sym_private] = ACTIONS(2818),
    [anon_sym_protected] = ACTIONS(2818),
    [anon_sym_override] = ACTIONS(2818),
    [anon_sym_module] = ACTIONS(2818),
    [anon_sym_any] = ACTIONS(2818),
    [anon_sym_number] = ACTIONS(2818),
    [anon_sym_boolean] = ACTIONS(2818),
    [anon_sym_string] = ACTIONS(2818),
    [anon_sym_symbol] = ACTIONS(2818),
    [anon_sym_object] = ACTIONS(2818),
    [anon_sym_abstract] = ACTIONS(2818),
    [anon_sym_interface] = ACTIONS(2818),
    [anon_sym_enum] = ACTIONS(2818),
    [sym_html_comment] = ACTIONS(5),
  },
  [889] = {
    [ts_builtin_sym_end] = ACTIONS(2820),
    [sym_identifier] = ACTIONS(2822),
    [anon_sym_export] = ACTIONS(2822),
    [anon_sym_default] = ACTIONS(2822),
    [anon_sym_type] = ACTIONS(2822),
    [anon_sym_namespace] = ACTIONS(2822),
    [anon_sym_LBRACE] = ACTIONS(2820),
    [anon_sym_RBRACE] = ACTIONS(2820),
    [anon_sym_typeof] = ACTIONS(2822),
    [anon_sym_import] = ACTIONS(2822),
    [anon_sym_with] = ACTIONS(2822),
    [anon_sym_var] = ACTIONS(2822),
    [anon_sym_let] = ACTIONS(2822),
    [anon_sym_const] = ACTIONS(2822),
    [anon_sym_BANG] = ACTIONS(2820),
    [anon_sym_else] = ACTIONS(2822),
    [anon_sym_if] = ACTIONS(2822),
    [anon_sym_switch] = ACTIONS(2822),
    [anon_sym_for] = ACTIONS(2822),
    [anon_sym_LPAREN] = ACTIONS(2820),
    [anon_sym_SEMI] = ACTIONS(2820),
    [anon_sym_await] = ACTIONS(2822),
    [anon_sym_while] = ACTIONS(2822),
    [anon_sym_do] = ACTIONS(2822),
    [anon_sym_try] = ACTIONS(2822),
    [anon_sym_break] = ACTIONS(2822),
    [anon_sym_continue] = ACTIONS(2822),
    [anon_sym_debugger] = ACTIONS(2822),
    [anon_sym_return] = ACTIONS(2822),
    [anon_sym_throw] = ACTIONS(2822),
    [anon_sym_case] = ACTIONS(2822),
    [anon_sym_yield] = ACTIONS(2822),
    [anon_sym_LBRACK] = ACTIONS(2820),
    [sym_glimmer_opening_tag] = ACTIONS(2820),
    [anon_sym_DQUOTE] = ACTIONS(2820),
    [anon_sym_SQUOTE] = ACTIONS(2820),
    [anon_sym_class] = ACTIONS(2822),
    [anon_sym_async] = ACTIONS(2822),
    [anon_sym_function] = ACTIONS(2822),
    [anon_sym_new] = ACTIONS(2822),
    [anon_sym_using] = ACTIONS(2822),
    [anon_sym_PLUS] = ACTIONS(2822),
    [anon_sym_DASH] = ACTIONS(2822),
    [anon_sym_SLASH] = ACTIONS(2822),
    [anon_sym_LT] = ACTIONS(2822),
    [anon_sym_TILDE] = ACTIONS(2820),
    [anon_sym_void] = ACTIONS(2822),
    [anon_sym_delete] = ACTIONS(2822),
    [anon_sym_PLUS_PLUS] = ACTIONS(2820),
    [anon_sym_DASH_DASH] = ACTIONS(2820),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2820),
    [sym_number] = ACTIONS(2820),
    [sym_private_property_identifier] = ACTIONS(2820),
    [sym_this] = ACTIONS(2822),
    [sym_super] = ACTIONS(2822),
    [sym_true] = ACTIONS(2822),
    [sym_false] = ACTIONS(2822),
    [sym_null] = ACTIONS(2822),
    [sym_undefined] = ACTIONS(2822),
    [anon_sym_AT] = ACTIONS(2820),
    [anon_sym_static] = ACTIONS(2822),
    [anon_sym_readonly] = ACTIONS(2822),
    [anon_sym_get] = ACTIONS(2822),
    [anon_sym_set] = ACTIONS(2822),
    [anon_sym_declare] = ACTIONS(2822),
    [anon_sym_public] = ACTIONS(2822),
    [anon_sym_private] = ACTIONS(2822),
    [anon_sym_protected] = ACTIONS(2822),
    [anon_sym_override] = ACTIONS(2822),
    [anon_sym_module] = ACTIONS(2822),
    [anon_sym_any] = ACTIONS(2822),
    [anon_sym_number] = ACTIONS(2822),
    [anon_sym_boolean] = ACTIONS(2822),
    [anon_sym_string] = ACTIONS(2822),
    [anon_sym_symbol] = ACTIONS(2822),
    [anon_sym_object] = ACTIONS(2822),
    [anon_sym_abstract] = ACTIONS(2822),
    [anon_sym_interface] = ACTIONS(2822),
    [anon_sym_enum] = ACTIONS(2822),
    [sym_html_comment] = ACTIONS(5),
  },
  [890] = {
    [ts_builtin_sym_end] = ACTIONS(2824),
    [sym_identifier] = ACTIONS(2826),
    [anon_sym_export] = ACTIONS(2826),
    [anon_sym_default] = ACTIONS(2826),
    [anon_sym_type] = ACTIONS(2826),
    [anon_sym_namespace] = ACTIONS(2826),
    [anon_sym_LBRACE] = ACTIONS(2824),
    [anon_sym_RBRACE] = ACTIONS(2824),
    [anon_sym_typeof] = ACTIONS(2826),
    [anon_sym_import] = ACTIONS(2826),
    [anon_sym_with] = ACTIONS(2826),
    [anon_sym_var] = ACTIONS(2826),
    [anon_sym_let] = ACTIONS(2826),
    [anon_sym_const] = ACTIONS(2826),
    [anon_sym_BANG] = ACTIONS(2824),
    [anon_sym_else] = ACTIONS(2826),
    [anon_sym_if] = ACTIONS(2826),
    [anon_sym_switch] = ACTIONS(2826),
    [anon_sym_for] = ACTIONS(2826),
    [anon_sym_LPAREN] = ACTIONS(2824),
    [anon_sym_SEMI] = ACTIONS(2824),
    [anon_sym_await] = ACTIONS(2826),
    [anon_sym_while] = ACTIONS(2826),
    [anon_sym_do] = ACTIONS(2826),
    [anon_sym_try] = ACTIONS(2826),
    [anon_sym_break] = ACTIONS(2826),
    [anon_sym_continue] = ACTIONS(2826),
    [anon_sym_debugger] = ACTIONS(2826),
    [anon_sym_return] = ACTIONS(2826),
    [anon_sym_throw] = ACTIONS(2826),
    [anon_sym_case] = ACTIONS(2826),
    [anon_sym_yield] = ACTIONS(2826),
    [anon_sym_LBRACK] = ACTIONS(2824),
    [sym_glimmer_opening_tag] = ACTIONS(2824),
    [anon_sym_DQUOTE] = ACTIONS(2824),
    [anon_sym_SQUOTE] = ACTIONS(2824),
    [anon_sym_class] = ACTIONS(2826),
    [anon_sym_async] = ACTIONS(2826),
    [anon_sym_function] = ACTIONS(2826),
    [anon_sym_new] = ACTIONS(2826),
    [anon_sym_using] = ACTIONS(2826),
    [anon_sym_PLUS] = ACTIONS(2826),
    [anon_sym_DASH] = ACTIONS(2826),
    [anon_sym_SLASH] = ACTIONS(2826),
    [anon_sym_LT] = ACTIONS(2826),
    [anon_sym_TILDE] = ACTIONS(2824),
    [anon_sym_void] = ACTIONS(2826),
    [anon_sym_delete] = ACTIONS(2826),
    [anon_sym_PLUS_PLUS] = ACTIONS(2824),
    [anon_sym_DASH_DASH] = ACTIONS(2824),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2824),
    [sym_number] = ACTIONS(2824),
    [sym_private_property_identifier] = ACTIONS(2824),
    [sym_this] = ACTIONS(2826),
    [sym_super] = ACTIONS(2826),
    [sym_true] = ACTIONS(2826),
    [sym_false] = ACTIONS(2826),
    [sym_null] = ACTIONS(2826),
    [sym_undefined] = ACTIONS(2826),
    [anon_sym_AT] = ACTIONS(2824),
    [anon_sym_static] = ACTIONS(2826),
    [anon_sym_readonly] = ACTIONS(2826),
    [anon_sym_get] = ACTIONS(2826),
    [anon_sym_set] = ACTIONS(2826),
    [anon_sym_declare] = ACTIONS(2826),
    [anon_sym_public] = ACTIONS(2826),
    [anon_sym_private] = ACTIONS(2826),
    [anon_sym_protected] = ACTIONS(2826),
    [anon_sym_override] = ACTIONS(2826),
    [anon_sym_module] = ACTIONS(2826),
    [anon_sym_any] = ACTIONS(2826),
    [anon_sym_number] = ACTIONS(2826),
    [anon_sym_boolean] = ACTIONS(2826),
    [anon_sym_string] = ACTIONS(2826),
    [anon_sym_symbol] = ACTIONS(2826),
    [anon_sym_object] = ACTIONS(2826),
    [anon_sym_abstract] = ACTIONS(2826),
    [anon_sym_interface] = ACTIONS(2826),
    [anon_sym_enum] = ACTIONS(2826),
    [sym_html_comment] = ACTIONS(5),
  },
  [891] = {
    [ts_builtin_sym_end] = ACTIONS(2828),
    [sym_identifier] = ACTIONS(2830),
    [anon_sym_export] = ACTIONS(2830),
    [anon_sym_default] = ACTIONS(2830),
    [anon_sym_type] = ACTIONS(2830),
    [anon_sym_namespace] = ACTIONS(2830),
    [anon_sym_LBRACE] = ACTIONS(2828),
    [anon_sym_RBRACE] = ACTIONS(2828),
    [anon_sym_typeof] = ACTIONS(2830),
    [anon_sym_import] = ACTIONS(2830),
    [anon_sym_with] = ACTIONS(2830),
    [anon_sym_var] = ACTIONS(2830),
    [anon_sym_let] = ACTIONS(2830),
    [anon_sym_const] = ACTIONS(2830),
    [anon_sym_BANG] = ACTIONS(2828),
    [anon_sym_else] = ACTIONS(2830),
    [anon_sym_if] = ACTIONS(2830),
    [anon_sym_switch] = ACTIONS(2830),
    [anon_sym_for] = ACTIONS(2830),
    [anon_sym_LPAREN] = ACTIONS(2828),
    [anon_sym_SEMI] = ACTIONS(2828),
    [anon_sym_await] = ACTIONS(2830),
    [anon_sym_while] = ACTIONS(2830),
    [anon_sym_do] = ACTIONS(2830),
    [anon_sym_try] = ACTIONS(2830),
    [anon_sym_break] = ACTIONS(2830),
    [anon_sym_continue] = ACTIONS(2830),
    [anon_sym_debugger] = ACTIONS(2830),
    [anon_sym_return] = ACTIONS(2830),
    [anon_sym_throw] = ACTIONS(2830),
    [anon_sym_case] = ACTIONS(2830),
    [anon_sym_yield] = ACTIONS(2830),
    [anon_sym_LBRACK] = ACTIONS(2828),
    [sym_glimmer_opening_tag] = ACTIONS(2828),
    [anon_sym_DQUOTE] = ACTIONS(2828),
    [anon_sym_SQUOTE] = ACTIONS(2828),
    [anon_sym_class] = ACTIONS(2830),
    [anon_sym_async] = ACTIONS(2830),
    [anon_sym_function] = ACTIONS(2830),
    [anon_sym_new] = ACTIONS(2830),
    [anon_sym_using] = ACTIONS(2830),
    [anon_sym_PLUS] = ACTIONS(2830),
    [anon_sym_DASH] = ACTIONS(2830),
    [anon_sym_SLASH] = ACTIONS(2830),
    [anon_sym_LT] = ACTIONS(2830),
    [anon_sym_TILDE] = ACTIONS(2828),
    [anon_sym_void] = ACTIONS(2830),
    [anon_sym_delete] = ACTIONS(2830),
    [anon_sym_PLUS_PLUS] = ACTIONS(2828),
    [anon_sym_DASH_DASH] = ACTIONS(2828),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2828),
    [sym_number] = ACTIONS(2828),
    [sym_private_property_identifier] = ACTIONS(2828),
    [sym_this] = ACTIONS(2830),
    [sym_super] = ACTIONS(2830),
    [sym_true] = ACTIONS(2830),
    [sym_false] = ACTIONS(2830),
    [sym_null] = ACTIONS(2830),
    [sym_undefined] = ACTIONS(2830),
    [anon_sym_AT] = ACTIONS(2828),
    [anon_sym_static] = ACTIONS(2830),
    [anon_sym_readonly] = ACTIONS(2830),
    [anon_sym_get] = ACTIONS(2830),
    [anon_sym_set] = ACTIONS(2830),
    [anon_sym_declare] = ACTIONS(2830),
    [anon_sym_public] = ACTIONS(2830),
    [anon_sym_private] = ACTIONS(2830),
    [anon_sym_protected] = ACTIONS(2830),
    [anon_sym_override] = ACTIONS(2830),
    [anon_sym_module] = ACTIONS(2830),
    [anon_sym_any] = ACTIONS(2830),
    [anon_sym_number] = ACTIONS(2830),
    [anon_sym_boolean] = ACTIONS(2830),
    [anon_sym_string] = ACTIONS(2830),
    [anon_sym_symbol] = ACTIONS(2830),
    [anon_sym_object] = ACTIONS(2830),
    [anon_sym_abstract] = ACTIONS(2830),
    [anon_sym_interface] = ACTIONS(2830),
    [anon_sym_enum] = ACTIONS(2830),
    [sym_html_comment] = ACTIONS(5),
  },
  [892] = {
    [ts_builtin_sym_end] = ACTIONS(2820),
    [sym_identifier] = ACTIONS(2822),
    [anon_sym_export] = ACTIONS(2822),
    [anon_sym_default] = ACTIONS(2822),
    [anon_sym_type] = ACTIONS(2822),
    [anon_sym_namespace] = ACTIONS(2822),
    [anon_sym_LBRACE] = ACTIONS(2820),
    [anon_sym_RBRACE] = ACTIONS(2820),
    [anon_sym_typeof] = ACTIONS(2822),
    [anon_sym_import] = ACTIONS(2822),
    [anon_sym_with] = ACTIONS(2822),
    [anon_sym_var] = ACTIONS(2822),
    [anon_sym_let] = ACTIONS(2822),
    [anon_sym_const] = ACTIONS(2822),
    [anon_sym_BANG] = ACTIONS(2820),
    [anon_sym_else] = ACTIONS(2822),
    [anon_sym_if] = ACTIONS(2822),
    [anon_sym_switch] = ACTIONS(2822),
    [anon_sym_for] = ACTIONS(2822),
    [anon_sym_LPAREN] = ACTIONS(2820),
    [anon_sym_SEMI] = ACTIONS(2820),
    [anon_sym_await] = ACTIONS(2822),
    [anon_sym_while] = ACTIONS(2822),
    [anon_sym_do] = ACTIONS(2822),
    [anon_sym_try] = ACTIONS(2822),
    [anon_sym_break] = ACTIONS(2822),
    [anon_sym_continue] = ACTIONS(2822),
    [anon_sym_debugger] = ACTIONS(2822),
    [anon_sym_return] = ACTIONS(2822),
    [anon_sym_throw] = ACTIONS(2822),
    [anon_sym_case] = ACTIONS(2822),
    [anon_sym_yield] = ACTIONS(2822),
    [anon_sym_LBRACK] = ACTIONS(2820),
    [sym_glimmer_opening_tag] = ACTIONS(2820),
    [anon_sym_DQUOTE] = ACTIONS(2820),
    [anon_sym_SQUOTE] = ACTIONS(2820),
    [anon_sym_class] = ACTIONS(2822),
    [anon_sym_async] = ACTIONS(2822),
    [anon_sym_function] = ACTIONS(2822),
    [anon_sym_new] = ACTIONS(2822),
    [anon_sym_using] = ACTIONS(2822),
    [anon_sym_PLUS] = ACTIONS(2822),
    [anon_sym_DASH] = ACTIONS(2822),
    [anon_sym_SLASH] = ACTIONS(2822),
    [anon_sym_LT] = ACTIONS(2822),
    [anon_sym_TILDE] = ACTIONS(2820),
    [anon_sym_void] = ACTIONS(2822),
    [anon_sym_delete] = ACTIONS(2822),
    [anon_sym_PLUS_PLUS] = ACTIONS(2820),
    [anon_sym_DASH_DASH] = ACTIONS(2820),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2820),
    [sym_number] = ACTIONS(2820),
    [sym_private_property_identifier] = ACTIONS(2820),
    [sym_this] = ACTIONS(2822),
    [sym_super] = ACTIONS(2822),
    [sym_true] = ACTIONS(2822),
    [sym_false] = ACTIONS(2822),
    [sym_null] = ACTIONS(2822),
    [sym_undefined] = ACTIONS(2822),
    [anon_sym_AT] = ACTIONS(2820),
    [anon_sym_static] = ACTIONS(2822),
    [anon_sym_readonly] = ACTIONS(2822),
    [anon_sym_get] = ACTIONS(2822),
    [anon_sym_set] = ACTIONS(2822),
    [anon_sym_declare] = ACTIONS(2822),
    [anon_sym_public] = ACTIONS(2822),
    [anon_sym_private] = ACTIONS(2822),
    [anon_sym_protected] = ACTIONS(2822),
    [anon_sym_override] = ACTIONS(2822),
    [anon_sym_module] = ACTIONS(2822),
    [anon_sym_any] = ACTIONS(2822),
    [anon_sym_number] = ACTIONS(2822),
    [anon_sym_boolean] = ACTIONS(2822),
    [anon_sym_string] = ACTIONS(2822),
    [anon_sym_symbol] = ACTIONS(2822),
    [anon_sym_object] = ACTIONS(2822),
    [anon_sym_abstract] = ACTIONS(2822),
    [anon_sym_interface] = ACTIONS(2822),
    [anon_sym_enum] = ACTIONS(2822),
    [sym_html_comment] = ACTIONS(5),
  },
  [893] = {
    [ts_builtin_sym_end] = ACTIONS(2832),
    [sym_identifier] = ACTIONS(2834),
    [anon_sym_export] = ACTIONS(2834),
    [anon_sym_default] = ACTIONS(2834),
    [anon_sym_type] = ACTIONS(2834),
    [anon_sym_namespace] = ACTIONS(2834),
    [anon_sym_LBRACE] = ACTIONS(2832),
    [anon_sym_RBRACE] = ACTIONS(2832),
    [anon_sym_typeof] = ACTIONS(2834),
    [anon_sym_import] = ACTIONS(2834),
    [anon_sym_with] = ACTIONS(2834),
    [anon_sym_var] = ACTIONS(2834),
    [anon_sym_let] = ACTIONS(2834),
    [anon_sym_const] = ACTIONS(2834),
    [anon_sym_BANG] = ACTIONS(2832),
    [anon_sym_else] = ACTIONS(2834),
    [anon_sym_if] = ACTIONS(2834),
    [anon_sym_switch] = ACTIONS(2834),
    [anon_sym_for] = ACTIONS(2834),
    [anon_sym_LPAREN] = ACTIONS(2832),
    [anon_sym_SEMI] = ACTIONS(2832),
    [anon_sym_await] = ACTIONS(2834),
    [anon_sym_while] = ACTIONS(2834),
    [anon_sym_do] = ACTIONS(2834),
    [anon_sym_try] = ACTIONS(2834),
    [anon_sym_break] = ACTIONS(2834),
    [anon_sym_continue] = ACTIONS(2834),
    [anon_sym_debugger] = ACTIONS(2834),
    [anon_sym_return] = ACTIONS(2834),
    [anon_sym_throw] = ACTIONS(2834),
    [anon_sym_case] = ACTIONS(2834),
    [anon_sym_yield] = ACTIONS(2834),
    [anon_sym_LBRACK] = ACTIONS(2832),
    [sym_glimmer_opening_tag] = ACTIONS(2832),
    [anon_sym_DQUOTE] = ACTIONS(2832),
    [anon_sym_SQUOTE] = ACTIONS(2832),
    [anon_sym_class] = ACTIONS(2834),
    [anon_sym_async] = ACTIONS(2834),
    [anon_sym_function] = ACTIONS(2834),
    [anon_sym_new] = ACTIONS(2834),
    [anon_sym_using] = ACTIONS(2834),
    [anon_sym_PLUS] = ACTIONS(2834),
    [anon_sym_DASH] = ACTIONS(2834),
    [anon_sym_SLASH] = ACTIONS(2834),
    [anon_sym_LT] = ACTIONS(2834),
    [anon_sym_TILDE] = ACTIONS(2832),
    [anon_sym_void] = ACTIONS(2834),
    [anon_sym_delete] = ACTIONS(2834),
    [anon_sym_PLUS_PLUS] = ACTIONS(2832),
    [anon_sym_DASH_DASH] = ACTIONS(2832),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2832),
    [sym_number] = ACTIONS(2832),
    [sym_private_property_identifier] = ACTIONS(2832),
    [sym_this] = ACTIONS(2834),
    [sym_super] = ACTIONS(2834),
    [sym_true] = ACTIONS(2834),
    [sym_false] = ACTIONS(2834),
    [sym_null] = ACTIONS(2834),
    [sym_undefined] = ACTIONS(2834),
    [anon_sym_AT] = ACTIONS(2832),
    [anon_sym_static] = ACTIONS(2834),
    [anon_sym_readonly] = ACTIONS(2834),
    [anon_sym_get] = ACTIONS(2834),
    [anon_sym_set] = ACTIONS(2834),
    [anon_sym_declare] = ACTIONS(2834),
    [anon_sym_public] = ACTIONS(2834),
    [anon_sym_private] = ACTIONS(2834),
    [anon_sym_protected] = ACTIONS(2834),
    [anon_sym_override] = ACTIONS(2834),
    [anon_sym_module] = ACTIONS(2834),
    [anon_sym_any] = ACTIONS(2834),
    [anon_sym_number] = ACTIONS(2834),
    [anon_sym_boolean] = ACTIONS(2834),
    [anon_sym_string] = ACTIONS(2834),
    [anon_sym_symbol] = ACTIONS(2834),
    [anon_sym_object] = ACTIONS(2834),
    [anon_sym_abstract] = ACTIONS(2834),
    [anon_sym_interface] = ACTIONS(2834),
    [anon_sym_enum] = ACTIONS(2834),
    [sym_html_comment] = ACTIONS(5),
  },
  [894] = {
    [ts_builtin_sym_end] = ACTIONS(2836),
    [sym_identifier] = ACTIONS(2838),
    [anon_sym_export] = ACTIONS(2838),
    [anon_sym_default] = ACTIONS(2838),
    [anon_sym_type] = ACTIONS(2838),
    [anon_sym_namespace] = ACTIONS(2838),
    [anon_sym_LBRACE] = ACTIONS(2836),
    [anon_sym_RBRACE] = ACTIONS(2836),
    [anon_sym_typeof] = ACTIONS(2838),
    [anon_sym_import] = ACTIONS(2838),
    [anon_sym_with] = ACTIONS(2838),
    [anon_sym_var] = ACTIONS(2838),
    [anon_sym_let] = ACTIONS(2838),
    [anon_sym_const] = ACTIONS(2838),
    [anon_sym_BANG] = ACTIONS(2836),
    [anon_sym_else] = ACTIONS(2838),
    [anon_sym_if] = ACTIONS(2838),
    [anon_sym_switch] = ACTIONS(2838),
    [anon_sym_for] = ACTIONS(2838),
    [anon_sym_LPAREN] = ACTIONS(2836),
    [anon_sym_SEMI] = ACTIONS(2836),
    [anon_sym_await] = ACTIONS(2838),
    [anon_sym_while] = ACTIONS(2838),
    [anon_sym_do] = ACTIONS(2838),
    [anon_sym_try] = ACTIONS(2838),
    [anon_sym_break] = ACTIONS(2838),
    [anon_sym_continue] = ACTIONS(2838),
    [anon_sym_debugger] = ACTIONS(2838),
    [anon_sym_return] = ACTIONS(2838),
    [anon_sym_throw] = ACTIONS(2838),
    [anon_sym_case] = ACTIONS(2838),
    [anon_sym_yield] = ACTIONS(2838),
    [anon_sym_LBRACK] = ACTIONS(2836),
    [sym_glimmer_opening_tag] = ACTIONS(2836),
    [anon_sym_DQUOTE] = ACTIONS(2836),
    [anon_sym_SQUOTE] = ACTIONS(2836),
    [anon_sym_class] = ACTIONS(2838),
    [anon_sym_async] = ACTIONS(2838),
    [anon_sym_function] = ACTIONS(2838),
    [anon_sym_new] = ACTIONS(2838),
    [anon_sym_using] = ACTIONS(2838),
    [anon_sym_PLUS] = ACTIONS(2838),
    [anon_sym_DASH] = ACTIONS(2838),
    [anon_sym_SLASH] = ACTIONS(2838),
    [anon_sym_LT] = ACTIONS(2838),
    [anon_sym_TILDE] = ACTIONS(2836),
    [anon_sym_void] = ACTIONS(2838),
    [anon_sym_delete] = ACTIONS(2838),
    [anon_sym_PLUS_PLUS] = ACTIONS(2836),
    [anon_sym_DASH_DASH] = ACTIONS(2836),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2836),
    [sym_number] = ACTIONS(2836),
    [sym_private_property_identifier] = ACTIONS(2836),
    [sym_this] = ACTIONS(2838),
    [sym_super] = ACTIONS(2838),
    [sym_true] = ACTIONS(2838),
    [sym_false] = ACTIONS(2838),
    [sym_null] = ACTIONS(2838),
    [sym_undefined] = ACTIONS(2838),
    [anon_sym_AT] = ACTIONS(2836),
    [anon_sym_static] = ACTIONS(2838),
    [anon_sym_readonly] = ACTIONS(2838),
    [anon_sym_get] = ACTIONS(2838),
    [anon_sym_set] = ACTIONS(2838),
    [anon_sym_declare] = ACTIONS(2838),
    [anon_sym_public] = ACTIONS(2838),
    [anon_sym_private] = ACTIONS(2838),
    [anon_sym_protected] = ACTIONS(2838),
    [anon_sym_override] = ACTIONS(2838),
    [anon_sym_module] = ACTIONS(2838),
    [anon_sym_any] = ACTIONS(2838),
    [anon_sym_number] = ACTIONS(2838),
    [anon_sym_boolean] = ACTIONS(2838),
    [anon_sym_string] = ACTIONS(2838),
    [anon_sym_symbol] = ACTIONS(2838),
    [anon_sym_object] = ACTIONS(2838),
    [anon_sym_abstract] = ACTIONS(2838),
    [anon_sym_interface] = ACTIONS(2838),
    [anon_sym_enum] = ACTIONS(2838),
    [sym_html_comment] = ACTIONS(5),
  },
  [895] = {
    [ts_builtin_sym_end] = ACTIONS(2840),
    [sym_identifier] = ACTIONS(2842),
    [anon_sym_export] = ACTIONS(2842),
    [anon_sym_default] = ACTIONS(2842),
    [anon_sym_type] = ACTIONS(2842),
    [anon_sym_namespace] = ACTIONS(2842),
    [anon_sym_LBRACE] = ACTIONS(2840),
    [anon_sym_RBRACE] = ACTIONS(2840),
    [anon_sym_typeof] = ACTIONS(2842),
    [anon_sym_import] = ACTIONS(2842),
    [anon_sym_with] = ACTIONS(2842),
    [anon_sym_var] = ACTIONS(2842),
    [anon_sym_let] = ACTIONS(2842),
    [anon_sym_const] = ACTIONS(2842),
    [anon_sym_BANG] = ACTIONS(2840),
    [anon_sym_else] = ACTIONS(2842),
    [anon_sym_if] = ACTIONS(2842),
    [anon_sym_switch] = ACTIONS(2842),
    [anon_sym_for] = ACTIONS(2842),
    [anon_sym_LPAREN] = ACTIONS(2840),
    [anon_sym_SEMI] = ACTIONS(2840),
    [anon_sym_await] = ACTIONS(2842),
    [anon_sym_while] = ACTIONS(2842),
    [anon_sym_do] = ACTIONS(2842),
    [anon_sym_try] = ACTIONS(2842),
    [anon_sym_break] = ACTIONS(2842),
    [anon_sym_continue] = ACTIONS(2842),
    [anon_sym_debugger] = ACTIONS(2842),
    [anon_sym_return] = ACTIONS(2842),
    [anon_sym_throw] = ACTIONS(2842),
    [anon_sym_case] = ACTIONS(2842),
    [anon_sym_yield] = ACTIONS(2842),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_glimmer_opening_tag] = ACTIONS(2840),
    [anon_sym_DQUOTE] = ACTIONS(2840),
    [anon_sym_SQUOTE] = ACTIONS(2840),
    [anon_sym_class] = ACTIONS(2842),
    [anon_sym_async] = ACTIONS(2842),
    [anon_sym_function] = ACTIONS(2842),
    [anon_sym_new] = ACTIONS(2842),
    [anon_sym_using] = ACTIONS(2842),
    [anon_sym_PLUS] = ACTIONS(2842),
    [anon_sym_DASH] = ACTIONS(2842),
    [anon_sym_SLASH] = ACTIONS(2842),
    [anon_sym_LT] = ACTIONS(2842),
    [anon_sym_TILDE] = ACTIONS(2840),
    [anon_sym_void] = ACTIONS(2842),
    [anon_sym_delete] = ACTIONS(2842),
    [anon_sym_PLUS_PLUS] = ACTIONS(2840),
    [anon_sym_DASH_DASH] = ACTIONS(2840),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2840),
    [sym_number] = ACTIONS(2840),
    [sym_private_property_identifier] = ACTIONS(2840),
    [sym_this] = ACTIONS(2842),
    [sym_super] = ACTIONS(2842),
    [sym_true] = ACTIONS(2842),
    [sym_false] = ACTIONS(2842),
    [sym_null] = ACTIONS(2842),
    [sym_undefined] = ACTIONS(2842),
    [anon_sym_AT] = ACTIONS(2840),
    [anon_sym_static] = ACTIONS(2842),
    [anon_sym_readonly] = ACTIONS(2842),
    [anon_sym_get] = ACTIONS(2842),
    [anon_sym_set] = ACTIONS(2842),
    [anon_sym_declare] = ACTIONS(2842),
    [anon_sym_public] = ACTIONS(2842),
    [anon_sym_private] = ACTIONS(2842),
    [anon_sym_protected] = ACTIONS(2842),
    [anon_sym_override] = ACTIONS(2842),
    [anon_sym_module] = ACTIONS(2842),
    [anon_sym_any] = ACTIONS(2842),
    [anon_sym_number] = ACTIONS(2842),
    [anon_sym_boolean] = ACTIONS(2842),
    [anon_sym_string] = ACTIONS(2842),
    [anon_sym_symbol] = ACTIONS(2842),
    [anon_sym_object] = ACTIONS(2842),
    [anon_sym_abstract] = ACTIONS(2842),
    [anon_sym_interface] = ACTIONS(2842),
    [anon_sym_enum] = ACTIONS(2842),
    [sym_html_comment] = ACTIONS(5),
  },
  [896] = {
    [ts_builtin_sym_end] = ACTIONS(2844),
    [sym_identifier] = ACTIONS(2846),
    [anon_sym_export] = ACTIONS(2846),
    [anon_sym_default] = ACTIONS(2846),
    [anon_sym_type] = ACTIONS(2846),
    [anon_sym_namespace] = ACTIONS(2846),
    [anon_sym_LBRACE] = ACTIONS(2844),
    [anon_sym_RBRACE] = ACTIONS(2844),
    [anon_sym_typeof] = ACTIONS(2846),
    [anon_sym_import] = ACTIONS(2846),
    [anon_sym_with] = ACTIONS(2846),
    [anon_sym_var] = ACTIONS(2846),
    [anon_sym_let] = ACTIONS(2846),
    [anon_sym_const] = ACTIONS(2846),
    [anon_sym_BANG] = ACTIONS(2844),
    [anon_sym_else] = ACTIONS(2846),
    [anon_sym_if] = ACTIONS(2846),
    [anon_sym_switch] = ACTIONS(2846),
    [anon_sym_for] = ACTIONS(2846),
    [anon_sym_LPAREN] = ACTIONS(2844),
    [anon_sym_SEMI] = ACTIONS(2844),
    [anon_sym_await] = ACTIONS(2846),
    [anon_sym_while] = ACTIONS(2846),
    [anon_sym_do] = ACTIONS(2846),
    [anon_sym_try] = ACTIONS(2846),
    [anon_sym_break] = ACTIONS(2846),
    [anon_sym_continue] = ACTIONS(2846),
    [anon_sym_debugger] = ACTIONS(2846),
    [anon_sym_return] = ACTIONS(2846),
    [anon_sym_throw] = ACTIONS(2846),
    [anon_sym_case] = ACTIONS(2846),
    [anon_sym_yield] = ACTIONS(2846),
    [anon_sym_LBRACK] = ACTIONS(2844),
    [sym_glimmer_opening_tag] = ACTIONS(2844),
    [anon_sym_DQUOTE] = ACTIONS(2844),
    [anon_sym_SQUOTE] = ACTIONS(2844),
    [anon_sym_class] = ACTIONS(2846),
    [anon_sym_async] = ACTIONS(2846),
    [anon_sym_function] = ACTIONS(2846),
    [anon_sym_new] = ACTIONS(2846),
    [anon_sym_using] = ACTIONS(2846),
    [anon_sym_PLUS] = ACTIONS(2846),
    [anon_sym_DASH] = ACTIONS(2846),
    [anon_sym_SLASH] = ACTIONS(2846),
    [anon_sym_LT] = ACTIONS(2846),
    [anon_sym_TILDE] = ACTIONS(2844),
    [anon_sym_void] = ACTIONS(2846),
    [anon_sym_delete] = ACTIONS(2846),
    [anon_sym_PLUS_PLUS] = ACTIONS(2844),
    [anon_sym_DASH_DASH] = ACTIONS(2844),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2844),
    [sym_number] = ACTIONS(2844),
    [sym_private_property_identifier] = ACTIONS(2844),
    [sym_this] = ACTIONS(2846),
    [sym_super] = ACTIONS(2846),
    [sym_true] = ACTIONS(2846),
    [sym_false] = ACTIONS(2846),
    [sym_null] = ACTIONS(2846),
    [sym_undefined] = ACTIONS(2846),
    [anon_sym_AT] = ACTIONS(2844),
    [anon_sym_static] = ACTIONS(2846),
    [anon_sym_readonly] = ACTIONS(2846),
    [anon_sym_get] = ACTIONS(2846),
    [anon_sym_set] = ACTIONS(2846),
    [anon_sym_declare] = ACTIONS(2846),
    [anon_sym_public] = ACTIONS(2846),
    [anon_sym_private] = ACTIONS(2846),
    [anon_sym_protected] = ACTIONS(2846),
    [anon_sym_override] = ACTIONS(2846),
    [anon_sym_module] = ACTIONS(2846),
    [anon_sym_any] = ACTIONS(2846),
    [anon_sym_number] = ACTIONS(2846),
    [anon_sym_boolean] = ACTIONS(2846),
    [anon_sym_string] = ACTIONS(2846),
    [anon_sym_symbol] = ACTIONS(2846),
    [anon_sym_object] = ACTIONS(2846),
    [anon_sym_abstract] = ACTIONS(2846),
    [anon_sym_interface] = ACTIONS(2846),
    [anon_sym_enum] = ACTIONS(2846),
    [sym_html_comment] = ACTIONS(5),
  },
  [897] = {
    [ts_builtin_sym_end] = ACTIONS(2848),
    [sym_identifier] = ACTIONS(2850),
    [anon_sym_export] = ACTIONS(2850),
    [anon_sym_default] = ACTIONS(2850),
    [anon_sym_type] = ACTIONS(2850),
    [anon_sym_namespace] = ACTIONS(2850),
    [anon_sym_LBRACE] = ACTIONS(2848),
    [anon_sym_RBRACE] = ACTIONS(2848),
    [anon_sym_typeof] = ACTIONS(2850),
    [anon_sym_import] = ACTIONS(2850),
    [anon_sym_with] = ACTIONS(2850),
    [anon_sym_var] = ACTIONS(2850),
    [anon_sym_let] = ACTIONS(2850),
    [anon_sym_const] = ACTIONS(2850),
    [anon_sym_BANG] = ACTIONS(2848),
    [anon_sym_else] = ACTIONS(2850),
    [anon_sym_if] = ACTIONS(2850),
    [anon_sym_switch] = ACTIONS(2850),
    [anon_sym_for] = ACTIONS(2850),
    [anon_sym_LPAREN] = ACTIONS(2848),
    [anon_sym_SEMI] = ACTIONS(2848),
    [anon_sym_await] = ACTIONS(2850),
    [anon_sym_while] = ACTIONS(2850),
    [anon_sym_do] = ACTIONS(2850),
    [anon_sym_try] = ACTIONS(2850),
    [anon_sym_break] = ACTIONS(2850),
    [anon_sym_continue] = ACTIONS(2850),
    [anon_sym_debugger] = ACTIONS(2850),
    [anon_sym_return] = ACTIONS(2850),
    [anon_sym_throw] = ACTIONS(2850),
    [anon_sym_case] = ACTIONS(2850),
    [anon_sym_yield] = ACTIONS(2850),
    [anon_sym_LBRACK] = ACTIONS(2848),
    [sym_glimmer_opening_tag] = ACTIONS(2848),
    [anon_sym_DQUOTE] = ACTIONS(2848),
    [anon_sym_SQUOTE] = ACTIONS(2848),
    [anon_sym_class] = ACTIONS(2850),
    [anon_sym_async] = ACTIONS(2850),
    [anon_sym_function] = ACTIONS(2850),
    [anon_sym_new] = ACTIONS(2850),
    [anon_sym_using] = ACTIONS(2850),
    [anon_sym_PLUS] = ACTIONS(2850),
    [anon_sym_DASH] = ACTIONS(2850),
    [anon_sym_SLASH] = ACTIONS(2850),
    [anon_sym_LT] = ACTIONS(2850),
    [anon_sym_TILDE] = ACTIONS(2848),
    [anon_sym_void] = ACTIONS(2850),
    [anon_sym_delete] = ACTIONS(2850),
    [anon_sym_PLUS_PLUS] = ACTIONS(2848),
    [anon_sym_DASH_DASH] = ACTIONS(2848),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2848),
    [sym_number] = ACTIONS(2848),
    [sym_private_property_identifier] = ACTIONS(2848),
    [sym_this] = ACTIONS(2850),
    [sym_super] = ACTIONS(2850),
    [sym_true] = ACTIONS(2850),
    [sym_false] = ACTIONS(2850),
    [sym_null] = ACTIONS(2850),
    [sym_undefined] = ACTIONS(2850),
    [anon_sym_AT] = ACTIONS(2848),
    [anon_sym_static] = ACTIONS(2850),
    [anon_sym_readonly] = ACTIONS(2850),
    [anon_sym_get] = ACTIONS(2850),
    [anon_sym_set] = ACTIONS(2850),
    [anon_sym_declare] = ACTIONS(2850),
    [anon_sym_public] = ACTIONS(2850),
    [anon_sym_private] = ACTIONS(2850),
    [anon_sym_protected] = ACTIONS(2850),
    [anon_sym_override] = ACTIONS(2850),
    [anon_sym_module] = ACTIONS(2850),
    [anon_sym_any] = ACTIONS(2850),
    [anon_sym_number] = ACTIONS(2850),
    [anon_sym_boolean] = ACTIONS(2850),
    [anon_sym_string] = ACTIONS(2850),
    [anon_sym_symbol] = ACTIONS(2850),
    [anon_sym_object] = ACTIONS(2850),
    [anon_sym_abstract] = ACTIONS(2850),
    [anon_sym_interface] = ACTIONS(2850),
    [anon_sym_enum] = ACTIONS(2850),
    [sym_html_comment] = ACTIONS(5),
  },
  [898] = {
    [ts_builtin_sym_end] = ACTIONS(1861),
    [sym_identifier] = ACTIONS(1863),
    [anon_sym_export] = ACTIONS(1863),
    [anon_sym_default] = ACTIONS(1863),
    [anon_sym_type] = ACTIONS(1863),
    [anon_sym_namespace] = ACTIONS(1863),
    [anon_sym_LBRACE] = ACTIONS(1861),
    [anon_sym_RBRACE] = ACTIONS(1861),
    [anon_sym_typeof] = ACTIONS(1863),
    [anon_sym_import] = ACTIONS(1863),
    [anon_sym_with] = ACTIONS(1863),
    [anon_sym_var] = ACTIONS(1863),
    [anon_sym_let] = ACTIONS(1863),
    [anon_sym_const] = ACTIONS(1863),
    [anon_sym_BANG] = ACTIONS(1861),
    [anon_sym_else] = ACTIONS(1863),
    [anon_sym_if] = ACTIONS(1863),
    [anon_sym_switch] = ACTIONS(1863),
    [anon_sym_for] = ACTIONS(1863),
    [anon_sym_LPAREN] = ACTIONS(1861),
    [anon_sym_SEMI] = ACTIONS(1861),
    [anon_sym_await] = ACTIONS(1863),
    [anon_sym_while] = ACTIONS(1863),
    [anon_sym_do] = ACTIONS(1863),
    [anon_sym_try] = ACTIONS(1863),
    [anon_sym_break] = ACTIONS(1863),
    [anon_sym_continue] = ACTIONS(1863),
    [anon_sym_debugger] = ACTIONS(1863),
    [anon_sym_return] = ACTIONS(1863),
    [anon_sym_throw] = ACTIONS(1863),
    [anon_sym_case] = ACTIONS(1863),
    [anon_sym_yield] = ACTIONS(1863),
    [anon_sym_LBRACK] = ACTIONS(1861),
    [sym_glimmer_opening_tag] = ACTIONS(1861),
    [anon_sym_DQUOTE] = ACTIONS(1861),
    [anon_sym_SQUOTE] = ACTIONS(1861),
    [anon_sym_class] = ACTIONS(1863),
    [anon_sym_async] = ACTIONS(1863),
    [anon_sym_function] = ACTIONS(1863),
    [anon_sym_new] = ACTIONS(1863),
    [anon_sym_using] = ACTIONS(1863),
    [anon_sym_PLUS] = ACTIONS(1863),
    [anon_sym_DASH] = ACTIONS(1863),
    [anon_sym_SLASH] = ACTIONS(1863),
    [anon_sym_LT] = ACTIONS(1863),
    [anon_sym_TILDE] = ACTIONS(1861),
    [anon_sym_void] = ACTIONS(1863),
    [anon_sym_delete] = ACTIONS(1863),
    [anon_sym_PLUS_PLUS] = ACTIONS(1861),
    [anon_sym_DASH_DASH] = ACTIONS(1861),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1861),
    [sym_number] = ACTIONS(1861),
    [sym_private_property_identifier] = ACTIONS(1861),
    [sym_this] = ACTIONS(1863),
    [sym_super] = ACTIONS(1863),
    [sym_true] = ACTIONS(1863),
    [sym_false] = ACTIONS(1863),
    [sym_null] = ACTIONS(1863),
    [sym_undefined] = ACTIONS(1863),
    [anon_sym_AT] = ACTIONS(1861),
    [anon_sym_static] = ACTIONS(1863),
    [anon_sym_readonly] = ACTIONS(1863),
    [anon_sym_get] = ACTIONS(1863),
    [anon_sym_set] = ACTIONS(1863),
    [anon_sym_declare] = ACTIONS(1863),
    [anon_sym_public] = ACTIONS(1863),
    [anon_sym_private] = ACTIONS(1863),
    [anon_sym_protected] = ACTIONS(1863),
    [anon_sym_override] = ACTIONS(1863),
    [anon_sym_module] = ACTIONS(1863),
    [anon_sym_any] = ACTIONS(1863),
    [anon_sym_number] = ACTIONS(1863),
    [anon_sym_boolean] = ACTIONS(1863),
    [anon_sym_string] = ACTIONS(1863),
    [anon_sym_symbol] = ACTIONS(1863),
    [anon_sym_object] = ACTIONS(1863),
    [anon_sym_abstract] = ACTIONS(1863),
    [anon_sym_interface] = ACTIONS(1863),
    [anon_sym_enum] = ACTIONS(1863),
    [sym_html_comment] = ACTIONS(5),
  },
  [899] = {
    [ts_builtin_sym_end] = ACTIONS(2852),
    [sym_identifier] = ACTIONS(2854),
    [anon_sym_export] = ACTIONS(2854),
    [anon_sym_default] = ACTIONS(2854),
    [anon_sym_type] = ACTIONS(2854),
    [anon_sym_namespace] = ACTIONS(2854),
    [anon_sym_LBRACE] = ACTIONS(2852),
    [anon_sym_RBRACE] = ACTIONS(2852),
    [anon_sym_typeof] = ACTIONS(2854),
    [anon_sym_import] = ACTIONS(2854),
    [anon_sym_with] = ACTIONS(2854),
    [anon_sym_var] = ACTIONS(2854),
    [anon_sym_let] = ACTIONS(2854),
    [anon_sym_const] = ACTIONS(2854),
    [anon_sym_BANG] = ACTIONS(2852),
    [anon_sym_else] = ACTIONS(2854),
    [anon_sym_if] = ACTIONS(2854),
    [anon_sym_switch] = ACTIONS(2854),
    [anon_sym_for] = ACTIONS(2854),
    [anon_sym_LPAREN] = ACTIONS(2852),
    [anon_sym_SEMI] = ACTIONS(2852),
    [anon_sym_await] = ACTIONS(2854),
    [anon_sym_while] = ACTIONS(2854),
    [anon_sym_do] = ACTIONS(2854),
    [anon_sym_try] = ACTIONS(2854),
    [anon_sym_break] = ACTIONS(2854),
    [anon_sym_continue] = ACTIONS(2854),
    [anon_sym_debugger] = ACTIONS(2854),
    [anon_sym_return] = ACTIONS(2854),
    [anon_sym_throw] = ACTIONS(2854),
    [anon_sym_case] = ACTIONS(2854),
    [anon_sym_yield] = ACTIONS(2854),
    [anon_sym_LBRACK] = ACTIONS(2852),
    [sym_glimmer_opening_tag] = ACTIONS(2852),
    [anon_sym_DQUOTE] = ACTIONS(2852),
    [anon_sym_SQUOTE] = ACTIONS(2852),
    [anon_sym_class] = ACTIONS(2854),
    [anon_sym_async] = ACTIONS(2854),
    [anon_sym_function] = ACTIONS(2854),
    [anon_sym_new] = ACTIONS(2854),
    [anon_sym_using] = ACTIONS(2854),
    [anon_sym_PLUS] = ACTIONS(2854),
    [anon_sym_DASH] = ACTIONS(2854),
    [anon_sym_SLASH] = ACTIONS(2854),
    [anon_sym_LT] = ACTIONS(2854),
    [anon_sym_TILDE] = ACTIONS(2852),
    [anon_sym_void] = ACTIONS(2854),
    [anon_sym_delete] = ACTIONS(2854),
    [anon_sym_PLUS_PLUS] = ACTIONS(2852),
    [anon_sym_DASH_DASH] = ACTIONS(2852),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2852),
    [sym_number] = ACTIONS(2852),
    [sym_private_property_identifier] = ACTIONS(2852),
    [sym_this] = ACTIONS(2854),
    [sym_super] = ACTIONS(2854),
    [sym_true] = ACTIONS(2854),
    [sym_false] = ACTIONS(2854),
    [sym_null] = ACTIONS(2854),
    [sym_undefined] = ACTIONS(2854),
    [anon_sym_AT] = ACTIONS(2852),
    [anon_sym_static] = ACTIONS(2854),
    [anon_sym_readonly] = ACTIONS(2854),
    [anon_sym_get] = ACTIONS(2854),
    [anon_sym_set] = ACTIONS(2854),
    [anon_sym_declare] = ACTIONS(2854),
    [anon_sym_public] = ACTIONS(2854),
    [anon_sym_private] = ACTIONS(2854),
    [anon_sym_protected] = ACTIONS(2854),
    [anon_sym_override] = ACTIONS(2854),
    [anon_sym_module] = ACTIONS(2854),
    [anon_sym_any] = ACTIONS(2854),
    [anon_sym_number] = ACTIONS(2854),
    [anon_sym_boolean] = ACTIONS(2854),
    [anon_sym_string] = ACTIONS(2854),
    [anon_sym_symbol] = ACTIONS(2854),
    [anon_sym_object] = ACTIONS(2854),
    [anon_sym_abstract] = ACTIONS(2854),
    [anon_sym_interface] = ACTIONS(2854),
    [anon_sym_enum] = ACTIONS(2854),
    [sym_html_comment] = ACTIONS(5),
  },
  [900] = {
    [ts_builtin_sym_end] = ACTIONS(2856),
    [sym_identifier] = ACTIONS(2858),
    [anon_sym_export] = ACTIONS(2858),
    [anon_sym_default] = ACTIONS(2858),
    [anon_sym_type] = ACTIONS(2858),
    [anon_sym_namespace] = ACTIONS(2858),
    [anon_sym_LBRACE] = ACTIONS(2856),
    [anon_sym_RBRACE] = ACTIONS(2856),
    [anon_sym_typeof] = ACTIONS(2858),
    [anon_sym_import] = ACTIONS(2858),
    [anon_sym_with] = ACTIONS(2858),
    [anon_sym_var] = ACTIONS(2858),
    [anon_sym_let] = ACTIONS(2858),
    [anon_sym_const] = ACTIONS(2858),
    [anon_sym_BANG] = ACTIONS(2856),
    [anon_sym_else] = ACTIONS(2858),
    [anon_sym_if] = ACTIONS(2858),
    [anon_sym_switch] = ACTIONS(2858),
    [anon_sym_for] = ACTIONS(2858),
    [anon_sym_LPAREN] = ACTIONS(2856),
    [anon_sym_SEMI] = ACTIONS(2856),
    [anon_sym_await] = ACTIONS(2858),
    [anon_sym_while] = ACTIONS(2858),
    [anon_sym_do] = ACTIONS(2858),
    [anon_sym_try] = ACTIONS(2858),
    [anon_sym_break] = ACTIONS(2858),
    [anon_sym_continue] = ACTIONS(2858),
    [anon_sym_debugger] = ACTIONS(2858),
    [anon_sym_return] = ACTIONS(2858),
    [anon_sym_throw] = ACTIONS(2858),
    [anon_sym_case] = ACTIONS(2858),
    [anon_sym_yield] = ACTIONS(2858),
    [anon_sym_LBRACK] = ACTIONS(2856),
    [sym_glimmer_opening_tag] = ACTIONS(2856),
    [anon_sym_DQUOTE] = ACTIONS(2856),
    [anon_sym_SQUOTE] = ACTIONS(2856),
    [anon_sym_class] = ACTIONS(2858),
    [anon_sym_async] = ACTIONS(2858),
    [anon_sym_function] = ACTIONS(2858),
    [anon_sym_new] = ACTIONS(2858),
    [anon_sym_using] = ACTIONS(2858),
    [anon_sym_PLUS] = ACTIONS(2858),
    [anon_sym_DASH] = ACTIONS(2858),
    [anon_sym_SLASH] = ACTIONS(2858),
    [anon_sym_LT] = ACTIONS(2858),
    [anon_sym_TILDE] = ACTIONS(2856),
    [anon_sym_void] = ACTIONS(2858),
    [anon_sym_delete] = ACTIONS(2858),
    [anon_sym_PLUS_PLUS] = ACTIONS(2856),
    [anon_sym_DASH_DASH] = ACTIONS(2856),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2856),
    [sym_number] = ACTIONS(2856),
    [sym_private_property_identifier] = ACTIONS(2856),
    [sym_this] = ACTIONS(2858),
    [sym_super] = ACTIONS(2858),
    [sym_true] = ACTIONS(2858),
    [sym_false] = ACTIONS(2858),
    [sym_null] = ACTIONS(2858),
    [sym_undefined] = ACTIONS(2858),
    [anon_sym_AT] = ACTIONS(2856),
    [anon_sym_static] = ACTIONS(2858),
    [anon_sym_readonly] = ACTIONS(2858),
    [anon_sym_get] = ACTIONS(2858),
    [anon_sym_set] = ACTIONS(2858),
    [anon_sym_declare] = ACTIONS(2858),
    [anon_sym_public] = ACTIONS(2858),
    [anon_sym_private] = ACTIONS(2858),
    [anon_sym_protected] = ACTIONS(2858),
    [anon_sym_override] = ACTIONS(2858),
    [anon_sym_module] = ACTIONS(2858),
    [anon_sym_any] = ACTIONS(2858),
    [anon_sym_number] = ACTIONS(2858),
    [anon_sym_boolean] = ACTIONS(2858),
    [anon_sym_string] = ACTIONS(2858),
    [anon_sym_symbol] = ACTIONS(2858),
    [anon_sym_object] = ACTIONS(2858),
    [anon_sym_abstract] = ACTIONS(2858),
    [anon_sym_interface] = ACTIONS(2858),
    [anon_sym_enum] = ACTIONS(2858),
    [sym_html_comment] = ACTIONS(5),
  },
  [901] = {
    [ts_builtin_sym_end] = ACTIONS(2856),
    [sym_identifier] = ACTIONS(2858),
    [anon_sym_export] = ACTIONS(2858),
    [anon_sym_default] = ACTIONS(2858),
    [anon_sym_type] = ACTIONS(2858),
    [anon_sym_namespace] = ACTIONS(2858),
    [anon_sym_LBRACE] = ACTIONS(2856),
    [anon_sym_RBRACE] = ACTIONS(2856),
    [anon_sym_typeof] = ACTIONS(2858),
    [anon_sym_import] = ACTIONS(2858),
    [anon_sym_with] = ACTIONS(2858),
    [anon_sym_var] = ACTIONS(2858),
    [anon_sym_let] = ACTIONS(2858),
    [anon_sym_const] = ACTIONS(2858),
    [anon_sym_BANG] = ACTIONS(2856),
    [anon_sym_else] = ACTIONS(2858),
    [anon_sym_if] = ACTIONS(2858),
    [anon_sym_switch] = ACTIONS(2858),
    [anon_sym_for] = ACTIONS(2858),
    [anon_sym_LPAREN] = ACTIONS(2856),
    [anon_sym_SEMI] = ACTIONS(2856),
    [anon_sym_await] = ACTIONS(2858),
    [anon_sym_while] = ACTIONS(2858),
    [anon_sym_do] = ACTIONS(2858),
    [anon_sym_try] = ACTIONS(2858),
    [anon_sym_break] = ACTIONS(2858),
    [anon_sym_continue] = ACTIONS(2858),
    [anon_sym_debugger] = ACTIONS(2858),
    [anon_sym_return] = ACTIONS(2858),
    [anon_sym_throw] = ACTIONS(2858),
    [anon_sym_case] = ACTIONS(2858),
    [anon_sym_yield] = ACTIONS(2858),
    [anon_sym_LBRACK] = ACTIONS(2856),
    [sym_glimmer_opening_tag] = ACTIONS(2856),
    [anon_sym_DQUOTE] = ACTIONS(2856),
    [anon_sym_SQUOTE] = ACTIONS(2856),
    [anon_sym_class] = ACTIONS(2858),
    [anon_sym_async] = ACTIONS(2858),
    [anon_sym_function] = ACTIONS(2858),
    [anon_sym_new] = ACTIONS(2858),
    [anon_sym_using] = ACTIONS(2858),
    [anon_sym_PLUS] = ACTIONS(2858),
    [anon_sym_DASH] = ACTIONS(2858),
    [anon_sym_SLASH] = ACTIONS(2858),
    [anon_sym_LT] = ACTIONS(2858),
    [anon_sym_TILDE] = ACTIONS(2856),
    [anon_sym_void] = ACTIONS(2858),
    [anon_sym_delete] = ACTIONS(2858),
    [anon_sym_PLUS_PLUS] = ACTIONS(2856),
    [anon_sym_DASH_DASH] = ACTIONS(2856),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2856),
    [sym_number] = ACTIONS(2856),
    [sym_private_property_identifier] = ACTIONS(2856),
    [sym_this] = ACTIONS(2858),
    [sym_super] = ACTIONS(2858),
    [sym_true] = ACTIONS(2858),
    [sym_false] = ACTIONS(2858),
    [sym_null] = ACTIONS(2858),
    [sym_undefined] = ACTIONS(2858),
    [anon_sym_AT] = ACTIONS(2856),
    [anon_sym_static] = ACTIONS(2858),
    [anon_sym_readonly] = ACTIONS(2858),
    [anon_sym_get] = ACTIONS(2858),
    [anon_sym_set] = ACTIONS(2858),
    [anon_sym_declare] = ACTIONS(2858),
    [anon_sym_public] = ACTIONS(2858),
    [anon_sym_private] = ACTIONS(2858),
    [anon_sym_protected] = ACTIONS(2858),
    [anon_sym_override] = ACTIONS(2858),
    [anon_sym_module] = ACTIONS(2858),
    [anon_sym_any] = ACTIONS(2858),
    [anon_sym_number] = ACTIONS(2858),
    [anon_sym_boolean] = ACTIONS(2858),
    [anon_sym_string] = ACTIONS(2858),
    [anon_sym_symbol] = ACTIONS(2858),
    [anon_sym_object] = ACTIONS(2858),
    [anon_sym_abstract] = ACTIONS(2858),
    [anon_sym_interface] = ACTIONS(2858),
    [anon_sym_enum] = ACTIONS(2858),
    [sym_html_comment] = ACTIONS(5),
  },
  [902] = {
    [ts_builtin_sym_end] = ACTIONS(2856),
    [sym_identifier] = ACTIONS(2858),
    [anon_sym_export] = ACTIONS(2858),
    [anon_sym_default] = ACTIONS(2858),
    [anon_sym_type] = ACTIONS(2858),
    [anon_sym_namespace] = ACTIONS(2858),
    [anon_sym_LBRACE] = ACTIONS(2856),
    [anon_sym_RBRACE] = ACTIONS(2856),
    [anon_sym_typeof] = ACTIONS(2858),
    [anon_sym_import] = ACTIONS(2858),
    [anon_sym_with] = ACTIONS(2858),
    [anon_sym_var] = ACTIONS(2858),
    [anon_sym_let] = ACTIONS(2858),
    [anon_sym_const] = ACTIONS(2858),
    [anon_sym_BANG] = ACTIONS(2856),
    [anon_sym_else] = ACTIONS(2858),
    [anon_sym_if] = ACTIONS(2858),
    [anon_sym_switch] = ACTIONS(2858),
    [anon_sym_for] = ACTIONS(2858),
    [anon_sym_LPAREN] = ACTIONS(2856),
    [anon_sym_SEMI] = ACTIONS(2856),
    [anon_sym_await] = ACTIONS(2858),
    [anon_sym_while] = ACTIONS(2858),
    [anon_sym_do] = ACTIONS(2858),
    [anon_sym_try] = ACTIONS(2858),
    [anon_sym_break] = ACTIONS(2858),
    [anon_sym_continue] = ACTIONS(2858),
    [anon_sym_debugger] = ACTIONS(2858),
    [anon_sym_return] = ACTIONS(2858),
    [anon_sym_throw] = ACTIONS(2858),
    [anon_sym_case] = ACTIONS(2858),
    [anon_sym_yield] = ACTIONS(2858),
    [anon_sym_LBRACK] = ACTIONS(2856),
    [sym_glimmer_opening_tag] = ACTIONS(2856),
    [anon_sym_DQUOTE] = ACTIONS(2856),
    [anon_sym_SQUOTE] = ACTIONS(2856),
    [anon_sym_class] = ACTIONS(2858),
    [anon_sym_async] = ACTIONS(2858),
    [anon_sym_function] = ACTIONS(2858),
    [anon_sym_new] = ACTIONS(2858),
    [anon_sym_using] = ACTIONS(2858),
    [anon_sym_PLUS] = ACTIONS(2858),
    [anon_sym_DASH] = ACTIONS(2858),
    [anon_sym_SLASH] = ACTIONS(2858),
    [anon_sym_LT] = ACTIONS(2858),
    [anon_sym_TILDE] = ACTIONS(2856),
    [anon_sym_void] = ACTIONS(2858),
    [anon_sym_delete] = ACTIONS(2858),
    [anon_sym_PLUS_PLUS] = ACTIONS(2856),
    [anon_sym_DASH_DASH] = ACTIONS(2856),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2856),
    [sym_number] = ACTIONS(2856),
    [sym_private_property_identifier] = ACTIONS(2856),
    [sym_this] = ACTIONS(2858),
    [sym_super] = ACTIONS(2858),
    [sym_true] = ACTIONS(2858),
    [sym_false] = ACTIONS(2858),
    [sym_null] = ACTIONS(2858),
    [sym_undefined] = ACTIONS(2858),
    [anon_sym_AT] = ACTIONS(2856),
    [anon_sym_static] = ACTIONS(2858),
    [anon_sym_readonly] = ACTIONS(2858),
    [anon_sym_get] = ACTIONS(2858),
    [anon_sym_set] = ACTIONS(2858),
    [anon_sym_declare] = ACTIONS(2858),
    [anon_sym_public] = ACTIONS(2858),
    [anon_sym_private] = ACTIONS(2858),
    [anon_sym_protected] = ACTIONS(2858),
    [anon_sym_override] = ACTIONS(2858),
    [anon_sym_module] = ACTIONS(2858),
    [anon_sym_any] = ACTIONS(2858),
    [anon_sym_number] = ACTIONS(2858),
    [anon_sym_boolean] = ACTIONS(2858),
    [anon_sym_string] = ACTIONS(2858),
    [anon_sym_symbol] = ACTIONS(2858),
    [anon_sym_object] = ACTIONS(2858),
    [anon_sym_abstract] = ACTIONS(2858),
    [anon_sym_interface] = ACTIONS(2858),
    [anon_sym_enum] = ACTIONS(2858),
    [sym_html_comment] = ACTIONS(5),
  },
  [903] = {
    [ts_builtin_sym_end] = ACTIONS(2860),
    [sym_identifier] = ACTIONS(2862),
    [anon_sym_export] = ACTIONS(2862),
    [anon_sym_default] = ACTIONS(2862),
    [anon_sym_type] = ACTIONS(2862),
    [anon_sym_namespace] = ACTIONS(2862),
    [anon_sym_LBRACE] = ACTIONS(2860),
    [anon_sym_RBRACE] = ACTIONS(2860),
    [anon_sym_typeof] = ACTIONS(2862),
    [anon_sym_import] = ACTIONS(2862),
    [anon_sym_with] = ACTIONS(2862),
    [anon_sym_var] = ACTIONS(2862),
    [anon_sym_let] = ACTIONS(2862),
    [anon_sym_const] = ACTIONS(2862),
    [anon_sym_BANG] = ACTIONS(2860),
    [anon_sym_else] = ACTIONS(2862),
    [anon_sym_if] = ACTIONS(2862),
    [anon_sym_switch] = ACTIONS(2862),
    [anon_sym_for] = ACTIONS(2862),
    [anon_sym_LPAREN] = ACTIONS(2860),
    [anon_sym_SEMI] = ACTIONS(2860),
    [anon_sym_await] = ACTIONS(2862),
    [anon_sym_while] = ACTIONS(2862),
    [anon_sym_do] = ACTIONS(2862),
    [anon_sym_try] = ACTIONS(2862),
    [anon_sym_break] = ACTIONS(2862),
    [anon_sym_continue] = ACTIONS(2862),
    [anon_sym_debugger] = ACTIONS(2862),
    [anon_sym_return] = ACTIONS(2862),
    [anon_sym_throw] = ACTIONS(2862),
    [anon_sym_case] = ACTIONS(2862),
    [anon_sym_yield] = ACTIONS(2862),
    [anon_sym_LBRACK] = ACTIONS(2860),
    [sym_glimmer_opening_tag] = ACTIONS(2860),
    [anon_sym_DQUOTE] = ACTIONS(2860),
    [anon_sym_SQUOTE] = ACTIONS(2860),
    [anon_sym_class] = ACTIONS(2862),
    [anon_sym_async] = ACTIONS(2862),
    [anon_sym_function] = ACTIONS(2862),
    [anon_sym_new] = ACTIONS(2862),
    [anon_sym_using] = ACTIONS(2862),
    [anon_sym_PLUS] = ACTIONS(2862),
    [anon_sym_DASH] = ACTIONS(2862),
    [anon_sym_SLASH] = ACTIONS(2862),
    [anon_sym_LT] = ACTIONS(2862),
    [anon_sym_TILDE] = ACTIONS(2860),
    [anon_sym_void] = ACTIONS(2862),
    [anon_sym_delete] = ACTIONS(2862),
    [anon_sym_PLUS_PLUS] = ACTIONS(2860),
    [anon_sym_DASH_DASH] = ACTIONS(2860),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2860),
    [sym_number] = ACTIONS(2860),
    [sym_private_property_identifier] = ACTIONS(2860),
    [sym_this] = ACTIONS(2862),
    [sym_super] = ACTIONS(2862),
    [sym_true] = ACTIONS(2862),
    [sym_false] = ACTIONS(2862),
    [sym_null] = ACTIONS(2862),
    [sym_undefined] = ACTIONS(2862),
    [anon_sym_AT] = ACTIONS(2860),
    [anon_sym_static] = ACTIONS(2862),
    [anon_sym_readonly] = ACTIONS(2862),
    [anon_sym_get] = ACTIONS(2862),
    [anon_sym_set] = ACTIONS(2862),
    [anon_sym_declare] = ACTIONS(2862),
    [anon_sym_public] = ACTIONS(2862),
    [anon_sym_private] = ACTIONS(2862),
    [anon_sym_protected] = ACTIONS(2862),
    [anon_sym_override] = ACTIONS(2862),
    [anon_sym_module] = ACTIONS(2862),
    [anon_sym_any] = ACTIONS(2862),
    [anon_sym_number] = ACTIONS(2862),
    [anon_sym_boolean] = ACTIONS(2862),
    [anon_sym_string] = ACTIONS(2862),
    [anon_sym_symbol] = ACTIONS(2862),
    [anon_sym_object] = ACTIONS(2862),
    [anon_sym_abstract] = ACTIONS(2862),
    [anon_sym_interface] = ACTIONS(2862),
    [anon_sym_enum] = ACTIONS(2862),
    [sym_html_comment] = ACTIONS(5),
  },
  [904] = {
    [ts_builtin_sym_end] = ACTIONS(2864),
    [sym_identifier] = ACTIONS(2866),
    [anon_sym_export] = ACTIONS(2866),
    [anon_sym_default] = ACTIONS(2866),
    [anon_sym_type] = ACTIONS(2866),
    [anon_sym_namespace] = ACTIONS(2866),
    [anon_sym_LBRACE] = ACTIONS(2864),
    [anon_sym_RBRACE] = ACTIONS(2864),
    [anon_sym_typeof] = ACTIONS(2866),
    [anon_sym_import] = ACTIONS(2866),
    [anon_sym_with] = ACTIONS(2866),
    [anon_sym_var] = ACTIONS(2866),
    [anon_sym_let] = ACTIONS(2866),
    [anon_sym_const] = ACTIONS(2866),
    [anon_sym_BANG] = ACTIONS(2864),
    [anon_sym_else] = ACTIONS(2866),
    [anon_sym_if] = ACTIONS(2866),
    [anon_sym_switch] = ACTIONS(2866),
    [anon_sym_for] = ACTIONS(2866),
    [anon_sym_LPAREN] = ACTIONS(2864),
    [anon_sym_SEMI] = ACTIONS(2864),
    [anon_sym_await] = ACTIONS(2866),
    [anon_sym_while] = ACTIONS(2866),
    [anon_sym_do] = ACTIONS(2866),
    [anon_sym_try] = ACTIONS(2866),
    [anon_sym_break] = ACTIONS(2866),
    [anon_sym_continue] = ACTIONS(2866),
    [anon_sym_debugger] = ACTIONS(2866),
    [anon_sym_return] = ACTIONS(2866),
    [anon_sym_throw] = ACTIONS(2866),
    [anon_sym_case] = ACTIONS(2866),
    [anon_sym_yield] = ACTIONS(2866),
    [anon_sym_LBRACK] = ACTIONS(2864),
    [sym_glimmer_opening_tag] = ACTIONS(2864),
    [anon_sym_DQUOTE] = ACTIONS(2864),
    [anon_sym_SQUOTE] = ACTIONS(2864),
    [anon_sym_class] = ACTIONS(2866),
    [anon_sym_async] = ACTIONS(2866),
    [anon_sym_function] = ACTIONS(2866),
    [anon_sym_new] = ACTIONS(2866),
    [anon_sym_using] = ACTIONS(2866),
    [anon_sym_PLUS] = ACTIONS(2866),
    [anon_sym_DASH] = ACTIONS(2866),
    [anon_sym_SLASH] = ACTIONS(2866),
    [anon_sym_LT] = ACTIONS(2866),
    [anon_sym_TILDE] = ACTIONS(2864),
    [anon_sym_void] = ACTIONS(2866),
    [anon_sym_delete] = ACTIONS(2866),
    [anon_sym_PLUS_PLUS] = ACTIONS(2864),
    [anon_sym_DASH_DASH] = ACTIONS(2864),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2864),
    [sym_number] = ACTIONS(2864),
    [sym_private_property_identifier] = ACTIONS(2864),
    [sym_this] = ACTIONS(2866),
    [sym_super] = ACTIONS(2866),
    [sym_true] = ACTIONS(2866),
    [sym_false] = ACTIONS(2866),
    [sym_null] = ACTIONS(2866),
    [sym_undefined] = ACTIONS(2866),
    [anon_sym_AT] = ACTIONS(2864),
    [anon_sym_static] = ACTIONS(2866),
    [anon_sym_readonly] = ACTIONS(2866),
    [anon_sym_get] = ACTIONS(2866),
    [anon_sym_set] = ACTIONS(2866),
    [anon_sym_declare] = ACTIONS(2866),
    [anon_sym_public] = ACTIONS(2866),
    [anon_sym_private] = ACTIONS(2866),
    [anon_sym_protected] = ACTIONS(2866),
    [anon_sym_override] = ACTIONS(2866),
    [anon_sym_module] = ACTIONS(2866),
    [anon_sym_any] = ACTIONS(2866),
    [anon_sym_number] = ACTIONS(2866),
    [anon_sym_boolean] = ACTIONS(2866),
    [anon_sym_string] = ACTIONS(2866),
    [anon_sym_symbol] = ACTIONS(2866),
    [anon_sym_object] = ACTIONS(2866),
    [anon_sym_abstract] = ACTIONS(2866),
    [anon_sym_interface] = ACTIONS(2866),
    [anon_sym_enum] = ACTIONS(2866),
    [sym_html_comment] = ACTIONS(5),
  },
  [905] = {
    [ts_builtin_sym_end] = ACTIONS(2868),
    [sym_identifier] = ACTIONS(2870),
    [anon_sym_export] = ACTIONS(2870),
    [anon_sym_default] = ACTIONS(2870),
    [anon_sym_type] = ACTIONS(2870),
    [anon_sym_namespace] = ACTIONS(2870),
    [anon_sym_LBRACE] = ACTIONS(2868),
    [anon_sym_RBRACE] = ACTIONS(2868),
    [anon_sym_typeof] = ACTIONS(2870),
    [anon_sym_import] = ACTIONS(2870),
    [anon_sym_with] = ACTIONS(2870),
    [anon_sym_var] = ACTIONS(2870),
    [anon_sym_let] = ACTIONS(2870),
    [anon_sym_const] = ACTIONS(2870),
    [anon_sym_BANG] = ACTIONS(2868),
    [anon_sym_else] = ACTIONS(2870),
    [anon_sym_if] = ACTIONS(2870),
    [anon_sym_switch] = ACTIONS(2870),
    [anon_sym_for] = ACTIONS(2870),
    [anon_sym_LPAREN] = ACTIONS(2868),
    [anon_sym_SEMI] = ACTIONS(2868),
    [anon_sym_await] = ACTIONS(2870),
    [anon_sym_while] = ACTIONS(2870),
    [anon_sym_do] = ACTIONS(2870),
    [anon_sym_try] = ACTIONS(2870),
    [anon_sym_break] = ACTIONS(2870),
    [anon_sym_continue] = ACTIONS(2870),
    [anon_sym_debugger] = ACTIONS(2870),
    [anon_sym_return] = ACTIONS(2870),
    [anon_sym_throw] = ACTIONS(2870),
    [anon_sym_case] = ACTIONS(2870),
    [anon_sym_yield] = ACTIONS(2870),
    [anon_sym_LBRACK] = ACTIONS(2868),
    [sym_glimmer_opening_tag] = ACTIONS(2868),
    [anon_sym_DQUOTE] = ACTIONS(2868),
    [anon_sym_SQUOTE] = ACTIONS(2868),
    [anon_sym_class] = ACTIONS(2870),
    [anon_sym_async] = ACTIONS(2870),
    [anon_sym_function] = ACTIONS(2870),
    [anon_sym_new] = ACTIONS(2870),
    [anon_sym_using] = ACTIONS(2870),
    [anon_sym_PLUS] = ACTIONS(2870),
    [anon_sym_DASH] = ACTIONS(2870),
    [anon_sym_SLASH] = ACTIONS(2870),
    [anon_sym_LT] = ACTIONS(2870),
    [anon_sym_TILDE] = ACTIONS(2868),
    [anon_sym_void] = ACTIONS(2870),
    [anon_sym_delete] = ACTIONS(2870),
    [anon_sym_PLUS_PLUS] = ACTIONS(2868),
    [anon_sym_DASH_DASH] = ACTIONS(2868),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2868),
    [sym_number] = ACTIONS(2868),
    [sym_private_property_identifier] = ACTIONS(2868),
    [sym_this] = ACTIONS(2870),
    [sym_super] = ACTIONS(2870),
    [sym_true] = ACTIONS(2870),
    [sym_false] = ACTIONS(2870),
    [sym_null] = ACTIONS(2870),
    [sym_undefined] = ACTIONS(2870),
    [anon_sym_AT] = ACTIONS(2868),
    [anon_sym_static] = ACTIONS(2870),
    [anon_sym_readonly] = ACTIONS(2870),
    [anon_sym_get] = ACTIONS(2870),
    [anon_sym_set] = ACTIONS(2870),
    [anon_sym_declare] = ACTIONS(2870),
    [anon_sym_public] = ACTIONS(2870),
    [anon_sym_private] = ACTIONS(2870),
    [anon_sym_protected] = ACTIONS(2870),
    [anon_sym_override] = ACTIONS(2870),
    [anon_sym_module] = ACTIONS(2870),
    [anon_sym_any] = ACTIONS(2870),
    [anon_sym_number] = ACTIONS(2870),
    [anon_sym_boolean] = ACTIONS(2870),
    [anon_sym_string] = ACTIONS(2870),
    [anon_sym_symbol] = ACTIONS(2870),
    [anon_sym_object] = ACTIONS(2870),
    [anon_sym_abstract] = ACTIONS(2870),
    [anon_sym_interface] = ACTIONS(2870),
    [anon_sym_enum] = ACTIONS(2870),
    [sym_html_comment] = ACTIONS(5),
  },
  [906] = {
    [ts_builtin_sym_end] = ACTIONS(2872),
    [sym_identifier] = ACTIONS(2874),
    [anon_sym_export] = ACTIONS(2874),
    [anon_sym_default] = ACTIONS(2874),
    [anon_sym_type] = ACTIONS(2874),
    [anon_sym_namespace] = ACTIONS(2874),
    [anon_sym_LBRACE] = ACTIONS(2872),
    [anon_sym_RBRACE] = ACTIONS(2872),
    [anon_sym_typeof] = ACTIONS(2874),
    [anon_sym_import] = ACTIONS(2874),
    [anon_sym_with] = ACTIONS(2874),
    [anon_sym_var] = ACTIONS(2874),
    [anon_sym_let] = ACTIONS(2874),
    [anon_sym_const] = ACTIONS(2874),
    [anon_sym_BANG] = ACTIONS(2872),
    [anon_sym_else] = ACTIONS(2874),
    [anon_sym_if] = ACTIONS(2874),
    [anon_sym_switch] = ACTIONS(2874),
    [anon_sym_for] = ACTIONS(2874),
    [anon_sym_LPAREN] = ACTIONS(2872),
    [anon_sym_SEMI] = ACTIONS(2872),
    [anon_sym_await] = ACTIONS(2874),
    [anon_sym_while] = ACTIONS(2874),
    [anon_sym_do] = ACTIONS(2874),
    [anon_sym_try] = ACTIONS(2874),
    [anon_sym_break] = ACTIONS(2874),
    [anon_sym_continue] = ACTIONS(2874),
    [anon_sym_debugger] = ACTIONS(2874),
    [anon_sym_return] = ACTIONS(2874),
    [anon_sym_throw] = ACTIONS(2874),
    [anon_sym_case] = ACTIONS(2874),
    [anon_sym_yield] = ACTIONS(2874),
    [anon_sym_LBRACK] = ACTIONS(2872),
    [sym_glimmer_opening_tag] = ACTIONS(2872),
    [anon_sym_DQUOTE] = ACTIONS(2872),
    [anon_sym_SQUOTE] = ACTIONS(2872),
    [anon_sym_class] = ACTIONS(2874),
    [anon_sym_async] = ACTIONS(2874),
    [anon_sym_function] = ACTIONS(2874),
    [anon_sym_new] = ACTIONS(2874),
    [anon_sym_using] = ACTIONS(2874),
    [anon_sym_PLUS] = ACTIONS(2874),
    [anon_sym_DASH] = ACTIONS(2874),
    [anon_sym_SLASH] = ACTIONS(2874),
    [anon_sym_LT] = ACTIONS(2874),
    [anon_sym_TILDE] = ACTIONS(2872),
    [anon_sym_void] = ACTIONS(2874),
    [anon_sym_delete] = ACTIONS(2874),
    [anon_sym_PLUS_PLUS] = ACTIONS(2872),
    [anon_sym_DASH_DASH] = ACTIONS(2872),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2872),
    [sym_number] = ACTIONS(2872),
    [sym_private_property_identifier] = ACTIONS(2872),
    [sym_this] = ACTIONS(2874),
    [sym_super] = ACTIONS(2874),
    [sym_true] = ACTIONS(2874),
    [sym_false] = ACTIONS(2874),
    [sym_null] = ACTIONS(2874),
    [sym_undefined] = ACTIONS(2874),
    [anon_sym_AT] = ACTIONS(2872),
    [anon_sym_static] = ACTIONS(2874),
    [anon_sym_readonly] = ACTIONS(2874),
    [anon_sym_get] = ACTIONS(2874),
    [anon_sym_set] = ACTIONS(2874),
    [anon_sym_declare] = ACTIONS(2874),
    [anon_sym_public] = ACTIONS(2874),
    [anon_sym_private] = ACTIONS(2874),
    [anon_sym_protected] = ACTIONS(2874),
    [anon_sym_override] = ACTIONS(2874),
    [anon_sym_module] = ACTIONS(2874),
    [anon_sym_any] = ACTIONS(2874),
    [anon_sym_number] = ACTIONS(2874),
    [anon_sym_boolean] = ACTIONS(2874),
    [anon_sym_string] = ACTIONS(2874),
    [anon_sym_symbol] = ACTIONS(2874),
    [anon_sym_object] = ACTIONS(2874),
    [anon_sym_abstract] = ACTIONS(2874),
    [anon_sym_interface] = ACTIONS(2874),
    [anon_sym_enum] = ACTIONS(2874),
    [sym_html_comment] = ACTIONS(5),
  },
  [907] = {
    [ts_builtin_sym_end] = ACTIONS(2876),
    [sym_identifier] = ACTIONS(2878),
    [anon_sym_export] = ACTIONS(2878),
    [anon_sym_default] = ACTIONS(2878),
    [anon_sym_type] = ACTIONS(2878),
    [anon_sym_namespace] = ACTIONS(2878),
    [anon_sym_LBRACE] = ACTIONS(2876),
    [anon_sym_RBRACE] = ACTIONS(2876),
    [anon_sym_typeof] = ACTIONS(2878),
    [anon_sym_import] = ACTIONS(2878),
    [anon_sym_with] = ACTIONS(2878),
    [anon_sym_var] = ACTIONS(2878),
    [anon_sym_let] = ACTIONS(2878),
    [anon_sym_const] = ACTIONS(2878),
    [anon_sym_BANG] = ACTIONS(2876),
    [anon_sym_else] = ACTIONS(2878),
    [anon_sym_if] = ACTIONS(2878),
    [anon_sym_switch] = ACTIONS(2878),
    [anon_sym_for] = ACTIONS(2878),
    [anon_sym_LPAREN] = ACTIONS(2876),
    [anon_sym_SEMI] = ACTIONS(2876),
    [anon_sym_await] = ACTIONS(2878),
    [anon_sym_while] = ACTIONS(2878),
    [anon_sym_do] = ACTIONS(2878),
    [anon_sym_try] = ACTIONS(2878),
    [anon_sym_break] = ACTIONS(2878),
    [anon_sym_continue] = ACTIONS(2878),
    [anon_sym_debugger] = ACTIONS(2878),
    [anon_sym_return] = ACTIONS(2878),
    [anon_sym_throw] = ACTIONS(2878),
    [anon_sym_case] = ACTIONS(2878),
    [anon_sym_yield] = ACTIONS(2878),
    [anon_sym_LBRACK] = ACTIONS(2876),
    [sym_glimmer_opening_tag] = ACTIONS(2876),
    [anon_sym_DQUOTE] = ACTIONS(2876),
    [anon_sym_SQUOTE] = ACTIONS(2876),
    [anon_sym_class] = ACTIONS(2878),
    [anon_sym_async] = ACTIONS(2878),
    [anon_sym_function] = ACTIONS(2878),
    [anon_sym_new] = ACTIONS(2878),
    [anon_sym_using] = ACTIONS(2878),
    [anon_sym_PLUS] = ACTIONS(2878),
    [anon_sym_DASH] = ACTIONS(2878),
    [anon_sym_SLASH] = ACTIONS(2878),
    [anon_sym_LT] = ACTIONS(2878),
    [anon_sym_TILDE] = ACTIONS(2876),
    [anon_sym_void] = ACTIONS(2878),
    [anon_sym_delete] = ACTIONS(2878),
    [anon_sym_PLUS_PLUS] = ACTIONS(2876),
    [anon_sym_DASH_DASH] = ACTIONS(2876),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2876),
    [sym_number] = ACTIONS(2876),
    [sym_private_property_identifier] = ACTIONS(2876),
    [sym_this] = ACTIONS(2878),
    [sym_super] = ACTIONS(2878),
    [sym_true] = ACTIONS(2878),
    [sym_false] = ACTIONS(2878),
    [sym_null] = ACTIONS(2878),
    [sym_undefined] = ACTIONS(2878),
    [anon_sym_AT] = ACTIONS(2876),
    [anon_sym_static] = ACTIONS(2878),
    [anon_sym_readonly] = ACTIONS(2878),
    [anon_sym_get] = ACTIONS(2878),
    [anon_sym_set] = ACTIONS(2878),
    [anon_sym_declare] = ACTIONS(2878),
    [anon_sym_public] = ACTIONS(2878),
    [anon_sym_private] = ACTIONS(2878),
    [anon_sym_protected] = ACTIONS(2878),
    [anon_sym_override] = ACTIONS(2878),
    [anon_sym_module] = ACTIONS(2878),
    [anon_sym_any] = ACTIONS(2878),
    [anon_sym_number] = ACTIONS(2878),
    [anon_sym_boolean] = ACTIONS(2878),
    [anon_sym_string] = ACTIONS(2878),
    [anon_sym_symbol] = ACTIONS(2878),
    [anon_sym_object] = ACTIONS(2878),
    [anon_sym_abstract] = ACTIONS(2878),
    [anon_sym_interface] = ACTIONS(2878),
    [anon_sym_enum] = ACTIONS(2878),
    [sym_html_comment] = ACTIONS(5),
  },
  [908] = {
    [ts_builtin_sym_end] = ACTIONS(2776),
    [sym_identifier] = ACTIONS(2778),
    [anon_sym_export] = ACTIONS(2778),
    [anon_sym_default] = ACTIONS(2778),
    [anon_sym_type] = ACTIONS(2778),
    [anon_sym_namespace] = ACTIONS(2778),
    [anon_sym_LBRACE] = ACTIONS(2776),
    [anon_sym_RBRACE] = ACTIONS(2776),
    [anon_sym_typeof] = ACTIONS(2778),
    [anon_sym_import] = ACTIONS(2778),
    [anon_sym_with] = ACTIONS(2778),
    [anon_sym_var] = ACTIONS(2778),
    [anon_sym_let] = ACTIONS(2778),
    [anon_sym_const] = ACTIONS(2778),
    [anon_sym_BANG] = ACTIONS(2776),
    [anon_sym_else] = ACTIONS(2778),
    [anon_sym_if] = ACTIONS(2778),
    [anon_sym_switch] = ACTIONS(2778),
    [anon_sym_for] = ACTIONS(2778),
    [anon_sym_LPAREN] = ACTIONS(2776),
    [anon_sym_SEMI] = ACTIONS(2776),
    [anon_sym_await] = ACTIONS(2778),
    [anon_sym_while] = ACTIONS(2778),
    [anon_sym_do] = ACTIONS(2778),
    [anon_sym_try] = ACTIONS(2778),
    [anon_sym_break] = ACTIONS(2778),
    [anon_sym_continue] = ACTIONS(2778),
    [anon_sym_debugger] = ACTIONS(2778),
    [anon_sym_return] = ACTIONS(2778),
    [anon_sym_throw] = ACTIONS(2778),
    [anon_sym_case] = ACTIONS(2778),
    [anon_sym_yield] = ACTIONS(2778),
    [anon_sym_LBRACK] = ACTIONS(2776),
    [sym_glimmer_opening_tag] = ACTIONS(2776),
    [anon_sym_DQUOTE] = ACTIONS(2776),
    [anon_sym_SQUOTE] = ACTIONS(2776),
    [anon_sym_class] = ACTIONS(2778),
    [anon_sym_async] = ACTIONS(2778),
    [anon_sym_function] = ACTIONS(2778),
    [anon_sym_new] = ACTIONS(2778),
    [anon_sym_using] = ACTIONS(2778),
    [anon_sym_PLUS] = ACTIONS(2778),
    [anon_sym_DASH] = ACTIONS(2778),
    [anon_sym_SLASH] = ACTIONS(2778),
    [anon_sym_LT] = ACTIONS(2778),
    [anon_sym_TILDE] = ACTIONS(2776),
    [anon_sym_void] = ACTIONS(2778),
    [anon_sym_delete] = ACTIONS(2778),
    [anon_sym_PLUS_PLUS] = ACTIONS(2776),
    [anon_sym_DASH_DASH] = ACTIONS(2776),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2776),
    [sym_number] = ACTIONS(2776),
    [sym_private_property_identifier] = ACTIONS(2776),
    [sym_this] = ACTIONS(2778),
    [sym_super] = ACTIONS(2778),
    [sym_true] = ACTIONS(2778),
    [sym_false] = ACTIONS(2778),
    [sym_null] = ACTIONS(2778),
    [sym_undefined] = ACTIONS(2778),
    [anon_sym_AT] = ACTIONS(2776),
    [anon_sym_static] = ACTIONS(2778),
    [anon_sym_readonly] = ACTIONS(2778),
    [anon_sym_get] = ACTIONS(2778),
    [anon_sym_set] = ACTIONS(2778),
    [anon_sym_declare] = ACTIONS(2778),
    [anon_sym_public] = ACTIONS(2778),
    [anon_sym_private] = ACTIONS(2778),
    [anon_sym_protected] = ACTIONS(2778),
    [anon_sym_override] = ACTIONS(2778),
    [anon_sym_module] = ACTIONS(2778),
    [anon_sym_any] = ACTIONS(2778),
    [anon_sym_number] = ACTIONS(2778),
    [anon_sym_boolean] = ACTIONS(2778),
    [anon_sym_string] = ACTIONS(2778),
    [anon_sym_symbol] = ACTIONS(2778),
    [anon_sym_object] = ACTIONS(2778),
    [anon_sym_abstract] = ACTIONS(2778),
    [anon_sym_interface] = ACTIONS(2778),
    [anon_sym_enum] = ACTIONS(2778),
    [sym_html_comment] = ACTIONS(5),
  },
  [909] = {
    [ts_builtin_sym_end] = ACTIONS(2876),
    [sym_identifier] = ACTIONS(2878),
    [anon_sym_export] = ACTIONS(2878),
    [anon_sym_default] = ACTIONS(2878),
    [anon_sym_type] = ACTIONS(2878),
    [anon_sym_namespace] = ACTIONS(2878),
    [anon_sym_LBRACE] = ACTIONS(2876),
    [anon_sym_RBRACE] = ACTIONS(2876),
    [anon_sym_typeof] = ACTIONS(2878),
    [anon_sym_import] = ACTIONS(2878),
    [anon_sym_with] = ACTIONS(2878),
    [anon_sym_var] = ACTIONS(2878),
    [anon_sym_let] = ACTIONS(2878),
    [anon_sym_const] = ACTIONS(2878),
    [anon_sym_BANG] = ACTIONS(2876),
    [anon_sym_else] = ACTIONS(2878),
    [anon_sym_if] = ACTIONS(2878),
    [anon_sym_switch] = ACTIONS(2878),
    [anon_sym_for] = ACTIONS(2878),
    [anon_sym_LPAREN] = ACTIONS(2876),
    [anon_sym_SEMI] = ACTIONS(2876),
    [anon_sym_await] = ACTIONS(2878),
    [anon_sym_while] = ACTIONS(2878),
    [anon_sym_do] = ACTIONS(2878),
    [anon_sym_try] = ACTIONS(2878),
    [anon_sym_break] = ACTIONS(2878),
    [anon_sym_continue] = ACTIONS(2878),
    [anon_sym_debugger] = ACTIONS(2878),
    [anon_sym_return] = ACTIONS(2878),
    [anon_sym_throw] = ACTIONS(2878),
    [anon_sym_case] = ACTIONS(2878),
    [anon_sym_yield] = ACTIONS(2878),
    [anon_sym_LBRACK] = ACTIONS(2876),
    [sym_glimmer_opening_tag] = ACTIONS(2876),
    [anon_sym_DQUOTE] = ACTIONS(2876),
    [anon_sym_SQUOTE] = ACTIONS(2876),
    [anon_sym_class] = ACTIONS(2878),
    [anon_sym_async] = ACTIONS(2878),
    [anon_sym_function] = ACTIONS(2878),
    [anon_sym_new] = ACTIONS(2878),
    [anon_sym_using] = ACTIONS(2878),
    [anon_sym_PLUS] = ACTIONS(2878),
    [anon_sym_DASH] = ACTIONS(2878),
    [anon_sym_SLASH] = ACTIONS(2878),
    [anon_sym_LT] = ACTIONS(2878),
    [anon_sym_TILDE] = ACTIONS(2876),
    [anon_sym_void] = ACTIONS(2878),
    [anon_sym_delete] = ACTIONS(2878),
    [anon_sym_PLUS_PLUS] = ACTIONS(2876),
    [anon_sym_DASH_DASH] = ACTIONS(2876),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2876),
    [sym_number] = ACTIONS(2876),
    [sym_private_property_identifier] = ACTIONS(2876),
    [sym_this] = ACTIONS(2878),
    [sym_super] = ACTIONS(2878),
    [sym_true] = ACTIONS(2878),
    [sym_false] = ACTIONS(2878),
    [sym_null] = ACTIONS(2878),
    [sym_undefined] = ACTIONS(2878),
    [anon_sym_AT] = ACTIONS(2876),
    [anon_sym_static] = ACTIONS(2878),
    [anon_sym_readonly] = ACTIONS(2878),
    [anon_sym_get] = ACTIONS(2878),
    [anon_sym_set] = ACTIONS(2878),
    [anon_sym_declare] = ACTIONS(2878),
    [anon_sym_public] = ACTIONS(2878),
    [anon_sym_private] = ACTIONS(2878),
    [anon_sym_protected] = ACTIONS(2878),
    [anon_sym_override] = ACTIONS(2878),
    [anon_sym_module] = ACTIONS(2878),
    [anon_sym_any] = ACTIONS(2878),
    [anon_sym_number] = ACTIONS(2878),
    [anon_sym_boolean] = ACTIONS(2878),
    [anon_sym_string] = ACTIONS(2878),
    [anon_sym_symbol] = ACTIONS(2878),
    [anon_sym_object] = ACTIONS(2878),
    [anon_sym_abstract] = ACTIONS(2878),
    [anon_sym_interface] = ACTIONS(2878),
    [anon_sym_enum] = ACTIONS(2878),
    [sym_html_comment] = ACTIONS(5),
  },
  [910] = {
    [ts_builtin_sym_end] = ACTIONS(2880),
    [sym_identifier] = ACTIONS(2882),
    [anon_sym_export] = ACTIONS(2882),
    [anon_sym_default] = ACTIONS(2882),
    [anon_sym_type] = ACTIONS(2882),
    [anon_sym_namespace] = ACTIONS(2882),
    [anon_sym_LBRACE] = ACTIONS(2880),
    [anon_sym_RBRACE] = ACTIONS(2880),
    [anon_sym_typeof] = ACTIONS(2882),
    [anon_sym_import] = ACTIONS(2882),
    [anon_sym_with] = ACTIONS(2882),
    [anon_sym_var] = ACTIONS(2882),
    [anon_sym_let] = ACTIONS(2882),
    [anon_sym_const] = ACTIONS(2882),
    [anon_sym_BANG] = ACTIONS(2880),
    [anon_sym_else] = ACTIONS(2882),
    [anon_sym_if] = ACTIONS(2882),
    [anon_sym_switch] = ACTIONS(2882),
    [anon_sym_for] = ACTIONS(2882),
    [anon_sym_LPAREN] = ACTIONS(2880),
    [anon_sym_SEMI] = ACTIONS(2880),
    [anon_sym_await] = ACTIONS(2882),
    [anon_sym_while] = ACTIONS(2882),
    [anon_sym_do] = ACTIONS(2882),
    [anon_sym_try] = ACTIONS(2882),
    [anon_sym_break] = ACTIONS(2882),
    [anon_sym_continue] = ACTIONS(2882),
    [anon_sym_debugger] = ACTIONS(2882),
    [anon_sym_return] = ACTIONS(2882),
    [anon_sym_throw] = ACTIONS(2882),
    [anon_sym_case] = ACTIONS(2882),
    [anon_sym_yield] = ACTIONS(2882),
    [anon_sym_LBRACK] = ACTIONS(2880),
    [sym_glimmer_opening_tag] = ACTIONS(2880),
    [anon_sym_DQUOTE] = ACTIONS(2880),
    [anon_sym_SQUOTE] = ACTIONS(2880),
    [anon_sym_class] = ACTIONS(2882),
    [anon_sym_async] = ACTIONS(2882),
    [anon_sym_function] = ACTIONS(2882),
    [anon_sym_new] = ACTIONS(2882),
    [anon_sym_using] = ACTIONS(2882),
    [anon_sym_PLUS] = ACTIONS(2882),
    [anon_sym_DASH] = ACTIONS(2882),
    [anon_sym_SLASH] = ACTIONS(2882),
    [anon_sym_LT] = ACTIONS(2882),
    [anon_sym_TILDE] = ACTIONS(2880),
    [anon_sym_void] = ACTIONS(2882),
    [anon_sym_delete] = ACTIONS(2882),
    [anon_sym_PLUS_PLUS] = ACTIONS(2880),
    [anon_sym_DASH_DASH] = ACTIONS(2880),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2880),
    [sym_number] = ACTIONS(2880),
    [sym_private_property_identifier] = ACTIONS(2880),
    [sym_this] = ACTIONS(2882),
    [sym_super] = ACTIONS(2882),
    [sym_true] = ACTIONS(2882),
    [sym_false] = ACTIONS(2882),
    [sym_null] = ACTIONS(2882),
    [sym_undefined] = ACTIONS(2882),
    [anon_sym_AT] = ACTIONS(2880),
    [anon_sym_static] = ACTIONS(2882),
    [anon_sym_readonly] = ACTIONS(2882),
    [anon_sym_get] = ACTIONS(2882),
    [anon_sym_set] = ACTIONS(2882),
    [anon_sym_declare] = ACTIONS(2882),
    [anon_sym_public] = ACTIONS(2882),
    [anon_sym_private] = ACTIONS(2882),
    [anon_sym_protected] = ACTIONS(2882),
    [anon_sym_override] = ACTIONS(2882),
    [anon_sym_module] = ACTIONS(2882),
    [anon_sym_any] = ACTIONS(2882),
    [anon_sym_number] = ACTIONS(2882),
    [anon_sym_boolean] = ACTIONS(2882),
    [anon_sym_string] = ACTIONS(2882),
    [anon_sym_symbol] = ACTIONS(2882),
    [anon_sym_object] = ACTIONS(2882),
    [anon_sym_abstract] = ACTIONS(2882),
    [anon_sym_interface] = ACTIONS(2882),
    [anon_sym_enum] = ACTIONS(2882),
    [sym_html_comment] = ACTIONS(5),
  },
  [911] = {
    [ts_builtin_sym_end] = ACTIONS(2884),
    [sym_identifier] = ACTIONS(2886),
    [anon_sym_export] = ACTIONS(2886),
    [anon_sym_default] = ACTIONS(2886),
    [anon_sym_type] = ACTIONS(2886),
    [anon_sym_namespace] = ACTIONS(2886),
    [anon_sym_LBRACE] = ACTIONS(2884),
    [anon_sym_RBRACE] = ACTIONS(2884),
    [anon_sym_typeof] = ACTIONS(2886),
    [anon_sym_import] = ACTIONS(2886),
    [anon_sym_with] = ACTIONS(2886),
    [anon_sym_var] = ACTIONS(2886),
    [anon_sym_let] = ACTIONS(2886),
    [anon_sym_const] = ACTIONS(2886),
    [anon_sym_BANG] = ACTIONS(2884),
    [anon_sym_else] = ACTIONS(2886),
    [anon_sym_if] = ACTIONS(2886),
    [anon_sym_switch] = ACTIONS(2886),
    [anon_sym_for] = ACTIONS(2886),
    [anon_sym_LPAREN] = ACTIONS(2884),
    [anon_sym_SEMI] = ACTIONS(2884),
    [anon_sym_await] = ACTIONS(2886),
    [anon_sym_while] = ACTIONS(2886),
    [anon_sym_do] = ACTIONS(2886),
    [anon_sym_try] = ACTIONS(2886),
    [anon_sym_break] = ACTIONS(2886),
    [anon_sym_continue] = ACTIONS(2886),
    [anon_sym_debugger] = ACTIONS(2886),
    [anon_sym_return] = ACTIONS(2886),
    [anon_sym_throw] = ACTIONS(2886),
    [anon_sym_case] = ACTIONS(2886),
    [anon_sym_yield] = ACTIONS(2886),
    [anon_sym_LBRACK] = ACTIONS(2884),
    [sym_glimmer_opening_tag] = ACTIONS(2884),
    [anon_sym_DQUOTE] = ACTIONS(2884),
    [anon_sym_SQUOTE] = ACTIONS(2884),
    [anon_sym_class] = ACTIONS(2886),
    [anon_sym_async] = ACTIONS(2886),
    [anon_sym_function] = ACTIONS(2886),
    [anon_sym_new] = ACTIONS(2886),
    [anon_sym_using] = ACTIONS(2886),
    [anon_sym_PLUS] = ACTIONS(2886),
    [anon_sym_DASH] = ACTIONS(2886),
    [anon_sym_SLASH] = ACTIONS(2886),
    [anon_sym_LT] = ACTIONS(2886),
    [anon_sym_TILDE] = ACTIONS(2884),
    [anon_sym_void] = ACTIONS(2886),
    [anon_sym_delete] = ACTIONS(2886),
    [anon_sym_PLUS_PLUS] = ACTIONS(2884),
    [anon_sym_DASH_DASH] = ACTIONS(2884),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2884),
    [sym_number] = ACTIONS(2884),
    [sym_private_property_identifier] = ACTIONS(2884),
    [sym_this] = ACTIONS(2886),
    [sym_super] = ACTIONS(2886),
    [sym_true] = ACTIONS(2886),
    [sym_false] = ACTIONS(2886),
    [sym_null] = ACTIONS(2886),
    [sym_undefined] = ACTIONS(2886),
    [anon_sym_AT] = ACTIONS(2884),
    [anon_sym_static] = ACTIONS(2886),
    [anon_sym_readonly] = ACTIONS(2886),
    [anon_sym_get] = ACTIONS(2886),
    [anon_sym_set] = ACTIONS(2886),
    [anon_sym_declare] = ACTIONS(2886),
    [anon_sym_public] = ACTIONS(2886),
    [anon_sym_private] = ACTIONS(2886),
    [anon_sym_protected] = ACTIONS(2886),
    [anon_sym_override] = ACTIONS(2886),
    [anon_sym_module] = ACTIONS(2886),
    [anon_sym_any] = ACTIONS(2886),
    [anon_sym_number] = ACTIONS(2886),
    [anon_sym_boolean] = ACTIONS(2886),
    [anon_sym_string] = ACTIONS(2886),
    [anon_sym_symbol] = ACTIONS(2886),
    [anon_sym_object] = ACTIONS(2886),
    [anon_sym_abstract] = ACTIONS(2886),
    [anon_sym_interface] = ACTIONS(2886),
    [anon_sym_enum] = ACTIONS(2886),
    [sym_html_comment] = ACTIONS(5),
  },
  [912] = {
    [ts_builtin_sym_end] = ACTIONS(2888),
    [sym_identifier] = ACTIONS(2890),
    [anon_sym_export] = ACTIONS(2890),
    [anon_sym_default] = ACTIONS(2890),
    [anon_sym_type] = ACTIONS(2890),
    [anon_sym_namespace] = ACTIONS(2890),
    [anon_sym_LBRACE] = ACTIONS(2888),
    [anon_sym_RBRACE] = ACTIONS(2888),
    [anon_sym_typeof] = ACTIONS(2890),
    [anon_sym_import] = ACTIONS(2890),
    [anon_sym_with] = ACTIONS(2890),
    [anon_sym_var] = ACTIONS(2890),
    [anon_sym_let] = ACTIONS(2890),
    [anon_sym_const] = ACTIONS(2890),
    [anon_sym_BANG] = ACTIONS(2888),
    [anon_sym_else] = ACTIONS(2890),
    [anon_sym_if] = ACTIONS(2890),
    [anon_sym_switch] = ACTIONS(2890),
    [anon_sym_for] = ACTIONS(2890),
    [anon_sym_LPAREN] = ACTIONS(2888),
    [anon_sym_SEMI] = ACTIONS(2888),
    [anon_sym_await] = ACTIONS(2890),
    [anon_sym_while] = ACTIONS(2890),
    [anon_sym_do] = ACTIONS(2890),
    [anon_sym_try] = ACTIONS(2890),
    [anon_sym_break] = ACTIONS(2890),
    [anon_sym_continue] = ACTIONS(2890),
    [anon_sym_debugger] = ACTIONS(2890),
    [anon_sym_return] = ACTIONS(2890),
    [anon_sym_throw] = ACTIONS(2890),
    [anon_sym_case] = ACTIONS(2890),
    [anon_sym_yield] = ACTIONS(2890),
    [anon_sym_LBRACK] = ACTIONS(2888),
    [sym_glimmer_opening_tag] = ACTIONS(2888),
    [anon_sym_DQUOTE] = ACTIONS(2888),
    [anon_sym_SQUOTE] = ACTIONS(2888),
    [anon_sym_class] = ACTIONS(2890),
    [anon_sym_async] = ACTIONS(2890),
    [anon_sym_function] = ACTIONS(2890),
    [anon_sym_new] = ACTIONS(2890),
    [anon_sym_using] = ACTIONS(2890),
    [anon_sym_PLUS] = ACTIONS(2890),
    [anon_sym_DASH] = ACTIONS(2890),
    [anon_sym_SLASH] = ACTIONS(2890),
    [anon_sym_LT] = ACTIONS(2890),
    [anon_sym_TILDE] = ACTIONS(2888),
    [anon_sym_void] = ACTIONS(2890),
    [anon_sym_delete] = ACTIONS(2890),
    [anon_sym_PLUS_PLUS] = ACTIONS(2888),
    [anon_sym_DASH_DASH] = ACTIONS(2888),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2888),
    [sym_number] = ACTIONS(2888),
    [sym_private_property_identifier] = ACTIONS(2888),
    [sym_this] = ACTIONS(2890),
    [sym_super] = ACTIONS(2890),
    [sym_true] = ACTIONS(2890),
    [sym_false] = ACTIONS(2890),
    [sym_null] = ACTIONS(2890),
    [sym_undefined] = ACTIONS(2890),
    [anon_sym_AT] = ACTIONS(2888),
    [anon_sym_static] = ACTIONS(2890),
    [anon_sym_readonly] = ACTIONS(2890),
    [anon_sym_get] = ACTIONS(2890),
    [anon_sym_set] = ACTIONS(2890),
    [anon_sym_declare] = ACTIONS(2890),
    [anon_sym_public] = ACTIONS(2890),
    [anon_sym_private] = ACTIONS(2890),
    [anon_sym_protected] = ACTIONS(2890),
    [anon_sym_override] = ACTIONS(2890),
    [anon_sym_module] = ACTIONS(2890),
    [anon_sym_any] = ACTIONS(2890),
    [anon_sym_number] = ACTIONS(2890),
    [anon_sym_boolean] = ACTIONS(2890),
    [anon_sym_string] = ACTIONS(2890),
    [anon_sym_symbol] = ACTIONS(2890),
    [anon_sym_object] = ACTIONS(2890),
    [anon_sym_abstract] = ACTIONS(2890),
    [anon_sym_interface] = ACTIONS(2890),
    [anon_sym_enum] = ACTIONS(2890),
    [sym_html_comment] = ACTIONS(5),
  },
  [913] = {
    [ts_builtin_sym_end] = ACTIONS(2892),
    [sym_identifier] = ACTIONS(2894),
    [anon_sym_export] = ACTIONS(2894),
    [anon_sym_default] = ACTIONS(2894),
    [anon_sym_type] = ACTIONS(2894),
    [anon_sym_namespace] = ACTIONS(2894),
    [anon_sym_LBRACE] = ACTIONS(2892),
    [anon_sym_RBRACE] = ACTIONS(2892),
    [anon_sym_typeof] = ACTIONS(2894),
    [anon_sym_import] = ACTIONS(2894),
    [anon_sym_with] = ACTIONS(2894),
    [anon_sym_var] = ACTIONS(2894),
    [anon_sym_let] = ACTIONS(2894),
    [anon_sym_const] = ACTIONS(2894),
    [anon_sym_BANG] = ACTIONS(2892),
    [anon_sym_else] = ACTIONS(2894),
    [anon_sym_if] = ACTIONS(2894),
    [anon_sym_switch] = ACTIONS(2894),
    [anon_sym_for] = ACTIONS(2894),
    [anon_sym_LPAREN] = ACTIONS(2892),
    [anon_sym_SEMI] = ACTIONS(2892),
    [anon_sym_await] = ACTIONS(2894),
    [anon_sym_while] = ACTIONS(2894),
    [anon_sym_do] = ACTIONS(2894),
    [anon_sym_try] = ACTIONS(2894),
    [anon_sym_break] = ACTIONS(2894),
    [anon_sym_continue] = ACTIONS(2894),
    [anon_sym_debugger] = ACTIONS(2894),
    [anon_sym_return] = ACTIONS(2894),
    [anon_sym_throw] = ACTIONS(2894),
    [anon_sym_case] = ACTIONS(2894),
    [anon_sym_yield] = ACTIONS(2894),
    [anon_sym_LBRACK] = ACTIONS(2892),
    [sym_glimmer_opening_tag] = ACTIONS(2892),
    [anon_sym_DQUOTE] = ACTIONS(2892),
    [anon_sym_SQUOTE] = ACTIONS(2892),
    [anon_sym_class] = ACTIONS(2894),
    [anon_sym_async] = ACTIONS(2894),
    [anon_sym_function] = ACTIONS(2894),
    [anon_sym_new] = ACTIONS(2894),
    [anon_sym_using] = ACTIONS(2894),
    [anon_sym_PLUS] = ACTIONS(2894),
    [anon_sym_DASH] = ACTIONS(2894),
    [anon_sym_SLASH] = ACTIONS(2894),
    [anon_sym_LT] = ACTIONS(2894),
    [anon_sym_TILDE] = ACTIONS(2892),
    [anon_sym_void] = ACTIONS(2894),
    [anon_sym_delete] = ACTIONS(2894),
    [anon_sym_PLUS_PLUS] = ACTIONS(2892),
    [anon_sym_DASH_DASH] = ACTIONS(2892),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2892),
    [sym_number] = ACTIONS(2892),
    [sym_private_property_identifier] = ACTIONS(2892),
    [sym_this] = ACTIONS(2894),
    [sym_super] = ACTIONS(2894),
    [sym_true] = ACTIONS(2894),
    [sym_false] = ACTIONS(2894),
    [sym_null] = ACTIONS(2894),
    [sym_undefined] = ACTIONS(2894),
    [anon_sym_AT] = ACTIONS(2892),
    [anon_sym_static] = ACTIONS(2894),
    [anon_sym_readonly] = ACTIONS(2894),
    [anon_sym_get] = ACTIONS(2894),
    [anon_sym_set] = ACTIONS(2894),
    [anon_sym_declare] = ACTIONS(2894),
    [anon_sym_public] = ACTIONS(2894),
    [anon_sym_private] = ACTIONS(2894),
    [anon_sym_protected] = ACTIONS(2894),
    [anon_sym_override] = ACTIONS(2894),
    [anon_sym_module] = ACTIONS(2894),
    [anon_sym_any] = ACTIONS(2894),
    [anon_sym_number] = ACTIONS(2894),
    [anon_sym_boolean] = ACTIONS(2894),
    [anon_sym_string] = ACTIONS(2894),
    [anon_sym_symbol] = ACTIONS(2894),
    [anon_sym_object] = ACTIONS(2894),
    [anon_sym_abstract] = ACTIONS(2894),
    [anon_sym_interface] = ACTIONS(2894),
    [anon_sym_enum] = ACTIONS(2894),
    [sym_html_comment] = ACTIONS(5),
  },
  [914] = {
    [ts_builtin_sym_end] = ACTIONS(2896),
    [sym_identifier] = ACTIONS(2898),
    [anon_sym_export] = ACTIONS(2898),
    [anon_sym_default] = ACTIONS(2898),
    [anon_sym_type] = ACTIONS(2898),
    [anon_sym_namespace] = ACTIONS(2898),
    [anon_sym_LBRACE] = ACTIONS(2896),
    [anon_sym_RBRACE] = ACTIONS(2896),
    [anon_sym_typeof] = ACTIONS(2898),
    [anon_sym_import] = ACTIONS(2898),
    [anon_sym_with] = ACTIONS(2898),
    [anon_sym_var] = ACTIONS(2898),
    [anon_sym_let] = ACTIONS(2898),
    [anon_sym_const] = ACTIONS(2898),
    [anon_sym_BANG] = ACTIONS(2896),
    [anon_sym_else] = ACTIONS(2898),
    [anon_sym_if] = ACTIONS(2898),
    [anon_sym_switch] = ACTIONS(2898),
    [anon_sym_for] = ACTIONS(2898),
    [anon_sym_LPAREN] = ACTIONS(2896),
    [anon_sym_SEMI] = ACTIONS(2896),
    [anon_sym_await] = ACTIONS(2898),
    [anon_sym_while] = ACTIONS(2898),
    [anon_sym_do] = ACTIONS(2898),
    [anon_sym_try] = ACTIONS(2898),
    [anon_sym_break] = ACTIONS(2898),
    [anon_sym_continue] = ACTIONS(2898),
    [anon_sym_debugger] = ACTIONS(2898),
    [anon_sym_return] = ACTIONS(2898),
    [anon_sym_throw] = ACTIONS(2898),
    [anon_sym_case] = ACTIONS(2898),
    [anon_sym_yield] = ACTIONS(2898),
    [anon_sym_LBRACK] = ACTIONS(2896),
    [sym_glimmer_opening_tag] = ACTIONS(2896),
    [anon_sym_DQUOTE] = ACTIONS(2896),
    [anon_sym_SQUOTE] = ACTIONS(2896),
    [anon_sym_class] = ACTIONS(2898),
    [anon_sym_async] = ACTIONS(2898),
    [anon_sym_function] = ACTIONS(2898),
    [anon_sym_new] = ACTIONS(2898),
    [anon_sym_using] = ACTIONS(2898),
    [anon_sym_PLUS] = ACTIONS(2898),
    [anon_sym_DASH] = ACTIONS(2898),
    [anon_sym_SLASH] = ACTIONS(2898),
    [anon_sym_LT] = ACTIONS(2898),
    [anon_sym_TILDE] = ACTIONS(2896),
    [anon_sym_void] = ACTIONS(2898),
    [anon_sym_delete] = ACTIONS(2898),
    [anon_sym_PLUS_PLUS] = ACTIONS(2896),
    [anon_sym_DASH_DASH] = ACTIONS(2896),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2896),
    [sym_number] = ACTIONS(2896),
    [sym_private_property_identifier] = ACTIONS(2896),
    [sym_this] = ACTIONS(2898),
    [sym_super] = ACTIONS(2898),
    [sym_true] = ACTIONS(2898),
    [sym_false] = ACTIONS(2898),
    [sym_null] = ACTIONS(2898),
    [sym_undefined] = ACTIONS(2898),
    [anon_sym_AT] = ACTIONS(2896),
    [anon_sym_static] = ACTIONS(2898),
    [anon_sym_readonly] = ACTIONS(2898),
    [anon_sym_get] = ACTIONS(2898),
    [anon_sym_set] = ACTIONS(2898),
    [anon_sym_declare] = ACTIONS(2898),
    [anon_sym_public] = ACTIONS(2898),
    [anon_sym_private] = ACTIONS(2898),
    [anon_sym_protected] = ACTIONS(2898),
    [anon_sym_override] = ACTIONS(2898),
    [anon_sym_module] = ACTIONS(2898),
    [anon_sym_any] = ACTIONS(2898),
    [anon_sym_number] = ACTIONS(2898),
    [anon_sym_boolean] = ACTIONS(2898),
    [anon_sym_string] = ACTIONS(2898),
    [anon_sym_symbol] = ACTIONS(2898),
    [anon_sym_object] = ACTIONS(2898),
    [anon_sym_abstract] = ACTIONS(2898),
    [anon_sym_interface] = ACTIONS(2898),
    [anon_sym_enum] = ACTIONS(2898),
    [sym_html_comment] = ACTIONS(5),
  },
  [915] = {
    [ts_builtin_sym_end] = ACTIONS(2900),
    [sym_identifier] = ACTIONS(2902),
    [anon_sym_export] = ACTIONS(2902),
    [anon_sym_default] = ACTIONS(2902),
    [anon_sym_type] = ACTIONS(2902),
    [anon_sym_namespace] = ACTIONS(2902),
    [anon_sym_LBRACE] = ACTIONS(2900),
    [anon_sym_RBRACE] = ACTIONS(2900),
    [anon_sym_typeof] = ACTIONS(2902),
    [anon_sym_import] = ACTIONS(2902),
    [anon_sym_with] = ACTIONS(2902),
    [anon_sym_var] = ACTIONS(2902),
    [anon_sym_let] = ACTIONS(2902),
    [anon_sym_const] = ACTIONS(2902),
    [anon_sym_BANG] = ACTIONS(2900),
    [anon_sym_else] = ACTIONS(2902),
    [anon_sym_if] = ACTIONS(2902),
    [anon_sym_switch] = ACTIONS(2902),
    [anon_sym_for] = ACTIONS(2902),
    [anon_sym_LPAREN] = ACTIONS(2900),
    [anon_sym_SEMI] = ACTIONS(2900),
    [anon_sym_await] = ACTIONS(2902),
    [anon_sym_while] = ACTIONS(2902),
    [anon_sym_do] = ACTIONS(2902),
    [anon_sym_try] = ACTIONS(2902),
    [anon_sym_break] = ACTIONS(2902),
    [anon_sym_continue] = ACTIONS(2902),
    [anon_sym_debugger] = ACTIONS(2902),
    [anon_sym_return] = ACTIONS(2902),
    [anon_sym_throw] = ACTIONS(2902),
    [anon_sym_case] = ACTIONS(2902),
    [anon_sym_yield] = ACTIONS(2902),
    [anon_sym_LBRACK] = ACTIONS(2900),
    [sym_glimmer_opening_tag] = ACTIONS(2900),
    [anon_sym_DQUOTE] = ACTIONS(2900),
    [anon_sym_SQUOTE] = ACTIONS(2900),
    [anon_sym_class] = ACTIONS(2902),
    [anon_sym_async] = ACTIONS(2902),
    [anon_sym_function] = ACTIONS(2902),
    [anon_sym_new] = ACTIONS(2902),
    [anon_sym_using] = ACTIONS(2902),
    [anon_sym_PLUS] = ACTIONS(2902),
    [anon_sym_DASH] = ACTIONS(2902),
    [anon_sym_SLASH] = ACTIONS(2902),
    [anon_sym_LT] = ACTIONS(2902),
    [anon_sym_TILDE] = ACTIONS(2900),
    [anon_sym_void] = ACTIONS(2902),
    [anon_sym_delete] = ACTIONS(2902),
    [anon_sym_PLUS_PLUS] = ACTIONS(2900),
    [anon_sym_DASH_DASH] = ACTIONS(2900),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2900),
    [sym_number] = ACTIONS(2900),
    [sym_private_property_identifier] = ACTIONS(2900),
    [sym_this] = ACTIONS(2902),
    [sym_super] = ACTIONS(2902),
    [sym_true] = ACTIONS(2902),
    [sym_false] = ACTIONS(2902),
    [sym_null] = ACTIONS(2902),
    [sym_undefined] = ACTIONS(2902),
    [anon_sym_AT] = ACTIONS(2900),
    [anon_sym_static] = ACTIONS(2902),
    [anon_sym_readonly] = ACTIONS(2902),
    [anon_sym_get] = ACTIONS(2902),
    [anon_sym_set] = ACTIONS(2902),
    [anon_sym_declare] = ACTIONS(2902),
    [anon_sym_public] = ACTIONS(2902),
    [anon_sym_private] = ACTIONS(2902),
    [anon_sym_protected] = ACTIONS(2902),
    [anon_sym_override] = ACTIONS(2902),
    [anon_sym_module] = ACTIONS(2902),
    [anon_sym_any] = ACTIONS(2902),
    [anon_sym_number] = ACTIONS(2902),
    [anon_sym_boolean] = ACTIONS(2902),
    [anon_sym_string] = ACTIONS(2902),
    [anon_sym_symbol] = ACTIONS(2902),
    [anon_sym_object] = ACTIONS(2902),
    [anon_sym_abstract] = ACTIONS(2902),
    [anon_sym_interface] = ACTIONS(2902),
    [anon_sym_enum] = ACTIONS(2902),
    [sym_html_comment] = ACTIONS(5),
  },
  [916] = {
    [ts_builtin_sym_end] = ACTIONS(2904),
    [sym_identifier] = ACTIONS(2906),
    [anon_sym_export] = ACTIONS(2906),
    [anon_sym_default] = ACTIONS(2906),
    [anon_sym_type] = ACTIONS(2906),
    [anon_sym_namespace] = ACTIONS(2906),
    [anon_sym_LBRACE] = ACTIONS(2904),
    [anon_sym_RBRACE] = ACTIONS(2904),
    [anon_sym_typeof] = ACTIONS(2906),
    [anon_sym_import] = ACTIONS(2906),
    [anon_sym_with] = ACTIONS(2906),
    [anon_sym_var] = ACTIONS(2906),
    [anon_sym_let] = ACTIONS(2906),
    [anon_sym_const] = ACTIONS(2906),
    [anon_sym_BANG] = ACTIONS(2904),
    [anon_sym_else] = ACTIONS(2906),
    [anon_sym_if] = ACTIONS(2906),
    [anon_sym_switch] = ACTIONS(2906),
    [anon_sym_for] = ACTIONS(2906),
    [anon_sym_LPAREN] = ACTIONS(2904),
    [anon_sym_SEMI] = ACTIONS(2904),
    [anon_sym_await] = ACTIONS(2906),
    [anon_sym_while] = ACTIONS(2906),
    [anon_sym_do] = ACTIONS(2906),
    [anon_sym_try] = ACTIONS(2906),
    [anon_sym_break] = ACTIONS(2906),
    [anon_sym_continue] = ACTIONS(2906),
    [anon_sym_debugger] = ACTIONS(2906),
    [anon_sym_return] = ACTIONS(2906),
    [anon_sym_throw] = ACTIONS(2906),
    [anon_sym_case] = ACTIONS(2906),
    [anon_sym_yield] = ACTIONS(2906),
    [anon_sym_LBRACK] = ACTIONS(2904),
    [sym_glimmer_opening_tag] = ACTIONS(2904),
    [anon_sym_DQUOTE] = ACTIONS(2904),
    [anon_sym_SQUOTE] = ACTIONS(2904),
    [anon_sym_class] = ACTIONS(2906),
    [anon_sym_async] = ACTIONS(2906),
    [anon_sym_function] = ACTIONS(2906),
    [anon_sym_new] = ACTIONS(2906),
    [anon_sym_using] = ACTIONS(2906),
    [anon_sym_PLUS] = ACTIONS(2906),
    [anon_sym_DASH] = ACTIONS(2906),
    [anon_sym_SLASH] = ACTIONS(2906),
    [anon_sym_LT] = ACTIONS(2906),
    [anon_sym_TILDE] = ACTIONS(2904),
    [anon_sym_void] = ACTIONS(2906),
    [anon_sym_delete] = ACTIONS(2906),
    [anon_sym_PLUS_PLUS] = ACTIONS(2904),
    [anon_sym_DASH_DASH] = ACTIONS(2904),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2904),
    [sym_number] = ACTIONS(2904),
    [sym_private_property_identifier] = ACTIONS(2904),
    [sym_this] = ACTIONS(2906),
    [sym_super] = ACTIONS(2906),
    [sym_true] = ACTIONS(2906),
    [sym_false] = ACTIONS(2906),
    [sym_null] = ACTIONS(2906),
    [sym_undefined] = ACTIONS(2906),
    [anon_sym_AT] = ACTIONS(2904),
    [anon_sym_static] = ACTIONS(2906),
    [anon_sym_readonly] = ACTIONS(2906),
    [anon_sym_get] = ACTIONS(2906),
    [anon_sym_set] = ACTIONS(2906),
    [anon_sym_declare] = ACTIONS(2906),
    [anon_sym_public] = ACTIONS(2906),
    [anon_sym_private] = ACTIONS(2906),
    [anon_sym_protected] = ACTIONS(2906),
    [anon_sym_override] = ACTIONS(2906),
    [anon_sym_module] = ACTIONS(2906),
    [anon_sym_any] = ACTIONS(2906),
    [anon_sym_number] = ACTIONS(2906),
    [anon_sym_boolean] = ACTIONS(2906),
    [anon_sym_string] = ACTIONS(2906),
    [anon_sym_symbol] = ACTIONS(2906),
    [anon_sym_object] = ACTIONS(2906),
    [anon_sym_abstract] = ACTIONS(2906),
    [anon_sym_interface] = ACTIONS(2906),
    [anon_sym_enum] = ACTIONS(2906),
    [sym_html_comment] = ACTIONS(5),
  },
  [917] = {
    [ts_builtin_sym_end] = ACTIONS(2900),
    [sym_identifier] = ACTIONS(2902),
    [anon_sym_export] = ACTIONS(2902),
    [anon_sym_default] = ACTIONS(2902),
    [anon_sym_type] = ACTIONS(2902),
    [anon_sym_namespace] = ACTIONS(2902),
    [anon_sym_LBRACE] = ACTIONS(2900),
    [anon_sym_RBRACE] = ACTIONS(2900),
    [anon_sym_typeof] = ACTIONS(2902),
    [anon_sym_import] = ACTIONS(2902),
    [anon_sym_with] = ACTIONS(2902),
    [anon_sym_var] = ACTIONS(2902),
    [anon_sym_let] = ACTIONS(2902),
    [anon_sym_const] = ACTIONS(2902),
    [anon_sym_BANG] = ACTIONS(2900),
    [anon_sym_else] = ACTIONS(2902),
    [anon_sym_if] = ACTIONS(2902),
    [anon_sym_switch] = ACTIONS(2902),
    [anon_sym_for] = ACTIONS(2902),
    [anon_sym_LPAREN] = ACTIONS(2900),
    [anon_sym_SEMI] = ACTIONS(2900),
    [anon_sym_await] = ACTIONS(2902),
    [anon_sym_while] = ACTIONS(2902),
    [anon_sym_do] = ACTIONS(2902),
    [anon_sym_try] = ACTIONS(2902),
    [anon_sym_break] = ACTIONS(2902),
    [anon_sym_continue] = ACTIONS(2902),
    [anon_sym_debugger] = ACTIONS(2902),
    [anon_sym_return] = ACTIONS(2902),
    [anon_sym_throw] = ACTIONS(2902),
    [anon_sym_case] = ACTIONS(2902),
    [anon_sym_yield] = ACTIONS(2902),
    [anon_sym_LBRACK] = ACTIONS(2900),
    [sym_glimmer_opening_tag] = ACTIONS(2900),
    [anon_sym_DQUOTE] = ACTIONS(2900),
    [anon_sym_SQUOTE] = ACTIONS(2900),
    [anon_sym_class] = ACTIONS(2902),
    [anon_sym_async] = ACTIONS(2902),
    [anon_sym_function] = ACTIONS(2902),
    [anon_sym_new] = ACTIONS(2902),
    [anon_sym_using] = ACTIONS(2902),
    [anon_sym_PLUS] = ACTIONS(2902),
    [anon_sym_DASH] = ACTIONS(2902),
    [anon_sym_SLASH] = ACTIONS(2902),
    [anon_sym_LT] = ACTIONS(2902),
    [anon_sym_TILDE] = ACTIONS(2900),
    [anon_sym_void] = ACTIONS(2902),
    [anon_sym_delete] = ACTIONS(2902),
    [anon_sym_PLUS_PLUS] = ACTIONS(2900),
    [anon_sym_DASH_DASH] = ACTIONS(2900),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2900),
    [sym_number] = ACTIONS(2900),
    [sym_private_property_identifier] = ACTIONS(2900),
    [sym_this] = ACTIONS(2902),
    [sym_super] = ACTIONS(2902),
    [sym_true] = ACTIONS(2902),
    [sym_false] = ACTIONS(2902),
    [sym_null] = ACTIONS(2902),
    [sym_undefined] = ACTIONS(2902),
    [anon_sym_AT] = ACTIONS(2900),
    [anon_sym_static] = ACTIONS(2902),
    [anon_sym_readonly] = ACTIONS(2902),
    [anon_sym_get] = ACTIONS(2902),
    [anon_sym_set] = ACTIONS(2902),
    [anon_sym_declare] = ACTIONS(2902),
    [anon_sym_public] = ACTIONS(2902),
    [anon_sym_private] = ACTIONS(2902),
    [anon_sym_protected] = ACTIONS(2902),
    [anon_sym_override] = ACTIONS(2902),
    [anon_sym_module] = ACTIONS(2902),
    [anon_sym_any] = ACTIONS(2902),
    [anon_sym_number] = ACTIONS(2902),
    [anon_sym_boolean] = ACTIONS(2902),
    [anon_sym_string] = ACTIONS(2902),
    [anon_sym_symbol] = ACTIONS(2902),
    [anon_sym_object] = ACTIONS(2902),
    [anon_sym_abstract] = ACTIONS(2902),
    [anon_sym_interface] = ACTIONS(2902),
    [anon_sym_enum] = ACTIONS(2902),
    [sym_html_comment] = ACTIONS(5),
  },
  [918] = {
    [ts_builtin_sym_end] = ACTIONS(2908),
    [sym_identifier] = ACTIONS(2910),
    [anon_sym_export] = ACTIONS(2910),
    [anon_sym_default] = ACTIONS(2910),
    [anon_sym_type] = ACTIONS(2910),
    [anon_sym_namespace] = ACTIONS(2910),
    [anon_sym_LBRACE] = ACTIONS(2908),
    [anon_sym_RBRACE] = ACTIONS(2908),
    [anon_sym_typeof] = ACTIONS(2910),
    [anon_sym_import] = ACTIONS(2910),
    [anon_sym_with] = ACTIONS(2910),
    [anon_sym_var] = ACTIONS(2910),
    [anon_sym_let] = ACTIONS(2910),
    [anon_sym_const] = ACTIONS(2910),
    [anon_sym_BANG] = ACTIONS(2908),
    [anon_sym_else] = ACTIONS(2910),
    [anon_sym_if] = ACTIONS(2910),
    [anon_sym_switch] = ACTIONS(2910),
    [anon_sym_for] = ACTIONS(2910),
    [anon_sym_LPAREN] = ACTIONS(2908),
    [anon_sym_SEMI] = ACTIONS(2908),
    [anon_sym_await] = ACTIONS(2910),
    [anon_sym_while] = ACTIONS(2910),
    [anon_sym_do] = ACTIONS(2910),
    [anon_sym_try] = ACTIONS(2910),
    [anon_sym_break] = ACTIONS(2910),
    [anon_sym_continue] = ACTIONS(2910),
    [anon_sym_debugger] = ACTIONS(2910),
    [anon_sym_return] = ACTIONS(2910),
    [anon_sym_throw] = ACTIONS(2910),
    [anon_sym_case] = ACTIONS(2910),
    [anon_sym_yield] = ACTIONS(2910),
    [anon_sym_LBRACK] = ACTIONS(2908),
    [sym_glimmer_opening_tag] = ACTIONS(2908),
    [anon_sym_DQUOTE] = ACTIONS(2908),
    [anon_sym_SQUOTE] = ACTIONS(2908),
    [anon_sym_class] = ACTIONS(2910),
    [anon_sym_async] = ACTIONS(2910),
    [anon_sym_function] = ACTIONS(2910),
    [anon_sym_new] = ACTIONS(2910),
    [anon_sym_using] = ACTIONS(2910),
    [anon_sym_PLUS] = ACTIONS(2910),
    [anon_sym_DASH] = ACTIONS(2910),
    [anon_sym_SLASH] = ACTIONS(2910),
    [anon_sym_LT] = ACTIONS(2910),
    [anon_sym_TILDE] = ACTIONS(2908),
    [anon_sym_void] = ACTIONS(2910),
    [anon_sym_delete] = ACTIONS(2910),
    [anon_sym_PLUS_PLUS] = ACTIONS(2908),
    [anon_sym_DASH_DASH] = ACTIONS(2908),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2908),
    [sym_number] = ACTIONS(2908),
    [sym_private_property_identifier] = ACTIONS(2908),
    [sym_this] = ACTIONS(2910),
    [sym_super] = ACTIONS(2910),
    [sym_true] = ACTIONS(2910),
    [sym_false] = ACTIONS(2910),
    [sym_null] = ACTIONS(2910),
    [sym_undefined] = ACTIONS(2910),
    [anon_sym_AT] = ACTIONS(2908),
    [anon_sym_static] = ACTIONS(2910),
    [anon_sym_readonly] = ACTIONS(2910),
    [anon_sym_get] = ACTIONS(2910),
    [anon_sym_set] = ACTIONS(2910),
    [anon_sym_declare] = ACTIONS(2910),
    [anon_sym_public] = ACTIONS(2910),
    [anon_sym_private] = ACTIONS(2910),
    [anon_sym_protected] = ACTIONS(2910),
    [anon_sym_override] = ACTIONS(2910),
    [anon_sym_module] = ACTIONS(2910),
    [anon_sym_any] = ACTIONS(2910),
    [anon_sym_number] = ACTIONS(2910),
    [anon_sym_boolean] = ACTIONS(2910),
    [anon_sym_string] = ACTIONS(2910),
    [anon_sym_symbol] = ACTIONS(2910),
    [anon_sym_object] = ACTIONS(2910),
    [anon_sym_abstract] = ACTIONS(2910),
    [anon_sym_interface] = ACTIONS(2910),
    [anon_sym_enum] = ACTIONS(2910),
    [sym_html_comment] = ACTIONS(5),
  },
  [919] = {
    [ts_builtin_sym_end] = ACTIONS(2912),
    [sym_identifier] = ACTIONS(2914),
    [anon_sym_export] = ACTIONS(2914),
    [anon_sym_default] = ACTIONS(2914),
    [anon_sym_type] = ACTIONS(2914),
    [anon_sym_namespace] = ACTIONS(2914),
    [anon_sym_LBRACE] = ACTIONS(2912),
    [anon_sym_RBRACE] = ACTIONS(2912),
    [anon_sym_typeof] = ACTIONS(2914),
    [anon_sym_import] = ACTIONS(2914),
    [anon_sym_with] = ACTIONS(2914),
    [anon_sym_var] = ACTIONS(2914),
    [anon_sym_let] = ACTIONS(2914),
    [anon_sym_const] = ACTIONS(2914),
    [anon_sym_BANG] = ACTIONS(2912),
    [anon_sym_else] = ACTIONS(2914),
    [anon_sym_if] = ACTIONS(2914),
    [anon_sym_switch] = ACTIONS(2914),
    [anon_sym_for] = ACTIONS(2914),
    [anon_sym_LPAREN] = ACTIONS(2912),
    [anon_sym_SEMI] = ACTIONS(2912),
    [anon_sym_await] = ACTIONS(2914),
    [anon_sym_while] = ACTIONS(2914),
    [anon_sym_do] = ACTIONS(2914),
    [anon_sym_try] = ACTIONS(2914),
    [anon_sym_break] = ACTIONS(2914),
    [anon_sym_continue] = ACTIONS(2914),
    [anon_sym_debugger] = ACTIONS(2914),
    [anon_sym_return] = ACTIONS(2914),
    [anon_sym_throw] = ACTIONS(2914),
    [anon_sym_case] = ACTIONS(2914),
    [anon_sym_yield] = ACTIONS(2914),
    [anon_sym_LBRACK] = ACTIONS(2912),
    [sym_glimmer_opening_tag] = ACTIONS(2912),
    [anon_sym_DQUOTE] = ACTIONS(2912),
    [anon_sym_SQUOTE] = ACTIONS(2912),
    [anon_sym_class] = ACTIONS(2914),
    [anon_sym_async] = ACTIONS(2914),
    [anon_sym_function] = ACTIONS(2914),
    [anon_sym_new] = ACTIONS(2914),
    [anon_sym_using] = ACTIONS(2914),
    [anon_sym_PLUS] = ACTIONS(2914),
    [anon_sym_DASH] = ACTIONS(2914),
    [anon_sym_SLASH] = ACTIONS(2914),
    [anon_sym_LT] = ACTIONS(2914),
    [anon_sym_TILDE] = ACTIONS(2912),
    [anon_sym_void] = ACTIONS(2914),
    [anon_sym_delete] = ACTIONS(2914),
    [anon_sym_PLUS_PLUS] = ACTIONS(2912),
    [anon_sym_DASH_DASH] = ACTIONS(2912),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2912),
    [sym_number] = ACTIONS(2912),
    [sym_private_property_identifier] = ACTIONS(2912),
    [sym_this] = ACTIONS(2914),
    [sym_super] = ACTIONS(2914),
    [sym_true] = ACTIONS(2914),
    [sym_false] = ACTIONS(2914),
    [sym_null] = ACTIONS(2914),
    [sym_undefined] = ACTIONS(2914),
    [anon_sym_AT] = ACTIONS(2912),
    [anon_sym_static] = ACTIONS(2914),
    [anon_sym_readonly] = ACTIONS(2914),
    [anon_sym_get] = ACTIONS(2914),
    [anon_sym_set] = ACTIONS(2914),
    [anon_sym_declare] = ACTIONS(2914),
    [anon_sym_public] = ACTIONS(2914),
    [anon_sym_private] = ACTIONS(2914),
    [anon_sym_protected] = ACTIONS(2914),
    [anon_sym_override] = ACTIONS(2914),
    [anon_sym_module] = ACTIONS(2914),
    [anon_sym_any] = ACTIONS(2914),
    [anon_sym_number] = ACTIONS(2914),
    [anon_sym_boolean] = ACTIONS(2914),
    [anon_sym_string] = ACTIONS(2914),
    [anon_sym_symbol] = ACTIONS(2914),
    [anon_sym_object] = ACTIONS(2914),
    [anon_sym_abstract] = ACTIONS(2914),
    [anon_sym_interface] = ACTIONS(2914),
    [anon_sym_enum] = ACTIONS(2914),
    [sym_html_comment] = ACTIONS(5),
  },
  [920] = {
    [ts_builtin_sym_end] = ACTIONS(2916),
    [sym_identifier] = ACTIONS(2918),
    [anon_sym_export] = ACTIONS(2918),
    [anon_sym_default] = ACTIONS(2918),
    [anon_sym_type] = ACTIONS(2918),
    [anon_sym_namespace] = ACTIONS(2918),
    [anon_sym_LBRACE] = ACTIONS(2916),
    [anon_sym_RBRACE] = ACTIONS(2916),
    [anon_sym_typeof] = ACTIONS(2918),
    [anon_sym_import] = ACTIONS(2918),
    [anon_sym_with] = ACTIONS(2918),
    [anon_sym_var] = ACTIONS(2918),
    [anon_sym_let] = ACTIONS(2918),
    [anon_sym_const] = ACTIONS(2918),
    [anon_sym_BANG] = ACTIONS(2916),
    [anon_sym_else] = ACTIONS(2918),
    [anon_sym_if] = ACTIONS(2918),
    [anon_sym_switch] = ACTIONS(2918),
    [anon_sym_for] = ACTIONS(2918),
    [anon_sym_LPAREN] = ACTIONS(2916),
    [anon_sym_SEMI] = ACTIONS(2916),
    [anon_sym_await] = ACTIONS(2918),
    [anon_sym_while] = ACTIONS(2918),
    [anon_sym_do] = ACTIONS(2918),
    [anon_sym_try] = ACTIONS(2918),
    [anon_sym_break] = ACTIONS(2918),
    [anon_sym_continue] = ACTIONS(2918),
    [anon_sym_debugger] = ACTIONS(2918),
    [anon_sym_return] = ACTIONS(2918),
    [anon_sym_throw] = ACTIONS(2918),
    [anon_sym_case] = ACTIONS(2918),
    [anon_sym_yield] = ACTIONS(2918),
    [anon_sym_LBRACK] = ACTIONS(2916),
    [sym_glimmer_opening_tag] = ACTIONS(2916),
    [anon_sym_DQUOTE] = ACTIONS(2916),
    [anon_sym_SQUOTE] = ACTIONS(2916),
    [anon_sym_class] = ACTIONS(2918),
    [anon_sym_async] = ACTIONS(2918),
    [anon_sym_function] = ACTIONS(2918),
    [anon_sym_new] = ACTIONS(2918),
    [anon_sym_using] = ACTIONS(2918),
    [anon_sym_PLUS] = ACTIONS(2918),
    [anon_sym_DASH] = ACTIONS(2918),
    [anon_sym_SLASH] = ACTIONS(2918),
    [anon_sym_LT] = ACTIONS(2918),
    [anon_sym_TILDE] = ACTIONS(2916),
    [anon_sym_void] = ACTIONS(2918),
    [anon_sym_delete] = ACTIONS(2918),
    [anon_sym_PLUS_PLUS] = ACTIONS(2916),
    [anon_sym_DASH_DASH] = ACTIONS(2916),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2916),
    [sym_number] = ACTIONS(2916),
    [sym_private_property_identifier] = ACTIONS(2916),
    [sym_this] = ACTIONS(2918),
    [sym_super] = ACTIONS(2918),
    [sym_true] = ACTIONS(2918),
    [sym_false] = ACTIONS(2918),
    [sym_null] = ACTIONS(2918),
    [sym_undefined] = ACTIONS(2918),
    [anon_sym_AT] = ACTIONS(2916),
    [anon_sym_static] = ACTIONS(2918),
    [anon_sym_readonly] = ACTIONS(2918),
    [anon_sym_get] = ACTIONS(2918),
    [anon_sym_set] = ACTIONS(2918),
    [anon_sym_declare] = ACTIONS(2918),
    [anon_sym_public] = ACTIONS(2918),
    [anon_sym_private] = ACTIONS(2918),
    [anon_sym_protected] = ACTIONS(2918),
    [anon_sym_override] = ACTIONS(2918),
    [anon_sym_module] = ACTIONS(2918),
    [anon_sym_any] = ACTIONS(2918),
    [anon_sym_number] = ACTIONS(2918),
    [anon_sym_boolean] = ACTIONS(2918),
    [anon_sym_string] = ACTIONS(2918),
    [anon_sym_symbol] = ACTIONS(2918),
    [anon_sym_object] = ACTIONS(2918),
    [anon_sym_abstract] = ACTIONS(2918),
    [anon_sym_interface] = ACTIONS(2918),
    [anon_sym_enum] = ACTIONS(2918),
    [sym_html_comment] = ACTIONS(5),
  },
  [921] = {
    [ts_builtin_sym_end] = ACTIONS(2920),
    [sym_identifier] = ACTIONS(2922),
    [anon_sym_export] = ACTIONS(2922),
    [anon_sym_default] = ACTIONS(2922),
    [anon_sym_type] = ACTIONS(2922),
    [anon_sym_namespace] = ACTIONS(2922),
    [anon_sym_LBRACE] = ACTIONS(2920),
    [anon_sym_RBRACE] = ACTIONS(2920),
    [anon_sym_typeof] = ACTIONS(2922),
    [anon_sym_import] = ACTIONS(2922),
    [anon_sym_with] = ACTIONS(2922),
    [anon_sym_var] = ACTIONS(2922),
    [anon_sym_let] = ACTIONS(2922),
    [anon_sym_const] = ACTIONS(2922),
    [anon_sym_BANG] = ACTIONS(2920),
    [anon_sym_else] = ACTIONS(2922),
    [anon_sym_if] = ACTIONS(2922),
    [anon_sym_switch] = ACTIONS(2922),
    [anon_sym_for] = ACTIONS(2922),
    [anon_sym_LPAREN] = ACTIONS(2920),
    [anon_sym_SEMI] = ACTIONS(2920),
    [anon_sym_await] = ACTIONS(2922),
    [anon_sym_while] = ACTIONS(2922),
    [anon_sym_do] = ACTIONS(2922),
    [anon_sym_try] = ACTIONS(2922),
    [anon_sym_break] = ACTIONS(2922),
    [anon_sym_continue] = ACTIONS(2922),
    [anon_sym_debugger] = ACTIONS(2922),
    [anon_sym_return] = ACTIONS(2922),
    [anon_sym_throw] = ACTIONS(2922),
    [anon_sym_case] = ACTIONS(2922),
    [anon_sym_yield] = ACTIONS(2922),
    [anon_sym_LBRACK] = ACTIONS(2920),
    [sym_glimmer_opening_tag] = ACTIONS(2920),
    [anon_sym_DQUOTE] = ACTIONS(2920),
    [anon_sym_SQUOTE] = ACTIONS(2920),
    [anon_sym_class] = ACTIONS(2922),
    [anon_sym_async] = ACTIONS(2922),
    [anon_sym_function] = ACTIONS(2922),
    [anon_sym_new] = ACTIONS(2922),
    [anon_sym_using] = ACTIONS(2922),
    [anon_sym_PLUS] = ACTIONS(2922),
    [anon_sym_DASH] = ACTIONS(2922),
    [anon_sym_SLASH] = ACTIONS(2922),
    [anon_sym_LT] = ACTIONS(2922),
    [anon_sym_TILDE] = ACTIONS(2920),
    [anon_sym_void] = ACTIONS(2922),
    [anon_sym_delete] = ACTIONS(2922),
    [anon_sym_PLUS_PLUS] = ACTIONS(2920),
    [anon_sym_DASH_DASH] = ACTIONS(2920),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2920),
    [sym_number] = ACTIONS(2920),
    [sym_private_property_identifier] = ACTIONS(2920),
    [sym_this] = ACTIONS(2922),
    [sym_super] = ACTIONS(2922),
    [sym_true] = ACTIONS(2922),
    [sym_false] = ACTIONS(2922),
    [sym_null] = ACTIONS(2922),
    [sym_undefined] = ACTIONS(2922),
    [anon_sym_AT] = ACTIONS(2920),
    [anon_sym_static] = ACTIONS(2922),
    [anon_sym_readonly] = ACTIONS(2922),
    [anon_sym_get] = ACTIONS(2922),
    [anon_sym_set] = ACTIONS(2922),
    [anon_sym_declare] = ACTIONS(2922),
    [anon_sym_public] = ACTIONS(2922),
    [anon_sym_private] = ACTIONS(2922),
    [anon_sym_protected] = ACTIONS(2922),
    [anon_sym_override] = ACTIONS(2922),
    [anon_sym_module] = ACTIONS(2922),
    [anon_sym_any] = ACTIONS(2922),
    [anon_sym_number] = ACTIONS(2922),
    [anon_sym_boolean] = ACTIONS(2922),
    [anon_sym_string] = ACTIONS(2922),
    [anon_sym_symbol] = ACTIONS(2922),
    [anon_sym_object] = ACTIONS(2922),
    [anon_sym_abstract] = ACTIONS(2922),
    [anon_sym_interface] = ACTIONS(2922),
    [anon_sym_enum] = ACTIONS(2922),
    [sym_html_comment] = ACTIONS(5),
  },
  [922] = {
    [sym_import] = STATE(4680),
    [sym_nested_identifier] = STATE(5868),
    [sym_string] = STATE(3013),
    [sym_formal_parameters] = STATE(5631),
    [sym_rest_pattern] = STATE(5268),
    [sym_nested_type_identifier] = STATE(2941),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3315),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2944),
    [sym_type] = STATE(3832),
    [sym_tuple_parameter] = STATE(4915),
    [sym_optional_tuple_parameter] = STATE(4915),
    [sym_optional_type] = STATE(4915),
    [sym_rest_type] = STATE(4915),
    [sym__tuple_type_member] = STATE(4915),
    [sym_constructor_type] = STATE(2974),
    [sym_primary_type] = STATE(3014),
    [sym_template_literal_type] = STATE(3018),
    [sym_infer_type] = STATE(2974),
    [sym_conditional_type] = STATE(3018),
    [sym_generic_type] = STATE(3018),
    [sym_type_query] = STATE(3018),
    [sym_index_type_query] = STATE(3018),
    [sym_lookup_type] = STATE(3018),
    [sym_literal_type] = STATE(3018),
    [sym__number] = STATE(3031),
    [sym_existential_type] = STATE(3018),
    [sym_flow_maybe_type] = STATE(3018),
    [sym_parenthesized_type] = STATE(3018),
    [sym_predefined_type] = STATE(3018),
    [sym_object_type] = STATE(3018),
    [sym_type_parameters] = STATE(5464),
    [sym_array_type] = STATE(3018),
    [sym_tuple_type] = STATE(3018),
    [sym_readonly_type] = STATE(2974),
    [sym_union_type] = STATE(3018),
    [sym_intersection_type] = STATE(3018),
    [sym_function_type] = STATE(2974),
    [sym_identifier] = ACTIONS(2560),
    [anon_sym_STAR] = ACTIONS(582),
    [anon_sym_LBRACE] = ACTIONS(1541),
    [anon_sym_COMMA] = ACTIONS(2924),
    [anon_sym_typeof] = ACTIONS(1543),
    [anon_sym_import] = ACTIONS(1545),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1547),
    [anon_sym_LBRACK] = ACTIONS(1549),
    [anon_sym_RBRACK] = ACTIONS(2926),
    [anon_sym_DQUOTE] = ACTIONS(1551),
    [anon_sym_SQUOTE] = ACTIONS(1553),
    [anon_sym_new] = ACTIONS(1613),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2566),
    [anon_sym_AMP] = ACTIONS(610),
    [anon_sym_PIPE] = ACTIONS(612),
    [anon_sym_PLUS] = ACTIONS(2568),
    [anon_sym_DASH] = ACTIONS(2568),
    [anon_sym_LT] = ACTIONS(2570),
    [anon_sym_void] = ACTIONS(217),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1561),
    [sym_number] = ACTIONS(1563),
    [sym_this] = ACTIONS(1565),
    [sym_true] = ACTIONS(1567),
    [sym_false] = ACTIONS(1567),
    [sym_null] = ACTIONS(1567),
    [sym_undefined] = ACTIONS(1567),
    [anon_sym_readonly] = ACTIONS(1619),
    [anon_sym_QMARK] = ACTIONS(632),
    [anon_sym_any] = ACTIONS(217),
    [anon_sym_number] = ACTIONS(217),
    [anon_sym_boolean] = ACTIONS(217),
    [anon_sym_string] = ACTIONS(217),
    [anon_sym_symbol] = ACTIONS(217),
    [anon_sym_object] = ACTIONS(217),
    [anon_sym_abstract] = ACTIONS(636),
    [anon_sym_infer] = ACTIONS(638),
    [anon_sym_keyof] = ACTIONS(640),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym_html_comment] = ACTIONS(5),
  },
  [923] = {
    [ts_builtin_sym_end] = ACTIONS(2928),
    [sym_identifier] = ACTIONS(2930),
    [anon_sym_export] = ACTIONS(2930),
    [anon_sym_default] = ACTIONS(2930),
    [anon_sym_type] = ACTIONS(2930),
    [anon_sym_namespace] = ACTIONS(2930),
    [anon_sym_LBRACE] = ACTIONS(2928),
    [anon_sym_RBRACE] = ACTIONS(2928),
    [anon_sym_typeof] = ACTIONS(2930),
    [anon_sym_import] = ACTIONS(2930),
    [anon_sym_with] = ACTIONS(2930),
    [anon_sym_var] = ACTIONS(2930),
    [anon_sym_let] = ACTIONS(2930),
    [anon_sym_const] = ACTIONS(2930),
    [anon_sym_BANG] = ACTIONS(2928),
    [anon_sym_else] = ACTIONS(2930),
    [anon_sym_if] = ACTIONS(2930),
    [anon_sym_switch] = ACTIONS(2930),
    [anon_sym_for] = ACTIONS(2930),
    [anon_sym_LPAREN] = ACTIONS(2928),
    [anon_sym_SEMI] = ACTIONS(2928),
    [anon_sym_await] = ACTIONS(2930),
    [anon_sym_while] = ACTIONS(2930),
    [anon_sym_do] = ACTIONS(2930),
    [anon_sym_try] = ACTIONS(2930),
    [anon_sym_break] = ACTIONS(2930),
    [anon_sym_continue] = ACTIONS(2930),
    [anon_sym_debugger] = ACTIONS(2930),
    [anon_sym_return] = ACTIONS(2930),
    [anon_sym_throw] = ACTIONS(2930),
    [anon_sym_case] = ACTIONS(2930),
    [anon_sym_yield] = ACTIONS(2930),
    [anon_sym_LBRACK] = ACTIONS(2928),
    [sym_glimmer_opening_tag] = ACTIONS(2928),
    [anon_sym_DQUOTE] = ACTIONS(2928),
    [anon_sym_SQUOTE] = ACTIONS(2928),
    [anon_sym_class] = ACTIONS(2930),
    [anon_sym_async] = ACTIONS(2930),
    [anon_sym_function] = ACTIONS(2930),
    [anon_sym_new] = ACTIONS(2930),
    [anon_sym_using] = ACTIONS(2930),
    [anon_sym_PLUS] = ACTIONS(2930),
    [anon_sym_DASH] = ACTIONS(2930),
    [anon_sym_SLASH] = ACTIONS(2930),
    [anon_sym_LT] = ACTIONS(2930),
    [anon_sym_TILDE] = ACTIONS(2928),
    [anon_sym_void] = ACTIONS(2930),
    [anon_sym_delete] = ACTIONS(2930),
    [anon_sym_PLUS_PLUS] = ACTIONS(2928),
    [anon_sym_DASH_DASH] = ACTIONS(2928),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2928),
    [sym_number] = ACTIONS(2928),
    [sym_private_property_identifier] = ACTIONS(2928),
    [sym_this] = ACTIONS(2930),
    [sym_super] = ACTIONS(2930),
    [sym_true] = ACTIONS(2930),
    [sym_false] = ACTIONS(2930),
    [sym_null] = ACTIONS(2930),
    [sym_undefined] = ACTIONS(2930),
    [anon_sym_AT] = ACTIONS(2928),
    [anon_sym_static] = ACTIONS(2930),
    [anon_sym_readonly] = ACTIONS(2930),
    [anon_sym_get] = ACTIONS(2930),
    [anon_sym_set] = ACTIONS(2930),
    [anon_sym_declare] = ACTIONS(2930),
    [anon_sym_public] = ACTIONS(2930),
    [anon_sym_private] = ACTIONS(2930),
    [anon_sym_protected] = ACTIONS(2930),
    [anon_sym_override] = ACTIONS(2930),
    [anon_sym_module] = ACTIONS(2930),
    [anon_sym_any] = ACTIONS(2930),
    [anon_sym_number] = ACTIONS(2930),
    [anon_sym_boolean] = ACTIONS(2930),
    [anon_sym_string] = ACTIONS(2930),
    [anon_sym_symbol] = ACTIONS(2930),
    [anon_sym_object] = ACTIONS(2930),
    [anon_sym_abstract] = ACTIONS(2930),
    [anon_sym_interface] = ACTIONS(2930),
    [anon_sym_enum] = ACTIONS(2930),
    [sym_html_comment] = ACTIONS(5),
  },
  [924] = {
    [ts_builtin_sym_end] = ACTIONS(2932),
    [sym_identifier] = ACTIONS(2934),
    [anon_sym_export] = ACTIONS(2934),
    [anon_sym_default] = ACTIONS(2934),
    [anon_sym_type] = ACTIONS(2934),
    [anon_sym_namespace] = ACTIONS(2934),
    [anon_sym_LBRACE] = ACTIONS(2932),
    [anon_sym_RBRACE] = ACTIONS(2932),
    [anon_sym_typeof] = ACTIONS(2934),
    [anon_sym_import] = ACTIONS(2934),
    [anon_sym_with] = ACTIONS(2934),
    [anon_sym_var] = ACTIONS(2934),
    [anon_sym_let] = ACTIONS(2934),
    [anon_sym_const] = ACTIONS(2934),
    [anon_sym_BANG] = ACTIONS(2932),
    [anon_sym_else] = ACTIONS(2934),
    [anon_sym_if] = ACTIONS(2934),
    [anon_sym_switch] = ACTIONS(2934),
    [anon_sym_for] = ACTIONS(2934),
    [anon_sym_LPAREN] = ACTIONS(2932),
    [anon_sym_SEMI] = ACTIONS(2932),
    [anon_sym_await] = ACTIONS(2934),
    [anon_sym_while] = ACTIONS(2934),
    [anon_sym_do] = ACTIONS(2934),
    [anon_sym_try] = ACTIONS(2934),
    [anon_sym_break] = ACTIONS(2934),
    [anon_sym_continue] = ACTIONS(2934),
    [anon_sym_debugger] = ACTIONS(2934),
    [anon_sym_return] = ACTIONS(2934),
    [anon_sym_throw] = ACTIONS(2934),
    [anon_sym_case] = ACTIONS(2934),
    [anon_sym_yield] = ACTIONS(2934),
    [anon_sym_LBRACK] = ACTIONS(2932),
    [sym_glimmer_opening_tag] = ACTIONS(2932),
    [anon_sym_DQUOTE] = ACTIONS(2932),
    [anon_sym_SQUOTE] = ACTIONS(2932),
    [anon_sym_class] = ACTIONS(2934),
    [anon_sym_async] = ACTIONS(2934),
    [anon_sym_function] = ACTIONS(2934),
    [anon_sym_new] = ACTIONS(2934),
    [anon_sym_using] = ACTIONS(2934),
    [anon_sym_PLUS] = ACTIONS(2934),
    [anon_sym_DASH] = ACTIONS(2934),
    [anon_sym_SLASH] = ACTIONS(2934),
    [anon_sym_LT] = ACTIONS(2934),
    [anon_sym_TILDE] = ACTIONS(2932),
    [anon_sym_void] = ACTIONS(2934),
    [anon_sym_delete] = ACTIONS(2934),
    [anon_sym_PLUS_PLUS] = ACTIONS(2932),
    [anon_sym_DASH_DASH] = ACTIONS(2932),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2932),
    [sym_number] = ACTIONS(2932),
    [sym_private_property_identifier] = ACTIONS(2932),
    [sym_this] = ACTIONS(2934),
    [sym_super] = ACTIONS(2934),
    [sym_true] = ACTIONS(2934),
    [sym_false] = ACTIONS(2934),
    [sym_null] = ACTIONS(2934),
    [sym_undefined] = ACTIONS(2934),
    [anon_sym_AT] = ACTIONS(2932),
    [anon_sym_static] = ACTIONS(2934),
    [anon_sym_readonly] = ACTIONS(2934),
    [anon_sym_get] = ACTIONS(2934),
    [anon_sym_set] = ACTIONS(2934),
    [anon_sym_declare] = ACTIONS(2934),
    [anon_sym_public] = ACTIONS(2934),
    [anon_sym_private] = ACTIONS(2934),
    [anon_sym_protected] = ACTIONS(2934),
    [anon_sym_override] = ACTIONS(2934),
    [anon_sym_module] = ACTIONS(2934),
    [anon_sym_any] = ACTIONS(2934),
    [anon_sym_number] = ACTIONS(2934),
    [anon_sym_boolean] = ACTIONS(2934),
    [anon_sym_string] = ACTIONS(2934),
    [anon_sym_symbol] = ACTIONS(2934),
    [anon_sym_object] = ACTIONS(2934),
    [anon_sym_abstract] = ACTIONS(2934),
    [anon_sym_interface] = ACTIONS(2934),
    [anon_sym_enum] = ACTIONS(2934),
    [sym_html_comment] = ACTIONS(5),
  },
  [925] = {
    [sym_import] = STATE(4680),
    [sym_nested_identifier] = STATE(5868),
    [sym_string] = STATE(3013),
    [sym_formal_parameters] = STATE(5631),
    [sym_rest_pattern] = STATE(5268),
    [sym_nested_type_identifier] = STATE(2941),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3315),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2944),
    [sym_type] = STATE(3832),
    [sym_tuple_parameter] = STATE(4542),
    [sym_optional_tuple_parameter] = STATE(4542),
    [sym_optional_type] = STATE(4542),
    [sym_rest_type] = STATE(4542),
    [sym__tuple_type_member] = STATE(4542),
    [sym_constructor_type] = STATE(2974),
    [sym_primary_type] = STATE(3014),
    [sym_template_literal_type] = STATE(3018),
    [sym_infer_type] = STATE(2974),
    [sym_conditional_type] = STATE(3018),
    [sym_generic_type] = STATE(3018),
    [sym_type_query] = STATE(3018),
    [sym_index_type_query] = STATE(3018),
    [sym_lookup_type] = STATE(3018),
    [sym_literal_type] = STATE(3018),
    [sym__number] = STATE(3031),
    [sym_existential_type] = STATE(3018),
    [sym_flow_maybe_type] = STATE(3018),
    [sym_parenthesized_type] = STATE(3018),
    [sym_predefined_type] = STATE(3018),
    [sym_object_type] = STATE(3018),
    [sym_type_parameters] = STATE(5464),
    [sym_array_type] = STATE(3018),
    [sym_tuple_type] = STATE(3018),
    [sym_readonly_type] = STATE(2974),
    [sym_union_type] = STATE(3018),
    [sym_intersection_type] = STATE(3018),
    [sym_function_type] = STATE(2974),
    [sym_identifier] = ACTIONS(2560),
    [anon_sym_STAR] = ACTIONS(582),
    [anon_sym_LBRACE] = ACTIONS(1541),
    [anon_sym_COMMA] = ACTIONS(2936),
    [anon_sym_typeof] = ACTIONS(1543),
    [anon_sym_import] = ACTIONS(1545),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1547),
    [anon_sym_LBRACK] = ACTIONS(1549),
    [anon_sym_RBRACK] = ACTIONS(2938),
    [anon_sym_DQUOTE] = ACTIONS(1551),
    [anon_sym_SQUOTE] = ACTIONS(1553),
    [anon_sym_new] = ACTIONS(1613),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2566),
    [anon_sym_AMP] = ACTIONS(610),
    [anon_sym_PIPE] = ACTIONS(612),
    [anon_sym_PLUS] = ACTIONS(2568),
    [anon_sym_DASH] = ACTIONS(2568),
    [anon_sym_LT] = ACTIONS(2570),
    [anon_sym_void] = ACTIONS(217),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1561),
    [sym_number] = ACTIONS(1563),
    [sym_this] = ACTIONS(1565),
    [sym_true] = ACTIONS(1567),
    [sym_false] = ACTIONS(1567),
    [sym_null] = ACTIONS(1567),
    [sym_undefined] = ACTIONS(1567),
    [anon_sym_readonly] = ACTIONS(1619),
    [anon_sym_QMARK] = ACTIONS(632),
    [anon_sym_any] = ACTIONS(217),
    [anon_sym_number] = ACTIONS(217),
    [anon_sym_boolean] = ACTIONS(217),
    [anon_sym_string] = ACTIONS(217),
    [anon_sym_symbol] = ACTIONS(217),
    [anon_sym_object] = ACTIONS(217),
    [anon_sym_abstract] = ACTIONS(636),
    [anon_sym_infer] = ACTIONS(638),
    [anon_sym_keyof] = ACTIONS(640),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym_html_comment] = ACTIONS(5),
  },
  [926] = {
    [ts_builtin_sym_end] = ACTIONS(2940),
    [sym_identifier] = ACTIONS(2942),
    [anon_sym_export] = ACTIONS(2942),
    [anon_sym_default] = ACTIONS(2942),
    [anon_sym_type] = ACTIONS(2942),
    [anon_sym_namespace] = ACTIONS(2942),
    [anon_sym_LBRACE] = ACTIONS(2940),
    [anon_sym_RBRACE] = ACTIONS(2940),
    [anon_sym_typeof] = ACTIONS(2942),
    [anon_sym_import] = ACTIONS(2942),
    [anon_sym_with] = ACTIONS(2942),
    [anon_sym_var] = ACTIONS(2942),
    [anon_sym_let] = ACTIONS(2942),
    [anon_sym_const] = ACTIONS(2942),
    [anon_sym_BANG] = ACTIONS(2940),
    [anon_sym_else] = ACTIONS(2942),
    [anon_sym_if] = ACTIONS(2942),
    [anon_sym_switch] = ACTIONS(2942),
    [anon_sym_for] = ACTIONS(2942),
    [anon_sym_LPAREN] = ACTIONS(2940),
    [anon_sym_SEMI] = ACTIONS(2940),
    [anon_sym_await] = ACTIONS(2942),
    [anon_sym_while] = ACTIONS(2942),
    [anon_sym_do] = ACTIONS(2942),
    [anon_sym_try] = ACTIONS(2942),
    [anon_sym_break] = ACTIONS(2942),
    [anon_sym_continue] = ACTIONS(2942),
    [anon_sym_debugger] = ACTIONS(2942),
    [anon_sym_return] = ACTIONS(2942),
    [anon_sym_throw] = ACTIONS(2942),
    [anon_sym_case] = ACTIONS(2942),
    [anon_sym_yield] = ACTIONS(2942),
    [anon_sym_LBRACK] = ACTIONS(2940),
    [sym_glimmer_opening_tag] = ACTIONS(2940),
    [anon_sym_DQUOTE] = ACTIONS(2940),
    [anon_sym_SQUOTE] = ACTIONS(2940),
    [anon_sym_class] = ACTIONS(2942),
    [anon_sym_async] = ACTIONS(2942),
    [anon_sym_function] = ACTIONS(2942),
    [anon_sym_new] = ACTIONS(2942),
    [anon_sym_using] = ACTIONS(2942),
    [anon_sym_PLUS] = ACTIONS(2942),
    [anon_sym_DASH] = ACTIONS(2942),
    [anon_sym_SLASH] = ACTIONS(2942),
    [anon_sym_LT] = ACTIONS(2942),
    [anon_sym_TILDE] = ACTIONS(2940),
    [anon_sym_void] = ACTIONS(2942),
    [anon_sym_delete] = ACTIONS(2942),
    [anon_sym_PLUS_PLUS] = ACTIONS(2940),
    [anon_sym_DASH_DASH] = ACTIONS(2940),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2940),
    [sym_number] = ACTIONS(2940),
    [sym_private_property_identifier] = ACTIONS(2940),
    [sym_this] = ACTIONS(2942),
    [sym_super] = ACTIONS(2942),
    [sym_true] = ACTIONS(2942),
    [sym_false] = ACTIONS(2942),
    [sym_null] = ACTIONS(2942),
    [sym_undefined] = ACTIONS(2942),
    [anon_sym_AT] = ACTIONS(2940),
    [anon_sym_static] = ACTIONS(2942),
    [anon_sym_readonly] = ACTIONS(2942),
    [anon_sym_get] = ACTIONS(2942),
    [anon_sym_set] = ACTIONS(2942),
    [anon_sym_declare] = ACTIONS(2942),
    [anon_sym_public] = ACTIONS(2942),
    [anon_sym_private] = ACTIONS(2942),
    [anon_sym_protected] = ACTIONS(2942),
    [anon_sym_override] = ACTIONS(2942),
    [anon_sym_module] = ACTIONS(2942),
    [anon_sym_any] = ACTIONS(2942),
    [anon_sym_number] = ACTIONS(2942),
    [anon_sym_boolean] = ACTIONS(2942),
    [anon_sym_string] = ACTIONS(2942),
    [anon_sym_symbol] = ACTIONS(2942),
    [anon_sym_object] = ACTIONS(2942),
    [anon_sym_abstract] = ACTIONS(2942),
    [anon_sym_interface] = ACTIONS(2942),
    [anon_sym_enum] = ACTIONS(2942),
    [sym_html_comment] = ACTIONS(5),
  },
  [927] = {
    [ts_builtin_sym_end] = ACTIONS(2944),
    [sym_identifier] = ACTIONS(2946),
    [anon_sym_export] = ACTIONS(2946),
    [anon_sym_default] = ACTIONS(2946),
    [anon_sym_type] = ACTIONS(2946),
    [anon_sym_namespace] = ACTIONS(2946),
    [anon_sym_LBRACE] = ACTIONS(2944),
    [anon_sym_RBRACE] = ACTIONS(2944),
    [anon_sym_typeof] = ACTIONS(2946),
    [anon_sym_import] = ACTIONS(2946),
    [anon_sym_with] = ACTIONS(2946),
    [anon_sym_var] = ACTIONS(2946),
    [anon_sym_let] = ACTIONS(2946),
    [anon_sym_const] = ACTIONS(2946),
    [anon_sym_BANG] = ACTIONS(2944),
    [anon_sym_else] = ACTIONS(2946),
    [anon_sym_if] = ACTIONS(2946),
    [anon_sym_switch] = ACTIONS(2946),
    [anon_sym_for] = ACTIONS(2946),
    [anon_sym_LPAREN] = ACTIONS(2944),
    [anon_sym_SEMI] = ACTIONS(2944),
    [anon_sym_await] = ACTIONS(2946),
    [anon_sym_while] = ACTIONS(2946),
    [anon_sym_do] = ACTIONS(2946),
    [anon_sym_try] = ACTIONS(2946),
    [anon_sym_break] = ACTIONS(2946),
    [anon_sym_continue] = ACTIONS(2946),
    [anon_sym_debugger] = ACTIONS(2946),
    [anon_sym_return] = ACTIONS(2946),
    [anon_sym_throw] = ACTIONS(2946),
    [anon_sym_case] = ACTIONS(2946),
    [anon_sym_yield] = ACTIONS(2946),
    [anon_sym_LBRACK] = ACTIONS(2944),
    [sym_glimmer_opening_tag] = ACTIONS(2944),
    [anon_sym_DQUOTE] = ACTIONS(2944),
    [anon_sym_SQUOTE] = ACTIONS(2944),
    [anon_sym_class] = ACTIONS(2946),
    [anon_sym_async] = ACTIONS(2946),
    [anon_sym_function] = ACTIONS(2946),
    [anon_sym_new] = ACTIONS(2946),
    [anon_sym_using] = ACTIONS(2946),
    [anon_sym_PLUS] = ACTIONS(2946),
    [anon_sym_DASH] = ACTIONS(2946),
    [anon_sym_SLASH] = ACTIONS(2946),
    [anon_sym_LT] = ACTIONS(2946),
    [anon_sym_TILDE] = ACTIONS(2944),
    [anon_sym_void] = ACTIONS(2946),
    [anon_sym_delete] = ACTIONS(2946),
    [anon_sym_PLUS_PLUS] = ACTIONS(2944),
    [anon_sym_DASH_DASH] = ACTIONS(2944),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2944),
    [sym_number] = ACTIONS(2944),
    [sym_private_property_identifier] = ACTIONS(2944),
    [sym_this] = ACTIONS(2946),
    [sym_super] = ACTIONS(2946),
    [sym_true] = ACTIONS(2946),
    [sym_false] = ACTIONS(2946),
    [sym_null] = ACTIONS(2946),
    [sym_undefined] = ACTIONS(2946),
    [anon_sym_AT] = ACTIONS(2944),
    [anon_sym_static] = ACTIONS(2946),
    [anon_sym_readonly] = ACTIONS(2946),
    [anon_sym_get] = ACTIONS(2946),
    [anon_sym_set] = ACTIONS(2946),
    [anon_sym_declare] = ACTIONS(2946),
    [anon_sym_public] = ACTIONS(2946),
    [anon_sym_private] = ACTIONS(2946),
    [anon_sym_protected] = ACTIONS(2946),
    [anon_sym_override] = ACTIONS(2946),
    [anon_sym_module] = ACTIONS(2946),
    [anon_sym_any] = ACTIONS(2946),
    [anon_sym_number] = ACTIONS(2946),
    [anon_sym_boolean] = ACTIONS(2946),
    [anon_sym_string] = ACTIONS(2946),
    [anon_sym_symbol] = ACTIONS(2946),
    [anon_sym_object] = ACTIONS(2946),
    [anon_sym_abstract] = ACTIONS(2946),
    [anon_sym_interface] = ACTIONS(2946),
    [anon_sym_enum] = ACTIONS(2946),
    [sym_html_comment] = ACTIONS(5),
  },
  [928] = {
    [ts_builtin_sym_end] = ACTIONS(2544),
    [sym_identifier] = ACTIONS(2546),
    [anon_sym_export] = ACTIONS(2546),
    [anon_sym_default] = ACTIONS(2546),
    [anon_sym_type] = ACTIONS(2546),
    [anon_sym_namespace] = ACTIONS(2546),
    [anon_sym_LBRACE] = ACTIONS(2544),
    [anon_sym_RBRACE] = ACTIONS(2544),
    [anon_sym_typeof] = ACTIONS(2546),
    [anon_sym_import] = ACTIONS(2546),
    [anon_sym_with] = ACTIONS(2546),
    [anon_sym_var] = ACTIONS(2546),
    [anon_sym_let] = ACTIONS(2546),
    [anon_sym_const] = ACTIONS(2546),
    [anon_sym_BANG] = ACTIONS(2544),
    [anon_sym_else] = ACTIONS(2546),
    [anon_sym_if] = ACTIONS(2546),
    [anon_sym_switch] = ACTIONS(2546),
    [anon_sym_for] = ACTIONS(2546),
    [anon_sym_LPAREN] = ACTIONS(2544),
    [anon_sym_SEMI] = ACTIONS(2544),
    [anon_sym_await] = ACTIONS(2546),
    [anon_sym_while] = ACTIONS(2546),
    [anon_sym_do] = ACTIONS(2546),
    [anon_sym_try] = ACTIONS(2546),
    [anon_sym_break] = ACTIONS(2546),
    [anon_sym_continue] = ACTIONS(2546),
    [anon_sym_debugger] = ACTIONS(2546),
    [anon_sym_return] = ACTIONS(2546),
    [anon_sym_throw] = ACTIONS(2546),
    [anon_sym_case] = ACTIONS(2546),
    [anon_sym_yield] = ACTIONS(2546),
    [anon_sym_LBRACK] = ACTIONS(2544),
    [sym_glimmer_opening_tag] = ACTIONS(2544),
    [anon_sym_DQUOTE] = ACTIONS(2544),
    [anon_sym_SQUOTE] = ACTIONS(2544),
    [anon_sym_class] = ACTIONS(2546),
    [anon_sym_async] = ACTIONS(2546),
    [anon_sym_function] = ACTIONS(2546),
    [anon_sym_new] = ACTIONS(2546),
    [anon_sym_using] = ACTIONS(2546),
    [anon_sym_PLUS] = ACTIONS(2546),
    [anon_sym_DASH] = ACTIONS(2546),
    [anon_sym_SLASH] = ACTIONS(2546),
    [anon_sym_LT] = ACTIONS(2546),
    [anon_sym_TILDE] = ACTIONS(2544),
    [anon_sym_void] = ACTIONS(2546),
    [anon_sym_delete] = ACTIONS(2546),
    [anon_sym_PLUS_PLUS] = ACTIONS(2544),
    [anon_sym_DASH_DASH] = ACTIONS(2544),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2544),
    [sym_number] = ACTIONS(2544),
    [sym_private_property_identifier] = ACTIONS(2544),
    [sym_this] = ACTIONS(2546),
    [sym_super] = ACTIONS(2546),
    [sym_true] = ACTIONS(2546),
    [sym_false] = ACTIONS(2546),
    [sym_null] = ACTIONS(2546),
    [sym_undefined] = ACTIONS(2546),
    [anon_sym_AT] = ACTIONS(2544),
    [anon_sym_static] = ACTIONS(2546),
    [anon_sym_readonly] = ACTIONS(2546),
    [anon_sym_get] = ACTIONS(2546),
    [anon_sym_set] = ACTIONS(2546),
    [anon_sym_declare] = ACTIONS(2546),
    [anon_sym_public] = ACTIONS(2546),
    [anon_sym_private] = ACTIONS(2546),
    [anon_sym_protected] = ACTIONS(2546),
    [anon_sym_override] = ACTIONS(2546),
    [anon_sym_module] = ACTIONS(2546),
    [anon_sym_any] = ACTIONS(2546),
    [anon_sym_number] = ACTIONS(2546),
    [anon_sym_boolean] = ACTIONS(2546),
    [anon_sym_string] = ACTIONS(2546),
    [anon_sym_symbol] = ACTIONS(2546),
    [anon_sym_object] = ACTIONS(2546),
    [anon_sym_abstract] = ACTIONS(2546),
    [anon_sym_interface] = ACTIONS(2546),
    [anon_sym_enum] = ACTIONS(2546),
    [sym_html_comment] = ACTIONS(5),
  },
  [929] = {
    [ts_builtin_sym_end] = ACTIONS(2948),
    [sym_identifier] = ACTIONS(2950),
    [anon_sym_export] = ACTIONS(2950),
    [anon_sym_default] = ACTIONS(2950),
    [anon_sym_type] = ACTIONS(2950),
    [anon_sym_namespace] = ACTIONS(2950),
    [anon_sym_LBRACE] = ACTIONS(2948),
    [anon_sym_RBRACE] = ACTIONS(2948),
    [anon_sym_typeof] = ACTIONS(2950),
    [anon_sym_import] = ACTIONS(2950),
    [anon_sym_with] = ACTIONS(2950),
    [anon_sym_var] = ACTIONS(2950),
    [anon_sym_let] = ACTIONS(2950),
    [anon_sym_const] = ACTIONS(2950),
    [anon_sym_BANG] = ACTIONS(2948),
    [anon_sym_else] = ACTIONS(2950),
    [anon_sym_if] = ACTIONS(2950),
    [anon_sym_switch] = ACTIONS(2950),
    [anon_sym_for] = ACTIONS(2950),
    [anon_sym_LPAREN] = ACTIONS(2948),
    [anon_sym_SEMI] = ACTIONS(2948),
    [anon_sym_await] = ACTIONS(2950),
    [anon_sym_while] = ACTIONS(2950),
    [anon_sym_do] = ACTIONS(2950),
    [anon_sym_try] = ACTIONS(2950),
    [anon_sym_break] = ACTIONS(2950),
    [anon_sym_continue] = ACTIONS(2950),
    [anon_sym_debugger] = ACTIONS(2950),
    [anon_sym_return] = ACTIONS(2950),
    [anon_sym_throw] = ACTIONS(2950),
    [anon_sym_case] = ACTIONS(2950),
    [anon_sym_yield] = ACTIONS(2950),
    [anon_sym_LBRACK] = ACTIONS(2948),
    [sym_glimmer_opening_tag] = ACTIONS(2948),
    [anon_sym_DQUOTE] = ACTIONS(2948),
    [anon_sym_SQUOTE] = ACTIONS(2948),
    [anon_sym_class] = ACTIONS(2950),
    [anon_sym_async] = ACTIONS(2950),
    [anon_sym_function] = ACTIONS(2950),
    [anon_sym_new] = ACTIONS(2950),
    [anon_sym_using] = ACTIONS(2950),
    [anon_sym_PLUS] = ACTIONS(2950),
    [anon_sym_DASH] = ACTIONS(2950),
    [anon_sym_SLASH] = ACTIONS(2950),
    [anon_sym_LT] = ACTIONS(2950),
    [anon_sym_TILDE] = ACTIONS(2948),
    [anon_sym_void] = ACTIONS(2950),
    [anon_sym_delete] = ACTIONS(2950),
    [anon_sym_PLUS_PLUS] = ACTIONS(2948),
    [anon_sym_DASH_DASH] = ACTIONS(2948),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2948),
    [sym_number] = ACTIONS(2948),
    [sym_private_property_identifier] = ACTIONS(2948),
    [sym_this] = ACTIONS(2950),
    [sym_super] = ACTIONS(2950),
    [sym_true] = ACTIONS(2950),
    [sym_false] = ACTIONS(2950),
    [sym_null] = ACTIONS(2950),
    [sym_undefined] = ACTIONS(2950),
    [anon_sym_AT] = ACTIONS(2948),
    [anon_sym_static] = ACTIONS(2950),
    [anon_sym_readonly] = ACTIONS(2950),
    [anon_sym_get] = ACTIONS(2950),
    [anon_sym_set] = ACTIONS(2950),
    [anon_sym_declare] = ACTIONS(2950),
    [anon_sym_public] = ACTIONS(2950),
    [anon_sym_private] = ACTIONS(2950),
    [anon_sym_protected] = ACTIONS(2950),
    [anon_sym_override] = ACTIONS(2950),
    [anon_sym_module] = ACTIONS(2950),
    [anon_sym_any] = ACTIONS(2950),
    [anon_sym_number] = ACTIONS(2950),
    [anon_sym_boolean] = ACTIONS(2950),
    [anon_sym_string] = ACTIONS(2950),
    [anon_sym_symbol] = ACTIONS(2950),
    [anon_sym_object] = ACTIONS(2950),
    [anon_sym_abstract] = ACTIONS(2950),
    [anon_sym_interface] = ACTIONS(2950),
    [anon_sym_enum] = ACTIONS(2950),
    [sym_html_comment] = ACTIONS(5),
  },
  [930] = {
    [ts_builtin_sym_end] = ACTIONS(2952),
    [sym_identifier] = ACTIONS(2954),
    [anon_sym_export] = ACTIONS(2954),
    [anon_sym_default] = ACTIONS(2954),
    [anon_sym_type] = ACTIONS(2954),
    [anon_sym_namespace] = ACTIONS(2954),
    [anon_sym_LBRACE] = ACTIONS(2952),
    [anon_sym_RBRACE] = ACTIONS(2952),
    [anon_sym_typeof] = ACTIONS(2954),
    [anon_sym_import] = ACTIONS(2954),
    [anon_sym_with] = ACTIONS(2954),
    [anon_sym_var] = ACTIONS(2954),
    [anon_sym_let] = ACTIONS(2954),
    [anon_sym_const] = ACTIONS(2954),
    [anon_sym_BANG] = ACTIONS(2952),
    [anon_sym_else] = ACTIONS(2954),
    [anon_sym_if] = ACTIONS(2954),
    [anon_sym_switch] = ACTIONS(2954),
    [anon_sym_for] = ACTIONS(2954),
    [anon_sym_LPAREN] = ACTIONS(2952),
    [anon_sym_SEMI] = ACTIONS(2952),
    [anon_sym_await] = ACTIONS(2954),
    [anon_sym_while] = ACTIONS(2954),
    [anon_sym_do] = ACTIONS(2954),
    [anon_sym_try] = ACTIONS(2954),
    [anon_sym_break] = ACTIONS(2954),
    [anon_sym_continue] = ACTIONS(2954),
    [anon_sym_debugger] = ACTIONS(2954),
    [anon_sym_return] = ACTIONS(2954),
    [anon_sym_throw] = ACTIONS(2954),
    [anon_sym_case] = ACTIONS(2954),
    [anon_sym_yield] = ACTIONS(2954),
    [anon_sym_LBRACK] = ACTIONS(2952),
    [sym_glimmer_opening_tag] = ACTIONS(2952),
    [anon_sym_DQUOTE] = ACTIONS(2952),
    [anon_sym_SQUOTE] = ACTIONS(2952),
    [anon_sym_class] = ACTIONS(2954),
    [anon_sym_async] = ACTIONS(2954),
    [anon_sym_function] = ACTIONS(2954),
    [anon_sym_new] = ACTIONS(2954),
    [anon_sym_using] = ACTIONS(2954),
    [anon_sym_PLUS] = ACTIONS(2954),
    [anon_sym_DASH] = ACTIONS(2954),
    [anon_sym_SLASH] = ACTIONS(2954),
    [anon_sym_LT] = ACTIONS(2954),
    [anon_sym_TILDE] = ACTIONS(2952),
    [anon_sym_void] = ACTIONS(2954),
    [anon_sym_delete] = ACTIONS(2954),
    [anon_sym_PLUS_PLUS] = ACTIONS(2952),
    [anon_sym_DASH_DASH] = ACTIONS(2952),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2952),
    [sym_number] = ACTIONS(2952),
    [sym_private_property_identifier] = ACTIONS(2952),
    [sym_this] = ACTIONS(2954),
    [sym_super] = ACTIONS(2954),
    [sym_true] = ACTIONS(2954),
    [sym_false] = ACTIONS(2954),
    [sym_null] = ACTIONS(2954),
    [sym_undefined] = ACTIONS(2954),
    [anon_sym_AT] = ACTIONS(2952),
    [anon_sym_static] = ACTIONS(2954),
    [anon_sym_readonly] = ACTIONS(2954),
    [anon_sym_get] = ACTIONS(2954),
    [anon_sym_set] = ACTIONS(2954),
    [anon_sym_declare] = ACTIONS(2954),
    [anon_sym_public] = ACTIONS(2954),
    [anon_sym_private] = ACTIONS(2954),
    [anon_sym_protected] = ACTIONS(2954),
    [anon_sym_override] = ACTIONS(2954),
    [anon_sym_module] = ACTIONS(2954),
    [anon_sym_any] = ACTIONS(2954),
    [anon_sym_number] = ACTIONS(2954),
    [anon_sym_boolean] = ACTIONS(2954),
    [anon_sym_string] = ACTIONS(2954),
    [anon_sym_symbol] = ACTIONS(2954),
    [anon_sym_object] = ACTIONS(2954),
    [anon_sym_abstract] = ACTIONS(2954),
    [anon_sym_interface] = ACTIONS(2954),
    [anon_sym_enum] = ACTIONS(2954),
    [sym_html_comment] = ACTIONS(5),
  },
  [931] = {
    [ts_builtin_sym_end] = ACTIONS(2956),
    [sym_identifier] = ACTIONS(2958),
    [anon_sym_export] = ACTIONS(2958),
    [anon_sym_default] = ACTIONS(2958),
    [anon_sym_type] = ACTIONS(2958),
    [anon_sym_namespace] = ACTIONS(2958),
    [anon_sym_LBRACE] = ACTIONS(2956),
    [anon_sym_RBRACE] = ACTIONS(2956),
    [anon_sym_typeof] = ACTIONS(2958),
    [anon_sym_import] = ACTIONS(2958),
    [anon_sym_with] = ACTIONS(2958),
    [anon_sym_var] = ACTIONS(2958),
    [anon_sym_let] = ACTIONS(2958),
    [anon_sym_const] = ACTIONS(2958),
    [anon_sym_BANG] = ACTIONS(2956),
    [anon_sym_else] = ACTIONS(2958),
    [anon_sym_if] = ACTIONS(2958),
    [anon_sym_switch] = ACTIONS(2958),
    [anon_sym_for] = ACTIONS(2958),
    [anon_sym_LPAREN] = ACTIONS(2956),
    [anon_sym_SEMI] = ACTIONS(2956),
    [anon_sym_await] = ACTIONS(2958),
    [anon_sym_while] = ACTIONS(2958),
    [anon_sym_do] = ACTIONS(2958),
    [anon_sym_try] = ACTIONS(2958),
    [anon_sym_break] = ACTIONS(2958),
    [anon_sym_continue] = ACTIONS(2958),
    [anon_sym_debugger] = ACTIONS(2958),
    [anon_sym_return] = ACTIONS(2958),
    [anon_sym_throw] = ACTIONS(2958),
    [anon_sym_case] = ACTIONS(2958),
    [anon_sym_yield] = ACTIONS(2958),
    [anon_sym_LBRACK] = ACTIONS(2956),
    [sym_glimmer_opening_tag] = ACTIONS(2956),
    [anon_sym_DQUOTE] = ACTIONS(2956),
    [anon_sym_SQUOTE] = ACTIONS(2956),
    [anon_sym_class] = ACTIONS(2958),
    [anon_sym_async] = ACTIONS(2958),
    [anon_sym_function] = ACTIONS(2958),
    [anon_sym_new] = ACTIONS(2958),
    [anon_sym_using] = ACTIONS(2958),
    [anon_sym_PLUS] = ACTIONS(2958),
    [anon_sym_DASH] = ACTIONS(2958),
    [anon_sym_SLASH] = ACTIONS(2958),
    [anon_sym_LT] = ACTIONS(2958),
    [anon_sym_TILDE] = ACTIONS(2956),
    [anon_sym_void] = ACTIONS(2958),
    [anon_sym_delete] = ACTIONS(2958),
    [anon_sym_PLUS_PLUS] = ACTIONS(2956),
    [anon_sym_DASH_DASH] = ACTIONS(2956),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2956),
    [sym_number] = ACTIONS(2956),
    [sym_private_property_identifier] = ACTIONS(2956),
    [sym_this] = ACTIONS(2958),
    [sym_super] = ACTIONS(2958),
    [sym_true] = ACTIONS(2958),
    [sym_false] = ACTIONS(2958),
    [sym_null] = ACTIONS(2958),
    [sym_undefined] = ACTIONS(2958),
    [anon_sym_AT] = ACTIONS(2956),
    [anon_sym_static] = ACTIONS(2958),
    [anon_sym_readonly] = ACTIONS(2958),
    [anon_sym_get] = ACTIONS(2958),
    [anon_sym_set] = ACTIONS(2958),
    [anon_sym_declare] = ACTIONS(2958),
    [anon_sym_public] = ACTIONS(2958),
    [anon_sym_private] = ACTIONS(2958),
    [anon_sym_protected] = ACTIONS(2958),
    [anon_sym_override] = ACTIONS(2958),
    [anon_sym_module] = ACTIONS(2958),
    [anon_sym_any] = ACTIONS(2958),
    [anon_sym_number] = ACTIONS(2958),
    [anon_sym_boolean] = ACTIONS(2958),
    [anon_sym_string] = ACTIONS(2958),
    [anon_sym_symbol] = ACTIONS(2958),
    [anon_sym_object] = ACTIONS(2958),
    [anon_sym_abstract] = ACTIONS(2958),
    [anon_sym_interface] = ACTIONS(2958),
    [anon_sym_enum] = ACTIONS(2958),
    [sym_html_comment] = ACTIONS(5),
  },
  [932] = {
    [ts_builtin_sym_end] = ACTIONS(2960),
    [sym_identifier] = ACTIONS(2962),
    [anon_sym_export] = ACTIONS(2962),
    [anon_sym_default] = ACTIONS(2962),
    [anon_sym_type] = ACTIONS(2962),
    [anon_sym_namespace] = ACTIONS(2962),
    [anon_sym_LBRACE] = ACTIONS(2960),
    [anon_sym_RBRACE] = ACTIONS(2960),
    [anon_sym_typeof] = ACTIONS(2962),
    [anon_sym_import] = ACTIONS(2962),
    [anon_sym_with] = ACTIONS(2962),
    [anon_sym_var] = ACTIONS(2962),
    [anon_sym_let] = ACTIONS(2962),
    [anon_sym_const] = ACTIONS(2962),
    [anon_sym_BANG] = ACTIONS(2960),
    [anon_sym_else] = ACTIONS(2962),
    [anon_sym_if] = ACTIONS(2962),
    [anon_sym_switch] = ACTIONS(2962),
    [anon_sym_for] = ACTIONS(2962),
    [anon_sym_LPAREN] = ACTIONS(2960),
    [anon_sym_SEMI] = ACTIONS(2960),
    [anon_sym_await] = ACTIONS(2962),
    [anon_sym_while] = ACTIONS(2962),
    [anon_sym_do] = ACTIONS(2962),
    [anon_sym_try] = ACTIONS(2962),
    [anon_sym_break] = ACTIONS(2962),
    [anon_sym_continue] = ACTIONS(2962),
    [anon_sym_debugger] = ACTIONS(2962),
    [anon_sym_return] = ACTIONS(2962),
    [anon_sym_throw] = ACTIONS(2962),
    [anon_sym_case] = ACTIONS(2962),
    [anon_sym_yield] = ACTIONS(2962),
    [anon_sym_LBRACK] = ACTIONS(2960),
    [sym_glimmer_opening_tag] = ACTIONS(2960),
    [anon_sym_DQUOTE] = ACTIONS(2960),
    [anon_sym_SQUOTE] = ACTIONS(2960),
    [anon_sym_class] = ACTIONS(2962),
    [anon_sym_async] = ACTIONS(2962),
    [anon_sym_function] = ACTIONS(2962),
    [anon_sym_new] = ACTIONS(2962),
    [anon_sym_using] = ACTIONS(2962),
    [anon_sym_PLUS] = ACTIONS(2962),
    [anon_sym_DASH] = ACTIONS(2962),
    [anon_sym_SLASH] = ACTIONS(2962),
    [anon_sym_LT] = ACTIONS(2962),
    [anon_sym_TILDE] = ACTIONS(2960),
    [anon_sym_void] = ACTIONS(2962),
    [anon_sym_delete] = ACTIONS(2962),
    [anon_sym_PLUS_PLUS] = ACTIONS(2960),
    [anon_sym_DASH_DASH] = ACTIONS(2960),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2960),
    [sym_number] = ACTIONS(2960),
    [sym_private_property_identifier] = ACTIONS(2960),
    [sym_this] = ACTIONS(2962),
    [sym_super] = ACTIONS(2962),
    [sym_true] = ACTIONS(2962),
    [sym_false] = ACTIONS(2962),
    [sym_null] = ACTIONS(2962),
    [sym_undefined] = ACTIONS(2962),
    [anon_sym_AT] = ACTIONS(2960),
    [anon_sym_static] = ACTIONS(2962),
    [anon_sym_readonly] = ACTIONS(2962),
    [anon_sym_get] = ACTIONS(2962),
    [anon_sym_set] = ACTIONS(2962),
    [anon_sym_declare] = ACTIONS(2962),
    [anon_sym_public] = ACTIONS(2962),
    [anon_sym_private] = ACTIONS(2962),
    [anon_sym_protected] = ACTIONS(2962),
    [anon_sym_override] = ACTIONS(2962),
    [anon_sym_module] = ACTIONS(2962),
    [anon_sym_any] = ACTIONS(2962),
    [anon_sym_number] = ACTIONS(2962),
    [anon_sym_boolean] = ACTIONS(2962),
    [anon_sym_string] = ACTIONS(2962),
    [anon_sym_symbol] = ACTIONS(2962),
    [anon_sym_object] = ACTIONS(2962),
    [anon_sym_abstract] = ACTIONS(2962),
    [anon_sym_interface] = ACTIONS(2962),
    [anon_sym_enum] = ACTIONS(2962),
    [sym_html_comment] = ACTIONS(5),
  },
  [933] = {
    [ts_builtin_sym_end] = ACTIONS(2964),
    [sym_identifier] = ACTIONS(2966),
    [anon_sym_export] = ACTIONS(2966),
    [anon_sym_default] = ACTIONS(2966),
    [anon_sym_type] = ACTIONS(2966),
    [anon_sym_namespace] = ACTIONS(2966),
    [anon_sym_LBRACE] = ACTIONS(2964),
    [anon_sym_RBRACE] = ACTIONS(2964),
    [anon_sym_typeof] = ACTIONS(2966),
    [anon_sym_import] = ACTIONS(2966),
    [anon_sym_with] = ACTIONS(2966),
    [anon_sym_var] = ACTIONS(2966),
    [anon_sym_let] = ACTIONS(2966),
    [anon_sym_const] = ACTIONS(2966),
    [anon_sym_BANG] = ACTIONS(2964),
    [anon_sym_else] = ACTIONS(2966),
    [anon_sym_if] = ACTIONS(2966),
    [anon_sym_switch] = ACTIONS(2966),
    [anon_sym_for] = ACTIONS(2966),
    [anon_sym_LPAREN] = ACTIONS(2964),
    [anon_sym_SEMI] = ACTIONS(2964),
    [anon_sym_await] = ACTIONS(2966),
    [anon_sym_while] = ACTIONS(2966),
    [anon_sym_do] = ACTIONS(2966),
    [anon_sym_try] = ACTIONS(2966),
    [anon_sym_break] = ACTIONS(2966),
    [anon_sym_continue] = ACTIONS(2966),
    [anon_sym_debugger] = ACTIONS(2966),
    [anon_sym_return] = ACTIONS(2966),
    [anon_sym_throw] = ACTIONS(2966),
    [anon_sym_case] = ACTIONS(2966),
    [anon_sym_yield] = ACTIONS(2966),
    [anon_sym_LBRACK] = ACTIONS(2964),
    [sym_glimmer_opening_tag] = ACTIONS(2964),
    [anon_sym_DQUOTE] = ACTIONS(2964),
    [anon_sym_SQUOTE] = ACTIONS(2964),
    [anon_sym_class] = ACTIONS(2966),
    [anon_sym_async] = ACTIONS(2966),
    [anon_sym_function] = ACTIONS(2966),
    [anon_sym_new] = ACTIONS(2966),
    [anon_sym_using] = ACTIONS(2966),
    [anon_sym_PLUS] = ACTIONS(2966),
    [anon_sym_DASH] = ACTIONS(2966),
    [anon_sym_SLASH] = ACTIONS(2966),
    [anon_sym_LT] = ACTIONS(2966),
    [anon_sym_TILDE] = ACTIONS(2964),
    [anon_sym_void] = ACTIONS(2966),
    [anon_sym_delete] = ACTIONS(2966),
    [anon_sym_PLUS_PLUS] = ACTIONS(2964),
    [anon_sym_DASH_DASH] = ACTIONS(2964),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2964),
    [sym_number] = ACTIONS(2964),
    [sym_private_property_identifier] = ACTIONS(2964),
    [sym_this] = ACTIONS(2966),
    [sym_super] = ACTIONS(2966),
    [sym_true] = ACTIONS(2966),
    [sym_false] = ACTIONS(2966),
    [sym_null] = ACTIONS(2966),
    [sym_undefined] = ACTIONS(2966),
    [anon_sym_AT] = ACTIONS(2964),
    [anon_sym_static] = ACTIONS(2966),
    [anon_sym_readonly] = ACTIONS(2966),
    [anon_sym_get] = ACTIONS(2966),
    [anon_sym_set] = ACTIONS(2966),
    [anon_sym_declare] = ACTIONS(2966),
    [anon_sym_public] = ACTIONS(2966),
    [anon_sym_private] = ACTIONS(2966),
    [anon_sym_protected] = ACTIONS(2966),
    [anon_sym_override] = ACTIONS(2966),
    [anon_sym_module] = ACTIONS(2966),
    [anon_sym_any] = ACTIONS(2966),
    [anon_sym_number] = ACTIONS(2966),
    [anon_sym_boolean] = ACTIONS(2966),
    [anon_sym_string] = ACTIONS(2966),
    [anon_sym_symbol] = ACTIONS(2966),
    [anon_sym_object] = ACTIONS(2966),
    [anon_sym_abstract] = ACTIONS(2966),
    [anon_sym_interface] = ACTIONS(2966),
    [anon_sym_enum] = ACTIONS(2966),
    [sym_html_comment] = ACTIONS(5),
  },
  [934] = {
    [ts_builtin_sym_end] = ACTIONS(2968),
    [sym_identifier] = ACTIONS(2970),
    [anon_sym_export] = ACTIONS(2970),
    [anon_sym_default] = ACTIONS(2970),
    [anon_sym_type] = ACTIONS(2970),
    [anon_sym_namespace] = ACTIONS(2970),
    [anon_sym_LBRACE] = ACTIONS(2968),
    [anon_sym_RBRACE] = ACTIONS(2968),
    [anon_sym_typeof] = ACTIONS(2970),
    [anon_sym_import] = ACTIONS(2970),
    [anon_sym_with] = ACTIONS(2970),
    [anon_sym_var] = ACTIONS(2970),
    [anon_sym_let] = ACTIONS(2970),
    [anon_sym_const] = ACTIONS(2970),
    [anon_sym_BANG] = ACTIONS(2968),
    [anon_sym_else] = ACTIONS(2970),
    [anon_sym_if] = ACTIONS(2970),
    [anon_sym_switch] = ACTIONS(2970),
    [anon_sym_for] = ACTIONS(2970),
    [anon_sym_LPAREN] = ACTIONS(2968),
    [anon_sym_SEMI] = ACTIONS(2968),
    [anon_sym_await] = ACTIONS(2970),
    [anon_sym_while] = ACTIONS(2970),
    [anon_sym_do] = ACTIONS(2970),
    [anon_sym_try] = ACTIONS(2970),
    [anon_sym_break] = ACTIONS(2970),
    [anon_sym_continue] = ACTIONS(2970),
    [anon_sym_debugger] = ACTIONS(2970),
    [anon_sym_return] = ACTIONS(2970),
    [anon_sym_throw] = ACTIONS(2970),
    [anon_sym_case] = ACTIONS(2970),
    [anon_sym_yield] = ACTIONS(2970),
    [anon_sym_LBRACK] = ACTIONS(2968),
    [sym_glimmer_opening_tag] = ACTIONS(2968),
    [anon_sym_DQUOTE] = ACTIONS(2968),
    [anon_sym_SQUOTE] = ACTIONS(2968),
    [anon_sym_class] = ACTIONS(2970),
    [anon_sym_async] = ACTIONS(2970),
    [anon_sym_function] = ACTIONS(2970),
    [anon_sym_new] = ACTIONS(2970),
    [anon_sym_using] = ACTIONS(2970),
    [anon_sym_PLUS] = ACTIONS(2970),
    [anon_sym_DASH] = ACTIONS(2970),
    [anon_sym_SLASH] = ACTIONS(2970),
    [anon_sym_LT] = ACTIONS(2970),
    [anon_sym_TILDE] = ACTIONS(2968),
    [anon_sym_void] = ACTIONS(2970),
    [anon_sym_delete] = ACTIONS(2970),
    [anon_sym_PLUS_PLUS] = ACTIONS(2968),
    [anon_sym_DASH_DASH] = ACTIONS(2968),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2968),
    [sym_number] = ACTIONS(2968),
    [sym_private_property_identifier] = ACTIONS(2968),
    [sym_this] = ACTIONS(2970),
    [sym_super] = ACTIONS(2970),
    [sym_true] = ACTIONS(2970),
    [sym_false] = ACTIONS(2970),
    [sym_null] = ACTIONS(2970),
    [sym_undefined] = ACTIONS(2970),
    [anon_sym_AT] = ACTIONS(2968),
    [anon_sym_static] = ACTIONS(2970),
    [anon_sym_readonly] = ACTIONS(2970),
    [anon_sym_get] = ACTIONS(2970),
    [anon_sym_set] = ACTIONS(2970),
    [anon_sym_declare] = ACTIONS(2970),
    [anon_sym_public] = ACTIONS(2970),
    [anon_sym_private] = ACTIONS(2970),
    [anon_sym_protected] = ACTIONS(2970),
    [anon_sym_override] = ACTIONS(2970),
    [anon_sym_module] = ACTIONS(2970),
    [anon_sym_any] = ACTIONS(2970),
    [anon_sym_number] = ACTIONS(2970),
    [anon_sym_boolean] = ACTIONS(2970),
    [anon_sym_string] = ACTIONS(2970),
    [anon_sym_symbol] = ACTIONS(2970),
    [anon_sym_object] = ACTIONS(2970),
    [anon_sym_abstract] = ACTIONS(2970),
    [anon_sym_interface] = ACTIONS(2970),
    [anon_sym_enum] = ACTIONS(2970),
    [sym_html_comment] = ACTIONS(5),
  },
  [935] = {
    [sym_import] = STATE(4680),
    [sym_nested_identifier] = STATE(5868),
    [sym_string] = STATE(3013),
    [sym_formal_parameters] = STATE(5631),
    [sym_rest_pattern] = STATE(5268),
    [sym_nested_type_identifier] = STATE(2941),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3315),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2944),
    [sym_type] = STATE(3832),
    [sym_tuple_parameter] = STATE(5293),
    [sym_optional_tuple_parameter] = STATE(5293),
    [sym_optional_type] = STATE(5293),
    [sym_rest_type] = STATE(5293),
    [sym__tuple_type_member] = STATE(5293),
    [sym_constructor_type] = STATE(2974),
    [sym_primary_type] = STATE(3014),
    [sym_template_literal_type] = STATE(3018),
    [sym_infer_type] = STATE(2974),
    [sym_conditional_type] = STATE(3018),
    [sym_generic_type] = STATE(3018),
    [sym_type_query] = STATE(3018),
    [sym_index_type_query] = STATE(3018),
    [sym_lookup_type] = STATE(3018),
    [sym_literal_type] = STATE(3018),
    [sym__number] = STATE(3031),
    [sym_existential_type] = STATE(3018),
    [sym_flow_maybe_type] = STATE(3018),
    [sym_parenthesized_type] = STATE(3018),
    [sym_predefined_type] = STATE(3018),
    [sym_object_type] = STATE(3018),
    [sym_type_parameters] = STATE(5464),
    [sym_array_type] = STATE(3018),
    [sym_tuple_type] = STATE(3018),
    [sym_readonly_type] = STATE(2974),
    [sym_union_type] = STATE(3018),
    [sym_intersection_type] = STATE(3018),
    [sym_function_type] = STATE(2974),
    [sym_identifier] = ACTIONS(2560),
    [anon_sym_STAR] = ACTIONS(582),
    [anon_sym_LBRACE] = ACTIONS(1541),
    [anon_sym_typeof] = ACTIONS(1543),
    [anon_sym_import] = ACTIONS(1545),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1547),
    [anon_sym_LBRACK] = ACTIONS(1549),
    [anon_sym_RBRACK] = ACTIONS(2972),
    [anon_sym_DQUOTE] = ACTIONS(1551),
    [anon_sym_SQUOTE] = ACTIONS(1553),
    [anon_sym_new] = ACTIONS(1613),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2566),
    [anon_sym_AMP] = ACTIONS(610),
    [anon_sym_PIPE] = ACTIONS(612),
    [anon_sym_PLUS] = ACTIONS(2568),
    [anon_sym_DASH] = ACTIONS(2568),
    [anon_sym_LT] = ACTIONS(2570),
    [anon_sym_void] = ACTIONS(217),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1561),
    [sym_number] = ACTIONS(1563),
    [sym_this] = ACTIONS(1565),
    [sym_true] = ACTIONS(1567),
    [sym_false] = ACTIONS(1567),
    [sym_null] = ACTIONS(1567),
    [sym_undefined] = ACTIONS(1567),
    [anon_sym_readonly] = ACTIONS(1619),
    [anon_sym_QMARK] = ACTIONS(632),
    [anon_sym_any] = ACTIONS(217),
    [anon_sym_number] = ACTIONS(217),
    [anon_sym_boolean] = ACTIONS(217),
    [anon_sym_string] = ACTIONS(217),
    [anon_sym_symbol] = ACTIONS(217),
    [anon_sym_object] = ACTIONS(217),
    [anon_sym_abstract] = ACTIONS(636),
    [anon_sym_infer] = ACTIONS(638),
    [anon_sym_keyof] = ACTIONS(640),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym_html_comment] = ACTIONS(5),
  },
  [936] = {
    [sym_import] = STATE(4680),
    [sym_nested_identifier] = STATE(5868),
    [sym_string] = STATE(3013),
    [sym_formal_parameters] = STATE(5631),
    [sym_rest_pattern] = STATE(5268),
    [sym_nested_type_identifier] = STATE(2941),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3315),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2944),
    [sym_type] = STATE(3832),
    [sym_tuple_parameter] = STATE(5293),
    [sym_optional_tuple_parameter] = STATE(5293),
    [sym_optional_type] = STATE(5293),
    [sym_rest_type] = STATE(5293),
    [sym__tuple_type_member] = STATE(5293),
    [sym_constructor_type] = STATE(2974),
    [sym_primary_type] = STATE(3014),
    [sym_template_literal_type] = STATE(3018),
    [sym_infer_type] = STATE(2974),
    [sym_conditional_type] = STATE(3018),
    [sym_generic_type] = STATE(3018),
    [sym_type_query] = STATE(3018),
    [sym_index_type_query] = STATE(3018),
    [sym_lookup_type] = STATE(3018),
    [sym_literal_type] = STATE(3018),
    [sym__number] = STATE(3031),
    [sym_existential_type] = STATE(3018),
    [sym_flow_maybe_type] = STATE(3018),
    [sym_parenthesized_type] = STATE(3018),
    [sym_predefined_type] = STATE(3018),
    [sym_object_type] = STATE(3018),
    [sym_type_parameters] = STATE(5464),
    [sym_array_type] = STATE(3018),
    [sym_tuple_type] = STATE(3018),
    [sym_readonly_type] = STATE(2974),
    [sym_union_type] = STATE(3018),
    [sym_intersection_type] = STATE(3018),
    [sym_function_type] = STATE(2974),
    [sym_identifier] = ACTIONS(2560),
    [anon_sym_STAR] = ACTIONS(582),
    [anon_sym_LBRACE] = ACTIONS(1541),
    [anon_sym_typeof] = ACTIONS(1543),
    [anon_sym_import] = ACTIONS(1545),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1547),
    [anon_sym_LBRACK] = ACTIONS(1549),
    [anon_sym_RBRACK] = ACTIONS(2974),
    [anon_sym_DQUOTE] = ACTIONS(1551),
    [anon_sym_SQUOTE] = ACTIONS(1553),
    [anon_sym_new] = ACTIONS(1613),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2566),
    [anon_sym_AMP] = ACTIONS(610),
    [anon_sym_PIPE] = ACTIONS(612),
    [anon_sym_PLUS] = ACTIONS(2568),
    [anon_sym_DASH] = ACTIONS(2568),
    [anon_sym_LT] = ACTIONS(2570),
    [anon_sym_void] = ACTIONS(217),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1561),
    [sym_number] = ACTIONS(1563),
    [sym_this] = ACTIONS(1565),
    [sym_true] = ACTIONS(1567),
    [sym_false] = ACTIONS(1567),
    [sym_null] = ACTIONS(1567),
    [sym_undefined] = ACTIONS(1567),
    [anon_sym_readonly] = ACTIONS(1619),
    [anon_sym_QMARK] = ACTIONS(632),
    [anon_sym_any] = ACTIONS(217),
    [anon_sym_number] = ACTIONS(217),
    [anon_sym_boolean] = ACTIONS(217),
    [anon_sym_string] = ACTIONS(217),
    [anon_sym_symbol] = ACTIONS(217),
    [anon_sym_object] = ACTIONS(217),
    [anon_sym_abstract] = ACTIONS(636),
    [anon_sym_infer] = ACTIONS(638),
    [anon_sym_keyof] = ACTIONS(640),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym_html_comment] = ACTIONS(5),
  },
  [937] = {
    [sym_import] = STATE(4680),
    [sym_nested_identifier] = STATE(5868),
    [sym_string] = STATE(3013),
    [sym_formal_parameters] = STATE(5631),
    [sym_rest_pattern] = STATE(5268),
    [sym_nested_type_identifier] = STATE(2941),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3315),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2944),
    [sym_type] = STATE(3832),
    [sym_tuple_parameter] = STATE(5293),
    [sym_optional_tuple_parameter] = STATE(5293),
    [sym_optional_type] = STATE(5293),
    [sym_rest_type] = STATE(5293),
    [sym__tuple_type_member] = STATE(5293),
    [sym_constructor_type] = STATE(2974),
    [sym_primary_type] = STATE(3014),
    [sym_template_literal_type] = STATE(3018),
    [sym_infer_type] = STATE(2974),
    [sym_conditional_type] = STATE(3018),
    [sym_generic_type] = STATE(3018),
    [sym_type_query] = STATE(3018),
    [sym_index_type_query] = STATE(3018),
    [sym_lookup_type] = STATE(3018),
    [sym_literal_type] = STATE(3018),
    [sym__number] = STATE(3031),
    [sym_existential_type] = STATE(3018),
    [sym_flow_maybe_type] = STATE(3018),
    [sym_parenthesized_type] = STATE(3018),
    [sym_predefined_type] = STATE(3018),
    [sym_object_type] = STATE(3018),
    [sym_type_parameters] = STATE(5464),
    [sym_array_type] = STATE(3018),
    [sym_tuple_type] = STATE(3018),
    [sym_readonly_type] = STATE(2974),
    [sym_union_type] = STATE(3018),
    [sym_intersection_type] = STATE(3018),
    [sym_function_type] = STATE(2974),
    [sym_identifier] = ACTIONS(2560),
    [anon_sym_STAR] = ACTIONS(582),
    [anon_sym_LBRACE] = ACTIONS(1541),
    [anon_sym_typeof] = ACTIONS(1543),
    [anon_sym_import] = ACTIONS(1545),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1547),
    [anon_sym_LBRACK] = ACTIONS(1549),
    [anon_sym_RBRACK] = ACTIONS(2976),
    [anon_sym_DQUOTE] = ACTIONS(1551),
    [anon_sym_SQUOTE] = ACTIONS(1553),
    [anon_sym_new] = ACTIONS(1613),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2566),
    [anon_sym_AMP] = ACTIONS(610),
    [anon_sym_PIPE] = ACTIONS(612),
    [anon_sym_PLUS] = ACTIONS(2568),
    [anon_sym_DASH] = ACTIONS(2568),
    [anon_sym_LT] = ACTIONS(2570),
    [anon_sym_void] = ACTIONS(217),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1561),
    [sym_number] = ACTIONS(1563),
    [sym_this] = ACTIONS(1565),
    [sym_true] = ACTIONS(1567),
    [sym_false] = ACTIONS(1567),
    [sym_null] = ACTIONS(1567),
    [sym_undefined] = ACTIONS(1567),
    [anon_sym_readonly] = ACTIONS(1619),
    [anon_sym_QMARK] = ACTIONS(632),
    [anon_sym_any] = ACTIONS(217),
    [anon_sym_number] = ACTIONS(217),
    [anon_sym_boolean] = ACTIONS(217),
    [anon_sym_string] = ACTIONS(217),
    [anon_sym_symbol] = ACTIONS(217),
    [anon_sym_object] = ACTIONS(217),
    [anon_sym_abstract] = ACTIONS(636),
    [anon_sym_infer] = ACTIONS(638),
    [anon_sym_keyof] = ACTIONS(640),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym_html_comment] = ACTIONS(5),
  },
  [938] = {
    [sym_import] = STATE(4680),
    [sym_nested_identifier] = STATE(5868),
    [sym_string] = STATE(3013),
    [sym_formal_parameters] = STATE(5631),
    [sym_rest_pattern] = STATE(5268),
    [sym_nested_type_identifier] = STATE(2941),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3315),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2944),
    [sym_type] = STATE(3832),
    [sym_tuple_parameter] = STATE(5293),
    [sym_optional_tuple_parameter] = STATE(5293),
    [sym_optional_type] = STATE(5293),
    [sym_rest_type] = STATE(5293),
    [sym__tuple_type_member] = STATE(5293),
    [sym_constructor_type] = STATE(2974),
    [sym_primary_type] = STATE(3014),
    [sym_template_literal_type] = STATE(3018),
    [sym_infer_type] = STATE(2974),
    [sym_conditional_type] = STATE(3018),
    [sym_generic_type] = STATE(3018),
    [sym_type_query] = STATE(3018),
    [sym_index_type_query] = STATE(3018),
    [sym_lookup_type] = STATE(3018),
    [sym_literal_type] = STATE(3018),
    [sym__number] = STATE(3031),
    [sym_existential_type] = STATE(3018),
    [sym_flow_maybe_type] = STATE(3018),
    [sym_parenthesized_type] = STATE(3018),
    [sym_predefined_type] = STATE(3018),
    [sym_object_type] = STATE(3018),
    [sym_type_parameters] = STATE(5464),
    [sym_array_type] = STATE(3018),
    [sym_tuple_type] = STATE(3018),
    [sym_readonly_type] = STATE(2974),
    [sym_union_type] = STATE(3018),
    [sym_intersection_type] = STATE(3018),
    [sym_function_type] = STATE(2974),
    [sym_identifier] = ACTIONS(2560),
    [anon_sym_STAR] = ACTIONS(582),
    [anon_sym_LBRACE] = ACTIONS(1541),
    [anon_sym_typeof] = ACTIONS(1543),
    [anon_sym_import] = ACTIONS(1545),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1547),
    [anon_sym_LBRACK] = ACTIONS(1549),
    [anon_sym_RBRACK] = ACTIONS(2978),
    [anon_sym_DQUOTE] = ACTIONS(1551),
    [anon_sym_SQUOTE] = ACTIONS(1553),
    [anon_sym_new] = ACTIONS(1613),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2566),
    [anon_sym_AMP] = ACTIONS(610),
    [anon_sym_PIPE] = ACTIONS(612),
    [anon_sym_PLUS] = ACTIONS(2568),
    [anon_sym_DASH] = ACTIONS(2568),
    [anon_sym_LT] = ACTIONS(2570),
    [anon_sym_void] = ACTIONS(217),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1561),
    [sym_number] = ACTIONS(1563),
    [sym_this] = ACTIONS(1565),
    [sym_true] = ACTIONS(1567),
    [sym_false] = ACTIONS(1567),
    [sym_null] = ACTIONS(1567),
    [sym_undefined] = ACTIONS(1567),
    [anon_sym_readonly] = ACTIONS(1619),
    [anon_sym_QMARK] = ACTIONS(632),
    [anon_sym_any] = ACTIONS(217),
    [anon_sym_number] = ACTIONS(217),
    [anon_sym_boolean] = ACTIONS(217),
    [anon_sym_string] = ACTIONS(217),
    [anon_sym_symbol] = ACTIONS(217),
    [anon_sym_object] = ACTIONS(217),
    [anon_sym_abstract] = ACTIONS(636),
    [anon_sym_infer] = ACTIONS(638),
    [anon_sym_keyof] = ACTIONS(640),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym_html_comment] = ACTIONS(5),
  },
  [939] = {
    [sym_import] = STATE(4680),
    [sym_nested_identifier] = STATE(5868),
    [sym_string] = STATE(3013),
    [sym_formal_parameters] = STATE(5631),
    [sym_rest_pattern] = STATE(5268),
    [sym_nested_type_identifier] = STATE(2941),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3315),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2944),
    [sym_type] = STATE(3832),
    [sym_tuple_parameter] = STATE(5293),
    [sym_optional_tuple_parameter] = STATE(5293),
    [sym_optional_type] = STATE(5293),
    [sym_rest_type] = STATE(5293),
    [sym__tuple_type_member] = STATE(5293),
    [sym_constructor_type] = STATE(2974),
    [sym_primary_type] = STATE(3014),
    [sym_template_literal_type] = STATE(3018),
    [sym_infer_type] = STATE(2974),
    [sym_conditional_type] = STATE(3018),
    [sym_generic_type] = STATE(3018),
    [sym_type_query] = STATE(3018),
    [sym_index_type_query] = STATE(3018),
    [sym_lookup_type] = STATE(3018),
    [sym_literal_type] = STATE(3018),
    [sym__number] = STATE(3031),
    [sym_existential_type] = STATE(3018),
    [sym_flow_maybe_type] = STATE(3018),
    [sym_parenthesized_type] = STATE(3018),
    [sym_predefined_type] = STATE(3018),
    [sym_object_type] = STATE(3018),
    [sym_type_parameters] = STATE(5464),
    [sym_array_type] = STATE(3018),
    [sym_tuple_type] = STATE(3018),
    [sym_readonly_type] = STATE(2974),
    [sym_union_type] = STATE(3018),
    [sym_intersection_type] = STATE(3018),
    [sym_function_type] = STATE(2974),
    [sym_identifier] = ACTIONS(2560),
    [anon_sym_STAR] = ACTIONS(582),
    [anon_sym_LBRACE] = ACTIONS(1541),
    [anon_sym_typeof] = ACTIONS(1543),
    [anon_sym_import] = ACTIONS(1545),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1547),
    [anon_sym_LBRACK] = ACTIONS(1549),
    [anon_sym_RBRACK] = ACTIONS(2980),
    [anon_sym_DQUOTE] = ACTIONS(1551),
    [anon_sym_SQUOTE] = ACTIONS(1553),
    [anon_sym_new] = ACTIONS(1613),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2566),
    [anon_sym_AMP] = ACTIONS(610),
    [anon_sym_PIPE] = ACTIONS(612),
    [anon_sym_PLUS] = ACTIONS(2568),
    [anon_sym_DASH] = ACTIONS(2568),
    [anon_sym_LT] = ACTIONS(2570),
    [anon_sym_void] = ACTIONS(217),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1561),
    [sym_number] = ACTIONS(1563),
    [sym_this] = ACTIONS(1565),
    [sym_true] = ACTIONS(1567),
    [sym_false] = ACTIONS(1567),
    [sym_null] = ACTIONS(1567),
    [sym_undefined] = ACTIONS(1567),
    [anon_sym_readonly] = ACTIONS(1619),
    [anon_sym_QMARK] = ACTIONS(632),
    [anon_sym_any] = ACTIONS(217),
    [anon_sym_number] = ACTIONS(217),
    [anon_sym_boolean] = ACTIONS(217),
    [anon_sym_string] = ACTIONS(217),
    [anon_sym_symbol] = ACTIONS(217),
    [anon_sym_object] = ACTIONS(217),
    [anon_sym_abstract] = ACTIONS(636),
    [anon_sym_infer] = ACTIONS(638),
    [anon_sym_keyof] = ACTIONS(640),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym_html_comment] = ACTIONS(5),
  },
  [940] = {
    [sym_import] = STATE(4680),
    [sym_nested_identifier] = STATE(5868),
    [sym_string] = STATE(3013),
    [sym_formal_parameters] = STATE(5631),
    [sym_rest_pattern] = STATE(5268),
    [sym_nested_type_identifier] = STATE(2941),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3315),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2944),
    [sym_type] = STATE(3832),
    [sym_tuple_parameter] = STATE(5293),
    [sym_optional_tuple_parameter] = STATE(5293),
    [sym_optional_type] = STATE(5293),
    [sym_rest_type] = STATE(5293),
    [sym__tuple_type_member] = STATE(5293),
    [sym_constructor_type] = STATE(2974),
    [sym_primary_type] = STATE(3014),
    [sym_template_literal_type] = STATE(3018),
    [sym_infer_type] = STATE(2974),
    [sym_conditional_type] = STATE(3018),
    [sym_generic_type] = STATE(3018),
    [sym_type_query] = STATE(3018),
    [sym_index_type_query] = STATE(3018),
    [sym_lookup_type] = STATE(3018),
    [sym_literal_type] = STATE(3018),
    [sym__number] = STATE(3031),
    [sym_existential_type] = STATE(3018),
    [sym_flow_maybe_type] = STATE(3018),
    [sym_parenthesized_type] = STATE(3018),
    [sym_predefined_type] = STATE(3018),
    [sym_object_type] = STATE(3018),
    [sym_type_parameters] = STATE(5464),
    [sym_array_type] = STATE(3018),
    [sym_tuple_type] = STATE(3018),
    [sym_readonly_type] = STATE(2974),
    [sym_union_type] = STATE(3018),
    [sym_intersection_type] = STATE(3018),
    [sym_function_type] = STATE(2974),
    [sym_identifier] = ACTIONS(2560),
    [anon_sym_STAR] = ACTIONS(582),
    [anon_sym_LBRACE] = ACTIONS(1541),
    [anon_sym_typeof] = ACTIONS(1543),
    [anon_sym_import] = ACTIONS(1545),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1547),
    [anon_sym_LBRACK] = ACTIONS(1549),
    [anon_sym_RBRACK] = ACTIONS(2982),
    [anon_sym_DQUOTE] = ACTIONS(1551),
    [anon_sym_SQUOTE] = ACTIONS(1553),
    [anon_sym_new] = ACTIONS(1613),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2566),
    [anon_sym_AMP] = ACTIONS(610),
    [anon_sym_PIPE] = ACTIONS(612),
    [anon_sym_PLUS] = ACTIONS(2568),
    [anon_sym_DASH] = ACTIONS(2568),
    [anon_sym_LT] = ACTIONS(2570),
    [anon_sym_void] = ACTIONS(217),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1561),
    [sym_number] = ACTIONS(1563),
    [sym_this] = ACTIONS(1565),
    [sym_true] = ACTIONS(1567),
    [sym_false] = ACTIONS(1567),
    [sym_null] = ACTIONS(1567),
    [sym_undefined] = ACTIONS(1567),
    [anon_sym_readonly] = ACTIONS(1619),
    [anon_sym_QMARK] = ACTIONS(632),
    [anon_sym_any] = ACTIONS(217),
    [anon_sym_number] = ACTIONS(217),
    [anon_sym_boolean] = ACTIONS(217),
    [anon_sym_string] = ACTIONS(217),
    [anon_sym_symbol] = ACTIONS(217),
    [anon_sym_object] = ACTIONS(217),
    [anon_sym_abstract] = ACTIONS(636),
    [anon_sym_infer] = ACTIONS(638),
    [anon_sym_keyof] = ACTIONS(640),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym_html_comment] = ACTIONS(5),
  },
  [941] = {
    [sym_import] = STATE(4680),
    [sym_nested_identifier] = STATE(5868),
    [sym_string] = STATE(3013),
    [sym_formal_parameters] = STATE(5631),
    [sym_rest_pattern] = STATE(5268),
    [sym_nested_type_identifier] = STATE(2941),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3315),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2944),
    [sym_type] = STATE(3832),
    [sym_tuple_parameter] = STATE(5293),
    [sym_optional_tuple_parameter] = STATE(5293),
    [sym_optional_type] = STATE(5293),
    [sym_rest_type] = STATE(5293),
    [sym__tuple_type_member] = STATE(5293),
    [sym_constructor_type] = STATE(2974),
    [sym_primary_type] = STATE(3014),
    [sym_template_literal_type] = STATE(3018),
    [sym_infer_type] = STATE(2974),
    [sym_conditional_type] = STATE(3018),
    [sym_generic_type] = STATE(3018),
    [sym_type_query] = STATE(3018),
    [sym_index_type_query] = STATE(3018),
    [sym_lookup_type] = STATE(3018),
    [sym_literal_type] = STATE(3018),
    [sym__number] = STATE(3031),
    [sym_existential_type] = STATE(3018),
    [sym_flow_maybe_type] = STATE(3018),
    [sym_parenthesized_type] = STATE(3018),
    [sym_predefined_type] = STATE(3018),
    [sym_object_type] = STATE(3018),
    [sym_type_parameters] = STATE(5464),
    [sym_array_type] = STATE(3018),
    [sym_tuple_type] = STATE(3018),
    [sym_readonly_type] = STATE(2974),
    [sym_union_type] = STATE(3018),
    [sym_intersection_type] = STATE(3018),
    [sym_function_type] = STATE(2974),
    [sym_identifier] = ACTIONS(2560),
    [anon_sym_STAR] = ACTIONS(582),
    [anon_sym_LBRACE] = ACTIONS(1541),
    [anon_sym_typeof] = ACTIONS(1543),
    [anon_sym_import] = ACTIONS(1545),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1547),
    [anon_sym_LBRACK] = ACTIONS(1549),
    [anon_sym_RBRACK] = ACTIONS(2984),
    [anon_sym_DQUOTE] = ACTIONS(1551),
    [anon_sym_SQUOTE] = ACTIONS(1553),
    [anon_sym_new] = ACTIONS(1613),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2566),
    [anon_sym_AMP] = ACTIONS(610),
    [anon_sym_PIPE] = ACTIONS(612),
    [anon_sym_PLUS] = ACTIONS(2568),
    [anon_sym_DASH] = ACTIONS(2568),
    [anon_sym_LT] = ACTIONS(2570),
    [anon_sym_void] = ACTIONS(217),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1561),
    [sym_number] = ACTIONS(1563),
    [sym_this] = ACTIONS(1565),
    [sym_true] = ACTIONS(1567),
    [sym_false] = ACTIONS(1567),
    [sym_null] = ACTIONS(1567),
    [sym_undefined] = ACTIONS(1567),
    [anon_sym_readonly] = ACTIONS(1619),
    [anon_sym_QMARK] = ACTIONS(632),
    [anon_sym_any] = ACTIONS(217),
    [anon_sym_number] = ACTIONS(217),
    [anon_sym_boolean] = ACTIONS(217),
    [anon_sym_string] = ACTIONS(217),
    [anon_sym_symbol] = ACTIONS(217),
    [anon_sym_object] = ACTIONS(217),
    [anon_sym_abstract] = ACTIONS(636),
    [anon_sym_infer] = ACTIONS(638),
    [anon_sym_keyof] = ACTIONS(640),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym_html_comment] = ACTIONS(5),
  },
  [942] = {
    [sym_import] = STATE(4680),
    [sym_nested_identifier] = STATE(5868),
    [sym_string] = STATE(3013),
    [sym_formal_parameters] = STATE(5631),
    [sym_rest_pattern] = STATE(5268),
    [sym_nested_type_identifier] = STATE(2941),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3315),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2944),
    [sym_type] = STATE(3832),
    [sym_tuple_parameter] = STATE(5293),
    [sym_optional_tuple_parameter] = STATE(5293),
    [sym_optional_type] = STATE(5293),
    [sym_rest_type] = STATE(5293),
    [sym__tuple_type_member] = STATE(5293),
    [sym_constructor_type] = STATE(2974),
    [sym_primary_type] = STATE(3014),
    [sym_template_literal_type] = STATE(3018),
    [sym_infer_type] = STATE(2974),
    [sym_conditional_type] = STATE(3018),
    [sym_generic_type] = STATE(3018),
    [sym_type_query] = STATE(3018),
    [sym_index_type_query] = STATE(3018),
    [sym_lookup_type] = STATE(3018),
    [sym_literal_type] = STATE(3018),
    [sym__number] = STATE(3031),
    [sym_existential_type] = STATE(3018),
    [sym_flow_maybe_type] = STATE(3018),
    [sym_parenthesized_type] = STATE(3018),
    [sym_predefined_type] = STATE(3018),
    [sym_object_type] = STATE(3018),
    [sym_type_parameters] = STATE(5464),
    [sym_array_type] = STATE(3018),
    [sym_tuple_type] = STATE(3018),
    [sym_readonly_type] = STATE(2974),
    [sym_union_type] = STATE(3018),
    [sym_intersection_type] = STATE(3018),
    [sym_function_type] = STATE(2974),
    [sym_identifier] = ACTIONS(2560),
    [anon_sym_STAR] = ACTIONS(582),
    [anon_sym_LBRACE] = ACTIONS(1541),
    [anon_sym_typeof] = ACTIONS(1543),
    [anon_sym_import] = ACTIONS(1545),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1547),
    [anon_sym_LBRACK] = ACTIONS(1549),
    [anon_sym_RBRACK] = ACTIONS(2986),
    [anon_sym_DQUOTE] = ACTIONS(1551),
    [anon_sym_SQUOTE] = ACTIONS(1553),
    [anon_sym_new] = ACTIONS(1613),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2566),
    [anon_sym_AMP] = ACTIONS(610),
    [anon_sym_PIPE] = ACTIONS(612),
    [anon_sym_PLUS] = ACTIONS(2568),
    [anon_sym_DASH] = ACTIONS(2568),
    [anon_sym_LT] = ACTIONS(2570),
    [anon_sym_void] = ACTIONS(217),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1561),
    [sym_number] = ACTIONS(1563),
    [sym_this] = ACTIONS(1565),
    [sym_true] = ACTIONS(1567),
    [sym_false] = ACTIONS(1567),
    [sym_null] = ACTIONS(1567),
    [sym_undefined] = ACTIONS(1567),
    [anon_sym_readonly] = ACTIONS(1619),
    [anon_sym_QMARK] = ACTIONS(632),
    [anon_sym_any] = ACTIONS(217),
    [anon_sym_number] = ACTIONS(217),
    [anon_sym_boolean] = ACTIONS(217),
    [anon_sym_string] = ACTIONS(217),
    [anon_sym_symbol] = ACTIONS(217),
    [anon_sym_object] = ACTIONS(217),
    [anon_sym_abstract] = ACTIONS(636),
    [anon_sym_infer] = ACTIONS(638),
    [anon_sym_keyof] = ACTIONS(640),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym_html_comment] = ACTIONS(5),
  },
  [943] = {
    [sym_import] = STATE(4680),
    [sym_nested_identifier] = STATE(5868),
    [sym_string] = STATE(3013),
    [sym_formal_parameters] = STATE(5631),
    [sym_rest_pattern] = STATE(5268),
    [sym_nested_type_identifier] = STATE(2941),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3315),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2944),
    [sym_type] = STATE(3832),
    [sym_tuple_parameter] = STATE(5293),
    [sym_optional_tuple_parameter] = STATE(5293),
    [sym_optional_type] = STATE(5293),
    [sym_rest_type] = STATE(5293),
    [sym__tuple_type_member] = STATE(5293),
    [sym_constructor_type] = STATE(2974),
    [sym_primary_type] = STATE(3014),
    [sym_template_literal_type] = STATE(3018),
    [sym_infer_type] = STATE(2974),
    [sym_conditional_type] = STATE(3018),
    [sym_generic_type] = STATE(3018),
    [sym_type_query] = STATE(3018),
    [sym_index_type_query] = STATE(3018),
    [sym_lookup_type] = STATE(3018),
    [sym_literal_type] = STATE(3018),
    [sym__number] = STATE(3031),
    [sym_existential_type] = STATE(3018),
    [sym_flow_maybe_type] = STATE(3018),
    [sym_parenthesized_type] = STATE(3018),
    [sym_predefined_type] = STATE(3018),
    [sym_object_type] = STATE(3018),
    [sym_type_parameters] = STATE(5464),
    [sym_array_type] = STATE(3018),
    [sym_tuple_type] = STATE(3018),
    [sym_readonly_type] = STATE(2974),
    [sym_union_type] = STATE(3018),
    [sym_intersection_type] = STATE(3018),
    [sym_function_type] = STATE(2974),
    [sym_identifier] = ACTIONS(2560),
    [anon_sym_STAR] = ACTIONS(582),
    [anon_sym_LBRACE] = ACTIONS(1541),
    [anon_sym_typeof] = ACTIONS(1543),
    [anon_sym_import] = ACTIONS(1545),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1547),
    [anon_sym_LBRACK] = ACTIONS(1549),
    [anon_sym_RBRACK] = ACTIONS(2988),
    [anon_sym_DQUOTE] = ACTIONS(1551),
    [anon_sym_SQUOTE] = ACTIONS(1553),
    [anon_sym_new] = ACTIONS(1613),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2566),
    [anon_sym_AMP] = ACTIONS(610),
    [anon_sym_PIPE] = ACTIONS(612),
    [anon_sym_PLUS] = ACTIONS(2568),
    [anon_sym_DASH] = ACTIONS(2568),
    [anon_sym_LT] = ACTIONS(2570),
    [anon_sym_void] = ACTIONS(217),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1561),
    [sym_number] = ACTIONS(1563),
    [sym_this] = ACTIONS(1565),
    [sym_true] = ACTIONS(1567),
    [sym_false] = ACTIONS(1567),
    [sym_null] = ACTIONS(1567),
    [sym_undefined] = ACTIONS(1567),
    [anon_sym_readonly] = ACTIONS(1619),
    [anon_sym_QMARK] = ACTIONS(632),
    [anon_sym_any] = ACTIONS(217),
    [anon_sym_number] = ACTIONS(217),
    [anon_sym_boolean] = ACTIONS(217),
    [anon_sym_string] = ACTIONS(217),
    [anon_sym_symbol] = ACTIONS(217),
    [anon_sym_object] = ACTIONS(217),
    [anon_sym_abstract] = ACTIONS(636),
    [anon_sym_infer] = ACTIONS(638),
    [anon_sym_keyof] = ACTIONS(640),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym_html_comment] = ACTIONS(5),
  },
  [944] = {
    [sym_import] = STATE(4680),
    [sym_nested_identifier] = STATE(5868),
    [sym_string] = STATE(3013),
    [sym_formal_parameters] = STATE(5631),
    [sym_rest_pattern] = STATE(5268),
    [sym_nested_type_identifier] = STATE(2941),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3315),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2944),
    [sym_type] = STATE(3832),
    [sym_tuple_parameter] = STATE(5293),
    [sym_optional_tuple_parameter] = STATE(5293),
    [sym_optional_type] = STATE(5293),
    [sym_rest_type] = STATE(5293),
    [sym__tuple_type_member] = STATE(5293),
    [sym_constructor_type] = STATE(2974),
    [sym_primary_type] = STATE(3014),
    [sym_template_literal_type] = STATE(3018),
    [sym_infer_type] = STATE(2974),
    [sym_conditional_type] = STATE(3018),
    [sym_generic_type] = STATE(3018),
    [sym_type_query] = STATE(3018),
    [sym_index_type_query] = STATE(3018),
    [sym_lookup_type] = STATE(3018),
    [sym_literal_type] = STATE(3018),
    [sym__number] = STATE(3031),
    [sym_existential_type] = STATE(3018),
    [sym_flow_maybe_type] = STATE(3018),
    [sym_parenthesized_type] = STATE(3018),
    [sym_predefined_type] = STATE(3018),
    [sym_object_type] = STATE(3018),
    [sym_type_parameters] = STATE(5464),
    [sym_array_type] = STATE(3018),
    [sym_tuple_type] = STATE(3018),
    [sym_readonly_type] = STATE(2974),
    [sym_union_type] = STATE(3018),
    [sym_intersection_type] = STATE(3018),
    [sym_function_type] = STATE(2974),
    [sym_identifier] = ACTIONS(2560),
    [anon_sym_STAR] = ACTIONS(582),
    [anon_sym_LBRACE] = ACTIONS(1541),
    [anon_sym_typeof] = ACTIONS(1543),
    [anon_sym_import] = ACTIONS(1545),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1547),
    [anon_sym_LBRACK] = ACTIONS(1549),
    [anon_sym_RBRACK] = ACTIONS(2990),
    [anon_sym_DQUOTE] = ACTIONS(1551),
    [anon_sym_SQUOTE] = ACTIONS(1553),
    [anon_sym_new] = ACTIONS(1613),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2566),
    [anon_sym_AMP] = ACTIONS(610),
    [anon_sym_PIPE] = ACTIONS(612),
    [anon_sym_PLUS] = ACTIONS(2568),
    [anon_sym_DASH] = ACTIONS(2568),
    [anon_sym_LT] = ACTIONS(2570),
    [anon_sym_void] = ACTIONS(217),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1561),
    [sym_number] = ACTIONS(1563),
    [sym_this] = ACTIONS(1565),
    [sym_true] = ACTIONS(1567),
    [sym_false] = ACTIONS(1567),
    [sym_null] = ACTIONS(1567),
    [sym_undefined] = ACTIONS(1567),
    [anon_sym_readonly] = ACTIONS(1619),
    [anon_sym_QMARK] = ACTIONS(632),
    [anon_sym_any] = ACTIONS(217),
    [anon_sym_number] = ACTIONS(217),
    [anon_sym_boolean] = ACTIONS(217),
    [anon_sym_string] = ACTIONS(217),
    [anon_sym_symbol] = ACTIONS(217),
    [anon_sym_object] = ACTIONS(217),
    [anon_sym_abstract] = ACTIONS(636),
    [anon_sym_infer] = ACTIONS(638),
    [anon_sym_keyof] = ACTIONS(640),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym_html_comment] = ACTIONS(5),
  },
  [945] = {
    [sym_import] = STATE(4680),
    [sym_nested_identifier] = STATE(5868),
    [sym_string] = STATE(3013),
    [sym_formal_parameters] = STATE(5631),
    [sym_rest_pattern] = STATE(5268),
    [sym_nested_type_identifier] = STATE(2941),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3315),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2944),
    [sym_type] = STATE(3832),
    [sym_tuple_parameter] = STATE(5293),
    [sym_optional_tuple_parameter] = STATE(5293),
    [sym_optional_type] = STATE(5293),
    [sym_rest_type] = STATE(5293),
    [sym__tuple_type_member] = STATE(5293),
    [sym_constructor_type] = STATE(2974),
    [sym_primary_type] = STATE(3014),
    [sym_template_literal_type] = STATE(3018),
    [sym_infer_type] = STATE(2974),
    [sym_conditional_type] = STATE(3018),
    [sym_generic_type] = STATE(3018),
    [sym_type_query] = STATE(3018),
    [sym_index_type_query] = STATE(3018),
    [sym_lookup_type] = STATE(3018),
    [sym_literal_type] = STATE(3018),
    [sym__number] = STATE(3031),
    [sym_existential_type] = STATE(3018),
    [sym_flow_maybe_type] = STATE(3018),
    [sym_parenthesized_type] = STATE(3018),
    [sym_predefined_type] = STATE(3018),
    [sym_object_type] = STATE(3018),
    [sym_type_parameters] = STATE(5464),
    [sym_array_type] = STATE(3018),
    [sym_tuple_type] = STATE(3018),
    [sym_readonly_type] = STATE(2974),
    [sym_union_type] = STATE(3018),
    [sym_intersection_type] = STATE(3018),
    [sym_function_type] = STATE(2974),
    [sym_identifier] = ACTIONS(2560),
    [anon_sym_STAR] = ACTIONS(582),
    [anon_sym_LBRACE] = ACTIONS(1541),
    [anon_sym_typeof] = ACTIONS(1543),
    [anon_sym_import] = ACTIONS(1545),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1547),
    [anon_sym_LBRACK] = ACTIONS(1549),
    [anon_sym_DQUOTE] = ACTIONS(1551),
    [anon_sym_SQUOTE] = ACTIONS(1553),
    [anon_sym_new] = ACTIONS(1613),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2566),
    [anon_sym_AMP] = ACTIONS(610),
    [anon_sym_PIPE] = ACTIONS(612),
    [anon_sym_PLUS] = ACTIONS(2568),
    [anon_sym_DASH] = ACTIONS(2568),
    [anon_sym_LT] = ACTIONS(2570),
    [anon_sym_void] = ACTIONS(217),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1561),
    [sym_number] = ACTIONS(1563),
    [sym_this] = ACTIONS(1565),
    [sym_true] = ACTIONS(1567),
    [sym_false] = ACTIONS(1567),
    [sym_null] = ACTIONS(1567),
    [sym_undefined] = ACTIONS(1567),
    [anon_sym_readonly] = ACTIONS(1619),
    [anon_sym_QMARK] = ACTIONS(632),
    [anon_sym_any] = ACTIONS(217),
    [anon_sym_number] = ACTIONS(217),
    [anon_sym_boolean] = ACTIONS(217),
    [anon_sym_string] = ACTIONS(217),
    [anon_sym_symbol] = ACTIONS(217),
    [anon_sym_object] = ACTIONS(217),
    [anon_sym_abstract] = ACTIONS(636),
    [anon_sym_infer] = ACTIONS(638),
    [anon_sym_keyof] = ACTIONS(640),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym_html_comment] = ACTIONS(5),
  },
  [946] = {
    [sym_identifier] = ACTIONS(2520),
    [anon_sym_export] = ACTIONS(2520),
    [anon_sym_type] = ACTIONS(2520),
    [anon_sym_namespace] = ACTIONS(2520),
    [anon_sym_LBRACE] = ACTIONS(2518),
    [anon_sym_typeof] = ACTIONS(2520),
    [anon_sym_import] = ACTIONS(2520),
    [anon_sym_with] = ACTIONS(2520),
    [anon_sym_var] = ACTIONS(2520),
    [anon_sym_let] = ACTIONS(2520),
    [anon_sym_const] = ACTIONS(2520),
    [anon_sym_BANG] = ACTIONS(2518),
    [anon_sym_if] = ACTIONS(2520),
    [anon_sym_switch] = ACTIONS(2520),
    [anon_sym_for] = ACTIONS(2520),
    [anon_sym_LPAREN] = ACTIONS(2518),
    [anon_sym_SEMI] = ACTIONS(2518),
    [anon_sym_await] = ACTIONS(2520),
    [anon_sym_while] = ACTIONS(2520),
    [anon_sym_do] = ACTIONS(2520),
    [anon_sym_try] = ACTIONS(2520),
    [anon_sym_break] = ACTIONS(2520),
    [anon_sym_continue] = ACTIONS(2520),
    [anon_sym_debugger] = ACTIONS(2520),
    [anon_sym_return] = ACTIONS(2520),
    [anon_sym_throw] = ACTIONS(2520),
    [anon_sym_yield] = ACTIONS(2520),
    [anon_sym_LBRACK] = ACTIONS(2518),
    [sym_glimmer_opening_tag] = ACTIONS(2518),
    [anon_sym_DQUOTE] = ACTIONS(2518),
    [anon_sym_SQUOTE] = ACTIONS(2518),
    [anon_sym_class] = ACTIONS(2520),
    [anon_sym_async] = ACTIONS(2520),
    [anon_sym_function] = ACTIONS(2520),
    [anon_sym_new] = ACTIONS(2520),
    [anon_sym_using] = ACTIONS(2520),
    [anon_sym_PLUS] = ACTIONS(2520),
    [anon_sym_DASH] = ACTIONS(2520),
    [anon_sym_SLASH] = ACTIONS(2520),
    [anon_sym_LT] = ACTIONS(2520),
    [anon_sym_TILDE] = ACTIONS(2518),
    [anon_sym_void] = ACTIONS(2520),
    [anon_sym_delete] = ACTIONS(2520),
    [anon_sym_PLUS_PLUS] = ACTIONS(2518),
    [anon_sym_DASH_DASH] = ACTIONS(2518),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2518),
    [sym_number] = ACTIONS(2518),
    [sym_private_property_identifier] = ACTIONS(2518),
    [sym_this] = ACTIONS(2520),
    [sym_super] = ACTIONS(2520),
    [sym_true] = ACTIONS(2520),
    [sym_false] = ACTIONS(2520),
    [sym_null] = ACTIONS(2520),
    [sym_undefined] = ACTIONS(2520),
    [anon_sym_AT] = ACTIONS(2518),
    [anon_sym_static] = ACTIONS(2520),
    [anon_sym_readonly] = ACTIONS(2520),
    [anon_sym_get] = ACTIONS(2520),
    [anon_sym_set] = ACTIONS(2520),
    [anon_sym_declare] = ACTIONS(2520),
    [anon_sym_public] = ACTIONS(2520),
    [anon_sym_private] = ACTIONS(2520),
    [anon_sym_protected] = ACTIONS(2520),
    [anon_sym_override] = ACTIONS(2520),
    [anon_sym_module] = ACTIONS(2520),
    [anon_sym_any] = ACTIONS(2520),
    [anon_sym_number] = ACTIONS(2520),
    [anon_sym_boolean] = ACTIONS(2520),
    [anon_sym_string] = ACTIONS(2520),
    [anon_sym_symbol] = ACTIONS(2520),
    [anon_sym_object] = ACTIONS(2520),
    [anon_sym_abstract] = ACTIONS(2520),
    [anon_sym_interface] = ACTIONS(2520),
    [anon_sym_enum] = ACTIONS(2520),
    [sym_html_comment] = ACTIONS(5),
  },
  [947] = {
    [sym_identifier] = ACTIONS(2502),
    [anon_sym_export] = ACTIONS(2502),
    [anon_sym_type] = ACTIONS(2502),
    [anon_sym_namespace] = ACTIONS(2502),
    [anon_sym_LBRACE] = ACTIONS(2500),
    [anon_sym_typeof] = ACTIONS(2502),
    [anon_sym_import] = ACTIONS(2502),
    [anon_sym_with] = ACTIONS(2502),
    [anon_sym_var] = ACTIONS(2502),
    [anon_sym_let] = ACTIONS(2502),
    [anon_sym_const] = ACTIONS(2502),
    [anon_sym_BANG] = ACTIONS(2500),
    [anon_sym_if] = ACTIONS(2502),
    [anon_sym_switch] = ACTIONS(2502),
    [anon_sym_for] = ACTIONS(2502),
    [anon_sym_LPAREN] = ACTIONS(2500),
    [anon_sym_SEMI] = ACTIONS(2500),
    [anon_sym_await] = ACTIONS(2502),
    [anon_sym_while] = ACTIONS(2502),
    [anon_sym_do] = ACTIONS(2502),
    [anon_sym_try] = ACTIONS(2502),
    [anon_sym_break] = ACTIONS(2502),
    [anon_sym_continue] = ACTIONS(2502),
    [anon_sym_debugger] = ACTIONS(2502),
    [anon_sym_return] = ACTIONS(2502),
    [anon_sym_throw] = ACTIONS(2502),
    [anon_sym_yield] = ACTIONS(2502),
    [anon_sym_LBRACK] = ACTIONS(2500),
    [sym_glimmer_opening_tag] = ACTIONS(2500),
    [anon_sym_DQUOTE] = ACTIONS(2500),
    [anon_sym_SQUOTE] = ACTIONS(2500),
    [anon_sym_class] = ACTIONS(2502),
    [anon_sym_async] = ACTIONS(2502),
    [anon_sym_function] = ACTIONS(2502),
    [anon_sym_new] = ACTIONS(2502),
    [anon_sym_using] = ACTIONS(2502),
    [anon_sym_PLUS] = ACTIONS(2502),
    [anon_sym_DASH] = ACTIONS(2502),
    [anon_sym_SLASH] = ACTIONS(2502),
    [anon_sym_LT] = ACTIONS(2502),
    [anon_sym_TILDE] = ACTIONS(2500),
    [anon_sym_void] = ACTIONS(2502),
    [anon_sym_delete] = ACTIONS(2502),
    [anon_sym_PLUS_PLUS] = ACTIONS(2500),
    [anon_sym_DASH_DASH] = ACTIONS(2500),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2500),
    [sym_number] = ACTIONS(2500),
    [sym_private_property_identifier] = ACTIONS(2500),
    [sym_this] = ACTIONS(2502),
    [sym_super] = ACTIONS(2502),
    [sym_true] = ACTIONS(2502),
    [sym_false] = ACTIONS(2502),
    [sym_null] = ACTIONS(2502),
    [sym_undefined] = ACTIONS(2502),
    [anon_sym_AT] = ACTIONS(2500),
    [anon_sym_static] = ACTIONS(2502),
    [anon_sym_readonly] = ACTIONS(2502),
    [anon_sym_get] = ACTIONS(2502),
    [anon_sym_set] = ACTIONS(2502),
    [anon_sym_declare] = ACTIONS(2502),
    [anon_sym_public] = ACTIONS(2502),
    [anon_sym_private] = ACTIONS(2502),
    [anon_sym_protected] = ACTIONS(2502),
    [anon_sym_override] = ACTIONS(2502),
    [anon_sym_module] = ACTIONS(2502),
    [anon_sym_any] = ACTIONS(2502),
    [anon_sym_number] = ACTIONS(2502),
    [anon_sym_boolean] = ACTIONS(2502),
    [anon_sym_string] = ACTIONS(2502),
    [anon_sym_symbol] = ACTIONS(2502),
    [anon_sym_object] = ACTIONS(2502),
    [anon_sym_abstract] = ACTIONS(2502),
    [anon_sym_interface] = ACTIONS(2502),
    [anon_sym_enum] = ACTIONS(2502),
    [sym_html_comment] = ACTIONS(5),
  },
  [948] = {
    [sym_identifier] = ACTIONS(2992),
    [anon_sym_export] = ACTIONS(2992),
    [anon_sym_type] = ACTIONS(2992),
    [anon_sym_namespace] = ACTIONS(2992),
    [anon_sym_LBRACE] = ACTIONS(2994),
    [anon_sym_typeof] = ACTIONS(2992),
    [anon_sym_import] = ACTIONS(2992),
    [anon_sym_with] = ACTIONS(2992),
    [anon_sym_var] = ACTIONS(2992),
    [anon_sym_let] = ACTIONS(2992),
    [anon_sym_const] = ACTIONS(2992),
    [anon_sym_BANG] = ACTIONS(2994),
    [anon_sym_if] = ACTIONS(2992),
    [anon_sym_switch] = ACTIONS(2992),
    [anon_sym_for] = ACTIONS(2992),
    [anon_sym_LPAREN] = ACTIONS(2994),
    [anon_sym_SEMI] = ACTIONS(2994),
    [anon_sym_await] = ACTIONS(2992),
    [anon_sym_while] = ACTIONS(2992),
    [anon_sym_do] = ACTIONS(2992),
    [anon_sym_try] = ACTIONS(2992),
    [anon_sym_break] = ACTIONS(2992),
    [anon_sym_continue] = ACTIONS(2992),
    [anon_sym_debugger] = ACTIONS(2992),
    [anon_sym_return] = ACTIONS(2992),
    [anon_sym_throw] = ACTIONS(2992),
    [anon_sym_yield] = ACTIONS(2992),
    [anon_sym_LBRACK] = ACTIONS(2994),
    [sym_glimmer_opening_tag] = ACTIONS(2994),
    [anon_sym_DQUOTE] = ACTIONS(2994),
    [anon_sym_SQUOTE] = ACTIONS(2994),
    [anon_sym_class] = ACTIONS(2992),
    [anon_sym_async] = ACTIONS(2992),
    [anon_sym_function] = ACTIONS(2992),
    [anon_sym_new] = ACTIONS(2992),
    [anon_sym_using] = ACTIONS(2992),
    [anon_sym_PLUS] = ACTIONS(2992),
    [anon_sym_DASH] = ACTIONS(2992),
    [anon_sym_SLASH] = ACTIONS(2992),
    [anon_sym_LT] = ACTIONS(2992),
    [anon_sym_TILDE] = ACTIONS(2994),
    [anon_sym_void] = ACTIONS(2992),
    [anon_sym_delete] = ACTIONS(2992),
    [anon_sym_PLUS_PLUS] = ACTIONS(2994),
    [anon_sym_DASH_DASH] = ACTIONS(2994),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2994),
    [sym_number] = ACTIONS(2994),
    [sym_private_property_identifier] = ACTIONS(2994),
    [sym_this] = ACTIONS(2992),
    [sym_super] = ACTIONS(2992),
    [sym_true] = ACTIONS(2992),
    [sym_false] = ACTIONS(2992),
    [sym_null] = ACTIONS(2992),
    [sym_undefined] = ACTIONS(2992),
    [anon_sym_AT] = ACTIONS(2994),
    [anon_sym_static] = ACTIONS(2992),
    [anon_sym_readonly] = ACTIONS(2992),
    [anon_sym_get] = ACTIONS(2992),
    [anon_sym_set] = ACTIONS(2992),
    [anon_sym_declare] = ACTIONS(2992),
    [anon_sym_public] = ACTIONS(2992),
    [anon_sym_private] = ACTIONS(2992),
    [anon_sym_protected] = ACTIONS(2992),
    [anon_sym_override] = ACTIONS(2992),
    [anon_sym_module] = ACTIONS(2992),
    [anon_sym_any] = ACTIONS(2992),
    [anon_sym_number] = ACTIONS(2992),
    [anon_sym_boolean] = ACTIONS(2992),
    [anon_sym_string] = ACTIONS(2992),
    [anon_sym_symbol] = ACTIONS(2992),
    [anon_sym_object] = ACTIONS(2992),
    [anon_sym_abstract] = ACTIONS(2992),
    [anon_sym_interface] = ACTIONS(2992),
    [anon_sym_enum] = ACTIONS(2992),
    [sym_html_comment] = ACTIONS(5),
  },
  [949] = {
    [sym_identifier] = ACTIONS(2996),
    [anon_sym_export] = ACTIONS(2996),
    [anon_sym_type] = ACTIONS(2996),
    [anon_sym_namespace] = ACTIONS(2996),
    [anon_sym_LBRACE] = ACTIONS(2998),
    [anon_sym_typeof] = ACTIONS(2996),
    [anon_sym_import] = ACTIONS(2996),
    [anon_sym_with] = ACTIONS(2996),
    [anon_sym_var] = ACTIONS(2996),
    [anon_sym_let] = ACTIONS(2996),
    [anon_sym_const] = ACTIONS(2996),
    [anon_sym_BANG] = ACTIONS(2998),
    [anon_sym_if] = ACTIONS(2996),
    [anon_sym_switch] = ACTIONS(2996),
    [anon_sym_for] = ACTIONS(2996),
    [anon_sym_LPAREN] = ACTIONS(2998),
    [anon_sym_SEMI] = ACTIONS(2998),
    [anon_sym_await] = ACTIONS(2996),
    [anon_sym_while] = ACTIONS(2996),
    [anon_sym_do] = ACTIONS(2996),
    [anon_sym_try] = ACTIONS(2996),
    [anon_sym_break] = ACTIONS(2996),
    [anon_sym_continue] = ACTIONS(2996),
    [anon_sym_debugger] = ACTIONS(2996),
    [anon_sym_return] = ACTIONS(2996),
    [anon_sym_throw] = ACTIONS(2996),
    [anon_sym_yield] = ACTIONS(2996),
    [anon_sym_LBRACK] = ACTIONS(2998),
    [sym_glimmer_opening_tag] = ACTIONS(2998),
    [anon_sym_DQUOTE] = ACTIONS(2998),
    [anon_sym_SQUOTE] = ACTIONS(2998),
    [anon_sym_class] = ACTIONS(2996),
    [anon_sym_async] = ACTIONS(2996),
    [anon_sym_function] = ACTIONS(2996),
    [anon_sym_new] = ACTIONS(2996),
    [anon_sym_using] = ACTIONS(2996),
    [anon_sym_PLUS] = ACTIONS(2996),
    [anon_sym_DASH] = ACTIONS(2996),
    [anon_sym_SLASH] = ACTIONS(2996),
    [anon_sym_LT] = ACTIONS(2996),
    [anon_sym_TILDE] = ACTIONS(2998),
    [anon_sym_void] = ACTIONS(2996),
    [anon_sym_delete] = ACTIONS(2996),
    [anon_sym_PLUS_PLUS] = ACTIONS(2998),
    [anon_sym_DASH_DASH] = ACTIONS(2998),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2998),
    [sym_number] = ACTIONS(2998),
    [sym_private_property_identifier] = ACTIONS(2998),
    [sym_this] = ACTIONS(2996),
    [sym_super] = ACTIONS(2996),
    [sym_true] = ACTIONS(2996),
    [sym_false] = ACTIONS(2996),
    [sym_null] = ACTIONS(2996),
    [sym_undefined] = ACTIONS(2996),
    [anon_sym_AT] = ACTIONS(2998),
    [anon_sym_static] = ACTIONS(2996),
    [anon_sym_readonly] = ACTIONS(2996),
    [anon_sym_get] = ACTIONS(2996),
    [anon_sym_set] = ACTIONS(2996),
    [anon_sym_declare] = ACTIONS(2996),
    [anon_sym_public] = ACTIONS(2996),
    [anon_sym_private] = ACTIONS(2996),
    [anon_sym_protected] = ACTIONS(2996),
    [anon_sym_override] = ACTIONS(2996),
    [anon_sym_module] = ACTIONS(2996),
    [anon_sym_any] = ACTIONS(2996),
    [anon_sym_number] = ACTIONS(2996),
    [anon_sym_boolean] = ACTIONS(2996),
    [anon_sym_string] = ACTIONS(2996),
    [anon_sym_symbol] = ACTIONS(2996),
    [anon_sym_object] = ACTIONS(2996),
    [anon_sym_abstract] = ACTIONS(2996),
    [anon_sym_interface] = ACTIONS(2996),
    [anon_sym_enum] = ACTIONS(2996),
    [sym_html_comment] = ACTIONS(5),
  },
  [950] = {
    [sym_identifier] = ACTIONS(2992),
    [anon_sym_export] = ACTIONS(2992),
    [anon_sym_type] = ACTIONS(2992),
    [anon_sym_namespace] = ACTIONS(2992),
    [anon_sym_LBRACE] = ACTIONS(2994),
    [anon_sym_typeof] = ACTIONS(2992),
    [anon_sym_import] = ACTIONS(2992),
    [anon_sym_with] = ACTIONS(2992),
    [anon_sym_var] = ACTIONS(2992),
    [anon_sym_let] = ACTIONS(2992),
    [anon_sym_const] = ACTIONS(2992),
    [anon_sym_BANG] = ACTIONS(2994),
    [anon_sym_if] = ACTIONS(2992),
    [anon_sym_switch] = ACTIONS(2992),
    [anon_sym_for] = ACTIONS(2992),
    [anon_sym_LPAREN] = ACTIONS(2994),
    [anon_sym_SEMI] = ACTIONS(2994),
    [anon_sym_await] = ACTIONS(2992),
    [anon_sym_while] = ACTIONS(2992),
    [anon_sym_do] = ACTIONS(2992),
    [anon_sym_try] = ACTIONS(2992),
    [anon_sym_break] = ACTIONS(2992),
    [anon_sym_continue] = ACTIONS(2992),
    [anon_sym_debugger] = ACTIONS(2992),
    [anon_sym_return] = ACTIONS(2992),
    [anon_sym_throw] = ACTIONS(2992),
    [anon_sym_yield] = ACTIONS(2992),
    [anon_sym_LBRACK] = ACTIONS(2994),
    [sym_glimmer_opening_tag] = ACTIONS(2994),
    [anon_sym_DQUOTE] = ACTIONS(2994),
    [anon_sym_SQUOTE] = ACTIONS(2994),
    [anon_sym_class] = ACTIONS(2992),
    [anon_sym_async] = ACTIONS(2992),
    [anon_sym_function] = ACTIONS(2992),
    [anon_sym_new] = ACTIONS(2992),
    [anon_sym_using] = ACTIONS(2992),
    [anon_sym_PLUS] = ACTIONS(2992),
    [anon_sym_DASH] = ACTIONS(2992),
    [anon_sym_SLASH] = ACTIONS(2992),
    [anon_sym_LT] = ACTIONS(2992),
    [anon_sym_TILDE] = ACTIONS(2994),
    [anon_sym_void] = ACTIONS(2992),
    [anon_sym_delete] = ACTIONS(2992),
    [anon_sym_PLUS_PLUS] = ACTIONS(2994),
    [anon_sym_DASH_DASH] = ACTIONS(2994),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2994),
    [sym_number] = ACTIONS(2994),
    [sym_private_property_identifier] = ACTIONS(2994),
    [sym_this] = ACTIONS(2992),
    [sym_super] = ACTIONS(2992),
    [sym_true] = ACTIONS(2992),
    [sym_false] = ACTIONS(2992),
    [sym_null] = ACTIONS(2992),
    [sym_undefined] = ACTIONS(2992),
    [anon_sym_AT] = ACTIONS(2994),
    [anon_sym_static] = ACTIONS(2992),
    [anon_sym_readonly] = ACTIONS(2992),
    [anon_sym_get] = ACTIONS(2992),
    [anon_sym_set] = ACTIONS(2992),
    [anon_sym_declare] = ACTIONS(2992),
    [anon_sym_public] = ACTIONS(2992),
    [anon_sym_private] = ACTIONS(2992),
    [anon_sym_protected] = ACTIONS(2992),
    [anon_sym_override] = ACTIONS(2992),
    [anon_sym_module] = ACTIONS(2992),
    [anon_sym_any] = ACTIONS(2992),
    [anon_sym_number] = ACTIONS(2992),
    [anon_sym_boolean] = ACTIONS(2992),
    [anon_sym_string] = ACTIONS(2992),
    [anon_sym_symbol] = ACTIONS(2992),
    [anon_sym_object] = ACTIONS(2992),
    [anon_sym_abstract] = ACTIONS(2992),
    [anon_sym_interface] = ACTIONS(2992),
    [anon_sym_enum] = ACTIONS(2992),
    [sym_html_comment] = ACTIONS(5),
  },
  [951] = {
    [sym_identifier] = ACTIONS(2992),
    [anon_sym_export] = ACTIONS(2992),
    [anon_sym_type] = ACTIONS(2992),
    [anon_sym_namespace] = ACTIONS(2992),
    [anon_sym_LBRACE] = ACTIONS(2994),
    [anon_sym_typeof] = ACTIONS(2992),
    [anon_sym_import] = ACTIONS(2992),
    [anon_sym_with] = ACTIONS(2992),
    [anon_sym_var] = ACTIONS(2992),
    [anon_sym_let] = ACTIONS(2992),
    [anon_sym_const] = ACTIONS(2992),
    [anon_sym_BANG] = ACTIONS(2994),
    [anon_sym_if] = ACTIONS(2992),
    [anon_sym_switch] = ACTIONS(2992),
    [anon_sym_for] = ACTIONS(2992),
    [anon_sym_LPAREN] = ACTIONS(2994),
    [anon_sym_SEMI] = ACTIONS(2994),
    [anon_sym_await] = ACTIONS(2992),
    [anon_sym_while] = ACTIONS(2992),
    [anon_sym_do] = ACTIONS(2992),
    [anon_sym_try] = ACTIONS(2992),
    [anon_sym_break] = ACTIONS(2992),
    [anon_sym_continue] = ACTIONS(2992),
    [anon_sym_debugger] = ACTIONS(2992),
    [anon_sym_return] = ACTIONS(2992),
    [anon_sym_throw] = ACTIONS(2992),
    [anon_sym_yield] = ACTIONS(2992),
    [anon_sym_LBRACK] = ACTIONS(2994),
    [sym_glimmer_opening_tag] = ACTIONS(2994),
    [anon_sym_DQUOTE] = ACTIONS(2994),
    [anon_sym_SQUOTE] = ACTIONS(2994),
    [anon_sym_class] = ACTIONS(2992),
    [anon_sym_async] = ACTIONS(2992),
    [anon_sym_function] = ACTIONS(2992),
    [anon_sym_new] = ACTIONS(2992),
    [anon_sym_using] = ACTIONS(2992),
    [anon_sym_PLUS] = ACTIONS(2992),
    [anon_sym_DASH] = ACTIONS(2992),
    [anon_sym_SLASH] = ACTIONS(2992),
    [anon_sym_LT] = ACTIONS(2992),
    [anon_sym_TILDE] = ACTIONS(2994),
    [anon_sym_void] = ACTIONS(2992),
    [anon_sym_delete] = ACTIONS(2992),
    [anon_sym_PLUS_PLUS] = ACTIONS(2994),
    [anon_sym_DASH_DASH] = ACTIONS(2994),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2994),
    [sym_number] = ACTIONS(2994),
    [sym_private_property_identifier] = ACTIONS(2994),
    [sym_this] = ACTIONS(2992),
    [sym_super] = ACTIONS(2992),
    [sym_true] = ACTIONS(2992),
    [sym_false] = ACTIONS(2992),
    [sym_null] = ACTIONS(2992),
    [sym_undefined] = ACTIONS(2992),
    [anon_sym_AT] = ACTIONS(2994),
    [anon_sym_static] = ACTIONS(2992),
    [anon_sym_readonly] = ACTIONS(2992),
    [anon_sym_get] = ACTIONS(2992),
    [anon_sym_set] = ACTIONS(2992),
    [anon_sym_declare] = ACTIONS(2992),
    [anon_sym_public] = ACTIONS(2992),
    [anon_sym_private] = ACTIONS(2992),
    [anon_sym_protected] = ACTIONS(2992),
    [anon_sym_override] = ACTIONS(2992),
    [anon_sym_module] = ACTIONS(2992),
    [anon_sym_any] = ACTIONS(2992),
    [anon_sym_number] = ACTIONS(2992),
    [anon_sym_boolean] = ACTIONS(2992),
    [anon_sym_string] = ACTIONS(2992),
    [anon_sym_symbol] = ACTIONS(2992),
    [anon_sym_object] = ACTIONS(2992),
    [anon_sym_abstract] = ACTIONS(2992),
    [anon_sym_interface] = ACTIONS(2992),
    [anon_sym_enum] = ACTIONS(2992),
    [sym_html_comment] = ACTIONS(5),
  },
  [952] = {
    [sym_identifier] = ACTIONS(3000),
    [anon_sym_export] = ACTIONS(3000),
    [anon_sym_type] = ACTIONS(3000),
    [anon_sym_namespace] = ACTIONS(3000),
    [anon_sym_LBRACE] = ACTIONS(3002),
    [anon_sym_typeof] = ACTIONS(3000),
    [anon_sym_import] = ACTIONS(3000),
    [anon_sym_with] = ACTIONS(3000),
    [anon_sym_var] = ACTIONS(3000),
    [anon_sym_let] = ACTIONS(3000),
    [anon_sym_const] = ACTIONS(3000),
    [anon_sym_BANG] = ACTIONS(3002),
    [anon_sym_if] = ACTIONS(3000),
    [anon_sym_switch] = ACTIONS(3000),
    [anon_sym_for] = ACTIONS(3000),
    [anon_sym_LPAREN] = ACTIONS(3002),
    [anon_sym_SEMI] = ACTIONS(3002),
    [anon_sym_await] = ACTIONS(3000),
    [anon_sym_while] = ACTIONS(3000),
    [anon_sym_do] = ACTIONS(3000),
    [anon_sym_try] = ACTIONS(3000),
    [anon_sym_break] = ACTIONS(3000),
    [anon_sym_continue] = ACTIONS(3000),
    [anon_sym_debugger] = ACTIONS(3000),
    [anon_sym_return] = ACTIONS(3000),
    [anon_sym_throw] = ACTIONS(3000),
    [anon_sym_yield] = ACTIONS(3000),
    [anon_sym_LBRACK] = ACTIONS(3002),
    [sym_glimmer_opening_tag] = ACTIONS(3002),
    [anon_sym_DQUOTE] = ACTIONS(3002),
    [anon_sym_SQUOTE] = ACTIONS(3002),
    [anon_sym_class] = ACTIONS(3000),
    [anon_sym_async] = ACTIONS(3000),
    [anon_sym_function] = ACTIONS(3000),
    [anon_sym_new] = ACTIONS(3000),
    [anon_sym_using] = ACTIONS(3000),
    [anon_sym_PLUS] = ACTIONS(3000),
    [anon_sym_DASH] = ACTIONS(3000),
    [anon_sym_SLASH] = ACTIONS(3000),
    [anon_sym_LT] = ACTIONS(3000),
    [anon_sym_TILDE] = ACTIONS(3002),
    [anon_sym_void] = ACTIONS(3000),
    [anon_sym_delete] = ACTIONS(3000),
    [anon_sym_PLUS_PLUS] = ACTIONS(3002),
    [anon_sym_DASH_DASH] = ACTIONS(3002),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3002),
    [sym_number] = ACTIONS(3002),
    [sym_private_property_identifier] = ACTIONS(3002),
    [sym_this] = ACTIONS(3000),
    [sym_super] = ACTIONS(3000),
    [sym_true] = ACTIONS(3000),
    [sym_false] = ACTIONS(3000),
    [sym_null] = ACTIONS(3000),
    [sym_undefined] = ACTIONS(3000),
    [anon_sym_AT] = ACTIONS(3002),
    [anon_sym_static] = ACTIONS(3000),
    [anon_sym_readonly] = ACTIONS(3000),
    [anon_sym_get] = ACTIONS(3000),
    [anon_sym_set] = ACTIONS(3000),
    [anon_sym_declare] = ACTIONS(3000),
    [anon_sym_public] = ACTIONS(3000),
    [anon_sym_private] = ACTIONS(3000),
    [anon_sym_protected] = ACTIONS(3000),
    [anon_sym_override] = ACTIONS(3000),
    [anon_sym_module] = ACTIONS(3000),
    [anon_sym_any] = ACTIONS(3000),
    [anon_sym_number] = ACTIONS(3000),
    [anon_sym_boolean] = ACTIONS(3000),
    [anon_sym_string] = ACTIONS(3000),
    [anon_sym_symbol] = ACTIONS(3000),
    [anon_sym_object] = ACTIONS(3000),
    [anon_sym_abstract] = ACTIONS(3000),
    [anon_sym_interface] = ACTIONS(3000),
    [anon_sym_enum] = ACTIONS(3000),
    [sym_html_comment] = ACTIONS(5),
  },
  [953] = {
    [sym_identifier] = ACTIONS(2992),
    [anon_sym_export] = ACTIONS(2992),
    [anon_sym_type] = ACTIONS(2992),
    [anon_sym_namespace] = ACTIONS(2992),
    [anon_sym_LBRACE] = ACTIONS(2994),
    [anon_sym_typeof] = ACTIONS(2992),
    [anon_sym_import] = ACTIONS(2992),
    [anon_sym_with] = ACTIONS(2992),
    [anon_sym_var] = ACTIONS(2992),
    [anon_sym_let] = ACTIONS(2992),
    [anon_sym_const] = ACTIONS(2992),
    [anon_sym_BANG] = ACTIONS(2994),
    [anon_sym_if] = ACTIONS(2992),
    [anon_sym_switch] = ACTIONS(2992),
    [anon_sym_for] = ACTIONS(2992),
    [anon_sym_LPAREN] = ACTIONS(2994),
    [anon_sym_SEMI] = ACTIONS(2994),
    [anon_sym_await] = ACTIONS(2992),
    [anon_sym_while] = ACTIONS(2992),
    [anon_sym_do] = ACTIONS(2992),
    [anon_sym_try] = ACTIONS(2992),
    [anon_sym_break] = ACTIONS(2992),
    [anon_sym_continue] = ACTIONS(2992),
    [anon_sym_debugger] = ACTIONS(2992),
    [anon_sym_return] = ACTIONS(2992),
    [anon_sym_throw] = ACTIONS(2992),
    [anon_sym_yield] = ACTIONS(2992),
    [anon_sym_LBRACK] = ACTIONS(2994),
    [sym_glimmer_opening_tag] = ACTIONS(2994),
    [anon_sym_DQUOTE] = ACTIONS(2994),
    [anon_sym_SQUOTE] = ACTIONS(2994),
    [anon_sym_class] = ACTIONS(2992),
    [anon_sym_async] = ACTIONS(2992),
    [anon_sym_function] = ACTIONS(2992),
    [anon_sym_new] = ACTIONS(2992),
    [anon_sym_using] = ACTIONS(2992),
    [anon_sym_PLUS] = ACTIONS(2992),
    [anon_sym_DASH] = ACTIONS(2992),
    [anon_sym_SLASH] = ACTIONS(2992),
    [anon_sym_LT] = ACTIONS(2992),
    [anon_sym_TILDE] = ACTIONS(2994),
    [anon_sym_void] = ACTIONS(2992),
    [anon_sym_delete] = ACTIONS(2992),
    [anon_sym_PLUS_PLUS] = ACTIONS(2994),
    [anon_sym_DASH_DASH] = ACTIONS(2994),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2994),
    [sym_number] = ACTIONS(2994),
    [sym_private_property_identifier] = ACTIONS(2994),
    [sym_this] = ACTIONS(2992),
    [sym_super] = ACTIONS(2992),
    [sym_true] = ACTIONS(2992),
    [sym_false] = ACTIONS(2992),
    [sym_null] = ACTIONS(2992),
    [sym_undefined] = ACTIONS(2992),
    [anon_sym_AT] = ACTIONS(2994),
    [anon_sym_static] = ACTIONS(2992),
    [anon_sym_readonly] = ACTIONS(2992),
    [anon_sym_get] = ACTIONS(2992),
    [anon_sym_set] = ACTIONS(2992),
    [anon_sym_declare] = ACTIONS(2992),
    [anon_sym_public] = ACTIONS(2992),
    [anon_sym_private] = ACTIONS(2992),
    [anon_sym_protected] = ACTIONS(2992),
    [anon_sym_override] = ACTIONS(2992),
    [anon_sym_module] = ACTIONS(2992),
    [anon_sym_any] = ACTIONS(2992),
    [anon_sym_number] = ACTIONS(2992),
    [anon_sym_boolean] = ACTIONS(2992),
    [anon_sym_string] = ACTIONS(2992),
    [anon_sym_symbol] = ACTIONS(2992),
    [anon_sym_object] = ACTIONS(2992),
    [anon_sym_abstract] = ACTIONS(2992),
    [anon_sym_interface] = ACTIONS(2992),
    [anon_sym_enum] = ACTIONS(2992),
    [sym_html_comment] = ACTIONS(5),
  },
  [954] = {
    [sym_identifier] = ACTIONS(3004),
    [anon_sym_export] = ACTIONS(3004),
    [anon_sym_type] = ACTIONS(3004),
    [anon_sym_namespace] = ACTIONS(3004),
    [anon_sym_LBRACE] = ACTIONS(3006),
    [anon_sym_typeof] = ACTIONS(3004),
    [anon_sym_import] = ACTIONS(3004),
    [anon_sym_with] = ACTIONS(3004),
    [anon_sym_var] = ACTIONS(3004),
    [anon_sym_let] = ACTIONS(3004),
    [anon_sym_const] = ACTIONS(3004),
    [anon_sym_BANG] = ACTIONS(3006),
    [anon_sym_if] = ACTIONS(3004),
    [anon_sym_switch] = ACTIONS(3004),
    [anon_sym_for] = ACTIONS(3004),
    [anon_sym_LPAREN] = ACTIONS(3006),
    [anon_sym_SEMI] = ACTIONS(3006),
    [anon_sym_await] = ACTIONS(3004),
    [anon_sym_while] = ACTIONS(3004),
    [anon_sym_do] = ACTIONS(3004),
    [anon_sym_try] = ACTIONS(3004),
    [anon_sym_break] = ACTIONS(3004),
    [anon_sym_continue] = ACTIONS(3004),
    [anon_sym_debugger] = ACTIONS(3004),
    [anon_sym_return] = ACTIONS(3004),
    [anon_sym_throw] = ACTIONS(3004),
    [anon_sym_yield] = ACTIONS(3004),
    [anon_sym_LBRACK] = ACTIONS(3006),
    [sym_glimmer_opening_tag] = ACTIONS(3006),
    [anon_sym_DQUOTE] = ACTIONS(3006),
    [anon_sym_SQUOTE] = ACTIONS(3006),
    [anon_sym_class] = ACTIONS(3004),
    [anon_sym_async] = ACTIONS(3004),
    [anon_sym_function] = ACTIONS(3004),
    [anon_sym_new] = ACTIONS(3004),
    [anon_sym_using] = ACTIONS(3004),
    [anon_sym_PLUS] = ACTIONS(3004),
    [anon_sym_DASH] = ACTIONS(3004),
    [anon_sym_SLASH] = ACTIONS(3004),
    [anon_sym_LT] = ACTIONS(3004),
    [anon_sym_TILDE] = ACTIONS(3006),
    [anon_sym_void] = ACTIONS(3004),
    [anon_sym_delete] = ACTIONS(3004),
    [anon_sym_PLUS_PLUS] = ACTIONS(3006),
    [anon_sym_DASH_DASH] = ACTIONS(3006),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3006),
    [sym_number] = ACTIONS(3006),
    [sym_private_property_identifier] = ACTIONS(3006),
    [sym_this] = ACTIONS(3004),
    [sym_super] = ACTIONS(3004),
    [sym_true] = ACTIONS(3004),
    [sym_false] = ACTIONS(3004),
    [sym_null] = ACTIONS(3004),
    [sym_undefined] = ACTIONS(3004),
    [anon_sym_AT] = ACTIONS(3006),
    [anon_sym_static] = ACTIONS(3004),
    [anon_sym_readonly] = ACTIONS(3004),
    [anon_sym_get] = ACTIONS(3004),
    [anon_sym_set] = ACTIONS(3004),
    [anon_sym_declare] = ACTIONS(3004),
    [anon_sym_public] = ACTIONS(3004),
    [anon_sym_private] = ACTIONS(3004),
    [anon_sym_protected] = ACTIONS(3004),
    [anon_sym_override] = ACTIONS(3004),
    [anon_sym_module] = ACTIONS(3004),
    [anon_sym_any] = ACTIONS(3004),
    [anon_sym_number] = ACTIONS(3004),
    [anon_sym_boolean] = ACTIONS(3004),
    [anon_sym_string] = ACTIONS(3004),
    [anon_sym_symbol] = ACTIONS(3004),
    [anon_sym_object] = ACTIONS(3004),
    [anon_sym_abstract] = ACTIONS(3004),
    [anon_sym_interface] = ACTIONS(3004),
    [anon_sym_enum] = ACTIONS(3004),
    [sym_html_comment] = ACTIONS(5),
  },
  [955] = {
    [sym_identifier] = ACTIONS(3008),
    [anon_sym_export] = ACTIONS(3008),
    [anon_sym_type] = ACTIONS(3008),
    [anon_sym_namespace] = ACTIONS(3008),
    [anon_sym_LBRACE] = ACTIONS(3010),
    [anon_sym_typeof] = ACTIONS(3008),
    [anon_sym_import] = ACTIONS(3008),
    [anon_sym_with] = ACTIONS(3008),
    [anon_sym_var] = ACTIONS(3008),
    [anon_sym_let] = ACTIONS(3008),
    [anon_sym_const] = ACTIONS(3008),
    [anon_sym_BANG] = ACTIONS(3010),
    [anon_sym_if] = ACTIONS(3008),
    [anon_sym_switch] = ACTIONS(3008),
    [anon_sym_for] = ACTIONS(3008),
    [anon_sym_LPAREN] = ACTIONS(3010),
    [anon_sym_SEMI] = ACTIONS(3010),
    [anon_sym_await] = ACTIONS(3008),
    [anon_sym_while] = ACTIONS(3008),
    [anon_sym_do] = ACTIONS(3008),
    [anon_sym_try] = ACTIONS(3008),
    [anon_sym_break] = ACTIONS(3008),
    [anon_sym_continue] = ACTIONS(3008),
    [anon_sym_debugger] = ACTIONS(3008),
    [anon_sym_return] = ACTIONS(3008),
    [anon_sym_throw] = ACTIONS(3008),
    [anon_sym_yield] = ACTIONS(3008),
    [anon_sym_LBRACK] = ACTIONS(3010),
    [sym_glimmer_opening_tag] = ACTIONS(3010),
    [anon_sym_DQUOTE] = ACTIONS(3010),
    [anon_sym_SQUOTE] = ACTIONS(3010),
    [anon_sym_class] = ACTIONS(3008),
    [anon_sym_async] = ACTIONS(3008),
    [anon_sym_function] = ACTIONS(3008),
    [anon_sym_new] = ACTIONS(3008),
    [anon_sym_using] = ACTIONS(3008),
    [anon_sym_PLUS] = ACTIONS(3008),
    [anon_sym_DASH] = ACTIONS(3008),
    [anon_sym_SLASH] = ACTIONS(3008),
    [anon_sym_LT] = ACTIONS(3008),
    [anon_sym_TILDE] = ACTIONS(3010),
    [anon_sym_void] = ACTIONS(3008),
    [anon_sym_delete] = ACTIONS(3008),
    [anon_sym_PLUS_PLUS] = ACTIONS(3010),
    [anon_sym_DASH_DASH] = ACTIONS(3010),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3010),
    [sym_number] = ACTIONS(3010),
    [sym_private_property_identifier] = ACTIONS(3010),
    [sym_this] = ACTIONS(3008),
    [sym_super] = ACTIONS(3008),
    [sym_true] = ACTIONS(3008),
    [sym_false] = ACTIONS(3008),
    [sym_null] = ACTIONS(3008),
    [sym_undefined] = ACTIONS(3008),
    [anon_sym_AT] = ACTIONS(3010),
    [anon_sym_static] = ACTIONS(3008),
    [anon_sym_readonly] = ACTIONS(3008),
    [anon_sym_get] = ACTIONS(3008),
    [anon_sym_set] = ACTIONS(3008),
    [anon_sym_declare] = ACTIONS(3008),
    [anon_sym_public] = ACTIONS(3008),
    [anon_sym_private] = ACTIONS(3008),
    [anon_sym_protected] = ACTIONS(3008),
    [anon_sym_override] = ACTIONS(3008),
    [anon_sym_module] = ACTIONS(3008),
    [anon_sym_any] = ACTIONS(3008),
    [anon_sym_number] = ACTIONS(3008),
    [anon_sym_boolean] = ACTIONS(3008),
    [anon_sym_string] = ACTIONS(3008),
    [anon_sym_symbol] = ACTIONS(3008),
    [anon_sym_object] = ACTIONS(3008),
    [anon_sym_abstract] = ACTIONS(3008),
    [anon_sym_interface] = ACTIONS(3008),
    [anon_sym_enum] = ACTIONS(3008),
    [sym_html_comment] = ACTIONS(5),
  },
  [956] = {
    [sym_identifier] = ACTIONS(2992),
    [anon_sym_export] = ACTIONS(2992),
    [anon_sym_type] = ACTIONS(2992),
    [anon_sym_namespace] = ACTIONS(2992),
    [anon_sym_LBRACE] = ACTIONS(2994),
    [anon_sym_typeof] = ACTIONS(2992),
    [anon_sym_import] = ACTIONS(2992),
    [anon_sym_with] = ACTIONS(2992),
    [anon_sym_var] = ACTIONS(2992),
    [anon_sym_let] = ACTIONS(2992),
    [anon_sym_const] = ACTIONS(2992),
    [anon_sym_BANG] = ACTIONS(2994),
    [anon_sym_if] = ACTIONS(2992),
    [anon_sym_switch] = ACTIONS(2992),
    [anon_sym_for] = ACTIONS(2992),
    [anon_sym_LPAREN] = ACTIONS(2994),
    [anon_sym_SEMI] = ACTIONS(2994),
    [anon_sym_await] = ACTIONS(2992),
    [anon_sym_while] = ACTIONS(2992),
    [anon_sym_do] = ACTIONS(2992),
    [anon_sym_try] = ACTIONS(2992),
    [anon_sym_break] = ACTIONS(2992),
    [anon_sym_continue] = ACTIONS(2992),
    [anon_sym_debugger] = ACTIONS(2992),
    [anon_sym_return] = ACTIONS(2992),
    [anon_sym_throw] = ACTIONS(2992),
    [anon_sym_yield] = ACTIONS(2992),
    [anon_sym_LBRACK] = ACTIONS(2994),
    [sym_glimmer_opening_tag] = ACTIONS(2994),
    [anon_sym_DQUOTE] = ACTIONS(2994),
    [anon_sym_SQUOTE] = ACTIONS(2994),
    [anon_sym_class] = ACTIONS(2992),
    [anon_sym_async] = ACTIONS(2992),
    [anon_sym_function] = ACTIONS(2992),
    [anon_sym_new] = ACTIONS(2992),
    [anon_sym_using] = ACTIONS(2992),
    [anon_sym_PLUS] = ACTIONS(2992),
    [anon_sym_DASH] = ACTIONS(2992),
    [anon_sym_SLASH] = ACTIONS(2992),
    [anon_sym_LT] = ACTIONS(2992),
    [anon_sym_TILDE] = ACTIONS(2994),
    [anon_sym_void] = ACTIONS(2992),
    [anon_sym_delete] = ACTIONS(2992),
    [anon_sym_PLUS_PLUS] = ACTIONS(2994),
    [anon_sym_DASH_DASH] = ACTIONS(2994),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2994),
    [sym_number] = ACTIONS(2994),
    [sym_private_property_identifier] = ACTIONS(2994),
    [sym_this] = ACTIONS(2992),
    [sym_super] = ACTIONS(2992),
    [sym_true] = ACTIONS(2992),
    [sym_false] = ACTIONS(2992),
    [sym_null] = ACTIONS(2992),
    [sym_undefined] = ACTIONS(2992),
    [anon_sym_AT] = ACTIONS(2994),
    [anon_sym_static] = ACTIONS(2992),
    [anon_sym_readonly] = ACTIONS(2992),
    [anon_sym_get] = ACTIONS(2992),
    [anon_sym_set] = ACTIONS(2992),
    [anon_sym_declare] = ACTIONS(2992),
    [anon_sym_public] = ACTIONS(2992),
    [anon_sym_private] = ACTIONS(2992),
    [anon_sym_protected] = ACTIONS(2992),
    [anon_sym_override] = ACTIONS(2992),
    [anon_sym_module] = ACTIONS(2992),
    [anon_sym_any] = ACTIONS(2992),
    [anon_sym_number] = ACTIONS(2992),
    [anon_sym_boolean] = ACTIONS(2992),
    [anon_sym_string] = ACTIONS(2992),
    [anon_sym_symbol] = ACTIONS(2992),
    [anon_sym_object] = ACTIONS(2992),
    [anon_sym_abstract] = ACTIONS(2992),
    [anon_sym_interface] = ACTIONS(2992),
    [anon_sym_enum] = ACTIONS(2992),
    [sym_html_comment] = ACTIONS(5),
  },
  [957] = {
    [sym_identifier] = ACTIONS(2992),
    [anon_sym_export] = ACTIONS(2992),
    [anon_sym_type] = ACTIONS(2992),
    [anon_sym_namespace] = ACTIONS(2992),
    [anon_sym_LBRACE] = ACTIONS(2994),
    [anon_sym_typeof] = ACTIONS(2992),
    [anon_sym_import] = ACTIONS(2992),
    [anon_sym_with] = ACTIONS(2992),
    [anon_sym_var] = ACTIONS(2992),
    [anon_sym_let] = ACTIONS(2992),
    [anon_sym_const] = ACTIONS(2992),
    [anon_sym_BANG] = ACTIONS(2994),
    [anon_sym_if] = ACTIONS(2992),
    [anon_sym_switch] = ACTIONS(2992),
    [anon_sym_for] = ACTIONS(2992),
    [anon_sym_LPAREN] = ACTIONS(2994),
    [anon_sym_SEMI] = ACTIONS(2994),
    [anon_sym_await] = ACTIONS(2992),
    [anon_sym_while] = ACTIONS(2992),
    [anon_sym_do] = ACTIONS(2992),
    [anon_sym_try] = ACTIONS(2992),
    [anon_sym_break] = ACTIONS(2992),
    [anon_sym_continue] = ACTIONS(2992),
    [anon_sym_debugger] = ACTIONS(2992),
    [anon_sym_return] = ACTIONS(2992),
    [anon_sym_throw] = ACTIONS(2992),
    [anon_sym_yield] = ACTIONS(2992),
    [anon_sym_LBRACK] = ACTIONS(2994),
    [sym_glimmer_opening_tag] = ACTIONS(2994),
    [anon_sym_DQUOTE] = ACTIONS(2994),
    [anon_sym_SQUOTE] = ACTIONS(2994),
    [anon_sym_class] = ACTIONS(2992),
    [anon_sym_async] = ACTIONS(2992),
    [anon_sym_function] = ACTIONS(2992),
    [anon_sym_new] = ACTIONS(2992),
    [anon_sym_using] = ACTIONS(2992),
    [anon_sym_PLUS] = ACTIONS(2992),
    [anon_sym_DASH] = ACTIONS(2992),
    [anon_sym_SLASH] = ACTIONS(2992),
    [anon_sym_LT] = ACTIONS(2992),
    [anon_sym_TILDE] = ACTIONS(2994),
    [anon_sym_void] = ACTIONS(2992),
    [anon_sym_delete] = ACTIONS(2992),
    [anon_sym_PLUS_PLUS] = ACTIONS(2994),
    [anon_sym_DASH_DASH] = ACTIONS(2994),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2994),
    [sym_number] = ACTIONS(2994),
    [sym_private_property_identifier] = ACTIONS(2994),
    [sym_this] = ACTIONS(2992),
    [sym_super] = ACTIONS(2992),
    [sym_true] = ACTIONS(2992),
    [sym_false] = ACTIONS(2992),
    [sym_null] = ACTIONS(2992),
    [sym_undefined] = ACTIONS(2992),
    [anon_sym_AT] = ACTIONS(2994),
    [anon_sym_static] = ACTIONS(2992),
    [anon_sym_readonly] = ACTIONS(2992),
    [anon_sym_get] = ACTIONS(2992),
    [anon_sym_set] = ACTIONS(2992),
    [anon_sym_declare] = ACTIONS(2992),
    [anon_sym_public] = ACTIONS(2992),
    [anon_sym_private] = ACTIONS(2992),
    [anon_sym_protected] = ACTIONS(2992),
    [anon_sym_override] = ACTIONS(2992),
    [anon_sym_module] = ACTIONS(2992),
    [anon_sym_any] = ACTIONS(2992),
    [anon_sym_number] = ACTIONS(2992),
    [anon_sym_boolean] = ACTIONS(2992),
    [anon_sym_string] = ACTIONS(2992),
    [anon_sym_symbol] = ACTIONS(2992),
    [anon_sym_object] = ACTIONS(2992),
    [anon_sym_abstract] = ACTIONS(2992),
    [anon_sym_interface] = ACTIONS(2992),
    [anon_sym_enum] = ACTIONS(2992),
    [sym_html_comment] = ACTIONS(5),
  },
  [958] = {
    [sym_identifier] = ACTIONS(2992),
    [anon_sym_export] = ACTIONS(2992),
    [anon_sym_type] = ACTIONS(2992),
    [anon_sym_namespace] = ACTIONS(2992),
    [anon_sym_LBRACE] = ACTIONS(2994),
    [anon_sym_typeof] = ACTIONS(2992),
    [anon_sym_import] = ACTIONS(2992),
    [anon_sym_with] = ACTIONS(2992),
    [anon_sym_var] = ACTIONS(2992),
    [anon_sym_let] = ACTIONS(2992),
    [anon_sym_const] = ACTIONS(2992),
    [anon_sym_BANG] = ACTIONS(2994),
    [anon_sym_if] = ACTIONS(2992),
    [anon_sym_switch] = ACTIONS(2992),
    [anon_sym_for] = ACTIONS(2992),
    [anon_sym_LPAREN] = ACTIONS(2994),
    [anon_sym_SEMI] = ACTIONS(2994),
    [anon_sym_await] = ACTIONS(2992),
    [anon_sym_while] = ACTIONS(2992),
    [anon_sym_do] = ACTIONS(2992),
    [anon_sym_try] = ACTIONS(2992),
    [anon_sym_break] = ACTIONS(2992),
    [anon_sym_continue] = ACTIONS(2992),
    [anon_sym_debugger] = ACTIONS(2992),
    [anon_sym_return] = ACTIONS(2992),
    [anon_sym_throw] = ACTIONS(2992),
    [anon_sym_yield] = ACTIONS(2992),
    [anon_sym_LBRACK] = ACTIONS(2994),
    [sym_glimmer_opening_tag] = ACTIONS(2994),
    [anon_sym_DQUOTE] = ACTIONS(2994),
    [anon_sym_SQUOTE] = ACTIONS(2994),
    [anon_sym_class] = ACTIONS(2992),
    [anon_sym_async] = ACTIONS(2992),
    [anon_sym_function] = ACTIONS(2992),
    [anon_sym_new] = ACTIONS(2992),
    [anon_sym_using] = ACTIONS(2992),
    [anon_sym_PLUS] = ACTIONS(2992),
    [anon_sym_DASH] = ACTIONS(2992),
    [anon_sym_SLASH] = ACTIONS(2992),
    [anon_sym_LT] = ACTIONS(2992),
    [anon_sym_TILDE] = ACTIONS(2994),
    [anon_sym_void] = ACTIONS(2992),
    [anon_sym_delete] = ACTIONS(2992),
    [anon_sym_PLUS_PLUS] = ACTIONS(2994),
    [anon_sym_DASH_DASH] = ACTIONS(2994),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2994),
    [sym_number] = ACTIONS(2994),
    [sym_private_property_identifier] = ACTIONS(2994),
    [sym_this] = ACTIONS(2992),
    [sym_super] = ACTIONS(2992),
    [sym_true] = ACTIONS(2992),
    [sym_false] = ACTIONS(2992),
    [sym_null] = ACTIONS(2992),
    [sym_undefined] = ACTIONS(2992),
    [anon_sym_AT] = ACTIONS(2994),
    [anon_sym_static] = ACTIONS(2992),
    [anon_sym_readonly] = ACTIONS(2992),
    [anon_sym_get] = ACTIONS(2992),
    [anon_sym_set] = ACTIONS(2992),
    [anon_sym_declare] = ACTIONS(2992),
    [anon_sym_public] = ACTIONS(2992),
    [anon_sym_private] = ACTIONS(2992),
    [anon_sym_protected] = ACTIONS(2992),
    [anon_sym_override] = ACTIONS(2992),
    [anon_sym_module] = ACTIONS(2992),
    [anon_sym_any] = ACTIONS(2992),
    [anon_sym_number] = ACTIONS(2992),
    [anon_sym_boolean] = ACTIONS(2992),
    [anon_sym_string] = ACTIONS(2992),
    [anon_sym_symbol] = ACTIONS(2992),
    [anon_sym_object] = ACTIONS(2992),
    [anon_sym_abstract] = ACTIONS(2992),
    [anon_sym_interface] = ACTIONS(2992),
    [anon_sym_enum] = ACTIONS(2992),
    [sym_html_comment] = ACTIONS(5),
  },
  [959] = {
    [sym_identifier] = ACTIONS(2992),
    [anon_sym_export] = ACTIONS(2992),
    [anon_sym_type] = ACTIONS(2992),
    [anon_sym_namespace] = ACTIONS(2992),
    [anon_sym_LBRACE] = ACTIONS(2994),
    [anon_sym_typeof] = ACTIONS(2992),
    [anon_sym_import] = ACTIONS(2992),
    [anon_sym_with] = ACTIONS(2992),
    [anon_sym_var] = ACTIONS(2992),
    [anon_sym_let] = ACTIONS(2992),
    [anon_sym_const] = ACTIONS(2992),
    [anon_sym_BANG] = ACTIONS(2994),
    [anon_sym_if] = ACTIONS(2992),
    [anon_sym_switch] = ACTIONS(2992),
    [anon_sym_for] = ACTIONS(2992),
    [anon_sym_LPAREN] = ACTIONS(2994),
    [anon_sym_SEMI] = ACTIONS(2994),
    [anon_sym_await] = ACTIONS(2992),
    [anon_sym_while] = ACTIONS(2992),
    [anon_sym_do] = ACTIONS(2992),
    [anon_sym_try] = ACTIONS(2992),
    [anon_sym_break] = ACTIONS(2992),
    [anon_sym_continue] = ACTIONS(2992),
    [anon_sym_debugger] = ACTIONS(2992),
    [anon_sym_return] = ACTIONS(2992),
    [anon_sym_throw] = ACTIONS(2992),
    [anon_sym_yield] = ACTIONS(2992),
    [anon_sym_LBRACK] = ACTIONS(2994),
    [sym_glimmer_opening_tag] = ACTIONS(2994),
    [anon_sym_DQUOTE] = ACTIONS(2994),
    [anon_sym_SQUOTE] = ACTIONS(2994),
    [anon_sym_class] = ACTIONS(2992),
    [anon_sym_async] = ACTIONS(2992),
    [anon_sym_function] = ACTIONS(2992),
    [anon_sym_new] = ACTIONS(2992),
    [anon_sym_using] = ACTIONS(2992),
    [anon_sym_PLUS] = ACTIONS(2992),
    [anon_sym_DASH] = ACTIONS(2992),
    [anon_sym_SLASH] = ACTIONS(2992),
    [anon_sym_LT] = ACTIONS(2992),
    [anon_sym_TILDE] = ACTIONS(2994),
    [anon_sym_void] = ACTIONS(2992),
    [anon_sym_delete] = ACTIONS(2992),
    [anon_sym_PLUS_PLUS] = ACTIONS(2994),
    [anon_sym_DASH_DASH] = ACTIONS(2994),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2994),
    [sym_number] = ACTIONS(2994),
    [sym_private_property_identifier] = ACTIONS(2994),
    [sym_this] = ACTIONS(2992),
    [sym_super] = ACTIONS(2992),
    [sym_true] = ACTIONS(2992),
    [sym_false] = ACTIONS(2992),
    [sym_null] = ACTIONS(2992),
    [sym_undefined] = ACTIONS(2992),
    [anon_sym_AT] = ACTIONS(2994),
    [anon_sym_static] = ACTIONS(2992),
    [anon_sym_readonly] = ACTIONS(2992),
    [anon_sym_get] = ACTIONS(2992),
    [anon_sym_set] = ACTIONS(2992),
    [anon_sym_declare] = ACTIONS(2992),
    [anon_sym_public] = ACTIONS(2992),
    [anon_sym_private] = ACTIONS(2992),
    [anon_sym_protected] = ACTIONS(2992),
    [anon_sym_override] = ACTIONS(2992),
    [anon_sym_module] = ACTIONS(2992),
    [anon_sym_any] = ACTIONS(2992),
    [anon_sym_number] = ACTIONS(2992),
    [anon_sym_boolean] = ACTIONS(2992),
    [anon_sym_string] = ACTIONS(2992),
    [anon_sym_symbol] = ACTIONS(2992),
    [anon_sym_object] = ACTIONS(2992),
    [anon_sym_abstract] = ACTIONS(2992),
    [anon_sym_interface] = ACTIONS(2992),
    [anon_sym_enum] = ACTIONS(2992),
    [sym_html_comment] = ACTIONS(5),
  },
  [960] = {
    [sym_import] = STATE(4680),
    [sym_nested_identifier] = STATE(5868),
    [sym_string] = STATE(3013),
    [sym_formal_parameters] = STATE(5631),
    [sym_nested_type_identifier] = STATE(2941),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3315),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2944),
    [sym_asserts] = STATE(3025),
    [sym_type] = STATE(3645),
    [sym_constructor_type] = STATE(2974),
    [sym_primary_type] = STATE(3014),
    [sym_template_literal_type] = STATE(3018),
    [sym_infer_type] = STATE(2974),
    [sym_conditional_type] = STATE(3018),
    [sym_generic_type] = STATE(3018),
    [sym_type_predicate] = STATE(3025),
    [sym_type_query] = STATE(3018),
    [sym_index_type_query] = STATE(3018),
    [sym_lookup_type] = STATE(3018),
    [sym_literal_type] = STATE(3018),
    [sym__number] = STATE(3031),
    [sym_existential_type] = STATE(3018),
    [sym_flow_maybe_type] = STATE(3018),
    [sym_parenthesized_type] = STATE(3018),
    [sym_predefined_type] = STATE(3496),
    [sym_object_type] = STATE(3018),
    [sym_type_parameters] = STATE(5464),
    [sym_array_type] = STATE(3018),
    [sym_tuple_type] = STATE(3018),
    [sym_readonly_type] = STATE(2974),
    [sym_union_type] = STATE(3018),
    [sym_intersection_type] = STATE(3018),
    [sym_function_type] = STATE(2974),
    [sym_identifier] = ACTIONS(3012),
    [anon_sym_STAR] = ACTIONS(582),
    [anon_sym_LBRACE] = ACTIONS(1541),
    [anon_sym_typeof] = ACTIONS(1543),
    [anon_sym_import] = ACTIONS(1545),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1547),
    [anon_sym_LBRACK] = ACTIONS(1549),
    [anon_sym_DQUOTE] = ACTIONS(1551),
    [anon_sym_SQUOTE] = ACTIONS(1553),
    [anon_sym_new] = ACTIONS(1613),
    [anon_sym_AMP] = ACTIONS(610),
    [anon_sym_PIPE] = ACTIONS(612),
    [anon_sym_PLUS] = ACTIONS(2568),
    [anon_sym_DASH] = ACTIONS(2568),
    [anon_sym_LT] = ACTIONS(2570),
    [anon_sym_void] = ACTIONS(217),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1561),
    [sym_number] = ACTIONS(1563),
    [sym_this] = ACTIONS(3014),
    [sym_true] = ACTIONS(1567),
    [sym_false] = ACTIONS(1567),
    [sym_null] = ACTIONS(1567),
    [sym_undefined] = ACTIONS(1567),
    [anon_sym_readonly] = ACTIONS(1619),
    [anon_sym_QMARK] = ACTIONS(632),
    [anon_sym_any] = ACTIONS(217),
    [anon_sym_number] = ACTIONS(217),
    [anon_sym_boolean] = ACTIONS(217),
    [anon_sym_string] = ACTIONS(217),
    [anon_sym_symbol] = ACTIONS(217),
    [anon_sym_object] = ACTIONS(217),
    [anon_sym_abstract] = ACTIONS(636),
    [anon_sym_asserts] = ACTIONS(3016),
    [anon_sym_infer] = ACTIONS(638),
    [anon_sym_keyof] = ACTIONS(640),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym_html_comment] = ACTIONS(5),
  },
  [961] = {
    [sym_import] = STATE(4926),
    [sym_nested_identifier] = STATE(5583),
    [sym_string] = STATE(3268),
    [sym_formal_parameters] = STATE(5787),
    [sym_nested_type_identifier] = STATE(3131),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3073),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3209),
    [sym_asserts] = STATE(3852),
    [sym_type] = STATE(3312),
    [sym_constructor_type] = STATE(3272),
    [sym_primary_type] = STATE(3273),
    [sym_template_literal_type] = STATE(3274),
    [sym_infer_type] = STATE(3272),
    [sym_conditional_type] = STATE(3274),
    [sym_generic_type] = STATE(3274),
    [sym_type_predicate] = STATE(3853),
    [sym_type_query] = STATE(3274),
    [sym_index_type_query] = STATE(3274),
    [sym_lookup_type] = STATE(3274),
    [sym_literal_type] = STATE(3274),
    [sym__number] = STATE(3275),
    [sym_existential_type] = STATE(3274),
    [sym_flow_maybe_type] = STATE(3274),
    [sym_parenthesized_type] = STATE(3274),
    [sym_predefined_type] = STATE(3184),
    [sym_object_type] = STATE(3274),
    [sym_type_parameters] = STATE(5160),
    [sym_array_type] = STATE(3274),
    [sym_tuple_type] = STATE(3274),
    [sym_readonly_type] = STATE(3272),
    [sym_union_type] = STATE(3274),
    [sym_intersection_type] = STATE(3274),
    [sym_function_type] = STATE(3272),
    [sym_identifier] = ACTIONS(3018),
    [anon_sym_STAR] = ACTIONS(999),
    [anon_sym_LBRACE] = ACTIONS(1627),
    [anon_sym_typeof] = ACTIONS(1629),
    [anon_sym_import] = ACTIONS(1545),
    [anon_sym_const] = ACTIONS(1005),
    [anon_sym_LPAREN] = ACTIONS(1631),
    [anon_sym_LBRACK] = ACTIONS(1633),
    [anon_sym_DQUOTE] = ACTIONS(1635),
    [anon_sym_SQUOTE] = ACTIONS(1637),
    [anon_sym_new] = ACTIONS(1639),
    [anon_sym_AMP] = ACTIONS(1013),
    [anon_sym_PIPE] = ACTIONS(1015),
    [anon_sym_PLUS] = ACTIONS(3020),
    [anon_sym_DASH] = ACTIONS(3020),
    [anon_sym_LT] = ACTIONS(2570),
    [anon_sym_void] = ACTIONS(1045),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1647),
    [sym_number] = ACTIONS(1649),
    [sym_this] = ACTIONS(3022),
    [sym_true] = ACTIONS(1653),
    [sym_false] = ACTIONS(1653),
    [sym_null] = ACTIONS(1653),
    [sym_undefined] = ACTIONS(1653),
    [anon_sym_readonly] = ACTIONS(1655),
    [anon_sym_QMARK] = ACTIONS(1033),
    [anon_sym_any] = ACTIONS(1045),
    [anon_sym_number] = ACTIONS(1045),
    [anon_sym_boolean] = ACTIONS(1045),
    [anon_sym_string] = ACTIONS(1045),
    [anon_sym_symbol] = ACTIONS(1045),
    [anon_sym_object] = ACTIONS(1045),
    [anon_sym_abstract] = ACTIONS(1037),
    [anon_sym_asserts] = ACTIONS(3024),
    [anon_sym_infer] = ACTIONS(1039),
    [anon_sym_keyof] = ACTIONS(1041),
    [anon_sym_unique] = ACTIONS(1043),
    [anon_sym_unknown] = ACTIONS(1045),
    [anon_sym_never] = ACTIONS(1045),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1047),
    [sym_html_comment] = ACTIONS(5),
  },
  [962] = {
    [sym_import] = STATE(4584),
    [sym_nested_identifier] = STATE(5811),
    [sym_string] = STATE(3369),
    [sym_formal_parameters] = STATE(5849),
    [sym_nested_type_identifier] = STATE(3252),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3200),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3295),
    [sym_asserts] = STATE(3434),
    [sym_type] = STATE(3442),
    [sym_constructor_type] = STATE(3384),
    [sym_primary_type] = STATE(3385),
    [sym_template_literal_type] = STATE(3388),
    [sym_infer_type] = STATE(3384),
    [sym_conditional_type] = STATE(3388),
    [sym_generic_type] = STATE(3388),
    [sym_type_predicate] = STATE(3434),
    [sym_type_query] = STATE(3388),
    [sym_index_type_query] = STATE(3388),
    [sym_lookup_type] = STATE(3388),
    [sym_literal_type] = STATE(3388),
    [sym__number] = STATE(3389),
    [sym_existential_type] = STATE(3388),
    [sym_flow_maybe_type] = STATE(3388),
    [sym_parenthesized_type] = STATE(3388),
    [sym_predefined_type] = STATE(3318),
    [sym_object_type] = STATE(3388),
    [sym_type_parameters] = STATE(5258),
    [sym_array_type] = STATE(3388),
    [sym_tuple_type] = STATE(3388),
    [sym_readonly_type] = STATE(3384),
    [sym_union_type] = STATE(3388),
    [sym_intersection_type] = STATE(3388),
    [sym_function_type] = STATE(3384),
    [sym_identifier] = ACTIONS(3026),
    [anon_sym_STAR] = ACTIONS(3028),
    [anon_sym_LBRACE] = ACTIONS(3030),
    [anon_sym_typeof] = ACTIONS(3032),
    [anon_sym_import] = ACTIONS(1545),
    [anon_sym_const] = ACTIONS(3034),
    [anon_sym_LPAREN] = ACTIONS(3036),
    [anon_sym_LBRACK] = ACTIONS(3038),
    [anon_sym_DQUOTE] = ACTIONS(3040),
    [anon_sym_SQUOTE] = ACTIONS(3042),
    [anon_sym_new] = ACTIONS(3044),
    [anon_sym_AMP] = ACTIONS(3046),
    [anon_sym_PIPE] = ACTIONS(3048),
    [anon_sym_PLUS] = ACTIONS(3050),
    [anon_sym_DASH] = ACTIONS(3050),
    [anon_sym_LT] = ACTIONS(2570),
    [anon_sym_void] = ACTIONS(3052),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3054),
    [sym_number] = ACTIONS(3056),
    [sym_this] = ACTIONS(3058),
    [sym_true] = ACTIONS(3060),
    [sym_false] = ACTIONS(3060),
    [sym_null] = ACTIONS(3060),
    [sym_undefined] = ACTIONS(3060),
    [anon_sym_readonly] = ACTIONS(3062),
    [anon_sym_QMARK] = ACTIONS(3064),
    [anon_sym_any] = ACTIONS(3052),
    [anon_sym_number] = ACTIONS(3052),
    [anon_sym_boolean] = ACTIONS(3052),
    [anon_sym_string] = ACTIONS(3052),
    [anon_sym_symbol] = ACTIONS(3052),
    [anon_sym_object] = ACTIONS(3052),
    [anon_sym_abstract] = ACTIONS(3066),
    [anon_sym_asserts] = ACTIONS(3068),
    [anon_sym_infer] = ACTIONS(3070),
    [anon_sym_keyof] = ACTIONS(3072),
    [anon_sym_unique] = ACTIONS(3074),
    [anon_sym_unknown] = ACTIONS(3052),
    [anon_sym_never] = ACTIONS(3052),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3076),
    [sym_html_comment] = ACTIONS(5),
  },
  [963] = {
    [sym_import] = STATE(4803),
    [sym_nested_identifier] = STATE(5868),
    [sym_string] = STATE(3013),
    [sym_formal_parameters] = STATE(5679),
    [sym_nested_type_identifier] = STATE(3494),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3334),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2944),
    [sym_asserts] = STATE(3025),
    [sym_type] = STATE(3782),
    [sym_constructor_type] = STATE(2974),
    [sym_primary_type] = STATE(3014),
    [sym_template_literal_type] = STATE(3018),
    [sym_infer_type] = STATE(2974),
    [sym_conditional_type] = STATE(3018),
    [sym_generic_type] = STATE(3018),
    [sym_type_predicate] = STATE(3025),
    [sym_type_query] = STATE(3018),
    [sym_index_type_query] = STATE(3018),
    [sym_lookup_type] = STATE(3018),
    [sym_literal_type] = STATE(3018),
    [sym__number] = STATE(3031),
    [sym_existential_type] = STATE(3018),
    [sym_flow_maybe_type] = STATE(3018),
    [sym_parenthesized_type] = STATE(3018),
    [sym_predefined_type] = STATE(3643),
    [sym_object_type] = STATE(3018),
    [sym_type_parameters] = STATE(5378),
    [sym_array_type] = STATE(3018),
    [sym_tuple_type] = STATE(3018),
    [sym_readonly_type] = STATE(2974),
    [sym_union_type] = STATE(3018),
    [sym_intersection_type] = STATE(3018),
    [sym_function_type] = STATE(2974),
    [sym_identifier] = ACTIONS(3078),
    [anon_sym_STAR] = ACTIONS(582),
    [anon_sym_LBRACE] = ACTIONS(3080),
    [anon_sym_typeof] = ACTIONS(3082),
    [anon_sym_import] = ACTIONS(1545),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1547),
    [anon_sym_LBRACK] = ACTIONS(1549),
    [anon_sym_DQUOTE] = ACTIONS(2338),
    [anon_sym_SQUOTE] = ACTIONS(2340),
    [anon_sym_new] = ACTIONS(3084),
    [anon_sym_AMP] = ACTIONS(3086),
    [anon_sym_PIPE] = ACTIONS(3088),
    [anon_sym_PLUS] = ACTIONS(2568),
    [anon_sym_DASH] = ACTIONS(2568),
    [anon_sym_LT] = ACTIONS(2570),
    [anon_sym_void] = ACTIONS(217),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1561),
    [sym_number] = ACTIONS(1563),
    [sym_this] = ACTIONS(3090),
    [sym_true] = ACTIONS(1567),
    [sym_false] = ACTIONS(1567),
    [sym_null] = ACTIONS(1567),
    [sym_undefined] = ACTIONS(1567),
    [anon_sym_readonly] = ACTIONS(3092),
    [anon_sym_QMARK] = ACTIONS(3094),
    [anon_sym_any] = ACTIONS(217),
    [anon_sym_number] = ACTIONS(217),
    [anon_sym_boolean] = ACTIONS(217),
    [anon_sym_string] = ACTIONS(217),
    [anon_sym_symbol] = ACTIONS(217),
    [anon_sym_object] = ACTIONS(217),
    [anon_sym_abstract] = ACTIONS(3096),
    [anon_sym_asserts] = ACTIONS(3098),
    [anon_sym_infer] = ACTIONS(3100),
    [anon_sym_keyof] = ACTIONS(3102),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3104),
    [sym_html_comment] = ACTIONS(5),
  },
  [964] = {
    [sym_import] = STATE(4788),
    [sym_nested_identifier] = STATE(5868),
    [sym_string] = STATE(3013),
    [sym_formal_parameters] = STATE(5623),
    [sym_nested_type_identifier] = STATE(2941),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2942),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2944),
    [sym_asserts] = STATE(3025),
    [sym_type] = STATE(3121),
    [sym_constructor_type] = STATE(2974),
    [sym_primary_type] = STATE(3014),
    [sym_template_literal_type] = STATE(3018),
    [sym_infer_type] = STATE(2974),
    [sym_conditional_type] = STATE(3018),
    [sym_generic_type] = STATE(3018),
    [sym_type_predicate] = STATE(3025),
    [sym_type_query] = STATE(3018),
    [sym_index_type_query] = STATE(3018),
    [sym_lookup_type] = STATE(3018),
    [sym_literal_type] = STATE(3018),
    [sym__number] = STATE(3031),
    [sym_existential_type] = STATE(3018),
    [sym_flow_maybe_type] = STATE(3018),
    [sym_parenthesized_type] = STATE(3018),
    [sym_predefined_type] = STATE(3062),
    [sym_object_type] = STATE(3018),
    [sym_type_parameters] = STATE(5442),
    [sym_array_type] = STATE(3018),
    [sym_tuple_type] = STATE(3018),
    [sym_readonly_type] = STATE(2974),
    [sym_union_type] = STATE(3018),
    [sym_intersection_type] = STATE(3018),
    [sym_function_type] = STATE(2974),
    [sym_identifier] = ACTIONS(3106),
    [anon_sym_STAR] = ACTIONS(582),
    [anon_sym_LBRACE] = ACTIONS(1541),
    [anon_sym_typeof] = ACTIONS(1543),
    [anon_sym_import] = ACTIONS(1545),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1547),
    [anon_sym_LBRACK] = ACTIONS(1549),
    [anon_sym_DQUOTE] = ACTIONS(1551),
    [anon_sym_SQUOTE] = ACTIONS(1553),
    [anon_sym_new] = ACTIONS(1555),
    [anon_sym_AMP] = ACTIONS(755),
    [anon_sym_PIPE] = ACTIONS(757),
    [anon_sym_PLUS] = ACTIONS(2568),
    [anon_sym_DASH] = ACTIONS(2568),
    [anon_sym_LT] = ACTIONS(2570),
    [anon_sym_void] = ACTIONS(217),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1561),
    [sym_number] = ACTIONS(1563),
    [sym_this] = ACTIONS(3108),
    [sym_true] = ACTIONS(1567),
    [sym_false] = ACTIONS(1567),
    [sym_null] = ACTIONS(1567),
    [sym_undefined] = ACTIONS(1567),
    [anon_sym_readonly] = ACTIONS(1569),
    [anon_sym_QMARK] = ACTIONS(783),
    [anon_sym_any] = ACTIONS(217),
    [anon_sym_number] = ACTIONS(217),
    [anon_sym_boolean] = ACTIONS(217),
    [anon_sym_string] = ACTIONS(217),
    [anon_sym_symbol] = ACTIONS(217),
    [anon_sym_object] = ACTIONS(217),
    [anon_sym_abstract] = ACTIONS(209),
    [anon_sym_asserts] = ACTIONS(3110),
    [anon_sym_infer] = ACTIONS(211),
    [anon_sym_keyof] = ACTIONS(213),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym_html_comment] = ACTIONS(5),
  },
  [965] = {
    [sym_import] = STATE(4772),
    [sym_nested_identifier] = STATE(5677),
    [sym_string] = STATE(1938),
    [sym_formal_parameters] = STATE(5840),
    [sym_nested_type_identifier] = STATE(1823),
    [sym__type_query_member_expression_in_type_annotation] = STATE(1867),
    [sym__type_query_call_expression_in_type_annotation] = STATE(1905),
    [sym_asserts] = STATE(2037),
    [sym_type] = STATE(2039),
    [sym_constructor_type] = STATE(1909),
    [sym_primary_type] = STATE(1910),
    [sym_template_literal_type] = STATE(1915),
    [sym_infer_type] = STATE(1909),
    [sym_conditional_type] = STATE(1915),
    [sym_generic_type] = STATE(1915),
    [sym_type_predicate] = STATE(2037),
    [sym_type_query] = STATE(1915),
    [sym_index_type_query] = STATE(1915),
    [sym_lookup_type] = STATE(1915),
    [sym_literal_type] = STATE(1915),
    [sym__number] = STATE(1918),
    [sym_existential_type] = STATE(1915),
    [sym_flow_maybe_type] = STATE(1915),
    [sym_parenthesized_type] = STATE(1915),
    [sym_predefined_type] = STATE(1815),
    [sym_object_type] = STATE(1915),
    [sym_type_parameters] = STATE(5271),
    [sym_array_type] = STATE(1915),
    [sym_tuple_type] = STATE(1915),
    [sym_readonly_type] = STATE(1909),
    [sym_union_type] = STATE(1915),
    [sym_intersection_type] = STATE(1915),
    [sym_function_type] = STATE(1909),
    [sym_identifier] = ACTIONS(3112),
    [anon_sym_STAR] = ACTIONS(3114),
    [anon_sym_LBRACE] = ACTIONS(3116),
    [anon_sym_typeof] = ACTIONS(3118),
    [anon_sym_import] = ACTIONS(1545),
    [anon_sym_const] = ACTIONS(3120),
    [anon_sym_LPAREN] = ACTIONS(3122),
    [anon_sym_LBRACK] = ACTIONS(3124),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(3126),
    [anon_sym_AMP] = ACTIONS(3128),
    [anon_sym_PIPE] = ACTIONS(3130),
    [anon_sym_PLUS] = ACTIONS(3132),
    [anon_sym_DASH] = ACTIONS(3132),
    [anon_sym_LT] = ACTIONS(2570),
    [anon_sym_void] = ACTIONS(3134),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3136),
    [sym_number] = ACTIONS(3138),
    [sym_this] = ACTIONS(3140),
    [sym_true] = ACTIONS(3142),
    [sym_false] = ACTIONS(3142),
    [sym_null] = ACTIONS(3142),
    [sym_undefined] = ACTIONS(3142),
    [anon_sym_readonly] = ACTIONS(3144),
    [anon_sym_QMARK] = ACTIONS(3146),
    [anon_sym_any] = ACTIONS(3134),
    [anon_sym_number] = ACTIONS(3134),
    [anon_sym_boolean] = ACTIONS(3134),
    [anon_sym_string] = ACTIONS(3134),
    [anon_sym_symbol] = ACTIONS(3134),
    [anon_sym_object] = ACTIONS(3134),
    [anon_sym_abstract] = ACTIONS(3148),
    [anon_sym_asserts] = ACTIONS(3150),
    [anon_sym_infer] = ACTIONS(3152),
    [anon_sym_keyof] = ACTIONS(3154),
    [anon_sym_unique] = ACTIONS(3156),
    [anon_sym_unknown] = ACTIONS(3134),
    [anon_sym_never] = ACTIONS(3134),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3158),
    [sym_html_comment] = ACTIONS(5),
  },
  [966] = {
    [sym_import] = STATE(4584),
    [sym_nested_identifier] = STATE(5811),
    [sym_string] = STATE(3369),
    [sym_formal_parameters] = STATE(5849),
    [sym_nested_type_identifier] = STATE(3252),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3200),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3295),
    [sym_asserts] = STATE(3447),
    [sym_type] = STATE(3449),
    [sym_constructor_type] = STATE(3384),
    [sym_primary_type] = STATE(3385),
    [sym_template_literal_type] = STATE(3388),
    [sym_infer_type] = STATE(3384),
    [sym_conditional_type] = STATE(3388),
    [sym_generic_type] = STATE(3388),
    [sym_type_predicate] = STATE(3447),
    [sym_type_query] = STATE(3388),
    [sym_index_type_query] = STATE(3388),
    [sym_lookup_type] = STATE(3388),
    [sym_literal_type] = STATE(3388),
    [sym__number] = STATE(3389),
    [sym_existential_type] = STATE(3388),
    [sym_flow_maybe_type] = STATE(3388),
    [sym_parenthesized_type] = STATE(3388),
    [sym_predefined_type] = STATE(3318),
    [sym_object_type] = STATE(3388),
    [sym_type_parameters] = STATE(5258),
    [sym_array_type] = STATE(3388),
    [sym_tuple_type] = STATE(3388),
    [sym_readonly_type] = STATE(3384),
    [sym_union_type] = STATE(3388),
    [sym_intersection_type] = STATE(3388),
    [sym_function_type] = STATE(3384),
    [sym_identifier] = ACTIONS(3026),
    [anon_sym_STAR] = ACTIONS(3028),
    [anon_sym_LBRACE] = ACTIONS(3030),
    [anon_sym_typeof] = ACTIONS(3032),
    [anon_sym_import] = ACTIONS(1545),
    [anon_sym_const] = ACTIONS(3034),
    [anon_sym_LPAREN] = ACTIONS(3036),
    [anon_sym_LBRACK] = ACTIONS(3038),
    [anon_sym_DQUOTE] = ACTIONS(3040),
    [anon_sym_SQUOTE] = ACTIONS(3042),
    [anon_sym_new] = ACTIONS(3044),
    [anon_sym_AMP] = ACTIONS(3046),
    [anon_sym_PIPE] = ACTIONS(3048),
    [anon_sym_PLUS] = ACTIONS(3050),
    [anon_sym_DASH] = ACTIONS(3050),
    [anon_sym_LT] = ACTIONS(2570),
    [anon_sym_void] = ACTIONS(3052),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3054),
    [sym_number] = ACTIONS(3056),
    [sym_this] = ACTIONS(3058),
    [sym_true] = ACTIONS(3060),
    [sym_false] = ACTIONS(3060),
    [sym_null] = ACTIONS(3060),
    [sym_undefined] = ACTIONS(3060),
    [anon_sym_readonly] = ACTIONS(3062),
    [anon_sym_QMARK] = ACTIONS(3064),
    [anon_sym_any] = ACTIONS(3052),
    [anon_sym_number] = ACTIONS(3052),
    [anon_sym_boolean] = ACTIONS(3052),
    [anon_sym_string] = ACTIONS(3052),
    [anon_sym_symbol] = ACTIONS(3052),
    [anon_sym_object] = ACTIONS(3052),
    [anon_sym_abstract] = ACTIONS(3066),
    [anon_sym_asserts] = ACTIONS(3068),
    [anon_sym_infer] = ACTIONS(3070),
    [anon_sym_keyof] = ACTIONS(3072),
    [anon_sym_unique] = ACTIONS(3074),
    [anon_sym_unknown] = ACTIONS(3052),
    [anon_sym_never] = ACTIONS(3052),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3076),
    [sym_html_comment] = ACTIONS(5),
  },
  [967] = {
    [sym_import] = STATE(4803),
    [sym_nested_identifier] = STATE(5868),
    [sym_string] = STATE(3013),
    [sym_formal_parameters] = STATE(5679),
    [sym_nested_type_identifier] = STATE(3494),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3334),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2944),
    [sym_asserts] = STATE(3005),
    [sym_type] = STATE(3810),
    [sym_constructor_type] = STATE(2974),
    [sym_primary_type] = STATE(3014),
    [sym_template_literal_type] = STATE(3018),
    [sym_infer_type] = STATE(2974),
    [sym_conditional_type] = STATE(3018),
    [sym_generic_type] = STATE(3018),
    [sym_type_predicate] = STATE(3005),
    [sym_type_query] = STATE(3018),
    [sym_index_type_query] = STATE(3018),
    [sym_lookup_type] = STATE(3018),
    [sym_literal_type] = STATE(3018),
    [sym__number] = STATE(3031),
    [sym_existential_type] = STATE(3018),
    [sym_flow_maybe_type] = STATE(3018),
    [sym_parenthesized_type] = STATE(3018),
    [sym_predefined_type] = STATE(3643),
    [sym_object_type] = STATE(3018),
    [sym_type_parameters] = STATE(5378),
    [sym_array_type] = STATE(3018),
    [sym_tuple_type] = STATE(3018),
    [sym_readonly_type] = STATE(2974),
    [sym_union_type] = STATE(3018),
    [sym_intersection_type] = STATE(3018),
    [sym_function_type] = STATE(2974),
    [sym_identifier] = ACTIONS(3078),
    [anon_sym_STAR] = ACTIONS(582),
    [anon_sym_LBRACE] = ACTIONS(3080),
    [anon_sym_typeof] = ACTIONS(3082),
    [anon_sym_import] = ACTIONS(1545),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1547),
    [anon_sym_LBRACK] = ACTIONS(1549),
    [anon_sym_DQUOTE] = ACTIONS(2338),
    [anon_sym_SQUOTE] = ACTIONS(2340),
    [anon_sym_new] = ACTIONS(3084),
    [anon_sym_AMP] = ACTIONS(3086),
    [anon_sym_PIPE] = ACTIONS(3088),
    [anon_sym_PLUS] = ACTIONS(2568),
    [anon_sym_DASH] = ACTIONS(2568),
    [anon_sym_LT] = ACTIONS(2570),
    [anon_sym_void] = ACTIONS(217),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1561),
    [sym_number] = ACTIONS(1563),
    [sym_this] = ACTIONS(3090),
    [sym_true] = ACTIONS(1567),
    [sym_false] = ACTIONS(1567),
    [sym_null] = ACTIONS(1567),
    [sym_undefined] = ACTIONS(1567),
    [anon_sym_readonly] = ACTIONS(3092),
    [anon_sym_QMARK] = ACTIONS(3094),
    [anon_sym_any] = ACTIONS(217),
    [anon_sym_number] = ACTIONS(217),
    [anon_sym_boolean] = ACTIONS(217),
    [anon_sym_string] = ACTIONS(217),
    [anon_sym_symbol] = ACTIONS(217),
    [anon_sym_object] = ACTIONS(217),
    [anon_sym_abstract] = ACTIONS(3096),
    [anon_sym_asserts] = ACTIONS(3098),
    [anon_sym_infer] = ACTIONS(3100),
    [anon_sym_keyof] = ACTIONS(3102),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3104),
    [sym_html_comment] = ACTIONS(5),
  },
  [968] = {
    [sym_import] = STATE(4535),
    [sym_nested_identifier] = STATE(5495),
    [sym_string] = STATE(1619),
    [sym_formal_parameters] = STATE(5874),
    [sym_nested_type_identifier] = STATE(1521),
    [sym__type_query_member_expression_in_type_annotation] = STATE(1526),
    [sym__type_query_call_expression_in_type_annotation] = STATE(1648),
    [sym_asserts] = STATE(1598),
    [sym_type] = STATE(1601),
    [sym_constructor_type] = STATE(1628),
    [sym_primary_type] = STATE(1595),
    [sym_template_literal_type] = STATE(1616),
    [sym_infer_type] = STATE(1628),
    [sym_conditional_type] = STATE(1616),
    [sym_generic_type] = STATE(1616),
    [sym_type_predicate] = STATE(1598),
    [sym_type_query] = STATE(1616),
    [sym_index_type_query] = STATE(1616),
    [sym_lookup_type] = STATE(1616),
    [sym_literal_type] = STATE(1616),
    [sym__number] = STATE(1647),
    [sym_existential_type] = STATE(1616),
    [sym_flow_maybe_type] = STATE(1616),
    [sym_parenthesized_type] = STATE(1616),
    [sym_predefined_type] = STATE(1514),
    [sym_object_type] = STATE(1616),
    [sym_type_parameters] = STATE(5220),
    [sym_array_type] = STATE(1616),
    [sym_tuple_type] = STATE(1616),
    [sym_readonly_type] = STATE(1628),
    [sym_union_type] = STATE(1616),
    [sym_intersection_type] = STATE(1616),
    [sym_function_type] = STATE(1628),
    [sym_identifier] = ACTIONS(3160),
    [anon_sym_STAR] = ACTIONS(3162),
    [anon_sym_LBRACE] = ACTIONS(3164),
    [anon_sym_typeof] = ACTIONS(3166),
    [anon_sym_import] = ACTIONS(1545),
    [anon_sym_const] = ACTIONS(3168),
    [anon_sym_LPAREN] = ACTIONS(3170),
    [anon_sym_LBRACK] = ACTIONS(3172),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(3174),
    [anon_sym_AMP] = ACTIONS(3176),
    [anon_sym_PIPE] = ACTIONS(3178),
    [anon_sym_PLUS] = ACTIONS(3180),
    [anon_sym_DASH] = ACTIONS(3180),
    [anon_sym_LT] = ACTIONS(2570),
    [anon_sym_void] = ACTIONS(3182),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3184),
    [sym_number] = ACTIONS(3186),
    [sym_this] = ACTIONS(3188),
    [sym_true] = ACTIONS(3190),
    [sym_false] = ACTIONS(3190),
    [sym_null] = ACTIONS(3190),
    [sym_undefined] = ACTIONS(3190),
    [anon_sym_readonly] = ACTIONS(3192),
    [anon_sym_QMARK] = ACTIONS(3194),
    [anon_sym_any] = ACTIONS(3182),
    [anon_sym_number] = ACTIONS(3182),
    [anon_sym_boolean] = ACTIONS(3182),
    [anon_sym_string] = ACTIONS(3182),
    [anon_sym_symbol] = ACTIONS(3182),
    [anon_sym_object] = ACTIONS(3182),
    [anon_sym_abstract] = ACTIONS(3196),
    [anon_sym_asserts] = ACTIONS(3198),
    [anon_sym_infer] = ACTIONS(3200),
    [anon_sym_keyof] = ACTIONS(3202),
    [anon_sym_unique] = ACTIONS(3204),
    [anon_sym_unknown] = ACTIONS(3182),
    [anon_sym_never] = ACTIONS(3182),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3206),
    [sym_html_comment] = ACTIONS(5),
  },
  [969] = {
    [sym_import] = STATE(4788),
    [sym_nested_identifier] = STATE(5868),
    [sym_string] = STATE(3013),
    [sym_formal_parameters] = STATE(5623),
    [sym_nested_type_identifier] = STATE(2941),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2942),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2944),
    [sym_asserts] = STATE(3005),
    [sym_type] = STATE(3149),
    [sym_constructor_type] = STATE(2974),
    [sym_primary_type] = STATE(3014),
    [sym_template_literal_type] = STATE(3018),
    [sym_infer_type] = STATE(2974),
    [sym_conditional_type] = STATE(3018),
    [sym_generic_type] = STATE(3018),
    [sym_type_predicate] = STATE(3005),
    [sym_type_query] = STATE(3018),
    [sym_index_type_query] = STATE(3018),
    [sym_lookup_type] = STATE(3018),
    [sym_literal_type] = STATE(3018),
    [sym__number] = STATE(3031),
    [sym_existential_type] = STATE(3018),
    [sym_flow_maybe_type] = STATE(3018),
    [sym_parenthesized_type] = STATE(3018),
    [sym_predefined_type] = STATE(3062),
    [sym_object_type] = STATE(3018),
    [sym_type_parameters] = STATE(5442),
    [sym_array_type] = STATE(3018),
    [sym_tuple_type] = STATE(3018),
    [sym_readonly_type] = STATE(2974),
    [sym_union_type] = STATE(3018),
    [sym_intersection_type] = STATE(3018),
    [sym_function_type] = STATE(2974),
    [sym_identifier] = ACTIONS(3106),
    [anon_sym_STAR] = ACTIONS(582),
    [anon_sym_LBRACE] = ACTIONS(1541),
    [anon_sym_typeof] = ACTIONS(1543),
    [anon_sym_import] = ACTIONS(1545),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1547),
    [anon_sym_LBRACK] = ACTIONS(1549),
    [anon_sym_DQUOTE] = ACTIONS(1551),
    [anon_sym_SQUOTE] = ACTIONS(1553),
    [anon_sym_new] = ACTIONS(1555),
    [anon_sym_AMP] = ACTIONS(755),
    [anon_sym_PIPE] = ACTIONS(757),
    [anon_sym_PLUS] = ACTIONS(2568),
    [anon_sym_DASH] = ACTIONS(2568),
    [anon_sym_LT] = ACTIONS(2570),
    [anon_sym_void] = ACTIONS(217),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1561),
    [sym_number] = ACTIONS(1563),
    [sym_this] = ACTIONS(3108),
    [sym_true] = ACTIONS(1567),
    [sym_false] = ACTIONS(1567),
    [sym_null] = ACTIONS(1567),
    [sym_undefined] = ACTIONS(1567),
    [anon_sym_readonly] = ACTIONS(1569),
    [anon_sym_QMARK] = ACTIONS(783),
    [anon_sym_any] = ACTIONS(217),
    [anon_sym_number] = ACTIONS(217),
    [anon_sym_boolean] = ACTIONS(217),
    [anon_sym_string] = ACTIONS(217),
    [anon_sym_symbol] = ACTIONS(217),
    [anon_sym_object] = ACTIONS(217),
    [anon_sym_abstract] = ACTIONS(209),
    [anon_sym_asserts] = ACTIONS(3110),
    [anon_sym_infer] = ACTIONS(211),
    [anon_sym_keyof] = ACTIONS(213),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym_html_comment] = ACTIONS(5),
  },
  [970] = {
    [sym_import] = STATE(4926),
    [sym_nested_identifier] = STATE(5583),
    [sym_string] = STATE(3268),
    [sym_formal_parameters] = STATE(5787),
    [sym_nested_type_identifier] = STATE(3131),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3073),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3209),
    [sym_asserts] = STATE(3285),
    [sym_type] = STATE(3289),
    [sym_constructor_type] = STATE(3272),
    [sym_primary_type] = STATE(3273),
    [sym_template_literal_type] = STATE(3274),
    [sym_infer_type] = STATE(3272),
    [sym_conditional_type] = STATE(3274),
    [sym_generic_type] = STATE(3274),
    [sym_type_predicate] = STATE(3285),
    [sym_type_query] = STATE(3274),
    [sym_index_type_query] = STATE(3274),
    [sym_lookup_type] = STATE(3274),
    [sym_literal_type] = STATE(3274),
    [sym__number] = STATE(3275),
    [sym_existential_type] = STATE(3274),
    [sym_flow_maybe_type] = STATE(3274),
    [sym_parenthesized_type] = STATE(3274),
    [sym_predefined_type] = STATE(3184),
    [sym_object_type] = STATE(3274),
    [sym_type_parameters] = STATE(5160),
    [sym_array_type] = STATE(3274),
    [sym_tuple_type] = STATE(3274),
    [sym_readonly_type] = STATE(3272),
    [sym_union_type] = STATE(3274),
    [sym_intersection_type] = STATE(3274),
    [sym_function_type] = STATE(3272),
    [sym_identifier] = ACTIONS(3018),
    [anon_sym_STAR] = ACTIONS(999),
    [anon_sym_LBRACE] = ACTIONS(1627),
    [anon_sym_typeof] = ACTIONS(1629),
    [anon_sym_import] = ACTIONS(1545),
    [anon_sym_const] = ACTIONS(1005),
    [anon_sym_LPAREN] = ACTIONS(1631),
    [anon_sym_LBRACK] = ACTIONS(1633),
    [anon_sym_DQUOTE] = ACTIONS(1635),
    [anon_sym_SQUOTE] = ACTIONS(1637),
    [anon_sym_new] = ACTIONS(1639),
    [anon_sym_AMP] = ACTIONS(1013),
    [anon_sym_PIPE] = ACTIONS(1015),
    [anon_sym_PLUS] = ACTIONS(3020),
    [anon_sym_DASH] = ACTIONS(3020),
    [anon_sym_LT] = ACTIONS(2570),
    [anon_sym_void] = ACTIONS(1045),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1647),
    [sym_number] = ACTIONS(1649),
    [sym_this] = ACTIONS(3022),
    [sym_true] = ACTIONS(1653),
    [sym_false] = ACTIONS(1653),
    [sym_null] = ACTIONS(1653),
    [sym_undefined] = ACTIONS(1653),
    [anon_sym_readonly] = ACTIONS(1655),
    [anon_sym_QMARK] = ACTIONS(1033),
    [anon_sym_any] = ACTIONS(1045),
    [anon_sym_number] = ACTIONS(1045),
    [anon_sym_boolean] = ACTIONS(1045),
    [anon_sym_string] = ACTIONS(1045),
    [anon_sym_symbol] = ACTIONS(1045),
    [anon_sym_object] = ACTIONS(1045),
    [anon_sym_abstract] = ACTIONS(1037),
    [anon_sym_asserts] = ACTIONS(3024),
    [anon_sym_infer] = ACTIONS(1039),
    [anon_sym_keyof] = ACTIONS(1041),
    [anon_sym_unique] = ACTIONS(1043),
    [anon_sym_unknown] = ACTIONS(1045),
    [anon_sym_never] = ACTIONS(1045),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1047),
    [sym_html_comment] = ACTIONS(5),
  },
  [971] = {
    [sym_import] = STATE(4584),
    [sym_nested_identifier] = STATE(5811),
    [sym_string] = STATE(3369),
    [sym_formal_parameters] = STATE(5849),
    [sym_nested_type_identifier] = STATE(3252),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3200),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3295),
    [sym_asserts] = STATE(4058),
    [sym_type] = STATE(3501),
    [sym_constructor_type] = STATE(3384),
    [sym_primary_type] = STATE(3385),
    [sym_template_literal_type] = STATE(3388),
    [sym_infer_type] = STATE(3384),
    [sym_conditional_type] = STATE(3388),
    [sym_generic_type] = STATE(3388),
    [sym_type_predicate] = STATE(4060),
    [sym_type_query] = STATE(3388),
    [sym_index_type_query] = STATE(3388),
    [sym_lookup_type] = STATE(3388),
    [sym_literal_type] = STATE(3388),
    [sym__number] = STATE(3389),
    [sym_existential_type] = STATE(3388),
    [sym_flow_maybe_type] = STATE(3388),
    [sym_parenthesized_type] = STATE(3388),
    [sym_predefined_type] = STATE(3318),
    [sym_object_type] = STATE(3388),
    [sym_type_parameters] = STATE(5258),
    [sym_array_type] = STATE(3388),
    [sym_tuple_type] = STATE(3388),
    [sym_readonly_type] = STATE(3384),
    [sym_union_type] = STATE(3388),
    [sym_intersection_type] = STATE(3388),
    [sym_function_type] = STATE(3384),
    [sym_identifier] = ACTIONS(3026),
    [anon_sym_STAR] = ACTIONS(3028),
    [anon_sym_LBRACE] = ACTIONS(3030),
    [anon_sym_typeof] = ACTIONS(3032),
    [anon_sym_import] = ACTIONS(1545),
    [anon_sym_const] = ACTIONS(3034),
    [anon_sym_LPAREN] = ACTIONS(3036),
    [anon_sym_LBRACK] = ACTIONS(3038),
    [anon_sym_DQUOTE] = ACTIONS(3040),
    [anon_sym_SQUOTE] = ACTIONS(3042),
    [anon_sym_new] = ACTIONS(3044),
    [anon_sym_AMP] = ACTIONS(3046),
    [anon_sym_PIPE] = ACTIONS(3048),
    [anon_sym_PLUS] = ACTIONS(3050),
    [anon_sym_DASH] = ACTIONS(3050),
    [anon_sym_LT] = ACTIONS(2570),
    [anon_sym_void] = ACTIONS(3052),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3054),
    [sym_number] = ACTIONS(3056),
    [sym_this] = ACTIONS(3058),
    [sym_true] = ACTIONS(3060),
    [sym_false] = ACTIONS(3060),
    [sym_null] = ACTIONS(3060),
    [sym_undefined] = ACTIONS(3060),
    [anon_sym_readonly] = ACTIONS(3062),
    [anon_sym_QMARK] = ACTIONS(3064),
    [anon_sym_any] = ACTIONS(3052),
    [anon_sym_number] = ACTIONS(3052),
    [anon_sym_boolean] = ACTIONS(3052),
    [anon_sym_string] = ACTIONS(3052),
    [anon_sym_symbol] = ACTIONS(3052),
    [anon_sym_object] = ACTIONS(3052),
    [anon_sym_abstract] = ACTIONS(3066),
    [anon_sym_asserts] = ACTIONS(3068),
    [anon_sym_infer] = ACTIONS(3070),
    [anon_sym_keyof] = ACTIONS(3072),
    [anon_sym_unique] = ACTIONS(3074),
    [anon_sym_unknown] = ACTIONS(3052),
    [anon_sym_never] = ACTIONS(3052),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3076),
    [sym_html_comment] = ACTIONS(5),
  },
  [972] = {
    [sym_import] = STATE(4926),
    [sym_nested_identifier] = STATE(5583),
    [sym_string] = STATE(3268),
    [sym_formal_parameters] = STATE(5787),
    [sym_nested_type_identifier] = STATE(3131),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3073),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3209),
    [sym_asserts] = STATE(3283),
    [sym_type] = STATE(3286),
    [sym_constructor_type] = STATE(3272),
    [sym_primary_type] = STATE(3273),
    [sym_template_literal_type] = STATE(3274),
    [sym_infer_type] = STATE(3272),
    [sym_conditional_type] = STATE(3274),
    [sym_generic_type] = STATE(3274),
    [sym_type_predicate] = STATE(3283),
    [sym_type_query] = STATE(3274),
    [sym_index_type_query] = STATE(3274),
    [sym_lookup_type] = STATE(3274),
    [sym_literal_type] = STATE(3274),
    [sym__number] = STATE(3275),
    [sym_existential_type] = STATE(3274),
    [sym_flow_maybe_type] = STATE(3274),
    [sym_parenthesized_type] = STATE(3274),
    [sym_predefined_type] = STATE(3184),
    [sym_object_type] = STATE(3274),
    [sym_type_parameters] = STATE(5160),
    [sym_array_type] = STATE(3274),
    [sym_tuple_type] = STATE(3274),
    [sym_readonly_type] = STATE(3272),
    [sym_union_type] = STATE(3274),
    [sym_intersection_type] = STATE(3274),
    [sym_function_type] = STATE(3272),
    [sym_identifier] = ACTIONS(3018),
    [anon_sym_STAR] = ACTIONS(999),
    [anon_sym_LBRACE] = ACTIONS(1627),
    [anon_sym_typeof] = ACTIONS(1629),
    [anon_sym_import] = ACTIONS(1545),
    [anon_sym_const] = ACTIONS(1005),
    [anon_sym_LPAREN] = ACTIONS(1631),
    [anon_sym_LBRACK] = ACTIONS(1633),
    [anon_sym_DQUOTE] = ACTIONS(1635),
    [anon_sym_SQUOTE] = ACTIONS(1637),
    [anon_sym_new] = ACTIONS(1639),
    [anon_sym_AMP] = ACTIONS(1013),
    [anon_sym_PIPE] = ACTIONS(1015),
    [anon_sym_PLUS] = ACTIONS(3020),
    [anon_sym_DASH] = ACTIONS(3020),
    [anon_sym_LT] = ACTIONS(2570),
    [anon_sym_void] = ACTIONS(1045),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1647),
    [sym_number] = ACTIONS(1649),
    [sym_this] = ACTIONS(3022),
    [sym_true] = ACTIONS(1653),
    [sym_false] = ACTIONS(1653),
    [sym_null] = ACTIONS(1653),
    [sym_undefined] = ACTIONS(1653),
    [anon_sym_readonly] = ACTIONS(1655),
    [anon_sym_QMARK] = ACTIONS(1033),
    [anon_sym_any] = ACTIONS(1045),
    [anon_sym_number] = ACTIONS(1045),
    [anon_sym_boolean] = ACTIONS(1045),
    [anon_sym_string] = ACTIONS(1045),
    [anon_sym_symbol] = ACTIONS(1045),
    [anon_sym_object] = ACTIONS(1045),
    [anon_sym_abstract] = ACTIONS(1037),
    [anon_sym_asserts] = ACTIONS(3024),
    [anon_sym_infer] = ACTIONS(1039),
    [anon_sym_keyof] = ACTIONS(1041),
    [anon_sym_unique] = ACTIONS(1043),
    [anon_sym_unknown] = ACTIONS(1045),
    [anon_sym_never] = ACTIONS(1045),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1047),
    [sym_html_comment] = ACTIONS(5),
  },
  [973] = {
    [sym_import] = STATE(4788),
    [sym_nested_identifier] = STATE(5868),
    [sym_string] = STATE(3013),
    [sym_formal_parameters] = STATE(5623),
    [sym_nested_type_identifier] = STATE(2941),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2942),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2944),
    [sym_asserts] = STATE(5275),
    [sym_type] = STATE(3375),
    [sym_constructor_type] = STATE(2974),
    [sym_primary_type] = STATE(3014),
    [sym_template_literal_type] = STATE(3018),
    [sym_infer_type] = STATE(2974),
    [sym_conditional_type] = STATE(3018),
    [sym_generic_type] = STATE(3018),
    [sym_type_predicate] = STATE(5388),
    [sym_type_query] = STATE(3018),
    [sym_index_type_query] = STATE(3018),
    [sym_lookup_type] = STATE(3018),
    [sym_literal_type] = STATE(3018),
    [sym__number] = STATE(3031),
    [sym_existential_type] = STATE(3018),
    [sym_flow_maybe_type] = STATE(3018),
    [sym_parenthesized_type] = STATE(3018),
    [sym_predefined_type] = STATE(3062),
    [sym_object_type] = STATE(3018),
    [sym_type_parameters] = STATE(5442),
    [sym_array_type] = STATE(3018),
    [sym_tuple_type] = STATE(3018),
    [sym_readonly_type] = STATE(2974),
    [sym_union_type] = STATE(3018),
    [sym_intersection_type] = STATE(3018),
    [sym_function_type] = STATE(2974),
    [sym_identifier] = ACTIONS(3106),
    [anon_sym_STAR] = ACTIONS(582),
    [anon_sym_LBRACE] = ACTIONS(1541),
    [anon_sym_typeof] = ACTIONS(1543),
    [anon_sym_import] = ACTIONS(1545),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1547),
    [anon_sym_LBRACK] = ACTIONS(1549),
    [anon_sym_DQUOTE] = ACTIONS(1551),
    [anon_sym_SQUOTE] = ACTIONS(1553),
    [anon_sym_new] = ACTIONS(1555),
    [anon_sym_AMP] = ACTIONS(755),
    [anon_sym_PIPE] = ACTIONS(757),
    [anon_sym_PLUS] = ACTIONS(2568),
    [anon_sym_DASH] = ACTIONS(2568),
    [anon_sym_LT] = ACTIONS(2570),
    [anon_sym_void] = ACTIONS(217),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1561),
    [sym_number] = ACTIONS(1563),
    [sym_this] = ACTIONS(3108),
    [sym_true] = ACTIONS(1567),
    [sym_false] = ACTIONS(1567),
    [sym_null] = ACTIONS(1567),
    [sym_undefined] = ACTIONS(1567),
    [anon_sym_readonly] = ACTIONS(1569),
    [anon_sym_QMARK] = ACTIONS(783),
    [anon_sym_any] = ACTIONS(217),
    [anon_sym_number] = ACTIONS(217),
    [anon_sym_boolean] = ACTIONS(217),
    [anon_sym_string] = ACTIONS(217),
    [anon_sym_symbol] = ACTIONS(217),
    [anon_sym_object] = ACTIONS(217),
    [anon_sym_abstract] = ACTIONS(209),
    [anon_sym_asserts] = ACTIONS(3110),
    [anon_sym_infer] = ACTIONS(211),
    [anon_sym_keyof] = ACTIONS(213),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym_html_comment] = ACTIONS(5),
  },
  [974] = {
    [sym_import] = STATE(4772),
    [sym_nested_identifier] = STATE(5677),
    [sym_string] = STATE(1938),
    [sym_formal_parameters] = STATE(5840),
    [sym_nested_type_identifier] = STATE(1823),
    [sym__type_query_member_expression_in_type_annotation] = STATE(1867),
    [sym__type_query_call_expression_in_type_annotation] = STATE(1905),
    [sym_asserts] = STATE(1992),
    [sym_type] = STATE(1993),
    [sym_constructor_type] = STATE(1909),
    [sym_primary_type] = STATE(1910),
    [sym_template_literal_type] = STATE(1915),
    [sym_infer_type] = STATE(1909),
    [sym_conditional_type] = STATE(1915),
    [sym_generic_type] = STATE(1915),
    [sym_type_predicate] = STATE(1992),
    [sym_type_query] = STATE(1915),
    [sym_index_type_query] = STATE(1915),
    [sym_lookup_type] = STATE(1915),
    [sym_literal_type] = STATE(1915),
    [sym__number] = STATE(1918),
    [sym_existential_type] = STATE(1915),
    [sym_flow_maybe_type] = STATE(1915),
    [sym_parenthesized_type] = STATE(1915),
    [sym_predefined_type] = STATE(1815),
    [sym_object_type] = STATE(1915),
    [sym_type_parameters] = STATE(5271),
    [sym_array_type] = STATE(1915),
    [sym_tuple_type] = STATE(1915),
    [sym_readonly_type] = STATE(1909),
    [sym_union_type] = STATE(1915),
    [sym_intersection_type] = STATE(1915),
    [sym_function_type] = STATE(1909),
    [sym_identifier] = ACTIONS(3112),
    [anon_sym_STAR] = ACTIONS(3114),
    [anon_sym_LBRACE] = ACTIONS(3116),
    [anon_sym_typeof] = ACTIONS(3118),
    [anon_sym_import] = ACTIONS(1545),
    [anon_sym_const] = ACTIONS(3120),
    [anon_sym_LPAREN] = ACTIONS(3122),
    [anon_sym_LBRACK] = ACTIONS(3124),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(3126),
    [anon_sym_AMP] = ACTIONS(3128),
    [anon_sym_PIPE] = ACTIONS(3130),
    [anon_sym_PLUS] = ACTIONS(3132),
    [anon_sym_DASH] = ACTIONS(3132),
    [anon_sym_LT] = ACTIONS(2570),
    [anon_sym_void] = ACTIONS(3134),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3136),
    [sym_number] = ACTIONS(3138),
    [sym_this] = ACTIONS(3140),
    [sym_true] = ACTIONS(3142),
    [sym_false] = ACTIONS(3142),
    [sym_null] = ACTIONS(3142),
    [sym_undefined] = ACTIONS(3142),
    [anon_sym_readonly] = ACTIONS(3144),
    [anon_sym_QMARK] = ACTIONS(3146),
    [anon_sym_any] = ACTIONS(3134),
    [anon_sym_number] = ACTIONS(3134),
    [anon_sym_boolean] = ACTIONS(3134),
    [anon_sym_string] = ACTIONS(3134),
    [anon_sym_symbol] = ACTIONS(3134),
    [anon_sym_object] = ACTIONS(3134),
    [anon_sym_abstract] = ACTIONS(3148),
    [anon_sym_asserts] = ACTIONS(3150),
    [anon_sym_infer] = ACTIONS(3152),
    [anon_sym_keyof] = ACTIONS(3154),
    [anon_sym_unique] = ACTIONS(3156),
    [anon_sym_unknown] = ACTIONS(3134),
    [anon_sym_never] = ACTIONS(3134),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3158),
    [sym_html_comment] = ACTIONS(5),
  },
  [975] = {
    [sym_import] = STATE(4535),
    [sym_nested_identifier] = STATE(5495),
    [sym_string] = STATE(1619),
    [sym_formal_parameters] = STATE(5874),
    [sym_nested_type_identifier] = STATE(1521),
    [sym__type_query_member_expression_in_type_annotation] = STATE(1526),
    [sym__type_query_call_expression_in_type_annotation] = STATE(1648),
    [sym_asserts] = STATE(1555),
    [sym_type] = STATE(1556),
    [sym_constructor_type] = STATE(1628),
    [sym_primary_type] = STATE(1595),
    [sym_template_literal_type] = STATE(1616),
    [sym_infer_type] = STATE(1628),
    [sym_conditional_type] = STATE(1616),
    [sym_generic_type] = STATE(1616),
    [sym_type_predicate] = STATE(1555),
    [sym_type_query] = STATE(1616),
    [sym_index_type_query] = STATE(1616),
    [sym_lookup_type] = STATE(1616),
    [sym_literal_type] = STATE(1616),
    [sym__number] = STATE(1647),
    [sym_existential_type] = STATE(1616),
    [sym_flow_maybe_type] = STATE(1616),
    [sym_parenthesized_type] = STATE(1616),
    [sym_predefined_type] = STATE(1514),
    [sym_object_type] = STATE(1616),
    [sym_type_parameters] = STATE(5220),
    [sym_array_type] = STATE(1616),
    [sym_tuple_type] = STATE(1616),
    [sym_readonly_type] = STATE(1628),
    [sym_union_type] = STATE(1616),
    [sym_intersection_type] = STATE(1616),
    [sym_function_type] = STATE(1628),
    [sym_identifier] = ACTIONS(3160),
    [anon_sym_STAR] = ACTIONS(3162),
    [anon_sym_LBRACE] = ACTIONS(3164),
    [anon_sym_typeof] = ACTIONS(3166),
    [anon_sym_import] = ACTIONS(1545),
    [anon_sym_const] = ACTIONS(3168),
    [anon_sym_LPAREN] = ACTIONS(3170),
    [anon_sym_LBRACK] = ACTIONS(3172),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(3174),
    [anon_sym_AMP] = ACTIONS(3176),
    [anon_sym_PIPE] = ACTIONS(3178),
    [anon_sym_PLUS] = ACTIONS(3180),
    [anon_sym_DASH] = ACTIONS(3180),
    [anon_sym_LT] = ACTIONS(2570),
    [anon_sym_void] = ACTIONS(3182),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3184),
    [sym_number] = ACTIONS(3186),
    [sym_this] = ACTIONS(3188),
    [sym_true] = ACTIONS(3190),
    [sym_false] = ACTIONS(3190),
    [sym_null] = ACTIONS(3190),
    [sym_undefined] = ACTIONS(3190),
    [anon_sym_readonly] = ACTIONS(3192),
    [anon_sym_QMARK] = ACTIONS(3194),
    [anon_sym_any] = ACTIONS(3182),
    [anon_sym_number] = ACTIONS(3182),
    [anon_sym_boolean] = ACTIONS(3182),
    [anon_sym_string] = ACTIONS(3182),
    [anon_sym_symbol] = ACTIONS(3182),
    [anon_sym_object] = ACTIONS(3182),
    [anon_sym_abstract] = ACTIONS(3196),
    [anon_sym_asserts] = ACTIONS(3198),
    [anon_sym_infer] = ACTIONS(3200),
    [anon_sym_keyof] = ACTIONS(3202),
    [anon_sym_unique] = ACTIONS(3204),
    [anon_sym_unknown] = ACTIONS(3182),
    [anon_sym_never] = ACTIONS(3182),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3206),
    [sym_html_comment] = ACTIONS(5),
  },
  [976] = {
    [sym_import] = STATE(4680),
    [sym_nested_identifier] = STATE(5868),
    [sym_string] = STATE(3013),
    [sym_formal_parameters] = STATE(5631),
    [sym_nested_type_identifier] = STATE(2941),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3315),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2944),
    [sym_asserts] = STATE(3005),
    [sym_type] = STATE(3650),
    [sym_constructor_type] = STATE(2974),
    [sym_primary_type] = STATE(3014),
    [sym_template_literal_type] = STATE(3018),
    [sym_infer_type] = STATE(2974),
    [sym_conditional_type] = STATE(3018),
    [sym_generic_type] = STATE(3018),
    [sym_type_predicate] = STATE(3005),
    [sym_type_query] = STATE(3018),
    [sym_index_type_query] = STATE(3018),
    [sym_lookup_type] = STATE(3018),
    [sym_literal_type] = STATE(3018),
    [sym__number] = STATE(3031),
    [sym_existential_type] = STATE(3018),
    [sym_flow_maybe_type] = STATE(3018),
    [sym_parenthesized_type] = STATE(3018),
    [sym_predefined_type] = STATE(3496),
    [sym_object_type] = STATE(3018),
    [sym_type_parameters] = STATE(5464),
    [sym_array_type] = STATE(3018),
    [sym_tuple_type] = STATE(3018),
    [sym_readonly_type] = STATE(2974),
    [sym_union_type] = STATE(3018),
    [sym_intersection_type] = STATE(3018),
    [sym_function_type] = STATE(2974),
    [sym_identifier] = ACTIONS(3012),
    [anon_sym_STAR] = ACTIONS(582),
    [anon_sym_LBRACE] = ACTIONS(1541),
    [anon_sym_typeof] = ACTIONS(1543),
    [anon_sym_import] = ACTIONS(1545),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1547),
    [anon_sym_LBRACK] = ACTIONS(1549),
    [anon_sym_DQUOTE] = ACTIONS(1551),
    [anon_sym_SQUOTE] = ACTIONS(1553),
    [anon_sym_new] = ACTIONS(1613),
    [anon_sym_AMP] = ACTIONS(610),
    [anon_sym_PIPE] = ACTIONS(612),
    [anon_sym_PLUS] = ACTIONS(2568),
    [anon_sym_DASH] = ACTIONS(2568),
    [anon_sym_LT] = ACTIONS(2570),
    [anon_sym_void] = ACTIONS(217),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1561),
    [sym_number] = ACTIONS(1563),
    [sym_this] = ACTIONS(3014),
    [sym_true] = ACTIONS(1567),
    [sym_false] = ACTIONS(1567),
    [sym_null] = ACTIONS(1567),
    [sym_undefined] = ACTIONS(1567),
    [anon_sym_readonly] = ACTIONS(1619),
    [anon_sym_QMARK] = ACTIONS(632),
    [anon_sym_any] = ACTIONS(217),
    [anon_sym_number] = ACTIONS(217),
    [anon_sym_boolean] = ACTIONS(217),
    [anon_sym_string] = ACTIONS(217),
    [anon_sym_symbol] = ACTIONS(217),
    [anon_sym_object] = ACTIONS(217),
    [anon_sym_abstract] = ACTIONS(636),
    [anon_sym_asserts] = ACTIONS(3016),
    [anon_sym_infer] = ACTIONS(638),
    [anon_sym_keyof] = ACTIONS(640),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym_html_comment] = ACTIONS(5),
  },
  [977] = {
    [sym_identifier] = ACTIONS(3208),
    [anon_sym_export] = ACTIONS(3208),
    [anon_sym_type] = ACTIONS(3208),
    [anon_sym_EQ] = ACTIONS(3208),
    [anon_sym_namespace] = ACTIONS(3208),
    [anon_sym_LBRACE] = ACTIONS(3210),
    [anon_sym_COMMA] = ACTIONS(3210),
    [anon_sym_RBRACE] = ACTIONS(3210),
    [anon_sym_typeof] = ACTIONS(3208),
    [anon_sym_import] = ACTIONS(3208),
    [anon_sym_let] = ACTIONS(3208),
    [anon_sym_BANG] = ACTIONS(3210),
    [anon_sym_LPAREN] = ACTIONS(3210),
    [anon_sym_RPAREN] = ACTIONS(3210),
    [anon_sym_await] = ACTIONS(3208),
    [anon_sym_COLON] = ACTIONS(3210),
    [anon_sym_yield] = ACTIONS(3208),
    [anon_sym_LBRACK] = ACTIONS(3210),
    [anon_sym_RBRACK] = ACTIONS(3210),
    [sym_glimmer_opening_tag] = ACTIONS(3210),
    [anon_sym_GT] = ACTIONS(3210),
    [anon_sym_DOT] = ACTIONS(3208),
    [anon_sym_DQUOTE] = ACTIONS(3210),
    [anon_sym_SQUOTE] = ACTIONS(3210),
    [anon_sym_class] = ACTIONS(3208),
    [anon_sym_async] = ACTIONS(3208),
    [anon_sym_function] = ACTIONS(3208),
    [anon_sym_EQ_GT] = ACTIONS(3210),
    [anon_sym_QMARK_DOT] = ACTIONS(3210),
    [anon_sym_new] = ACTIONS(3208),
    [anon_sym_using] = ACTIONS(3208),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3210),
    [anon_sym_AMP] = ACTIONS(3210),
    [anon_sym_PIPE] = ACTIONS(3210),
    [anon_sym_PLUS] = ACTIONS(3208),
    [anon_sym_DASH] = ACTIONS(3208),
    [anon_sym_SLASH] = ACTIONS(3208),
    [anon_sym_LT] = ACTIONS(3208),
    [anon_sym_TILDE] = ACTIONS(3210),
    [anon_sym_void] = ACTIONS(3208),
    [anon_sym_delete] = ACTIONS(3208),
    [anon_sym_PLUS_PLUS] = ACTIONS(3210),
    [anon_sym_DASH_DASH] = ACTIONS(3210),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3210),
    [sym_number] = ACTIONS(3210),
    [sym_private_property_identifier] = ACTIONS(3210),
    [sym_this] = ACTIONS(3208),
    [sym_super] = ACTIONS(3208),
    [sym_true] = ACTIONS(3208),
    [sym_false] = ACTIONS(3208),
    [sym_null] = ACTIONS(3208),
    [sym_undefined] = ACTIONS(3208),
    [anon_sym_AT] = ACTIONS(3210),
    [anon_sym_static] = ACTIONS(3208),
    [anon_sym_readonly] = ACTIONS(3208),
    [anon_sym_get] = ACTIONS(3208),
    [anon_sym_set] = ACTIONS(3208),
    [anon_sym_QMARK] = ACTIONS(3208),
    [anon_sym_declare] = ACTIONS(3208),
    [anon_sym_public] = ACTIONS(3208),
    [anon_sym_private] = ACTIONS(3208),
    [anon_sym_protected] = ACTIONS(3208),
    [anon_sym_override] = ACTIONS(3208),
    [anon_sym_module] = ACTIONS(3208),
    [anon_sym_any] = ACTIONS(3208),
    [anon_sym_number] = ACTIONS(3208),
    [anon_sym_boolean] = ACTIONS(3208),
    [anon_sym_string] = ACTIONS(3208),
    [anon_sym_symbol] = ACTIONS(3208),
    [anon_sym_object] = ACTIONS(3208),
    [anon_sym_abstract] = ACTIONS(3208),
    [anon_sym_extends] = ACTIONS(3208),
    [sym_html_comment] = ACTIONS(5),
  },
  [978] = {
    [sym_identifier] = ACTIONS(3212),
    [anon_sym_export] = ACTIONS(3212),
    [anon_sym_type] = ACTIONS(3212),
    [anon_sym_EQ] = ACTIONS(3212),
    [anon_sym_namespace] = ACTIONS(3212),
    [anon_sym_LBRACE] = ACTIONS(3214),
    [anon_sym_COMMA] = ACTIONS(3214),
    [anon_sym_RBRACE] = ACTIONS(3214),
    [anon_sym_typeof] = ACTIONS(3212),
    [anon_sym_import] = ACTIONS(3212),
    [anon_sym_let] = ACTIONS(3212),
    [anon_sym_BANG] = ACTIONS(3214),
    [anon_sym_LPAREN] = ACTIONS(3214),
    [anon_sym_RPAREN] = ACTIONS(3214),
    [anon_sym_await] = ACTIONS(3212),
    [anon_sym_COLON] = ACTIONS(3214),
    [anon_sym_yield] = ACTIONS(3212),
    [anon_sym_LBRACK] = ACTIONS(3214),
    [anon_sym_RBRACK] = ACTIONS(3214),
    [sym_glimmer_opening_tag] = ACTIONS(3214),
    [anon_sym_GT] = ACTIONS(3214),
    [anon_sym_DOT] = ACTIONS(3212),
    [anon_sym_DQUOTE] = ACTIONS(3214),
    [anon_sym_SQUOTE] = ACTIONS(3214),
    [anon_sym_class] = ACTIONS(3212),
    [anon_sym_async] = ACTIONS(3212),
    [anon_sym_function] = ACTIONS(3212),
    [anon_sym_EQ_GT] = ACTIONS(3214),
    [anon_sym_QMARK_DOT] = ACTIONS(3214),
    [anon_sym_new] = ACTIONS(3212),
    [anon_sym_using] = ACTIONS(3212),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3214),
    [anon_sym_AMP] = ACTIONS(3214),
    [anon_sym_PIPE] = ACTIONS(3214),
    [anon_sym_PLUS] = ACTIONS(3212),
    [anon_sym_DASH] = ACTIONS(3212),
    [anon_sym_SLASH] = ACTIONS(3212),
    [anon_sym_LT] = ACTIONS(3212),
    [anon_sym_TILDE] = ACTIONS(3214),
    [anon_sym_void] = ACTIONS(3212),
    [anon_sym_delete] = ACTIONS(3212),
    [anon_sym_PLUS_PLUS] = ACTIONS(3214),
    [anon_sym_DASH_DASH] = ACTIONS(3214),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3214),
    [sym_number] = ACTIONS(3214),
    [sym_private_property_identifier] = ACTIONS(3214),
    [sym_this] = ACTIONS(3212),
    [sym_super] = ACTIONS(3212),
    [sym_true] = ACTIONS(3212),
    [sym_false] = ACTIONS(3212),
    [sym_null] = ACTIONS(3212),
    [sym_undefined] = ACTIONS(3212),
    [anon_sym_AT] = ACTIONS(3214),
    [anon_sym_static] = ACTIONS(3212),
    [anon_sym_readonly] = ACTIONS(3212),
    [anon_sym_get] = ACTIONS(3212),
    [anon_sym_set] = ACTIONS(3212),
    [anon_sym_QMARK] = ACTIONS(3212),
    [anon_sym_declare] = ACTIONS(3212),
    [anon_sym_public] = ACTIONS(3212),
    [anon_sym_private] = ACTIONS(3212),
    [anon_sym_protected] = ACTIONS(3212),
    [anon_sym_override] = ACTIONS(3212),
    [anon_sym_module] = ACTIONS(3212),
    [anon_sym_any] = ACTIONS(3212),
    [anon_sym_number] = ACTIONS(3212),
    [anon_sym_boolean] = ACTIONS(3212),
    [anon_sym_string] = ACTIONS(3212),
    [anon_sym_symbol] = ACTIONS(3212),
    [anon_sym_object] = ACTIONS(3212),
    [anon_sym_abstract] = ACTIONS(3212),
    [anon_sym_extends] = ACTIONS(3212),
    [sym_html_comment] = ACTIONS(5),
  },
  [979] = {
    [sym_identifier] = ACTIONS(3216),
    [anon_sym_export] = ACTIONS(3216),
    [anon_sym_type] = ACTIONS(3216),
    [anon_sym_EQ] = ACTIONS(3216),
    [anon_sym_namespace] = ACTIONS(3216),
    [anon_sym_LBRACE] = ACTIONS(3218),
    [anon_sym_COMMA] = ACTIONS(3218),
    [anon_sym_RBRACE] = ACTIONS(3218),
    [anon_sym_typeof] = ACTIONS(3216),
    [anon_sym_import] = ACTIONS(3216),
    [anon_sym_let] = ACTIONS(3216),
    [anon_sym_BANG] = ACTIONS(3218),
    [anon_sym_LPAREN] = ACTIONS(3218),
    [anon_sym_RPAREN] = ACTIONS(3218),
    [anon_sym_await] = ACTIONS(3216),
    [anon_sym_COLON] = ACTIONS(3218),
    [anon_sym_yield] = ACTIONS(3216),
    [anon_sym_LBRACK] = ACTIONS(3218),
    [anon_sym_RBRACK] = ACTIONS(3218),
    [sym_glimmer_opening_tag] = ACTIONS(3218),
    [anon_sym_GT] = ACTIONS(3218),
    [anon_sym_DOT] = ACTIONS(3216),
    [anon_sym_DQUOTE] = ACTIONS(3218),
    [anon_sym_SQUOTE] = ACTIONS(3218),
    [anon_sym_class] = ACTIONS(3216),
    [anon_sym_async] = ACTIONS(3216),
    [anon_sym_function] = ACTIONS(3216),
    [anon_sym_EQ_GT] = ACTIONS(3218),
    [anon_sym_QMARK_DOT] = ACTIONS(3218),
    [anon_sym_new] = ACTIONS(3216),
    [anon_sym_using] = ACTIONS(3216),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3218),
    [anon_sym_AMP] = ACTIONS(3218),
    [anon_sym_PIPE] = ACTIONS(3218),
    [anon_sym_PLUS] = ACTIONS(3216),
    [anon_sym_DASH] = ACTIONS(3216),
    [anon_sym_SLASH] = ACTIONS(3216),
    [anon_sym_LT] = ACTIONS(3216),
    [anon_sym_TILDE] = ACTIONS(3218),
    [anon_sym_void] = ACTIONS(3216),
    [anon_sym_delete] = ACTIONS(3216),
    [anon_sym_PLUS_PLUS] = ACTIONS(3218),
    [anon_sym_DASH_DASH] = ACTIONS(3218),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3218),
    [sym_number] = ACTIONS(3218),
    [sym_private_property_identifier] = ACTIONS(3218),
    [sym_this] = ACTIONS(3216),
    [sym_super] = ACTIONS(3216),
    [sym_true] = ACTIONS(3216),
    [sym_false] = ACTIONS(3216),
    [sym_null] = ACTIONS(3216),
    [sym_undefined] = ACTIONS(3216),
    [anon_sym_AT] = ACTIONS(3218),
    [anon_sym_static] = ACTIONS(3216),
    [anon_sym_readonly] = ACTIONS(3216),
    [anon_sym_get] = ACTIONS(3216),
    [anon_sym_set] = ACTIONS(3216),
    [anon_sym_QMARK] = ACTIONS(3216),
    [anon_sym_declare] = ACTIONS(3216),
    [anon_sym_public] = ACTIONS(3216),
    [anon_sym_private] = ACTIONS(3216),
    [anon_sym_protected] = ACTIONS(3216),
    [anon_sym_override] = ACTIONS(3216),
    [anon_sym_module] = ACTIONS(3216),
    [anon_sym_any] = ACTIONS(3216),
    [anon_sym_number] = ACTIONS(3216),
    [anon_sym_boolean] = ACTIONS(3216),
    [anon_sym_string] = ACTIONS(3216),
    [anon_sym_symbol] = ACTIONS(3216),
    [anon_sym_object] = ACTIONS(3216),
    [anon_sym_abstract] = ACTIONS(3216),
    [anon_sym_extends] = ACTIONS(3216),
    [sym_html_comment] = ACTIONS(5),
  },
  [980] = {
    [sym_import] = STATE(4788),
    [sym_nested_identifier] = STATE(5868),
    [sym_string] = STATE(3013),
    [sym_formal_parameters] = STATE(5623),
    [sym_nested_type_identifier] = STATE(2941),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2942),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2944),
    [sym_type] = STATE(3847),
    [sym_constructor_type] = STATE(2974),
    [sym_primary_type] = STATE(3014),
    [sym_template_literal_type] = STATE(3018),
    [sym_infer_type] = STATE(2974),
    [sym_conditional_type] = STATE(3018),
    [sym_generic_type] = STATE(3018),
    [sym_type_query] = STATE(3018),
    [sym_index_type_query] = STATE(3018),
    [sym_lookup_type] = STATE(3018),
    [sym_literal_type] = STATE(3018),
    [sym__number] = STATE(3031),
    [sym_existential_type] = STATE(3018),
    [sym_flow_maybe_type] = STATE(3018),
    [sym_parenthesized_type] = STATE(3018),
    [sym_predefined_type] = STATE(3018),
    [sym_object_type] = STATE(3018),
    [sym_type_parameters] = STATE(5442),
    [sym_array_type] = STATE(3018),
    [sym_tuple_type] = STATE(3018),
    [sym_readonly_type] = STATE(2974),
    [sym_union_type] = STATE(3018),
    [sym_intersection_type] = STATE(3018),
    [sym_function_type] = STATE(2974),
    [sym_identifier] = ACTIONS(1539),
    [anon_sym_STAR] = ACTIONS(582),
    [anon_sym_LBRACE] = ACTIONS(1541),
    [anon_sym_typeof] = ACTIONS(1543),
    [anon_sym_import] = ACTIONS(1545),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1547),
    [anon_sym_LBRACK] = ACTIONS(1549),
    [anon_sym_GT] = ACTIONS(3220),
    [anon_sym_DQUOTE] = ACTIONS(1551),
    [anon_sym_SQUOTE] = ACTIONS(1553),
    [anon_sym_new] = ACTIONS(1555),
    [anon_sym_AMP] = ACTIONS(755),
    [anon_sym_PIPE] = ACTIONS(757),
    [anon_sym_PLUS] = ACTIONS(2568),
    [anon_sym_DASH] = ACTIONS(2568),
    [anon_sym_LT] = ACTIONS(2570),
    [anon_sym_void] = ACTIONS(217),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1561),
    [sym_number] = ACTIONS(1563),
    [sym_this] = ACTIONS(1565),
    [sym_true] = ACTIONS(1567),
    [sym_false] = ACTIONS(1567),
    [sym_null] = ACTIONS(1567),
    [sym_undefined] = ACTIONS(1567),
    [anon_sym_readonly] = ACTIONS(1569),
    [anon_sym_QMARK] = ACTIONS(783),
    [anon_sym_any] = ACTIONS(217),
    [anon_sym_number] = ACTIONS(217),
    [anon_sym_boolean] = ACTIONS(217),
    [anon_sym_string] = ACTIONS(217),
    [anon_sym_symbol] = ACTIONS(217),
    [anon_sym_object] = ACTIONS(217),
    [anon_sym_abstract] = ACTIONS(209),
    [anon_sym_infer] = ACTIONS(211),
    [anon_sym_keyof] = ACTIONS(213),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym_html_comment] = ACTIONS(5),
  },
  [981] = {
    [sym_import] = STATE(4788),
    [sym_nested_identifier] = STATE(5868),
    [sym_string] = STATE(3013),
    [sym_formal_parameters] = STATE(5623),
    [sym_nested_type_identifier] = STATE(2941),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2942),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2944),
    [sym_type] = STATE(4476),
    [sym_constructor_type] = STATE(2974),
    [sym_primary_type] = STATE(3014),
    [sym_template_literal_type] = STATE(3018),
    [sym_infer_type] = STATE(2974),
    [sym_conditional_type] = STATE(3018),
    [sym_generic_type] = STATE(3018),
    [sym_type_query] = STATE(3018),
    [sym_index_type_query] = STATE(3018),
    [sym_lookup_type] = STATE(3018),
    [sym_literal_type] = STATE(3018),
    [sym__number] = STATE(3031),
    [sym_existential_type] = STATE(3018),
    [sym_flow_maybe_type] = STATE(3018),
    [sym_parenthesized_type] = STATE(3018),
    [sym_predefined_type] = STATE(3018),
    [sym_object_type] = STATE(3018),
    [sym_type_parameters] = STATE(5442),
    [sym_array_type] = STATE(3018),
    [sym_tuple_type] = STATE(3018),
    [sym_readonly_type] = STATE(2974),
    [sym_union_type] = STATE(3018),
    [sym_intersection_type] = STATE(3018),
    [sym_function_type] = STATE(2974),
    [sym_identifier] = ACTIONS(1539),
    [anon_sym_STAR] = ACTIONS(582),
    [anon_sym_LBRACE] = ACTIONS(1541),
    [anon_sym_typeof] = ACTIONS(1543),
    [anon_sym_import] = ACTIONS(1545),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1547),
    [anon_sym_LBRACK] = ACTIONS(1549),
    [anon_sym_RBRACK] = ACTIONS(3222),
    [anon_sym_DQUOTE] = ACTIONS(1551),
    [anon_sym_SQUOTE] = ACTIONS(1553),
    [anon_sym_new] = ACTIONS(1555),
    [anon_sym_AMP] = ACTIONS(755),
    [anon_sym_PIPE] = ACTIONS(757),
    [anon_sym_PLUS] = ACTIONS(2568),
    [anon_sym_DASH] = ACTIONS(2568),
    [anon_sym_LT] = ACTIONS(2570),
    [anon_sym_void] = ACTIONS(217),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1561),
    [sym_number] = ACTIONS(1563),
    [sym_this] = ACTIONS(1565),
    [sym_true] = ACTIONS(1567),
    [sym_false] = ACTIONS(1567),
    [sym_null] = ACTIONS(1567),
    [sym_undefined] = ACTIONS(1567),
    [anon_sym_readonly] = ACTIONS(1569),
    [anon_sym_QMARK] = ACTIONS(783),
    [anon_sym_any] = ACTIONS(217),
    [anon_sym_number] = ACTIONS(217),
    [anon_sym_boolean] = ACTIONS(217),
    [anon_sym_string] = ACTIONS(217),
    [anon_sym_symbol] = ACTIONS(217),
    [anon_sym_object] = ACTIONS(217),
    [anon_sym_abstract] = ACTIONS(209),
    [anon_sym_infer] = ACTIONS(211),
    [anon_sym_keyof] = ACTIONS(213),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym_html_comment] = ACTIONS(5),
  },
  [982] = {
    [sym_import] = STATE(4788),
    [sym_nested_identifier] = STATE(5868),
    [sym_string] = STATE(3013),
    [sym_formal_parameters] = STATE(5623),
    [sym_nested_type_identifier] = STATE(2941),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2942),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2944),
    [sym_type] = STATE(3847),
    [sym_constructor_type] = STATE(2974),
    [sym_primary_type] = STATE(3014),
    [sym_template_literal_type] = STATE(3018),
    [sym_infer_type] = STATE(2974),
    [sym_conditional_type] = STATE(3018),
    [sym_generic_type] = STATE(3018),
    [sym_type_query] = STATE(3018),
    [sym_index_type_query] = STATE(3018),
    [sym_lookup_type] = STATE(3018),
    [sym_literal_type] = STATE(3018),
    [sym__number] = STATE(3031),
    [sym_existential_type] = STATE(3018),
    [sym_flow_maybe_type] = STATE(3018),
    [sym_parenthesized_type] = STATE(3018),
    [sym_predefined_type] = STATE(3018),
    [sym_object_type] = STATE(3018),
    [sym_type_parameters] = STATE(5442),
    [sym_array_type] = STATE(3018),
    [sym_tuple_type] = STATE(3018),
    [sym_readonly_type] = STATE(2974),
    [sym_union_type] = STATE(3018),
    [sym_intersection_type] = STATE(3018),
    [sym_function_type] = STATE(2974),
    [sym_identifier] = ACTIONS(1539),
    [anon_sym_STAR] = ACTIONS(582),
    [anon_sym_LBRACE] = ACTIONS(1541),
    [anon_sym_typeof] = ACTIONS(1543),
    [anon_sym_import] = ACTIONS(1545),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1547),
    [anon_sym_LBRACK] = ACTIONS(1549),
    [anon_sym_GT] = ACTIONS(3224),
    [anon_sym_DQUOTE] = ACTIONS(1551),
    [anon_sym_SQUOTE] = ACTIONS(1553),
    [anon_sym_new] = ACTIONS(1555),
    [anon_sym_AMP] = ACTIONS(755),
    [anon_sym_PIPE] = ACTIONS(757),
    [anon_sym_PLUS] = ACTIONS(2568),
    [anon_sym_DASH] = ACTIONS(2568),
    [anon_sym_LT] = ACTIONS(2570),
    [anon_sym_void] = ACTIONS(217),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1561),
    [sym_number] = ACTIONS(1563),
    [sym_this] = ACTIONS(1565),
    [sym_true] = ACTIONS(1567),
    [sym_false] = ACTIONS(1567),
    [sym_null] = ACTIONS(1567),
    [sym_undefined] = ACTIONS(1567),
    [anon_sym_readonly] = ACTIONS(1569),
    [anon_sym_QMARK] = ACTIONS(783),
    [anon_sym_any] = ACTIONS(217),
    [anon_sym_number] = ACTIONS(217),
    [anon_sym_boolean] = ACTIONS(217),
    [anon_sym_string] = ACTIONS(217),
    [anon_sym_symbol] = ACTIONS(217),
    [anon_sym_object] = ACTIONS(217),
    [anon_sym_abstract] = ACTIONS(209),
    [anon_sym_infer] = ACTIONS(211),
    [anon_sym_keyof] = ACTIONS(213),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym_html_comment] = ACTIONS(5),
  },
  [983] = {
    [sym_import] = STATE(4788),
    [sym_nested_identifier] = STATE(5868),
    [sym_string] = STATE(3013),
    [sym_formal_parameters] = STATE(5623),
    [sym_nested_type_identifier] = STATE(2941),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2942),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2944),
    [sym_type] = STATE(3847),
    [sym_constructor_type] = STATE(2974),
    [sym_primary_type] = STATE(3014),
    [sym_template_literal_type] = STATE(3018),
    [sym_infer_type] = STATE(2974),
    [sym_conditional_type] = STATE(3018),
    [sym_generic_type] = STATE(3018),
    [sym_type_query] = STATE(3018),
    [sym_index_type_query] = STATE(3018),
    [sym_lookup_type] = STATE(3018),
    [sym_literal_type] = STATE(3018),
    [sym__number] = STATE(3031),
    [sym_existential_type] = STATE(3018),
    [sym_flow_maybe_type] = STATE(3018),
    [sym_parenthesized_type] = STATE(3018),
    [sym_predefined_type] = STATE(3018),
    [sym_object_type] = STATE(3018),
    [sym_type_parameters] = STATE(5442),
    [sym_array_type] = STATE(3018),
    [sym_tuple_type] = STATE(3018),
    [sym_readonly_type] = STATE(2974),
    [sym_union_type] = STATE(3018),
    [sym_intersection_type] = STATE(3018),
    [sym_function_type] = STATE(2974),
    [sym_identifier] = ACTIONS(1539),
    [anon_sym_STAR] = ACTIONS(582),
    [anon_sym_LBRACE] = ACTIONS(1541),
    [anon_sym_typeof] = ACTIONS(1543),
    [anon_sym_import] = ACTIONS(1545),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1547),
    [anon_sym_LBRACK] = ACTIONS(1549),
    [anon_sym_GT] = ACTIONS(3226),
    [anon_sym_DQUOTE] = ACTIONS(1551),
    [anon_sym_SQUOTE] = ACTIONS(1553),
    [anon_sym_new] = ACTIONS(1555),
    [anon_sym_AMP] = ACTIONS(755),
    [anon_sym_PIPE] = ACTIONS(757),
    [anon_sym_PLUS] = ACTIONS(2568),
    [anon_sym_DASH] = ACTIONS(2568),
    [anon_sym_LT] = ACTIONS(2570),
    [anon_sym_void] = ACTIONS(217),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1561),
    [sym_number] = ACTIONS(1563),
    [sym_this] = ACTIONS(1565),
    [sym_true] = ACTIONS(1567),
    [sym_false] = ACTIONS(1567),
    [sym_null] = ACTIONS(1567),
    [sym_undefined] = ACTIONS(1567),
    [anon_sym_readonly] = ACTIONS(1569),
    [anon_sym_QMARK] = ACTIONS(783),
    [anon_sym_any] = ACTIONS(217),
    [anon_sym_number] = ACTIONS(217),
    [anon_sym_boolean] = ACTIONS(217),
    [anon_sym_string] = ACTIONS(217),
    [anon_sym_symbol] = ACTIONS(217),
    [anon_sym_object] = ACTIONS(217),
    [anon_sym_abstract] = ACTIONS(209),
    [anon_sym_infer] = ACTIONS(211),
    [anon_sym_keyof] = ACTIONS(213),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym_html_comment] = ACTIONS(5),
  },
  [984] = {
    [sym_import] = STATE(4788),
    [sym_nested_identifier] = STATE(5868),
    [sym_string] = STATE(3013),
    [sym_formal_parameters] = STATE(5623),
    [sym_nested_type_identifier] = STATE(2941),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2942),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2944),
    [sym_type] = STATE(4435),
    [sym_constructor_type] = STATE(2974),
    [sym_primary_type] = STATE(3014),
    [sym_template_literal_type] = STATE(3018),
    [sym_infer_type] = STATE(2974),
    [sym_conditional_type] = STATE(3018),
    [sym_generic_type] = STATE(3018),
    [sym_type_query] = STATE(3018),
    [sym_index_type_query] = STATE(3018),
    [sym_lookup_type] = STATE(3018),
    [sym_literal_type] = STATE(3018),
    [sym__number] = STATE(3031),
    [sym_existential_type] = STATE(3018),
    [sym_flow_maybe_type] = STATE(3018),
    [sym_parenthesized_type] = STATE(3018),
    [sym_predefined_type] = STATE(3018),
    [sym_object_type] = STATE(3018),
    [sym_type_parameters] = STATE(5442),
    [sym_array_type] = STATE(3018),
    [sym_tuple_type] = STATE(3018),
    [sym_readonly_type] = STATE(2974),
    [sym_union_type] = STATE(3018),
    [sym_intersection_type] = STATE(3018),
    [sym_function_type] = STATE(2974),
    [sym_identifier] = ACTIONS(1539),
    [anon_sym_STAR] = ACTIONS(582),
    [anon_sym_LBRACE] = ACTIONS(1541),
    [anon_sym_typeof] = ACTIONS(1543),
    [anon_sym_import] = ACTIONS(1545),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1547),
    [anon_sym_LBRACK] = ACTIONS(1549),
    [anon_sym_RBRACK] = ACTIONS(3228),
    [anon_sym_DQUOTE] = ACTIONS(1551),
    [anon_sym_SQUOTE] = ACTIONS(1553),
    [anon_sym_new] = ACTIONS(1555),
    [anon_sym_AMP] = ACTIONS(755),
    [anon_sym_PIPE] = ACTIONS(757),
    [anon_sym_PLUS] = ACTIONS(2568),
    [anon_sym_DASH] = ACTIONS(2568),
    [anon_sym_LT] = ACTIONS(2570),
    [anon_sym_void] = ACTIONS(217),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1561),
    [sym_number] = ACTIONS(1563),
    [sym_this] = ACTIONS(1565),
    [sym_true] = ACTIONS(1567),
    [sym_false] = ACTIONS(1567),
    [sym_null] = ACTIONS(1567),
    [sym_undefined] = ACTIONS(1567),
    [anon_sym_readonly] = ACTIONS(1569),
    [anon_sym_QMARK] = ACTIONS(783),
    [anon_sym_any] = ACTIONS(217),
    [anon_sym_number] = ACTIONS(217),
    [anon_sym_boolean] = ACTIONS(217),
    [anon_sym_string] = ACTIONS(217),
    [anon_sym_symbol] = ACTIONS(217),
    [anon_sym_object] = ACTIONS(217),
    [anon_sym_abstract] = ACTIONS(209),
    [anon_sym_infer] = ACTIONS(211),
    [anon_sym_keyof] = ACTIONS(213),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym_html_comment] = ACTIONS(5),
  },
  [985] = {
    [sym_import] = STATE(4788),
    [sym_nested_identifier] = STATE(5868),
    [sym_string] = STATE(3013),
    [sym_formal_parameters] = STATE(5623),
    [sym_nested_type_identifier] = STATE(2941),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2942),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2944),
    [sym_type] = STATE(3847),
    [sym_constructor_type] = STATE(2974),
    [sym_primary_type] = STATE(3014),
    [sym_template_literal_type] = STATE(3018),
    [sym_infer_type] = STATE(2974),
    [sym_conditional_type] = STATE(3018),
    [sym_generic_type] = STATE(3018),
    [sym_type_query] = STATE(3018),
    [sym_index_type_query] = STATE(3018),
    [sym_lookup_type] = STATE(3018),
    [sym_literal_type] = STATE(3018),
    [sym__number] = STATE(3031),
    [sym_existential_type] = STATE(3018),
    [sym_flow_maybe_type] = STATE(3018),
    [sym_parenthesized_type] = STATE(3018),
    [sym_predefined_type] = STATE(3018),
    [sym_object_type] = STATE(3018),
    [sym_type_parameters] = STATE(5442),
    [sym_array_type] = STATE(3018),
    [sym_tuple_type] = STATE(3018),
    [sym_readonly_type] = STATE(2974),
    [sym_union_type] = STATE(3018),
    [sym_intersection_type] = STATE(3018),
    [sym_function_type] = STATE(2974),
    [sym_identifier] = ACTIONS(1539),
    [anon_sym_STAR] = ACTIONS(582),
    [anon_sym_LBRACE] = ACTIONS(1541),
    [anon_sym_typeof] = ACTIONS(1543),
    [anon_sym_import] = ACTIONS(1545),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1547),
    [anon_sym_LBRACK] = ACTIONS(1549),
    [anon_sym_GT] = ACTIONS(3230),
    [anon_sym_DQUOTE] = ACTIONS(1551),
    [anon_sym_SQUOTE] = ACTIONS(1553),
    [anon_sym_new] = ACTIONS(1555),
    [anon_sym_AMP] = ACTIONS(755),
    [anon_sym_PIPE] = ACTIONS(757),
    [anon_sym_PLUS] = ACTIONS(2568),
    [anon_sym_DASH] = ACTIONS(2568),
    [anon_sym_LT] = ACTIONS(2570),
    [anon_sym_void] = ACTIONS(217),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1561),
    [sym_number] = ACTIONS(1563),
    [sym_this] = ACTIONS(1565),
    [sym_true] = ACTIONS(1567),
    [sym_false] = ACTIONS(1567),
    [sym_null] = ACTIONS(1567),
    [sym_undefined] = ACTIONS(1567),
    [anon_sym_readonly] = ACTIONS(1569),
    [anon_sym_QMARK] = ACTIONS(783),
    [anon_sym_any] = ACTIONS(217),
    [anon_sym_number] = ACTIONS(217),
    [anon_sym_boolean] = ACTIONS(217),
    [anon_sym_string] = ACTIONS(217),
    [anon_sym_symbol] = ACTIONS(217),
    [anon_sym_object] = ACTIONS(217),
    [anon_sym_abstract] = ACTIONS(209),
    [anon_sym_infer] = ACTIONS(211),
    [anon_sym_keyof] = ACTIONS(213),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym_html_comment] = ACTIONS(5),
  },
  [986] = {
    [sym_import] = STATE(4788),
    [sym_nested_identifier] = STATE(5868),
    [sym_string] = STATE(3013),
    [sym_formal_parameters] = STATE(5623),
    [sym_nested_type_identifier] = STATE(2941),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2942),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2944),
    [sym_type] = STATE(4441),
    [sym_constructor_type] = STATE(2974),
    [sym_primary_type] = STATE(3014),
    [sym_template_literal_type] = STATE(3018),
    [sym_infer_type] = STATE(2974),
    [sym_conditional_type] = STATE(3018),
    [sym_generic_type] = STATE(3018),
    [sym_type_query] = STATE(3018),
    [sym_index_type_query] = STATE(3018),
    [sym_lookup_type] = STATE(3018),
    [sym_literal_type] = STATE(3018),
    [sym__number] = STATE(3031),
    [sym_existential_type] = STATE(3018),
    [sym_flow_maybe_type] = STATE(3018),
    [sym_parenthesized_type] = STATE(3018),
    [sym_predefined_type] = STATE(3018),
    [sym_object_type] = STATE(3018),
    [sym_type_parameters] = STATE(5442),
    [sym_array_type] = STATE(3018),
    [sym_tuple_type] = STATE(3018),
    [sym_readonly_type] = STATE(2974),
    [sym_union_type] = STATE(3018),
    [sym_intersection_type] = STATE(3018),
    [sym_function_type] = STATE(2974),
    [sym_identifier] = ACTIONS(1539),
    [anon_sym_STAR] = ACTIONS(582),
    [anon_sym_LBRACE] = ACTIONS(1541),
    [anon_sym_typeof] = ACTIONS(1543),
    [anon_sym_import] = ACTIONS(1545),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1547),
    [anon_sym_LBRACK] = ACTIONS(1549),
    [anon_sym_RBRACK] = ACTIONS(3232),
    [anon_sym_DQUOTE] = ACTIONS(1551),
    [anon_sym_SQUOTE] = ACTIONS(1553),
    [anon_sym_new] = ACTIONS(1555),
    [anon_sym_AMP] = ACTIONS(755),
    [anon_sym_PIPE] = ACTIONS(757),
    [anon_sym_PLUS] = ACTIONS(2568),
    [anon_sym_DASH] = ACTIONS(2568),
    [anon_sym_LT] = ACTIONS(2570),
    [anon_sym_void] = ACTIONS(217),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1561),
    [sym_number] = ACTIONS(1563),
    [sym_this] = ACTIONS(1565),
    [sym_true] = ACTIONS(1567),
    [sym_false] = ACTIONS(1567),
    [sym_null] = ACTIONS(1567),
    [sym_undefined] = ACTIONS(1567),
    [anon_sym_readonly] = ACTIONS(1569),
    [anon_sym_QMARK] = ACTIONS(783),
    [anon_sym_any] = ACTIONS(217),
    [anon_sym_number] = ACTIONS(217),
    [anon_sym_boolean] = ACTIONS(217),
    [anon_sym_string] = ACTIONS(217),
    [anon_sym_symbol] = ACTIONS(217),
    [anon_sym_object] = ACTIONS(217),
    [anon_sym_abstract] = ACTIONS(209),
    [anon_sym_infer] = ACTIONS(211),
    [anon_sym_keyof] = ACTIONS(213),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym_html_comment] = ACTIONS(5),
  },
  [987] = {
    [sym_import] = STATE(4788),
    [sym_nested_identifier] = STATE(5868),
    [sym_string] = STATE(3013),
    [sym_formal_parameters] = STATE(5623),
    [sym_nested_type_identifier] = STATE(2941),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2942),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2944),
    [sym_type] = STATE(3847),
    [sym_constructor_type] = STATE(2974),
    [sym_primary_type] = STATE(3014),
    [sym_template_literal_type] = STATE(3018),
    [sym_infer_type] = STATE(2974),
    [sym_conditional_type] = STATE(3018),
    [sym_generic_type] = STATE(3018),
    [sym_type_query] = STATE(3018),
    [sym_index_type_query] = STATE(3018),
    [sym_lookup_type] = STATE(3018),
    [sym_literal_type] = STATE(3018),
    [sym__number] = STATE(3031),
    [sym_existential_type] = STATE(3018),
    [sym_flow_maybe_type] = STATE(3018),
    [sym_parenthesized_type] = STATE(3018),
    [sym_predefined_type] = STATE(3018),
    [sym_object_type] = STATE(3018),
    [sym_type_parameters] = STATE(5442),
    [sym_array_type] = STATE(3018),
    [sym_tuple_type] = STATE(3018),
    [sym_readonly_type] = STATE(2974),
    [sym_union_type] = STATE(3018),
    [sym_intersection_type] = STATE(3018),
    [sym_function_type] = STATE(2974),
    [sym_identifier] = ACTIONS(1539),
    [anon_sym_STAR] = ACTIONS(582),
    [anon_sym_LBRACE] = ACTIONS(1541),
    [anon_sym_typeof] = ACTIONS(1543),
    [anon_sym_import] = ACTIONS(1545),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1547),
    [anon_sym_LBRACK] = ACTIONS(1549),
    [anon_sym_GT] = ACTIONS(3234),
    [anon_sym_DQUOTE] = ACTIONS(1551),
    [anon_sym_SQUOTE] = ACTIONS(1553),
    [anon_sym_new] = ACTIONS(1555),
    [anon_sym_AMP] = ACTIONS(755),
    [anon_sym_PIPE] = ACTIONS(757),
    [anon_sym_PLUS] = ACTIONS(2568),
    [anon_sym_DASH] = ACTIONS(2568),
    [anon_sym_LT] = ACTIONS(2570),
    [anon_sym_void] = ACTIONS(217),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1561),
    [sym_number] = ACTIONS(1563),
    [sym_this] = ACTIONS(1565),
    [sym_true] = ACTIONS(1567),
    [sym_false] = ACTIONS(1567),
    [sym_null] = ACTIONS(1567),
    [sym_undefined] = ACTIONS(1567),
    [anon_sym_readonly] = ACTIONS(1569),
    [anon_sym_QMARK] = ACTIONS(783),
    [anon_sym_any] = ACTIONS(217),
    [anon_sym_number] = ACTIONS(217),
    [anon_sym_boolean] = ACTIONS(217),
    [anon_sym_string] = ACTIONS(217),
    [anon_sym_symbol] = ACTIONS(217),
    [anon_sym_object] = ACTIONS(217),
    [anon_sym_abstract] = ACTIONS(209),
    [anon_sym_infer] = ACTIONS(211),
    [anon_sym_keyof] = ACTIONS(213),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym_html_comment] = ACTIONS(5),
  },
  [988] = {
    [sym_import] = STATE(4788),
    [sym_nested_identifier] = STATE(5868),
    [sym_string] = STATE(3013),
    [sym_formal_parameters] = STATE(5623),
    [sym_nested_type_identifier] = STATE(2941),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2942),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2944),
    [sym_type] = STATE(3847),
    [sym_constructor_type] = STATE(2974),
    [sym_primary_type] = STATE(3014),
    [sym_template_literal_type] = STATE(3018),
    [sym_infer_type] = STATE(2974),
    [sym_conditional_type] = STATE(3018),
    [sym_generic_type] = STATE(3018),
    [sym_type_query] = STATE(3018),
    [sym_index_type_query] = STATE(3018),
    [sym_lookup_type] = STATE(3018),
    [sym_literal_type] = STATE(3018),
    [sym__number] = STATE(3031),
    [sym_existential_type] = STATE(3018),
    [sym_flow_maybe_type] = STATE(3018),
    [sym_parenthesized_type] = STATE(3018),
    [sym_predefined_type] = STATE(3018),
    [sym_object_type] = STATE(3018),
    [sym_type_parameters] = STATE(5442),
    [sym_array_type] = STATE(3018),
    [sym_tuple_type] = STATE(3018),
    [sym_readonly_type] = STATE(2974),
    [sym_union_type] = STATE(3018),
    [sym_intersection_type] = STATE(3018),
    [sym_function_type] = STATE(2974),
    [sym_identifier] = ACTIONS(1539),
    [anon_sym_STAR] = ACTIONS(582),
    [anon_sym_LBRACE] = ACTIONS(1541),
    [anon_sym_typeof] = ACTIONS(1543),
    [anon_sym_import] = ACTIONS(1545),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1547),
    [anon_sym_LBRACK] = ACTIONS(1549),
    [anon_sym_GT] = ACTIONS(3236),
    [anon_sym_DQUOTE] = ACTIONS(1551),
    [anon_sym_SQUOTE] = ACTIONS(1553),
    [anon_sym_new] = ACTIONS(1555),
    [anon_sym_AMP] = ACTIONS(755),
    [anon_sym_PIPE] = ACTIONS(757),
    [anon_sym_PLUS] = ACTIONS(2568),
    [anon_sym_DASH] = ACTIONS(2568),
    [anon_sym_LT] = ACTIONS(2570),
    [anon_sym_void] = ACTIONS(217),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1561),
    [sym_number] = ACTIONS(1563),
    [sym_this] = ACTIONS(1565),
    [sym_true] = ACTIONS(1567),
    [sym_false] = ACTIONS(1567),
    [sym_null] = ACTIONS(1567),
    [sym_undefined] = ACTIONS(1567),
    [anon_sym_readonly] = ACTIONS(1569),
    [anon_sym_QMARK] = ACTIONS(783),
    [anon_sym_any] = ACTIONS(217),
    [anon_sym_number] = ACTIONS(217),
    [anon_sym_boolean] = ACTIONS(217),
    [anon_sym_string] = ACTIONS(217),
    [anon_sym_symbol] = ACTIONS(217),
    [anon_sym_object] = ACTIONS(217),
    [anon_sym_abstract] = ACTIONS(209),
    [anon_sym_infer] = ACTIONS(211),
    [anon_sym_keyof] = ACTIONS(213),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym_html_comment] = ACTIONS(5),
  },
  [989] = {
    [sym_import] = STATE(4788),
    [sym_nested_identifier] = STATE(5868),
    [sym_string] = STATE(3013),
    [sym_formal_parameters] = STATE(5623),
    [sym_nested_type_identifier] = STATE(2941),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2942),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2944),
    [sym_type] = STATE(4404),
    [sym_constructor_type] = STATE(2974),
    [sym_primary_type] = STATE(3014),
    [sym_template_literal_type] = STATE(3018),
    [sym_infer_type] = STATE(2974),
    [sym_conditional_type] = STATE(3018),
    [sym_generic_type] = STATE(3018),
    [sym_type_query] = STATE(3018),
    [sym_index_type_query] = STATE(3018),
    [sym_lookup_type] = STATE(3018),
    [sym_literal_type] = STATE(3018),
    [sym__number] = STATE(3031),
    [sym_existential_type] = STATE(3018),
    [sym_flow_maybe_type] = STATE(3018),
    [sym_parenthesized_type] = STATE(3018),
    [sym_predefined_type] = STATE(3018),
    [sym_object_type] = STATE(3018),
    [sym_type_parameters] = STATE(5442),
    [sym_array_type] = STATE(3018),
    [sym_tuple_type] = STATE(3018),
    [sym_readonly_type] = STATE(2974),
    [sym_union_type] = STATE(3018),
    [sym_intersection_type] = STATE(3018),
    [sym_function_type] = STATE(2974),
    [sym_identifier] = ACTIONS(1539),
    [anon_sym_STAR] = ACTIONS(582),
    [anon_sym_LBRACE] = ACTIONS(1541),
    [anon_sym_typeof] = ACTIONS(1543),
    [anon_sym_import] = ACTIONS(1545),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1547),
    [anon_sym_LBRACK] = ACTIONS(1549),
    [anon_sym_RBRACK] = ACTIONS(3238),
    [anon_sym_DQUOTE] = ACTIONS(1551),
    [anon_sym_SQUOTE] = ACTIONS(1553),
    [anon_sym_new] = ACTIONS(1555),
    [anon_sym_AMP] = ACTIONS(755),
    [anon_sym_PIPE] = ACTIONS(757),
    [anon_sym_PLUS] = ACTIONS(2568),
    [anon_sym_DASH] = ACTIONS(2568),
    [anon_sym_LT] = ACTIONS(2570),
    [anon_sym_void] = ACTIONS(217),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1561),
    [sym_number] = ACTIONS(1563),
    [sym_this] = ACTIONS(1565),
    [sym_true] = ACTIONS(1567),
    [sym_false] = ACTIONS(1567),
    [sym_null] = ACTIONS(1567),
    [sym_undefined] = ACTIONS(1567),
    [anon_sym_readonly] = ACTIONS(1569),
    [anon_sym_QMARK] = ACTIONS(783),
    [anon_sym_any] = ACTIONS(217),
    [anon_sym_number] = ACTIONS(217),
    [anon_sym_boolean] = ACTIONS(217),
    [anon_sym_string] = ACTIONS(217),
    [anon_sym_symbol] = ACTIONS(217),
    [anon_sym_object] = ACTIONS(217),
    [anon_sym_abstract] = ACTIONS(209),
    [anon_sym_infer] = ACTIONS(211),
    [anon_sym_keyof] = ACTIONS(213),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym_html_comment] = ACTIONS(5),
  },
  [990] = {
    [sym_import] = STATE(4788),
    [sym_nested_identifier] = STATE(5868),
    [sym_string] = STATE(3013),
    [sym_formal_parameters] = STATE(5623),
    [sym_nested_type_identifier] = STATE(2941),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2942),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2944),
    [sym_type] = STATE(3847),
    [sym_constructor_type] = STATE(2974),
    [sym_primary_type] = STATE(3014),
    [sym_template_literal_type] = STATE(3018),
    [sym_infer_type] = STATE(2974),
    [sym_conditional_type] = STATE(3018),
    [sym_generic_type] = STATE(3018),
    [sym_type_query] = STATE(3018),
    [sym_index_type_query] = STATE(3018),
    [sym_lookup_type] = STATE(3018),
    [sym_literal_type] = STATE(3018),
    [sym__number] = STATE(3031),
    [sym_existential_type] = STATE(3018),
    [sym_flow_maybe_type] = STATE(3018),
    [sym_parenthesized_type] = STATE(3018),
    [sym_predefined_type] = STATE(3018),
    [sym_object_type] = STATE(3018),
    [sym_type_parameters] = STATE(5442),
    [sym_array_type] = STATE(3018),
    [sym_tuple_type] = STATE(3018),
    [sym_readonly_type] = STATE(2974),
    [sym_union_type] = STATE(3018),
    [sym_intersection_type] = STATE(3018),
    [sym_function_type] = STATE(2974),
    [sym_identifier] = ACTIONS(1539),
    [anon_sym_STAR] = ACTIONS(582),
    [anon_sym_LBRACE] = ACTIONS(1541),
    [anon_sym_typeof] = ACTIONS(1543),
    [anon_sym_import] = ACTIONS(1545),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1547),
    [anon_sym_LBRACK] = ACTIONS(1549),
    [anon_sym_GT] = ACTIONS(3240),
    [anon_sym_DQUOTE] = ACTIONS(1551),
    [anon_sym_SQUOTE] = ACTIONS(1553),
    [anon_sym_new] = ACTIONS(1555),
    [anon_sym_AMP] = ACTIONS(755),
    [anon_sym_PIPE] = ACTIONS(757),
    [anon_sym_PLUS] = ACTIONS(2568),
    [anon_sym_DASH] = ACTIONS(2568),
    [anon_sym_LT] = ACTIONS(2570),
    [anon_sym_void] = ACTIONS(217),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1561),
    [sym_number] = ACTIONS(1563),
    [sym_this] = ACTIONS(1565),
    [sym_true] = ACTIONS(1567),
    [sym_false] = ACTIONS(1567),
    [sym_null] = ACTIONS(1567),
    [sym_undefined] = ACTIONS(1567),
    [anon_sym_readonly] = ACTIONS(1569),
    [anon_sym_QMARK] = ACTIONS(783),
    [anon_sym_any] = ACTIONS(217),
    [anon_sym_number] = ACTIONS(217),
    [anon_sym_boolean] = ACTIONS(217),
    [anon_sym_string] = ACTIONS(217),
    [anon_sym_symbol] = ACTIONS(217),
    [anon_sym_object] = ACTIONS(217),
    [anon_sym_abstract] = ACTIONS(209),
    [anon_sym_infer] = ACTIONS(211),
    [anon_sym_keyof] = ACTIONS(213),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym_html_comment] = ACTIONS(5),
  },
  [991] = {
    [sym_import] = STATE(4788),
    [sym_nested_identifier] = STATE(5868),
    [sym_string] = STATE(3013),
    [sym_formal_parameters] = STATE(5623),
    [sym_nested_type_identifier] = STATE(2941),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2942),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2944),
    [sym_type] = STATE(3847),
    [sym_constructor_type] = STATE(2974),
    [sym_primary_type] = STATE(3014),
    [sym_template_literal_type] = STATE(3018),
    [sym_infer_type] = STATE(2974),
    [sym_conditional_type] = STATE(3018),
    [sym_generic_type] = STATE(3018),
    [sym_type_query] = STATE(3018),
    [sym_index_type_query] = STATE(3018),
    [sym_lookup_type] = STATE(3018),
    [sym_literal_type] = STATE(3018),
    [sym__number] = STATE(3031),
    [sym_existential_type] = STATE(3018),
    [sym_flow_maybe_type] = STATE(3018),
    [sym_parenthesized_type] = STATE(3018),
    [sym_predefined_type] = STATE(3018),
    [sym_object_type] = STATE(3018),
    [sym_type_parameters] = STATE(5442),
    [sym_array_type] = STATE(3018),
    [sym_tuple_type] = STATE(3018),
    [sym_readonly_type] = STATE(2974),
    [sym_union_type] = STATE(3018),
    [sym_intersection_type] = STATE(3018),
    [sym_function_type] = STATE(2974),
    [sym_identifier] = ACTIONS(1539),
    [anon_sym_STAR] = ACTIONS(582),
    [anon_sym_LBRACE] = ACTIONS(1541),
    [anon_sym_typeof] = ACTIONS(1543),
    [anon_sym_import] = ACTIONS(1545),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1547),
    [anon_sym_LBRACK] = ACTIONS(1549),
    [anon_sym_GT] = ACTIONS(3242),
    [anon_sym_DQUOTE] = ACTIONS(1551),
    [anon_sym_SQUOTE] = ACTIONS(1553),
    [anon_sym_new] = ACTIONS(1555),
    [anon_sym_AMP] = ACTIONS(755),
    [anon_sym_PIPE] = ACTIONS(757),
    [anon_sym_PLUS] = ACTIONS(2568),
    [anon_sym_DASH] = ACTIONS(2568),
    [anon_sym_LT] = ACTIONS(2570),
    [anon_sym_void] = ACTIONS(217),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1561),
    [sym_number] = ACTIONS(1563),
    [sym_this] = ACTIONS(1565),
    [sym_true] = ACTIONS(1567),
    [sym_false] = ACTIONS(1567),
    [sym_null] = ACTIONS(1567),
    [sym_undefined] = ACTIONS(1567),
    [anon_sym_readonly] = ACTIONS(1569),
    [anon_sym_QMARK] = ACTIONS(783),
    [anon_sym_any] = ACTIONS(217),
    [anon_sym_number] = ACTIONS(217),
    [anon_sym_boolean] = ACTIONS(217),
    [anon_sym_string] = ACTIONS(217),
    [anon_sym_symbol] = ACTIONS(217),
    [anon_sym_object] = ACTIONS(217),
    [anon_sym_abstract] = ACTIONS(209),
    [anon_sym_infer] = ACTIONS(211),
    [anon_sym_keyof] = ACTIONS(213),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym_html_comment] = ACTIONS(5),
  },
  [992] = {
    [sym_import] = STATE(4788),
    [sym_nested_identifier] = STATE(5868),
    [sym_string] = STATE(3013),
    [sym_formal_parameters] = STATE(5623),
    [sym_nested_type_identifier] = STATE(2941),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2942),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2944),
    [sym_type] = STATE(3883),
    [sym_constructor_type] = STATE(2974),
    [sym_primary_type] = STATE(3014),
    [sym_template_literal_type] = STATE(3018),
    [sym_infer_type] = STATE(2974),
    [sym_conditional_type] = STATE(3018),
    [sym_generic_type] = STATE(3018),
    [sym_type_query] = STATE(3018),
    [sym_index_type_query] = STATE(3018),
    [sym_lookup_type] = STATE(3018),
    [sym_literal_type] = STATE(3018),
    [sym__number] = STATE(3031),
    [sym_existential_type] = STATE(3018),
    [sym_flow_maybe_type] = STATE(3018),
    [sym_parenthesized_type] = STATE(3018),
    [sym_predefined_type] = STATE(3018),
    [sym_object_type] = STATE(3018),
    [sym_type_parameters] = STATE(5442),
    [sym_type_parameter] = STATE(4720),
    [sym_array_type] = STATE(3018),
    [sym_tuple_type] = STATE(3018),
    [sym_readonly_type] = STATE(2974),
    [sym_union_type] = STATE(3018),
    [sym_intersection_type] = STATE(3018),
    [sym_function_type] = STATE(2974),
    [sym_identifier] = ACTIONS(3244),
    [anon_sym_STAR] = ACTIONS(582),
    [anon_sym_LBRACE] = ACTIONS(1541),
    [anon_sym_typeof] = ACTIONS(1543),
    [anon_sym_import] = ACTIONS(1545),
    [anon_sym_const] = ACTIONS(3246),
    [anon_sym_LPAREN] = ACTIONS(1547),
    [anon_sym_LBRACK] = ACTIONS(1549),
    [anon_sym_DQUOTE] = ACTIONS(1551),
    [anon_sym_SQUOTE] = ACTIONS(1553),
    [anon_sym_new] = ACTIONS(1555),
    [anon_sym_AMP] = ACTIONS(755),
    [anon_sym_PIPE] = ACTIONS(757),
    [anon_sym_PLUS] = ACTIONS(2568),
    [anon_sym_DASH] = ACTIONS(2568),
    [anon_sym_LT] = ACTIONS(2570),
    [anon_sym_void] = ACTIONS(217),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1561),
    [sym_number] = ACTIONS(1563),
    [sym_this] = ACTIONS(1565),
    [sym_true] = ACTIONS(1567),
    [sym_false] = ACTIONS(1567),
    [sym_null] = ACTIONS(1567),
    [sym_undefined] = ACTIONS(1567),
    [anon_sym_readonly] = ACTIONS(1569),
    [anon_sym_QMARK] = ACTIONS(783),
    [anon_sym_any] = ACTIONS(217),
    [anon_sym_number] = ACTIONS(217),
    [anon_sym_boolean] = ACTIONS(217),
    [anon_sym_string] = ACTIONS(217),
    [anon_sym_symbol] = ACTIONS(217),
    [anon_sym_object] = ACTIONS(217),
    [anon_sym_abstract] = ACTIONS(209),
    [anon_sym_infer] = ACTIONS(211),
    [anon_sym_keyof] = ACTIONS(213),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym_html_comment] = ACTIONS(5),
  },
  [993] = {
    [sym_import] = STATE(4788),
    [sym_nested_identifier] = STATE(5868),
    [sym_string] = STATE(3013),
    [sym_formal_parameters] = STATE(5623),
    [sym_nested_type_identifier] = STATE(2941),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2942),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2944),
    [sym_type] = STATE(4475),
    [sym_constructor_type] = STATE(2974),
    [sym_primary_type] = STATE(3014),
    [sym_template_literal_type] = STATE(3018),
    [sym_infer_type] = STATE(2974),
    [sym_conditional_type] = STATE(3018),
    [sym_generic_type] = STATE(3018),
    [sym_type_query] = STATE(3018),
    [sym_index_type_query] = STATE(3018),
    [sym_lookup_type] = STATE(3018),
    [sym_literal_type] = STATE(3018),
    [sym__number] = STATE(3031),
    [sym_existential_type] = STATE(3018),
    [sym_flow_maybe_type] = STATE(3018),
    [sym_parenthesized_type] = STATE(3018),
    [sym_predefined_type] = STATE(3018),
    [sym_object_type] = STATE(3018),
    [sym_type_parameters] = STATE(5442),
    [sym_array_type] = STATE(3018),
    [sym_tuple_type] = STATE(3018),
    [sym_readonly_type] = STATE(2974),
    [sym_union_type] = STATE(3018),
    [sym_intersection_type] = STATE(3018),
    [sym_function_type] = STATE(2974),
    [sym_identifier] = ACTIONS(1539),
    [anon_sym_STAR] = ACTIONS(582),
    [anon_sym_LBRACE] = ACTIONS(1541),
    [anon_sym_typeof] = ACTIONS(1543),
    [anon_sym_import] = ACTIONS(1545),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1547),
    [anon_sym_LBRACK] = ACTIONS(1549),
    [anon_sym_RBRACK] = ACTIONS(3248),
    [anon_sym_DQUOTE] = ACTIONS(1551),
    [anon_sym_SQUOTE] = ACTIONS(1553),
    [anon_sym_new] = ACTIONS(1555),
    [anon_sym_AMP] = ACTIONS(755),
    [anon_sym_PIPE] = ACTIONS(757),
    [anon_sym_PLUS] = ACTIONS(2568),
    [anon_sym_DASH] = ACTIONS(2568),
    [anon_sym_LT] = ACTIONS(2570),
    [anon_sym_void] = ACTIONS(217),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1561),
    [sym_number] = ACTIONS(1563),
    [sym_this] = ACTIONS(1565),
    [sym_true] = ACTIONS(1567),
    [sym_false] = ACTIONS(1567),
    [sym_null] = ACTIONS(1567),
    [sym_undefined] = ACTIONS(1567),
    [anon_sym_readonly] = ACTIONS(1569),
    [anon_sym_QMARK] = ACTIONS(783),
    [anon_sym_any] = ACTIONS(217),
    [anon_sym_number] = ACTIONS(217),
    [anon_sym_boolean] = ACTIONS(217),
    [anon_sym_string] = ACTIONS(217),
    [anon_sym_symbol] = ACTIONS(217),
    [anon_sym_object] = ACTIONS(217),
    [anon_sym_abstract] = ACTIONS(209),
    [anon_sym_infer] = ACTIONS(211),
    [anon_sym_keyof] = ACTIONS(213),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym_html_comment] = ACTIONS(5),
  },
  [994] = {
    [sym_import] = STATE(4788),
    [sym_nested_identifier] = STATE(5868),
    [sym_string] = STATE(3013),
    [sym_formal_parameters] = STATE(5623),
    [sym_nested_type_identifier] = STATE(2941),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2942),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2944),
    [sym_type] = STATE(3847),
    [sym_constructor_type] = STATE(2974),
    [sym_primary_type] = STATE(3014),
    [sym_template_literal_type] = STATE(3018),
    [sym_infer_type] = STATE(2974),
    [sym_conditional_type] = STATE(3018),
    [sym_generic_type] = STATE(3018),
    [sym_type_query] = STATE(3018),
    [sym_index_type_query] = STATE(3018),
    [sym_lookup_type] = STATE(3018),
    [sym_literal_type] = STATE(3018),
    [sym__number] = STATE(3031),
    [sym_existential_type] = STATE(3018),
    [sym_flow_maybe_type] = STATE(3018),
    [sym_parenthesized_type] = STATE(3018),
    [sym_predefined_type] = STATE(3018),
    [sym_object_type] = STATE(3018),
    [sym_type_parameters] = STATE(5442),
    [sym_array_type] = STATE(3018),
    [sym_tuple_type] = STATE(3018),
    [sym_readonly_type] = STATE(2974),
    [sym_union_type] = STATE(3018),
    [sym_intersection_type] = STATE(3018),
    [sym_function_type] = STATE(2974),
    [sym_identifier] = ACTIONS(1539),
    [anon_sym_STAR] = ACTIONS(582),
    [anon_sym_LBRACE] = ACTIONS(1541),
    [anon_sym_typeof] = ACTIONS(1543),
    [anon_sym_import] = ACTIONS(1545),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1547),
    [anon_sym_LBRACK] = ACTIONS(1549),
    [anon_sym_GT] = ACTIONS(3250),
    [anon_sym_DQUOTE] = ACTIONS(1551),
    [anon_sym_SQUOTE] = ACTIONS(1553),
    [anon_sym_new] = ACTIONS(1555),
    [anon_sym_AMP] = ACTIONS(755),
    [anon_sym_PIPE] = ACTIONS(757),
    [anon_sym_PLUS] = ACTIONS(2568),
    [anon_sym_DASH] = ACTIONS(2568),
    [anon_sym_LT] = ACTIONS(2570),
    [anon_sym_void] = ACTIONS(217),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1561),
    [sym_number] = ACTIONS(1563),
    [sym_this] = ACTIONS(1565),
    [sym_true] = ACTIONS(1567),
    [sym_false] = ACTIONS(1567),
    [sym_null] = ACTIONS(1567),
    [sym_undefined] = ACTIONS(1567),
    [anon_sym_readonly] = ACTIONS(1569),
    [anon_sym_QMARK] = ACTIONS(783),
    [anon_sym_any] = ACTIONS(217),
    [anon_sym_number] = ACTIONS(217),
    [anon_sym_boolean] = ACTIONS(217),
    [anon_sym_string] = ACTIONS(217),
    [anon_sym_symbol] = ACTIONS(217),
    [anon_sym_object] = ACTIONS(217),
    [anon_sym_abstract] = ACTIONS(209),
    [anon_sym_infer] = ACTIONS(211),
    [anon_sym_keyof] = ACTIONS(213),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym_html_comment] = ACTIONS(5),
  },
  [995] = {
    [sym_import] = STATE(4788),
    [sym_nested_identifier] = STATE(5868),
    [sym_string] = STATE(3013),
    [sym_formal_parameters] = STATE(5623),
    [sym_nested_type_identifier] = STATE(2941),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2942),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2944),
    [sym_type] = STATE(3847),
    [sym_constructor_type] = STATE(2974),
    [sym_primary_type] = STATE(3014),
    [sym_template_literal_type] = STATE(3018),
    [sym_infer_type] = STATE(2974),
    [sym_conditional_type] = STATE(3018),
    [sym_generic_type] = STATE(3018),
    [sym_type_query] = STATE(3018),
    [sym_index_type_query] = STATE(3018),
    [sym_lookup_type] = STATE(3018),
    [sym_literal_type] = STATE(3018),
    [sym__number] = STATE(3031),
    [sym_existential_type] = STATE(3018),
    [sym_flow_maybe_type] = STATE(3018),
    [sym_parenthesized_type] = STATE(3018),
    [sym_predefined_type] = STATE(3018),
    [sym_object_type] = STATE(3018),
    [sym_type_parameters] = STATE(5442),
    [sym_array_type] = STATE(3018),
    [sym_tuple_type] = STATE(3018),
    [sym_readonly_type] = STATE(2974),
    [sym_union_type] = STATE(3018),
    [sym_intersection_type] = STATE(3018),
    [sym_function_type] = STATE(2974),
    [sym_identifier] = ACTIONS(1539),
    [anon_sym_STAR] = ACTIONS(582),
    [anon_sym_LBRACE] = ACTIONS(1541),
    [anon_sym_typeof] = ACTIONS(1543),
    [anon_sym_import] = ACTIONS(1545),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1547),
    [anon_sym_LBRACK] = ACTIONS(1549),
    [anon_sym_GT] = ACTIONS(3252),
    [anon_sym_DQUOTE] = ACTIONS(1551),
    [anon_sym_SQUOTE] = ACTIONS(1553),
    [anon_sym_new] = ACTIONS(1555),
    [anon_sym_AMP] = ACTIONS(755),
    [anon_sym_PIPE] = ACTIONS(757),
    [anon_sym_PLUS] = ACTIONS(2568),
    [anon_sym_DASH] = ACTIONS(2568),
    [anon_sym_LT] = ACTIONS(2570),
    [anon_sym_void] = ACTIONS(217),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1561),
    [sym_number] = ACTIONS(1563),
    [sym_this] = ACTIONS(1565),
    [sym_true] = ACTIONS(1567),
    [sym_false] = ACTIONS(1567),
    [sym_null] = ACTIONS(1567),
    [sym_undefined] = ACTIONS(1567),
    [anon_sym_readonly] = ACTIONS(1569),
    [anon_sym_QMARK] = ACTIONS(783),
    [anon_sym_any] = ACTIONS(217),
    [anon_sym_number] = ACTIONS(217),
    [anon_sym_boolean] = ACTIONS(217),
    [anon_sym_string] = ACTIONS(217),
    [anon_sym_symbol] = ACTIONS(217),
    [anon_sym_object] = ACTIONS(217),
    [anon_sym_abstract] = ACTIONS(209),
    [anon_sym_infer] = ACTIONS(211),
    [anon_sym_keyof] = ACTIONS(213),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym_html_comment] = ACTIONS(5),
  },
  [996] = {
    [sym_import] = STATE(4788),
    [sym_nested_identifier] = STATE(5868),
    [sym_string] = STATE(3013),
    [sym_formal_parameters] = STATE(5623),
    [sym_nested_type_identifier] = STATE(2941),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2942),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2944),
    [sym_type] = STATE(3847),
    [sym_constructor_type] = STATE(2974),
    [sym_primary_type] = STATE(3014),
    [sym_template_literal_type] = STATE(3018),
    [sym_infer_type] = STATE(2974),
    [sym_conditional_type] = STATE(3018),
    [sym_generic_type] = STATE(3018),
    [sym_type_query] = STATE(3018),
    [sym_index_type_query] = STATE(3018),
    [sym_lookup_type] = STATE(3018),
    [sym_literal_type] = STATE(3018),
    [sym__number] = STATE(3031),
    [sym_existential_type] = STATE(3018),
    [sym_flow_maybe_type] = STATE(3018),
    [sym_parenthesized_type] = STATE(3018),
    [sym_predefined_type] = STATE(3018),
    [sym_object_type] = STATE(3018),
    [sym_type_parameters] = STATE(5442),
    [sym_array_type] = STATE(3018),
    [sym_tuple_type] = STATE(3018),
    [sym_readonly_type] = STATE(2974),
    [sym_union_type] = STATE(3018),
    [sym_intersection_type] = STATE(3018),
    [sym_function_type] = STATE(2974),
    [sym_identifier] = ACTIONS(1539),
    [anon_sym_STAR] = ACTIONS(582),
    [anon_sym_LBRACE] = ACTIONS(1541),
    [anon_sym_typeof] = ACTIONS(1543),
    [anon_sym_import] = ACTIONS(1545),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1547),
    [anon_sym_LBRACK] = ACTIONS(1549),
    [anon_sym_GT] = ACTIONS(3254),
    [anon_sym_DQUOTE] = ACTIONS(1551),
    [anon_sym_SQUOTE] = ACTIONS(1553),
    [anon_sym_new] = ACTIONS(1555),
    [anon_sym_AMP] = ACTIONS(755),
    [anon_sym_PIPE] = ACTIONS(757),
    [anon_sym_PLUS] = ACTIONS(2568),
    [anon_sym_DASH] = ACTIONS(2568),
    [anon_sym_LT] = ACTIONS(2570),
    [anon_sym_void] = ACTIONS(217),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1561),
    [sym_number] = ACTIONS(1563),
    [sym_this] = ACTIONS(1565),
    [sym_true] = ACTIONS(1567),
    [sym_false] = ACTIONS(1567),
    [sym_null] = ACTIONS(1567),
    [sym_undefined] = ACTIONS(1567),
    [anon_sym_readonly] = ACTIONS(1569),
    [anon_sym_QMARK] = ACTIONS(783),
    [anon_sym_any] = ACTIONS(217),
    [anon_sym_number] = ACTIONS(217),
    [anon_sym_boolean] = ACTIONS(217),
    [anon_sym_string] = ACTIONS(217),
    [anon_sym_symbol] = ACTIONS(217),
    [anon_sym_object] = ACTIONS(217),
    [anon_sym_abstract] = ACTIONS(209),
    [anon_sym_infer] = ACTIONS(211),
    [anon_sym_keyof] = ACTIONS(213),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym_html_comment] = ACTIONS(5),
  },
  [997] = {
    [sym_import] = STATE(4788),
    [sym_nested_identifier] = STATE(5868),
    [sym_string] = STATE(3013),
    [sym_formal_parameters] = STATE(5623),
    [sym_nested_type_identifier] = STATE(2941),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2942),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2944),
    [sym_type] = STATE(3847),
    [sym_constructor_type] = STATE(2974),
    [sym_primary_type] = STATE(3014),
    [sym_template_literal_type] = STATE(3018),
    [sym_infer_type] = STATE(2974),
    [sym_conditional_type] = STATE(3018),
    [sym_generic_type] = STATE(3018),
    [sym_type_query] = STATE(3018),
    [sym_index_type_query] = STATE(3018),
    [sym_lookup_type] = STATE(3018),
    [sym_literal_type] = STATE(3018),
    [sym__number] = STATE(3031),
    [sym_existential_type] = STATE(3018),
    [sym_flow_maybe_type] = STATE(3018),
    [sym_parenthesized_type] = STATE(3018),
    [sym_predefined_type] = STATE(3018),
    [sym_object_type] = STATE(3018),
    [sym_type_parameters] = STATE(5442),
    [sym_array_type] = STATE(3018),
    [sym_tuple_type] = STATE(3018),
    [sym_readonly_type] = STATE(2974),
    [sym_union_type] = STATE(3018),
    [sym_intersection_type] = STATE(3018),
    [sym_function_type] = STATE(2974),
    [sym_identifier] = ACTIONS(1539),
    [anon_sym_STAR] = ACTIONS(582),
    [anon_sym_LBRACE] = ACTIONS(1541),
    [anon_sym_typeof] = ACTIONS(1543),
    [anon_sym_import] = ACTIONS(1545),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1547),
    [anon_sym_LBRACK] = ACTIONS(1549),
    [anon_sym_GT] = ACTIONS(3256),
    [anon_sym_DQUOTE] = ACTIONS(1551),
    [anon_sym_SQUOTE] = ACTIONS(1553),
    [anon_sym_new] = ACTIONS(1555),
    [anon_sym_AMP] = ACTIONS(755),
    [anon_sym_PIPE] = ACTIONS(757),
    [anon_sym_PLUS] = ACTIONS(2568),
    [anon_sym_DASH] = ACTIONS(2568),
    [anon_sym_LT] = ACTIONS(2570),
    [anon_sym_void] = ACTIONS(217),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1561),
    [sym_number] = ACTIONS(1563),
    [sym_this] = ACTIONS(1565),
    [sym_true] = ACTIONS(1567),
    [sym_false] = ACTIONS(1567),
    [sym_null] = ACTIONS(1567),
    [sym_undefined] = ACTIONS(1567),
    [anon_sym_readonly] = ACTIONS(1569),
    [anon_sym_QMARK] = ACTIONS(783),
    [anon_sym_any] = ACTIONS(217),
    [anon_sym_number] = ACTIONS(217),
    [anon_sym_boolean] = ACTIONS(217),
    [anon_sym_string] = ACTIONS(217),
    [anon_sym_symbol] = ACTIONS(217),
    [anon_sym_object] = ACTIONS(217),
    [anon_sym_abstract] = ACTIONS(209),
    [anon_sym_infer] = ACTIONS(211),
    [anon_sym_keyof] = ACTIONS(213),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym_html_comment] = ACTIONS(5),
  },
  [998] = {
    [sym_import] = STATE(4535),
    [sym_nested_identifier] = STATE(5495),
    [sym_string] = STATE(1619),
    [sym_formal_parameters] = STATE(5874),
    [sym_nested_type_identifier] = STATE(1521),
    [sym__type_query_member_expression_in_type_annotation] = STATE(1526),
    [sym__type_query_call_expression_in_type_annotation] = STATE(1648),
    [sym_type] = STATE(1639),
    [sym_constructor_type] = STATE(1628),
    [sym_primary_type] = STATE(1595),
    [sym_template_literal_type] = STATE(1616),
    [sym_infer_type] = STATE(1628),
    [sym_conditional_type] = STATE(1616),
    [sym_generic_type] = STATE(1616),
    [sym_type_query] = STATE(1616),
    [sym_index_type_query] = STATE(1616),
    [sym_lookup_type] = STATE(1616),
    [sym_literal_type] = STATE(1616),
    [sym__number] = STATE(1647),
    [sym_existential_type] = STATE(1616),
    [sym_flow_maybe_type] = STATE(1616),
    [sym_parenthesized_type] = STATE(1616),
    [sym_predefined_type] = STATE(1616),
    [sym_object_type] = STATE(1616),
    [sym_type_parameters] = STATE(5220),
    [sym_array_type] = STATE(1616),
    [sym_tuple_type] = STATE(1616),
    [sym_readonly_type] = STATE(1628),
    [sym_union_type] = STATE(1616),
    [sym_intersection_type] = STATE(1616),
    [sym_function_type] = STATE(1628),
    [sym_identifier] = ACTIONS(3258),
    [anon_sym_STAR] = ACTIONS(3162),
    [anon_sym_LBRACE] = ACTIONS(3164),
    [anon_sym_typeof] = ACTIONS(3166),
    [anon_sym_import] = ACTIONS(1545),
    [anon_sym_const] = ACTIONS(3168),
    [anon_sym_LPAREN] = ACTIONS(3170),
    [anon_sym_LBRACK] = ACTIONS(3172),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(3174),
    [anon_sym_AMP] = ACTIONS(3176),
    [anon_sym_PIPE] = ACTIONS(3178),
    [anon_sym_PLUS] = ACTIONS(3180),
    [anon_sym_DASH] = ACTIONS(3180),
    [anon_sym_LT] = ACTIONS(2570),
    [anon_sym_void] = ACTIONS(3182),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3184),
    [sym_number] = ACTIONS(3186),
    [sym_this] = ACTIONS(3260),
    [sym_true] = ACTIONS(3190),
    [sym_false] = ACTIONS(3190),
    [sym_null] = ACTIONS(3190),
    [sym_undefined] = ACTIONS(3190),
    [anon_sym_readonly] = ACTIONS(3192),
    [anon_sym_QMARK] = ACTIONS(3194),
    [anon_sym_any] = ACTIONS(3182),
    [anon_sym_number] = ACTIONS(3182),
    [anon_sym_boolean] = ACTIONS(3182),
    [anon_sym_string] = ACTIONS(3182),
    [anon_sym_symbol] = ACTIONS(3182),
    [anon_sym_object] = ACTIONS(3182),
    [anon_sym_abstract] = ACTIONS(3196),
    [anon_sym_infer] = ACTIONS(3200),
    [anon_sym_keyof] = ACTIONS(3202),
    [anon_sym_unique] = ACTIONS(3204),
    [anon_sym_unknown] = ACTIONS(3182),
    [anon_sym_never] = ACTIONS(3182),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3206),
    [sym_html_comment] = ACTIONS(5),
  },
  [999] = {
    [sym_import] = STATE(4788),
    [sym_nested_identifier] = STATE(5868),
    [sym_string] = STATE(3013),
    [sym_formal_parameters] = STATE(5623),
    [sym_nested_type_identifier] = STATE(2941),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2942),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2944),
    [sym_type] = STATE(3900),
    [sym_constructor_type] = STATE(2974),
    [sym_primary_type] = STATE(3014),
    [sym_template_literal_type] = STATE(3018),
    [sym_infer_type] = STATE(2974),
    [sym_conditional_type] = STATE(3018),
    [sym_generic_type] = STATE(3018),
    [sym_type_query] = STATE(3018),
    [sym_index_type_query] = STATE(3018),
    [sym_lookup_type] = STATE(3018),
    [sym_literal_type] = STATE(3018),
    [sym__number] = STATE(3031),
    [sym_existential_type] = STATE(3018),
    [sym_flow_maybe_type] = STATE(3018),
    [sym_parenthesized_type] = STATE(3018),
    [sym_predefined_type] = STATE(3018),
    [sym_object_type] = STATE(3018),
    [sym_type_parameters] = STATE(5442),
    [sym_array_type] = STATE(3018),
    [sym_tuple_type] = STATE(3018),
    [sym_readonly_type] = STATE(2974),
    [sym_union_type] = STATE(3018),
    [sym_intersection_type] = STATE(3018),
    [sym_function_type] = STATE(2974),
    [sym_identifier] = ACTIONS(1539),
    [anon_sym_STAR] = ACTIONS(582),
    [anon_sym_LBRACE] = ACTIONS(1541),
    [anon_sym_typeof] = ACTIONS(1543),
    [anon_sym_import] = ACTIONS(1545),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1547),
    [anon_sym_LBRACK] = ACTIONS(1549),
    [anon_sym_DQUOTE] = ACTIONS(1551),
    [anon_sym_SQUOTE] = ACTIONS(1553),
    [anon_sym_new] = ACTIONS(1555),
    [anon_sym_AMP] = ACTIONS(755),
    [anon_sym_PIPE] = ACTIONS(757),
    [anon_sym_PLUS] = ACTIONS(2568),
    [anon_sym_DASH] = ACTIONS(2568),
    [anon_sym_LT] = ACTIONS(2570),
    [anon_sym_void] = ACTIONS(217),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1561),
    [sym_number] = ACTIONS(1563),
    [sym_this] = ACTIONS(1565),
    [sym_true] = ACTIONS(1567),
    [sym_false] = ACTIONS(1567),
    [sym_null] = ACTIONS(1567),
    [sym_undefined] = ACTIONS(1567),
    [anon_sym_readonly] = ACTIONS(1569),
    [anon_sym_QMARK] = ACTIONS(783),
    [anon_sym_any] = ACTIONS(217),
    [anon_sym_number] = ACTIONS(217),
    [anon_sym_boolean] = ACTIONS(217),
    [anon_sym_string] = ACTIONS(217),
    [anon_sym_symbol] = ACTIONS(217),
    [anon_sym_object] = ACTIONS(217),
    [anon_sym_abstract] = ACTIONS(209),
    [anon_sym_infer] = ACTIONS(211),
    [anon_sym_keyof] = ACTIONS(213),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym_html_comment] = ACTIONS(5),
  },
  [1000] = {
    [sym_import] = STATE(4788),
    [sym_nested_identifier] = STATE(5868),
    [sym_string] = STATE(3013),
    [sym_formal_parameters] = STATE(5623),
    [sym_nested_type_identifier] = STATE(2941),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2942),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2944),
    [sym_type] = STATE(3032),
    [sym_constructor_type] = STATE(2974),
    [sym_primary_type] = STATE(3014),
    [sym_template_literal_type] = STATE(3018),
    [sym_infer_type] = STATE(2974),
    [sym_conditional_type] = STATE(3018),
    [sym_generic_type] = STATE(3018),
    [sym_type_query] = STATE(3018),
    [sym_index_type_query] = STATE(3018),
    [sym_lookup_type] = STATE(3018),
    [sym_literal_type] = STATE(3018),
    [sym__number] = STATE(3031),
    [sym_existential_type] = STATE(3018),
    [sym_flow_maybe_type] = STATE(3018),
    [sym_parenthesized_type] = STATE(3018),
    [sym_predefined_type] = STATE(3018),
    [sym_object_type] = STATE(3018),
    [sym_type_parameters] = STATE(5442),
    [sym_array_type] = STATE(3018),
    [sym_tuple_type] = STATE(3018),
    [sym_readonly_type] = STATE(2974),
    [sym_union_type] = STATE(3018),
    [sym_intersection_type] = STATE(3018),
    [sym_function_type] = STATE(2974),
    [sym_identifier] = ACTIONS(1539),
    [anon_sym_STAR] = ACTIONS(582),
    [anon_sym_LBRACE] = ACTIONS(1541),
    [anon_sym_typeof] = ACTIONS(1543),
    [anon_sym_import] = ACTIONS(1545),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1547),
    [anon_sym_LBRACK] = ACTIONS(1549),
    [anon_sym_DQUOTE] = ACTIONS(1551),
    [anon_sym_SQUOTE] = ACTIONS(1553),
    [anon_sym_new] = ACTIONS(1555),
    [anon_sym_AMP] = ACTIONS(755),
    [anon_sym_PIPE] = ACTIONS(757),
    [anon_sym_PLUS] = ACTIONS(2568),
    [anon_sym_DASH] = ACTIONS(2568),
    [anon_sym_LT] = ACTIONS(2570),
    [anon_sym_void] = ACTIONS(217),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1561),
    [sym_number] = ACTIONS(1563),
    [sym_this] = ACTIONS(1565),
    [sym_true] = ACTIONS(1567),
    [sym_false] = ACTIONS(1567),
    [sym_null] = ACTIONS(1567),
    [sym_undefined] = ACTIONS(1567),
    [anon_sym_readonly] = ACTIONS(1569),
    [anon_sym_QMARK] = ACTIONS(783),
    [anon_sym_any] = ACTIONS(217),
    [anon_sym_number] = ACTIONS(217),
    [anon_sym_boolean] = ACTIONS(217),
    [anon_sym_string] = ACTIONS(217),
    [anon_sym_symbol] = ACTIONS(217),
    [anon_sym_object] = ACTIONS(217),
    [anon_sym_abstract] = ACTIONS(209),
    [anon_sym_infer] = ACTIONS(211),
    [anon_sym_keyof] = ACTIONS(213),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym_html_comment] = ACTIONS(5),
  },
  [1001] = {
    [sym_import] = STATE(4535),
    [sym_nested_identifier] = STATE(5495),
    [sym_string] = STATE(1619),
    [sym_formal_parameters] = STATE(5874),
    [sym_nested_type_identifier] = STATE(1521),
    [sym__type_query_member_expression_in_type_annotation] = STATE(1526),
    [sym__type_query_call_expression_in_type_annotation] = STATE(1648),
    [sym_type] = STATE(1641),
    [sym_constructor_type] = STATE(1628),
    [sym_primary_type] = STATE(1595),
    [sym_template_literal_type] = STATE(1616),
    [sym_infer_type] = STATE(1628),
    [sym_conditional_type] = STATE(1616),
    [sym_generic_type] = STATE(1616),
    [sym_type_query] = STATE(1616),
    [sym_index_type_query] = STATE(1616),
    [sym_lookup_type] = STATE(1616),
    [sym_literal_type] = STATE(1616),
    [sym__number] = STATE(1647),
    [sym_existential_type] = STATE(1616),
    [sym_flow_maybe_type] = STATE(1616),
    [sym_parenthesized_type] = STATE(1616),
    [sym_predefined_type] = STATE(1616),
    [sym_object_type] = STATE(1616),
    [sym_type_parameters] = STATE(5220),
    [sym_array_type] = STATE(1616),
    [sym_tuple_type] = STATE(1616),
    [sym_readonly_type] = STATE(1628),
    [sym_union_type] = STATE(1616),
    [sym_intersection_type] = STATE(1616),
    [sym_function_type] = STATE(1628),
    [sym_identifier] = ACTIONS(3258),
    [anon_sym_STAR] = ACTIONS(3162),
    [anon_sym_LBRACE] = ACTIONS(3164),
    [anon_sym_typeof] = ACTIONS(3166),
    [anon_sym_import] = ACTIONS(1545),
    [anon_sym_const] = ACTIONS(3168),
    [anon_sym_LPAREN] = ACTIONS(3170),
    [anon_sym_LBRACK] = ACTIONS(3172),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(3174),
    [anon_sym_AMP] = ACTIONS(3176),
    [anon_sym_PIPE] = ACTIONS(3178),
    [anon_sym_PLUS] = ACTIONS(3180),
    [anon_sym_DASH] = ACTIONS(3180),
    [anon_sym_LT] = ACTIONS(2570),
    [anon_sym_void] = ACTIONS(3182),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3184),
    [sym_number] = ACTIONS(3186),
    [sym_this] = ACTIONS(3260),
    [sym_true] = ACTIONS(3190),
    [sym_false] = ACTIONS(3190),
    [sym_null] = ACTIONS(3190),
    [sym_undefined] = ACTIONS(3190),
    [anon_sym_readonly] = ACTIONS(3192),
    [anon_sym_QMARK] = ACTIONS(3194),
    [anon_sym_any] = ACTIONS(3182),
    [anon_sym_number] = ACTIONS(3182),
    [anon_sym_boolean] = ACTIONS(3182),
    [anon_sym_string] = ACTIONS(3182),
    [anon_sym_symbol] = ACTIONS(3182),
    [anon_sym_object] = ACTIONS(3182),
    [anon_sym_abstract] = ACTIONS(3196),
    [anon_sym_infer] = ACTIONS(3200),
    [anon_sym_keyof] = ACTIONS(3202),
    [anon_sym_unique] = ACTIONS(3204),
    [anon_sym_unknown] = ACTIONS(3182),
    [anon_sym_never] = ACTIONS(3182),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3206),
    [sym_html_comment] = ACTIONS(5),
  },
  [1002] = {
    [sym_import] = STATE(4926),
    [sym_nested_identifier] = STATE(5583),
    [sym_string] = STATE(3268),
    [sym_formal_parameters] = STATE(5787),
    [sym_nested_type_identifier] = STATE(3131),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3073),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3209),
    [sym_type] = STATE(3984),
    [sym_constructor_type] = STATE(3272),
    [sym_primary_type] = STATE(3273),
    [sym_template_literal_type] = STATE(3274),
    [sym_infer_type] = STATE(3272),
    [sym_conditional_type] = STATE(3274),
    [sym_generic_type] = STATE(3274),
    [sym_type_query] = STATE(3274),
    [sym_index_type_query] = STATE(3274),
    [sym_lookup_type] = STATE(3274),
    [sym_literal_type] = STATE(3274),
    [sym__number] = STATE(3275),
    [sym_existential_type] = STATE(3274),
    [sym_flow_maybe_type] = STATE(3274),
    [sym_parenthesized_type] = STATE(3274),
    [sym_predefined_type] = STATE(3274),
    [sym_object_type] = STATE(3274),
    [sym_type_parameters] = STATE(5160),
    [sym_array_type] = STATE(3274),
    [sym_tuple_type] = STATE(3274),
    [sym_readonly_type] = STATE(3272),
    [sym_union_type] = STATE(3274),
    [sym_intersection_type] = STATE(3274),
    [sym_function_type] = STATE(3272),
    [sym_identifier] = ACTIONS(1623),
    [anon_sym_STAR] = ACTIONS(999),
    [anon_sym_LBRACE] = ACTIONS(1627),
    [anon_sym_typeof] = ACTIONS(1629),
    [anon_sym_import] = ACTIONS(1545),
    [anon_sym_const] = ACTIONS(1005),
    [anon_sym_LPAREN] = ACTIONS(1631),
    [anon_sym_LBRACK] = ACTIONS(1633),
    [anon_sym_DQUOTE] = ACTIONS(1635),
    [anon_sym_SQUOTE] = ACTIONS(1637),
    [anon_sym_new] = ACTIONS(1639),
    [anon_sym_AMP] = ACTIONS(1013),
    [anon_sym_PIPE] = ACTIONS(1015),
    [anon_sym_PLUS] = ACTIONS(3020),
    [anon_sym_DASH] = ACTIONS(3020),
    [anon_sym_LT] = ACTIONS(2570),
    [anon_sym_void] = ACTIONS(1045),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1647),
    [sym_number] = ACTIONS(1649),
    [sym_this] = ACTIONS(1651),
    [sym_true] = ACTIONS(1653),
    [sym_false] = ACTIONS(1653),
    [sym_null] = ACTIONS(1653),
    [sym_undefined] = ACTIONS(1653),
    [anon_sym_readonly] = ACTIONS(1655),
    [anon_sym_QMARK] = ACTIONS(1033),
    [anon_sym_any] = ACTIONS(1045),
    [anon_sym_number] = ACTIONS(1045),
    [anon_sym_boolean] = ACTIONS(1045),
    [anon_sym_string] = ACTIONS(1045),
    [anon_sym_symbol] = ACTIONS(1045),
    [anon_sym_object] = ACTIONS(1045),
    [anon_sym_abstract] = ACTIONS(1037),
    [anon_sym_infer] = ACTIONS(1039),
    [anon_sym_keyof] = ACTIONS(1041),
    [anon_sym_unique] = ACTIONS(1043),
    [anon_sym_unknown] = ACTIONS(1045),
    [anon_sym_never] = ACTIONS(1045),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1047),
    [sym_html_comment] = ACTIONS(5),
  },
  [1003] = {
    [sym_import] = STATE(4788),
    [sym_nested_identifier] = STATE(5868),
    [sym_string] = STATE(3013),
    [sym_formal_parameters] = STATE(5623),
    [sym_nested_type_identifier] = STATE(2941),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2942),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2944),
    [sym_type] = STATE(2998),
    [sym_constructor_type] = STATE(2974),
    [sym_primary_type] = STATE(3014),
    [sym_template_literal_type] = STATE(3018),
    [sym_infer_type] = STATE(2974),
    [sym_conditional_type] = STATE(3018),
    [sym_generic_type] = STATE(3018),
    [sym_type_query] = STATE(3018),
    [sym_index_type_query] = STATE(3018),
    [sym_lookup_type] = STATE(3018),
    [sym_literal_type] = STATE(3018),
    [sym__number] = STATE(3031),
    [sym_existential_type] = STATE(3018),
    [sym_flow_maybe_type] = STATE(3018),
    [sym_parenthesized_type] = STATE(3018),
    [sym_predefined_type] = STATE(3018),
    [sym_object_type] = STATE(3018),
    [sym_type_parameters] = STATE(5442),
    [sym_array_type] = STATE(3018),
    [sym_tuple_type] = STATE(3018),
    [sym_readonly_type] = STATE(2974),
    [sym_union_type] = STATE(3018),
    [sym_intersection_type] = STATE(3018),
    [sym_function_type] = STATE(2974),
    [sym_identifier] = ACTIONS(1539),
    [anon_sym_STAR] = ACTIONS(582),
    [anon_sym_LBRACE] = ACTIONS(1541),
    [anon_sym_typeof] = ACTIONS(1543),
    [anon_sym_import] = ACTIONS(1545),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1547),
    [anon_sym_LBRACK] = ACTIONS(1549),
    [anon_sym_DQUOTE] = ACTIONS(1551),
    [anon_sym_SQUOTE] = ACTIONS(1553),
    [anon_sym_new] = ACTIONS(1555),
    [anon_sym_AMP] = ACTIONS(755),
    [anon_sym_PIPE] = ACTIONS(757),
    [anon_sym_PLUS] = ACTIONS(2568),
    [anon_sym_DASH] = ACTIONS(2568),
    [anon_sym_LT] = ACTIONS(2570),
    [anon_sym_void] = ACTIONS(217),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1561),
    [sym_number] = ACTIONS(1563),
    [sym_this] = ACTIONS(1565),
    [sym_true] = ACTIONS(1567),
    [sym_false] = ACTIONS(1567),
    [sym_null] = ACTIONS(1567),
    [sym_undefined] = ACTIONS(1567),
    [anon_sym_readonly] = ACTIONS(1569),
    [anon_sym_QMARK] = ACTIONS(783),
    [anon_sym_any] = ACTIONS(217),
    [anon_sym_number] = ACTIONS(217),
    [anon_sym_boolean] = ACTIONS(217),
    [anon_sym_string] = ACTIONS(217),
    [anon_sym_symbol] = ACTIONS(217),
    [anon_sym_object] = ACTIONS(217),
    [anon_sym_abstract] = ACTIONS(209),
    [anon_sym_infer] = ACTIONS(211),
    [anon_sym_keyof] = ACTIONS(213),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym_html_comment] = ACTIONS(5),
  },
  [1004] = {
    [sym_import] = STATE(4788),
    [sym_nested_identifier] = STATE(5868),
    [sym_string] = STATE(3013),
    [sym_formal_parameters] = STATE(5623),
    [sym_nested_type_identifier] = STATE(2941),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2942),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2944),
    [sym_type] = STATE(3046),
    [sym_constructor_type] = STATE(2974),
    [sym_primary_type] = STATE(3014),
    [sym_template_literal_type] = STATE(3018),
    [sym_infer_type] = STATE(2974),
    [sym_conditional_type] = STATE(3018),
    [sym_generic_type] = STATE(3018),
    [sym_type_query] = STATE(3018),
    [sym_index_type_query] = STATE(3018),
    [sym_lookup_type] = STATE(3018),
    [sym_literal_type] = STATE(3018),
    [sym__number] = STATE(3031),
    [sym_existential_type] = STATE(3018),
    [sym_flow_maybe_type] = STATE(3018),
    [sym_parenthesized_type] = STATE(3018),
    [sym_predefined_type] = STATE(3018),
    [sym_object_type] = STATE(3018),
    [sym_type_parameters] = STATE(5442),
    [sym_array_type] = STATE(3018),
    [sym_tuple_type] = STATE(3018),
    [sym_readonly_type] = STATE(2974),
    [sym_union_type] = STATE(3018),
    [sym_intersection_type] = STATE(3018),
    [sym_function_type] = STATE(2974),
    [sym_identifier] = ACTIONS(1539),
    [anon_sym_STAR] = ACTIONS(582),
    [anon_sym_LBRACE] = ACTIONS(1541),
    [anon_sym_typeof] = ACTIONS(1543),
    [anon_sym_import] = ACTIONS(1545),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1547),
    [anon_sym_LBRACK] = ACTIONS(1549),
    [anon_sym_DQUOTE] = ACTIONS(1551),
    [anon_sym_SQUOTE] = ACTIONS(1553),
    [anon_sym_new] = ACTIONS(1555),
    [anon_sym_AMP] = ACTIONS(755),
    [anon_sym_PIPE] = ACTIONS(757),
    [anon_sym_PLUS] = ACTIONS(2568),
    [anon_sym_DASH] = ACTIONS(2568),
    [anon_sym_LT] = ACTIONS(2570),
    [anon_sym_void] = ACTIONS(217),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1561),
    [sym_number] = ACTIONS(1563),
    [sym_this] = ACTIONS(1565),
    [sym_true] = ACTIONS(1567),
    [sym_false] = ACTIONS(1567),
    [sym_null] = ACTIONS(1567),
    [sym_undefined] = ACTIONS(1567),
    [anon_sym_readonly] = ACTIONS(1569),
    [anon_sym_QMARK] = ACTIONS(783),
    [anon_sym_any] = ACTIONS(217),
    [anon_sym_number] = ACTIONS(217),
    [anon_sym_boolean] = ACTIONS(217),
    [anon_sym_string] = ACTIONS(217),
    [anon_sym_symbol] = ACTIONS(217),
    [anon_sym_object] = ACTIONS(217),
    [anon_sym_abstract] = ACTIONS(209),
    [anon_sym_infer] = ACTIONS(211),
    [anon_sym_keyof] = ACTIONS(213),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym_html_comment] = ACTIONS(5),
  },
  [1005] = {
    [sym_import] = STATE(4788),
    [sym_nested_identifier] = STATE(5868),
    [sym_string] = STATE(3013),
    [sym_formal_parameters] = STATE(5623),
    [sym_nested_type_identifier] = STATE(2941),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2942),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2944),
    [sym_type] = STATE(4393),
    [sym_constructor_type] = STATE(2974),
    [sym_primary_type] = STATE(3014),
    [sym_template_literal_type] = STATE(3018),
    [sym_infer_type] = STATE(2974),
    [sym_conditional_type] = STATE(3018),
    [sym_generic_type] = STATE(3018),
    [sym_type_query] = STATE(3018),
    [sym_index_type_query] = STATE(3018),
    [sym_lookup_type] = STATE(3018),
    [sym_literal_type] = STATE(3018),
    [sym__number] = STATE(3031),
    [sym_existential_type] = STATE(3018),
    [sym_flow_maybe_type] = STATE(3018),
    [sym_parenthesized_type] = STATE(3018),
    [sym_predefined_type] = STATE(3018),
    [sym_object_type] = STATE(3018),
    [sym_type_parameters] = STATE(5442),
    [sym_array_type] = STATE(3018),
    [sym_tuple_type] = STATE(3018),
    [sym_readonly_type] = STATE(2974),
    [sym_union_type] = STATE(3018),
    [sym_intersection_type] = STATE(3018),
    [sym_function_type] = STATE(2974),
    [sym_identifier] = ACTIONS(1539),
    [anon_sym_STAR] = ACTIONS(582),
    [anon_sym_LBRACE] = ACTIONS(1541),
    [anon_sym_typeof] = ACTIONS(1543),
    [anon_sym_import] = ACTIONS(1545),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1547),
    [anon_sym_LBRACK] = ACTIONS(1549),
    [anon_sym_DQUOTE] = ACTIONS(1551),
    [anon_sym_SQUOTE] = ACTIONS(1553),
    [anon_sym_new] = ACTIONS(1555),
    [anon_sym_AMP] = ACTIONS(755),
    [anon_sym_PIPE] = ACTIONS(757),
    [anon_sym_PLUS] = ACTIONS(2568),
    [anon_sym_DASH] = ACTIONS(2568),
    [anon_sym_LT] = ACTIONS(2570),
    [anon_sym_void] = ACTIONS(217),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1561),
    [sym_number] = ACTIONS(1563),
    [sym_this] = ACTIONS(1565),
    [sym_true] = ACTIONS(1567),
    [sym_false] = ACTIONS(1567),
    [sym_null] = ACTIONS(1567),
    [sym_undefined] = ACTIONS(1567),
    [anon_sym_readonly] = ACTIONS(1569),
    [anon_sym_QMARK] = ACTIONS(783),
    [anon_sym_any] = ACTIONS(217),
    [anon_sym_number] = ACTIONS(217),
    [anon_sym_boolean] = ACTIONS(217),
    [anon_sym_string] = ACTIONS(217),
    [anon_sym_symbol] = ACTIONS(217),
    [anon_sym_object] = ACTIONS(217),
    [anon_sym_abstract] = ACTIONS(209),
    [anon_sym_infer] = ACTIONS(211),
    [anon_sym_keyof] = ACTIONS(213),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym_html_comment] = ACTIONS(5),
  },
  [1006] = {
    [sym_import] = STATE(4788),
    [sym_nested_identifier] = STATE(5868),
    [sym_string] = STATE(3013),
    [sym_formal_parameters] = STATE(5623),
    [sym_nested_type_identifier] = STATE(2941),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2942),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2944),
    [sym_type] = STATE(3779),
    [sym_constructor_type] = STATE(2974),
    [sym_primary_type] = STATE(3014),
    [sym_template_literal_type] = STATE(3018),
    [sym_infer_type] = STATE(2974),
    [sym_conditional_type] = STATE(3018),
    [sym_generic_type] = STATE(3018),
    [sym_type_query] = STATE(3018),
    [sym_index_type_query] = STATE(3018),
    [sym_lookup_type] = STATE(3018),
    [sym_literal_type] = STATE(3018),
    [sym__number] = STATE(3031),
    [sym_existential_type] = STATE(3018),
    [sym_flow_maybe_type] = STATE(3018),
    [sym_parenthesized_type] = STATE(3018),
    [sym_predefined_type] = STATE(3018),
    [sym_object_type] = STATE(3018),
    [sym_type_parameters] = STATE(5442),
    [sym_array_type] = STATE(3018),
    [sym_tuple_type] = STATE(3018),
    [sym_readonly_type] = STATE(2974),
    [sym_union_type] = STATE(3018),
    [sym_intersection_type] = STATE(3018),
    [sym_function_type] = STATE(2974),
    [sym_identifier] = ACTIONS(1539),
    [anon_sym_STAR] = ACTIONS(582),
    [anon_sym_LBRACE] = ACTIONS(1541),
    [anon_sym_typeof] = ACTIONS(1543),
    [anon_sym_import] = ACTIONS(1545),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1547),
    [anon_sym_LBRACK] = ACTIONS(1549),
    [anon_sym_DQUOTE] = ACTIONS(1551),
    [anon_sym_SQUOTE] = ACTIONS(1553),
    [anon_sym_new] = ACTIONS(1555),
    [anon_sym_AMP] = ACTIONS(755),
    [anon_sym_PIPE] = ACTIONS(757),
    [anon_sym_PLUS] = ACTIONS(2568),
    [anon_sym_DASH] = ACTIONS(2568),
    [anon_sym_LT] = ACTIONS(2570),
    [anon_sym_void] = ACTIONS(217),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1561),
    [sym_number] = ACTIONS(1563),
    [sym_this] = ACTIONS(1565),
    [sym_true] = ACTIONS(1567),
    [sym_false] = ACTIONS(1567),
    [sym_null] = ACTIONS(1567),
    [sym_undefined] = ACTIONS(1567),
    [anon_sym_readonly] = ACTIONS(1569),
    [anon_sym_QMARK] = ACTIONS(783),
    [anon_sym_any] = ACTIONS(217),
    [anon_sym_number] = ACTIONS(217),
    [anon_sym_boolean] = ACTIONS(217),
    [anon_sym_string] = ACTIONS(217),
    [anon_sym_symbol] = ACTIONS(217),
    [anon_sym_object] = ACTIONS(217),
    [anon_sym_abstract] = ACTIONS(209),
    [anon_sym_infer] = ACTIONS(211),
    [anon_sym_keyof] = ACTIONS(213),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym_html_comment] = ACTIONS(5),
  },
  [1007] = {
    [sym_import] = STATE(4926),
    [sym_nested_identifier] = STATE(5583),
    [sym_string] = STATE(3268),
    [sym_formal_parameters] = STATE(5787),
    [sym_nested_type_identifier] = STATE(3131),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3073),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3209),
    [sym_type] = STATE(3945),
    [sym_constructor_type] = STATE(3272),
    [sym_primary_type] = STATE(3273),
    [sym_template_literal_type] = STATE(3274),
    [sym_infer_type] = STATE(3272),
    [sym_conditional_type] = STATE(3274),
    [sym_generic_type] = STATE(3274),
    [sym_type_query] = STATE(3274),
    [sym_index_type_query] = STATE(3274),
    [sym_lookup_type] = STATE(3274),
    [sym_literal_type] = STATE(3274),
    [sym__number] = STATE(3275),
    [sym_existential_type] = STATE(3274),
    [sym_flow_maybe_type] = STATE(3274),
    [sym_parenthesized_type] = STATE(3274),
    [sym_predefined_type] = STATE(3274),
    [sym_object_type] = STATE(3274),
    [sym_type_parameters] = STATE(5160),
    [sym_array_type] = STATE(3274),
    [sym_tuple_type] = STATE(3274),
    [sym_readonly_type] = STATE(3272),
    [sym_union_type] = STATE(3274),
    [sym_intersection_type] = STATE(3274),
    [sym_function_type] = STATE(3272),
    [sym_identifier] = ACTIONS(1623),
    [anon_sym_STAR] = ACTIONS(999),
    [anon_sym_LBRACE] = ACTIONS(1627),
    [anon_sym_typeof] = ACTIONS(1629),
    [anon_sym_import] = ACTIONS(1545),
    [anon_sym_const] = ACTIONS(1005),
    [anon_sym_LPAREN] = ACTIONS(1631),
    [anon_sym_LBRACK] = ACTIONS(1633),
    [anon_sym_DQUOTE] = ACTIONS(1635),
    [anon_sym_SQUOTE] = ACTIONS(1637),
    [anon_sym_new] = ACTIONS(1639),
    [anon_sym_AMP] = ACTIONS(1013),
    [anon_sym_PIPE] = ACTIONS(1015),
    [anon_sym_PLUS] = ACTIONS(3020),
    [anon_sym_DASH] = ACTIONS(3020),
    [anon_sym_LT] = ACTIONS(2570),
    [anon_sym_void] = ACTIONS(1045),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1647),
    [sym_number] = ACTIONS(1649),
    [sym_this] = ACTIONS(1651),
    [sym_true] = ACTIONS(1653),
    [sym_false] = ACTIONS(1653),
    [sym_null] = ACTIONS(1653),
    [sym_undefined] = ACTIONS(1653),
    [anon_sym_readonly] = ACTIONS(1655),
    [anon_sym_QMARK] = ACTIONS(1033),
    [anon_sym_any] = ACTIONS(1045),
    [anon_sym_number] = ACTIONS(1045),
    [anon_sym_boolean] = ACTIONS(1045),
    [anon_sym_string] = ACTIONS(1045),
    [anon_sym_symbol] = ACTIONS(1045),
    [anon_sym_object] = ACTIONS(1045),
    [anon_sym_abstract] = ACTIONS(1037),
    [anon_sym_infer] = ACTIONS(1039),
    [anon_sym_keyof] = ACTIONS(1041),
    [anon_sym_unique] = ACTIONS(1043),
    [anon_sym_unknown] = ACTIONS(1045),
    [anon_sym_never] = ACTIONS(1045),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1047),
    [sym_html_comment] = ACTIONS(5),
  },
  [1008] = {
    [sym_import] = STATE(4680),
    [sym_nested_identifier] = STATE(5868),
    [sym_string] = STATE(3013),
    [sym_formal_parameters] = STATE(5631),
    [sym_nested_type_identifier] = STATE(2941),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3315),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2944),
    [sym_type] = STATE(4521),
    [sym_constructor_type] = STATE(2974),
    [sym_primary_type] = STATE(3014),
    [sym_template_literal_type] = STATE(3018),
    [sym_infer_type] = STATE(2974),
    [sym_conditional_type] = STATE(3018),
    [sym_generic_type] = STATE(3018),
    [sym_type_query] = STATE(3018),
    [sym_index_type_query] = STATE(3018),
    [sym_lookup_type] = STATE(3018),
    [sym_literal_type] = STATE(3018),
    [sym__number] = STATE(3031),
    [sym_existential_type] = STATE(3018),
    [sym_flow_maybe_type] = STATE(3018),
    [sym_parenthesized_type] = STATE(3018),
    [sym_predefined_type] = STATE(3018),
    [sym_object_type] = STATE(3018),
    [sym_type_parameters] = STATE(5464),
    [sym_array_type] = STATE(3018),
    [sym_tuple_type] = STATE(3018),
    [sym_readonly_type] = STATE(2974),
    [sym_union_type] = STATE(3018),
    [sym_intersection_type] = STATE(3018),
    [sym_function_type] = STATE(2974),
    [sym_identifier] = ACTIONS(1539),
    [anon_sym_STAR] = ACTIONS(582),
    [anon_sym_LBRACE] = ACTIONS(1541),
    [anon_sym_typeof] = ACTIONS(1543),
    [anon_sym_import] = ACTIONS(1545),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1547),
    [anon_sym_LBRACK] = ACTIONS(1549),
    [anon_sym_DQUOTE] = ACTIONS(1551),
    [anon_sym_SQUOTE] = ACTIONS(1553),
    [anon_sym_new] = ACTIONS(1613),
    [anon_sym_AMP] = ACTIONS(610),
    [anon_sym_PIPE] = ACTIONS(612),
    [anon_sym_PLUS] = ACTIONS(2568),
    [anon_sym_DASH] = ACTIONS(2568),
    [anon_sym_LT] = ACTIONS(2570),
    [anon_sym_void] = ACTIONS(217),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1561),
    [sym_number] = ACTIONS(1563),
    [sym_this] = ACTIONS(1565),
    [sym_true] = ACTIONS(1567),
    [sym_false] = ACTIONS(1567),
    [sym_null] = ACTIONS(1567),
    [sym_undefined] = ACTIONS(1567),
    [anon_sym_readonly] = ACTIONS(1619),
    [anon_sym_QMARK] = ACTIONS(632),
    [anon_sym_any] = ACTIONS(217),
    [anon_sym_number] = ACTIONS(217),
    [anon_sym_boolean] = ACTIONS(217),
    [anon_sym_string] = ACTIONS(217),
    [anon_sym_symbol] = ACTIONS(217),
    [anon_sym_object] = ACTIONS(217),
    [anon_sym_abstract] = ACTIONS(636),
    [anon_sym_infer] = ACTIONS(638),
    [anon_sym_keyof] = ACTIONS(640),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym_html_comment] = ACTIONS(5),
  },
  [1009] = {
    [sym_import] = STATE(4788),
    [sym_nested_identifier] = STATE(5868),
    [sym_string] = STATE(3013),
    [sym_formal_parameters] = STATE(5623),
    [sym_nested_type_identifier] = STATE(2941),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2942),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2944),
    [sym_type] = STATE(3145),
    [sym_constructor_type] = STATE(2974),
    [sym_primary_type] = STATE(3014),
    [sym_template_literal_type] = STATE(3018),
    [sym_infer_type] = STATE(2974),
    [sym_conditional_type] = STATE(3018),
    [sym_generic_type] = STATE(3018),
    [sym_type_query] = STATE(3018),
    [sym_index_type_query] = STATE(3018),
    [sym_lookup_type] = STATE(3018),
    [sym_literal_type] = STATE(3018),
    [sym__number] = STATE(3031),
    [sym_existential_type] = STATE(3018),
    [sym_flow_maybe_type] = STATE(3018),
    [sym_parenthesized_type] = STATE(3018),
    [sym_predefined_type] = STATE(3018),
    [sym_object_type] = STATE(3018),
    [sym_type_parameters] = STATE(5442),
    [sym_array_type] = STATE(3018),
    [sym_tuple_type] = STATE(3018),
    [sym_readonly_type] = STATE(2974),
    [sym_union_type] = STATE(3018),
    [sym_intersection_type] = STATE(3018),
    [sym_function_type] = STATE(2974),
    [sym_identifier] = ACTIONS(1539),
    [anon_sym_STAR] = ACTIONS(582),
    [anon_sym_LBRACE] = ACTIONS(1541),
    [anon_sym_typeof] = ACTIONS(1543),
    [anon_sym_import] = ACTIONS(1545),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1547),
    [anon_sym_LBRACK] = ACTIONS(1549),
    [anon_sym_DQUOTE] = ACTIONS(1551),
    [anon_sym_SQUOTE] = ACTIONS(1553),
    [anon_sym_new] = ACTIONS(1555),
    [anon_sym_AMP] = ACTIONS(755),
    [anon_sym_PIPE] = ACTIONS(757),
    [anon_sym_PLUS] = ACTIONS(2568),
    [anon_sym_DASH] = ACTIONS(2568),
    [anon_sym_LT] = ACTIONS(2570),
    [anon_sym_void] = ACTIONS(217),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1561),
    [sym_number] = ACTIONS(1563),
    [sym_this] = ACTIONS(1565),
    [sym_true] = ACTIONS(1567),
    [sym_false] = ACTIONS(1567),
    [sym_null] = ACTIONS(1567),
    [sym_undefined] = ACTIONS(1567),
    [anon_sym_readonly] = ACTIONS(1569),
    [anon_sym_QMARK] = ACTIONS(783),
    [anon_sym_any] = ACTIONS(217),
    [anon_sym_number] = ACTIONS(217),
    [anon_sym_boolean] = ACTIONS(217),
    [anon_sym_string] = ACTIONS(217),
    [anon_sym_symbol] = ACTIONS(217),
    [anon_sym_object] = ACTIONS(217),
    [anon_sym_abstract] = ACTIONS(209),
    [anon_sym_infer] = ACTIONS(211),
    [anon_sym_keyof] = ACTIONS(213),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym_html_comment] = ACTIONS(5),
  },
  [1010] = {
    [sym_import] = STATE(4788),
    [sym_nested_identifier] = STATE(5868),
    [sym_string] = STATE(3013),
    [sym_formal_parameters] = STATE(5623),
    [sym_nested_type_identifier] = STATE(2941),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2942),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2944),
    [sym_type] = STATE(3102),
    [sym_constructor_type] = STATE(2974),
    [sym_primary_type] = STATE(3014),
    [sym_template_literal_type] = STATE(3018),
    [sym_infer_type] = STATE(2974),
    [sym_conditional_type] = STATE(3018),
    [sym_generic_type] = STATE(3018),
    [sym_type_query] = STATE(3018),
    [sym_index_type_query] = STATE(3018),
    [sym_lookup_type] = STATE(3018),
    [sym_literal_type] = STATE(3018),
    [sym__number] = STATE(3031),
    [sym_existential_type] = STATE(3018),
    [sym_flow_maybe_type] = STATE(3018),
    [sym_parenthesized_type] = STATE(3018),
    [sym_predefined_type] = STATE(3018),
    [sym_object_type] = STATE(3018),
    [sym_type_parameters] = STATE(5442),
    [sym_array_type] = STATE(3018),
    [sym_tuple_type] = STATE(3018),
    [sym_readonly_type] = STATE(2974),
    [sym_union_type] = STATE(3018),
    [sym_intersection_type] = STATE(3018),
    [sym_function_type] = STATE(2974),
    [sym_identifier] = ACTIONS(1539),
    [anon_sym_STAR] = ACTIONS(582),
    [anon_sym_LBRACE] = ACTIONS(1541),
    [anon_sym_typeof] = ACTIONS(1543),
    [anon_sym_import] = ACTIONS(1545),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1547),
    [anon_sym_LBRACK] = ACTIONS(1549),
    [anon_sym_DQUOTE] = ACTIONS(1551),
    [anon_sym_SQUOTE] = ACTIONS(1553),
    [anon_sym_new] = ACTIONS(1555),
    [anon_sym_AMP] = ACTIONS(755),
    [anon_sym_PIPE] = ACTIONS(757),
    [anon_sym_PLUS] = ACTIONS(2568),
    [anon_sym_DASH] = ACTIONS(2568),
    [anon_sym_LT] = ACTIONS(2570),
    [anon_sym_void] = ACTIONS(217),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1561),
    [sym_number] = ACTIONS(1563),
    [sym_this] = ACTIONS(1565),
    [sym_true] = ACTIONS(1567),
    [sym_false] = ACTIONS(1567),
    [sym_null] = ACTIONS(1567),
    [sym_undefined] = ACTIONS(1567),
    [anon_sym_readonly] = ACTIONS(1569),
    [anon_sym_QMARK] = ACTIONS(783),
    [anon_sym_any] = ACTIONS(217),
    [anon_sym_number] = ACTIONS(217),
    [anon_sym_boolean] = ACTIONS(217),
    [anon_sym_string] = ACTIONS(217),
    [anon_sym_symbol] = ACTIONS(217),
    [anon_sym_object] = ACTIONS(217),
    [anon_sym_abstract] = ACTIONS(209),
    [anon_sym_infer] = ACTIONS(211),
    [anon_sym_keyof] = ACTIONS(213),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym_html_comment] = ACTIONS(5),
  },
  [1011] = {
    [sym_import] = STATE(4788),
    [sym_nested_identifier] = STATE(5868),
    [sym_string] = STATE(3013),
    [sym_formal_parameters] = STATE(5623),
    [sym_nested_type_identifier] = STATE(2941),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2942),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2944),
    [sym_type] = STATE(4983),
    [sym_constructor_type] = STATE(2974),
    [sym_primary_type] = STATE(2962),
    [sym_template_literal_type] = STATE(3018),
    [sym_infer_type] = STATE(2974),
    [sym_conditional_type] = STATE(3018),
    [sym_generic_type] = STATE(3018),
    [sym_type_query] = STATE(3018),
    [sym_index_type_query] = STATE(3018),
    [sym_lookup_type] = STATE(3018),
    [sym_literal_type] = STATE(3018),
    [sym__number] = STATE(3031),
    [sym_existential_type] = STATE(3018),
    [sym_flow_maybe_type] = STATE(3018),
    [sym_parenthesized_type] = STATE(3018),
    [sym_predefined_type] = STATE(3018),
    [sym_object_type] = STATE(3018),
    [sym_type_parameters] = STATE(5442),
    [sym_array_type] = STATE(3018),
    [sym_tuple_type] = STATE(3018),
    [sym_readonly_type] = STATE(2974),
    [sym_union_type] = STATE(3018),
    [sym_intersection_type] = STATE(3018),
    [sym_function_type] = STATE(2974),
    [sym_identifier] = ACTIONS(1539),
    [anon_sym_STAR] = ACTIONS(582),
    [anon_sym_LBRACE] = ACTIONS(1541),
    [anon_sym_typeof] = ACTIONS(1543),
    [anon_sym_import] = ACTIONS(1545),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1547),
    [anon_sym_LBRACK] = ACTIONS(1549),
    [anon_sym_DQUOTE] = ACTIONS(1551),
    [anon_sym_SQUOTE] = ACTIONS(1553),
    [anon_sym_new] = ACTIONS(1555),
    [anon_sym_AMP] = ACTIONS(755),
    [anon_sym_PIPE] = ACTIONS(757),
    [anon_sym_PLUS] = ACTIONS(2568),
    [anon_sym_DASH] = ACTIONS(2568),
    [anon_sym_LT] = ACTIONS(2570),
    [anon_sym_void] = ACTIONS(217),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1561),
    [sym_number] = ACTIONS(1563),
    [sym_this] = ACTIONS(1565),
    [sym_true] = ACTIONS(1567),
    [sym_false] = ACTIONS(1567),
    [sym_null] = ACTIONS(1567),
    [sym_undefined] = ACTIONS(1567),
    [anon_sym_readonly] = ACTIONS(1569),
    [anon_sym_QMARK] = ACTIONS(783),
    [anon_sym_any] = ACTIONS(217),
    [anon_sym_number] = ACTIONS(217),
    [anon_sym_boolean] = ACTIONS(217),
    [anon_sym_string] = ACTIONS(217),
    [anon_sym_symbol] = ACTIONS(217),
    [anon_sym_object] = ACTIONS(217),
    [anon_sym_abstract] = ACTIONS(209),
    [anon_sym_infer] = ACTIONS(211),
    [anon_sym_keyof] = ACTIONS(213),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym_html_comment] = ACTIONS(5),
  },
  [1012] = {
    [sym_import] = STATE(4788),
    [sym_nested_identifier] = STATE(5868),
    [sym_string] = STATE(3013),
    [sym_formal_parameters] = STATE(5623),
    [sym_nested_type_identifier] = STATE(2941),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2942),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2944),
    [sym_type] = STATE(3375),
    [sym_constructor_type] = STATE(2974),
    [sym_primary_type] = STATE(3014),
    [sym_template_literal_type] = STATE(3018),
    [sym_infer_type] = STATE(2974),
    [sym_conditional_type] = STATE(3018),
    [sym_generic_type] = STATE(3018),
    [sym_type_query] = STATE(3018),
    [sym_index_type_query] = STATE(3018),
    [sym_lookup_type] = STATE(3018),
    [sym_literal_type] = STATE(3018),
    [sym__number] = STATE(3031),
    [sym_existential_type] = STATE(3018),
    [sym_flow_maybe_type] = STATE(3018),
    [sym_parenthesized_type] = STATE(3018),
    [sym_predefined_type] = STATE(3018),
    [sym_object_type] = STATE(3018),
    [sym_type_parameters] = STATE(5442),
    [sym_array_type] = STATE(3018),
    [sym_tuple_type] = STATE(3018),
    [sym_readonly_type] = STATE(2974),
    [sym_union_type] = STATE(3018),
    [sym_intersection_type] = STATE(3018),
    [sym_function_type] = STATE(2974),
    [sym_identifier] = ACTIONS(1539),
    [anon_sym_STAR] = ACTIONS(582),
    [anon_sym_LBRACE] = ACTIONS(1541),
    [anon_sym_typeof] = ACTIONS(1543),
    [anon_sym_import] = ACTIONS(1545),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1547),
    [anon_sym_LBRACK] = ACTIONS(1549),
    [anon_sym_DQUOTE] = ACTIONS(1551),
    [anon_sym_SQUOTE] = ACTIONS(1553),
    [anon_sym_new] = ACTIONS(1555),
    [anon_sym_AMP] = ACTIONS(755),
    [anon_sym_PIPE] = ACTIONS(757),
    [anon_sym_PLUS] = ACTIONS(2568),
    [anon_sym_DASH] = ACTIONS(2568),
    [anon_sym_LT] = ACTIONS(2570),
    [anon_sym_void] = ACTIONS(217),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1561),
    [sym_number] = ACTIONS(1563),
    [sym_this] = ACTIONS(1565),
    [sym_true] = ACTIONS(1567),
    [sym_false] = ACTIONS(1567),
    [sym_null] = ACTIONS(1567),
    [sym_undefined] = ACTIONS(1567),
    [anon_sym_readonly] = ACTIONS(1569),
    [anon_sym_QMARK] = ACTIONS(783),
    [anon_sym_any] = ACTIONS(217),
    [anon_sym_number] = ACTIONS(217),
    [anon_sym_boolean] = ACTIONS(217),
    [anon_sym_string] = ACTIONS(217),
    [anon_sym_symbol] = ACTIONS(217),
    [anon_sym_object] = ACTIONS(217),
    [anon_sym_abstract] = ACTIONS(209),
    [anon_sym_infer] = ACTIONS(211),
    [anon_sym_keyof] = ACTIONS(213),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym_html_comment] = ACTIONS(5),
  },
  [1013] = {
    [sym_import] = STATE(4788),
    [sym_nested_identifier] = STATE(5868),
    [sym_string] = STATE(3013),
    [sym_formal_parameters] = STATE(5623),
    [sym_nested_type_identifier] = STATE(2941),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2942),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2944),
    [sym_type] = STATE(4983),
    [sym_constructor_type] = STATE(2974),
    [sym_primary_type] = STATE(2993),
    [sym_template_literal_type] = STATE(3018),
    [sym_infer_type] = STATE(2974),
    [sym_conditional_type] = STATE(3018),
    [sym_generic_type] = STATE(3018),
    [sym_type_query] = STATE(3018),
    [sym_index_type_query] = STATE(3018),
    [sym_lookup_type] = STATE(3018),
    [sym_literal_type] = STATE(3018),
    [sym__number] = STATE(3031),
    [sym_existential_type] = STATE(3018),
    [sym_flow_maybe_type] = STATE(3018),
    [sym_parenthesized_type] = STATE(3018),
    [sym_predefined_type] = STATE(3018),
    [sym_object_type] = STATE(3018),
    [sym_type_parameters] = STATE(5442),
    [sym_array_type] = STATE(3018),
    [sym_tuple_type] = STATE(3018),
    [sym_readonly_type] = STATE(2974),
    [sym_union_type] = STATE(3018),
    [sym_intersection_type] = STATE(3018),
    [sym_function_type] = STATE(2974),
    [sym_identifier] = ACTIONS(1539),
    [anon_sym_STAR] = ACTIONS(582),
    [anon_sym_LBRACE] = ACTIONS(1541),
    [anon_sym_typeof] = ACTIONS(1543),
    [anon_sym_import] = ACTIONS(1545),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1547),
    [anon_sym_LBRACK] = ACTIONS(1549),
    [anon_sym_DQUOTE] = ACTIONS(1551),
    [anon_sym_SQUOTE] = ACTIONS(1553),
    [anon_sym_new] = ACTIONS(1555),
    [anon_sym_AMP] = ACTIONS(755),
    [anon_sym_PIPE] = ACTIONS(757),
    [anon_sym_PLUS] = ACTIONS(2568),
    [anon_sym_DASH] = ACTIONS(2568),
    [anon_sym_LT] = ACTIONS(2570),
    [anon_sym_void] = ACTIONS(217),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1561),
    [sym_number] = ACTIONS(1563),
    [sym_this] = ACTIONS(1565),
    [sym_true] = ACTIONS(1567),
    [sym_false] = ACTIONS(1567),
    [sym_null] = ACTIONS(1567),
    [sym_undefined] = ACTIONS(1567),
    [anon_sym_readonly] = ACTIONS(1569),
    [anon_sym_QMARK] = ACTIONS(783),
    [anon_sym_any] = ACTIONS(217),
    [anon_sym_number] = ACTIONS(217),
    [anon_sym_boolean] = ACTIONS(217),
    [anon_sym_string] = ACTIONS(217),
    [anon_sym_symbol] = ACTIONS(217),
    [anon_sym_object] = ACTIONS(217),
    [anon_sym_abstract] = ACTIONS(209),
    [anon_sym_infer] = ACTIONS(211),
    [anon_sym_keyof] = ACTIONS(213),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym_html_comment] = ACTIONS(5),
  },
  [1014] = {
    [sym_import] = STATE(4788),
    [sym_nested_identifier] = STATE(5868),
    [sym_string] = STATE(3013),
    [sym_formal_parameters] = STATE(5623),
    [sym_nested_type_identifier] = STATE(2941),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2942),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2944),
    [sym_type] = STATE(3804),
    [sym_constructor_type] = STATE(2974),
    [sym_primary_type] = STATE(3014),
    [sym_template_literal_type] = STATE(3018),
    [sym_infer_type] = STATE(2974),
    [sym_conditional_type] = STATE(3018),
    [sym_generic_type] = STATE(3018),
    [sym_type_query] = STATE(3018),
    [sym_index_type_query] = STATE(3018),
    [sym_lookup_type] = STATE(3018),
    [sym_literal_type] = STATE(3018),
    [sym__number] = STATE(3031),
    [sym_existential_type] = STATE(3018),
    [sym_flow_maybe_type] = STATE(3018),
    [sym_parenthesized_type] = STATE(3018),
    [sym_predefined_type] = STATE(3018),
    [sym_object_type] = STATE(3018),
    [sym_type_parameters] = STATE(5442),
    [sym_array_type] = STATE(3018),
    [sym_tuple_type] = STATE(3018),
    [sym_readonly_type] = STATE(2974),
    [sym_union_type] = STATE(3018),
    [sym_intersection_type] = STATE(3018),
    [sym_function_type] = STATE(2974),
    [sym_identifier] = ACTIONS(1539),
    [anon_sym_STAR] = ACTIONS(582),
    [anon_sym_LBRACE] = ACTIONS(1541),
    [anon_sym_typeof] = ACTIONS(1543),
    [anon_sym_import] = ACTIONS(1545),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1547),
    [anon_sym_LBRACK] = ACTIONS(1549),
    [anon_sym_DQUOTE] = ACTIONS(1551),
    [anon_sym_SQUOTE] = ACTIONS(1553),
    [anon_sym_new] = ACTIONS(1555),
    [anon_sym_AMP] = ACTIONS(755),
    [anon_sym_PIPE] = ACTIONS(757),
    [anon_sym_PLUS] = ACTIONS(2568),
    [anon_sym_DASH] = ACTIONS(2568),
    [anon_sym_LT] = ACTIONS(2570),
    [anon_sym_void] = ACTIONS(217),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1561),
    [sym_number] = ACTIONS(1563),
    [sym_this] = ACTIONS(1565),
    [sym_true] = ACTIONS(1567),
    [sym_false] = ACTIONS(1567),
    [sym_null] = ACTIONS(1567),
    [sym_undefined] = ACTIONS(1567),
    [anon_sym_readonly] = ACTIONS(1569),
    [anon_sym_QMARK] = ACTIONS(783),
    [anon_sym_any] = ACTIONS(217),
    [anon_sym_number] = ACTIONS(217),
    [anon_sym_boolean] = ACTIONS(217),
    [anon_sym_string] = ACTIONS(217),
    [anon_sym_symbol] = ACTIONS(217),
    [anon_sym_object] = ACTIONS(217),
    [anon_sym_abstract] = ACTIONS(209),
    [anon_sym_infer] = ACTIONS(211),
    [anon_sym_keyof] = ACTIONS(213),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym_html_comment] = ACTIONS(5),
  },
  [1015] = {
    [sym_import] = STATE(4772),
    [sym_nested_identifier] = STATE(5677),
    [sym_string] = STATE(1938),
    [sym_formal_parameters] = STATE(5840),
    [sym_nested_type_identifier] = STATE(1823),
    [sym__type_query_member_expression_in_type_annotation] = STATE(1867),
    [sym__type_query_call_expression_in_type_annotation] = STATE(1905),
    [sym_type] = STATE(2000),
    [sym_constructor_type] = STATE(1909),
    [sym_primary_type] = STATE(1910),
    [sym_template_literal_type] = STATE(1915),
    [sym_infer_type] = STATE(1909),
    [sym_conditional_type] = STATE(1915),
    [sym_generic_type] = STATE(1915),
    [sym_type_query] = STATE(1915),
    [sym_index_type_query] = STATE(1915),
    [sym_lookup_type] = STATE(1915),
    [sym_literal_type] = STATE(1915),
    [sym__number] = STATE(1918),
    [sym_existential_type] = STATE(1915),
    [sym_flow_maybe_type] = STATE(1915),
    [sym_parenthesized_type] = STATE(1915),
    [sym_predefined_type] = STATE(1915),
    [sym_object_type] = STATE(1915),
    [sym_type_parameters] = STATE(5271),
    [sym_array_type] = STATE(1915),
    [sym_tuple_type] = STATE(1915),
    [sym_readonly_type] = STATE(1909),
    [sym_union_type] = STATE(1915),
    [sym_intersection_type] = STATE(1915),
    [sym_function_type] = STATE(1909),
    [sym_identifier] = ACTIONS(3262),
    [anon_sym_STAR] = ACTIONS(3114),
    [anon_sym_LBRACE] = ACTIONS(3116),
    [anon_sym_typeof] = ACTIONS(3118),
    [anon_sym_import] = ACTIONS(1545),
    [anon_sym_const] = ACTIONS(3120),
    [anon_sym_LPAREN] = ACTIONS(3122),
    [anon_sym_LBRACK] = ACTIONS(3124),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(3126),
    [anon_sym_AMP] = ACTIONS(3128),
    [anon_sym_PIPE] = ACTIONS(3130),
    [anon_sym_PLUS] = ACTIONS(3132),
    [anon_sym_DASH] = ACTIONS(3132),
    [anon_sym_LT] = ACTIONS(2570),
    [anon_sym_void] = ACTIONS(3134),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3136),
    [sym_number] = ACTIONS(3138),
    [sym_this] = ACTIONS(3264),
    [sym_true] = ACTIONS(3142),
    [sym_false] = ACTIONS(3142),
    [sym_null] = ACTIONS(3142),
    [sym_undefined] = ACTIONS(3142),
    [anon_sym_readonly] = ACTIONS(3144),
    [anon_sym_QMARK] = ACTIONS(3146),
    [anon_sym_any] = ACTIONS(3134),
    [anon_sym_number] = ACTIONS(3134),
    [anon_sym_boolean] = ACTIONS(3134),
    [anon_sym_string] = ACTIONS(3134),
    [anon_sym_symbol] = ACTIONS(3134),
    [anon_sym_object] = ACTIONS(3134),
    [anon_sym_abstract] = ACTIONS(3148),
    [anon_sym_infer] = ACTIONS(3152),
    [anon_sym_keyof] = ACTIONS(3154),
    [anon_sym_unique] = ACTIONS(3156),
    [anon_sym_unknown] = ACTIONS(3134),
    [anon_sym_never] = ACTIONS(3134),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3158),
    [sym_html_comment] = ACTIONS(5),
  },
  [1016] = {
    [sym_import] = STATE(4788),
    [sym_nested_identifier] = STATE(5868),
    [sym_string] = STATE(3013),
    [sym_formal_parameters] = STATE(5623),
    [sym_nested_type_identifier] = STATE(2941),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2942),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2944),
    [sym_type] = STATE(3823),
    [sym_constructor_type] = STATE(2974),
    [sym_primary_type] = STATE(3014),
    [sym_template_literal_type] = STATE(3018),
    [sym_infer_type] = STATE(2974),
    [sym_conditional_type] = STATE(3018),
    [sym_generic_type] = STATE(3018),
    [sym_type_query] = STATE(3018),
    [sym_index_type_query] = STATE(3018),
    [sym_lookup_type] = STATE(3018),
    [sym_literal_type] = STATE(3018),
    [sym__number] = STATE(3031),
    [sym_existential_type] = STATE(3018),
    [sym_flow_maybe_type] = STATE(3018),
    [sym_parenthesized_type] = STATE(3018),
    [sym_predefined_type] = STATE(3018),
    [sym_object_type] = STATE(3018),
    [sym_type_parameters] = STATE(5442),
    [sym_array_type] = STATE(3018),
    [sym_tuple_type] = STATE(3018),
    [sym_readonly_type] = STATE(2974),
    [sym_union_type] = STATE(3018),
    [sym_intersection_type] = STATE(3018),
    [sym_function_type] = STATE(2974),
    [sym_identifier] = ACTIONS(1539),
    [anon_sym_STAR] = ACTIONS(582),
    [anon_sym_LBRACE] = ACTIONS(1541),
    [anon_sym_typeof] = ACTIONS(1543),
    [anon_sym_import] = ACTIONS(1545),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1547),
    [anon_sym_LBRACK] = ACTIONS(1549),
    [anon_sym_DQUOTE] = ACTIONS(1551),
    [anon_sym_SQUOTE] = ACTIONS(1553),
    [anon_sym_new] = ACTIONS(1555),
    [anon_sym_AMP] = ACTIONS(755),
    [anon_sym_PIPE] = ACTIONS(757),
    [anon_sym_PLUS] = ACTIONS(2568),
    [anon_sym_DASH] = ACTIONS(2568),
    [anon_sym_LT] = ACTIONS(2570),
    [anon_sym_void] = ACTIONS(217),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1561),
    [sym_number] = ACTIONS(1563),
    [sym_this] = ACTIONS(1565),
    [sym_true] = ACTIONS(1567),
    [sym_false] = ACTIONS(1567),
    [sym_null] = ACTIONS(1567),
    [sym_undefined] = ACTIONS(1567),
    [anon_sym_readonly] = ACTIONS(1569),
    [anon_sym_QMARK] = ACTIONS(783),
    [anon_sym_any] = ACTIONS(217),
    [anon_sym_number] = ACTIONS(217),
    [anon_sym_boolean] = ACTIONS(217),
    [anon_sym_string] = ACTIONS(217),
    [anon_sym_symbol] = ACTIONS(217),
    [anon_sym_object] = ACTIONS(217),
    [anon_sym_abstract] = ACTIONS(209),
    [anon_sym_infer] = ACTIONS(211),
    [anon_sym_keyof] = ACTIONS(213),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym_html_comment] = ACTIONS(5),
  },
  [1017] = {
    [sym_import] = STATE(4772),
    [sym_nested_identifier] = STATE(5677),
    [sym_string] = STATE(1938),
    [sym_formal_parameters] = STATE(5840),
    [sym_nested_type_identifier] = STATE(1823),
    [sym__type_query_member_expression_in_type_annotation] = STATE(1867),
    [sym__type_query_call_expression_in_type_annotation] = STATE(1905),
    [sym_type] = STATE(2001),
    [sym_constructor_type] = STATE(1909),
    [sym_primary_type] = STATE(1910),
    [sym_template_literal_type] = STATE(1915),
    [sym_infer_type] = STATE(1909),
    [sym_conditional_type] = STATE(1915),
    [sym_generic_type] = STATE(1915),
    [sym_type_query] = STATE(1915),
    [sym_index_type_query] = STATE(1915),
    [sym_lookup_type] = STATE(1915),
    [sym_literal_type] = STATE(1915),
    [sym__number] = STATE(1918),
    [sym_existential_type] = STATE(1915),
    [sym_flow_maybe_type] = STATE(1915),
    [sym_parenthesized_type] = STATE(1915),
    [sym_predefined_type] = STATE(1915),
    [sym_object_type] = STATE(1915),
    [sym_type_parameters] = STATE(5271),
    [sym_array_type] = STATE(1915),
    [sym_tuple_type] = STATE(1915),
    [sym_readonly_type] = STATE(1909),
    [sym_union_type] = STATE(1915),
    [sym_intersection_type] = STATE(1915),
    [sym_function_type] = STATE(1909),
    [sym_identifier] = ACTIONS(3262),
    [anon_sym_STAR] = ACTIONS(3114),
    [anon_sym_LBRACE] = ACTIONS(3116),
    [anon_sym_typeof] = ACTIONS(3118),
    [anon_sym_import] = ACTIONS(1545),
    [anon_sym_const] = ACTIONS(3120),
    [anon_sym_LPAREN] = ACTIONS(3122),
    [anon_sym_LBRACK] = ACTIONS(3124),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(3126),
    [anon_sym_AMP] = ACTIONS(3128),
    [anon_sym_PIPE] = ACTIONS(3130),
    [anon_sym_PLUS] = ACTIONS(3132),
    [anon_sym_DASH] = ACTIONS(3132),
    [anon_sym_LT] = ACTIONS(2570),
    [anon_sym_void] = ACTIONS(3134),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3136),
    [sym_number] = ACTIONS(3138),
    [sym_this] = ACTIONS(3264),
    [sym_true] = ACTIONS(3142),
    [sym_false] = ACTIONS(3142),
    [sym_null] = ACTIONS(3142),
    [sym_undefined] = ACTIONS(3142),
    [anon_sym_readonly] = ACTIONS(3144),
    [anon_sym_QMARK] = ACTIONS(3146),
    [anon_sym_any] = ACTIONS(3134),
    [anon_sym_number] = ACTIONS(3134),
    [anon_sym_boolean] = ACTIONS(3134),
    [anon_sym_string] = ACTIONS(3134),
    [anon_sym_symbol] = ACTIONS(3134),
    [anon_sym_object] = ACTIONS(3134),
    [anon_sym_abstract] = ACTIONS(3148),
    [anon_sym_infer] = ACTIONS(3152),
    [anon_sym_keyof] = ACTIONS(3154),
    [anon_sym_unique] = ACTIONS(3156),
    [anon_sym_unknown] = ACTIONS(3134),
    [anon_sym_never] = ACTIONS(3134),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3158),
    [sym_html_comment] = ACTIONS(5),
  },
  [1018] = {
    [sym_import] = STATE(4788),
    [sym_nested_identifier] = STATE(5868),
    [sym_string] = STATE(3013),
    [sym_formal_parameters] = STATE(5623),
    [sym_nested_type_identifier] = STATE(2941),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2942),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2944),
    [sym_type] = STATE(3847),
    [sym_constructor_type] = STATE(2974),
    [sym_primary_type] = STATE(3014),
    [sym_template_literal_type] = STATE(3018),
    [sym_infer_type] = STATE(2974),
    [sym_conditional_type] = STATE(3018),
    [sym_generic_type] = STATE(3018),
    [sym_type_query] = STATE(3018),
    [sym_index_type_query] = STATE(3018),
    [sym_lookup_type] = STATE(3018),
    [sym_literal_type] = STATE(3018),
    [sym__number] = STATE(3031),
    [sym_existential_type] = STATE(3018),
    [sym_flow_maybe_type] = STATE(3018),
    [sym_parenthesized_type] = STATE(3018),
    [sym_predefined_type] = STATE(3018),
    [sym_object_type] = STATE(3018),
    [sym_type_parameters] = STATE(5442),
    [sym_array_type] = STATE(3018),
    [sym_tuple_type] = STATE(3018),
    [sym_readonly_type] = STATE(2974),
    [sym_union_type] = STATE(3018),
    [sym_intersection_type] = STATE(3018),
    [sym_function_type] = STATE(2974),
    [sym_identifier] = ACTIONS(1539),
    [anon_sym_STAR] = ACTIONS(582),
    [anon_sym_LBRACE] = ACTIONS(1541),
    [anon_sym_typeof] = ACTIONS(1543),
    [anon_sym_import] = ACTIONS(1545),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1547),
    [anon_sym_LBRACK] = ACTIONS(1549),
    [anon_sym_DQUOTE] = ACTIONS(1551),
    [anon_sym_SQUOTE] = ACTIONS(1553),
    [anon_sym_new] = ACTIONS(1555),
    [anon_sym_AMP] = ACTIONS(755),
    [anon_sym_PIPE] = ACTIONS(757),
    [anon_sym_PLUS] = ACTIONS(2568),
    [anon_sym_DASH] = ACTIONS(2568),
    [anon_sym_LT] = ACTIONS(2570),
    [anon_sym_void] = ACTIONS(217),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1561),
    [sym_number] = ACTIONS(1563),
    [sym_this] = ACTIONS(1565),
    [sym_true] = ACTIONS(1567),
    [sym_false] = ACTIONS(1567),
    [sym_null] = ACTIONS(1567),
    [sym_undefined] = ACTIONS(1567),
    [anon_sym_readonly] = ACTIONS(1569),
    [anon_sym_QMARK] = ACTIONS(783),
    [anon_sym_any] = ACTIONS(217),
    [anon_sym_number] = ACTIONS(217),
    [anon_sym_boolean] = ACTIONS(217),
    [anon_sym_string] = ACTIONS(217),
    [anon_sym_symbol] = ACTIONS(217),
    [anon_sym_object] = ACTIONS(217),
    [anon_sym_abstract] = ACTIONS(209),
    [anon_sym_infer] = ACTIONS(211),
    [anon_sym_keyof] = ACTIONS(213),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym_html_comment] = ACTIONS(5),
  },
  [1019] = {
    [sym_import] = STATE(4772),
    [sym_nested_identifier] = STATE(5677),
    [sym_string] = STATE(1938),
    [sym_formal_parameters] = STATE(5840),
    [sym_nested_type_identifier] = STATE(1823),
    [sym__type_query_member_expression_in_type_annotation] = STATE(1867),
    [sym__type_query_call_expression_in_type_annotation] = STATE(1905),
    [sym_type] = STATE(2033),
    [sym_constructor_type] = STATE(1909),
    [sym_primary_type] = STATE(1910),
    [sym_template_literal_type] = STATE(1915),
    [sym_infer_type] = STATE(1909),
    [sym_conditional_type] = STATE(1915),
    [sym_generic_type] = STATE(1915),
    [sym_type_query] = STATE(1915),
    [sym_index_type_query] = STATE(1915),
    [sym_lookup_type] = STATE(1915),
    [sym_literal_type] = STATE(1915),
    [sym__number] = STATE(1918),
    [sym_existential_type] = STATE(1915),
    [sym_flow_maybe_type] = STATE(1915),
    [sym_parenthesized_type] = STATE(1915),
    [sym_predefined_type] = STATE(1915),
    [sym_object_type] = STATE(1915),
    [sym_type_parameters] = STATE(5271),
    [sym_array_type] = STATE(1915),
    [sym_tuple_type] = STATE(1915),
    [sym_readonly_type] = STATE(1909),
    [sym_union_type] = STATE(1915),
    [sym_intersection_type] = STATE(1915),
    [sym_function_type] = STATE(1909),
    [sym_identifier] = ACTIONS(3262),
    [anon_sym_STAR] = ACTIONS(3114),
    [anon_sym_LBRACE] = ACTIONS(3116),
    [anon_sym_typeof] = ACTIONS(3118),
    [anon_sym_import] = ACTIONS(1545),
    [anon_sym_const] = ACTIONS(3120),
    [anon_sym_LPAREN] = ACTIONS(3122),
    [anon_sym_LBRACK] = ACTIONS(3124),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(3126),
    [anon_sym_AMP] = ACTIONS(3128),
    [anon_sym_PIPE] = ACTIONS(3130),
    [anon_sym_PLUS] = ACTIONS(3132),
    [anon_sym_DASH] = ACTIONS(3132),
    [anon_sym_LT] = ACTIONS(2570),
    [anon_sym_void] = ACTIONS(3134),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3136),
    [sym_number] = ACTIONS(3138),
    [sym_this] = ACTIONS(3264),
    [sym_true] = ACTIONS(3142),
    [sym_false] = ACTIONS(3142),
    [sym_null] = ACTIONS(3142),
    [sym_undefined] = ACTIONS(3142),
    [anon_sym_readonly] = ACTIONS(3144),
    [anon_sym_QMARK] = ACTIONS(3146),
    [anon_sym_any] = ACTIONS(3134),
    [anon_sym_number] = ACTIONS(3134),
    [anon_sym_boolean] = ACTIONS(3134),
    [anon_sym_string] = ACTIONS(3134),
    [anon_sym_symbol] = ACTIONS(3134),
    [anon_sym_object] = ACTIONS(3134),
    [anon_sym_abstract] = ACTIONS(3148),
    [anon_sym_infer] = ACTIONS(3152),
    [anon_sym_keyof] = ACTIONS(3154),
    [anon_sym_unique] = ACTIONS(3156),
    [anon_sym_unknown] = ACTIONS(3134),
    [anon_sym_never] = ACTIONS(3134),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3158),
    [sym_html_comment] = ACTIONS(5),
  },
  [1020] = {
    [sym_import] = STATE(4772),
    [sym_nested_identifier] = STATE(5677),
    [sym_string] = STATE(1938),
    [sym_formal_parameters] = STATE(5840),
    [sym_nested_type_identifier] = STATE(1823),
    [sym__type_query_member_expression_in_type_annotation] = STATE(1867),
    [sym__type_query_call_expression_in_type_annotation] = STATE(1905),
    [sym_type] = STATE(2034),
    [sym_constructor_type] = STATE(1909),
    [sym_primary_type] = STATE(1910),
    [sym_template_literal_type] = STATE(1915),
    [sym_infer_type] = STATE(1909),
    [sym_conditional_type] = STATE(1915),
    [sym_generic_type] = STATE(1915),
    [sym_type_query] = STATE(1915),
    [sym_index_type_query] = STATE(1915),
    [sym_lookup_type] = STATE(1915),
    [sym_literal_type] = STATE(1915),
    [sym__number] = STATE(1918),
    [sym_existential_type] = STATE(1915),
    [sym_flow_maybe_type] = STATE(1915),
    [sym_parenthesized_type] = STATE(1915),
    [sym_predefined_type] = STATE(1915),
    [sym_object_type] = STATE(1915),
    [sym_type_parameters] = STATE(5271),
    [sym_array_type] = STATE(1915),
    [sym_tuple_type] = STATE(1915),
    [sym_readonly_type] = STATE(1909),
    [sym_union_type] = STATE(1915),
    [sym_intersection_type] = STATE(1915),
    [sym_function_type] = STATE(1909),
    [sym_identifier] = ACTIONS(3262),
    [anon_sym_STAR] = ACTIONS(3114),
    [anon_sym_LBRACE] = ACTIONS(3116),
    [anon_sym_typeof] = ACTIONS(3118),
    [anon_sym_import] = ACTIONS(1545),
    [anon_sym_const] = ACTIONS(3120),
    [anon_sym_LPAREN] = ACTIONS(3122),
    [anon_sym_LBRACK] = ACTIONS(3124),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(3126),
    [anon_sym_AMP] = ACTIONS(3128),
    [anon_sym_PIPE] = ACTIONS(3130),
    [anon_sym_PLUS] = ACTIONS(3132),
    [anon_sym_DASH] = ACTIONS(3132),
    [anon_sym_LT] = ACTIONS(2570),
    [anon_sym_void] = ACTIONS(3134),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3136),
    [sym_number] = ACTIONS(3138),
    [sym_this] = ACTIONS(3264),
    [sym_true] = ACTIONS(3142),
    [sym_false] = ACTIONS(3142),
    [sym_null] = ACTIONS(3142),
    [sym_undefined] = ACTIONS(3142),
    [anon_sym_readonly] = ACTIONS(3144),
    [anon_sym_QMARK] = ACTIONS(3146),
    [anon_sym_any] = ACTIONS(3134),
    [anon_sym_number] = ACTIONS(3134),
    [anon_sym_boolean] = ACTIONS(3134),
    [anon_sym_string] = ACTIONS(3134),
    [anon_sym_symbol] = ACTIONS(3134),
    [anon_sym_object] = ACTIONS(3134),
    [anon_sym_abstract] = ACTIONS(3148),
    [anon_sym_infer] = ACTIONS(3152),
    [anon_sym_keyof] = ACTIONS(3154),
    [anon_sym_unique] = ACTIONS(3156),
    [anon_sym_unknown] = ACTIONS(3134),
    [anon_sym_never] = ACTIONS(3134),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3158),
    [sym_html_comment] = ACTIONS(5),
  },
  [1021] = {
    [sym_import] = STATE(4788),
    [sym_nested_identifier] = STATE(5868),
    [sym_string] = STATE(3013),
    [sym_formal_parameters] = STATE(5623),
    [sym_nested_type_identifier] = STATE(2941),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2942),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2944),
    [sym_type] = STATE(4983),
    [sym_constructor_type] = STATE(2974),
    [sym_primary_type] = STATE(4114),
    [sym_template_literal_type] = STATE(3018),
    [sym_infer_type] = STATE(4406),
    [sym_conditional_type] = STATE(3018),
    [sym_generic_type] = STATE(3018),
    [sym_type_query] = STATE(3018),
    [sym_index_type_query] = STATE(3018),
    [sym_lookup_type] = STATE(3018),
    [sym_literal_type] = STATE(3018),
    [sym__number] = STATE(3031),
    [sym_existential_type] = STATE(3018),
    [sym_flow_maybe_type] = STATE(3018),
    [sym_parenthesized_type] = STATE(3018),
    [sym_predefined_type] = STATE(3018),
    [sym_object_type] = STATE(3018),
    [sym_type_parameters] = STATE(5442),
    [sym_array_type] = STATE(3018),
    [sym_tuple_type] = STATE(3018),
    [sym_readonly_type] = STATE(2974),
    [sym_union_type] = STATE(3018),
    [sym_intersection_type] = STATE(3018),
    [sym_function_type] = STATE(2974),
    [sym_identifier] = ACTIONS(1539),
    [anon_sym_STAR] = ACTIONS(582),
    [anon_sym_LBRACE] = ACTIONS(1541),
    [anon_sym_typeof] = ACTIONS(1543),
    [anon_sym_import] = ACTIONS(1545),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1547),
    [anon_sym_LBRACK] = ACTIONS(1549),
    [anon_sym_DQUOTE] = ACTIONS(1551),
    [anon_sym_SQUOTE] = ACTIONS(1553),
    [anon_sym_new] = ACTIONS(1555),
    [anon_sym_AMP] = ACTIONS(755),
    [anon_sym_PIPE] = ACTIONS(757),
    [anon_sym_PLUS] = ACTIONS(2568),
    [anon_sym_DASH] = ACTIONS(2568),
    [anon_sym_LT] = ACTIONS(2570),
    [anon_sym_void] = ACTIONS(217),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1561),
    [sym_number] = ACTIONS(1563),
    [sym_this] = ACTIONS(1565),
    [sym_true] = ACTIONS(1567),
    [sym_false] = ACTIONS(1567),
    [sym_null] = ACTIONS(1567),
    [sym_undefined] = ACTIONS(1567),
    [anon_sym_readonly] = ACTIONS(1569),
    [anon_sym_QMARK] = ACTIONS(783),
    [anon_sym_any] = ACTIONS(217),
    [anon_sym_number] = ACTIONS(217),
    [anon_sym_boolean] = ACTIONS(217),
    [anon_sym_string] = ACTIONS(217),
    [anon_sym_symbol] = ACTIONS(217),
    [anon_sym_object] = ACTIONS(217),
    [anon_sym_abstract] = ACTIONS(209),
    [anon_sym_infer] = ACTIONS(211),
    [anon_sym_keyof] = ACTIONS(213),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym_html_comment] = ACTIONS(5),
  },
  [1022] = {
    [sym_import] = STATE(4584),
    [sym_nested_identifier] = STATE(5811),
    [sym_string] = STATE(3369),
    [sym_formal_parameters] = STATE(5849),
    [sym_nested_type_identifier] = STATE(3252),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3200),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3295),
    [sym_type] = STATE(3332),
    [sym_constructor_type] = STATE(3384),
    [sym_primary_type] = STATE(3385),
    [sym_template_literal_type] = STATE(3388),
    [sym_infer_type] = STATE(3384),
    [sym_conditional_type] = STATE(3388),
    [sym_generic_type] = STATE(3388),
    [sym_type_query] = STATE(3388),
    [sym_index_type_query] = STATE(3388),
    [sym_lookup_type] = STATE(3388),
    [sym_literal_type] = STATE(3388),
    [sym__number] = STATE(3389),
    [sym_existential_type] = STATE(3388),
    [sym_flow_maybe_type] = STATE(3388),
    [sym_parenthesized_type] = STATE(3388),
    [sym_predefined_type] = STATE(3388),
    [sym_object_type] = STATE(3388),
    [sym_type_parameters] = STATE(5258),
    [sym_array_type] = STATE(3388),
    [sym_tuple_type] = STATE(3388),
    [sym_readonly_type] = STATE(3384),
    [sym_union_type] = STATE(3388),
    [sym_intersection_type] = STATE(3388),
    [sym_function_type] = STATE(3384),
    [sym_identifier] = ACTIONS(3266),
    [anon_sym_STAR] = ACTIONS(3028),
    [anon_sym_LBRACE] = ACTIONS(3030),
    [anon_sym_typeof] = ACTIONS(3032),
    [anon_sym_import] = ACTIONS(1545),
    [anon_sym_const] = ACTIONS(3034),
    [anon_sym_LPAREN] = ACTIONS(3036),
    [anon_sym_LBRACK] = ACTIONS(3038),
    [anon_sym_DQUOTE] = ACTIONS(3040),
    [anon_sym_SQUOTE] = ACTIONS(3042),
    [anon_sym_new] = ACTIONS(3044),
    [anon_sym_AMP] = ACTIONS(3046),
    [anon_sym_PIPE] = ACTIONS(3048),
    [anon_sym_PLUS] = ACTIONS(3050),
    [anon_sym_DASH] = ACTIONS(3050),
    [anon_sym_LT] = ACTIONS(2570),
    [anon_sym_void] = ACTIONS(3052),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3054),
    [sym_number] = ACTIONS(3056),
    [sym_this] = ACTIONS(3268),
    [sym_true] = ACTIONS(3060),
    [sym_false] = ACTIONS(3060),
    [sym_null] = ACTIONS(3060),
    [sym_undefined] = ACTIONS(3060),
    [anon_sym_readonly] = ACTIONS(3062),
    [anon_sym_QMARK] = ACTIONS(3064),
    [anon_sym_any] = ACTIONS(3052),
    [anon_sym_number] = ACTIONS(3052),
    [anon_sym_boolean] = ACTIONS(3052),
    [anon_sym_string] = ACTIONS(3052),
    [anon_sym_symbol] = ACTIONS(3052),
    [anon_sym_object] = ACTIONS(3052),
    [anon_sym_abstract] = ACTIONS(3066),
    [anon_sym_infer] = ACTIONS(3070),
    [anon_sym_keyof] = ACTIONS(3072),
    [anon_sym_unique] = ACTIONS(3074),
    [anon_sym_unknown] = ACTIONS(3052),
    [anon_sym_never] = ACTIONS(3052),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3076),
    [sym_html_comment] = ACTIONS(5),
  },
  [1023] = {
    [sym_import] = STATE(4584),
    [sym_nested_identifier] = STATE(5811),
    [sym_string] = STATE(3369),
    [sym_formal_parameters] = STATE(5849),
    [sym_nested_type_identifier] = STATE(3252),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3200),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3295),
    [sym_type] = STATE(3337),
    [sym_constructor_type] = STATE(3384),
    [sym_primary_type] = STATE(3385),
    [sym_template_literal_type] = STATE(3388),
    [sym_infer_type] = STATE(3384),
    [sym_conditional_type] = STATE(3388),
    [sym_generic_type] = STATE(3388),
    [sym_type_query] = STATE(3388),
    [sym_index_type_query] = STATE(3388),
    [sym_lookup_type] = STATE(3388),
    [sym_literal_type] = STATE(3388),
    [sym__number] = STATE(3389),
    [sym_existential_type] = STATE(3388),
    [sym_flow_maybe_type] = STATE(3388),
    [sym_parenthesized_type] = STATE(3388),
    [sym_predefined_type] = STATE(3388),
    [sym_object_type] = STATE(3388),
    [sym_type_parameters] = STATE(5258),
    [sym_array_type] = STATE(3388),
    [sym_tuple_type] = STATE(3388),
    [sym_readonly_type] = STATE(3384),
    [sym_union_type] = STATE(3388),
    [sym_intersection_type] = STATE(3388),
    [sym_function_type] = STATE(3384),
    [sym_identifier] = ACTIONS(3266),
    [anon_sym_STAR] = ACTIONS(3028),
    [anon_sym_LBRACE] = ACTIONS(3030),
    [anon_sym_typeof] = ACTIONS(3032),
    [anon_sym_import] = ACTIONS(1545),
    [anon_sym_const] = ACTIONS(3034),
    [anon_sym_LPAREN] = ACTIONS(3036),
    [anon_sym_LBRACK] = ACTIONS(3038),
    [anon_sym_DQUOTE] = ACTIONS(3040),
    [anon_sym_SQUOTE] = ACTIONS(3042),
    [anon_sym_new] = ACTIONS(3044),
    [anon_sym_AMP] = ACTIONS(3046),
    [anon_sym_PIPE] = ACTIONS(3048),
    [anon_sym_PLUS] = ACTIONS(3050),
    [anon_sym_DASH] = ACTIONS(3050),
    [anon_sym_LT] = ACTIONS(2570),
    [anon_sym_void] = ACTIONS(3052),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3054),
    [sym_number] = ACTIONS(3056),
    [sym_this] = ACTIONS(3268),
    [sym_true] = ACTIONS(3060),
    [sym_false] = ACTIONS(3060),
    [sym_null] = ACTIONS(3060),
    [sym_undefined] = ACTIONS(3060),
    [anon_sym_readonly] = ACTIONS(3062),
    [anon_sym_QMARK] = ACTIONS(3064),
    [anon_sym_any] = ACTIONS(3052),
    [anon_sym_number] = ACTIONS(3052),
    [anon_sym_boolean] = ACTIONS(3052),
    [anon_sym_string] = ACTIONS(3052),
    [anon_sym_symbol] = ACTIONS(3052),
    [anon_sym_object] = ACTIONS(3052),
    [anon_sym_abstract] = ACTIONS(3066),
    [anon_sym_infer] = ACTIONS(3070),
    [anon_sym_keyof] = ACTIONS(3072),
    [anon_sym_unique] = ACTIONS(3074),
    [anon_sym_unknown] = ACTIONS(3052),
    [anon_sym_never] = ACTIONS(3052),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3076),
    [sym_html_comment] = ACTIONS(5),
  },
  [1024] = {
    [sym_import] = STATE(4772),
    [sym_nested_identifier] = STATE(5677),
    [sym_string] = STATE(1938),
    [sym_formal_parameters] = STATE(5840),
    [sym_nested_type_identifier] = STATE(1823),
    [sym__type_query_member_expression_in_type_annotation] = STATE(1867),
    [sym__type_query_call_expression_in_type_annotation] = STATE(1905),
    [sym_type] = STATE(2060),
    [sym_constructor_type] = STATE(1909),
    [sym_primary_type] = STATE(1910),
    [sym_template_literal_type] = STATE(1915),
    [sym_infer_type] = STATE(1909),
    [sym_conditional_type] = STATE(1915),
    [sym_generic_type] = STATE(1915),
    [sym_type_query] = STATE(1915),
    [sym_index_type_query] = STATE(1915),
    [sym_lookup_type] = STATE(1915),
    [sym_literal_type] = STATE(1915),
    [sym__number] = STATE(1918),
    [sym_existential_type] = STATE(1915),
    [sym_flow_maybe_type] = STATE(1915),
    [sym_parenthesized_type] = STATE(1915),
    [sym_predefined_type] = STATE(1915),
    [sym_object_type] = STATE(1915),
    [sym_type_parameters] = STATE(5271),
    [sym_array_type] = STATE(1915),
    [sym_tuple_type] = STATE(1915),
    [sym_readonly_type] = STATE(1909),
    [sym_union_type] = STATE(1915),
    [sym_intersection_type] = STATE(1915),
    [sym_function_type] = STATE(1909),
    [sym_identifier] = ACTIONS(3262),
    [anon_sym_STAR] = ACTIONS(3114),
    [anon_sym_LBRACE] = ACTIONS(3116),
    [anon_sym_typeof] = ACTIONS(3118),
    [anon_sym_import] = ACTIONS(1545),
    [anon_sym_const] = ACTIONS(3120),
    [anon_sym_LPAREN] = ACTIONS(3122),
    [anon_sym_LBRACK] = ACTIONS(3124),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(3126),
    [anon_sym_AMP] = ACTIONS(3128),
    [anon_sym_PIPE] = ACTIONS(3130),
    [anon_sym_PLUS] = ACTIONS(3132),
    [anon_sym_DASH] = ACTIONS(3132),
    [anon_sym_LT] = ACTIONS(2570),
    [anon_sym_void] = ACTIONS(3134),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3136),
    [sym_number] = ACTIONS(3138),
    [sym_this] = ACTIONS(3264),
    [sym_true] = ACTIONS(3142),
    [sym_false] = ACTIONS(3142),
    [sym_null] = ACTIONS(3142),
    [sym_undefined] = ACTIONS(3142),
    [anon_sym_readonly] = ACTIONS(3144),
    [anon_sym_QMARK] = ACTIONS(3146),
    [anon_sym_any] = ACTIONS(3134),
    [anon_sym_number] = ACTIONS(3134),
    [anon_sym_boolean] = ACTIONS(3134),
    [anon_sym_string] = ACTIONS(3134),
    [anon_sym_symbol] = ACTIONS(3134),
    [anon_sym_object] = ACTIONS(3134),
    [anon_sym_abstract] = ACTIONS(3148),
    [anon_sym_infer] = ACTIONS(3152),
    [anon_sym_keyof] = ACTIONS(3154),
    [anon_sym_unique] = ACTIONS(3156),
    [anon_sym_unknown] = ACTIONS(3134),
    [anon_sym_never] = ACTIONS(3134),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3158),
    [sym_html_comment] = ACTIONS(5),
  },
  [1025] = {
    [sym_import] = STATE(4772),
    [sym_nested_identifier] = STATE(5677),
    [sym_string] = STATE(1938),
    [sym_formal_parameters] = STATE(5840),
    [sym_nested_type_identifier] = STATE(1823),
    [sym__type_query_member_expression_in_type_annotation] = STATE(1867),
    [sym__type_query_call_expression_in_type_annotation] = STATE(1905),
    [sym_type] = STATE(2061),
    [sym_constructor_type] = STATE(1909),
    [sym_primary_type] = STATE(1910),
    [sym_template_literal_type] = STATE(1915),
    [sym_infer_type] = STATE(1909),
    [sym_conditional_type] = STATE(1915),
    [sym_generic_type] = STATE(1915),
    [sym_type_query] = STATE(1915),
    [sym_index_type_query] = STATE(1915),
    [sym_lookup_type] = STATE(1915),
    [sym_literal_type] = STATE(1915),
    [sym__number] = STATE(1918),
    [sym_existential_type] = STATE(1915),
    [sym_flow_maybe_type] = STATE(1915),
    [sym_parenthesized_type] = STATE(1915),
    [sym_predefined_type] = STATE(1915),
    [sym_object_type] = STATE(1915),
    [sym_type_parameters] = STATE(5271),
    [sym_array_type] = STATE(1915),
    [sym_tuple_type] = STATE(1915),
    [sym_readonly_type] = STATE(1909),
    [sym_union_type] = STATE(1915),
    [sym_intersection_type] = STATE(1915),
    [sym_function_type] = STATE(1909),
    [sym_identifier] = ACTIONS(3262),
    [anon_sym_STAR] = ACTIONS(3114),
    [anon_sym_LBRACE] = ACTIONS(3116),
    [anon_sym_typeof] = ACTIONS(3118),
    [anon_sym_import] = ACTIONS(1545),
    [anon_sym_const] = ACTIONS(3120),
    [anon_sym_LPAREN] = ACTIONS(3122),
    [anon_sym_LBRACK] = ACTIONS(3124),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(3126),
    [anon_sym_AMP] = ACTIONS(3128),
    [anon_sym_PIPE] = ACTIONS(3130),
    [anon_sym_PLUS] = ACTIONS(3132),
    [anon_sym_DASH] = ACTIONS(3132),
    [anon_sym_LT] = ACTIONS(2570),
    [anon_sym_void] = ACTIONS(3134),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3136),
    [sym_number] = ACTIONS(3138),
    [sym_this] = ACTIONS(3264),
    [sym_true] = ACTIONS(3142),
    [sym_false] = ACTIONS(3142),
    [sym_null] = ACTIONS(3142),
    [sym_undefined] = ACTIONS(3142),
    [anon_sym_readonly] = ACTIONS(3144),
    [anon_sym_QMARK] = ACTIONS(3146),
    [anon_sym_any] = ACTIONS(3134),
    [anon_sym_number] = ACTIONS(3134),
    [anon_sym_boolean] = ACTIONS(3134),
    [anon_sym_string] = ACTIONS(3134),
    [anon_sym_symbol] = ACTIONS(3134),
    [anon_sym_object] = ACTIONS(3134),
    [anon_sym_abstract] = ACTIONS(3148),
    [anon_sym_infer] = ACTIONS(3152),
    [anon_sym_keyof] = ACTIONS(3154),
    [anon_sym_unique] = ACTIONS(3156),
    [anon_sym_unknown] = ACTIONS(3134),
    [anon_sym_never] = ACTIONS(3134),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3158),
    [sym_html_comment] = ACTIONS(5),
  },
  [1026] = {
    [sym_import] = STATE(4772),
    [sym_nested_identifier] = STATE(5677),
    [sym_string] = STATE(1938),
    [sym_formal_parameters] = STATE(5840),
    [sym_nested_type_identifier] = STATE(1823),
    [sym__type_query_member_expression_in_type_annotation] = STATE(1867),
    [sym__type_query_call_expression_in_type_annotation] = STATE(1905),
    [sym_type] = STATE(1881),
    [sym_constructor_type] = STATE(1909),
    [sym_primary_type] = STATE(1910),
    [sym_template_literal_type] = STATE(1915),
    [sym_infer_type] = STATE(1909),
    [sym_conditional_type] = STATE(1915),
    [sym_generic_type] = STATE(1915),
    [sym_type_query] = STATE(1915),
    [sym_index_type_query] = STATE(1915),
    [sym_lookup_type] = STATE(1915),
    [sym_literal_type] = STATE(1915),
    [sym__number] = STATE(1918),
    [sym_existential_type] = STATE(1915),
    [sym_flow_maybe_type] = STATE(1915),
    [sym_parenthesized_type] = STATE(1915),
    [sym_predefined_type] = STATE(1915),
    [sym_object_type] = STATE(1915),
    [sym_type_parameters] = STATE(5271),
    [sym_array_type] = STATE(1915),
    [sym_tuple_type] = STATE(1915),
    [sym_readonly_type] = STATE(1909),
    [sym_union_type] = STATE(1915),
    [sym_intersection_type] = STATE(1915),
    [sym_function_type] = STATE(1909),
    [sym_identifier] = ACTIONS(3262),
    [anon_sym_STAR] = ACTIONS(3114),
    [anon_sym_LBRACE] = ACTIONS(3116),
    [anon_sym_typeof] = ACTIONS(3118),
    [anon_sym_import] = ACTIONS(1545),
    [anon_sym_const] = ACTIONS(3120),
    [anon_sym_LPAREN] = ACTIONS(3122),
    [anon_sym_LBRACK] = ACTIONS(3124),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(3126),
    [anon_sym_AMP] = ACTIONS(3128),
    [anon_sym_PIPE] = ACTIONS(3130),
    [anon_sym_PLUS] = ACTIONS(3132),
    [anon_sym_DASH] = ACTIONS(3132),
    [anon_sym_LT] = ACTIONS(2570),
    [anon_sym_void] = ACTIONS(3134),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3136),
    [sym_number] = ACTIONS(3138),
    [sym_this] = ACTIONS(3264),
    [sym_true] = ACTIONS(3142),
    [sym_false] = ACTIONS(3142),
    [sym_null] = ACTIONS(3142),
    [sym_undefined] = ACTIONS(3142),
    [anon_sym_readonly] = ACTIONS(3144),
    [anon_sym_QMARK] = ACTIONS(3146),
    [anon_sym_any] = ACTIONS(3134),
    [anon_sym_number] = ACTIONS(3134),
    [anon_sym_boolean] = ACTIONS(3134),
    [anon_sym_string] = ACTIONS(3134),
    [anon_sym_symbol] = ACTIONS(3134),
    [anon_sym_object] = ACTIONS(3134),
    [anon_sym_abstract] = ACTIONS(3148),
    [anon_sym_infer] = ACTIONS(3152),
    [anon_sym_keyof] = ACTIONS(3154),
    [anon_sym_unique] = ACTIONS(3156),
    [anon_sym_unknown] = ACTIONS(3134),
    [anon_sym_never] = ACTIONS(3134),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3158),
    [sym_html_comment] = ACTIONS(5),
  },
  [1027] = {
    [sym_import] = STATE(4772),
    [sym_nested_identifier] = STATE(5677),
    [sym_string] = STATE(1938),
    [sym_formal_parameters] = STATE(5840),
    [sym_nested_type_identifier] = STATE(1823),
    [sym__type_query_member_expression_in_type_annotation] = STATE(1867),
    [sym__type_query_call_expression_in_type_annotation] = STATE(1905),
    [sym_type] = STATE(1882),
    [sym_constructor_type] = STATE(1909),
    [sym_primary_type] = STATE(1910),
    [sym_template_literal_type] = STATE(1915),
    [sym_infer_type] = STATE(1909),
    [sym_conditional_type] = STATE(1915),
    [sym_generic_type] = STATE(1915),
    [sym_type_query] = STATE(1915),
    [sym_index_type_query] = STATE(1915),
    [sym_lookup_type] = STATE(1915),
    [sym_literal_type] = STATE(1915),
    [sym__number] = STATE(1918),
    [sym_existential_type] = STATE(1915),
    [sym_flow_maybe_type] = STATE(1915),
    [sym_parenthesized_type] = STATE(1915),
    [sym_predefined_type] = STATE(1915),
    [sym_object_type] = STATE(1915),
    [sym_type_parameters] = STATE(5271),
    [sym_array_type] = STATE(1915),
    [sym_tuple_type] = STATE(1915),
    [sym_readonly_type] = STATE(1909),
    [sym_union_type] = STATE(1915),
    [sym_intersection_type] = STATE(1915),
    [sym_function_type] = STATE(1909),
    [sym_identifier] = ACTIONS(3262),
    [anon_sym_STAR] = ACTIONS(3114),
    [anon_sym_LBRACE] = ACTIONS(3116),
    [anon_sym_typeof] = ACTIONS(3118),
    [anon_sym_import] = ACTIONS(1545),
    [anon_sym_const] = ACTIONS(3120),
    [anon_sym_LPAREN] = ACTIONS(3122),
    [anon_sym_LBRACK] = ACTIONS(3124),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(3126),
    [anon_sym_AMP] = ACTIONS(3128),
    [anon_sym_PIPE] = ACTIONS(3130),
    [anon_sym_PLUS] = ACTIONS(3132),
    [anon_sym_DASH] = ACTIONS(3132),
    [anon_sym_LT] = ACTIONS(2570),
    [anon_sym_void] = ACTIONS(3134),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3136),
    [sym_number] = ACTIONS(3138),
    [sym_this] = ACTIONS(3264),
    [sym_true] = ACTIONS(3142),
    [sym_false] = ACTIONS(3142),
    [sym_null] = ACTIONS(3142),
    [sym_undefined] = ACTIONS(3142),
    [anon_sym_readonly] = ACTIONS(3144),
    [anon_sym_QMARK] = ACTIONS(3146),
    [anon_sym_any] = ACTIONS(3134),
    [anon_sym_number] = ACTIONS(3134),
    [anon_sym_boolean] = ACTIONS(3134),
    [anon_sym_string] = ACTIONS(3134),
    [anon_sym_symbol] = ACTIONS(3134),
    [anon_sym_object] = ACTIONS(3134),
    [anon_sym_abstract] = ACTIONS(3148),
    [anon_sym_infer] = ACTIONS(3152),
    [anon_sym_keyof] = ACTIONS(3154),
    [anon_sym_unique] = ACTIONS(3156),
    [anon_sym_unknown] = ACTIONS(3134),
    [anon_sym_never] = ACTIONS(3134),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3158),
    [sym_html_comment] = ACTIONS(5),
  },
  [1028] = {
    [sym_import] = STATE(4788),
    [sym_nested_identifier] = STATE(5868),
    [sym_string] = STATE(3013),
    [sym_formal_parameters] = STATE(5623),
    [sym_nested_type_identifier] = STATE(2941),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2942),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2944),
    [sym_type] = STATE(4116),
    [sym_constructor_type] = STATE(2974),
    [sym_primary_type] = STATE(3014),
    [sym_template_literal_type] = STATE(3018),
    [sym_infer_type] = STATE(2974),
    [sym_conditional_type] = STATE(3018),
    [sym_generic_type] = STATE(3018),
    [sym_type_query] = STATE(3018),
    [sym_index_type_query] = STATE(3018),
    [sym_lookup_type] = STATE(3018),
    [sym_literal_type] = STATE(3018),
    [sym__number] = STATE(3031),
    [sym_existential_type] = STATE(3018),
    [sym_flow_maybe_type] = STATE(3018),
    [sym_parenthesized_type] = STATE(3018),
    [sym_predefined_type] = STATE(3018),
    [sym_object_type] = STATE(3018),
    [sym_type_parameters] = STATE(5442),
    [sym_array_type] = STATE(3018),
    [sym_tuple_type] = STATE(3018),
    [sym_readonly_type] = STATE(2974),
    [sym_union_type] = STATE(3018),
    [sym_intersection_type] = STATE(3018),
    [sym_function_type] = STATE(2974),
    [sym_identifier] = ACTIONS(1539),
    [anon_sym_STAR] = ACTIONS(582),
    [anon_sym_LBRACE] = ACTIONS(1541),
    [anon_sym_typeof] = ACTIONS(1543),
    [anon_sym_import] = ACTIONS(1545),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1547),
    [anon_sym_LBRACK] = ACTIONS(1549),
    [anon_sym_DQUOTE] = ACTIONS(1551),
    [anon_sym_SQUOTE] = ACTIONS(1553),
    [anon_sym_new] = ACTIONS(1555),
    [anon_sym_AMP] = ACTIONS(755),
    [anon_sym_PIPE] = ACTIONS(757),
    [anon_sym_PLUS] = ACTIONS(2568),
    [anon_sym_DASH] = ACTIONS(2568),
    [anon_sym_LT] = ACTIONS(2570),
    [anon_sym_void] = ACTIONS(217),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1561),
    [sym_number] = ACTIONS(1563),
    [sym_this] = ACTIONS(1565),
    [sym_true] = ACTIONS(1567),
    [sym_false] = ACTIONS(1567),
    [sym_null] = ACTIONS(1567),
    [sym_undefined] = ACTIONS(1567),
    [anon_sym_readonly] = ACTIONS(1569),
    [anon_sym_QMARK] = ACTIONS(783),
    [anon_sym_any] = ACTIONS(217),
    [anon_sym_number] = ACTIONS(217),
    [anon_sym_boolean] = ACTIONS(217),
    [anon_sym_string] = ACTIONS(217),
    [anon_sym_symbol] = ACTIONS(217),
    [anon_sym_object] = ACTIONS(217),
    [anon_sym_abstract] = ACTIONS(209),
    [anon_sym_infer] = ACTIONS(211),
    [anon_sym_keyof] = ACTIONS(213),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym_html_comment] = ACTIONS(5),
  },
  [1029] = {
    [sym_import] = STATE(4926),
    [sym_nested_identifier] = STATE(5583),
    [sym_string] = STATE(3268),
    [sym_formal_parameters] = STATE(5787),
    [sym_nested_type_identifier] = STATE(3131),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3073),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3209),
    [sym_type] = STATE(3950),
    [sym_constructor_type] = STATE(3272),
    [sym_primary_type] = STATE(3273),
    [sym_template_literal_type] = STATE(3274),
    [sym_infer_type] = STATE(3272),
    [sym_conditional_type] = STATE(3274),
    [sym_generic_type] = STATE(3274),
    [sym_type_query] = STATE(3274),
    [sym_index_type_query] = STATE(3274),
    [sym_lookup_type] = STATE(3274),
    [sym_literal_type] = STATE(3274),
    [sym__number] = STATE(3275),
    [sym_existential_type] = STATE(3274),
    [sym_flow_maybe_type] = STATE(3274),
    [sym_parenthesized_type] = STATE(3274),
    [sym_predefined_type] = STATE(3274),
    [sym_object_type] = STATE(3274),
    [sym_type_parameters] = STATE(5160),
    [sym_array_type] = STATE(3274),
    [sym_tuple_type] = STATE(3274),
    [sym_readonly_type] = STATE(3272),
    [sym_union_type] = STATE(3274),
    [sym_intersection_type] = STATE(3274),
    [sym_function_type] = STATE(3272),
    [sym_identifier] = ACTIONS(1623),
    [anon_sym_STAR] = ACTIONS(999),
    [anon_sym_LBRACE] = ACTIONS(1627),
    [anon_sym_typeof] = ACTIONS(1629),
    [anon_sym_import] = ACTIONS(1545),
    [anon_sym_const] = ACTIONS(1005),
    [anon_sym_LPAREN] = ACTIONS(1631),
    [anon_sym_LBRACK] = ACTIONS(1633),
    [anon_sym_DQUOTE] = ACTIONS(1635),
    [anon_sym_SQUOTE] = ACTIONS(1637),
    [anon_sym_new] = ACTIONS(1639),
    [anon_sym_AMP] = ACTIONS(1013),
    [anon_sym_PIPE] = ACTIONS(1015),
    [anon_sym_PLUS] = ACTIONS(3020),
    [anon_sym_DASH] = ACTIONS(3020),
    [anon_sym_LT] = ACTIONS(2570),
    [anon_sym_void] = ACTIONS(1045),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1647),
    [sym_number] = ACTIONS(1649),
    [sym_this] = ACTIONS(1651),
    [sym_true] = ACTIONS(1653),
    [sym_false] = ACTIONS(1653),
    [sym_null] = ACTIONS(1653),
    [sym_undefined] = ACTIONS(1653),
    [anon_sym_readonly] = ACTIONS(1655),
    [anon_sym_QMARK] = ACTIONS(1033),
    [anon_sym_any] = ACTIONS(1045),
    [anon_sym_number] = ACTIONS(1045),
    [anon_sym_boolean] = ACTIONS(1045),
    [anon_sym_string] = ACTIONS(1045),
    [anon_sym_symbol] = ACTIONS(1045),
    [anon_sym_object] = ACTIONS(1045),
    [anon_sym_abstract] = ACTIONS(1037),
    [anon_sym_infer] = ACTIONS(1039),
    [anon_sym_keyof] = ACTIONS(1041),
    [anon_sym_unique] = ACTIONS(1043),
    [anon_sym_unknown] = ACTIONS(1045),
    [anon_sym_never] = ACTIONS(1045),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1047),
    [sym_html_comment] = ACTIONS(5),
  },
  [1030] = {
    [sym_import] = STATE(4788),
    [sym_nested_identifier] = STATE(5868),
    [sym_string] = STATE(3013),
    [sym_formal_parameters] = STATE(5623),
    [sym_nested_type_identifier] = STATE(2941),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2942),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2944),
    [sym_type] = STATE(3842),
    [sym_constructor_type] = STATE(2974),
    [sym_primary_type] = STATE(3014),
    [sym_template_literal_type] = STATE(3018),
    [sym_infer_type] = STATE(2974),
    [sym_conditional_type] = STATE(3018),
    [sym_generic_type] = STATE(3018),
    [sym_type_query] = STATE(3018),
    [sym_index_type_query] = STATE(3018),
    [sym_lookup_type] = STATE(3018),
    [sym_literal_type] = STATE(3018),
    [sym__number] = STATE(3031),
    [sym_existential_type] = STATE(3018),
    [sym_flow_maybe_type] = STATE(3018),
    [sym_parenthesized_type] = STATE(3018),
    [sym_predefined_type] = STATE(3018),
    [sym_object_type] = STATE(3018),
    [sym_type_parameters] = STATE(5442),
    [sym_array_type] = STATE(3018),
    [sym_tuple_type] = STATE(3018),
    [sym_readonly_type] = STATE(2974),
    [sym_union_type] = STATE(3018),
    [sym_intersection_type] = STATE(3018),
    [sym_function_type] = STATE(2974),
    [sym_identifier] = ACTIONS(1539),
    [anon_sym_STAR] = ACTIONS(582),
    [anon_sym_LBRACE] = ACTIONS(1541),
    [anon_sym_typeof] = ACTIONS(1543),
    [anon_sym_import] = ACTIONS(1545),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1547),
    [anon_sym_LBRACK] = ACTIONS(1549),
    [anon_sym_DQUOTE] = ACTIONS(1551),
    [anon_sym_SQUOTE] = ACTIONS(1553),
    [anon_sym_new] = ACTIONS(1555),
    [anon_sym_AMP] = ACTIONS(755),
    [anon_sym_PIPE] = ACTIONS(757),
    [anon_sym_PLUS] = ACTIONS(2568),
    [anon_sym_DASH] = ACTIONS(2568),
    [anon_sym_LT] = ACTIONS(2570),
    [anon_sym_void] = ACTIONS(217),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1561),
    [sym_number] = ACTIONS(1563),
    [sym_this] = ACTIONS(1565),
    [sym_true] = ACTIONS(1567),
    [sym_false] = ACTIONS(1567),
    [sym_null] = ACTIONS(1567),
    [sym_undefined] = ACTIONS(1567),
    [anon_sym_readonly] = ACTIONS(1569),
    [anon_sym_QMARK] = ACTIONS(783),
    [anon_sym_any] = ACTIONS(217),
    [anon_sym_number] = ACTIONS(217),
    [anon_sym_boolean] = ACTIONS(217),
    [anon_sym_string] = ACTIONS(217),
    [anon_sym_symbol] = ACTIONS(217),
    [anon_sym_object] = ACTIONS(217),
    [anon_sym_abstract] = ACTIONS(209),
    [anon_sym_infer] = ACTIONS(211),
    [anon_sym_keyof] = ACTIONS(213),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym_html_comment] = ACTIONS(5),
  },
  [1031] = {
    [sym_import] = STATE(4926),
    [sym_nested_identifier] = STATE(5583),
    [sym_string] = STATE(3268),
    [sym_formal_parameters] = STATE(5787),
    [sym_nested_type_identifier] = STATE(3131),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3073),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3209),
    [sym_type] = STATE(3233),
    [sym_constructor_type] = STATE(3272),
    [sym_primary_type] = STATE(3273),
    [sym_template_literal_type] = STATE(3274),
    [sym_infer_type] = STATE(3272),
    [sym_conditional_type] = STATE(3274),
    [sym_generic_type] = STATE(3274),
    [sym_type_query] = STATE(3274),
    [sym_index_type_query] = STATE(3274),
    [sym_lookup_type] = STATE(3274),
    [sym_literal_type] = STATE(3274),
    [sym__number] = STATE(3275),
    [sym_existential_type] = STATE(3274),
    [sym_flow_maybe_type] = STATE(3274),
    [sym_parenthesized_type] = STATE(3274),
    [sym_predefined_type] = STATE(3274),
    [sym_object_type] = STATE(3274),
    [sym_type_parameters] = STATE(5160),
    [sym_array_type] = STATE(3274),
    [sym_tuple_type] = STATE(3274),
    [sym_readonly_type] = STATE(3272),
    [sym_union_type] = STATE(3274),
    [sym_intersection_type] = STATE(3274),
    [sym_function_type] = STATE(3272),
    [sym_identifier] = ACTIONS(1623),
    [anon_sym_STAR] = ACTIONS(999),
    [anon_sym_LBRACE] = ACTIONS(1627),
    [anon_sym_typeof] = ACTIONS(1629),
    [anon_sym_import] = ACTIONS(1545),
    [anon_sym_const] = ACTIONS(1005),
    [anon_sym_LPAREN] = ACTIONS(1631),
    [anon_sym_LBRACK] = ACTIONS(1633),
    [anon_sym_DQUOTE] = ACTIONS(1635),
    [anon_sym_SQUOTE] = ACTIONS(1637),
    [anon_sym_new] = ACTIONS(1639),
    [anon_sym_AMP] = ACTIONS(1013),
    [anon_sym_PIPE] = ACTIONS(1015),
    [anon_sym_PLUS] = ACTIONS(3020),
    [anon_sym_DASH] = ACTIONS(3020),
    [anon_sym_LT] = ACTIONS(2570),
    [anon_sym_void] = ACTIONS(1045),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1647),
    [sym_number] = ACTIONS(1649),
    [sym_this] = ACTIONS(1651),
    [sym_true] = ACTIONS(1653),
    [sym_false] = ACTIONS(1653),
    [sym_null] = ACTIONS(1653),
    [sym_undefined] = ACTIONS(1653),
    [anon_sym_readonly] = ACTIONS(1655),
    [anon_sym_QMARK] = ACTIONS(1033),
    [anon_sym_any] = ACTIONS(1045),
    [anon_sym_number] = ACTIONS(1045),
    [anon_sym_boolean] = ACTIONS(1045),
    [anon_sym_string] = ACTIONS(1045),
    [anon_sym_symbol] = ACTIONS(1045),
    [anon_sym_object] = ACTIONS(1045),
    [anon_sym_abstract] = ACTIONS(1037),
    [anon_sym_infer] = ACTIONS(1039),
    [anon_sym_keyof] = ACTIONS(1041),
    [anon_sym_unique] = ACTIONS(1043),
    [anon_sym_unknown] = ACTIONS(1045),
    [anon_sym_never] = ACTIONS(1045),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1047),
    [sym_html_comment] = ACTIONS(5),
  },
  [1032] = {
    [sym_import] = STATE(4926),
    [sym_nested_identifier] = STATE(5583),
    [sym_string] = STATE(3268),
    [sym_formal_parameters] = STATE(5787),
    [sym_nested_type_identifier] = STATE(3131),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3073),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3209),
    [sym_type] = STATE(3238),
    [sym_constructor_type] = STATE(3272),
    [sym_primary_type] = STATE(3273),
    [sym_template_literal_type] = STATE(3274),
    [sym_infer_type] = STATE(3272),
    [sym_conditional_type] = STATE(3274),
    [sym_generic_type] = STATE(3274),
    [sym_type_query] = STATE(3274),
    [sym_index_type_query] = STATE(3274),
    [sym_lookup_type] = STATE(3274),
    [sym_literal_type] = STATE(3274),
    [sym__number] = STATE(3275),
    [sym_existential_type] = STATE(3274),
    [sym_flow_maybe_type] = STATE(3274),
    [sym_parenthesized_type] = STATE(3274),
    [sym_predefined_type] = STATE(3274),
    [sym_object_type] = STATE(3274),
    [sym_type_parameters] = STATE(5160),
    [sym_array_type] = STATE(3274),
    [sym_tuple_type] = STATE(3274),
    [sym_readonly_type] = STATE(3272),
    [sym_union_type] = STATE(3274),
    [sym_intersection_type] = STATE(3274),
    [sym_function_type] = STATE(3272),
    [sym_identifier] = ACTIONS(1623),
    [anon_sym_STAR] = ACTIONS(999),
    [anon_sym_LBRACE] = ACTIONS(1627),
    [anon_sym_typeof] = ACTIONS(1629),
    [anon_sym_import] = ACTIONS(1545),
    [anon_sym_const] = ACTIONS(1005),
    [anon_sym_LPAREN] = ACTIONS(1631),
    [anon_sym_LBRACK] = ACTIONS(1633),
    [anon_sym_DQUOTE] = ACTIONS(1635),
    [anon_sym_SQUOTE] = ACTIONS(1637),
    [anon_sym_new] = ACTIONS(1639),
    [anon_sym_AMP] = ACTIONS(1013),
    [anon_sym_PIPE] = ACTIONS(1015),
    [anon_sym_PLUS] = ACTIONS(3020),
    [anon_sym_DASH] = ACTIONS(3020),
    [anon_sym_LT] = ACTIONS(2570),
    [anon_sym_void] = ACTIONS(1045),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1647),
    [sym_number] = ACTIONS(1649),
    [sym_this] = ACTIONS(1651),
    [sym_true] = ACTIONS(1653),
    [sym_false] = ACTIONS(1653),
    [sym_null] = ACTIONS(1653),
    [sym_undefined] = ACTIONS(1653),
    [anon_sym_readonly] = ACTIONS(1655),
    [anon_sym_QMARK] = ACTIONS(1033),
    [anon_sym_any] = ACTIONS(1045),
    [anon_sym_number] = ACTIONS(1045),
    [anon_sym_boolean] = ACTIONS(1045),
    [anon_sym_string] = ACTIONS(1045),
    [anon_sym_symbol] = ACTIONS(1045),
    [anon_sym_object] = ACTIONS(1045),
    [anon_sym_abstract] = ACTIONS(1037),
    [anon_sym_infer] = ACTIONS(1039),
    [anon_sym_keyof] = ACTIONS(1041),
    [anon_sym_unique] = ACTIONS(1043),
    [anon_sym_unknown] = ACTIONS(1045),
    [anon_sym_never] = ACTIONS(1045),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1047),
    [sym_html_comment] = ACTIONS(5),
  },
  [1033] = {
    [sym_import] = STATE(4926),
    [sym_nested_identifier] = STATE(5583),
    [sym_string] = STATE(3268),
    [sym_formal_parameters] = STATE(5787),
    [sym_nested_type_identifier] = STATE(3131),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3073),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3209),
    [sym_type] = STATE(3254),
    [sym_constructor_type] = STATE(3272),
    [sym_primary_type] = STATE(3273),
    [sym_template_literal_type] = STATE(3274),
    [sym_infer_type] = STATE(3272),
    [sym_conditional_type] = STATE(3274),
    [sym_generic_type] = STATE(3274),
    [sym_type_query] = STATE(3274),
    [sym_index_type_query] = STATE(3274),
    [sym_lookup_type] = STATE(3274),
    [sym_literal_type] = STATE(3274),
    [sym__number] = STATE(3275),
    [sym_existential_type] = STATE(3274),
    [sym_flow_maybe_type] = STATE(3274),
    [sym_parenthesized_type] = STATE(3274),
    [sym_predefined_type] = STATE(3274),
    [sym_object_type] = STATE(3274),
    [sym_type_parameters] = STATE(5160),
    [sym_array_type] = STATE(3274),
    [sym_tuple_type] = STATE(3274),
    [sym_readonly_type] = STATE(3272),
    [sym_union_type] = STATE(3274),
    [sym_intersection_type] = STATE(3274),
    [sym_function_type] = STATE(3272),
    [sym_identifier] = ACTIONS(1623),
    [anon_sym_STAR] = ACTIONS(999),
    [anon_sym_LBRACE] = ACTIONS(1627),
    [anon_sym_typeof] = ACTIONS(1629),
    [anon_sym_import] = ACTIONS(1545),
    [anon_sym_const] = ACTIONS(1005),
    [anon_sym_LPAREN] = ACTIONS(1631),
    [anon_sym_LBRACK] = ACTIONS(1633),
    [anon_sym_DQUOTE] = ACTIONS(1635),
    [anon_sym_SQUOTE] = ACTIONS(1637),
    [anon_sym_new] = ACTIONS(1639),
    [anon_sym_AMP] = ACTIONS(1013),
    [anon_sym_PIPE] = ACTIONS(1015),
    [anon_sym_PLUS] = ACTIONS(3020),
    [anon_sym_DASH] = ACTIONS(3020),
    [anon_sym_LT] = ACTIONS(2570),
    [anon_sym_void] = ACTIONS(1045),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1647),
    [sym_number] = ACTIONS(1649),
    [sym_this] = ACTIONS(1651),
    [sym_true] = ACTIONS(1653),
    [sym_false] = ACTIONS(1653),
    [sym_null] = ACTIONS(1653),
    [sym_undefined] = ACTIONS(1653),
    [anon_sym_readonly] = ACTIONS(1655),
    [anon_sym_QMARK] = ACTIONS(1033),
    [anon_sym_any] = ACTIONS(1045),
    [anon_sym_number] = ACTIONS(1045),
    [anon_sym_boolean] = ACTIONS(1045),
    [anon_sym_string] = ACTIONS(1045),
    [anon_sym_symbol] = ACTIONS(1045),
    [anon_sym_object] = ACTIONS(1045),
    [anon_sym_abstract] = ACTIONS(1037),
    [anon_sym_infer] = ACTIONS(1039),
    [anon_sym_keyof] = ACTIONS(1041),
    [anon_sym_unique] = ACTIONS(1043),
    [anon_sym_unknown] = ACTIONS(1045),
    [anon_sym_never] = ACTIONS(1045),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1047),
    [sym_html_comment] = ACTIONS(5),
  },
  [1034] = {
    [sym_import] = STATE(4788),
    [sym_nested_identifier] = STATE(5583),
    [sym_string] = STATE(3268),
    [sym_formal_parameters] = STATE(5623),
    [sym_nested_type_identifier] = STATE(3131),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2942),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2944),
    [sym_type] = STATE(4976),
    [sym_constructor_type] = STATE(2974),
    [sym_primary_type] = STATE(3256),
    [sym_template_literal_type] = STATE(3274),
    [sym_infer_type] = STATE(2974),
    [sym_conditional_type] = STATE(3274),
    [sym_generic_type] = STATE(3274),
    [sym_type_query] = STATE(3274),
    [sym_index_type_query] = STATE(3274),
    [sym_lookup_type] = STATE(3274),
    [sym_literal_type] = STATE(3274),
    [sym__number] = STATE(3275),
    [sym_existential_type] = STATE(3274),
    [sym_flow_maybe_type] = STATE(3274),
    [sym_parenthesized_type] = STATE(3274),
    [sym_predefined_type] = STATE(3274),
    [sym_object_type] = STATE(3274),
    [sym_type_parameters] = STATE(5442),
    [sym_array_type] = STATE(3274),
    [sym_tuple_type] = STATE(3274),
    [sym_readonly_type] = STATE(2974),
    [sym_union_type] = STATE(3274),
    [sym_intersection_type] = STATE(3274),
    [sym_function_type] = STATE(2974),
    [sym_identifier] = ACTIONS(1623),
    [anon_sym_STAR] = ACTIONS(999),
    [anon_sym_LBRACE] = ACTIONS(1627),
    [anon_sym_typeof] = ACTIONS(1629),
    [anon_sym_import] = ACTIONS(1545),
    [anon_sym_const] = ACTIONS(1005),
    [anon_sym_LPAREN] = ACTIONS(1631),
    [anon_sym_LBRACK] = ACTIONS(1633),
    [anon_sym_DQUOTE] = ACTIONS(1635),
    [anon_sym_SQUOTE] = ACTIONS(1637),
    [anon_sym_new] = ACTIONS(1555),
    [anon_sym_AMP] = ACTIONS(1013),
    [anon_sym_PIPE] = ACTIONS(1015),
    [anon_sym_PLUS] = ACTIONS(3020),
    [anon_sym_DASH] = ACTIONS(3020),
    [anon_sym_LT] = ACTIONS(2570),
    [anon_sym_void] = ACTIONS(1045),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1647),
    [sym_number] = ACTIONS(1649),
    [sym_this] = ACTIONS(1651),
    [sym_true] = ACTIONS(1653),
    [sym_false] = ACTIONS(1653),
    [sym_null] = ACTIONS(1653),
    [sym_undefined] = ACTIONS(1653),
    [anon_sym_readonly] = ACTIONS(1569),
    [anon_sym_QMARK] = ACTIONS(1033),
    [anon_sym_any] = ACTIONS(1045),
    [anon_sym_number] = ACTIONS(1045),
    [anon_sym_boolean] = ACTIONS(1045),
    [anon_sym_string] = ACTIONS(1045),
    [anon_sym_symbol] = ACTIONS(1045),
    [anon_sym_object] = ACTIONS(1045),
    [anon_sym_abstract] = ACTIONS(209),
    [anon_sym_infer] = ACTIONS(211),
    [anon_sym_keyof] = ACTIONS(1041),
    [anon_sym_unique] = ACTIONS(1043),
    [anon_sym_unknown] = ACTIONS(1045),
    [anon_sym_never] = ACTIONS(1045),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1047),
    [sym_html_comment] = ACTIONS(5),
  },
  [1035] = {
    [sym_import] = STATE(4788),
    [sym_nested_identifier] = STATE(5583),
    [sym_string] = STATE(3268),
    [sym_formal_parameters] = STATE(5623),
    [sym_nested_type_identifier] = STATE(3131),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2942),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2944),
    [sym_type] = STATE(4976),
    [sym_constructor_type] = STATE(2974),
    [sym_primary_type] = STATE(3264),
    [sym_template_literal_type] = STATE(3274),
    [sym_infer_type] = STATE(2974),
    [sym_conditional_type] = STATE(3274),
    [sym_generic_type] = STATE(3274),
    [sym_type_query] = STATE(3274),
    [sym_index_type_query] = STATE(3274),
    [sym_lookup_type] = STATE(3274),
    [sym_literal_type] = STATE(3274),
    [sym__number] = STATE(3275),
    [sym_existential_type] = STATE(3274),
    [sym_flow_maybe_type] = STATE(3274),
    [sym_parenthesized_type] = STATE(3274),
    [sym_predefined_type] = STATE(3274),
    [sym_object_type] = STATE(3274),
    [sym_type_parameters] = STATE(5442),
    [sym_array_type] = STATE(3274),
    [sym_tuple_type] = STATE(3274),
    [sym_readonly_type] = STATE(2974),
    [sym_union_type] = STATE(3274),
    [sym_intersection_type] = STATE(3274),
    [sym_function_type] = STATE(2974),
    [sym_identifier] = ACTIONS(1623),
    [anon_sym_STAR] = ACTIONS(999),
    [anon_sym_LBRACE] = ACTIONS(1627),
    [anon_sym_typeof] = ACTIONS(1629),
    [anon_sym_import] = ACTIONS(1545),
    [anon_sym_const] = ACTIONS(1005),
    [anon_sym_LPAREN] = ACTIONS(1631),
    [anon_sym_LBRACK] = ACTIONS(1633),
    [anon_sym_DQUOTE] = ACTIONS(1635),
    [anon_sym_SQUOTE] = ACTIONS(1637),
    [anon_sym_new] = ACTIONS(1555),
    [anon_sym_AMP] = ACTIONS(1013),
    [anon_sym_PIPE] = ACTIONS(1015),
    [anon_sym_PLUS] = ACTIONS(3020),
    [anon_sym_DASH] = ACTIONS(3020),
    [anon_sym_LT] = ACTIONS(2570),
    [anon_sym_void] = ACTIONS(1045),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1647),
    [sym_number] = ACTIONS(1649),
    [sym_this] = ACTIONS(1651),
    [sym_true] = ACTIONS(1653),
    [sym_false] = ACTIONS(1653),
    [sym_null] = ACTIONS(1653),
    [sym_undefined] = ACTIONS(1653),
    [anon_sym_readonly] = ACTIONS(1569),
    [anon_sym_QMARK] = ACTIONS(1033),
    [anon_sym_any] = ACTIONS(1045),
    [anon_sym_number] = ACTIONS(1045),
    [anon_sym_boolean] = ACTIONS(1045),
    [anon_sym_string] = ACTIONS(1045),
    [anon_sym_symbol] = ACTIONS(1045),
    [anon_sym_object] = ACTIONS(1045),
    [anon_sym_abstract] = ACTIONS(209),
    [anon_sym_infer] = ACTIONS(211),
    [anon_sym_keyof] = ACTIONS(1041),
    [anon_sym_unique] = ACTIONS(1043),
    [anon_sym_unknown] = ACTIONS(1045),
    [anon_sym_never] = ACTIONS(1045),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1047),
    [sym_html_comment] = ACTIONS(5),
  },
  [1036] = {
    [sym_import] = STATE(4680),
    [sym_nested_identifier] = STATE(5868),
    [sym_string] = STATE(3013),
    [sym_formal_parameters] = STATE(5631),
    [sym_nested_type_identifier] = STATE(2941),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3315),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2944),
    [sym_type] = STATE(3030),
    [sym_constructor_type] = STATE(2974),
    [sym_primary_type] = STATE(3014),
    [sym_template_literal_type] = STATE(3018),
    [sym_infer_type] = STATE(2974),
    [sym_conditional_type] = STATE(3018),
    [sym_generic_type] = STATE(3018),
    [sym_type_query] = STATE(3018),
    [sym_index_type_query] = STATE(3018),
    [sym_lookup_type] = STATE(3018),
    [sym_literal_type] = STATE(3018),
    [sym__number] = STATE(3031),
    [sym_existential_type] = STATE(3018),
    [sym_flow_maybe_type] = STATE(3018),
    [sym_parenthesized_type] = STATE(3018),
    [sym_predefined_type] = STATE(3018),
    [sym_object_type] = STATE(3018),
    [sym_type_parameters] = STATE(5464),
    [sym_array_type] = STATE(3018),
    [sym_tuple_type] = STATE(3018),
    [sym_readonly_type] = STATE(2974),
    [sym_union_type] = STATE(3018),
    [sym_intersection_type] = STATE(3018),
    [sym_function_type] = STATE(2974),
    [sym_identifier] = ACTIONS(1539),
    [anon_sym_STAR] = ACTIONS(582),
    [anon_sym_LBRACE] = ACTIONS(1541),
    [anon_sym_typeof] = ACTIONS(1543),
    [anon_sym_import] = ACTIONS(1545),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1547),
    [anon_sym_LBRACK] = ACTIONS(1549),
    [anon_sym_DQUOTE] = ACTIONS(1551),
    [anon_sym_SQUOTE] = ACTIONS(1553),
    [anon_sym_new] = ACTIONS(1613),
    [anon_sym_AMP] = ACTIONS(610),
    [anon_sym_PIPE] = ACTIONS(612),
    [anon_sym_PLUS] = ACTIONS(2568),
    [anon_sym_DASH] = ACTIONS(2568),
    [anon_sym_LT] = ACTIONS(2570),
    [anon_sym_void] = ACTIONS(217),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1561),
    [sym_number] = ACTIONS(1563),
    [sym_this] = ACTIONS(1565),
    [sym_true] = ACTIONS(1567),
    [sym_false] = ACTIONS(1567),
    [sym_null] = ACTIONS(1567),
    [sym_undefined] = ACTIONS(1567),
    [anon_sym_readonly] = ACTIONS(1619),
    [anon_sym_QMARK] = ACTIONS(632),
    [anon_sym_any] = ACTIONS(217),
    [anon_sym_number] = ACTIONS(217),
    [anon_sym_boolean] = ACTIONS(217),
    [anon_sym_string] = ACTIONS(217),
    [anon_sym_symbol] = ACTIONS(217),
    [anon_sym_object] = ACTIONS(217),
    [anon_sym_abstract] = ACTIONS(636),
    [anon_sym_infer] = ACTIONS(638),
    [anon_sym_keyof] = ACTIONS(640),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym_html_comment] = ACTIONS(5),
  },
  [1037] = {
    [sym_import] = STATE(4680),
    [sym_nested_identifier] = STATE(5868),
    [sym_string] = STATE(3013),
    [sym_formal_parameters] = STATE(5631),
    [sym_nested_type_identifier] = STATE(2941),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3315),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2944),
    [sym_type] = STATE(3646),
    [sym_constructor_type] = STATE(2974),
    [sym_primary_type] = STATE(3014),
    [sym_template_literal_type] = STATE(3018),
    [sym_infer_type] = STATE(2974),
    [sym_conditional_type] = STATE(3018),
    [sym_generic_type] = STATE(3018),
    [sym_type_query] = STATE(3018),
    [sym_index_type_query] = STATE(3018),
    [sym_lookup_type] = STATE(3018),
    [sym_literal_type] = STATE(3018),
    [sym__number] = STATE(3031),
    [sym_existential_type] = STATE(3018),
    [sym_flow_maybe_type] = STATE(3018),
    [sym_parenthesized_type] = STATE(3018),
    [sym_predefined_type] = STATE(3018),
    [sym_object_type] = STATE(3018),
    [sym_type_parameters] = STATE(5464),
    [sym_array_type] = STATE(3018),
    [sym_tuple_type] = STATE(3018),
    [sym_readonly_type] = STATE(2974),
    [sym_union_type] = STATE(3018),
    [sym_intersection_type] = STATE(3018),
    [sym_function_type] = STATE(2974),
    [sym_identifier] = ACTIONS(1539),
    [anon_sym_STAR] = ACTIONS(582),
    [anon_sym_LBRACE] = ACTIONS(1541),
    [anon_sym_typeof] = ACTIONS(1543),
    [anon_sym_import] = ACTIONS(1545),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1547),
    [anon_sym_LBRACK] = ACTIONS(1549),
    [anon_sym_DQUOTE] = ACTIONS(1551),
    [anon_sym_SQUOTE] = ACTIONS(1553),
    [anon_sym_new] = ACTIONS(1613),
    [anon_sym_AMP] = ACTIONS(610),
    [anon_sym_PIPE] = ACTIONS(612),
    [anon_sym_PLUS] = ACTIONS(2568),
    [anon_sym_DASH] = ACTIONS(2568),
    [anon_sym_LT] = ACTIONS(2570),
    [anon_sym_void] = ACTIONS(217),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1561),
    [sym_number] = ACTIONS(1563),
    [sym_this] = ACTIONS(1565),
    [sym_true] = ACTIONS(1567),
    [sym_false] = ACTIONS(1567),
    [sym_null] = ACTIONS(1567),
    [sym_undefined] = ACTIONS(1567),
    [anon_sym_readonly] = ACTIONS(1619),
    [anon_sym_QMARK] = ACTIONS(632),
    [anon_sym_any] = ACTIONS(217),
    [anon_sym_number] = ACTIONS(217),
    [anon_sym_boolean] = ACTIONS(217),
    [anon_sym_string] = ACTIONS(217),
    [anon_sym_symbol] = ACTIONS(217),
    [anon_sym_object] = ACTIONS(217),
    [anon_sym_abstract] = ACTIONS(636),
    [anon_sym_infer] = ACTIONS(638),
    [anon_sym_keyof] = ACTIONS(640),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym_html_comment] = ACTIONS(5),
  },
  [1038] = {
    [sym_import] = STATE(4926),
    [sym_nested_identifier] = STATE(5583),
    [sym_string] = STATE(3268),
    [sym_formal_parameters] = STATE(5787),
    [sym_nested_type_identifier] = STATE(3131),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3073),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3209),
    [sym_type] = STATE(3502),
    [sym_constructor_type] = STATE(3272),
    [sym_primary_type] = STATE(3273),
    [sym_template_literal_type] = STATE(3274),
    [sym_infer_type] = STATE(3272),
    [sym_conditional_type] = STATE(3274),
    [sym_generic_type] = STATE(3274),
    [sym_type_query] = STATE(3274),
    [sym_index_type_query] = STATE(3274),
    [sym_lookup_type] = STATE(3274),
    [sym_literal_type] = STATE(3274),
    [sym__number] = STATE(3275),
    [sym_existential_type] = STATE(3274),
    [sym_flow_maybe_type] = STATE(3274),
    [sym_parenthesized_type] = STATE(3274),
    [sym_predefined_type] = STATE(3274),
    [sym_object_type] = STATE(3274),
    [sym_type_parameters] = STATE(5160),
    [sym_array_type] = STATE(3274),
    [sym_tuple_type] = STATE(3274),
    [sym_readonly_type] = STATE(3272),
    [sym_union_type] = STATE(3274),
    [sym_intersection_type] = STATE(3274),
    [sym_function_type] = STATE(3272),
    [sym_identifier] = ACTIONS(1623),
    [anon_sym_STAR] = ACTIONS(999),
    [anon_sym_LBRACE] = ACTIONS(1627),
    [anon_sym_typeof] = ACTIONS(1629),
    [anon_sym_import] = ACTIONS(1545),
    [anon_sym_const] = ACTIONS(1005),
    [anon_sym_LPAREN] = ACTIONS(1631),
    [anon_sym_LBRACK] = ACTIONS(1633),
    [anon_sym_DQUOTE] = ACTIONS(1635),
    [anon_sym_SQUOTE] = ACTIONS(1637),
    [anon_sym_new] = ACTIONS(1639),
    [anon_sym_AMP] = ACTIONS(1013),
    [anon_sym_PIPE] = ACTIONS(1015),
    [anon_sym_PLUS] = ACTIONS(3020),
    [anon_sym_DASH] = ACTIONS(3020),
    [anon_sym_LT] = ACTIONS(2570),
    [anon_sym_void] = ACTIONS(1045),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1647),
    [sym_number] = ACTIONS(1649),
    [sym_this] = ACTIONS(1651),
    [sym_true] = ACTIONS(1653),
    [sym_false] = ACTIONS(1653),
    [sym_null] = ACTIONS(1653),
    [sym_undefined] = ACTIONS(1653),
    [anon_sym_readonly] = ACTIONS(1655),
    [anon_sym_QMARK] = ACTIONS(1033),
    [anon_sym_any] = ACTIONS(1045),
    [anon_sym_number] = ACTIONS(1045),
    [anon_sym_boolean] = ACTIONS(1045),
    [anon_sym_string] = ACTIONS(1045),
    [anon_sym_symbol] = ACTIONS(1045),
    [anon_sym_object] = ACTIONS(1045),
    [anon_sym_abstract] = ACTIONS(1037),
    [anon_sym_infer] = ACTIONS(1039),
    [anon_sym_keyof] = ACTIONS(1041),
    [anon_sym_unique] = ACTIONS(1043),
    [anon_sym_unknown] = ACTIONS(1045),
    [anon_sym_never] = ACTIONS(1045),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1047),
    [sym_html_comment] = ACTIONS(5),
  },
  [1039] = {
    [sym_import] = STATE(4926),
    [sym_nested_identifier] = STATE(5583),
    [sym_string] = STATE(3268),
    [sym_formal_parameters] = STATE(5787),
    [sym_nested_type_identifier] = STATE(3131),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3073),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3209),
    [sym_type] = STATE(3965),
    [sym_constructor_type] = STATE(3272),
    [sym_primary_type] = STATE(3273),
    [sym_template_literal_type] = STATE(3274),
    [sym_infer_type] = STATE(3272),
    [sym_conditional_type] = STATE(3274),
    [sym_generic_type] = STATE(3274),
    [sym_type_query] = STATE(3274),
    [sym_index_type_query] = STATE(3274),
    [sym_lookup_type] = STATE(3274),
    [sym_literal_type] = STATE(3274),
    [sym__number] = STATE(3275),
    [sym_existential_type] = STATE(3274),
    [sym_flow_maybe_type] = STATE(3274),
    [sym_parenthesized_type] = STATE(3274),
    [sym_predefined_type] = STATE(3274),
    [sym_object_type] = STATE(3274),
    [sym_type_parameters] = STATE(5160),
    [sym_array_type] = STATE(3274),
    [sym_tuple_type] = STATE(3274),
    [sym_readonly_type] = STATE(3272),
    [sym_union_type] = STATE(3274),
    [sym_intersection_type] = STATE(3274),
    [sym_function_type] = STATE(3272),
    [sym_identifier] = ACTIONS(1623),
    [anon_sym_STAR] = ACTIONS(999),
    [anon_sym_LBRACE] = ACTIONS(1627),
    [anon_sym_typeof] = ACTIONS(1629),
    [anon_sym_import] = ACTIONS(1545),
    [anon_sym_const] = ACTIONS(1005),
    [anon_sym_LPAREN] = ACTIONS(1631),
    [anon_sym_LBRACK] = ACTIONS(1633),
    [anon_sym_DQUOTE] = ACTIONS(1635),
    [anon_sym_SQUOTE] = ACTIONS(1637),
    [anon_sym_new] = ACTIONS(1639),
    [anon_sym_AMP] = ACTIONS(1013),
    [anon_sym_PIPE] = ACTIONS(1015),
    [anon_sym_PLUS] = ACTIONS(3020),
    [anon_sym_DASH] = ACTIONS(3020),
    [anon_sym_LT] = ACTIONS(2570),
    [anon_sym_void] = ACTIONS(1045),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1647),
    [sym_number] = ACTIONS(1649),
    [sym_this] = ACTIONS(1651),
    [sym_true] = ACTIONS(1653),
    [sym_false] = ACTIONS(1653),
    [sym_null] = ACTIONS(1653),
    [sym_undefined] = ACTIONS(1653),
    [anon_sym_readonly] = ACTIONS(1655),
    [anon_sym_QMARK] = ACTIONS(1033),
    [anon_sym_any] = ACTIONS(1045),
    [anon_sym_number] = ACTIONS(1045),
    [anon_sym_boolean] = ACTIONS(1045),
    [anon_sym_string] = ACTIONS(1045),
    [anon_sym_symbol] = ACTIONS(1045),
    [anon_sym_object] = ACTIONS(1045),
    [anon_sym_abstract] = ACTIONS(1037),
    [anon_sym_infer] = ACTIONS(1039),
    [anon_sym_keyof] = ACTIONS(1041),
    [anon_sym_unique] = ACTIONS(1043),
    [anon_sym_unknown] = ACTIONS(1045),
    [anon_sym_never] = ACTIONS(1045),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1047),
    [sym_html_comment] = ACTIONS(5),
  },
  [1040] = {
    [sym_import] = STATE(4926),
    [sym_nested_identifier] = STATE(5583),
    [sym_string] = STATE(3268),
    [sym_formal_parameters] = STATE(5787),
    [sym_nested_type_identifier] = STATE(3131),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3073),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3209),
    [sym_type] = STATE(3478),
    [sym_constructor_type] = STATE(3272),
    [sym_primary_type] = STATE(3273),
    [sym_template_literal_type] = STATE(3274),
    [sym_infer_type] = STATE(3272),
    [sym_conditional_type] = STATE(3274),
    [sym_generic_type] = STATE(3274),
    [sym_type_query] = STATE(3274),
    [sym_index_type_query] = STATE(3274),
    [sym_lookup_type] = STATE(3274),
    [sym_literal_type] = STATE(3274),
    [sym__number] = STATE(3275),
    [sym_existential_type] = STATE(3274),
    [sym_flow_maybe_type] = STATE(3274),
    [sym_parenthesized_type] = STATE(3274),
    [sym_predefined_type] = STATE(3274),
    [sym_object_type] = STATE(3274),
    [sym_type_parameters] = STATE(5160),
    [sym_array_type] = STATE(3274),
    [sym_tuple_type] = STATE(3274),
    [sym_readonly_type] = STATE(3272),
    [sym_union_type] = STATE(3274),
    [sym_intersection_type] = STATE(3274),
    [sym_function_type] = STATE(3272),
    [sym_identifier] = ACTIONS(1623),
    [anon_sym_STAR] = ACTIONS(999),
    [anon_sym_LBRACE] = ACTIONS(1627),
    [anon_sym_typeof] = ACTIONS(1629),
    [anon_sym_import] = ACTIONS(1545),
    [anon_sym_const] = ACTIONS(1005),
    [anon_sym_LPAREN] = ACTIONS(1631),
    [anon_sym_LBRACK] = ACTIONS(1633),
    [anon_sym_DQUOTE] = ACTIONS(1635),
    [anon_sym_SQUOTE] = ACTIONS(1637),
    [anon_sym_new] = ACTIONS(1639),
    [anon_sym_AMP] = ACTIONS(1013),
    [anon_sym_PIPE] = ACTIONS(1015),
    [anon_sym_PLUS] = ACTIONS(3020),
    [anon_sym_DASH] = ACTIONS(3020),
    [anon_sym_LT] = ACTIONS(2570),
    [anon_sym_void] = ACTIONS(1045),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1647),
    [sym_number] = ACTIONS(1649),
    [sym_this] = ACTIONS(1651),
    [sym_true] = ACTIONS(1653),
    [sym_false] = ACTIONS(1653),
    [sym_null] = ACTIONS(1653),
    [sym_undefined] = ACTIONS(1653),
    [anon_sym_readonly] = ACTIONS(1655),
    [anon_sym_QMARK] = ACTIONS(1033),
    [anon_sym_any] = ACTIONS(1045),
    [anon_sym_number] = ACTIONS(1045),
    [anon_sym_boolean] = ACTIONS(1045),
    [anon_sym_string] = ACTIONS(1045),
    [anon_sym_symbol] = ACTIONS(1045),
    [anon_sym_object] = ACTIONS(1045),
    [anon_sym_abstract] = ACTIONS(1037),
    [anon_sym_infer] = ACTIONS(1039),
    [anon_sym_keyof] = ACTIONS(1041),
    [anon_sym_unique] = ACTIONS(1043),
    [anon_sym_unknown] = ACTIONS(1045),
    [anon_sym_never] = ACTIONS(1045),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1047),
    [sym_html_comment] = ACTIONS(5),
  },
  [1041] = {
    [sym_import] = STATE(4680),
    [sym_nested_identifier] = STATE(5868),
    [sym_string] = STATE(3013),
    [sym_formal_parameters] = STATE(5631),
    [sym_nested_type_identifier] = STATE(2941),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3315),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2944),
    [sym_type] = STATE(3003),
    [sym_constructor_type] = STATE(2974),
    [sym_primary_type] = STATE(3014),
    [sym_template_literal_type] = STATE(3018),
    [sym_infer_type] = STATE(2974),
    [sym_conditional_type] = STATE(3018),
    [sym_generic_type] = STATE(3018),
    [sym_type_query] = STATE(3018),
    [sym_index_type_query] = STATE(3018),
    [sym_lookup_type] = STATE(3018),
    [sym_literal_type] = STATE(3018),
    [sym__number] = STATE(3031),
    [sym_existential_type] = STATE(3018),
    [sym_flow_maybe_type] = STATE(3018),
    [sym_parenthesized_type] = STATE(3018),
    [sym_predefined_type] = STATE(3018),
    [sym_object_type] = STATE(3018),
    [sym_type_parameters] = STATE(5464),
    [sym_array_type] = STATE(3018),
    [sym_tuple_type] = STATE(3018),
    [sym_readonly_type] = STATE(2974),
    [sym_union_type] = STATE(3018),
    [sym_intersection_type] = STATE(3018),
    [sym_function_type] = STATE(2974),
    [sym_identifier] = ACTIONS(1539),
    [anon_sym_STAR] = ACTIONS(582),
    [anon_sym_LBRACE] = ACTIONS(1541),
    [anon_sym_typeof] = ACTIONS(1543),
    [anon_sym_import] = ACTIONS(1545),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1547),
    [anon_sym_LBRACK] = ACTIONS(1549),
    [anon_sym_DQUOTE] = ACTIONS(1551),
    [anon_sym_SQUOTE] = ACTIONS(1553),
    [anon_sym_new] = ACTIONS(1613),
    [anon_sym_AMP] = ACTIONS(610),
    [anon_sym_PIPE] = ACTIONS(612),
    [anon_sym_PLUS] = ACTIONS(2568),
    [anon_sym_DASH] = ACTIONS(2568),
    [anon_sym_LT] = ACTIONS(2570),
    [anon_sym_void] = ACTIONS(217),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1561),
    [sym_number] = ACTIONS(1563),
    [sym_this] = ACTIONS(1565),
    [sym_true] = ACTIONS(1567),
    [sym_false] = ACTIONS(1567),
    [sym_null] = ACTIONS(1567),
    [sym_undefined] = ACTIONS(1567),
    [anon_sym_readonly] = ACTIONS(1619),
    [anon_sym_QMARK] = ACTIONS(632),
    [anon_sym_any] = ACTIONS(217),
    [anon_sym_number] = ACTIONS(217),
    [anon_sym_boolean] = ACTIONS(217),
    [anon_sym_string] = ACTIONS(217),
    [anon_sym_symbol] = ACTIONS(217),
    [anon_sym_object] = ACTIONS(217),
    [anon_sym_abstract] = ACTIONS(636),
    [anon_sym_infer] = ACTIONS(638),
    [anon_sym_keyof] = ACTIONS(640),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym_html_comment] = ACTIONS(5),
  },
  [1042] = {
    [sym_import] = STATE(4680),
    [sym_nested_identifier] = STATE(5868),
    [sym_string] = STATE(3013),
    [sym_formal_parameters] = STATE(5631),
    [sym_nested_type_identifier] = STATE(2941),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3315),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2944),
    [sym_type] = STATE(3649),
    [sym_constructor_type] = STATE(2974),
    [sym_primary_type] = STATE(3014),
    [sym_template_literal_type] = STATE(3018),
    [sym_infer_type] = STATE(2974),
    [sym_conditional_type] = STATE(3018),
    [sym_generic_type] = STATE(3018),
    [sym_type_query] = STATE(3018),
    [sym_index_type_query] = STATE(3018),
    [sym_lookup_type] = STATE(3018),
    [sym_literal_type] = STATE(3018),
    [sym__number] = STATE(3031),
    [sym_existential_type] = STATE(3018),
    [sym_flow_maybe_type] = STATE(3018),
    [sym_parenthesized_type] = STATE(3018),
    [sym_predefined_type] = STATE(3018),
    [sym_object_type] = STATE(3018),
    [sym_type_parameters] = STATE(5464),
    [sym_array_type] = STATE(3018),
    [sym_tuple_type] = STATE(3018),
    [sym_readonly_type] = STATE(2974),
    [sym_union_type] = STATE(3018),
    [sym_intersection_type] = STATE(3018),
    [sym_function_type] = STATE(2974),
    [sym_identifier] = ACTIONS(1539),
    [anon_sym_STAR] = ACTIONS(582),
    [anon_sym_LBRACE] = ACTIONS(1541),
    [anon_sym_typeof] = ACTIONS(1543),
    [anon_sym_import] = ACTIONS(1545),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1547),
    [anon_sym_LBRACK] = ACTIONS(1549),
    [anon_sym_DQUOTE] = ACTIONS(1551),
    [anon_sym_SQUOTE] = ACTIONS(1553),
    [anon_sym_new] = ACTIONS(1613),
    [anon_sym_AMP] = ACTIONS(610),
    [anon_sym_PIPE] = ACTIONS(612),
    [anon_sym_PLUS] = ACTIONS(2568),
    [anon_sym_DASH] = ACTIONS(2568),
    [anon_sym_LT] = ACTIONS(2570),
    [anon_sym_void] = ACTIONS(217),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1561),
    [sym_number] = ACTIONS(1563),
    [sym_this] = ACTIONS(1565),
    [sym_true] = ACTIONS(1567),
    [sym_false] = ACTIONS(1567),
    [sym_null] = ACTIONS(1567),
    [sym_undefined] = ACTIONS(1567),
    [anon_sym_readonly] = ACTIONS(1619),
    [anon_sym_QMARK] = ACTIONS(632),
    [anon_sym_any] = ACTIONS(217),
    [anon_sym_number] = ACTIONS(217),
    [anon_sym_boolean] = ACTIONS(217),
    [anon_sym_string] = ACTIONS(217),
    [anon_sym_symbol] = ACTIONS(217),
    [anon_sym_object] = ACTIONS(217),
    [anon_sym_abstract] = ACTIONS(636),
    [anon_sym_infer] = ACTIONS(638),
    [anon_sym_keyof] = ACTIONS(640),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym_html_comment] = ACTIONS(5),
  },
  [1043] = {
    [sym_import] = STATE(4926),
    [sym_nested_identifier] = STATE(5583),
    [sym_string] = STATE(3268),
    [sym_formal_parameters] = STATE(5787),
    [sym_nested_type_identifier] = STATE(3131),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3073),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3209),
    [sym_type] = STATE(3225),
    [sym_constructor_type] = STATE(3272),
    [sym_primary_type] = STATE(3273),
    [sym_template_literal_type] = STATE(3274),
    [sym_infer_type] = STATE(3272),
    [sym_conditional_type] = STATE(3274),
    [sym_generic_type] = STATE(3274),
    [sym_type_query] = STATE(3274),
    [sym_index_type_query] = STATE(3274),
    [sym_lookup_type] = STATE(3274),
    [sym_literal_type] = STATE(3274),
    [sym__number] = STATE(3275),
    [sym_existential_type] = STATE(3274),
    [sym_flow_maybe_type] = STATE(3274),
    [sym_parenthesized_type] = STATE(3274),
    [sym_predefined_type] = STATE(3274),
    [sym_object_type] = STATE(3274),
    [sym_type_parameters] = STATE(5160),
    [sym_array_type] = STATE(3274),
    [sym_tuple_type] = STATE(3274),
    [sym_readonly_type] = STATE(3272),
    [sym_union_type] = STATE(3274),
    [sym_intersection_type] = STATE(3274),
    [sym_function_type] = STATE(3272),
    [sym_identifier] = ACTIONS(1623),
    [anon_sym_STAR] = ACTIONS(999),
    [anon_sym_LBRACE] = ACTIONS(1627),
    [anon_sym_typeof] = ACTIONS(1629),
    [anon_sym_import] = ACTIONS(1545),
    [anon_sym_const] = ACTIONS(1005),
    [anon_sym_LPAREN] = ACTIONS(1631),
    [anon_sym_LBRACK] = ACTIONS(1633),
    [anon_sym_DQUOTE] = ACTIONS(1635),
    [anon_sym_SQUOTE] = ACTIONS(1637),
    [anon_sym_new] = ACTIONS(1639),
    [anon_sym_AMP] = ACTIONS(1013),
    [anon_sym_PIPE] = ACTIONS(1015),
    [anon_sym_PLUS] = ACTIONS(3020),
    [anon_sym_DASH] = ACTIONS(3020),
    [anon_sym_LT] = ACTIONS(2570),
    [anon_sym_void] = ACTIONS(1045),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1647),
    [sym_number] = ACTIONS(1649),
    [sym_this] = ACTIONS(1651),
    [sym_true] = ACTIONS(1653),
    [sym_false] = ACTIONS(1653),
    [sym_null] = ACTIONS(1653),
    [sym_undefined] = ACTIONS(1653),
    [anon_sym_readonly] = ACTIONS(1655),
    [anon_sym_QMARK] = ACTIONS(1033),
    [anon_sym_any] = ACTIONS(1045),
    [anon_sym_number] = ACTIONS(1045),
    [anon_sym_boolean] = ACTIONS(1045),
    [anon_sym_string] = ACTIONS(1045),
    [anon_sym_symbol] = ACTIONS(1045),
    [anon_sym_object] = ACTIONS(1045),
    [anon_sym_abstract] = ACTIONS(1037),
    [anon_sym_infer] = ACTIONS(1039),
    [anon_sym_keyof] = ACTIONS(1041),
    [anon_sym_unique] = ACTIONS(1043),
    [anon_sym_unknown] = ACTIONS(1045),
    [anon_sym_never] = ACTIONS(1045),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1047),
    [sym_html_comment] = ACTIONS(5),
  },
  [1044] = {
    [sym_import] = STATE(4680),
    [sym_nested_identifier] = STATE(5868),
    [sym_string] = STATE(3013),
    [sym_formal_parameters] = STATE(5631),
    [sym_nested_type_identifier] = STATE(2941),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3315),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2944),
    [sym_type] = STATE(3651),
    [sym_constructor_type] = STATE(2974),
    [sym_primary_type] = STATE(3014),
    [sym_template_literal_type] = STATE(3018),
    [sym_infer_type] = STATE(2974),
    [sym_conditional_type] = STATE(3018),
    [sym_generic_type] = STATE(3018),
    [sym_type_query] = STATE(3018),
    [sym_index_type_query] = STATE(3018),
    [sym_lookup_type] = STATE(3018),
    [sym_literal_type] = STATE(3018),
    [sym__number] = STATE(3031),
    [sym_existential_type] = STATE(3018),
    [sym_flow_maybe_type] = STATE(3018),
    [sym_parenthesized_type] = STATE(3018),
    [sym_predefined_type] = STATE(3018),
    [sym_object_type] = STATE(3018),
    [sym_type_parameters] = STATE(5464),
    [sym_array_type] = STATE(3018),
    [sym_tuple_type] = STATE(3018),
    [sym_readonly_type] = STATE(2974),
    [sym_union_type] = STATE(3018),
    [sym_intersection_type] = STATE(3018),
    [sym_function_type] = STATE(2974),
    [sym_identifier] = ACTIONS(1539),
    [anon_sym_STAR] = ACTIONS(582),
    [anon_sym_LBRACE] = ACTIONS(1541),
    [anon_sym_typeof] = ACTIONS(1543),
    [anon_sym_import] = ACTIONS(1545),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1547),
    [anon_sym_LBRACK] = ACTIONS(1549),
    [anon_sym_DQUOTE] = ACTIONS(1551),
    [anon_sym_SQUOTE] = ACTIONS(1553),
    [anon_sym_new] = ACTIONS(1613),
    [anon_sym_AMP] = ACTIONS(610),
    [anon_sym_PIPE] = ACTIONS(612),
    [anon_sym_PLUS] = ACTIONS(2568),
    [anon_sym_DASH] = ACTIONS(2568),
    [anon_sym_LT] = ACTIONS(2570),
    [anon_sym_void] = ACTIONS(217),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1561),
    [sym_number] = ACTIONS(1563),
    [sym_this] = ACTIONS(1565),
    [sym_true] = ACTIONS(1567),
    [sym_false] = ACTIONS(1567),
    [sym_null] = ACTIONS(1567),
    [sym_undefined] = ACTIONS(1567),
    [anon_sym_readonly] = ACTIONS(1619),
    [anon_sym_QMARK] = ACTIONS(632),
    [anon_sym_any] = ACTIONS(217),
    [anon_sym_number] = ACTIONS(217),
    [anon_sym_boolean] = ACTIONS(217),
    [anon_sym_string] = ACTIONS(217),
    [anon_sym_symbol] = ACTIONS(217),
    [anon_sym_object] = ACTIONS(217),
    [anon_sym_abstract] = ACTIONS(636),
    [anon_sym_infer] = ACTIONS(638),
    [anon_sym_keyof] = ACTIONS(640),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym_html_comment] = ACTIONS(5),
  },
  [1045] = {
    [sym_import] = STATE(4680),
    [sym_nested_identifier] = STATE(5868),
    [sym_string] = STATE(3013),
    [sym_formal_parameters] = STATE(5631),
    [sym_nested_type_identifier] = STATE(2941),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3315),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2944),
    [sym_type] = STATE(3652),
    [sym_constructor_type] = STATE(2974),
    [sym_primary_type] = STATE(3014),
    [sym_template_literal_type] = STATE(3018),
    [sym_infer_type] = STATE(2974),
    [sym_conditional_type] = STATE(3018),
    [sym_generic_type] = STATE(3018),
    [sym_type_query] = STATE(3018),
    [sym_index_type_query] = STATE(3018),
    [sym_lookup_type] = STATE(3018),
    [sym_literal_type] = STATE(3018),
    [sym__number] = STATE(3031),
    [sym_existential_type] = STATE(3018),
    [sym_flow_maybe_type] = STATE(3018),
    [sym_parenthesized_type] = STATE(3018),
    [sym_predefined_type] = STATE(3018),
    [sym_object_type] = STATE(3018),
    [sym_type_parameters] = STATE(5464),
    [sym_array_type] = STATE(3018),
    [sym_tuple_type] = STATE(3018),
    [sym_readonly_type] = STATE(2974),
    [sym_union_type] = STATE(3018),
    [sym_intersection_type] = STATE(3018),
    [sym_function_type] = STATE(2974),
    [sym_identifier] = ACTIONS(1539),
    [anon_sym_STAR] = ACTIONS(582),
    [anon_sym_LBRACE] = ACTIONS(1541),
    [anon_sym_typeof] = ACTIONS(1543),
    [anon_sym_import] = ACTIONS(1545),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1547),
    [anon_sym_LBRACK] = ACTIONS(1549),
    [anon_sym_DQUOTE] = ACTIONS(1551),
    [anon_sym_SQUOTE] = ACTIONS(1553),
    [anon_sym_new] = ACTIONS(1613),
    [anon_sym_AMP] = ACTIONS(610),
    [anon_sym_PIPE] = ACTIONS(612),
    [anon_sym_PLUS] = ACTIONS(2568),
    [anon_sym_DASH] = ACTIONS(2568),
    [anon_sym_LT] = ACTIONS(2570),
    [anon_sym_void] = ACTIONS(217),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1561),
    [sym_number] = ACTIONS(1563),
    [sym_this] = ACTIONS(1565),
    [sym_true] = ACTIONS(1567),
    [sym_false] = ACTIONS(1567),
    [sym_null] = ACTIONS(1567),
    [sym_undefined] = ACTIONS(1567),
    [anon_sym_readonly] = ACTIONS(1619),
    [anon_sym_QMARK] = ACTIONS(632),
    [anon_sym_any] = ACTIONS(217),
    [anon_sym_number] = ACTIONS(217),
    [anon_sym_boolean] = ACTIONS(217),
    [anon_sym_string] = ACTIONS(217),
    [anon_sym_symbol] = ACTIONS(217),
    [anon_sym_object] = ACTIONS(217),
    [anon_sym_abstract] = ACTIONS(636),
    [anon_sym_infer] = ACTIONS(638),
    [anon_sym_keyof] = ACTIONS(640),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym_html_comment] = ACTIONS(5),
  },
  [1046] = {
    [sym_import] = STATE(4926),
    [sym_nested_identifier] = STATE(5583),
    [sym_string] = STATE(3268),
    [sym_formal_parameters] = STATE(5787),
    [sym_nested_type_identifier] = STATE(3131),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3073),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3209),
    [sym_type] = STATE(3226),
    [sym_constructor_type] = STATE(3272),
    [sym_primary_type] = STATE(3273),
    [sym_template_literal_type] = STATE(3274),
    [sym_infer_type] = STATE(3272),
    [sym_conditional_type] = STATE(3274),
    [sym_generic_type] = STATE(3274),
    [sym_type_query] = STATE(3274),
    [sym_index_type_query] = STATE(3274),
    [sym_lookup_type] = STATE(3274),
    [sym_literal_type] = STATE(3274),
    [sym__number] = STATE(3275),
    [sym_existential_type] = STATE(3274),
    [sym_flow_maybe_type] = STATE(3274),
    [sym_parenthesized_type] = STATE(3274),
    [sym_predefined_type] = STATE(3274),
    [sym_object_type] = STATE(3274),
    [sym_type_parameters] = STATE(5160),
    [sym_array_type] = STATE(3274),
    [sym_tuple_type] = STATE(3274),
    [sym_readonly_type] = STATE(3272),
    [sym_union_type] = STATE(3274),
    [sym_intersection_type] = STATE(3274),
    [sym_function_type] = STATE(3272),
    [sym_identifier] = ACTIONS(1623),
    [anon_sym_STAR] = ACTIONS(999),
    [anon_sym_LBRACE] = ACTIONS(1627),
    [anon_sym_typeof] = ACTIONS(1629),
    [anon_sym_import] = ACTIONS(1545),
    [anon_sym_const] = ACTIONS(1005),
    [anon_sym_LPAREN] = ACTIONS(1631),
    [anon_sym_LBRACK] = ACTIONS(1633),
    [anon_sym_DQUOTE] = ACTIONS(1635),
    [anon_sym_SQUOTE] = ACTIONS(1637),
    [anon_sym_new] = ACTIONS(1639),
    [anon_sym_AMP] = ACTIONS(1013),
    [anon_sym_PIPE] = ACTIONS(1015),
    [anon_sym_PLUS] = ACTIONS(3020),
    [anon_sym_DASH] = ACTIONS(3020),
    [anon_sym_LT] = ACTIONS(2570),
    [anon_sym_void] = ACTIONS(1045),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1647),
    [sym_number] = ACTIONS(1649),
    [sym_this] = ACTIONS(1651),
    [sym_true] = ACTIONS(1653),
    [sym_false] = ACTIONS(1653),
    [sym_null] = ACTIONS(1653),
    [sym_undefined] = ACTIONS(1653),
    [anon_sym_readonly] = ACTIONS(1655),
    [anon_sym_QMARK] = ACTIONS(1033),
    [anon_sym_any] = ACTIONS(1045),
    [anon_sym_number] = ACTIONS(1045),
    [anon_sym_boolean] = ACTIONS(1045),
    [anon_sym_string] = ACTIONS(1045),
    [anon_sym_symbol] = ACTIONS(1045),
    [anon_sym_object] = ACTIONS(1045),
    [anon_sym_abstract] = ACTIONS(1037),
    [anon_sym_infer] = ACTIONS(1039),
    [anon_sym_keyof] = ACTIONS(1041),
    [anon_sym_unique] = ACTIONS(1043),
    [anon_sym_unknown] = ACTIONS(1045),
    [anon_sym_never] = ACTIONS(1045),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1047),
    [sym_html_comment] = ACTIONS(5),
  },
  [1047] = {
    [sym_import] = STATE(4926),
    [sym_nested_identifier] = STATE(5583),
    [sym_string] = STATE(3268),
    [sym_formal_parameters] = STATE(5787),
    [sym_nested_type_identifier] = STATE(3131),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3073),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3209),
    [sym_type] = STATE(3481),
    [sym_constructor_type] = STATE(3272),
    [sym_primary_type] = STATE(3273),
    [sym_template_literal_type] = STATE(3274),
    [sym_infer_type] = STATE(3272),
    [sym_conditional_type] = STATE(3274),
    [sym_generic_type] = STATE(3274),
    [sym_type_query] = STATE(3274),
    [sym_index_type_query] = STATE(3274),
    [sym_lookup_type] = STATE(3274),
    [sym_literal_type] = STATE(3274),
    [sym__number] = STATE(3275),
    [sym_existential_type] = STATE(3274),
    [sym_flow_maybe_type] = STATE(3274),
    [sym_parenthesized_type] = STATE(3274),
    [sym_predefined_type] = STATE(3274),
    [sym_object_type] = STATE(3274),
    [sym_type_parameters] = STATE(5160),
    [sym_array_type] = STATE(3274),
    [sym_tuple_type] = STATE(3274),
    [sym_readonly_type] = STATE(3272),
    [sym_union_type] = STATE(3274),
    [sym_intersection_type] = STATE(3274),
    [sym_function_type] = STATE(3272),
    [sym_identifier] = ACTIONS(1623),
    [anon_sym_STAR] = ACTIONS(999),
    [anon_sym_LBRACE] = ACTIONS(1627),
    [anon_sym_typeof] = ACTIONS(1629),
    [anon_sym_import] = ACTIONS(1545),
    [anon_sym_const] = ACTIONS(1005),
    [anon_sym_LPAREN] = ACTIONS(1631),
    [anon_sym_LBRACK] = ACTIONS(1633),
    [anon_sym_DQUOTE] = ACTIONS(1635),
    [anon_sym_SQUOTE] = ACTIONS(1637),
    [anon_sym_new] = ACTIONS(1639),
    [anon_sym_AMP] = ACTIONS(1013),
    [anon_sym_PIPE] = ACTIONS(1015),
    [anon_sym_PLUS] = ACTIONS(3020),
    [anon_sym_DASH] = ACTIONS(3020),
    [anon_sym_LT] = ACTIONS(2570),
    [anon_sym_void] = ACTIONS(1045),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1647),
    [sym_number] = ACTIONS(1649),
    [sym_this] = ACTIONS(1651),
    [sym_true] = ACTIONS(1653),
    [sym_false] = ACTIONS(1653),
    [sym_null] = ACTIONS(1653),
    [sym_undefined] = ACTIONS(1653),
    [anon_sym_readonly] = ACTIONS(1655),
    [anon_sym_QMARK] = ACTIONS(1033),
    [anon_sym_any] = ACTIONS(1045),
    [anon_sym_number] = ACTIONS(1045),
    [anon_sym_boolean] = ACTIONS(1045),
    [anon_sym_string] = ACTIONS(1045),
    [anon_sym_symbol] = ACTIONS(1045),
    [anon_sym_object] = ACTIONS(1045),
    [anon_sym_abstract] = ACTIONS(1037),
    [anon_sym_infer] = ACTIONS(1039),
    [anon_sym_keyof] = ACTIONS(1041),
    [anon_sym_unique] = ACTIONS(1043),
    [anon_sym_unknown] = ACTIONS(1045),
    [anon_sym_never] = ACTIONS(1045),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1047),
    [sym_html_comment] = ACTIONS(5),
  },
  [1048] = {
    [sym_import] = STATE(4680),
    [sym_nested_identifier] = STATE(5868),
    [sym_string] = STATE(3013),
    [sym_formal_parameters] = STATE(5631),
    [sym_nested_type_identifier] = STATE(2941),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3315),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2944),
    [sym_type] = STATE(2998),
    [sym_constructor_type] = STATE(2974),
    [sym_primary_type] = STATE(3014),
    [sym_template_literal_type] = STATE(3018),
    [sym_infer_type] = STATE(2974),
    [sym_conditional_type] = STATE(3018),
    [sym_generic_type] = STATE(3018),
    [sym_type_query] = STATE(3018),
    [sym_index_type_query] = STATE(3018),
    [sym_lookup_type] = STATE(3018),
    [sym_literal_type] = STATE(3018),
    [sym__number] = STATE(3031),
    [sym_existential_type] = STATE(3018),
    [sym_flow_maybe_type] = STATE(3018),
    [sym_parenthesized_type] = STATE(3018),
    [sym_predefined_type] = STATE(3018),
    [sym_object_type] = STATE(3018),
    [sym_type_parameters] = STATE(5464),
    [sym_array_type] = STATE(3018),
    [sym_tuple_type] = STATE(3018),
    [sym_readonly_type] = STATE(2974),
    [sym_union_type] = STATE(3018),
    [sym_intersection_type] = STATE(3018),
    [sym_function_type] = STATE(2974),
    [sym_identifier] = ACTIONS(1539),
    [anon_sym_STAR] = ACTIONS(582),
    [anon_sym_LBRACE] = ACTIONS(1541),
    [anon_sym_typeof] = ACTIONS(1543),
    [anon_sym_import] = ACTIONS(1545),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1547),
    [anon_sym_LBRACK] = ACTIONS(1549),
    [anon_sym_DQUOTE] = ACTIONS(1551),
    [anon_sym_SQUOTE] = ACTIONS(1553),
    [anon_sym_new] = ACTIONS(1613),
    [anon_sym_AMP] = ACTIONS(610),
    [anon_sym_PIPE] = ACTIONS(612),
    [anon_sym_PLUS] = ACTIONS(2568),
    [anon_sym_DASH] = ACTIONS(2568),
    [anon_sym_LT] = ACTIONS(2570),
    [anon_sym_void] = ACTIONS(217),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1561),
    [sym_number] = ACTIONS(1563),
    [sym_this] = ACTIONS(1565),
    [sym_true] = ACTIONS(1567),
    [sym_false] = ACTIONS(1567),
    [sym_null] = ACTIONS(1567),
    [sym_undefined] = ACTIONS(1567),
    [anon_sym_readonly] = ACTIONS(1619),
    [anon_sym_QMARK] = ACTIONS(632),
    [anon_sym_any] = ACTIONS(217),
    [anon_sym_number] = ACTIONS(217),
    [anon_sym_boolean] = ACTIONS(217),
    [anon_sym_string] = ACTIONS(217),
    [anon_sym_symbol] = ACTIONS(217),
    [anon_sym_object] = ACTIONS(217),
    [anon_sym_abstract] = ACTIONS(636),
    [anon_sym_infer] = ACTIONS(638),
    [anon_sym_keyof] = ACTIONS(640),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym_html_comment] = ACTIONS(5),
  },
  [1049] = {
    [sym_import] = STATE(4680),
    [sym_nested_identifier] = STATE(5868),
    [sym_string] = STATE(3013),
    [sym_formal_parameters] = STATE(5631),
    [sym_nested_type_identifier] = STATE(2941),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3315),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2944),
    [sym_type] = STATE(3046),
    [sym_constructor_type] = STATE(2974),
    [sym_primary_type] = STATE(3014),
    [sym_template_literal_type] = STATE(3018),
    [sym_infer_type] = STATE(2974),
    [sym_conditional_type] = STATE(3018),
    [sym_generic_type] = STATE(3018),
    [sym_type_query] = STATE(3018),
    [sym_index_type_query] = STATE(3018),
    [sym_lookup_type] = STATE(3018),
    [sym_literal_type] = STATE(3018),
    [sym__number] = STATE(3031),
    [sym_existential_type] = STATE(3018),
    [sym_flow_maybe_type] = STATE(3018),
    [sym_parenthesized_type] = STATE(3018),
    [sym_predefined_type] = STATE(3018),
    [sym_object_type] = STATE(3018),
    [sym_type_parameters] = STATE(5464),
    [sym_array_type] = STATE(3018),
    [sym_tuple_type] = STATE(3018),
    [sym_readonly_type] = STATE(2974),
    [sym_union_type] = STATE(3018),
    [sym_intersection_type] = STATE(3018),
    [sym_function_type] = STATE(2974),
    [sym_identifier] = ACTIONS(1539),
    [anon_sym_STAR] = ACTIONS(582),
    [anon_sym_LBRACE] = ACTIONS(1541),
    [anon_sym_typeof] = ACTIONS(1543),
    [anon_sym_import] = ACTIONS(1545),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1547),
    [anon_sym_LBRACK] = ACTIONS(1549),
    [anon_sym_DQUOTE] = ACTIONS(1551),
    [anon_sym_SQUOTE] = ACTIONS(1553),
    [anon_sym_new] = ACTIONS(1613),
    [anon_sym_AMP] = ACTIONS(610),
    [anon_sym_PIPE] = ACTIONS(612),
    [anon_sym_PLUS] = ACTIONS(2568),
    [anon_sym_DASH] = ACTIONS(2568),
    [anon_sym_LT] = ACTIONS(2570),
    [anon_sym_void] = ACTIONS(217),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1561),
    [sym_number] = ACTIONS(1563),
    [sym_this] = ACTIONS(1565),
    [sym_true] = ACTIONS(1567),
    [sym_false] = ACTIONS(1567),
    [sym_null] = ACTIONS(1567),
    [sym_undefined] = ACTIONS(1567),
    [anon_sym_readonly] = ACTIONS(1619),
    [anon_sym_QMARK] = ACTIONS(632),
    [anon_sym_any] = ACTIONS(217),
    [anon_sym_number] = ACTIONS(217),
    [anon_sym_boolean] = ACTIONS(217),
    [anon_sym_string] = ACTIONS(217),
    [anon_sym_symbol] = ACTIONS(217),
    [anon_sym_object] = ACTIONS(217),
    [anon_sym_abstract] = ACTIONS(636),
    [anon_sym_infer] = ACTIONS(638),
    [anon_sym_keyof] = ACTIONS(640),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym_html_comment] = ACTIONS(5),
  },
  [1050] = {
    [sym_import] = STATE(4788),
    [sym_nested_identifier] = STATE(5868),
    [sym_string] = STATE(3013),
    [sym_formal_parameters] = STATE(5623),
    [sym_nested_type_identifier] = STATE(2941),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2942),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2944),
    [sym_type] = STATE(4471),
    [sym_constructor_type] = STATE(2974),
    [sym_primary_type] = STATE(3014),
    [sym_template_literal_type] = STATE(3018),
    [sym_infer_type] = STATE(2974),
    [sym_conditional_type] = STATE(3018),
    [sym_generic_type] = STATE(3018),
    [sym_type_query] = STATE(3018),
    [sym_index_type_query] = STATE(3018),
    [sym_lookup_type] = STATE(3018),
    [sym_literal_type] = STATE(3018),
    [sym__number] = STATE(3031),
    [sym_existential_type] = STATE(3018),
    [sym_flow_maybe_type] = STATE(3018),
    [sym_parenthesized_type] = STATE(3018),
    [sym_predefined_type] = STATE(3018),
    [sym_object_type] = STATE(3018),
    [sym_type_parameters] = STATE(5442),
    [sym_array_type] = STATE(3018),
    [sym_tuple_type] = STATE(3018),
    [sym_readonly_type] = STATE(2974),
    [sym_union_type] = STATE(3018),
    [sym_intersection_type] = STATE(3018),
    [sym_function_type] = STATE(2974),
    [sym_identifier] = ACTIONS(1539),
    [anon_sym_STAR] = ACTIONS(582),
    [anon_sym_LBRACE] = ACTIONS(1541),
    [anon_sym_typeof] = ACTIONS(1543),
    [anon_sym_import] = ACTIONS(1545),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1547),
    [anon_sym_LBRACK] = ACTIONS(1549),
    [anon_sym_DQUOTE] = ACTIONS(1551),
    [anon_sym_SQUOTE] = ACTIONS(1553),
    [anon_sym_new] = ACTIONS(1555),
    [anon_sym_AMP] = ACTIONS(755),
    [anon_sym_PIPE] = ACTIONS(757),
    [anon_sym_PLUS] = ACTIONS(2568),
    [anon_sym_DASH] = ACTIONS(2568),
    [anon_sym_LT] = ACTIONS(2570),
    [anon_sym_void] = ACTIONS(217),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1561),
    [sym_number] = ACTIONS(1563),
    [sym_this] = ACTIONS(1565),
    [sym_true] = ACTIONS(1567),
    [sym_false] = ACTIONS(1567),
    [sym_null] = ACTIONS(1567),
    [sym_undefined] = ACTIONS(1567),
    [anon_sym_readonly] = ACTIONS(1569),
    [anon_sym_QMARK] = ACTIONS(783),
    [anon_sym_any] = ACTIONS(217),
    [anon_sym_number] = ACTIONS(217),
    [anon_sym_boolean] = ACTIONS(217),
    [anon_sym_string] = ACTIONS(217),
    [anon_sym_symbol] = ACTIONS(217),
    [anon_sym_object] = ACTIONS(217),
    [anon_sym_abstract] = ACTIONS(209),
    [anon_sym_infer] = ACTIONS(211),
    [anon_sym_keyof] = ACTIONS(213),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym_html_comment] = ACTIONS(5),
  },
  [1051] = {
    [sym_import] = STATE(4926),
    [sym_nested_identifier] = STATE(5583),
    [sym_string] = STATE(3268),
    [sym_formal_parameters] = STATE(5787),
    [sym_nested_type_identifier] = STATE(3131),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3073),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3209),
    [sym_type] = STATE(3982),
    [sym_constructor_type] = STATE(3272),
    [sym_primary_type] = STATE(3273),
    [sym_template_literal_type] = STATE(3274),
    [sym_infer_type] = STATE(3272),
    [sym_conditional_type] = STATE(3274),
    [sym_generic_type] = STATE(3274),
    [sym_type_query] = STATE(3274),
    [sym_index_type_query] = STATE(3274),
    [sym_lookup_type] = STATE(3274),
    [sym_literal_type] = STATE(3274),
    [sym__number] = STATE(3275),
    [sym_existential_type] = STATE(3274),
    [sym_flow_maybe_type] = STATE(3274),
    [sym_parenthesized_type] = STATE(3274),
    [sym_predefined_type] = STATE(3274),
    [sym_object_type] = STATE(3274),
    [sym_type_parameters] = STATE(5160),
    [sym_array_type] = STATE(3274),
    [sym_tuple_type] = STATE(3274),
    [sym_readonly_type] = STATE(3272),
    [sym_union_type] = STATE(3274),
    [sym_intersection_type] = STATE(3274),
    [sym_function_type] = STATE(3272),
    [sym_identifier] = ACTIONS(1623),
    [anon_sym_STAR] = ACTIONS(999),
    [anon_sym_LBRACE] = ACTIONS(1627),
    [anon_sym_typeof] = ACTIONS(1629),
    [anon_sym_import] = ACTIONS(1545),
    [anon_sym_const] = ACTIONS(1005),
    [anon_sym_LPAREN] = ACTIONS(1631),
    [anon_sym_LBRACK] = ACTIONS(1633),
    [anon_sym_DQUOTE] = ACTIONS(1635),
    [anon_sym_SQUOTE] = ACTIONS(1637),
    [anon_sym_new] = ACTIONS(1639),
    [anon_sym_AMP] = ACTIONS(1013),
    [anon_sym_PIPE] = ACTIONS(1015),
    [anon_sym_PLUS] = ACTIONS(3020),
    [anon_sym_DASH] = ACTIONS(3020),
    [anon_sym_LT] = ACTIONS(2570),
    [anon_sym_void] = ACTIONS(1045),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1647),
    [sym_number] = ACTIONS(1649),
    [sym_this] = ACTIONS(1651),
    [sym_true] = ACTIONS(1653),
    [sym_false] = ACTIONS(1653),
    [sym_null] = ACTIONS(1653),
    [sym_undefined] = ACTIONS(1653),
    [anon_sym_readonly] = ACTIONS(1655),
    [anon_sym_QMARK] = ACTIONS(1033),
    [anon_sym_any] = ACTIONS(1045),
    [anon_sym_number] = ACTIONS(1045),
    [anon_sym_boolean] = ACTIONS(1045),
    [anon_sym_string] = ACTIONS(1045),
    [anon_sym_symbol] = ACTIONS(1045),
    [anon_sym_object] = ACTIONS(1045),
    [anon_sym_abstract] = ACTIONS(1037),
    [anon_sym_infer] = ACTIONS(1039),
    [anon_sym_keyof] = ACTIONS(1041),
    [anon_sym_unique] = ACTIONS(1043),
    [anon_sym_unknown] = ACTIONS(1045),
    [anon_sym_never] = ACTIONS(1045),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1047),
    [sym_html_comment] = ACTIONS(5),
  },
  [1052] = {
    [sym_import] = STATE(4680),
    [sym_nested_identifier] = STATE(5868),
    [sym_string] = STATE(3013),
    [sym_formal_parameters] = STATE(5631),
    [sym_nested_type_identifier] = STATE(2941),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3315),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2944),
    [sym_type] = STATE(2991),
    [sym_constructor_type] = STATE(2974),
    [sym_primary_type] = STATE(3014),
    [sym_template_literal_type] = STATE(3018),
    [sym_infer_type] = STATE(2974),
    [sym_conditional_type] = STATE(3018),
    [sym_generic_type] = STATE(3018),
    [sym_type_query] = STATE(3018),
    [sym_index_type_query] = STATE(3018),
    [sym_lookup_type] = STATE(3018),
    [sym_literal_type] = STATE(3018),
    [sym__number] = STATE(3031),
    [sym_existential_type] = STATE(3018),
    [sym_flow_maybe_type] = STATE(3018),
    [sym_parenthesized_type] = STATE(3018),
    [sym_predefined_type] = STATE(3018),
    [sym_object_type] = STATE(3018),
    [sym_type_parameters] = STATE(5464),
    [sym_array_type] = STATE(3018),
    [sym_tuple_type] = STATE(3018),
    [sym_readonly_type] = STATE(2974),
    [sym_union_type] = STATE(3018),
    [sym_intersection_type] = STATE(3018),
    [sym_function_type] = STATE(2974),
    [sym_identifier] = ACTIONS(1539),
    [anon_sym_STAR] = ACTIONS(582),
    [anon_sym_LBRACE] = ACTIONS(1541),
    [anon_sym_typeof] = ACTIONS(1543),
    [anon_sym_import] = ACTIONS(1545),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1547),
    [anon_sym_LBRACK] = ACTIONS(1549),
    [anon_sym_DQUOTE] = ACTIONS(1551),
    [anon_sym_SQUOTE] = ACTIONS(1553),
    [anon_sym_new] = ACTIONS(1613),
    [anon_sym_AMP] = ACTIONS(610),
    [anon_sym_PIPE] = ACTIONS(612),
    [anon_sym_PLUS] = ACTIONS(2568),
    [anon_sym_DASH] = ACTIONS(2568),
    [anon_sym_LT] = ACTIONS(2570),
    [anon_sym_void] = ACTIONS(217),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1561),
    [sym_number] = ACTIONS(1563),
    [sym_this] = ACTIONS(1565),
    [sym_true] = ACTIONS(1567),
    [sym_false] = ACTIONS(1567),
    [sym_null] = ACTIONS(1567),
    [sym_undefined] = ACTIONS(1567),
    [anon_sym_readonly] = ACTIONS(1619),
    [anon_sym_QMARK] = ACTIONS(632),
    [anon_sym_any] = ACTIONS(217),
    [anon_sym_number] = ACTIONS(217),
    [anon_sym_boolean] = ACTIONS(217),
    [anon_sym_string] = ACTIONS(217),
    [anon_sym_symbol] = ACTIONS(217),
    [anon_sym_object] = ACTIONS(217),
    [anon_sym_abstract] = ACTIONS(636),
    [anon_sym_infer] = ACTIONS(638),
    [anon_sym_keyof] = ACTIONS(640),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym_html_comment] = ACTIONS(5),
  },
  [1053] = {
    [sym_import] = STATE(4680),
    [sym_nested_identifier] = STATE(5868),
    [sym_string] = STATE(3013),
    [sym_formal_parameters] = STATE(5631),
    [sym_nested_type_identifier] = STATE(2941),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3315),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2944),
    [sym_type] = STATE(3656),
    [sym_constructor_type] = STATE(2974),
    [sym_primary_type] = STATE(3014),
    [sym_template_literal_type] = STATE(3018),
    [sym_infer_type] = STATE(2974),
    [sym_conditional_type] = STATE(3018),
    [sym_generic_type] = STATE(3018),
    [sym_type_query] = STATE(3018),
    [sym_index_type_query] = STATE(3018),
    [sym_lookup_type] = STATE(3018),
    [sym_literal_type] = STATE(3018),
    [sym__number] = STATE(3031),
    [sym_existential_type] = STATE(3018),
    [sym_flow_maybe_type] = STATE(3018),
    [sym_parenthesized_type] = STATE(3018),
    [sym_predefined_type] = STATE(3018),
    [sym_object_type] = STATE(3018),
    [sym_type_parameters] = STATE(5464),
    [sym_array_type] = STATE(3018),
    [sym_tuple_type] = STATE(3018),
    [sym_readonly_type] = STATE(2974),
    [sym_union_type] = STATE(3018),
    [sym_intersection_type] = STATE(3018),
    [sym_function_type] = STATE(2974),
    [sym_identifier] = ACTIONS(1539),
    [anon_sym_STAR] = ACTIONS(582),
    [anon_sym_LBRACE] = ACTIONS(1541),
    [anon_sym_typeof] = ACTIONS(1543),
    [anon_sym_import] = ACTIONS(1545),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1547),
    [anon_sym_LBRACK] = ACTIONS(1549),
    [anon_sym_DQUOTE] = ACTIONS(1551),
    [anon_sym_SQUOTE] = ACTIONS(1553),
    [anon_sym_new] = ACTIONS(1613),
    [anon_sym_AMP] = ACTIONS(610),
    [anon_sym_PIPE] = ACTIONS(612),
    [anon_sym_PLUS] = ACTIONS(2568),
    [anon_sym_DASH] = ACTIONS(2568),
    [anon_sym_LT] = ACTIONS(2570),
    [anon_sym_void] = ACTIONS(217),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1561),
    [sym_number] = ACTIONS(1563),
    [sym_this] = ACTIONS(1565),
    [sym_true] = ACTIONS(1567),
    [sym_false] = ACTIONS(1567),
    [sym_null] = ACTIONS(1567),
    [sym_undefined] = ACTIONS(1567),
    [anon_sym_readonly] = ACTIONS(1619),
    [anon_sym_QMARK] = ACTIONS(632),
    [anon_sym_any] = ACTIONS(217),
    [anon_sym_number] = ACTIONS(217),
    [anon_sym_boolean] = ACTIONS(217),
    [anon_sym_string] = ACTIONS(217),
    [anon_sym_symbol] = ACTIONS(217),
    [anon_sym_object] = ACTIONS(217),
    [anon_sym_abstract] = ACTIONS(636),
    [anon_sym_infer] = ACTIONS(638),
    [anon_sym_keyof] = ACTIONS(640),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym_html_comment] = ACTIONS(5),
  },
  [1054] = {
    [sym_import] = STATE(4788),
    [sym_nested_identifier] = STATE(5868),
    [sym_string] = STATE(3013),
    [sym_formal_parameters] = STATE(5623),
    [sym_nested_type_identifier] = STATE(2941),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2942),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2944),
    [sym_type] = STATE(4410),
    [sym_constructor_type] = STATE(2974),
    [sym_primary_type] = STATE(3014),
    [sym_template_literal_type] = STATE(3018),
    [sym_infer_type] = STATE(2974),
    [sym_conditional_type] = STATE(3018),
    [sym_generic_type] = STATE(3018),
    [sym_type_query] = STATE(3018),
    [sym_index_type_query] = STATE(3018),
    [sym_lookup_type] = STATE(3018),
    [sym_literal_type] = STATE(3018),
    [sym__number] = STATE(3031),
    [sym_existential_type] = STATE(3018),
    [sym_flow_maybe_type] = STATE(3018),
    [sym_parenthesized_type] = STATE(3018),
    [sym_predefined_type] = STATE(3018),
    [sym_object_type] = STATE(3018),
    [sym_type_parameters] = STATE(5442),
    [sym_array_type] = STATE(3018),
    [sym_tuple_type] = STATE(3018),
    [sym_readonly_type] = STATE(2974),
    [sym_union_type] = STATE(3018),
    [sym_intersection_type] = STATE(3018),
    [sym_function_type] = STATE(2974),
    [sym_identifier] = ACTIONS(1539),
    [anon_sym_STAR] = ACTIONS(582),
    [anon_sym_LBRACE] = ACTIONS(1541),
    [anon_sym_typeof] = ACTIONS(1543),
    [anon_sym_import] = ACTIONS(1545),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1547),
    [anon_sym_LBRACK] = ACTIONS(1549),
    [anon_sym_DQUOTE] = ACTIONS(1551),
    [anon_sym_SQUOTE] = ACTIONS(1553),
    [anon_sym_new] = ACTIONS(1555),
    [anon_sym_AMP] = ACTIONS(755),
    [anon_sym_PIPE] = ACTIONS(757),
    [anon_sym_PLUS] = ACTIONS(2568),
    [anon_sym_DASH] = ACTIONS(2568),
    [anon_sym_LT] = ACTIONS(2570),
    [anon_sym_void] = ACTIONS(217),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1561),
    [sym_number] = ACTIONS(1563),
    [sym_this] = ACTIONS(1565),
    [sym_true] = ACTIONS(1567),
    [sym_false] = ACTIONS(1567),
    [sym_null] = ACTIONS(1567),
    [sym_undefined] = ACTIONS(1567),
    [anon_sym_readonly] = ACTIONS(1569),
    [anon_sym_QMARK] = ACTIONS(783),
    [anon_sym_any] = ACTIONS(217),
    [anon_sym_number] = ACTIONS(217),
    [anon_sym_boolean] = ACTIONS(217),
    [anon_sym_string] = ACTIONS(217),
    [anon_sym_symbol] = ACTIONS(217),
    [anon_sym_object] = ACTIONS(217),
    [anon_sym_abstract] = ACTIONS(209),
    [anon_sym_infer] = ACTIONS(211),
    [anon_sym_keyof] = ACTIONS(213),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym_html_comment] = ACTIONS(5),
  },
  [1055] = {
    [sym_import] = STATE(4788),
    [sym_nested_identifier] = STATE(5868),
    [sym_string] = STATE(3013),
    [sym_formal_parameters] = STATE(5623),
    [sym_nested_type_identifier] = STATE(2941),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2942),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2944),
    [sym_type] = STATE(4426),
    [sym_constructor_type] = STATE(2974),
    [sym_primary_type] = STATE(3014),
    [sym_template_literal_type] = STATE(3018),
    [sym_infer_type] = STATE(2974),
    [sym_conditional_type] = STATE(3018),
    [sym_generic_type] = STATE(3018),
    [sym_type_query] = STATE(3018),
    [sym_index_type_query] = STATE(3018),
    [sym_lookup_type] = STATE(3018),
    [sym_literal_type] = STATE(3018),
    [sym__number] = STATE(3031),
    [sym_existential_type] = STATE(3018),
    [sym_flow_maybe_type] = STATE(3018),
    [sym_parenthesized_type] = STATE(3018),
    [sym_predefined_type] = STATE(3018),
    [sym_object_type] = STATE(3018),
    [sym_type_parameters] = STATE(5442),
    [sym_array_type] = STATE(3018),
    [sym_tuple_type] = STATE(3018),
    [sym_readonly_type] = STATE(2974),
    [sym_union_type] = STATE(3018),
    [sym_intersection_type] = STATE(3018),
    [sym_function_type] = STATE(2974),
    [sym_identifier] = ACTIONS(1539),
    [anon_sym_STAR] = ACTIONS(582),
    [anon_sym_LBRACE] = ACTIONS(1541),
    [anon_sym_typeof] = ACTIONS(1543),
    [anon_sym_import] = ACTIONS(1545),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1547),
    [anon_sym_LBRACK] = ACTIONS(1549),
    [anon_sym_DQUOTE] = ACTIONS(1551),
    [anon_sym_SQUOTE] = ACTIONS(1553),
    [anon_sym_new] = ACTIONS(1555),
    [anon_sym_AMP] = ACTIONS(755),
    [anon_sym_PIPE] = ACTIONS(757),
    [anon_sym_PLUS] = ACTIONS(2568),
    [anon_sym_DASH] = ACTIONS(2568),
    [anon_sym_LT] = ACTIONS(2570),
    [anon_sym_void] = ACTIONS(217),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1561),
    [sym_number] = ACTIONS(1563),
    [sym_this] = ACTIONS(1565),
    [sym_true] = ACTIONS(1567),
    [sym_false] = ACTIONS(1567),
    [sym_null] = ACTIONS(1567),
    [sym_undefined] = ACTIONS(1567),
    [anon_sym_readonly] = ACTIONS(1569),
    [anon_sym_QMARK] = ACTIONS(783),
    [anon_sym_any] = ACTIONS(217),
    [anon_sym_number] = ACTIONS(217),
    [anon_sym_boolean] = ACTIONS(217),
    [anon_sym_string] = ACTIONS(217),
    [anon_sym_symbol] = ACTIONS(217),
    [anon_sym_object] = ACTIONS(217),
    [anon_sym_abstract] = ACTIONS(209),
    [anon_sym_infer] = ACTIONS(211),
    [anon_sym_keyof] = ACTIONS(213),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym_html_comment] = ACTIONS(5),
  },
  [1056] = {
    [sym_import] = STATE(4926),
    [sym_nested_identifier] = STATE(5583),
    [sym_string] = STATE(3268),
    [sym_formal_parameters] = STATE(5787),
    [sym_nested_type_identifier] = STATE(3131),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3073),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3209),
    [sym_type] = STATE(3262),
    [sym_constructor_type] = STATE(3272),
    [sym_primary_type] = STATE(3273),
    [sym_template_literal_type] = STATE(3274),
    [sym_infer_type] = STATE(3272),
    [sym_conditional_type] = STATE(3274),
    [sym_generic_type] = STATE(3274),
    [sym_type_query] = STATE(3274),
    [sym_index_type_query] = STATE(3274),
    [sym_lookup_type] = STATE(3274),
    [sym_literal_type] = STATE(3274),
    [sym__number] = STATE(3275),
    [sym_existential_type] = STATE(3274),
    [sym_flow_maybe_type] = STATE(3274),
    [sym_parenthesized_type] = STATE(3274),
    [sym_predefined_type] = STATE(3274),
    [sym_object_type] = STATE(3274),
    [sym_type_parameters] = STATE(5160),
    [sym_array_type] = STATE(3274),
    [sym_tuple_type] = STATE(3274),
    [sym_readonly_type] = STATE(3272),
    [sym_union_type] = STATE(3274),
    [sym_intersection_type] = STATE(3274),
    [sym_function_type] = STATE(3272),
    [sym_identifier] = ACTIONS(1623),
    [anon_sym_STAR] = ACTIONS(999),
    [anon_sym_LBRACE] = ACTIONS(1627),
    [anon_sym_typeof] = ACTIONS(1629),
    [anon_sym_import] = ACTIONS(1545),
    [anon_sym_const] = ACTIONS(1005),
    [anon_sym_LPAREN] = ACTIONS(1631),
    [anon_sym_LBRACK] = ACTIONS(1633),
    [anon_sym_DQUOTE] = ACTIONS(1635),
    [anon_sym_SQUOTE] = ACTIONS(1637),
    [anon_sym_new] = ACTIONS(1639),
    [anon_sym_AMP] = ACTIONS(1013),
    [anon_sym_PIPE] = ACTIONS(1015),
    [anon_sym_PLUS] = ACTIONS(3020),
    [anon_sym_DASH] = ACTIONS(3020),
    [anon_sym_LT] = ACTIONS(2570),
    [anon_sym_void] = ACTIONS(1045),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1647),
    [sym_number] = ACTIONS(1649),
    [sym_this] = ACTIONS(1651),
    [sym_true] = ACTIONS(1653),
    [sym_false] = ACTIONS(1653),
    [sym_null] = ACTIONS(1653),
    [sym_undefined] = ACTIONS(1653),
    [anon_sym_readonly] = ACTIONS(1655),
    [anon_sym_QMARK] = ACTIONS(1033),
    [anon_sym_any] = ACTIONS(1045),
    [anon_sym_number] = ACTIONS(1045),
    [anon_sym_boolean] = ACTIONS(1045),
    [anon_sym_string] = ACTIONS(1045),
    [anon_sym_symbol] = ACTIONS(1045),
    [anon_sym_object] = ACTIONS(1045),
    [anon_sym_abstract] = ACTIONS(1037),
    [anon_sym_infer] = ACTIONS(1039),
    [anon_sym_keyof] = ACTIONS(1041),
    [anon_sym_unique] = ACTIONS(1043),
    [anon_sym_unknown] = ACTIONS(1045),
    [anon_sym_never] = ACTIONS(1045),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1047),
    [sym_html_comment] = ACTIONS(5),
  },
  [1057] = {
    [sym_import] = STATE(4926),
    [sym_nested_identifier] = STATE(5583),
    [sym_string] = STATE(3268),
    [sym_formal_parameters] = STATE(5787),
    [sym_nested_type_identifier] = STATE(3131),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3073),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3209),
    [sym_type] = STATE(3277),
    [sym_constructor_type] = STATE(3272),
    [sym_primary_type] = STATE(3273),
    [sym_template_literal_type] = STATE(3274),
    [sym_infer_type] = STATE(3272),
    [sym_conditional_type] = STATE(3274),
    [sym_generic_type] = STATE(3274),
    [sym_type_query] = STATE(3274),
    [sym_index_type_query] = STATE(3274),
    [sym_lookup_type] = STATE(3274),
    [sym_literal_type] = STATE(3274),
    [sym__number] = STATE(3275),
    [sym_existential_type] = STATE(3274),
    [sym_flow_maybe_type] = STATE(3274),
    [sym_parenthesized_type] = STATE(3274),
    [sym_predefined_type] = STATE(3274),
    [sym_object_type] = STATE(3274),
    [sym_type_parameters] = STATE(5160),
    [sym_array_type] = STATE(3274),
    [sym_tuple_type] = STATE(3274),
    [sym_readonly_type] = STATE(3272),
    [sym_union_type] = STATE(3274),
    [sym_intersection_type] = STATE(3274),
    [sym_function_type] = STATE(3272),
    [sym_identifier] = ACTIONS(1623),
    [anon_sym_STAR] = ACTIONS(999),
    [anon_sym_LBRACE] = ACTIONS(1627),
    [anon_sym_typeof] = ACTIONS(1629),
    [anon_sym_import] = ACTIONS(1545),
    [anon_sym_const] = ACTIONS(1005),
    [anon_sym_LPAREN] = ACTIONS(1631),
    [anon_sym_LBRACK] = ACTIONS(1633),
    [anon_sym_DQUOTE] = ACTIONS(1635),
    [anon_sym_SQUOTE] = ACTIONS(1637),
    [anon_sym_new] = ACTIONS(1639),
    [anon_sym_AMP] = ACTIONS(1013),
    [anon_sym_PIPE] = ACTIONS(1015),
    [anon_sym_PLUS] = ACTIONS(3020),
    [anon_sym_DASH] = ACTIONS(3020),
    [anon_sym_LT] = ACTIONS(2570),
    [anon_sym_void] = ACTIONS(1045),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1647),
    [sym_number] = ACTIONS(1649),
    [sym_this] = ACTIONS(1651),
    [sym_true] = ACTIONS(1653),
    [sym_false] = ACTIONS(1653),
    [sym_null] = ACTIONS(1653),
    [sym_undefined] = ACTIONS(1653),
    [anon_sym_readonly] = ACTIONS(1655),
    [anon_sym_QMARK] = ACTIONS(1033),
    [anon_sym_any] = ACTIONS(1045),
    [anon_sym_number] = ACTIONS(1045),
    [anon_sym_boolean] = ACTIONS(1045),
    [anon_sym_string] = ACTIONS(1045),
    [anon_sym_symbol] = ACTIONS(1045),
    [anon_sym_object] = ACTIONS(1045),
    [anon_sym_abstract] = ACTIONS(1037),
    [anon_sym_infer] = ACTIONS(1039),
    [anon_sym_keyof] = ACTIONS(1041),
    [anon_sym_unique] = ACTIONS(1043),
    [anon_sym_unknown] = ACTIONS(1045),
    [anon_sym_never] = ACTIONS(1045),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1047),
    [sym_html_comment] = ACTIONS(5),
  },
  [1058] = {
    [sym_import] = STATE(4788),
    [sym_nested_identifier] = STATE(5868),
    [sym_string] = STATE(3013),
    [sym_formal_parameters] = STATE(5623),
    [sym_nested_type_identifier] = STATE(2941),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2942),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2944),
    [sym_type] = STATE(3030),
    [sym_constructor_type] = STATE(2974),
    [sym_primary_type] = STATE(3014),
    [sym_template_literal_type] = STATE(3018),
    [sym_infer_type] = STATE(2974),
    [sym_conditional_type] = STATE(3018),
    [sym_generic_type] = STATE(3018),
    [sym_type_query] = STATE(3018),
    [sym_index_type_query] = STATE(3018),
    [sym_lookup_type] = STATE(3018),
    [sym_literal_type] = STATE(3018),
    [sym__number] = STATE(3031),
    [sym_existential_type] = STATE(3018),
    [sym_flow_maybe_type] = STATE(3018),
    [sym_parenthesized_type] = STATE(3018),
    [sym_predefined_type] = STATE(3018),
    [sym_object_type] = STATE(3018),
    [sym_type_parameters] = STATE(5442),
    [sym_array_type] = STATE(3018),
    [sym_tuple_type] = STATE(3018),
    [sym_readonly_type] = STATE(2974),
    [sym_union_type] = STATE(3018),
    [sym_intersection_type] = STATE(3018),
    [sym_function_type] = STATE(2974),
    [sym_identifier] = ACTIONS(1539),
    [anon_sym_STAR] = ACTIONS(582),
    [anon_sym_LBRACE] = ACTIONS(1541),
    [anon_sym_typeof] = ACTIONS(1543),
    [anon_sym_import] = ACTIONS(1545),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1547),
    [anon_sym_LBRACK] = ACTIONS(1549),
    [anon_sym_DQUOTE] = ACTIONS(1551),
    [anon_sym_SQUOTE] = ACTIONS(1553),
    [anon_sym_new] = ACTIONS(1555),
    [anon_sym_AMP] = ACTIONS(755),
    [anon_sym_PIPE] = ACTIONS(757),
    [anon_sym_PLUS] = ACTIONS(2568),
    [anon_sym_DASH] = ACTIONS(2568),
    [anon_sym_LT] = ACTIONS(2570),
    [anon_sym_void] = ACTIONS(217),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1561),
    [sym_number] = ACTIONS(1563),
    [sym_this] = ACTIONS(1565),
    [sym_true] = ACTIONS(1567),
    [sym_false] = ACTIONS(1567),
    [sym_null] = ACTIONS(1567),
    [sym_undefined] = ACTIONS(1567),
    [anon_sym_readonly] = ACTIONS(1569),
    [anon_sym_QMARK] = ACTIONS(783),
    [anon_sym_any] = ACTIONS(217),
    [anon_sym_number] = ACTIONS(217),
    [anon_sym_boolean] = ACTIONS(217),
    [anon_sym_string] = ACTIONS(217),
    [anon_sym_symbol] = ACTIONS(217),
    [anon_sym_object] = ACTIONS(217),
    [anon_sym_abstract] = ACTIONS(209),
    [anon_sym_infer] = ACTIONS(211),
    [anon_sym_keyof] = ACTIONS(213),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym_html_comment] = ACTIONS(5),
  },
  [1059] = {
    [sym_import] = STATE(4772),
    [sym_nested_identifier] = STATE(5677),
    [sym_string] = STATE(1938),
    [sym_formal_parameters] = STATE(5840),
    [sym_nested_type_identifier] = STATE(1823),
    [sym__type_query_member_expression_in_type_annotation] = STATE(1867),
    [sym__type_query_call_expression_in_type_annotation] = STATE(1905),
    [sym_type] = STATE(1942),
    [sym_constructor_type] = STATE(1909),
    [sym_primary_type] = STATE(1910),
    [sym_template_literal_type] = STATE(1915),
    [sym_infer_type] = STATE(1909),
    [sym_conditional_type] = STATE(1915),
    [sym_generic_type] = STATE(1915),
    [sym_type_query] = STATE(1915),
    [sym_index_type_query] = STATE(1915),
    [sym_lookup_type] = STATE(1915),
    [sym_literal_type] = STATE(1915),
    [sym__number] = STATE(1918),
    [sym_existential_type] = STATE(1915),
    [sym_flow_maybe_type] = STATE(1915),
    [sym_parenthesized_type] = STATE(1915),
    [sym_predefined_type] = STATE(1915),
    [sym_object_type] = STATE(1915),
    [sym_type_parameters] = STATE(5271),
    [sym_array_type] = STATE(1915),
    [sym_tuple_type] = STATE(1915),
    [sym_readonly_type] = STATE(1909),
    [sym_union_type] = STATE(1915),
    [sym_intersection_type] = STATE(1915),
    [sym_function_type] = STATE(1909),
    [sym_identifier] = ACTIONS(3262),
    [anon_sym_STAR] = ACTIONS(3114),
    [anon_sym_LBRACE] = ACTIONS(3116),
    [anon_sym_typeof] = ACTIONS(3118),
    [anon_sym_import] = ACTIONS(1545),
    [anon_sym_const] = ACTIONS(3120),
    [anon_sym_LPAREN] = ACTIONS(3122),
    [anon_sym_LBRACK] = ACTIONS(3124),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(3126),
    [anon_sym_AMP] = ACTIONS(3128),
    [anon_sym_PIPE] = ACTIONS(3130),
    [anon_sym_PLUS] = ACTIONS(3132),
    [anon_sym_DASH] = ACTIONS(3132),
    [anon_sym_LT] = ACTIONS(2570),
    [anon_sym_void] = ACTIONS(3134),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3136),
    [sym_number] = ACTIONS(3138),
    [sym_this] = ACTIONS(3264),
    [sym_true] = ACTIONS(3142),
    [sym_false] = ACTIONS(3142),
    [sym_null] = ACTIONS(3142),
    [sym_undefined] = ACTIONS(3142),
    [anon_sym_readonly] = ACTIONS(3144),
    [anon_sym_QMARK] = ACTIONS(3146),
    [anon_sym_any] = ACTIONS(3134),
    [anon_sym_number] = ACTIONS(3134),
    [anon_sym_boolean] = ACTIONS(3134),
    [anon_sym_string] = ACTIONS(3134),
    [anon_sym_symbol] = ACTIONS(3134),
    [anon_sym_object] = ACTIONS(3134),
    [anon_sym_abstract] = ACTIONS(3148),
    [anon_sym_infer] = ACTIONS(3152),
    [anon_sym_keyof] = ACTIONS(3154),
    [anon_sym_unique] = ACTIONS(3156),
    [anon_sym_unknown] = ACTIONS(3134),
    [anon_sym_never] = ACTIONS(3134),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3158),
    [sym_html_comment] = ACTIONS(5),
  },
  [1060] = {
    [sym_import] = STATE(4772),
    [sym_nested_identifier] = STATE(5677),
    [sym_string] = STATE(1938),
    [sym_formal_parameters] = STATE(5840),
    [sym_nested_type_identifier] = STATE(1823),
    [sym__type_query_member_expression_in_type_annotation] = STATE(1867),
    [sym__type_query_call_expression_in_type_annotation] = STATE(1905),
    [sym_type] = STATE(1943),
    [sym_constructor_type] = STATE(1909),
    [sym_primary_type] = STATE(1910),
    [sym_template_literal_type] = STATE(1915),
    [sym_infer_type] = STATE(1909),
    [sym_conditional_type] = STATE(1915),
    [sym_generic_type] = STATE(1915),
    [sym_type_query] = STATE(1915),
    [sym_index_type_query] = STATE(1915),
    [sym_lookup_type] = STATE(1915),
    [sym_literal_type] = STATE(1915),
    [sym__number] = STATE(1918),
    [sym_existential_type] = STATE(1915),
    [sym_flow_maybe_type] = STATE(1915),
    [sym_parenthesized_type] = STATE(1915),
    [sym_predefined_type] = STATE(1915),
    [sym_object_type] = STATE(1915),
    [sym_type_parameters] = STATE(5271),
    [sym_array_type] = STATE(1915),
    [sym_tuple_type] = STATE(1915),
    [sym_readonly_type] = STATE(1909),
    [sym_union_type] = STATE(1915),
    [sym_intersection_type] = STATE(1915),
    [sym_function_type] = STATE(1909),
    [sym_identifier] = ACTIONS(3262),
    [anon_sym_STAR] = ACTIONS(3114),
    [anon_sym_LBRACE] = ACTIONS(3116),
    [anon_sym_typeof] = ACTIONS(3118),
    [anon_sym_import] = ACTIONS(1545),
    [anon_sym_const] = ACTIONS(3120),
    [anon_sym_LPAREN] = ACTIONS(3122),
    [anon_sym_LBRACK] = ACTIONS(3124),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(3126),
    [anon_sym_AMP] = ACTIONS(3128),
    [anon_sym_PIPE] = ACTIONS(3130),
    [anon_sym_PLUS] = ACTIONS(3132),
    [anon_sym_DASH] = ACTIONS(3132),
    [anon_sym_LT] = ACTIONS(2570),
    [anon_sym_void] = ACTIONS(3134),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3136),
    [sym_number] = ACTIONS(3138),
    [sym_this] = ACTIONS(3264),
    [sym_true] = ACTIONS(3142),
    [sym_false] = ACTIONS(3142),
    [sym_null] = ACTIONS(3142),
    [sym_undefined] = ACTIONS(3142),
    [anon_sym_readonly] = ACTIONS(3144),
    [anon_sym_QMARK] = ACTIONS(3146),
    [anon_sym_any] = ACTIONS(3134),
    [anon_sym_number] = ACTIONS(3134),
    [anon_sym_boolean] = ACTIONS(3134),
    [anon_sym_string] = ACTIONS(3134),
    [anon_sym_symbol] = ACTIONS(3134),
    [anon_sym_object] = ACTIONS(3134),
    [anon_sym_abstract] = ACTIONS(3148),
    [anon_sym_infer] = ACTIONS(3152),
    [anon_sym_keyof] = ACTIONS(3154),
    [anon_sym_unique] = ACTIONS(3156),
    [anon_sym_unknown] = ACTIONS(3134),
    [anon_sym_never] = ACTIONS(3134),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3158),
    [sym_html_comment] = ACTIONS(5),
  },
  [1061] = {
    [sym_import] = STATE(4926),
    [sym_nested_identifier] = STATE(5583),
    [sym_string] = STATE(3268),
    [sym_formal_parameters] = STATE(5787),
    [sym_nested_type_identifier] = STATE(3131),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3073),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3209),
    [sym_type] = STATE(3267),
    [sym_constructor_type] = STATE(3272),
    [sym_primary_type] = STATE(3273),
    [sym_template_literal_type] = STATE(3274),
    [sym_infer_type] = STATE(3272),
    [sym_conditional_type] = STATE(3274),
    [sym_generic_type] = STATE(3274),
    [sym_type_query] = STATE(3274),
    [sym_index_type_query] = STATE(3274),
    [sym_lookup_type] = STATE(3274),
    [sym_literal_type] = STATE(3274),
    [sym__number] = STATE(3275),
    [sym_existential_type] = STATE(3274),
    [sym_flow_maybe_type] = STATE(3274),
    [sym_parenthesized_type] = STATE(3274),
    [sym_predefined_type] = STATE(3274),
    [sym_object_type] = STATE(3274),
    [sym_type_parameters] = STATE(5160),
    [sym_array_type] = STATE(3274),
    [sym_tuple_type] = STATE(3274),
    [sym_readonly_type] = STATE(3272),
    [sym_union_type] = STATE(3274),
    [sym_intersection_type] = STATE(3274),
    [sym_function_type] = STATE(3272),
    [sym_identifier] = ACTIONS(1623),
    [anon_sym_STAR] = ACTIONS(999),
    [anon_sym_LBRACE] = ACTIONS(1627),
    [anon_sym_typeof] = ACTIONS(1629),
    [anon_sym_import] = ACTIONS(1545),
    [anon_sym_const] = ACTIONS(1005),
    [anon_sym_LPAREN] = ACTIONS(1631),
    [anon_sym_LBRACK] = ACTIONS(1633),
    [anon_sym_DQUOTE] = ACTIONS(1635),
    [anon_sym_SQUOTE] = ACTIONS(1637),
    [anon_sym_new] = ACTIONS(1639),
    [anon_sym_AMP] = ACTIONS(1013),
    [anon_sym_PIPE] = ACTIONS(1015),
    [anon_sym_PLUS] = ACTIONS(3020),
    [anon_sym_DASH] = ACTIONS(3020),
    [anon_sym_LT] = ACTIONS(2570),
    [anon_sym_void] = ACTIONS(1045),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1647),
    [sym_number] = ACTIONS(1649),
    [sym_this] = ACTIONS(1651),
    [sym_true] = ACTIONS(1653),
    [sym_false] = ACTIONS(1653),
    [sym_null] = ACTIONS(1653),
    [sym_undefined] = ACTIONS(1653),
    [anon_sym_readonly] = ACTIONS(1655),
    [anon_sym_QMARK] = ACTIONS(1033),
    [anon_sym_any] = ACTIONS(1045),
    [anon_sym_number] = ACTIONS(1045),
    [anon_sym_boolean] = ACTIONS(1045),
    [anon_sym_string] = ACTIONS(1045),
    [anon_sym_symbol] = ACTIONS(1045),
    [anon_sym_object] = ACTIONS(1045),
    [anon_sym_abstract] = ACTIONS(1037),
    [anon_sym_infer] = ACTIONS(1039),
    [anon_sym_keyof] = ACTIONS(1041),
    [anon_sym_unique] = ACTIONS(1043),
    [anon_sym_unknown] = ACTIONS(1045),
    [anon_sym_never] = ACTIONS(1045),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1047),
    [sym_html_comment] = ACTIONS(5),
  },
  [1062] = {
    [sym_import] = STATE(4926),
    [sym_nested_identifier] = STATE(5583),
    [sym_string] = STATE(3268),
    [sym_formal_parameters] = STATE(5787),
    [sym_nested_type_identifier] = STATE(3131),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3073),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3209),
    [sym_type] = STATE(3271),
    [sym_constructor_type] = STATE(3272),
    [sym_primary_type] = STATE(3273),
    [sym_template_literal_type] = STATE(3274),
    [sym_infer_type] = STATE(3272),
    [sym_conditional_type] = STATE(3274),
    [sym_generic_type] = STATE(3274),
    [sym_type_query] = STATE(3274),
    [sym_index_type_query] = STATE(3274),
    [sym_lookup_type] = STATE(3274),
    [sym_literal_type] = STATE(3274),
    [sym__number] = STATE(3275),
    [sym_existential_type] = STATE(3274),
    [sym_flow_maybe_type] = STATE(3274),
    [sym_parenthesized_type] = STATE(3274),
    [sym_predefined_type] = STATE(3274),
    [sym_object_type] = STATE(3274),
    [sym_type_parameters] = STATE(5160),
    [sym_array_type] = STATE(3274),
    [sym_tuple_type] = STATE(3274),
    [sym_readonly_type] = STATE(3272),
    [sym_union_type] = STATE(3274),
    [sym_intersection_type] = STATE(3274),
    [sym_function_type] = STATE(3272),
    [sym_identifier] = ACTIONS(1623),
    [anon_sym_STAR] = ACTIONS(999),
    [anon_sym_LBRACE] = ACTIONS(1627),
    [anon_sym_typeof] = ACTIONS(1629),
    [anon_sym_import] = ACTIONS(1545),
    [anon_sym_const] = ACTIONS(1005),
    [anon_sym_LPAREN] = ACTIONS(1631),
    [anon_sym_LBRACK] = ACTIONS(1633),
    [anon_sym_DQUOTE] = ACTIONS(1635),
    [anon_sym_SQUOTE] = ACTIONS(1637),
    [anon_sym_new] = ACTIONS(1639),
    [anon_sym_AMP] = ACTIONS(1013),
    [anon_sym_PIPE] = ACTIONS(1015),
    [anon_sym_PLUS] = ACTIONS(3020),
    [anon_sym_DASH] = ACTIONS(3020),
    [anon_sym_LT] = ACTIONS(2570),
    [anon_sym_void] = ACTIONS(1045),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1647),
    [sym_number] = ACTIONS(1649),
    [sym_this] = ACTIONS(1651),
    [sym_true] = ACTIONS(1653),
    [sym_false] = ACTIONS(1653),
    [sym_null] = ACTIONS(1653),
    [sym_undefined] = ACTIONS(1653),
    [anon_sym_readonly] = ACTIONS(1655),
    [anon_sym_QMARK] = ACTIONS(1033),
    [anon_sym_any] = ACTIONS(1045),
    [anon_sym_number] = ACTIONS(1045),
    [anon_sym_boolean] = ACTIONS(1045),
    [anon_sym_string] = ACTIONS(1045),
    [anon_sym_symbol] = ACTIONS(1045),
    [anon_sym_object] = ACTIONS(1045),
    [anon_sym_abstract] = ACTIONS(1037),
    [anon_sym_infer] = ACTIONS(1039),
    [anon_sym_keyof] = ACTIONS(1041),
    [anon_sym_unique] = ACTIONS(1043),
    [anon_sym_unknown] = ACTIONS(1045),
    [anon_sym_never] = ACTIONS(1045),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1047),
    [sym_html_comment] = ACTIONS(5),
  },
  [1063] = {
    [sym_import] = STATE(4788),
    [sym_nested_identifier] = STATE(5868),
    [sym_string] = STATE(3013),
    [sym_formal_parameters] = STATE(5623),
    [sym_nested_type_identifier] = STATE(2941),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2942),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2944),
    [sym_type] = STATE(3129),
    [sym_constructor_type] = STATE(2974),
    [sym_primary_type] = STATE(3014),
    [sym_template_literal_type] = STATE(3018),
    [sym_infer_type] = STATE(2974),
    [sym_conditional_type] = STATE(3018),
    [sym_generic_type] = STATE(3018),
    [sym_type_query] = STATE(3018),
    [sym_index_type_query] = STATE(3018),
    [sym_lookup_type] = STATE(3018),
    [sym_literal_type] = STATE(3018),
    [sym__number] = STATE(3031),
    [sym_existential_type] = STATE(3018),
    [sym_flow_maybe_type] = STATE(3018),
    [sym_parenthesized_type] = STATE(3018),
    [sym_predefined_type] = STATE(3018),
    [sym_object_type] = STATE(3018),
    [sym_type_parameters] = STATE(5442),
    [sym_array_type] = STATE(3018),
    [sym_tuple_type] = STATE(3018),
    [sym_readonly_type] = STATE(2974),
    [sym_union_type] = STATE(3018),
    [sym_intersection_type] = STATE(3018),
    [sym_function_type] = STATE(2974),
    [sym_identifier] = ACTIONS(1539),
    [anon_sym_STAR] = ACTIONS(582),
    [anon_sym_LBRACE] = ACTIONS(1541),
    [anon_sym_typeof] = ACTIONS(1543),
    [anon_sym_import] = ACTIONS(1545),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1547),
    [anon_sym_LBRACK] = ACTIONS(1549),
    [anon_sym_DQUOTE] = ACTIONS(1551),
    [anon_sym_SQUOTE] = ACTIONS(1553),
    [anon_sym_new] = ACTIONS(1555),
    [anon_sym_AMP] = ACTIONS(755),
    [anon_sym_PIPE] = ACTIONS(757),
    [anon_sym_PLUS] = ACTIONS(2568),
    [anon_sym_DASH] = ACTIONS(2568),
    [anon_sym_LT] = ACTIONS(2570),
    [anon_sym_void] = ACTIONS(217),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1561),
    [sym_number] = ACTIONS(1563),
    [sym_this] = ACTIONS(1565),
    [sym_true] = ACTIONS(1567),
    [sym_false] = ACTIONS(1567),
    [sym_null] = ACTIONS(1567),
    [sym_undefined] = ACTIONS(1567),
    [anon_sym_readonly] = ACTIONS(1569),
    [anon_sym_QMARK] = ACTIONS(783),
    [anon_sym_any] = ACTIONS(217),
    [anon_sym_number] = ACTIONS(217),
    [anon_sym_boolean] = ACTIONS(217),
    [anon_sym_string] = ACTIONS(217),
    [anon_sym_symbol] = ACTIONS(217),
    [anon_sym_object] = ACTIONS(217),
    [anon_sym_abstract] = ACTIONS(209),
    [anon_sym_infer] = ACTIONS(211),
    [anon_sym_keyof] = ACTIONS(213),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym_html_comment] = ACTIONS(5),
  },
  [1064] = {
    [sym_import] = STATE(4926),
    [sym_nested_identifier] = STATE(5583),
    [sym_string] = STATE(3268),
    [sym_formal_parameters] = STATE(5787),
    [sym_nested_type_identifier] = STATE(3131),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3073),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3209),
    [sym_type] = STATE(3223),
    [sym_constructor_type] = STATE(3272),
    [sym_primary_type] = STATE(3273),
    [sym_template_literal_type] = STATE(3274),
    [sym_infer_type] = STATE(3272),
    [sym_conditional_type] = STATE(3274),
    [sym_generic_type] = STATE(3274),
    [sym_type_query] = STATE(3274),
    [sym_index_type_query] = STATE(3274),
    [sym_lookup_type] = STATE(3274),
    [sym_literal_type] = STATE(3274),
    [sym__number] = STATE(3275),
    [sym_existential_type] = STATE(3274),
    [sym_flow_maybe_type] = STATE(3274),
    [sym_parenthesized_type] = STATE(3274),
    [sym_predefined_type] = STATE(3274),
    [sym_object_type] = STATE(3274),
    [sym_type_parameters] = STATE(5160),
    [sym_array_type] = STATE(3274),
    [sym_tuple_type] = STATE(3274),
    [sym_readonly_type] = STATE(3272),
    [sym_union_type] = STATE(3274),
    [sym_intersection_type] = STATE(3274),
    [sym_function_type] = STATE(3272),
    [sym_identifier] = ACTIONS(1623),
    [anon_sym_STAR] = ACTIONS(999),
    [anon_sym_LBRACE] = ACTIONS(1627),
    [anon_sym_typeof] = ACTIONS(1629),
    [anon_sym_import] = ACTIONS(1545),
    [anon_sym_const] = ACTIONS(1005),
    [anon_sym_LPAREN] = ACTIONS(1631),
    [anon_sym_LBRACK] = ACTIONS(1633),
    [anon_sym_DQUOTE] = ACTIONS(1635),
    [anon_sym_SQUOTE] = ACTIONS(1637),
    [anon_sym_new] = ACTIONS(1639),
    [anon_sym_AMP] = ACTIONS(1013),
    [anon_sym_PIPE] = ACTIONS(1015),
    [anon_sym_PLUS] = ACTIONS(3020),
    [anon_sym_DASH] = ACTIONS(3020),
    [anon_sym_LT] = ACTIONS(2570),
    [anon_sym_void] = ACTIONS(1045),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1647),
    [sym_number] = ACTIONS(1649),
    [sym_this] = ACTIONS(1651),
    [sym_true] = ACTIONS(1653),
    [sym_false] = ACTIONS(1653),
    [sym_null] = ACTIONS(1653),
    [sym_undefined] = ACTIONS(1653),
    [anon_sym_readonly] = ACTIONS(1655),
    [anon_sym_QMARK] = ACTIONS(1033),
    [anon_sym_any] = ACTIONS(1045),
    [anon_sym_number] = ACTIONS(1045),
    [anon_sym_boolean] = ACTIONS(1045),
    [anon_sym_string] = ACTIONS(1045),
    [anon_sym_symbol] = ACTIONS(1045),
    [anon_sym_object] = ACTIONS(1045),
    [anon_sym_abstract] = ACTIONS(1037),
    [anon_sym_infer] = ACTIONS(1039),
    [anon_sym_keyof] = ACTIONS(1041),
    [anon_sym_unique] = ACTIONS(1043),
    [anon_sym_unknown] = ACTIONS(1045),
    [anon_sym_never] = ACTIONS(1045),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1047),
    [sym_html_comment] = ACTIONS(5),
  },
  [1065] = {
    [sym_import] = STATE(4926),
    [sym_nested_identifier] = STATE(5583),
    [sym_string] = STATE(3268),
    [sym_formal_parameters] = STATE(5787),
    [sym_nested_type_identifier] = STATE(3131),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3073),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3209),
    [sym_type] = STATE(3224),
    [sym_constructor_type] = STATE(3272),
    [sym_primary_type] = STATE(3273),
    [sym_template_literal_type] = STATE(3274),
    [sym_infer_type] = STATE(3272),
    [sym_conditional_type] = STATE(3274),
    [sym_generic_type] = STATE(3274),
    [sym_type_query] = STATE(3274),
    [sym_index_type_query] = STATE(3274),
    [sym_lookup_type] = STATE(3274),
    [sym_literal_type] = STATE(3274),
    [sym__number] = STATE(3275),
    [sym_existential_type] = STATE(3274),
    [sym_flow_maybe_type] = STATE(3274),
    [sym_parenthesized_type] = STATE(3274),
    [sym_predefined_type] = STATE(3274),
    [sym_object_type] = STATE(3274),
    [sym_type_parameters] = STATE(5160),
    [sym_array_type] = STATE(3274),
    [sym_tuple_type] = STATE(3274),
    [sym_readonly_type] = STATE(3272),
    [sym_union_type] = STATE(3274),
    [sym_intersection_type] = STATE(3274),
    [sym_function_type] = STATE(3272),
    [sym_identifier] = ACTIONS(1623),
    [anon_sym_STAR] = ACTIONS(999),
    [anon_sym_LBRACE] = ACTIONS(1627),
    [anon_sym_typeof] = ACTIONS(1629),
    [anon_sym_import] = ACTIONS(1545),
    [anon_sym_const] = ACTIONS(1005),
    [anon_sym_LPAREN] = ACTIONS(1631),
    [anon_sym_LBRACK] = ACTIONS(1633),
    [anon_sym_DQUOTE] = ACTIONS(1635),
    [anon_sym_SQUOTE] = ACTIONS(1637),
    [anon_sym_new] = ACTIONS(1639),
    [anon_sym_AMP] = ACTIONS(1013),
    [anon_sym_PIPE] = ACTIONS(1015),
    [anon_sym_PLUS] = ACTIONS(3020),
    [anon_sym_DASH] = ACTIONS(3020),
    [anon_sym_LT] = ACTIONS(2570),
    [anon_sym_void] = ACTIONS(1045),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1647),
    [sym_number] = ACTIONS(1649),
    [sym_this] = ACTIONS(1651),
    [sym_true] = ACTIONS(1653),
    [sym_false] = ACTIONS(1653),
    [sym_null] = ACTIONS(1653),
    [sym_undefined] = ACTIONS(1653),
    [anon_sym_readonly] = ACTIONS(1655),
    [anon_sym_QMARK] = ACTIONS(1033),
    [anon_sym_any] = ACTIONS(1045),
    [anon_sym_number] = ACTIONS(1045),
    [anon_sym_boolean] = ACTIONS(1045),
    [anon_sym_string] = ACTIONS(1045),
    [anon_sym_symbol] = ACTIONS(1045),
    [anon_sym_object] = ACTIONS(1045),
    [anon_sym_abstract] = ACTIONS(1037),
    [anon_sym_infer] = ACTIONS(1039),
    [anon_sym_keyof] = ACTIONS(1041),
    [anon_sym_unique] = ACTIONS(1043),
    [anon_sym_unknown] = ACTIONS(1045),
    [anon_sym_never] = ACTIONS(1045),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1047),
    [sym_html_comment] = ACTIONS(5),
  },
  [1066] = {
    [sym_import] = STATE(4535),
    [sym_nested_identifier] = STATE(5495),
    [sym_string] = STATE(1619),
    [sym_formal_parameters] = STATE(5874),
    [sym_nested_type_identifier] = STATE(1521),
    [sym__type_query_member_expression_in_type_annotation] = STATE(1526),
    [sym__type_query_call_expression_in_type_annotation] = STATE(1648),
    [sym_type] = STATE(1536),
    [sym_constructor_type] = STATE(1628),
    [sym_primary_type] = STATE(1595),
    [sym_template_literal_type] = STATE(1616),
    [sym_infer_type] = STATE(1628),
    [sym_conditional_type] = STATE(1616),
    [sym_generic_type] = STATE(1616),
    [sym_type_query] = STATE(1616),
    [sym_index_type_query] = STATE(1616),
    [sym_lookup_type] = STATE(1616),
    [sym_literal_type] = STATE(1616),
    [sym__number] = STATE(1647),
    [sym_existential_type] = STATE(1616),
    [sym_flow_maybe_type] = STATE(1616),
    [sym_parenthesized_type] = STATE(1616),
    [sym_predefined_type] = STATE(1616),
    [sym_object_type] = STATE(1616),
    [sym_type_parameters] = STATE(5220),
    [sym_array_type] = STATE(1616),
    [sym_tuple_type] = STATE(1616),
    [sym_readonly_type] = STATE(1628),
    [sym_union_type] = STATE(1616),
    [sym_intersection_type] = STATE(1616),
    [sym_function_type] = STATE(1628),
    [sym_identifier] = ACTIONS(3258),
    [anon_sym_STAR] = ACTIONS(3162),
    [anon_sym_LBRACE] = ACTIONS(3164),
    [anon_sym_typeof] = ACTIONS(3166),
    [anon_sym_import] = ACTIONS(1545),
    [anon_sym_const] = ACTIONS(3168),
    [anon_sym_LPAREN] = ACTIONS(3170),
    [anon_sym_LBRACK] = ACTIONS(3172),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(3174),
    [anon_sym_AMP] = ACTIONS(3176),
    [anon_sym_PIPE] = ACTIONS(3178),
    [anon_sym_PLUS] = ACTIONS(3180),
    [anon_sym_DASH] = ACTIONS(3180),
    [anon_sym_LT] = ACTIONS(2570),
    [anon_sym_void] = ACTIONS(3182),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3184),
    [sym_number] = ACTIONS(3186),
    [sym_this] = ACTIONS(3260),
    [sym_true] = ACTIONS(3190),
    [sym_false] = ACTIONS(3190),
    [sym_null] = ACTIONS(3190),
    [sym_undefined] = ACTIONS(3190),
    [anon_sym_readonly] = ACTIONS(3192),
    [anon_sym_QMARK] = ACTIONS(3194),
    [anon_sym_any] = ACTIONS(3182),
    [anon_sym_number] = ACTIONS(3182),
    [anon_sym_boolean] = ACTIONS(3182),
    [anon_sym_string] = ACTIONS(3182),
    [anon_sym_symbol] = ACTIONS(3182),
    [anon_sym_object] = ACTIONS(3182),
    [anon_sym_abstract] = ACTIONS(3196),
    [anon_sym_infer] = ACTIONS(3200),
    [anon_sym_keyof] = ACTIONS(3202),
    [anon_sym_unique] = ACTIONS(3204),
    [anon_sym_unknown] = ACTIONS(3182),
    [anon_sym_never] = ACTIONS(3182),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3206),
    [sym_html_comment] = ACTIONS(5),
  },
  [1067] = {
    [sym_import] = STATE(4535),
    [sym_nested_identifier] = STATE(5495),
    [sym_string] = STATE(1619),
    [sym_formal_parameters] = STATE(5874),
    [sym_nested_type_identifier] = STATE(1521),
    [sym__type_query_member_expression_in_type_annotation] = STATE(1526),
    [sym__type_query_call_expression_in_type_annotation] = STATE(1648),
    [sym_type] = STATE(1537),
    [sym_constructor_type] = STATE(1628),
    [sym_primary_type] = STATE(1595),
    [sym_template_literal_type] = STATE(1616),
    [sym_infer_type] = STATE(1628),
    [sym_conditional_type] = STATE(1616),
    [sym_generic_type] = STATE(1616),
    [sym_type_query] = STATE(1616),
    [sym_index_type_query] = STATE(1616),
    [sym_lookup_type] = STATE(1616),
    [sym_literal_type] = STATE(1616),
    [sym__number] = STATE(1647),
    [sym_existential_type] = STATE(1616),
    [sym_flow_maybe_type] = STATE(1616),
    [sym_parenthesized_type] = STATE(1616),
    [sym_predefined_type] = STATE(1616),
    [sym_object_type] = STATE(1616),
    [sym_type_parameters] = STATE(5220),
    [sym_array_type] = STATE(1616),
    [sym_tuple_type] = STATE(1616),
    [sym_readonly_type] = STATE(1628),
    [sym_union_type] = STATE(1616),
    [sym_intersection_type] = STATE(1616),
    [sym_function_type] = STATE(1628),
    [sym_identifier] = ACTIONS(3258),
    [anon_sym_STAR] = ACTIONS(3162),
    [anon_sym_LBRACE] = ACTIONS(3164),
    [anon_sym_typeof] = ACTIONS(3166),
    [anon_sym_import] = ACTIONS(1545),
    [anon_sym_const] = ACTIONS(3168),
    [anon_sym_LPAREN] = ACTIONS(3170),
    [anon_sym_LBRACK] = ACTIONS(3172),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(3174),
    [anon_sym_AMP] = ACTIONS(3176),
    [anon_sym_PIPE] = ACTIONS(3178),
    [anon_sym_PLUS] = ACTIONS(3180),
    [anon_sym_DASH] = ACTIONS(3180),
    [anon_sym_LT] = ACTIONS(2570),
    [anon_sym_void] = ACTIONS(3182),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3184),
    [sym_number] = ACTIONS(3186),
    [sym_this] = ACTIONS(3260),
    [sym_true] = ACTIONS(3190),
    [sym_false] = ACTIONS(3190),
    [sym_null] = ACTIONS(3190),
    [sym_undefined] = ACTIONS(3190),
    [anon_sym_readonly] = ACTIONS(3192),
    [anon_sym_QMARK] = ACTIONS(3194),
    [anon_sym_any] = ACTIONS(3182),
    [anon_sym_number] = ACTIONS(3182),
    [anon_sym_boolean] = ACTIONS(3182),
    [anon_sym_string] = ACTIONS(3182),
    [anon_sym_symbol] = ACTIONS(3182),
    [anon_sym_object] = ACTIONS(3182),
    [anon_sym_abstract] = ACTIONS(3196),
    [anon_sym_infer] = ACTIONS(3200),
    [anon_sym_keyof] = ACTIONS(3202),
    [anon_sym_unique] = ACTIONS(3204),
    [anon_sym_unknown] = ACTIONS(3182),
    [anon_sym_never] = ACTIONS(3182),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3206),
    [sym_html_comment] = ACTIONS(5),
  },
  [1068] = {
    [sym_import] = STATE(4535),
    [sym_nested_identifier] = STATE(5495),
    [sym_string] = STATE(1619),
    [sym_formal_parameters] = STATE(5874),
    [sym_nested_type_identifier] = STATE(1521),
    [sym__type_query_member_expression_in_type_annotation] = STATE(1526),
    [sym__type_query_call_expression_in_type_annotation] = STATE(1648),
    [sym_type] = STATE(1552),
    [sym_constructor_type] = STATE(1628),
    [sym_primary_type] = STATE(1595),
    [sym_template_literal_type] = STATE(1616),
    [sym_infer_type] = STATE(1628),
    [sym_conditional_type] = STATE(1616),
    [sym_generic_type] = STATE(1616),
    [sym_type_query] = STATE(1616),
    [sym_index_type_query] = STATE(1616),
    [sym_lookup_type] = STATE(1616),
    [sym_literal_type] = STATE(1616),
    [sym__number] = STATE(1647),
    [sym_existential_type] = STATE(1616),
    [sym_flow_maybe_type] = STATE(1616),
    [sym_parenthesized_type] = STATE(1616),
    [sym_predefined_type] = STATE(1616),
    [sym_object_type] = STATE(1616),
    [sym_type_parameters] = STATE(5220),
    [sym_array_type] = STATE(1616),
    [sym_tuple_type] = STATE(1616),
    [sym_readonly_type] = STATE(1628),
    [sym_union_type] = STATE(1616),
    [sym_intersection_type] = STATE(1616),
    [sym_function_type] = STATE(1628),
    [sym_identifier] = ACTIONS(3258),
    [anon_sym_STAR] = ACTIONS(3162),
    [anon_sym_LBRACE] = ACTIONS(3164),
    [anon_sym_typeof] = ACTIONS(3166),
    [anon_sym_import] = ACTIONS(1545),
    [anon_sym_const] = ACTIONS(3168),
    [anon_sym_LPAREN] = ACTIONS(3170),
    [anon_sym_LBRACK] = ACTIONS(3172),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(3174),
    [anon_sym_AMP] = ACTIONS(3176),
    [anon_sym_PIPE] = ACTIONS(3178),
    [anon_sym_PLUS] = ACTIONS(3180),
    [anon_sym_DASH] = ACTIONS(3180),
    [anon_sym_LT] = ACTIONS(2570),
    [anon_sym_void] = ACTIONS(3182),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3184),
    [sym_number] = ACTIONS(3186),
    [sym_this] = ACTIONS(3260),
    [sym_true] = ACTIONS(3190),
    [sym_false] = ACTIONS(3190),
    [sym_null] = ACTIONS(3190),
    [sym_undefined] = ACTIONS(3190),
    [anon_sym_readonly] = ACTIONS(3192),
    [anon_sym_QMARK] = ACTIONS(3194),
    [anon_sym_any] = ACTIONS(3182),
    [anon_sym_number] = ACTIONS(3182),
    [anon_sym_boolean] = ACTIONS(3182),
    [anon_sym_string] = ACTIONS(3182),
    [anon_sym_symbol] = ACTIONS(3182),
    [anon_sym_object] = ACTIONS(3182),
    [anon_sym_abstract] = ACTIONS(3196),
    [anon_sym_infer] = ACTIONS(3200),
    [anon_sym_keyof] = ACTIONS(3202),
    [anon_sym_unique] = ACTIONS(3204),
    [anon_sym_unknown] = ACTIONS(3182),
    [anon_sym_never] = ACTIONS(3182),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3206),
    [sym_html_comment] = ACTIONS(5),
  },
  [1069] = {
    [sym_import] = STATE(4788),
    [sym_nested_identifier] = STATE(5495),
    [sym_string] = STATE(1619),
    [sym_formal_parameters] = STATE(5623),
    [sym_nested_type_identifier] = STATE(1521),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2942),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2944),
    [sym_type] = STATE(4544),
    [sym_constructor_type] = STATE(2974),
    [sym_primary_type] = STATE(1558),
    [sym_template_literal_type] = STATE(1616),
    [sym_infer_type] = STATE(2974),
    [sym_conditional_type] = STATE(1616),
    [sym_generic_type] = STATE(1616),
    [sym_type_query] = STATE(1616),
    [sym_index_type_query] = STATE(1616),
    [sym_lookup_type] = STATE(1616),
    [sym_literal_type] = STATE(1616),
    [sym__number] = STATE(1647),
    [sym_existential_type] = STATE(1616),
    [sym_flow_maybe_type] = STATE(1616),
    [sym_parenthesized_type] = STATE(1616),
    [sym_predefined_type] = STATE(1616),
    [sym_object_type] = STATE(1616),
    [sym_type_parameters] = STATE(5442),
    [sym_array_type] = STATE(1616),
    [sym_tuple_type] = STATE(1616),
    [sym_readonly_type] = STATE(2974),
    [sym_union_type] = STATE(1616),
    [sym_intersection_type] = STATE(1616),
    [sym_function_type] = STATE(2974),
    [sym_identifier] = ACTIONS(3258),
    [anon_sym_STAR] = ACTIONS(3162),
    [anon_sym_LBRACE] = ACTIONS(3164),
    [anon_sym_typeof] = ACTIONS(3166),
    [anon_sym_import] = ACTIONS(1545),
    [anon_sym_const] = ACTIONS(3168),
    [anon_sym_LPAREN] = ACTIONS(3170),
    [anon_sym_LBRACK] = ACTIONS(3172),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1555),
    [anon_sym_AMP] = ACTIONS(3176),
    [anon_sym_PIPE] = ACTIONS(3178),
    [anon_sym_PLUS] = ACTIONS(3180),
    [anon_sym_DASH] = ACTIONS(3180),
    [anon_sym_LT] = ACTIONS(2570),
    [anon_sym_void] = ACTIONS(3182),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3184),
    [sym_number] = ACTIONS(3186),
    [sym_this] = ACTIONS(3260),
    [sym_true] = ACTIONS(3190),
    [sym_false] = ACTIONS(3190),
    [sym_null] = ACTIONS(3190),
    [sym_undefined] = ACTIONS(3190),
    [anon_sym_readonly] = ACTIONS(1569),
    [anon_sym_QMARK] = ACTIONS(3194),
    [anon_sym_any] = ACTIONS(3182),
    [anon_sym_number] = ACTIONS(3182),
    [anon_sym_boolean] = ACTIONS(3182),
    [anon_sym_string] = ACTIONS(3182),
    [anon_sym_symbol] = ACTIONS(3182),
    [anon_sym_object] = ACTIONS(3182),
    [anon_sym_abstract] = ACTIONS(209),
    [anon_sym_infer] = ACTIONS(211),
    [anon_sym_keyof] = ACTIONS(3202),
    [anon_sym_unique] = ACTIONS(3204),
    [anon_sym_unknown] = ACTIONS(3182),
    [anon_sym_never] = ACTIONS(3182),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3206),
    [sym_html_comment] = ACTIONS(5),
  },
  [1070] = {
    [sym_import] = STATE(4788),
    [sym_nested_identifier] = STATE(5495),
    [sym_string] = STATE(1619),
    [sym_formal_parameters] = STATE(5623),
    [sym_nested_type_identifier] = STATE(1521),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2942),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2944),
    [sym_type] = STATE(4544),
    [sym_constructor_type] = STATE(2974),
    [sym_primary_type] = STATE(1563),
    [sym_template_literal_type] = STATE(1616),
    [sym_infer_type] = STATE(2974),
    [sym_conditional_type] = STATE(1616),
    [sym_generic_type] = STATE(1616),
    [sym_type_query] = STATE(1616),
    [sym_index_type_query] = STATE(1616),
    [sym_lookup_type] = STATE(1616),
    [sym_literal_type] = STATE(1616),
    [sym__number] = STATE(1647),
    [sym_existential_type] = STATE(1616),
    [sym_flow_maybe_type] = STATE(1616),
    [sym_parenthesized_type] = STATE(1616),
    [sym_predefined_type] = STATE(1616),
    [sym_object_type] = STATE(1616),
    [sym_type_parameters] = STATE(5442),
    [sym_array_type] = STATE(1616),
    [sym_tuple_type] = STATE(1616),
    [sym_readonly_type] = STATE(2974),
    [sym_union_type] = STATE(1616),
    [sym_intersection_type] = STATE(1616),
    [sym_function_type] = STATE(2974),
    [sym_identifier] = ACTIONS(3258),
    [anon_sym_STAR] = ACTIONS(3162),
    [anon_sym_LBRACE] = ACTIONS(3164),
    [anon_sym_typeof] = ACTIONS(3166),
    [anon_sym_import] = ACTIONS(1545),
    [anon_sym_const] = ACTIONS(3168),
    [anon_sym_LPAREN] = ACTIONS(3170),
    [anon_sym_LBRACK] = ACTIONS(3172),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1555),
    [anon_sym_AMP] = ACTIONS(3176),
    [anon_sym_PIPE] = ACTIONS(3178),
    [anon_sym_PLUS] = ACTIONS(3180),
    [anon_sym_DASH] = ACTIONS(3180),
    [anon_sym_LT] = ACTIONS(2570),
    [anon_sym_void] = ACTIONS(3182),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3184),
    [sym_number] = ACTIONS(3186),
    [sym_this] = ACTIONS(3260),
    [sym_true] = ACTIONS(3190),
    [sym_false] = ACTIONS(3190),
    [sym_null] = ACTIONS(3190),
    [sym_undefined] = ACTIONS(3190),
    [anon_sym_readonly] = ACTIONS(1569),
    [anon_sym_QMARK] = ACTIONS(3194),
    [anon_sym_any] = ACTIONS(3182),
    [anon_sym_number] = ACTIONS(3182),
    [anon_sym_boolean] = ACTIONS(3182),
    [anon_sym_string] = ACTIONS(3182),
    [anon_sym_symbol] = ACTIONS(3182),
    [anon_sym_object] = ACTIONS(3182),
    [anon_sym_abstract] = ACTIONS(209),
    [anon_sym_infer] = ACTIONS(211),
    [anon_sym_keyof] = ACTIONS(3202),
    [anon_sym_unique] = ACTIONS(3204),
    [anon_sym_unknown] = ACTIONS(3182),
    [anon_sym_never] = ACTIONS(3182),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3206),
    [sym_html_comment] = ACTIONS(5),
  },
  [1071] = {
    [sym_import] = STATE(4535),
    [sym_nested_identifier] = STATE(5495),
    [sym_string] = STATE(1619),
    [sym_formal_parameters] = STATE(5874),
    [sym_nested_type_identifier] = STATE(1521),
    [sym__type_query_member_expression_in_type_annotation] = STATE(1526),
    [sym__type_query_call_expression_in_type_annotation] = STATE(1648),
    [sym_type] = STATE(1612),
    [sym_constructor_type] = STATE(1628),
    [sym_primary_type] = STATE(1595),
    [sym_template_literal_type] = STATE(1616),
    [sym_infer_type] = STATE(1628),
    [sym_conditional_type] = STATE(1616),
    [sym_generic_type] = STATE(1616),
    [sym_type_query] = STATE(1616),
    [sym_index_type_query] = STATE(1616),
    [sym_lookup_type] = STATE(1616),
    [sym_literal_type] = STATE(1616),
    [sym__number] = STATE(1647),
    [sym_existential_type] = STATE(1616),
    [sym_flow_maybe_type] = STATE(1616),
    [sym_parenthesized_type] = STATE(1616),
    [sym_predefined_type] = STATE(1616),
    [sym_object_type] = STATE(1616),
    [sym_type_parameters] = STATE(5220),
    [sym_array_type] = STATE(1616),
    [sym_tuple_type] = STATE(1616),
    [sym_readonly_type] = STATE(1628),
    [sym_union_type] = STATE(1616),
    [sym_intersection_type] = STATE(1616),
    [sym_function_type] = STATE(1628),
    [sym_identifier] = ACTIONS(3258),
    [anon_sym_STAR] = ACTIONS(3162),
    [anon_sym_LBRACE] = ACTIONS(3164),
    [anon_sym_typeof] = ACTIONS(3166),
    [anon_sym_import] = ACTIONS(1545),
    [anon_sym_const] = ACTIONS(3168),
    [anon_sym_LPAREN] = ACTIONS(3170),
    [anon_sym_LBRACK] = ACTIONS(3172),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(3174),
    [anon_sym_AMP] = ACTIONS(3176),
    [anon_sym_PIPE] = ACTIONS(3178),
    [anon_sym_PLUS] = ACTIONS(3180),
    [anon_sym_DASH] = ACTIONS(3180),
    [anon_sym_LT] = ACTIONS(2570),
    [anon_sym_void] = ACTIONS(3182),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3184),
    [sym_number] = ACTIONS(3186),
    [sym_this] = ACTIONS(3260),
    [sym_true] = ACTIONS(3190),
    [sym_false] = ACTIONS(3190),
    [sym_null] = ACTIONS(3190),
    [sym_undefined] = ACTIONS(3190),
    [anon_sym_readonly] = ACTIONS(3192),
    [anon_sym_QMARK] = ACTIONS(3194),
    [anon_sym_any] = ACTIONS(3182),
    [anon_sym_number] = ACTIONS(3182),
    [anon_sym_boolean] = ACTIONS(3182),
    [anon_sym_string] = ACTIONS(3182),
    [anon_sym_symbol] = ACTIONS(3182),
    [anon_sym_object] = ACTIONS(3182),
    [anon_sym_abstract] = ACTIONS(3196),
    [anon_sym_infer] = ACTIONS(3200),
    [anon_sym_keyof] = ACTIONS(3202),
    [anon_sym_unique] = ACTIONS(3204),
    [anon_sym_unknown] = ACTIONS(3182),
    [anon_sym_never] = ACTIONS(3182),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3206),
    [sym_html_comment] = ACTIONS(5),
  },
  [1072] = {
    [sym_import] = STATE(4535),
    [sym_nested_identifier] = STATE(5495),
    [sym_string] = STATE(1619),
    [sym_formal_parameters] = STATE(5874),
    [sym_nested_type_identifier] = STATE(1521),
    [sym__type_query_member_expression_in_type_annotation] = STATE(1526),
    [sym__type_query_call_expression_in_type_annotation] = STATE(1648),
    [sym_type] = STATE(1613),
    [sym_constructor_type] = STATE(1628),
    [sym_primary_type] = STATE(1595),
    [sym_template_literal_type] = STATE(1616),
    [sym_infer_type] = STATE(1628),
    [sym_conditional_type] = STATE(1616),
    [sym_generic_type] = STATE(1616),
    [sym_type_query] = STATE(1616),
    [sym_index_type_query] = STATE(1616),
    [sym_lookup_type] = STATE(1616),
    [sym_literal_type] = STATE(1616),
    [sym__number] = STATE(1647),
    [sym_existential_type] = STATE(1616),
    [sym_flow_maybe_type] = STATE(1616),
    [sym_parenthesized_type] = STATE(1616),
    [sym_predefined_type] = STATE(1616),
    [sym_object_type] = STATE(1616),
    [sym_type_parameters] = STATE(5220),
    [sym_array_type] = STATE(1616),
    [sym_tuple_type] = STATE(1616),
    [sym_readonly_type] = STATE(1628),
    [sym_union_type] = STATE(1616),
    [sym_intersection_type] = STATE(1616),
    [sym_function_type] = STATE(1628),
    [sym_identifier] = ACTIONS(3258),
    [anon_sym_STAR] = ACTIONS(3162),
    [anon_sym_LBRACE] = ACTIONS(3164),
    [anon_sym_typeof] = ACTIONS(3166),
    [anon_sym_import] = ACTIONS(1545),
    [anon_sym_const] = ACTIONS(3168),
    [anon_sym_LPAREN] = ACTIONS(3170),
    [anon_sym_LBRACK] = ACTIONS(3172),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(3174),
    [anon_sym_AMP] = ACTIONS(3176),
    [anon_sym_PIPE] = ACTIONS(3178),
    [anon_sym_PLUS] = ACTIONS(3180),
    [anon_sym_DASH] = ACTIONS(3180),
    [anon_sym_LT] = ACTIONS(2570),
    [anon_sym_void] = ACTIONS(3182),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3184),
    [sym_number] = ACTIONS(3186),
    [sym_this] = ACTIONS(3260),
    [sym_true] = ACTIONS(3190),
    [sym_false] = ACTIONS(3190),
    [sym_null] = ACTIONS(3190),
    [sym_undefined] = ACTIONS(3190),
    [anon_sym_readonly] = ACTIONS(3192),
    [anon_sym_QMARK] = ACTIONS(3194),
    [anon_sym_any] = ACTIONS(3182),
    [anon_sym_number] = ACTIONS(3182),
    [anon_sym_boolean] = ACTIONS(3182),
    [anon_sym_string] = ACTIONS(3182),
    [anon_sym_symbol] = ACTIONS(3182),
    [anon_sym_object] = ACTIONS(3182),
    [anon_sym_abstract] = ACTIONS(3196),
    [anon_sym_infer] = ACTIONS(3200),
    [anon_sym_keyof] = ACTIONS(3202),
    [anon_sym_unique] = ACTIONS(3204),
    [anon_sym_unknown] = ACTIONS(3182),
    [anon_sym_never] = ACTIONS(3182),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3206),
    [sym_html_comment] = ACTIONS(5),
  },
  [1073] = {
    [sym_import] = STATE(4788),
    [sym_nested_identifier] = STATE(5868),
    [sym_string] = STATE(3013),
    [sym_formal_parameters] = STATE(5623),
    [sym_nested_type_identifier] = STATE(2941),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2942),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2944),
    [sym_type] = STATE(2991),
    [sym_constructor_type] = STATE(2974),
    [sym_primary_type] = STATE(3014),
    [sym_template_literal_type] = STATE(3018),
    [sym_infer_type] = STATE(2974),
    [sym_conditional_type] = STATE(3018),
    [sym_generic_type] = STATE(3018),
    [sym_type_query] = STATE(3018),
    [sym_index_type_query] = STATE(3018),
    [sym_lookup_type] = STATE(3018),
    [sym_literal_type] = STATE(3018),
    [sym__number] = STATE(3031),
    [sym_existential_type] = STATE(3018),
    [sym_flow_maybe_type] = STATE(3018),
    [sym_parenthesized_type] = STATE(3018),
    [sym_predefined_type] = STATE(3018),
    [sym_object_type] = STATE(3018),
    [sym_type_parameters] = STATE(5442),
    [sym_array_type] = STATE(3018),
    [sym_tuple_type] = STATE(3018),
    [sym_readonly_type] = STATE(2974),
    [sym_union_type] = STATE(3018),
    [sym_intersection_type] = STATE(3018),
    [sym_function_type] = STATE(2974),
    [sym_identifier] = ACTIONS(1539),
    [anon_sym_STAR] = ACTIONS(582),
    [anon_sym_LBRACE] = ACTIONS(1541),
    [anon_sym_typeof] = ACTIONS(1543),
    [anon_sym_import] = ACTIONS(1545),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1547),
    [anon_sym_LBRACK] = ACTIONS(1549),
    [anon_sym_DQUOTE] = ACTIONS(1551),
    [anon_sym_SQUOTE] = ACTIONS(1553),
    [anon_sym_new] = ACTIONS(1555),
    [anon_sym_AMP] = ACTIONS(755),
    [anon_sym_PIPE] = ACTIONS(757),
    [anon_sym_PLUS] = ACTIONS(2568),
    [anon_sym_DASH] = ACTIONS(2568),
    [anon_sym_LT] = ACTIONS(2570),
    [anon_sym_void] = ACTIONS(217),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1561),
    [sym_number] = ACTIONS(1563),
    [sym_this] = ACTIONS(1565),
    [sym_true] = ACTIONS(1567),
    [sym_false] = ACTIONS(1567),
    [sym_null] = ACTIONS(1567),
    [sym_undefined] = ACTIONS(1567),
    [anon_sym_readonly] = ACTIONS(1569),
    [anon_sym_QMARK] = ACTIONS(783),
    [anon_sym_any] = ACTIONS(217),
    [anon_sym_number] = ACTIONS(217),
    [anon_sym_boolean] = ACTIONS(217),
    [anon_sym_string] = ACTIONS(217),
    [anon_sym_symbol] = ACTIONS(217),
    [anon_sym_object] = ACTIONS(217),
    [anon_sym_abstract] = ACTIONS(209),
    [anon_sym_infer] = ACTIONS(211),
    [anon_sym_keyof] = ACTIONS(213),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym_html_comment] = ACTIONS(5),
  },
  [1074] = {
    [sym_import] = STATE(4680),
    [sym_nested_identifier] = STATE(5868),
    [sym_string] = STATE(3013),
    [sym_formal_parameters] = STATE(5631),
    [sym_nested_type_identifier] = STATE(2941),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3315),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2944),
    [sym_type] = STATE(4424),
    [sym_constructor_type] = STATE(2974),
    [sym_primary_type] = STATE(3014),
    [sym_template_literal_type] = STATE(3018),
    [sym_infer_type] = STATE(2974),
    [sym_conditional_type] = STATE(3018),
    [sym_generic_type] = STATE(3018),
    [sym_type_query] = STATE(3018),
    [sym_index_type_query] = STATE(3018),
    [sym_lookup_type] = STATE(3018),
    [sym_literal_type] = STATE(3018),
    [sym__number] = STATE(3031),
    [sym_existential_type] = STATE(3018),
    [sym_flow_maybe_type] = STATE(3018),
    [sym_parenthesized_type] = STATE(3018),
    [sym_predefined_type] = STATE(3018),
    [sym_object_type] = STATE(3018),
    [sym_type_parameters] = STATE(5464),
    [sym_array_type] = STATE(3018),
    [sym_tuple_type] = STATE(3018),
    [sym_readonly_type] = STATE(2974),
    [sym_union_type] = STATE(3018),
    [sym_intersection_type] = STATE(3018),
    [sym_function_type] = STATE(2974),
    [sym_identifier] = ACTIONS(1539),
    [anon_sym_STAR] = ACTIONS(582),
    [anon_sym_LBRACE] = ACTIONS(1541),
    [anon_sym_typeof] = ACTIONS(1543),
    [anon_sym_import] = ACTIONS(1545),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1547),
    [anon_sym_LBRACK] = ACTIONS(1549),
    [anon_sym_DQUOTE] = ACTIONS(1551),
    [anon_sym_SQUOTE] = ACTIONS(1553),
    [anon_sym_new] = ACTIONS(1613),
    [anon_sym_AMP] = ACTIONS(610),
    [anon_sym_PIPE] = ACTIONS(612),
    [anon_sym_PLUS] = ACTIONS(2568),
    [anon_sym_DASH] = ACTIONS(2568),
    [anon_sym_LT] = ACTIONS(2570),
    [anon_sym_void] = ACTIONS(217),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1561),
    [sym_number] = ACTIONS(1563),
    [sym_this] = ACTIONS(1565),
    [sym_true] = ACTIONS(1567),
    [sym_false] = ACTIONS(1567),
    [sym_null] = ACTIONS(1567),
    [sym_undefined] = ACTIONS(1567),
    [anon_sym_readonly] = ACTIONS(1619),
    [anon_sym_QMARK] = ACTIONS(632),
    [anon_sym_any] = ACTIONS(217),
    [anon_sym_number] = ACTIONS(217),
    [anon_sym_boolean] = ACTIONS(217),
    [anon_sym_string] = ACTIONS(217),
    [anon_sym_symbol] = ACTIONS(217),
    [anon_sym_object] = ACTIONS(217),
    [anon_sym_abstract] = ACTIONS(636),
    [anon_sym_infer] = ACTIONS(638),
    [anon_sym_keyof] = ACTIONS(640),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym_html_comment] = ACTIONS(5),
  },
  [1075] = {
    [sym_import] = STATE(4788),
    [sym_nested_identifier] = STATE(5868),
    [sym_string] = STATE(3013),
    [sym_formal_parameters] = STATE(5623),
    [sym_nested_type_identifier] = STATE(2941),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2942),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2944),
    [sym_type] = STATE(4454),
    [sym_constructor_type] = STATE(2974),
    [sym_primary_type] = STATE(3014),
    [sym_template_literal_type] = STATE(3018),
    [sym_infer_type] = STATE(2974),
    [sym_conditional_type] = STATE(3018),
    [sym_generic_type] = STATE(3018),
    [sym_type_query] = STATE(3018),
    [sym_index_type_query] = STATE(3018),
    [sym_lookup_type] = STATE(3018),
    [sym_literal_type] = STATE(3018),
    [sym__number] = STATE(3031),
    [sym_existential_type] = STATE(3018),
    [sym_flow_maybe_type] = STATE(3018),
    [sym_parenthesized_type] = STATE(3018),
    [sym_predefined_type] = STATE(3018),
    [sym_object_type] = STATE(3018),
    [sym_type_parameters] = STATE(5442),
    [sym_array_type] = STATE(3018),
    [sym_tuple_type] = STATE(3018),
    [sym_readonly_type] = STATE(2974),
    [sym_union_type] = STATE(3018),
    [sym_intersection_type] = STATE(3018),
    [sym_function_type] = STATE(2974),
    [sym_identifier] = ACTIONS(1539),
    [anon_sym_STAR] = ACTIONS(582),
    [anon_sym_LBRACE] = ACTIONS(1541),
    [anon_sym_typeof] = ACTIONS(1543),
    [anon_sym_import] = ACTIONS(1545),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1547),
    [anon_sym_LBRACK] = ACTIONS(1549),
    [anon_sym_DQUOTE] = ACTIONS(1551),
    [anon_sym_SQUOTE] = ACTIONS(1553),
    [anon_sym_new] = ACTIONS(1555),
    [anon_sym_AMP] = ACTIONS(755),
    [anon_sym_PIPE] = ACTIONS(757),
    [anon_sym_PLUS] = ACTIONS(2568),
    [anon_sym_DASH] = ACTIONS(2568),
    [anon_sym_LT] = ACTIONS(2570),
    [anon_sym_void] = ACTIONS(217),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1561),
    [sym_number] = ACTIONS(1563),
    [sym_this] = ACTIONS(1565),
    [sym_true] = ACTIONS(1567),
    [sym_false] = ACTIONS(1567),
    [sym_null] = ACTIONS(1567),
    [sym_undefined] = ACTIONS(1567),
    [anon_sym_readonly] = ACTIONS(1569),
    [anon_sym_QMARK] = ACTIONS(783),
    [anon_sym_any] = ACTIONS(217),
    [anon_sym_number] = ACTIONS(217),
    [anon_sym_boolean] = ACTIONS(217),
    [anon_sym_string] = ACTIONS(217),
    [anon_sym_symbol] = ACTIONS(217),
    [anon_sym_object] = ACTIONS(217),
    [anon_sym_abstract] = ACTIONS(209),
    [anon_sym_infer] = ACTIONS(211),
    [anon_sym_keyof] = ACTIONS(213),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym_html_comment] = ACTIONS(5),
  },
  [1076] = {
    [sym_import] = STATE(4535),
    [sym_nested_identifier] = STATE(5495),
    [sym_string] = STATE(1619),
    [sym_formal_parameters] = STATE(5874),
    [sym_nested_type_identifier] = STATE(1521),
    [sym__type_query_member_expression_in_type_annotation] = STATE(1526),
    [sym__type_query_call_expression_in_type_annotation] = STATE(1648),
    [sym_type] = STATE(1547),
    [sym_constructor_type] = STATE(1628),
    [sym_primary_type] = STATE(1595),
    [sym_template_literal_type] = STATE(1616),
    [sym_infer_type] = STATE(1628),
    [sym_conditional_type] = STATE(1616),
    [sym_generic_type] = STATE(1616),
    [sym_type_query] = STATE(1616),
    [sym_index_type_query] = STATE(1616),
    [sym_lookup_type] = STATE(1616),
    [sym_literal_type] = STATE(1616),
    [sym__number] = STATE(1647),
    [sym_existential_type] = STATE(1616),
    [sym_flow_maybe_type] = STATE(1616),
    [sym_parenthesized_type] = STATE(1616),
    [sym_predefined_type] = STATE(1616),
    [sym_object_type] = STATE(1616),
    [sym_type_parameters] = STATE(5220),
    [sym_array_type] = STATE(1616),
    [sym_tuple_type] = STATE(1616),
    [sym_readonly_type] = STATE(1628),
    [sym_union_type] = STATE(1616),
    [sym_intersection_type] = STATE(1616),
    [sym_function_type] = STATE(1628),
    [sym_identifier] = ACTIONS(3258),
    [anon_sym_STAR] = ACTIONS(3162),
    [anon_sym_LBRACE] = ACTIONS(3164),
    [anon_sym_typeof] = ACTIONS(3166),
    [anon_sym_import] = ACTIONS(1545),
    [anon_sym_const] = ACTIONS(3168),
    [anon_sym_LPAREN] = ACTIONS(3170),
    [anon_sym_LBRACK] = ACTIONS(3172),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(3174),
    [anon_sym_AMP] = ACTIONS(3176),
    [anon_sym_PIPE] = ACTIONS(3178),
    [anon_sym_PLUS] = ACTIONS(3180),
    [anon_sym_DASH] = ACTIONS(3180),
    [anon_sym_LT] = ACTIONS(2570),
    [anon_sym_void] = ACTIONS(3182),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3184),
    [sym_number] = ACTIONS(3186),
    [sym_this] = ACTIONS(3260),
    [sym_true] = ACTIONS(3190),
    [sym_false] = ACTIONS(3190),
    [sym_null] = ACTIONS(3190),
    [sym_undefined] = ACTIONS(3190),
    [anon_sym_readonly] = ACTIONS(3192),
    [anon_sym_QMARK] = ACTIONS(3194),
    [anon_sym_any] = ACTIONS(3182),
    [anon_sym_number] = ACTIONS(3182),
    [anon_sym_boolean] = ACTIONS(3182),
    [anon_sym_string] = ACTIONS(3182),
    [anon_sym_symbol] = ACTIONS(3182),
    [anon_sym_object] = ACTIONS(3182),
    [anon_sym_abstract] = ACTIONS(3196),
    [anon_sym_infer] = ACTIONS(3200),
    [anon_sym_keyof] = ACTIONS(3202),
    [anon_sym_unique] = ACTIONS(3204),
    [anon_sym_unknown] = ACTIONS(3182),
    [anon_sym_never] = ACTIONS(3182),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3206),
    [sym_html_comment] = ACTIONS(5),
  },
  [1077] = {
    [sym_import] = STATE(4535),
    [sym_nested_identifier] = STATE(5495),
    [sym_string] = STATE(1619),
    [sym_formal_parameters] = STATE(5874),
    [sym_nested_type_identifier] = STATE(1521),
    [sym__type_query_member_expression_in_type_annotation] = STATE(1526),
    [sym__type_query_call_expression_in_type_annotation] = STATE(1648),
    [sym_type] = STATE(1553),
    [sym_constructor_type] = STATE(1628),
    [sym_primary_type] = STATE(1595),
    [sym_template_literal_type] = STATE(1616),
    [sym_infer_type] = STATE(1628),
    [sym_conditional_type] = STATE(1616),
    [sym_generic_type] = STATE(1616),
    [sym_type_query] = STATE(1616),
    [sym_index_type_query] = STATE(1616),
    [sym_lookup_type] = STATE(1616),
    [sym_literal_type] = STATE(1616),
    [sym__number] = STATE(1647),
    [sym_existential_type] = STATE(1616),
    [sym_flow_maybe_type] = STATE(1616),
    [sym_parenthesized_type] = STATE(1616),
    [sym_predefined_type] = STATE(1616),
    [sym_object_type] = STATE(1616),
    [sym_type_parameters] = STATE(5220),
    [sym_array_type] = STATE(1616),
    [sym_tuple_type] = STATE(1616),
    [sym_readonly_type] = STATE(1628),
    [sym_union_type] = STATE(1616),
    [sym_intersection_type] = STATE(1616),
    [sym_function_type] = STATE(1628),
    [sym_identifier] = ACTIONS(3258),
    [anon_sym_STAR] = ACTIONS(3162),
    [anon_sym_LBRACE] = ACTIONS(3164),
    [anon_sym_typeof] = ACTIONS(3166),
    [anon_sym_import] = ACTIONS(1545),
    [anon_sym_const] = ACTIONS(3168),
    [anon_sym_LPAREN] = ACTIONS(3170),
    [anon_sym_LBRACK] = ACTIONS(3172),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(3174),
    [anon_sym_AMP] = ACTIONS(3176),
    [anon_sym_PIPE] = ACTIONS(3178),
    [anon_sym_PLUS] = ACTIONS(3180),
    [anon_sym_DASH] = ACTIONS(3180),
    [anon_sym_LT] = ACTIONS(2570),
    [anon_sym_void] = ACTIONS(3182),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3184),
    [sym_number] = ACTIONS(3186),
    [sym_this] = ACTIONS(3260),
    [sym_true] = ACTIONS(3190),
    [sym_false] = ACTIONS(3190),
    [sym_null] = ACTIONS(3190),
    [sym_undefined] = ACTIONS(3190),
    [anon_sym_readonly] = ACTIONS(3192),
    [anon_sym_QMARK] = ACTIONS(3194),
    [anon_sym_any] = ACTIONS(3182),
    [anon_sym_number] = ACTIONS(3182),
    [anon_sym_boolean] = ACTIONS(3182),
    [anon_sym_string] = ACTIONS(3182),
    [anon_sym_symbol] = ACTIONS(3182),
    [anon_sym_object] = ACTIONS(3182),
    [anon_sym_abstract] = ACTIONS(3196),
    [anon_sym_infer] = ACTIONS(3200),
    [anon_sym_keyof] = ACTIONS(3202),
    [anon_sym_unique] = ACTIONS(3204),
    [anon_sym_unknown] = ACTIONS(3182),
    [anon_sym_never] = ACTIONS(3182),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3206),
    [sym_html_comment] = ACTIONS(5),
  },
  [1078] = {
    [sym_import] = STATE(4535),
    [sym_nested_identifier] = STATE(5495),
    [sym_string] = STATE(1619),
    [sym_formal_parameters] = STATE(5874),
    [sym_nested_type_identifier] = STATE(1521),
    [sym__type_query_member_expression_in_type_annotation] = STATE(1526),
    [sym__type_query_call_expression_in_type_annotation] = STATE(1648),
    [sym_type] = STATE(1572),
    [sym_constructor_type] = STATE(1628),
    [sym_primary_type] = STATE(1595),
    [sym_template_literal_type] = STATE(1616),
    [sym_infer_type] = STATE(1628),
    [sym_conditional_type] = STATE(1616),
    [sym_generic_type] = STATE(1616),
    [sym_type_query] = STATE(1616),
    [sym_index_type_query] = STATE(1616),
    [sym_lookup_type] = STATE(1616),
    [sym_literal_type] = STATE(1616),
    [sym__number] = STATE(1647),
    [sym_existential_type] = STATE(1616),
    [sym_flow_maybe_type] = STATE(1616),
    [sym_parenthesized_type] = STATE(1616),
    [sym_predefined_type] = STATE(1616),
    [sym_object_type] = STATE(1616),
    [sym_type_parameters] = STATE(5220),
    [sym_array_type] = STATE(1616),
    [sym_tuple_type] = STATE(1616),
    [sym_readonly_type] = STATE(1628),
    [sym_union_type] = STATE(1616),
    [sym_intersection_type] = STATE(1616),
    [sym_function_type] = STATE(1628),
    [sym_identifier] = ACTIONS(3258),
    [anon_sym_STAR] = ACTIONS(3162),
    [anon_sym_LBRACE] = ACTIONS(3164),
    [anon_sym_typeof] = ACTIONS(3166),
    [anon_sym_import] = ACTIONS(1545),
    [anon_sym_const] = ACTIONS(3168),
    [anon_sym_LPAREN] = ACTIONS(3170),
    [anon_sym_LBRACK] = ACTIONS(3172),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(3174),
    [anon_sym_AMP] = ACTIONS(3176),
    [anon_sym_PIPE] = ACTIONS(3178),
    [anon_sym_PLUS] = ACTIONS(3180),
    [anon_sym_DASH] = ACTIONS(3180),
    [anon_sym_LT] = ACTIONS(2570),
    [anon_sym_void] = ACTIONS(3182),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3184),
    [sym_number] = ACTIONS(3186),
    [sym_this] = ACTIONS(3260),
    [sym_true] = ACTIONS(3190),
    [sym_false] = ACTIONS(3190),
    [sym_null] = ACTIONS(3190),
    [sym_undefined] = ACTIONS(3190),
    [anon_sym_readonly] = ACTIONS(3192),
    [anon_sym_QMARK] = ACTIONS(3194),
    [anon_sym_any] = ACTIONS(3182),
    [anon_sym_number] = ACTIONS(3182),
    [anon_sym_boolean] = ACTIONS(3182),
    [anon_sym_string] = ACTIONS(3182),
    [anon_sym_symbol] = ACTIONS(3182),
    [anon_sym_object] = ACTIONS(3182),
    [anon_sym_abstract] = ACTIONS(3196),
    [anon_sym_infer] = ACTIONS(3200),
    [anon_sym_keyof] = ACTIONS(3202),
    [anon_sym_unique] = ACTIONS(3204),
    [anon_sym_unknown] = ACTIONS(3182),
    [anon_sym_never] = ACTIONS(3182),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3206),
    [sym_html_comment] = ACTIONS(5),
  },
  [1079] = {
    [sym_import] = STATE(4788),
    [sym_nested_identifier] = STATE(5868),
    [sym_string] = STATE(3013),
    [sym_formal_parameters] = STATE(5623),
    [sym_nested_type_identifier] = STATE(2941),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2942),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2944),
    [sym_type] = STATE(4409),
    [sym_constructor_type] = STATE(2974),
    [sym_primary_type] = STATE(3014),
    [sym_template_literal_type] = STATE(3018),
    [sym_infer_type] = STATE(2974),
    [sym_conditional_type] = STATE(3018),
    [sym_generic_type] = STATE(3018),
    [sym_type_query] = STATE(3018),
    [sym_index_type_query] = STATE(3018),
    [sym_lookup_type] = STATE(3018),
    [sym_literal_type] = STATE(3018),
    [sym__number] = STATE(3031),
    [sym_existential_type] = STATE(3018),
    [sym_flow_maybe_type] = STATE(3018),
    [sym_parenthesized_type] = STATE(3018),
    [sym_predefined_type] = STATE(3018),
    [sym_object_type] = STATE(3018),
    [sym_type_parameters] = STATE(5442),
    [sym_array_type] = STATE(3018),
    [sym_tuple_type] = STATE(3018),
    [sym_readonly_type] = STATE(2974),
    [sym_union_type] = STATE(3018),
    [sym_intersection_type] = STATE(3018),
    [sym_function_type] = STATE(2974),
    [sym_identifier] = ACTIONS(1539),
    [anon_sym_STAR] = ACTIONS(582),
    [anon_sym_LBRACE] = ACTIONS(1541),
    [anon_sym_typeof] = ACTIONS(1543),
    [anon_sym_import] = ACTIONS(1545),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1547),
    [anon_sym_LBRACK] = ACTIONS(1549),
    [anon_sym_DQUOTE] = ACTIONS(1551),
    [anon_sym_SQUOTE] = ACTIONS(1553),
    [anon_sym_new] = ACTIONS(1555),
    [anon_sym_AMP] = ACTIONS(755),
    [anon_sym_PIPE] = ACTIONS(757),
    [anon_sym_PLUS] = ACTIONS(2568),
    [anon_sym_DASH] = ACTIONS(2568),
    [anon_sym_LT] = ACTIONS(2570),
    [anon_sym_void] = ACTIONS(217),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1561),
    [sym_number] = ACTIONS(1563),
    [sym_this] = ACTIONS(1565),
    [sym_true] = ACTIONS(1567),
    [sym_false] = ACTIONS(1567),
    [sym_null] = ACTIONS(1567),
    [sym_undefined] = ACTIONS(1567),
    [anon_sym_readonly] = ACTIONS(1569),
    [anon_sym_QMARK] = ACTIONS(783),
    [anon_sym_any] = ACTIONS(217),
    [anon_sym_number] = ACTIONS(217),
    [anon_sym_boolean] = ACTIONS(217),
    [anon_sym_string] = ACTIONS(217),
    [anon_sym_symbol] = ACTIONS(217),
    [anon_sym_object] = ACTIONS(217),
    [anon_sym_abstract] = ACTIONS(209),
    [anon_sym_infer] = ACTIONS(211),
    [anon_sym_keyof] = ACTIONS(213),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym_html_comment] = ACTIONS(5),
  },
  [1080] = {
    [sym_import] = STATE(4680),
    [sym_nested_identifier] = STATE(5868),
    [sym_string] = STATE(3013),
    [sym_formal_parameters] = STATE(5631),
    [sym_nested_type_identifier] = STATE(2941),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3315),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2944),
    [sym_type] = STATE(4518),
    [sym_constructor_type] = STATE(2974),
    [sym_primary_type] = STATE(3014),
    [sym_template_literal_type] = STATE(3018),
    [sym_infer_type] = STATE(2974),
    [sym_conditional_type] = STATE(3018),
    [sym_generic_type] = STATE(3018),
    [sym_type_query] = STATE(3018),
    [sym_index_type_query] = STATE(3018),
    [sym_lookup_type] = STATE(3018),
    [sym_literal_type] = STATE(3018),
    [sym__number] = STATE(3031),
    [sym_existential_type] = STATE(3018),
    [sym_flow_maybe_type] = STATE(3018),
    [sym_parenthesized_type] = STATE(3018),
    [sym_predefined_type] = STATE(3018),
    [sym_object_type] = STATE(3018),
    [sym_type_parameters] = STATE(5464),
    [sym_array_type] = STATE(3018),
    [sym_tuple_type] = STATE(3018),
    [sym_readonly_type] = STATE(2974),
    [sym_union_type] = STATE(3018),
    [sym_intersection_type] = STATE(3018),
    [sym_function_type] = STATE(2974),
    [sym_identifier] = ACTIONS(1539),
    [anon_sym_STAR] = ACTIONS(582),
    [anon_sym_LBRACE] = ACTIONS(1541),
    [anon_sym_typeof] = ACTIONS(1543),
    [anon_sym_import] = ACTIONS(1545),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1547),
    [anon_sym_LBRACK] = ACTIONS(1549),
    [anon_sym_DQUOTE] = ACTIONS(1551),
    [anon_sym_SQUOTE] = ACTIONS(1553),
    [anon_sym_new] = ACTIONS(1613),
    [anon_sym_AMP] = ACTIONS(610),
    [anon_sym_PIPE] = ACTIONS(612),
    [anon_sym_PLUS] = ACTIONS(2568),
    [anon_sym_DASH] = ACTIONS(2568),
    [anon_sym_LT] = ACTIONS(2570),
    [anon_sym_void] = ACTIONS(217),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1561),
    [sym_number] = ACTIONS(1563),
    [sym_this] = ACTIONS(1565),
    [sym_true] = ACTIONS(1567),
    [sym_false] = ACTIONS(1567),
    [sym_null] = ACTIONS(1567),
    [sym_undefined] = ACTIONS(1567),
    [anon_sym_readonly] = ACTIONS(1619),
    [anon_sym_QMARK] = ACTIONS(632),
    [anon_sym_any] = ACTIONS(217),
    [anon_sym_number] = ACTIONS(217),
    [anon_sym_boolean] = ACTIONS(217),
    [anon_sym_string] = ACTIONS(217),
    [anon_sym_symbol] = ACTIONS(217),
    [anon_sym_object] = ACTIONS(217),
    [anon_sym_abstract] = ACTIONS(636),
    [anon_sym_infer] = ACTIONS(638),
    [anon_sym_keyof] = ACTIONS(640),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym_html_comment] = ACTIONS(5),
  },
  [1081] = {
    [sym_import] = STATE(4535),
    [sym_nested_identifier] = STATE(5495),
    [sym_string] = STATE(1619),
    [sym_formal_parameters] = STATE(5874),
    [sym_nested_type_identifier] = STATE(1521),
    [sym__type_query_member_expression_in_type_annotation] = STATE(1526),
    [sym__type_query_call_expression_in_type_annotation] = STATE(1648),
    [sym_type] = STATE(1594),
    [sym_constructor_type] = STATE(1628),
    [sym_primary_type] = STATE(1595),
    [sym_template_literal_type] = STATE(1616),
    [sym_infer_type] = STATE(1628),
    [sym_conditional_type] = STATE(1616),
    [sym_generic_type] = STATE(1616),
    [sym_type_query] = STATE(1616),
    [sym_index_type_query] = STATE(1616),
    [sym_lookup_type] = STATE(1616),
    [sym_literal_type] = STATE(1616),
    [sym__number] = STATE(1647),
    [sym_existential_type] = STATE(1616),
    [sym_flow_maybe_type] = STATE(1616),
    [sym_parenthesized_type] = STATE(1616),
    [sym_predefined_type] = STATE(1616),
    [sym_object_type] = STATE(1616),
    [sym_type_parameters] = STATE(5220),
    [sym_array_type] = STATE(1616),
    [sym_tuple_type] = STATE(1616),
    [sym_readonly_type] = STATE(1628),
    [sym_union_type] = STATE(1616),
    [sym_intersection_type] = STATE(1616),
    [sym_function_type] = STATE(1628),
    [sym_identifier] = ACTIONS(3258),
    [anon_sym_STAR] = ACTIONS(3162),
    [anon_sym_LBRACE] = ACTIONS(3164),
    [anon_sym_typeof] = ACTIONS(3166),
    [anon_sym_import] = ACTIONS(1545),
    [anon_sym_const] = ACTIONS(3168),
    [anon_sym_LPAREN] = ACTIONS(3170),
    [anon_sym_LBRACK] = ACTIONS(3172),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(3174),
    [anon_sym_AMP] = ACTIONS(3176),
    [anon_sym_PIPE] = ACTIONS(3178),
    [anon_sym_PLUS] = ACTIONS(3180),
    [anon_sym_DASH] = ACTIONS(3180),
    [anon_sym_LT] = ACTIONS(2570),
    [anon_sym_void] = ACTIONS(3182),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3184),
    [sym_number] = ACTIONS(3186),
    [sym_this] = ACTIONS(3260),
    [sym_true] = ACTIONS(3190),
    [sym_false] = ACTIONS(3190),
    [sym_null] = ACTIONS(3190),
    [sym_undefined] = ACTIONS(3190),
    [anon_sym_readonly] = ACTIONS(3192),
    [anon_sym_QMARK] = ACTIONS(3194),
    [anon_sym_any] = ACTIONS(3182),
    [anon_sym_number] = ACTIONS(3182),
    [anon_sym_boolean] = ACTIONS(3182),
    [anon_sym_string] = ACTIONS(3182),
    [anon_sym_symbol] = ACTIONS(3182),
    [anon_sym_object] = ACTIONS(3182),
    [anon_sym_abstract] = ACTIONS(3196),
    [anon_sym_infer] = ACTIONS(3200),
    [anon_sym_keyof] = ACTIONS(3202),
    [anon_sym_unique] = ACTIONS(3204),
    [anon_sym_unknown] = ACTIONS(3182),
    [anon_sym_never] = ACTIONS(3182),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3206),
    [sym_html_comment] = ACTIONS(5),
  },
  [1082] = {
    [sym_import] = STATE(4535),
    [sym_nested_identifier] = STATE(5495),
    [sym_string] = STATE(1619),
    [sym_formal_parameters] = STATE(5874),
    [sym_nested_type_identifier] = STATE(1521),
    [sym__type_query_member_expression_in_type_annotation] = STATE(1526),
    [sym__type_query_call_expression_in_type_annotation] = STATE(1648),
    [sym_type] = STATE(1599),
    [sym_constructor_type] = STATE(1628),
    [sym_primary_type] = STATE(1595),
    [sym_template_literal_type] = STATE(1616),
    [sym_infer_type] = STATE(1628),
    [sym_conditional_type] = STATE(1616),
    [sym_generic_type] = STATE(1616),
    [sym_type_query] = STATE(1616),
    [sym_index_type_query] = STATE(1616),
    [sym_lookup_type] = STATE(1616),
    [sym_literal_type] = STATE(1616),
    [sym__number] = STATE(1647),
    [sym_existential_type] = STATE(1616),
    [sym_flow_maybe_type] = STATE(1616),
    [sym_parenthesized_type] = STATE(1616),
    [sym_predefined_type] = STATE(1616),
    [sym_object_type] = STATE(1616),
    [sym_type_parameters] = STATE(5220),
    [sym_array_type] = STATE(1616),
    [sym_tuple_type] = STATE(1616),
    [sym_readonly_type] = STATE(1628),
    [sym_union_type] = STATE(1616),
    [sym_intersection_type] = STATE(1616),
    [sym_function_type] = STATE(1628),
    [sym_identifier] = ACTIONS(3258),
    [anon_sym_STAR] = ACTIONS(3162),
    [anon_sym_LBRACE] = ACTIONS(3164),
    [anon_sym_typeof] = ACTIONS(3166),
    [anon_sym_import] = ACTIONS(1545),
    [anon_sym_const] = ACTIONS(3168),
    [anon_sym_LPAREN] = ACTIONS(3170),
    [anon_sym_LBRACK] = ACTIONS(3172),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(3174),
    [anon_sym_AMP] = ACTIONS(3176),
    [anon_sym_PIPE] = ACTIONS(3178),
    [anon_sym_PLUS] = ACTIONS(3180),
    [anon_sym_DASH] = ACTIONS(3180),
    [anon_sym_LT] = ACTIONS(2570),
    [anon_sym_void] = ACTIONS(3182),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3184),
    [sym_number] = ACTIONS(3186),
    [sym_this] = ACTIONS(3260),
    [sym_true] = ACTIONS(3190),
    [sym_false] = ACTIONS(3190),
    [sym_null] = ACTIONS(3190),
    [sym_undefined] = ACTIONS(3190),
    [anon_sym_readonly] = ACTIONS(3192),
    [anon_sym_QMARK] = ACTIONS(3194),
    [anon_sym_any] = ACTIONS(3182),
    [anon_sym_number] = ACTIONS(3182),
    [anon_sym_boolean] = ACTIONS(3182),
    [anon_sym_string] = ACTIONS(3182),
    [anon_sym_symbol] = ACTIONS(3182),
    [anon_sym_object] = ACTIONS(3182),
    [anon_sym_abstract] = ACTIONS(3196),
    [anon_sym_infer] = ACTIONS(3200),
    [anon_sym_keyof] = ACTIONS(3202),
    [anon_sym_unique] = ACTIONS(3204),
    [anon_sym_unknown] = ACTIONS(3182),
    [anon_sym_never] = ACTIONS(3182),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3206),
    [sym_html_comment] = ACTIONS(5),
  },
  [1083] = {
    [sym_import] = STATE(4788),
    [sym_nested_identifier] = STATE(5868),
    [sym_string] = STATE(3013),
    [sym_formal_parameters] = STATE(5623),
    [sym_nested_type_identifier] = STATE(2941),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2942),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2944),
    [sym_type] = STATE(3883),
    [sym_constructor_type] = STATE(2974),
    [sym_primary_type] = STATE(3014),
    [sym_template_literal_type] = STATE(3018),
    [sym_infer_type] = STATE(2974),
    [sym_conditional_type] = STATE(3018),
    [sym_generic_type] = STATE(3018),
    [sym_type_query] = STATE(3018),
    [sym_index_type_query] = STATE(3018),
    [sym_lookup_type] = STATE(3018),
    [sym_literal_type] = STATE(3018),
    [sym__number] = STATE(3031),
    [sym_existential_type] = STATE(3018),
    [sym_flow_maybe_type] = STATE(3018),
    [sym_parenthesized_type] = STATE(3018),
    [sym_predefined_type] = STATE(3018),
    [sym_object_type] = STATE(3018),
    [sym_type_parameters] = STATE(5442),
    [sym_array_type] = STATE(3018),
    [sym_tuple_type] = STATE(3018),
    [sym_readonly_type] = STATE(2974),
    [sym_union_type] = STATE(3018),
    [sym_intersection_type] = STATE(3018),
    [sym_function_type] = STATE(2974),
    [sym_identifier] = ACTIONS(1539),
    [anon_sym_STAR] = ACTIONS(582),
    [anon_sym_LBRACE] = ACTIONS(1541),
    [anon_sym_typeof] = ACTIONS(1543),
    [anon_sym_import] = ACTIONS(1545),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1547),
    [anon_sym_LBRACK] = ACTIONS(1549),
    [anon_sym_DQUOTE] = ACTIONS(1551),
    [anon_sym_SQUOTE] = ACTIONS(1553),
    [anon_sym_new] = ACTIONS(1555),
    [anon_sym_AMP] = ACTIONS(755),
    [anon_sym_PIPE] = ACTIONS(757),
    [anon_sym_PLUS] = ACTIONS(2568),
    [anon_sym_DASH] = ACTIONS(2568),
    [anon_sym_LT] = ACTIONS(2570),
    [anon_sym_void] = ACTIONS(217),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1561),
    [sym_number] = ACTIONS(1563),
    [sym_this] = ACTIONS(1565),
    [sym_true] = ACTIONS(1567),
    [sym_false] = ACTIONS(1567),
    [sym_null] = ACTIONS(1567),
    [sym_undefined] = ACTIONS(1567),
    [anon_sym_readonly] = ACTIONS(1569),
    [anon_sym_QMARK] = ACTIONS(783),
    [anon_sym_any] = ACTIONS(217),
    [anon_sym_number] = ACTIONS(217),
    [anon_sym_boolean] = ACTIONS(217),
    [anon_sym_string] = ACTIONS(217),
    [anon_sym_symbol] = ACTIONS(217),
    [anon_sym_object] = ACTIONS(217),
    [anon_sym_abstract] = ACTIONS(209),
    [anon_sym_infer] = ACTIONS(211),
    [anon_sym_keyof] = ACTIONS(213),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym_html_comment] = ACTIONS(5),
  },
  [1084] = {
    [sym_import] = STATE(4584),
    [sym_nested_identifier] = STATE(5811),
    [sym_string] = STATE(3369),
    [sym_formal_parameters] = STATE(5849),
    [sym_nested_type_identifier] = STATE(3252),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3200),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3295),
    [sym_type] = STATE(3464),
    [sym_constructor_type] = STATE(3384),
    [sym_primary_type] = STATE(3385),
    [sym_template_literal_type] = STATE(3388),
    [sym_infer_type] = STATE(3384),
    [sym_conditional_type] = STATE(3388),
    [sym_generic_type] = STATE(3388),
    [sym_type_query] = STATE(3388),
    [sym_index_type_query] = STATE(3388),
    [sym_lookup_type] = STATE(3388),
    [sym_literal_type] = STATE(3388),
    [sym__number] = STATE(3389),
    [sym_existential_type] = STATE(3388),
    [sym_flow_maybe_type] = STATE(3388),
    [sym_parenthesized_type] = STATE(3388),
    [sym_predefined_type] = STATE(3388),
    [sym_object_type] = STATE(3388),
    [sym_type_parameters] = STATE(5258),
    [sym_array_type] = STATE(3388),
    [sym_tuple_type] = STATE(3388),
    [sym_readonly_type] = STATE(3384),
    [sym_union_type] = STATE(3388),
    [sym_intersection_type] = STATE(3388),
    [sym_function_type] = STATE(3384),
    [sym_identifier] = ACTIONS(3266),
    [anon_sym_STAR] = ACTIONS(3028),
    [anon_sym_LBRACE] = ACTIONS(3030),
    [anon_sym_typeof] = ACTIONS(3032),
    [anon_sym_import] = ACTIONS(1545),
    [anon_sym_const] = ACTIONS(3034),
    [anon_sym_LPAREN] = ACTIONS(3036),
    [anon_sym_LBRACK] = ACTIONS(3038),
    [anon_sym_DQUOTE] = ACTIONS(3040),
    [anon_sym_SQUOTE] = ACTIONS(3042),
    [anon_sym_new] = ACTIONS(3044),
    [anon_sym_AMP] = ACTIONS(3046),
    [anon_sym_PIPE] = ACTIONS(3048),
    [anon_sym_PLUS] = ACTIONS(3050),
    [anon_sym_DASH] = ACTIONS(3050),
    [anon_sym_LT] = ACTIONS(2570),
    [anon_sym_void] = ACTIONS(3052),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3054),
    [sym_number] = ACTIONS(3056),
    [sym_this] = ACTIONS(3268),
    [sym_true] = ACTIONS(3060),
    [sym_false] = ACTIONS(3060),
    [sym_null] = ACTIONS(3060),
    [sym_undefined] = ACTIONS(3060),
    [anon_sym_readonly] = ACTIONS(3062),
    [anon_sym_QMARK] = ACTIONS(3064),
    [anon_sym_any] = ACTIONS(3052),
    [anon_sym_number] = ACTIONS(3052),
    [anon_sym_boolean] = ACTIONS(3052),
    [anon_sym_string] = ACTIONS(3052),
    [anon_sym_symbol] = ACTIONS(3052),
    [anon_sym_object] = ACTIONS(3052),
    [anon_sym_abstract] = ACTIONS(3066),
    [anon_sym_infer] = ACTIONS(3070),
    [anon_sym_keyof] = ACTIONS(3072),
    [anon_sym_unique] = ACTIONS(3074),
    [anon_sym_unknown] = ACTIONS(3052),
    [anon_sym_never] = ACTIONS(3052),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3076),
    [sym_html_comment] = ACTIONS(5),
  },
  [1085] = {
    [sym_import] = STATE(4584),
    [sym_nested_identifier] = STATE(5811),
    [sym_string] = STATE(3369),
    [sym_formal_parameters] = STATE(5849),
    [sym_nested_type_identifier] = STATE(3252),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3200),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3295),
    [sym_type] = STATE(3466),
    [sym_constructor_type] = STATE(3384),
    [sym_primary_type] = STATE(3385),
    [sym_template_literal_type] = STATE(3388),
    [sym_infer_type] = STATE(3384),
    [sym_conditional_type] = STATE(3388),
    [sym_generic_type] = STATE(3388),
    [sym_type_query] = STATE(3388),
    [sym_index_type_query] = STATE(3388),
    [sym_lookup_type] = STATE(3388),
    [sym_literal_type] = STATE(3388),
    [sym__number] = STATE(3389),
    [sym_existential_type] = STATE(3388),
    [sym_flow_maybe_type] = STATE(3388),
    [sym_parenthesized_type] = STATE(3388),
    [sym_predefined_type] = STATE(3388),
    [sym_object_type] = STATE(3388),
    [sym_type_parameters] = STATE(5258),
    [sym_array_type] = STATE(3388),
    [sym_tuple_type] = STATE(3388),
    [sym_readonly_type] = STATE(3384),
    [sym_union_type] = STATE(3388),
    [sym_intersection_type] = STATE(3388),
    [sym_function_type] = STATE(3384),
    [sym_identifier] = ACTIONS(3266),
    [anon_sym_STAR] = ACTIONS(3028),
    [anon_sym_LBRACE] = ACTIONS(3030),
    [anon_sym_typeof] = ACTIONS(3032),
    [anon_sym_import] = ACTIONS(1545),
    [anon_sym_const] = ACTIONS(3034),
    [anon_sym_LPAREN] = ACTIONS(3036),
    [anon_sym_LBRACK] = ACTIONS(3038),
    [anon_sym_DQUOTE] = ACTIONS(3040),
    [anon_sym_SQUOTE] = ACTIONS(3042),
    [anon_sym_new] = ACTIONS(3044),
    [anon_sym_AMP] = ACTIONS(3046),
    [anon_sym_PIPE] = ACTIONS(3048),
    [anon_sym_PLUS] = ACTIONS(3050),
    [anon_sym_DASH] = ACTIONS(3050),
    [anon_sym_LT] = ACTIONS(2570),
    [anon_sym_void] = ACTIONS(3052),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3054),
    [sym_number] = ACTIONS(3056),
    [sym_this] = ACTIONS(3268),
    [sym_true] = ACTIONS(3060),
    [sym_false] = ACTIONS(3060),
    [sym_null] = ACTIONS(3060),
    [sym_undefined] = ACTIONS(3060),
    [anon_sym_readonly] = ACTIONS(3062),
    [anon_sym_QMARK] = ACTIONS(3064),
    [anon_sym_any] = ACTIONS(3052),
    [anon_sym_number] = ACTIONS(3052),
    [anon_sym_boolean] = ACTIONS(3052),
    [anon_sym_string] = ACTIONS(3052),
    [anon_sym_symbol] = ACTIONS(3052),
    [anon_sym_object] = ACTIONS(3052),
    [anon_sym_abstract] = ACTIONS(3066),
    [anon_sym_infer] = ACTIONS(3070),
    [anon_sym_keyof] = ACTIONS(3072),
    [anon_sym_unique] = ACTIONS(3074),
    [anon_sym_unknown] = ACTIONS(3052),
    [anon_sym_never] = ACTIONS(3052),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3076),
    [sym_html_comment] = ACTIONS(5),
  },
  [1086] = {
    [sym_import] = STATE(4584),
    [sym_nested_identifier] = STATE(5811),
    [sym_string] = STATE(3369),
    [sym_formal_parameters] = STATE(5849),
    [sym_nested_type_identifier] = STATE(3252),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3200),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3295),
    [sym_type] = STATE(3412),
    [sym_constructor_type] = STATE(3384),
    [sym_primary_type] = STATE(3385),
    [sym_template_literal_type] = STATE(3388),
    [sym_infer_type] = STATE(3384),
    [sym_conditional_type] = STATE(3388),
    [sym_generic_type] = STATE(3388),
    [sym_type_query] = STATE(3388),
    [sym_index_type_query] = STATE(3388),
    [sym_lookup_type] = STATE(3388),
    [sym_literal_type] = STATE(3388),
    [sym__number] = STATE(3389),
    [sym_existential_type] = STATE(3388),
    [sym_flow_maybe_type] = STATE(3388),
    [sym_parenthesized_type] = STATE(3388),
    [sym_predefined_type] = STATE(3388),
    [sym_object_type] = STATE(3388),
    [sym_type_parameters] = STATE(5258),
    [sym_array_type] = STATE(3388),
    [sym_tuple_type] = STATE(3388),
    [sym_readonly_type] = STATE(3384),
    [sym_union_type] = STATE(3388),
    [sym_intersection_type] = STATE(3388),
    [sym_function_type] = STATE(3384),
    [sym_identifier] = ACTIONS(3266),
    [anon_sym_STAR] = ACTIONS(3028),
    [anon_sym_LBRACE] = ACTIONS(3030),
    [anon_sym_typeof] = ACTIONS(3032),
    [anon_sym_import] = ACTIONS(1545),
    [anon_sym_const] = ACTIONS(3034),
    [anon_sym_LPAREN] = ACTIONS(3036),
    [anon_sym_LBRACK] = ACTIONS(3038),
    [anon_sym_DQUOTE] = ACTIONS(3040),
    [anon_sym_SQUOTE] = ACTIONS(3042),
    [anon_sym_new] = ACTIONS(3044),
    [anon_sym_AMP] = ACTIONS(3046),
    [anon_sym_PIPE] = ACTIONS(3048),
    [anon_sym_PLUS] = ACTIONS(3050),
    [anon_sym_DASH] = ACTIONS(3050),
    [anon_sym_LT] = ACTIONS(2570),
    [anon_sym_void] = ACTIONS(3052),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3054),
    [sym_number] = ACTIONS(3056),
    [sym_this] = ACTIONS(3268),
    [sym_true] = ACTIONS(3060),
    [sym_false] = ACTIONS(3060),
    [sym_null] = ACTIONS(3060),
    [sym_undefined] = ACTIONS(3060),
    [anon_sym_readonly] = ACTIONS(3062),
    [anon_sym_QMARK] = ACTIONS(3064),
    [anon_sym_any] = ACTIONS(3052),
    [anon_sym_number] = ACTIONS(3052),
    [anon_sym_boolean] = ACTIONS(3052),
    [anon_sym_string] = ACTIONS(3052),
    [anon_sym_symbol] = ACTIONS(3052),
    [anon_sym_object] = ACTIONS(3052),
    [anon_sym_abstract] = ACTIONS(3066),
    [anon_sym_infer] = ACTIONS(3070),
    [anon_sym_keyof] = ACTIONS(3072),
    [anon_sym_unique] = ACTIONS(3074),
    [anon_sym_unknown] = ACTIONS(3052),
    [anon_sym_never] = ACTIONS(3052),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3076),
    [sym_html_comment] = ACTIONS(5),
  },
  [1087] = {
    [sym_import] = STATE(4788),
    [sym_nested_identifier] = STATE(5811),
    [sym_string] = STATE(3369),
    [sym_formal_parameters] = STATE(5623),
    [sym_nested_type_identifier] = STATE(3252),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2942),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2944),
    [sym_type] = STATE(4593),
    [sym_constructor_type] = STATE(2974),
    [sym_primary_type] = STATE(3336),
    [sym_template_literal_type] = STATE(3388),
    [sym_infer_type] = STATE(2974),
    [sym_conditional_type] = STATE(3388),
    [sym_generic_type] = STATE(3388),
    [sym_type_query] = STATE(3388),
    [sym_index_type_query] = STATE(3388),
    [sym_lookup_type] = STATE(3388),
    [sym_literal_type] = STATE(3388),
    [sym__number] = STATE(3389),
    [sym_existential_type] = STATE(3388),
    [sym_flow_maybe_type] = STATE(3388),
    [sym_parenthesized_type] = STATE(3388),
    [sym_predefined_type] = STATE(3388),
    [sym_object_type] = STATE(3388),
    [sym_type_parameters] = STATE(5442),
    [sym_array_type] = STATE(3388),
    [sym_tuple_type] = STATE(3388),
    [sym_readonly_type] = STATE(2974),
    [sym_union_type] = STATE(3388),
    [sym_intersection_type] = STATE(3388),
    [sym_function_type] = STATE(2974),
    [sym_identifier] = ACTIONS(3266),
    [anon_sym_STAR] = ACTIONS(3028),
    [anon_sym_LBRACE] = ACTIONS(3030),
    [anon_sym_typeof] = ACTIONS(3032),
    [anon_sym_import] = ACTIONS(1545),
    [anon_sym_const] = ACTIONS(3034),
    [anon_sym_LPAREN] = ACTIONS(3036),
    [anon_sym_LBRACK] = ACTIONS(3038),
    [anon_sym_DQUOTE] = ACTIONS(3040),
    [anon_sym_SQUOTE] = ACTIONS(3042),
    [anon_sym_new] = ACTIONS(1555),
    [anon_sym_AMP] = ACTIONS(3046),
    [anon_sym_PIPE] = ACTIONS(3048),
    [anon_sym_PLUS] = ACTIONS(3050),
    [anon_sym_DASH] = ACTIONS(3050),
    [anon_sym_LT] = ACTIONS(2570),
    [anon_sym_void] = ACTIONS(3052),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3054),
    [sym_number] = ACTIONS(3056),
    [sym_this] = ACTIONS(3268),
    [sym_true] = ACTIONS(3060),
    [sym_false] = ACTIONS(3060),
    [sym_null] = ACTIONS(3060),
    [sym_undefined] = ACTIONS(3060),
    [anon_sym_readonly] = ACTIONS(1569),
    [anon_sym_QMARK] = ACTIONS(3064),
    [anon_sym_any] = ACTIONS(3052),
    [anon_sym_number] = ACTIONS(3052),
    [anon_sym_boolean] = ACTIONS(3052),
    [anon_sym_string] = ACTIONS(3052),
    [anon_sym_symbol] = ACTIONS(3052),
    [anon_sym_object] = ACTIONS(3052),
    [anon_sym_abstract] = ACTIONS(209),
    [anon_sym_infer] = ACTIONS(211),
    [anon_sym_keyof] = ACTIONS(3072),
    [anon_sym_unique] = ACTIONS(3074),
    [anon_sym_unknown] = ACTIONS(3052),
    [anon_sym_never] = ACTIONS(3052),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3076),
    [sym_html_comment] = ACTIONS(5),
  },
  [1088] = {
    [sym_import] = STATE(4788),
    [sym_nested_identifier] = STATE(5868),
    [sym_string] = STATE(3013),
    [sym_formal_parameters] = STATE(5623),
    [sym_nested_type_identifier] = STATE(2941),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2942),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2944),
    [sym_type] = STATE(4481),
    [sym_constructor_type] = STATE(2974),
    [sym_primary_type] = STATE(3014),
    [sym_template_literal_type] = STATE(3018),
    [sym_infer_type] = STATE(2974),
    [sym_conditional_type] = STATE(3018),
    [sym_generic_type] = STATE(3018),
    [sym_type_query] = STATE(3018),
    [sym_index_type_query] = STATE(3018),
    [sym_lookup_type] = STATE(3018),
    [sym_literal_type] = STATE(3018),
    [sym__number] = STATE(3031),
    [sym_existential_type] = STATE(3018),
    [sym_flow_maybe_type] = STATE(3018),
    [sym_parenthesized_type] = STATE(3018),
    [sym_predefined_type] = STATE(3018),
    [sym_object_type] = STATE(3018),
    [sym_type_parameters] = STATE(5442),
    [sym_array_type] = STATE(3018),
    [sym_tuple_type] = STATE(3018),
    [sym_readonly_type] = STATE(2974),
    [sym_union_type] = STATE(3018),
    [sym_intersection_type] = STATE(3018),
    [sym_function_type] = STATE(2974),
    [sym_identifier] = ACTIONS(1539),
    [anon_sym_STAR] = ACTIONS(582),
    [anon_sym_LBRACE] = ACTIONS(1541),
    [anon_sym_typeof] = ACTIONS(1543),
    [anon_sym_import] = ACTIONS(1545),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1547),
    [anon_sym_LBRACK] = ACTIONS(1549),
    [anon_sym_DQUOTE] = ACTIONS(1551),
    [anon_sym_SQUOTE] = ACTIONS(1553),
    [anon_sym_new] = ACTIONS(1555),
    [anon_sym_AMP] = ACTIONS(755),
    [anon_sym_PIPE] = ACTIONS(757),
    [anon_sym_PLUS] = ACTIONS(2568),
    [anon_sym_DASH] = ACTIONS(2568),
    [anon_sym_LT] = ACTIONS(2570),
    [anon_sym_void] = ACTIONS(217),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1561),
    [sym_number] = ACTIONS(1563),
    [sym_this] = ACTIONS(1565),
    [sym_true] = ACTIONS(1567),
    [sym_false] = ACTIONS(1567),
    [sym_null] = ACTIONS(1567),
    [sym_undefined] = ACTIONS(1567),
    [anon_sym_readonly] = ACTIONS(1569),
    [anon_sym_QMARK] = ACTIONS(783),
    [anon_sym_any] = ACTIONS(217),
    [anon_sym_number] = ACTIONS(217),
    [anon_sym_boolean] = ACTIONS(217),
    [anon_sym_string] = ACTIONS(217),
    [anon_sym_symbol] = ACTIONS(217),
    [anon_sym_object] = ACTIONS(217),
    [anon_sym_abstract] = ACTIONS(209),
    [anon_sym_infer] = ACTIONS(211),
    [anon_sym_keyof] = ACTIONS(213),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym_html_comment] = ACTIONS(5),
  },
  [1089] = {
    [sym_import] = STATE(4788),
    [sym_nested_identifier] = STATE(5811),
    [sym_string] = STATE(3369),
    [sym_formal_parameters] = STATE(5623),
    [sym_nested_type_identifier] = STATE(3252),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2942),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2944),
    [sym_type] = STATE(4593),
    [sym_constructor_type] = STATE(2974),
    [sym_primary_type] = STATE(3437),
    [sym_template_literal_type] = STATE(3388),
    [sym_infer_type] = STATE(2974),
    [sym_conditional_type] = STATE(3388),
    [sym_generic_type] = STATE(3388),
    [sym_type_query] = STATE(3388),
    [sym_index_type_query] = STATE(3388),
    [sym_lookup_type] = STATE(3388),
    [sym_literal_type] = STATE(3388),
    [sym__number] = STATE(3389),
    [sym_existential_type] = STATE(3388),
    [sym_flow_maybe_type] = STATE(3388),
    [sym_parenthesized_type] = STATE(3388),
    [sym_predefined_type] = STATE(3388),
    [sym_object_type] = STATE(3388),
    [sym_type_parameters] = STATE(5442),
    [sym_array_type] = STATE(3388),
    [sym_tuple_type] = STATE(3388),
    [sym_readonly_type] = STATE(2974),
    [sym_union_type] = STATE(3388),
    [sym_intersection_type] = STATE(3388),
    [sym_function_type] = STATE(2974),
    [sym_identifier] = ACTIONS(3266),
    [anon_sym_STAR] = ACTIONS(3028),
    [anon_sym_LBRACE] = ACTIONS(3030),
    [anon_sym_typeof] = ACTIONS(3032),
    [anon_sym_import] = ACTIONS(1545),
    [anon_sym_const] = ACTIONS(3034),
    [anon_sym_LPAREN] = ACTIONS(3036),
    [anon_sym_LBRACK] = ACTIONS(3038),
    [anon_sym_DQUOTE] = ACTIONS(3040),
    [anon_sym_SQUOTE] = ACTIONS(3042),
    [anon_sym_new] = ACTIONS(1555),
    [anon_sym_AMP] = ACTIONS(3046),
    [anon_sym_PIPE] = ACTIONS(3048),
    [anon_sym_PLUS] = ACTIONS(3050),
    [anon_sym_DASH] = ACTIONS(3050),
    [anon_sym_LT] = ACTIONS(2570),
    [anon_sym_void] = ACTIONS(3052),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3054),
    [sym_number] = ACTIONS(3056),
    [sym_this] = ACTIONS(3268),
    [sym_true] = ACTIONS(3060),
    [sym_false] = ACTIONS(3060),
    [sym_null] = ACTIONS(3060),
    [sym_undefined] = ACTIONS(3060),
    [anon_sym_readonly] = ACTIONS(1569),
    [anon_sym_QMARK] = ACTIONS(3064),
    [anon_sym_any] = ACTIONS(3052),
    [anon_sym_number] = ACTIONS(3052),
    [anon_sym_boolean] = ACTIONS(3052),
    [anon_sym_string] = ACTIONS(3052),
    [anon_sym_symbol] = ACTIONS(3052),
    [anon_sym_object] = ACTIONS(3052),
    [anon_sym_abstract] = ACTIONS(209),
    [anon_sym_infer] = ACTIONS(211),
    [anon_sym_keyof] = ACTIONS(3072),
    [anon_sym_unique] = ACTIONS(3074),
    [anon_sym_unknown] = ACTIONS(3052),
    [anon_sym_never] = ACTIONS(3052),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3076),
    [sym_html_comment] = ACTIONS(5),
  },
  [1090] = {
    [sym_import] = STATE(4788),
    [sym_nested_identifier] = STATE(5868),
    [sym_string] = STATE(3013),
    [sym_formal_parameters] = STATE(5623),
    [sym_nested_type_identifier] = STATE(2941),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2942),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2944),
    [sym_type] = STATE(3003),
    [sym_constructor_type] = STATE(2974),
    [sym_primary_type] = STATE(3014),
    [sym_template_literal_type] = STATE(3018),
    [sym_infer_type] = STATE(2974),
    [sym_conditional_type] = STATE(3018),
    [sym_generic_type] = STATE(3018),
    [sym_type_query] = STATE(3018),
    [sym_index_type_query] = STATE(3018),
    [sym_lookup_type] = STATE(3018),
    [sym_literal_type] = STATE(3018),
    [sym__number] = STATE(3031),
    [sym_existential_type] = STATE(3018),
    [sym_flow_maybe_type] = STATE(3018),
    [sym_parenthesized_type] = STATE(3018),
    [sym_predefined_type] = STATE(3018),
    [sym_object_type] = STATE(3018),
    [sym_type_parameters] = STATE(5442),
    [sym_array_type] = STATE(3018),
    [sym_tuple_type] = STATE(3018),
    [sym_readonly_type] = STATE(2974),
    [sym_union_type] = STATE(3018),
    [sym_intersection_type] = STATE(3018),
    [sym_function_type] = STATE(2974),
    [sym_identifier] = ACTIONS(1539),
    [anon_sym_STAR] = ACTIONS(582),
    [anon_sym_LBRACE] = ACTIONS(1541),
    [anon_sym_typeof] = ACTIONS(1543),
    [anon_sym_import] = ACTIONS(1545),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1547),
    [anon_sym_LBRACK] = ACTIONS(1549),
    [anon_sym_DQUOTE] = ACTIONS(1551),
    [anon_sym_SQUOTE] = ACTIONS(1553),
    [anon_sym_new] = ACTIONS(1555),
    [anon_sym_AMP] = ACTIONS(755),
    [anon_sym_PIPE] = ACTIONS(757),
    [anon_sym_PLUS] = ACTIONS(2568),
    [anon_sym_DASH] = ACTIONS(2568),
    [anon_sym_LT] = ACTIONS(2570),
    [anon_sym_void] = ACTIONS(217),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1561),
    [sym_number] = ACTIONS(1563),
    [sym_this] = ACTIONS(1565),
    [sym_true] = ACTIONS(1567),
    [sym_false] = ACTIONS(1567),
    [sym_null] = ACTIONS(1567),
    [sym_undefined] = ACTIONS(1567),
    [anon_sym_readonly] = ACTIONS(1569),
    [anon_sym_QMARK] = ACTIONS(783),
    [anon_sym_any] = ACTIONS(217),
    [anon_sym_number] = ACTIONS(217),
    [anon_sym_boolean] = ACTIONS(217),
    [anon_sym_string] = ACTIONS(217),
    [anon_sym_symbol] = ACTIONS(217),
    [anon_sym_object] = ACTIONS(217),
    [anon_sym_abstract] = ACTIONS(209),
    [anon_sym_infer] = ACTIONS(211),
    [anon_sym_keyof] = ACTIONS(213),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym_html_comment] = ACTIONS(5),
  },
  [1091] = {
    [sym_import] = STATE(4788),
    [sym_nested_identifier] = STATE(5868),
    [sym_string] = STATE(3013),
    [sym_formal_parameters] = STATE(5623),
    [sym_nested_type_identifier] = STATE(2941),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2942),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2944),
    [sym_type] = STATE(3112),
    [sym_constructor_type] = STATE(2974),
    [sym_primary_type] = STATE(3014),
    [sym_template_literal_type] = STATE(3018),
    [sym_infer_type] = STATE(2974),
    [sym_conditional_type] = STATE(3018),
    [sym_generic_type] = STATE(3018),
    [sym_type_query] = STATE(3018),
    [sym_index_type_query] = STATE(3018),
    [sym_lookup_type] = STATE(3018),
    [sym_literal_type] = STATE(3018),
    [sym__number] = STATE(3031),
    [sym_existential_type] = STATE(3018),
    [sym_flow_maybe_type] = STATE(3018),
    [sym_parenthesized_type] = STATE(3018),
    [sym_predefined_type] = STATE(3018),
    [sym_object_type] = STATE(3018),
    [sym_type_parameters] = STATE(5442),
    [sym_array_type] = STATE(3018),
    [sym_tuple_type] = STATE(3018),
    [sym_readonly_type] = STATE(2974),
    [sym_union_type] = STATE(3018),
    [sym_intersection_type] = STATE(3018),
    [sym_function_type] = STATE(2974),
    [sym_identifier] = ACTIONS(1539),
    [anon_sym_STAR] = ACTIONS(582),
    [anon_sym_LBRACE] = ACTIONS(1541),
    [anon_sym_typeof] = ACTIONS(1543),
    [anon_sym_import] = ACTIONS(1545),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1547),
    [anon_sym_LBRACK] = ACTIONS(1549),
    [anon_sym_DQUOTE] = ACTIONS(1551),
    [anon_sym_SQUOTE] = ACTIONS(1553),
    [anon_sym_new] = ACTIONS(1555),
    [anon_sym_AMP] = ACTIONS(755),
    [anon_sym_PIPE] = ACTIONS(757),
    [anon_sym_PLUS] = ACTIONS(2568),
    [anon_sym_DASH] = ACTIONS(2568),
    [anon_sym_LT] = ACTIONS(2570),
    [anon_sym_void] = ACTIONS(217),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1561),
    [sym_number] = ACTIONS(1563),
    [sym_this] = ACTIONS(1565),
    [sym_true] = ACTIONS(1567),
    [sym_false] = ACTIONS(1567),
    [sym_null] = ACTIONS(1567),
    [sym_undefined] = ACTIONS(1567),
    [anon_sym_readonly] = ACTIONS(1569),
    [anon_sym_QMARK] = ACTIONS(783),
    [anon_sym_any] = ACTIONS(217),
    [anon_sym_number] = ACTIONS(217),
    [anon_sym_boolean] = ACTIONS(217),
    [anon_sym_string] = ACTIONS(217),
    [anon_sym_symbol] = ACTIONS(217),
    [anon_sym_object] = ACTIONS(217),
    [anon_sym_abstract] = ACTIONS(209),
    [anon_sym_infer] = ACTIONS(211),
    [anon_sym_keyof] = ACTIONS(213),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym_html_comment] = ACTIONS(5),
  },
  [1092] = {
    [sym_import] = STATE(4584),
    [sym_nested_identifier] = STATE(5811),
    [sym_string] = STATE(3369),
    [sym_formal_parameters] = STATE(5849),
    [sym_nested_type_identifier] = STATE(3252),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3200),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3295),
    [sym_type] = STATE(3343),
    [sym_constructor_type] = STATE(3384),
    [sym_primary_type] = STATE(3385),
    [sym_template_literal_type] = STATE(3388),
    [sym_infer_type] = STATE(3384),
    [sym_conditional_type] = STATE(3388),
    [sym_generic_type] = STATE(3388),
    [sym_type_query] = STATE(3388),
    [sym_index_type_query] = STATE(3388),
    [sym_lookup_type] = STATE(3388),
    [sym_literal_type] = STATE(3388),
    [sym__number] = STATE(3389),
    [sym_existential_type] = STATE(3388),
    [sym_flow_maybe_type] = STATE(3388),
    [sym_parenthesized_type] = STATE(3388),
    [sym_predefined_type] = STATE(3388),
    [sym_object_type] = STATE(3388),
    [sym_type_parameters] = STATE(5258),
    [sym_array_type] = STATE(3388),
    [sym_tuple_type] = STATE(3388),
    [sym_readonly_type] = STATE(3384),
    [sym_union_type] = STATE(3388),
    [sym_intersection_type] = STATE(3388),
    [sym_function_type] = STATE(3384),
    [sym_identifier] = ACTIONS(3266),
    [anon_sym_STAR] = ACTIONS(3028),
    [anon_sym_LBRACE] = ACTIONS(3030),
    [anon_sym_typeof] = ACTIONS(3032),
    [anon_sym_import] = ACTIONS(1545),
    [anon_sym_const] = ACTIONS(3034),
    [anon_sym_LPAREN] = ACTIONS(3036),
    [anon_sym_LBRACK] = ACTIONS(3038),
    [anon_sym_DQUOTE] = ACTIONS(3040),
    [anon_sym_SQUOTE] = ACTIONS(3042),
    [anon_sym_new] = ACTIONS(3044),
    [anon_sym_AMP] = ACTIONS(3046),
    [anon_sym_PIPE] = ACTIONS(3048),
    [anon_sym_PLUS] = ACTIONS(3050),
    [anon_sym_DASH] = ACTIONS(3050),
    [anon_sym_LT] = ACTIONS(2570),
    [anon_sym_void] = ACTIONS(3052),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3054),
    [sym_number] = ACTIONS(3056),
    [sym_this] = ACTIONS(3268),
    [sym_true] = ACTIONS(3060),
    [sym_false] = ACTIONS(3060),
    [sym_null] = ACTIONS(3060),
    [sym_undefined] = ACTIONS(3060),
    [anon_sym_readonly] = ACTIONS(3062),
    [anon_sym_QMARK] = ACTIONS(3064),
    [anon_sym_any] = ACTIONS(3052),
    [anon_sym_number] = ACTIONS(3052),
    [anon_sym_boolean] = ACTIONS(3052),
    [anon_sym_string] = ACTIONS(3052),
    [anon_sym_symbol] = ACTIONS(3052),
    [anon_sym_object] = ACTIONS(3052),
    [anon_sym_abstract] = ACTIONS(3066),
    [anon_sym_infer] = ACTIONS(3070),
    [anon_sym_keyof] = ACTIONS(3072),
    [anon_sym_unique] = ACTIONS(3074),
    [anon_sym_unknown] = ACTIONS(3052),
    [anon_sym_never] = ACTIONS(3052),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3076),
    [sym_html_comment] = ACTIONS(5),
  },
  [1093] = {
    [sym_import] = STATE(4584),
    [sym_nested_identifier] = STATE(5811),
    [sym_string] = STATE(3369),
    [sym_formal_parameters] = STATE(5849),
    [sym_nested_type_identifier] = STATE(3252),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3200),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3295),
    [sym_type] = STATE(3350),
    [sym_constructor_type] = STATE(3384),
    [sym_primary_type] = STATE(3385),
    [sym_template_literal_type] = STATE(3388),
    [sym_infer_type] = STATE(3384),
    [sym_conditional_type] = STATE(3388),
    [sym_generic_type] = STATE(3388),
    [sym_type_query] = STATE(3388),
    [sym_index_type_query] = STATE(3388),
    [sym_lookup_type] = STATE(3388),
    [sym_literal_type] = STATE(3388),
    [sym__number] = STATE(3389),
    [sym_existential_type] = STATE(3388),
    [sym_flow_maybe_type] = STATE(3388),
    [sym_parenthesized_type] = STATE(3388),
    [sym_predefined_type] = STATE(3388),
    [sym_object_type] = STATE(3388),
    [sym_type_parameters] = STATE(5258),
    [sym_array_type] = STATE(3388),
    [sym_tuple_type] = STATE(3388),
    [sym_readonly_type] = STATE(3384),
    [sym_union_type] = STATE(3388),
    [sym_intersection_type] = STATE(3388),
    [sym_function_type] = STATE(3384),
    [sym_identifier] = ACTIONS(3266),
    [anon_sym_STAR] = ACTIONS(3028),
    [anon_sym_LBRACE] = ACTIONS(3030),
    [anon_sym_typeof] = ACTIONS(3032),
    [anon_sym_import] = ACTIONS(1545),
    [anon_sym_const] = ACTIONS(3034),
    [anon_sym_LPAREN] = ACTIONS(3036),
    [anon_sym_LBRACK] = ACTIONS(3038),
    [anon_sym_DQUOTE] = ACTIONS(3040),
    [anon_sym_SQUOTE] = ACTIONS(3042),
    [anon_sym_new] = ACTIONS(3044),
    [anon_sym_AMP] = ACTIONS(3046),
    [anon_sym_PIPE] = ACTIONS(3048),
    [anon_sym_PLUS] = ACTIONS(3050),
    [anon_sym_DASH] = ACTIONS(3050),
    [anon_sym_LT] = ACTIONS(2570),
    [anon_sym_void] = ACTIONS(3052),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3054),
    [sym_number] = ACTIONS(3056),
    [sym_this] = ACTIONS(3268),
    [sym_true] = ACTIONS(3060),
    [sym_false] = ACTIONS(3060),
    [sym_null] = ACTIONS(3060),
    [sym_undefined] = ACTIONS(3060),
    [anon_sym_readonly] = ACTIONS(3062),
    [anon_sym_QMARK] = ACTIONS(3064),
    [anon_sym_any] = ACTIONS(3052),
    [anon_sym_number] = ACTIONS(3052),
    [anon_sym_boolean] = ACTIONS(3052),
    [anon_sym_string] = ACTIONS(3052),
    [anon_sym_symbol] = ACTIONS(3052),
    [anon_sym_object] = ACTIONS(3052),
    [anon_sym_abstract] = ACTIONS(3066),
    [anon_sym_infer] = ACTIONS(3070),
    [anon_sym_keyof] = ACTIONS(3072),
    [anon_sym_unique] = ACTIONS(3074),
    [anon_sym_unknown] = ACTIONS(3052),
    [anon_sym_never] = ACTIONS(3052),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3076),
    [sym_html_comment] = ACTIONS(5),
  },
  [1094] = {
    [sym_import] = STATE(4584),
    [sym_nested_identifier] = STATE(5811),
    [sym_string] = STATE(3369),
    [sym_formal_parameters] = STATE(5849),
    [sym_nested_type_identifier] = STATE(3252),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3200),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3295),
    [sym_type] = STATE(3423),
    [sym_constructor_type] = STATE(3384),
    [sym_primary_type] = STATE(3385),
    [sym_template_literal_type] = STATE(3388),
    [sym_infer_type] = STATE(3384),
    [sym_conditional_type] = STATE(3388),
    [sym_generic_type] = STATE(3388),
    [sym_type_query] = STATE(3388),
    [sym_index_type_query] = STATE(3388),
    [sym_lookup_type] = STATE(3388),
    [sym_literal_type] = STATE(3388),
    [sym__number] = STATE(3389),
    [sym_existential_type] = STATE(3388),
    [sym_flow_maybe_type] = STATE(3388),
    [sym_parenthesized_type] = STATE(3388),
    [sym_predefined_type] = STATE(3388),
    [sym_object_type] = STATE(3388),
    [sym_type_parameters] = STATE(5258),
    [sym_array_type] = STATE(3388),
    [sym_tuple_type] = STATE(3388),
    [sym_readonly_type] = STATE(3384),
    [sym_union_type] = STATE(3388),
    [sym_intersection_type] = STATE(3388),
    [sym_function_type] = STATE(3384),
    [sym_identifier] = ACTIONS(3266),
    [anon_sym_STAR] = ACTIONS(3028),
    [anon_sym_LBRACE] = ACTIONS(3030),
    [anon_sym_typeof] = ACTIONS(3032),
    [anon_sym_import] = ACTIONS(1545),
    [anon_sym_const] = ACTIONS(3034),
    [anon_sym_LPAREN] = ACTIONS(3036),
    [anon_sym_LBRACK] = ACTIONS(3038),
    [anon_sym_DQUOTE] = ACTIONS(3040),
    [anon_sym_SQUOTE] = ACTIONS(3042),
    [anon_sym_new] = ACTIONS(3044),
    [anon_sym_AMP] = ACTIONS(3046),
    [anon_sym_PIPE] = ACTIONS(3048),
    [anon_sym_PLUS] = ACTIONS(3050),
    [anon_sym_DASH] = ACTIONS(3050),
    [anon_sym_LT] = ACTIONS(2570),
    [anon_sym_void] = ACTIONS(3052),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3054),
    [sym_number] = ACTIONS(3056),
    [sym_this] = ACTIONS(3268),
    [sym_true] = ACTIONS(3060),
    [sym_false] = ACTIONS(3060),
    [sym_null] = ACTIONS(3060),
    [sym_undefined] = ACTIONS(3060),
    [anon_sym_readonly] = ACTIONS(3062),
    [anon_sym_QMARK] = ACTIONS(3064),
    [anon_sym_any] = ACTIONS(3052),
    [anon_sym_number] = ACTIONS(3052),
    [anon_sym_boolean] = ACTIONS(3052),
    [anon_sym_string] = ACTIONS(3052),
    [anon_sym_symbol] = ACTIONS(3052),
    [anon_sym_object] = ACTIONS(3052),
    [anon_sym_abstract] = ACTIONS(3066),
    [anon_sym_infer] = ACTIONS(3070),
    [anon_sym_keyof] = ACTIONS(3072),
    [anon_sym_unique] = ACTIONS(3074),
    [anon_sym_unknown] = ACTIONS(3052),
    [anon_sym_never] = ACTIONS(3052),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3076),
    [sym_html_comment] = ACTIONS(5),
  },
  [1095] = {
    [sym_import] = STATE(4584),
    [sym_nested_identifier] = STATE(5811),
    [sym_string] = STATE(3369),
    [sym_formal_parameters] = STATE(5849),
    [sym_nested_type_identifier] = STATE(3252),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3200),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3295),
    [sym_type] = STATE(3426),
    [sym_constructor_type] = STATE(3384),
    [sym_primary_type] = STATE(3385),
    [sym_template_literal_type] = STATE(3388),
    [sym_infer_type] = STATE(3384),
    [sym_conditional_type] = STATE(3388),
    [sym_generic_type] = STATE(3388),
    [sym_type_query] = STATE(3388),
    [sym_index_type_query] = STATE(3388),
    [sym_lookup_type] = STATE(3388),
    [sym_literal_type] = STATE(3388),
    [sym__number] = STATE(3389),
    [sym_existential_type] = STATE(3388),
    [sym_flow_maybe_type] = STATE(3388),
    [sym_parenthesized_type] = STATE(3388),
    [sym_predefined_type] = STATE(3388),
    [sym_object_type] = STATE(3388),
    [sym_type_parameters] = STATE(5258),
    [sym_array_type] = STATE(3388),
    [sym_tuple_type] = STATE(3388),
    [sym_readonly_type] = STATE(3384),
    [sym_union_type] = STATE(3388),
    [sym_intersection_type] = STATE(3388),
    [sym_function_type] = STATE(3384),
    [sym_identifier] = ACTIONS(3266),
    [anon_sym_STAR] = ACTIONS(3028),
    [anon_sym_LBRACE] = ACTIONS(3030),
    [anon_sym_typeof] = ACTIONS(3032),
    [anon_sym_import] = ACTIONS(1545),
    [anon_sym_const] = ACTIONS(3034),
    [anon_sym_LPAREN] = ACTIONS(3036),
    [anon_sym_LBRACK] = ACTIONS(3038),
    [anon_sym_DQUOTE] = ACTIONS(3040),
    [anon_sym_SQUOTE] = ACTIONS(3042),
    [anon_sym_new] = ACTIONS(3044),
    [anon_sym_AMP] = ACTIONS(3046),
    [anon_sym_PIPE] = ACTIONS(3048),
    [anon_sym_PLUS] = ACTIONS(3050),
    [anon_sym_DASH] = ACTIONS(3050),
    [anon_sym_LT] = ACTIONS(2570),
    [anon_sym_void] = ACTIONS(3052),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3054),
    [sym_number] = ACTIONS(3056),
    [sym_this] = ACTIONS(3268),
    [sym_true] = ACTIONS(3060),
    [sym_false] = ACTIONS(3060),
    [sym_null] = ACTIONS(3060),
    [sym_undefined] = ACTIONS(3060),
    [anon_sym_readonly] = ACTIONS(3062),
    [anon_sym_QMARK] = ACTIONS(3064),
    [anon_sym_any] = ACTIONS(3052),
    [anon_sym_number] = ACTIONS(3052),
    [anon_sym_boolean] = ACTIONS(3052),
    [anon_sym_string] = ACTIONS(3052),
    [anon_sym_symbol] = ACTIONS(3052),
    [anon_sym_object] = ACTIONS(3052),
    [anon_sym_abstract] = ACTIONS(3066),
    [anon_sym_infer] = ACTIONS(3070),
    [anon_sym_keyof] = ACTIONS(3072),
    [anon_sym_unique] = ACTIONS(3074),
    [anon_sym_unknown] = ACTIONS(3052),
    [anon_sym_never] = ACTIONS(3052),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3076),
    [sym_html_comment] = ACTIONS(5),
  },
  [1096] = {
    [sym_import] = STATE(4584),
    [sym_nested_identifier] = STATE(5811),
    [sym_string] = STATE(3369),
    [sym_formal_parameters] = STATE(5849),
    [sym_nested_type_identifier] = STATE(3252),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3200),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3295),
    [sym_type] = STATE(3344),
    [sym_constructor_type] = STATE(3384),
    [sym_primary_type] = STATE(3385),
    [sym_template_literal_type] = STATE(3388),
    [sym_infer_type] = STATE(3384),
    [sym_conditional_type] = STATE(3388),
    [sym_generic_type] = STATE(3388),
    [sym_type_query] = STATE(3388),
    [sym_index_type_query] = STATE(3388),
    [sym_lookup_type] = STATE(3388),
    [sym_literal_type] = STATE(3388),
    [sym__number] = STATE(3389),
    [sym_existential_type] = STATE(3388),
    [sym_flow_maybe_type] = STATE(3388),
    [sym_parenthesized_type] = STATE(3388),
    [sym_predefined_type] = STATE(3388),
    [sym_object_type] = STATE(3388),
    [sym_type_parameters] = STATE(5258),
    [sym_array_type] = STATE(3388),
    [sym_tuple_type] = STATE(3388),
    [sym_readonly_type] = STATE(3384),
    [sym_union_type] = STATE(3388),
    [sym_intersection_type] = STATE(3388),
    [sym_function_type] = STATE(3384),
    [sym_identifier] = ACTIONS(3266),
    [anon_sym_STAR] = ACTIONS(3028),
    [anon_sym_LBRACE] = ACTIONS(3030),
    [anon_sym_typeof] = ACTIONS(3032),
    [anon_sym_import] = ACTIONS(1545),
    [anon_sym_const] = ACTIONS(3034),
    [anon_sym_LPAREN] = ACTIONS(3036),
    [anon_sym_LBRACK] = ACTIONS(3038),
    [anon_sym_DQUOTE] = ACTIONS(3040),
    [anon_sym_SQUOTE] = ACTIONS(3042),
    [anon_sym_new] = ACTIONS(3044),
    [anon_sym_AMP] = ACTIONS(3046),
    [anon_sym_PIPE] = ACTIONS(3048),
    [anon_sym_PLUS] = ACTIONS(3050),
    [anon_sym_DASH] = ACTIONS(3050),
    [anon_sym_LT] = ACTIONS(2570),
    [anon_sym_void] = ACTIONS(3052),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3054),
    [sym_number] = ACTIONS(3056),
    [sym_this] = ACTIONS(3268),
    [sym_true] = ACTIONS(3060),
    [sym_false] = ACTIONS(3060),
    [sym_null] = ACTIONS(3060),
    [sym_undefined] = ACTIONS(3060),
    [anon_sym_readonly] = ACTIONS(3062),
    [anon_sym_QMARK] = ACTIONS(3064),
    [anon_sym_any] = ACTIONS(3052),
    [anon_sym_number] = ACTIONS(3052),
    [anon_sym_boolean] = ACTIONS(3052),
    [anon_sym_string] = ACTIONS(3052),
    [anon_sym_symbol] = ACTIONS(3052),
    [anon_sym_object] = ACTIONS(3052),
    [anon_sym_abstract] = ACTIONS(3066),
    [anon_sym_infer] = ACTIONS(3070),
    [anon_sym_keyof] = ACTIONS(3072),
    [anon_sym_unique] = ACTIONS(3074),
    [anon_sym_unknown] = ACTIONS(3052),
    [anon_sym_never] = ACTIONS(3052),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3076),
    [sym_html_comment] = ACTIONS(5),
  },
  [1097] = {
    [sym_import] = STATE(4584),
    [sym_nested_identifier] = STATE(5811),
    [sym_string] = STATE(3369),
    [sym_formal_parameters] = STATE(5849),
    [sym_nested_type_identifier] = STATE(3252),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3200),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3295),
    [sym_type] = STATE(3346),
    [sym_constructor_type] = STATE(3384),
    [sym_primary_type] = STATE(3385),
    [sym_template_literal_type] = STATE(3388),
    [sym_infer_type] = STATE(3384),
    [sym_conditional_type] = STATE(3388),
    [sym_generic_type] = STATE(3388),
    [sym_type_query] = STATE(3388),
    [sym_index_type_query] = STATE(3388),
    [sym_lookup_type] = STATE(3388),
    [sym_literal_type] = STATE(3388),
    [sym__number] = STATE(3389),
    [sym_existential_type] = STATE(3388),
    [sym_flow_maybe_type] = STATE(3388),
    [sym_parenthesized_type] = STATE(3388),
    [sym_predefined_type] = STATE(3388),
    [sym_object_type] = STATE(3388),
    [sym_type_parameters] = STATE(5258),
    [sym_array_type] = STATE(3388),
    [sym_tuple_type] = STATE(3388),
    [sym_readonly_type] = STATE(3384),
    [sym_union_type] = STATE(3388),
    [sym_intersection_type] = STATE(3388),
    [sym_function_type] = STATE(3384),
    [sym_identifier] = ACTIONS(3266),
    [anon_sym_STAR] = ACTIONS(3028),
    [anon_sym_LBRACE] = ACTIONS(3030),
    [anon_sym_typeof] = ACTIONS(3032),
    [anon_sym_import] = ACTIONS(1545),
    [anon_sym_const] = ACTIONS(3034),
    [anon_sym_LPAREN] = ACTIONS(3036),
    [anon_sym_LBRACK] = ACTIONS(3038),
    [anon_sym_DQUOTE] = ACTIONS(3040),
    [anon_sym_SQUOTE] = ACTIONS(3042),
    [anon_sym_new] = ACTIONS(3044),
    [anon_sym_AMP] = ACTIONS(3046),
    [anon_sym_PIPE] = ACTIONS(3048),
    [anon_sym_PLUS] = ACTIONS(3050),
    [anon_sym_DASH] = ACTIONS(3050),
    [anon_sym_LT] = ACTIONS(2570),
    [anon_sym_void] = ACTIONS(3052),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3054),
    [sym_number] = ACTIONS(3056),
    [sym_this] = ACTIONS(3268),
    [sym_true] = ACTIONS(3060),
    [sym_false] = ACTIONS(3060),
    [sym_null] = ACTIONS(3060),
    [sym_undefined] = ACTIONS(3060),
    [anon_sym_readonly] = ACTIONS(3062),
    [anon_sym_QMARK] = ACTIONS(3064),
    [anon_sym_any] = ACTIONS(3052),
    [anon_sym_number] = ACTIONS(3052),
    [anon_sym_boolean] = ACTIONS(3052),
    [anon_sym_string] = ACTIONS(3052),
    [anon_sym_symbol] = ACTIONS(3052),
    [anon_sym_object] = ACTIONS(3052),
    [anon_sym_abstract] = ACTIONS(3066),
    [anon_sym_infer] = ACTIONS(3070),
    [anon_sym_keyof] = ACTIONS(3072),
    [anon_sym_unique] = ACTIONS(3074),
    [anon_sym_unknown] = ACTIONS(3052),
    [anon_sym_never] = ACTIONS(3052),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3076),
    [sym_html_comment] = ACTIONS(5),
  },
  [1098] = {
    [sym_import] = STATE(4584),
    [sym_nested_identifier] = STATE(5811),
    [sym_string] = STATE(3369),
    [sym_formal_parameters] = STATE(5849),
    [sym_nested_type_identifier] = STATE(3252),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3200),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3295),
    [sym_type] = STATE(3358),
    [sym_constructor_type] = STATE(3384),
    [sym_primary_type] = STATE(3385),
    [sym_template_literal_type] = STATE(3388),
    [sym_infer_type] = STATE(3384),
    [sym_conditional_type] = STATE(3388),
    [sym_generic_type] = STATE(3388),
    [sym_type_query] = STATE(3388),
    [sym_index_type_query] = STATE(3388),
    [sym_lookup_type] = STATE(3388),
    [sym_literal_type] = STATE(3388),
    [sym__number] = STATE(3389),
    [sym_existential_type] = STATE(3388),
    [sym_flow_maybe_type] = STATE(3388),
    [sym_parenthesized_type] = STATE(3388),
    [sym_predefined_type] = STATE(3388),
    [sym_object_type] = STATE(3388),
    [sym_type_parameters] = STATE(5258),
    [sym_array_type] = STATE(3388),
    [sym_tuple_type] = STATE(3388),
    [sym_readonly_type] = STATE(3384),
    [sym_union_type] = STATE(3388),
    [sym_intersection_type] = STATE(3388),
    [sym_function_type] = STATE(3384),
    [sym_identifier] = ACTIONS(3266),
    [anon_sym_STAR] = ACTIONS(3028),
    [anon_sym_LBRACE] = ACTIONS(3030),
    [anon_sym_typeof] = ACTIONS(3032),
    [anon_sym_import] = ACTIONS(1545),
    [anon_sym_const] = ACTIONS(3034),
    [anon_sym_LPAREN] = ACTIONS(3036),
    [anon_sym_LBRACK] = ACTIONS(3038),
    [anon_sym_DQUOTE] = ACTIONS(3040),
    [anon_sym_SQUOTE] = ACTIONS(3042),
    [anon_sym_new] = ACTIONS(3044),
    [anon_sym_AMP] = ACTIONS(3046),
    [anon_sym_PIPE] = ACTIONS(3048),
    [anon_sym_PLUS] = ACTIONS(3050),
    [anon_sym_DASH] = ACTIONS(3050),
    [anon_sym_LT] = ACTIONS(2570),
    [anon_sym_void] = ACTIONS(3052),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3054),
    [sym_number] = ACTIONS(3056),
    [sym_this] = ACTIONS(3268),
    [sym_true] = ACTIONS(3060),
    [sym_false] = ACTIONS(3060),
    [sym_null] = ACTIONS(3060),
    [sym_undefined] = ACTIONS(3060),
    [anon_sym_readonly] = ACTIONS(3062),
    [anon_sym_QMARK] = ACTIONS(3064),
    [anon_sym_any] = ACTIONS(3052),
    [anon_sym_number] = ACTIONS(3052),
    [anon_sym_boolean] = ACTIONS(3052),
    [anon_sym_string] = ACTIONS(3052),
    [anon_sym_symbol] = ACTIONS(3052),
    [anon_sym_object] = ACTIONS(3052),
    [anon_sym_abstract] = ACTIONS(3066),
    [anon_sym_infer] = ACTIONS(3070),
    [anon_sym_keyof] = ACTIONS(3072),
    [anon_sym_unique] = ACTIONS(3074),
    [anon_sym_unknown] = ACTIONS(3052),
    [anon_sym_never] = ACTIONS(3052),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3076),
    [sym_html_comment] = ACTIONS(5),
  },
  [1099] = {
    [sym_import] = STATE(4584),
    [sym_nested_identifier] = STATE(5811),
    [sym_string] = STATE(3369),
    [sym_formal_parameters] = STATE(5849),
    [sym_nested_type_identifier] = STATE(3252),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3200),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3295),
    [sym_type] = STATE(3359),
    [sym_constructor_type] = STATE(3384),
    [sym_primary_type] = STATE(3385),
    [sym_template_literal_type] = STATE(3388),
    [sym_infer_type] = STATE(3384),
    [sym_conditional_type] = STATE(3388),
    [sym_generic_type] = STATE(3388),
    [sym_type_query] = STATE(3388),
    [sym_index_type_query] = STATE(3388),
    [sym_lookup_type] = STATE(3388),
    [sym_literal_type] = STATE(3388),
    [sym__number] = STATE(3389),
    [sym_existential_type] = STATE(3388),
    [sym_flow_maybe_type] = STATE(3388),
    [sym_parenthesized_type] = STATE(3388),
    [sym_predefined_type] = STATE(3388),
    [sym_object_type] = STATE(3388),
    [sym_type_parameters] = STATE(5258),
    [sym_array_type] = STATE(3388),
    [sym_tuple_type] = STATE(3388),
    [sym_readonly_type] = STATE(3384),
    [sym_union_type] = STATE(3388),
    [sym_intersection_type] = STATE(3388),
    [sym_function_type] = STATE(3384),
    [sym_identifier] = ACTIONS(3266),
    [anon_sym_STAR] = ACTIONS(3028),
    [anon_sym_LBRACE] = ACTIONS(3030),
    [anon_sym_typeof] = ACTIONS(3032),
    [anon_sym_import] = ACTIONS(1545),
    [anon_sym_const] = ACTIONS(3034),
    [anon_sym_LPAREN] = ACTIONS(3036),
    [anon_sym_LBRACK] = ACTIONS(3038),
    [anon_sym_DQUOTE] = ACTIONS(3040),
    [anon_sym_SQUOTE] = ACTIONS(3042),
    [anon_sym_new] = ACTIONS(3044),
    [anon_sym_AMP] = ACTIONS(3046),
    [anon_sym_PIPE] = ACTIONS(3048),
    [anon_sym_PLUS] = ACTIONS(3050),
    [anon_sym_DASH] = ACTIONS(3050),
    [anon_sym_LT] = ACTIONS(2570),
    [anon_sym_void] = ACTIONS(3052),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3054),
    [sym_number] = ACTIONS(3056),
    [sym_this] = ACTIONS(3268),
    [sym_true] = ACTIONS(3060),
    [sym_false] = ACTIONS(3060),
    [sym_null] = ACTIONS(3060),
    [sym_undefined] = ACTIONS(3060),
    [anon_sym_readonly] = ACTIONS(3062),
    [anon_sym_QMARK] = ACTIONS(3064),
    [anon_sym_any] = ACTIONS(3052),
    [anon_sym_number] = ACTIONS(3052),
    [anon_sym_boolean] = ACTIONS(3052),
    [anon_sym_string] = ACTIONS(3052),
    [anon_sym_symbol] = ACTIONS(3052),
    [anon_sym_object] = ACTIONS(3052),
    [anon_sym_abstract] = ACTIONS(3066),
    [anon_sym_infer] = ACTIONS(3070),
    [anon_sym_keyof] = ACTIONS(3072),
    [anon_sym_unique] = ACTIONS(3074),
    [anon_sym_unknown] = ACTIONS(3052),
    [anon_sym_never] = ACTIONS(3052),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3076),
    [sym_html_comment] = ACTIONS(5),
  },
  [1100] = {
    [sym_import] = STATE(4772),
    [sym_nested_identifier] = STATE(5677),
    [sym_string] = STATE(1938),
    [sym_formal_parameters] = STATE(5840),
    [sym_nested_type_identifier] = STATE(1823),
    [sym__type_query_member_expression_in_type_annotation] = STATE(1867),
    [sym__type_query_call_expression_in_type_annotation] = STATE(1905),
    [sym_type] = STATE(1912),
    [sym_constructor_type] = STATE(1909),
    [sym_primary_type] = STATE(1910),
    [sym_template_literal_type] = STATE(1915),
    [sym_infer_type] = STATE(1909),
    [sym_conditional_type] = STATE(1915),
    [sym_generic_type] = STATE(1915),
    [sym_type_query] = STATE(1915),
    [sym_index_type_query] = STATE(1915),
    [sym_lookup_type] = STATE(1915),
    [sym_literal_type] = STATE(1915),
    [sym__number] = STATE(1918),
    [sym_existential_type] = STATE(1915),
    [sym_flow_maybe_type] = STATE(1915),
    [sym_parenthesized_type] = STATE(1915),
    [sym_predefined_type] = STATE(1915),
    [sym_object_type] = STATE(1915),
    [sym_type_parameters] = STATE(5271),
    [sym_array_type] = STATE(1915),
    [sym_tuple_type] = STATE(1915),
    [sym_readonly_type] = STATE(1909),
    [sym_union_type] = STATE(1915),
    [sym_intersection_type] = STATE(1915),
    [sym_function_type] = STATE(1909),
    [sym_identifier] = ACTIONS(3262),
    [anon_sym_STAR] = ACTIONS(3114),
    [anon_sym_LBRACE] = ACTIONS(3116),
    [anon_sym_typeof] = ACTIONS(3118),
    [anon_sym_import] = ACTIONS(1545),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_LPAREN] = ACTIONS(3122),
    [anon_sym_LBRACK] = ACTIONS(3124),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(3126),
    [anon_sym_AMP] = ACTIONS(3128),
    [anon_sym_PIPE] = ACTIONS(3130),
    [anon_sym_PLUS] = ACTIONS(3132),
    [anon_sym_DASH] = ACTIONS(3132),
    [anon_sym_LT] = ACTIONS(2570),
    [anon_sym_void] = ACTIONS(3134),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3136),
    [sym_number] = ACTIONS(3138),
    [sym_this] = ACTIONS(3264),
    [sym_true] = ACTIONS(3142),
    [sym_false] = ACTIONS(3142),
    [sym_null] = ACTIONS(3142),
    [sym_undefined] = ACTIONS(3142),
    [anon_sym_readonly] = ACTIONS(3144),
    [anon_sym_QMARK] = ACTIONS(3146),
    [anon_sym_any] = ACTIONS(3134),
    [anon_sym_number] = ACTIONS(3134),
    [anon_sym_boolean] = ACTIONS(3134),
    [anon_sym_string] = ACTIONS(3134),
    [anon_sym_symbol] = ACTIONS(3134),
    [anon_sym_object] = ACTIONS(3134),
    [anon_sym_abstract] = ACTIONS(3148),
    [anon_sym_infer] = ACTIONS(3152),
    [anon_sym_keyof] = ACTIONS(3154),
    [anon_sym_unique] = ACTIONS(3156),
    [anon_sym_unknown] = ACTIONS(3134),
    [anon_sym_never] = ACTIONS(3134),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3158),
    [sym_html_comment] = ACTIONS(5),
  },
  [1101] = {
    [sym_import] = STATE(4788),
    [sym_nested_identifier] = STATE(5868),
    [sym_string] = STATE(3013),
    [sym_formal_parameters] = STATE(5623),
    [sym_nested_type_identifier] = STATE(2941),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2942),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2944),
    [sym_type] = STATE(3138),
    [sym_constructor_type] = STATE(2974),
    [sym_primary_type] = STATE(3014),
    [sym_template_literal_type] = STATE(3018),
    [sym_infer_type] = STATE(2974),
    [sym_conditional_type] = STATE(3018),
    [sym_generic_type] = STATE(3018),
    [sym_type_query] = STATE(3018),
    [sym_index_type_query] = STATE(3018),
    [sym_lookup_type] = STATE(3018),
    [sym_literal_type] = STATE(3018),
    [sym__number] = STATE(3031),
    [sym_existential_type] = STATE(3018),
    [sym_flow_maybe_type] = STATE(3018),
    [sym_parenthesized_type] = STATE(3018),
    [sym_predefined_type] = STATE(3018),
    [sym_object_type] = STATE(3018),
    [sym_type_parameters] = STATE(5442),
    [sym_array_type] = STATE(3018),
    [sym_tuple_type] = STATE(3018),
    [sym_readonly_type] = STATE(2974),
    [sym_union_type] = STATE(3018),
    [sym_intersection_type] = STATE(3018),
    [sym_function_type] = STATE(2974),
    [sym_identifier] = ACTIONS(1539),
    [anon_sym_STAR] = ACTIONS(582),
    [anon_sym_LBRACE] = ACTIONS(1541),
    [anon_sym_typeof] = ACTIONS(1543),
    [anon_sym_import] = ACTIONS(1545),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1547),
    [anon_sym_LBRACK] = ACTIONS(1549),
    [anon_sym_DQUOTE] = ACTIONS(1551),
    [anon_sym_SQUOTE] = ACTIONS(1553),
    [anon_sym_new] = ACTIONS(1555),
    [anon_sym_AMP] = ACTIONS(755),
    [anon_sym_PIPE] = ACTIONS(757),
    [anon_sym_PLUS] = ACTIONS(2568),
    [anon_sym_DASH] = ACTIONS(2568),
    [anon_sym_LT] = ACTIONS(2570),
    [anon_sym_void] = ACTIONS(217),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1561),
    [sym_number] = ACTIONS(1563),
    [sym_this] = ACTIONS(1565),
    [sym_true] = ACTIONS(1567),
    [sym_false] = ACTIONS(1567),
    [sym_null] = ACTIONS(1567),
    [sym_undefined] = ACTIONS(1567),
    [anon_sym_readonly] = ACTIONS(1569),
    [anon_sym_QMARK] = ACTIONS(783),
    [anon_sym_any] = ACTIONS(217),
    [anon_sym_number] = ACTIONS(217),
    [anon_sym_boolean] = ACTIONS(217),
    [anon_sym_string] = ACTIONS(217),
    [anon_sym_symbol] = ACTIONS(217),
    [anon_sym_object] = ACTIONS(217),
    [anon_sym_abstract] = ACTIONS(209),
    [anon_sym_infer] = ACTIONS(211),
    [anon_sym_keyof] = ACTIONS(213),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym_html_comment] = ACTIONS(5),
  },
  [1102] = {
    [sym_import] = STATE(4788),
    [sym_nested_identifier] = STATE(5868),
    [sym_string] = STATE(3013),
    [sym_formal_parameters] = STATE(5623),
    [sym_nested_type_identifier] = STATE(2941),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2942),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2944),
    [sym_type] = STATE(3139),
    [sym_constructor_type] = STATE(2974),
    [sym_primary_type] = STATE(3014),
    [sym_template_literal_type] = STATE(3018),
    [sym_infer_type] = STATE(2974),
    [sym_conditional_type] = STATE(3018),
    [sym_generic_type] = STATE(3018),
    [sym_type_query] = STATE(3018),
    [sym_index_type_query] = STATE(3018),
    [sym_lookup_type] = STATE(3018),
    [sym_literal_type] = STATE(3018),
    [sym__number] = STATE(3031),
    [sym_existential_type] = STATE(3018),
    [sym_flow_maybe_type] = STATE(3018),
    [sym_parenthesized_type] = STATE(3018),
    [sym_predefined_type] = STATE(3018),
    [sym_object_type] = STATE(3018),
    [sym_type_parameters] = STATE(5442),
    [sym_array_type] = STATE(3018),
    [sym_tuple_type] = STATE(3018),
    [sym_readonly_type] = STATE(2974),
    [sym_union_type] = STATE(3018),
    [sym_intersection_type] = STATE(3018),
    [sym_function_type] = STATE(2974),
    [sym_identifier] = ACTIONS(1539),
    [anon_sym_STAR] = ACTIONS(582),
    [anon_sym_LBRACE] = ACTIONS(1541),
    [anon_sym_typeof] = ACTIONS(1543),
    [anon_sym_import] = ACTIONS(1545),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1547),
    [anon_sym_LBRACK] = ACTIONS(1549),
    [anon_sym_DQUOTE] = ACTIONS(1551),
    [anon_sym_SQUOTE] = ACTIONS(1553),
    [anon_sym_new] = ACTIONS(1555),
    [anon_sym_AMP] = ACTIONS(755),
    [anon_sym_PIPE] = ACTIONS(757),
    [anon_sym_PLUS] = ACTIONS(2568),
    [anon_sym_DASH] = ACTIONS(2568),
    [anon_sym_LT] = ACTIONS(2570),
    [anon_sym_void] = ACTIONS(217),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1561),
    [sym_number] = ACTIONS(1563),
    [sym_this] = ACTIONS(1565),
    [sym_true] = ACTIONS(1567),
    [sym_false] = ACTIONS(1567),
    [sym_null] = ACTIONS(1567),
    [sym_undefined] = ACTIONS(1567),
    [anon_sym_readonly] = ACTIONS(1569),
    [anon_sym_QMARK] = ACTIONS(783),
    [anon_sym_any] = ACTIONS(217),
    [anon_sym_number] = ACTIONS(217),
    [anon_sym_boolean] = ACTIONS(217),
    [anon_sym_string] = ACTIONS(217),
    [anon_sym_symbol] = ACTIONS(217),
    [anon_sym_object] = ACTIONS(217),
    [anon_sym_abstract] = ACTIONS(209),
    [anon_sym_infer] = ACTIONS(211),
    [anon_sym_keyof] = ACTIONS(213),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym_html_comment] = ACTIONS(5),
  },
  [1103] = {
    [sym_import] = STATE(4926),
    [sym_nested_identifier] = STATE(5583),
    [sym_string] = STATE(3268),
    [sym_formal_parameters] = STATE(5787),
    [sym_nested_type_identifier] = STATE(3131),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3073),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3209),
    [sym_type] = STATE(3312),
    [sym_constructor_type] = STATE(3272),
    [sym_primary_type] = STATE(3273),
    [sym_template_literal_type] = STATE(3274),
    [sym_infer_type] = STATE(3272),
    [sym_conditional_type] = STATE(3274),
    [sym_generic_type] = STATE(3274),
    [sym_type_query] = STATE(3274),
    [sym_index_type_query] = STATE(3274),
    [sym_lookup_type] = STATE(3274),
    [sym_literal_type] = STATE(3274),
    [sym__number] = STATE(3275),
    [sym_existential_type] = STATE(3274),
    [sym_flow_maybe_type] = STATE(3274),
    [sym_parenthesized_type] = STATE(3274),
    [sym_predefined_type] = STATE(3274),
    [sym_object_type] = STATE(3274),
    [sym_type_parameters] = STATE(5160),
    [sym_array_type] = STATE(3274),
    [sym_tuple_type] = STATE(3274),
    [sym_readonly_type] = STATE(3272),
    [sym_union_type] = STATE(3274),
    [sym_intersection_type] = STATE(3274),
    [sym_function_type] = STATE(3272),
    [sym_identifier] = ACTIONS(1623),
    [anon_sym_STAR] = ACTIONS(999),
    [anon_sym_LBRACE] = ACTIONS(1627),
    [anon_sym_typeof] = ACTIONS(1629),
    [anon_sym_import] = ACTIONS(1545),
    [anon_sym_const] = ACTIONS(1005),
    [anon_sym_LPAREN] = ACTIONS(1631),
    [anon_sym_LBRACK] = ACTIONS(1633),
    [anon_sym_DQUOTE] = ACTIONS(1635),
    [anon_sym_SQUOTE] = ACTIONS(1637),
    [anon_sym_new] = ACTIONS(1639),
    [anon_sym_AMP] = ACTIONS(1013),
    [anon_sym_PIPE] = ACTIONS(1015),
    [anon_sym_PLUS] = ACTIONS(3020),
    [anon_sym_DASH] = ACTIONS(3020),
    [anon_sym_LT] = ACTIONS(2570),
    [anon_sym_void] = ACTIONS(1045),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1647),
    [sym_number] = ACTIONS(1649),
    [sym_this] = ACTIONS(1651),
    [sym_true] = ACTIONS(1653),
    [sym_false] = ACTIONS(1653),
    [sym_null] = ACTIONS(1653),
    [sym_undefined] = ACTIONS(1653),
    [anon_sym_readonly] = ACTIONS(1655),
    [anon_sym_QMARK] = ACTIONS(1033),
    [anon_sym_any] = ACTIONS(1045),
    [anon_sym_number] = ACTIONS(1045),
    [anon_sym_boolean] = ACTIONS(1045),
    [anon_sym_string] = ACTIONS(1045),
    [anon_sym_symbol] = ACTIONS(1045),
    [anon_sym_object] = ACTIONS(1045),
    [anon_sym_abstract] = ACTIONS(1037),
    [anon_sym_infer] = ACTIONS(1039),
    [anon_sym_keyof] = ACTIONS(1041),
    [anon_sym_unique] = ACTIONS(1043),
    [anon_sym_unknown] = ACTIONS(1045),
    [anon_sym_never] = ACTIONS(1045),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1047),
    [sym_html_comment] = ACTIONS(5),
  },
  [1104] = {
    [sym_import] = STATE(4788),
    [sym_nested_identifier] = STATE(5868),
    [sym_string] = STATE(3013),
    [sym_formal_parameters] = STATE(5623),
    [sym_nested_type_identifier] = STATE(2941),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2942),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2944),
    [sym_type] = STATE(4477),
    [sym_constructor_type] = STATE(2974),
    [sym_primary_type] = STATE(3014),
    [sym_template_literal_type] = STATE(3018),
    [sym_infer_type] = STATE(2974),
    [sym_conditional_type] = STATE(3018),
    [sym_generic_type] = STATE(3018),
    [sym_type_query] = STATE(3018),
    [sym_index_type_query] = STATE(3018),
    [sym_lookup_type] = STATE(3018),
    [sym_literal_type] = STATE(3018),
    [sym__number] = STATE(3031),
    [sym_existential_type] = STATE(3018),
    [sym_flow_maybe_type] = STATE(3018),
    [sym_parenthesized_type] = STATE(3018),
    [sym_predefined_type] = STATE(3018),
    [sym_object_type] = STATE(3018),
    [sym_type_parameters] = STATE(5442),
    [sym_array_type] = STATE(3018),
    [sym_tuple_type] = STATE(3018),
    [sym_readonly_type] = STATE(2974),
    [sym_union_type] = STATE(3018),
    [sym_intersection_type] = STATE(3018),
    [sym_function_type] = STATE(2974),
    [sym_identifier] = ACTIONS(1539),
    [anon_sym_STAR] = ACTIONS(582),
    [anon_sym_LBRACE] = ACTIONS(1541),
    [anon_sym_typeof] = ACTIONS(1543),
    [anon_sym_import] = ACTIONS(1545),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1547),
    [anon_sym_LBRACK] = ACTIONS(1549),
    [anon_sym_DQUOTE] = ACTIONS(1551),
    [anon_sym_SQUOTE] = ACTIONS(1553),
    [anon_sym_new] = ACTIONS(1555),
    [anon_sym_AMP] = ACTIONS(755),
    [anon_sym_PIPE] = ACTIONS(757),
    [anon_sym_PLUS] = ACTIONS(2568),
    [anon_sym_DASH] = ACTIONS(2568),
    [anon_sym_LT] = ACTIONS(2570),
    [anon_sym_void] = ACTIONS(217),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1561),
    [sym_number] = ACTIONS(1563),
    [sym_this] = ACTIONS(1565),
    [sym_true] = ACTIONS(1567),
    [sym_false] = ACTIONS(1567),
    [sym_null] = ACTIONS(1567),
    [sym_undefined] = ACTIONS(1567),
    [anon_sym_readonly] = ACTIONS(1569),
    [anon_sym_QMARK] = ACTIONS(783),
    [anon_sym_any] = ACTIONS(217),
    [anon_sym_number] = ACTIONS(217),
    [anon_sym_boolean] = ACTIONS(217),
    [anon_sym_string] = ACTIONS(217),
    [anon_sym_symbol] = ACTIONS(217),
    [anon_sym_object] = ACTIONS(217),
    [anon_sym_abstract] = ACTIONS(209),
    [anon_sym_infer] = ACTIONS(211),
    [anon_sym_keyof] = ACTIONS(213),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym_html_comment] = ACTIONS(5),
  },
  [1105] = {
    [sym_import] = STATE(4788),
    [sym_nested_identifier] = STATE(5868),
    [sym_string] = STATE(3013),
    [sym_formal_parameters] = STATE(5623),
    [sym_nested_type_identifier] = STATE(2941),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2942),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2944),
    [sym_type] = STATE(4487),
    [sym_constructor_type] = STATE(2974),
    [sym_primary_type] = STATE(3014),
    [sym_template_literal_type] = STATE(3018),
    [sym_infer_type] = STATE(2974),
    [sym_conditional_type] = STATE(3018),
    [sym_generic_type] = STATE(3018),
    [sym_type_query] = STATE(3018),
    [sym_index_type_query] = STATE(3018),
    [sym_lookup_type] = STATE(3018),
    [sym_literal_type] = STATE(3018),
    [sym__number] = STATE(3031),
    [sym_existential_type] = STATE(3018),
    [sym_flow_maybe_type] = STATE(3018),
    [sym_parenthesized_type] = STATE(3018),
    [sym_predefined_type] = STATE(3018),
    [sym_object_type] = STATE(3018),
    [sym_type_parameters] = STATE(5442),
    [sym_array_type] = STATE(3018),
    [sym_tuple_type] = STATE(3018),
    [sym_readonly_type] = STATE(2974),
    [sym_union_type] = STATE(3018),
    [sym_intersection_type] = STATE(3018),
    [sym_function_type] = STATE(2974),
    [sym_identifier] = ACTIONS(1539),
    [anon_sym_STAR] = ACTIONS(582),
    [anon_sym_LBRACE] = ACTIONS(1541),
    [anon_sym_typeof] = ACTIONS(1543),
    [anon_sym_import] = ACTIONS(1545),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1547),
    [anon_sym_LBRACK] = ACTIONS(1549),
    [anon_sym_DQUOTE] = ACTIONS(1551),
    [anon_sym_SQUOTE] = ACTIONS(1553),
    [anon_sym_new] = ACTIONS(1555),
    [anon_sym_AMP] = ACTIONS(755),
    [anon_sym_PIPE] = ACTIONS(757),
    [anon_sym_PLUS] = ACTIONS(2568),
    [anon_sym_DASH] = ACTIONS(2568),
    [anon_sym_LT] = ACTIONS(2570),
    [anon_sym_void] = ACTIONS(217),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1561),
    [sym_number] = ACTIONS(1563),
    [sym_this] = ACTIONS(1565),
    [sym_true] = ACTIONS(1567),
    [sym_false] = ACTIONS(1567),
    [sym_null] = ACTIONS(1567),
    [sym_undefined] = ACTIONS(1567),
    [anon_sym_readonly] = ACTIONS(1569),
    [anon_sym_QMARK] = ACTIONS(783),
    [anon_sym_any] = ACTIONS(217),
    [anon_sym_number] = ACTIONS(217),
    [anon_sym_boolean] = ACTIONS(217),
    [anon_sym_string] = ACTIONS(217),
    [anon_sym_symbol] = ACTIONS(217),
    [anon_sym_object] = ACTIONS(217),
    [anon_sym_abstract] = ACTIONS(209),
    [anon_sym_infer] = ACTIONS(211),
    [anon_sym_keyof] = ACTIONS(213),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym_html_comment] = ACTIONS(5),
  },
  [1106] = {
    [sym_import] = STATE(4788),
    [sym_nested_identifier] = STATE(5868),
    [sym_string] = STATE(3013),
    [sym_formal_parameters] = STATE(5623),
    [sym_nested_type_identifier] = STATE(2941),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2942),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2944),
    [sym_type] = STATE(4489),
    [sym_constructor_type] = STATE(2974),
    [sym_primary_type] = STATE(3014),
    [sym_template_literal_type] = STATE(3018),
    [sym_infer_type] = STATE(2974),
    [sym_conditional_type] = STATE(3018),
    [sym_generic_type] = STATE(3018),
    [sym_type_query] = STATE(3018),
    [sym_index_type_query] = STATE(3018),
    [sym_lookup_type] = STATE(3018),
    [sym_literal_type] = STATE(3018),
    [sym__number] = STATE(3031),
    [sym_existential_type] = STATE(3018),
    [sym_flow_maybe_type] = STATE(3018),
    [sym_parenthesized_type] = STATE(3018),
    [sym_predefined_type] = STATE(3018),
    [sym_object_type] = STATE(3018),
    [sym_type_parameters] = STATE(5442),
    [sym_array_type] = STATE(3018),
    [sym_tuple_type] = STATE(3018),
    [sym_readonly_type] = STATE(2974),
    [sym_union_type] = STATE(3018),
    [sym_intersection_type] = STATE(3018),
    [sym_function_type] = STATE(2974),
    [sym_identifier] = ACTIONS(1539),
    [anon_sym_STAR] = ACTIONS(582),
    [anon_sym_LBRACE] = ACTIONS(1541),
    [anon_sym_typeof] = ACTIONS(1543),
    [anon_sym_import] = ACTIONS(1545),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1547),
    [anon_sym_LBRACK] = ACTIONS(1549),
    [anon_sym_DQUOTE] = ACTIONS(1551),
    [anon_sym_SQUOTE] = ACTIONS(1553),
    [anon_sym_new] = ACTIONS(1555),
    [anon_sym_AMP] = ACTIONS(755),
    [anon_sym_PIPE] = ACTIONS(757),
    [anon_sym_PLUS] = ACTIONS(2568),
    [anon_sym_DASH] = ACTIONS(2568),
    [anon_sym_LT] = ACTIONS(2570),
    [anon_sym_void] = ACTIONS(217),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1561),
    [sym_number] = ACTIONS(1563),
    [sym_this] = ACTIONS(1565),
    [sym_true] = ACTIONS(1567),
    [sym_false] = ACTIONS(1567),
    [sym_null] = ACTIONS(1567),
    [sym_undefined] = ACTIONS(1567),
    [anon_sym_readonly] = ACTIONS(1569),
    [anon_sym_QMARK] = ACTIONS(783),
    [anon_sym_any] = ACTIONS(217),
    [anon_sym_number] = ACTIONS(217),
    [anon_sym_boolean] = ACTIONS(217),
    [anon_sym_string] = ACTIONS(217),
    [anon_sym_symbol] = ACTIONS(217),
    [anon_sym_object] = ACTIONS(217),
    [anon_sym_abstract] = ACTIONS(209),
    [anon_sym_infer] = ACTIONS(211),
    [anon_sym_keyof] = ACTIONS(213),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym_html_comment] = ACTIONS(5),
  },
  [1107] = {
    [sym_import] = STATE(4788),
    [sym_nested_identifier] = STATE(5868),
    [sym_string] = STATE(3013),
    [sym_formal_parameters] = STATE(5623),
    [sym_nested_type_identifier] = STATE(2941),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2942),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2944),
    [sym_type] = STATE(3159),
    [sym_constructor_type] = STATE(2974),
    [sym_primary_type] = STATE(3014),
    [sym_template_literal_type] = STATE(3018),
    [sym_infer_type] = STATE(2974),
    [sym_conditional_type] = STATE(3018),
    [sym_generic_type] = STATE(3018),
    [sym_type_query] = STATE(3018),
    [sym_index_type_query] = STATE(3018),
    [sym_lookup_type] = STATE(3018),
    [sym_literal_type] = STATE(3018),
    [sym__number] = STATE(3031),
    [sym_existential_type] = STATE(3018),
    [sym_flow_maybe_type] = STATE(3018),
    [sym_parenthesized_type] = STATE(3018),
    [sym_predefined_type] = STATE(3018),
    [sym_object_type] = STATE(3018),
    [sym_type_parameters] = STATE(5442),
    [sym_array_type] = STATE(3018),
    [sym_tuple_type] = STATE(3018),
    [sym_readonly_type] = STATE(2974),
    [sym_union_type] = STATE(3018),
    [sym_intersection_type] = STATE(3018),
    [sym_function_type] = STATE(2974),
    [sym_identifier] = ACTIONS(1539),
    [anon_sym_STAR] = ACTIONS(582),
    [anon_sym_LBRACE] = ACTIONS(1541),
    [anon_sym_typeof] = ACTIONS(1543),
    [anon_sym_import] = ACTIONS(1545),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1547),
    [anon_sym_LBRACK] = ACTIONS(1549),
    [anon_sym_DQUOTE] = ACTIONS(1551),
    [anon_sym_SQUOTE] = ACTIONS(1553),
    [anon_sym_new] = ACTIONS(1555),
    [anon_sym_AMP] = ACTIONS(755),
    [anon_sym_PIPE] = ACTIONS(757),
    [anon_sym_PLUS] = ACTIONS(2568),
    [anon_sym_DASH] = ACTIONS(2568),
    [anon_sym_LT] = ACTIONS(2570),
    [anon_sym_void] = ACTIONS(217),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1561),
    [sym_number] = ACTIONS(1563),
    [sym_this] = ACTIONS(1565),
    [sym_true] = ACTIONS(1567),
    [sym_false] = ACTIONS(1567),
    [sym_null] = ACTIONS(1567),
    [sym_undefined] = ACTIONS(1567),
    [anon_sym_readonly] = ACTIONS(1569),
    [anon_sym_QMARK] = ACTIONS(783),
    [anon_sym_any] = ACTIONS(217),
    [anon_sym_number] = ACTIONS(217),
    [anon_sym_boolean] = ACTIONS(217),
    [anon_sym_string] = ACTIONS(217),
    [anon_sym_symbol] = ACTIONS(217),
    [anon_sym_object] = ACTIONS(217),
    [anon_sym_abstract] = ACTIONS(209),
    [anon_sym_infer] = ACTIONS(211),
    [anon_sym_keyof] = ACTIONS(213),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym_html_comment] = ACTIONS(5),
  },
  [1108] = {
    [sym_import] = STATE(4803),
    [sym_nested_identifier] = STATE(5868),
    [sym_string] = STATE(3013),
    [sym_formal_parameters] = STATE(5679),
    [sym_nested_type_identifier] = STATE(3494),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3334),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2944),
    [sym_type] = STATE(3032),
    [sym_constructor_type] = STATE(2974),
    [sym_primary_type] = STATE(3014),
    [sym_template_literal_type] = STATE(3018),
    [sym_infer_type] = STATE(2974),
    [sym_conditional_type] = STATE(3018),
    [sym_generic_type] = STATE(3018),
    [sym_type_query] = STATE(3018),
    [sym_index_type_query] = STATE(3018),
    [sym_lookup_type] = STATE(3018),
    [sym_literal_type] = STATE(3018),
    [sym__number] = STATE(3031),
    [sym_existential_type] = STATE(3018),
    [sym_flow_maybe_type] = STATE(3018),
    [sym_parenthesized_type] = STATE(3018),
    [sym_predefined_type] = STATE(3018),
    [sym_object_type] = STATE(3018),
    [sym_type_parameters] = STATE(5378),
    [sym_array_type] = STATE(3018),
    [sym_tuple_type] = STATE(3018),
    [sym_readonly_type] = STATE(2974),
    [sym_union_type] = STATE(3018),
    [sym_intersection_type] = STATE(3018),
    [sym_function_type] = STATE(2974),
    [sym_identifier] = ACTIONS(3272),
    [anon_sym_STAR] = ACTIONS(582),
    [anon_sym_LBRACE] = ACTIONS(3080),
    [anon_sym_typeof] = ACTIONS(3082),
    [anon_sym_import] = ACTIONS(1545),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1547),
    [anon_sym_LBRACK] = ACTIONS(1549),
    [anon_sym_DQUOTE] = ACTIONS(2338),
    [anon_sym_SQUOTE] = ACTIONS(2340),
    [anon_sym_new] = ACTIONS(3084),
    [anon_sym_AMP] = ACTIONS(3086),
    [anon_sym_PIPE] = ACTIONS(3088),
    [anon_sym_PLUS] = ACTIONS(2568),
    [anon_sym_DASH] = ACTIONS(2568),
    [anon_sym_LT] = ACTIONS(2570),
    [anon_sym_void] = ACTIONS(217),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1561),
    [sym_number] = ACTIONS(1563),
    [sym_this] = ACTIONS(1565),
    [sym_true] = ACTIONS(1567),
    [sym_false] = ACTIONS(1567),
    [sym_null] = ACTIONS(1567),
    [sym_undefined] = ACTIONS(1567),
    [anon_sym_readonly] = ACTIONS(3092),
    [anon_sym_QMARK] = ACTIONS(3094),
    [anon_sym_any] = ACTIONS(217),
    [anon_sym_number] = ACTIONS(217),
    [anon_sym_boolean] = ACTIONS(217),
    [anon_sym_string] = ACTIONS(217),
    [anon_sym_symbol] = ACTIONS(217),
    [anon_sym_object] = ACTIONS(217),
    [anon_sym_abstract] = ACTIONS(3096),
    [anon_sym_infer] = ACTIONS(3100),
    [anon_sym_keyof] = ACTIONS(3102),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3104),
    [sym_html_comment] = ACTIONS(5),
  },
  [1109] = {
    [sym_import] = STATE(4803),
    [sym_nested_identifier] = STATE(5868),
    [sym_string] = STATE(3013),
    [sym_formal_parameters] = STATE(5679),
    [sym_nested_type_identifier] = STATE(3494),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3334),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2944),
    [sym_type] = STATE(3877),
    [sym_constructor_type] = STATE(2974),
    [sym_primary_type] = STATE(3014),
    [sym_template_literal_type] = STATE(3018),
    [sym_infer_type] = STATE(2974),
    [sym_conditional_type] = STATE(3018),
    [sym_generic_type] = STATE(3018),
    [sym_type_query] = STATE(3018),
    [sym_index_type_query] = STATE(3018),
    [sym_lookup_type] = STATE(3018),
    [sym_literal_type] = STATE(3018),
    [sym__number] = STATE(3031),
    [sym_existential_type] = STATE(3018),
    [sym_flow_maybe_type] = STATE(3018),
    [sym_parenthesized_type] = STATE(3018),
    [sym_predefined_type] = STATE(3018),
    [sym_object_type] = STATE(3018),
    [sym_type_parameters] = STATE(5378),
    [sym_array_type] = STATE(3018),
    [sym_tuple_type] = STATE(3018),
    [sym_readonly_type] = STATE(2974),
    [sym_union_type] = STATE(3018),
    [sym_intersection_type] = STATE(3018),
    [sym_function_type] = STATE(2974),
    [sym_identifier] = ACTIONS(3272),
    [anon_sym_STAR] = ACTIONS(582),
    [anon_sym_LBRACE] = ACTIONS(3080),
    [anon_sym_typeof] = ACTIONS(3082),
    [anon_sym_import] = ACTIONS(1545),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1547),
    [anon_sym_LBRACK] = ACTIONS(1549),
    [anon_sym_DQUOTE] = ACTIONS(2338),
    [anon_sym_SQUOTE] = ACTIONS(2340),
    [anon_sym_new] = ACTIONS(3084),
    [anon_sym_AMP] = ACTIONS(3086),
    [anon_sym_PIPE] = ACTIONS(3088),
    [anon_sym_PLUS] = ACTIONS(2568),
    [anon_sym_DASH] = ACTIONS(2568),
    [anon_sym_LT] = ACTIONS(2570),
    [anon_sym_void] = ACTIONS(217),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1561),
    [sym_number] = ACTIONS(1563),
    [sym_this] = ACTIONS(1565),
    [sym_true] = ACTIONS(1567),
    [sym_false] = ACTIONS(1567),
    [sym_null] = ACTIONS(1567),
    [sym_undefined] = ACTIONS(1567),
    [anon_sym_readonly] = ACTIONS(3092),
    [anon_sym_QMARK] = ACTIONS(3094),
    [anon_sym_any] = ACTIONS(217),
    [anon_sym_number] = ACTIONS(217),
    [anon_sym_boolean] = ACTIONS(217),
    [anon_sym_string] = ACTIONS(217),
    [anon_sym_symbol] = ACTIONS(217),
    [anon_sym_object] = ACTIONS(217),
    [anon_sym_abstract] = ACTIONS(3096),
    [anon_sym_infer] = ACTIONS(3100),
    [anon_sym_keyof] = ACTIONS(3102),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3104),
    [sym_html_comment] = ACTIONS(5),
  },
  [1110] = {
    [sym_import] = STATE(4803),
    [sym_nested_identifier] = STATE(5868),
    [sym_string] = STATE(3013),
    [sym_formal_parameters] = STATE(5679),
    [sym_nested_type_identifier] = STATE(3494),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3334),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2944),
    [sym_type] = STATE(3878),
    [sym_constructor_type] = STATE(2974),
    [sym_primary_type] = STATE(3014),
    [sym_template_literal_type] = STATE(3018),
    [sym_infer_type] = STATE(2974),
    [sym_conditional_type] = STATE(3018),
    [sym_generic_type] = STATE(3018),
    [sym_type_query] = STATE(3018),
    [sym_index_type_query] = STATE(3018),
    [sym_lookup_type] = STATE(3018),
    [sym_literal_type] = STATE(3018),
    [sym__number] = STATE(3031),
    [sym_existential_type] = STATE(3018),
    [sym_flow_maybe_type] = STATE(3018),
    [sym_parenthesized_type] = STATE(3018),
    [sym_predefined_type] = STATE(3018),
    [sym_object_type] = STATE(3018),
    [sym_type_parameters] = STATE(5378),
    [sym_array_type] = STATE(3018),
    [sym_tuple_type] = STATE(3018),
    [sym_readonly_type] = STATE(2974),
    [sym_union_type] = STATE(3018),
    [sym_intersection_type] = STATE(3018),
    [sym_function_type] = STATE(2974),
    [sym_identifier] = ACTIONS(3272),
    [anon_sym_STAR] = ACTIONS(582),
    [anon_sym_LBRACE] = ACTIONS(3080),
    [anon_sym_typeof] = ACTIONS(3082),
    [anon_sym_import] = ACTIONS(1545),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1547),
    [anon_sym_LBRACK] = ACTIONS(1549),
    [anon_sym_DQUOTE] = ACTIONS(2338),
    [anon_sym_SQUOTE] = ACTIONS(2340),
    [anon_sym_new] = ACTIONS(3084),
    [anon_sym_AMP] = ACTIONS(3086),
    [anon_sym_PIPE] = ACTIONS(3088),
    [anon_sym_PLUS] = ACTIONS(2568),
    [anon_sym_DASH] = ACTIONS(2568),
    [anon_sym_LT] = ACTIONS(2570),
    [anon_sym_void] = ACTIONS(217),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1561),
    [sym_number] = ACTIONS(1563),
    [sym_this] = ACTIONS(1565),
    [sym_true] = ACTIONS(1567),
    [sym_false] = ACTIONS(1567),
    [sym_null] = ACTIONS(1567),
    [sym_undefined] = ACTIONS(1567),
    [anon_sym_readonly] = ACTIONS(3092),
    [anon_sym_QMARK] = ACTIONS(3094),
    [anon_sym_any] = ACTIONS(217),
    [anon_sym_number] = ACTIONS(217),
    [anon_sym_boolean] = ACTIONS(217),
    [anon_sym_string] = ACTIONS(217),
    [anon_sym_symbol] = ACTIONS(217),
    [anon_sym_object] = ACTIONS(217),
    [anon_sym_abstract] = ACTIONS(3096),
    [anon_sym_infer] = ACTIONS(3100),
    [anon_sym_keyof] = ACTIONS(3102),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3104),
    [sym_html_comment] = ACTIONS(5),
  },
  [1111] = {
    [sym_import] = STATE(4788),
    [sym_nested_identifier] = STATE(5868),
    [sym_string] = STATE(3013),
    [sym_formal_parameters] = STATE(5623),
    [sym_nested_type_identifier] = STATE(3494),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2942),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2944),
    [sym_type] = STATE(4707),
    [sym_constructor_type] = STATE(2974),
    [sym_primary_type] = STATE(2962),
    [sym_template_literal_type] = STATE(3018),
    [sym_infer_type] = STATE(2974),
    [sym_conditional_type] = STATE(3018),
    [sym_generic_type] = STATE(3018),
    [sym_type_query] = STATE(3018),
    [sym_index_type_query] = STATE(3018),
    [sym_lookup_type] = STATE(3018),
    [sym_literal_type] = STATE(3018),
    [sym__number] = STATE(3031),
    [sym_existential_type] = STATE(3018),
    [sym_flow_maybe_type] = STATE(3018),
    [sym_parenthesized_type] = STATE(3018),
    [sym_predefined_type] = STATE(3018),
    [sym_object_type] = STATE(3018),
    [sym_type_parameters] = STATE(5442),
    [sym_array_type] = STATE(3018),
    [sym_tuple_type] = STATE(3018),
    [sym_readonly_type] = STATE(2974),
    [sym_union_type] = STATE(3018),
    [sym_intersection_type] = STATE(3018),
    [sym_function_type] = STATE(2974),
    [sym_identifier] = ACTIONS(3272),
    [anon_sym_STAR] = ACTIONS(582),
    [anon_sym_LBRACE] = ACTIONS(3080),
    [anon_sym_typeof] = ACTIONS(3082),
    [anon_sym_import] = ACTIONS(1545),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1547),
    [anon_sym_LBRACK] = ACTIONS(1549),
    [anon_sym_DQUOTE] = ACTIONS(2338),
    [anon_sym_SQUOTE] = ACTIONS(2340),
    [anon_sym_new] = ACTIONS(1555),
    [anon_sym_AMP] = ACTIONS(3086),
    [anon_sym_PIPE] = ACTIONS(3088),
    [anon_sym_PLUS] = ACTIONS(2568),
    [anon_sym_DASH] = ACTIONS(2568),
    [anon_sym_LT] = ACTIONS(2570),
    [anon_sym_void] = ACTIONS(217),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1561),
    [sym_number] = ACTIONS(1563),
    [sym_this] = ACTIONS(1565),
    [sym_true] = ACTIONS(1567),
    [sym_false] = ACTIONS(1567),
    [sym_null] = ACTIONS(1567),
    [sym_undefined] = ACTIONS(1567),
    [anon_sym_readonly] = ACTIONS(1569),
    [anon_sym_QMARK] = ACTIONS(3094),
    [anon_sym_any] = ACTIONS(217),
    [anon_sym_number] = ACTIONS(217),
    [anon_sym_boolean] = ACTIONS(217),
    [anon_sym_string] = ACTIONS(217),
    [anon_sym_symbol] = ACTIONS(217),
    [anon_sym_object] = ACTIONS(217),
    [anon_sym_abstract] = ACTIONS(209),
    [anon_sym_infer] = ACTIONS(211),
    [anon_sym_keyof] = ACTIONS(3102),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3104),
    [sym_html_comment] = ACTIONS(5),
  },
  [1112] = {
    [sym_import] = STATE(4788),
    [sym_nested_identifier] = STATE(5868),
    [sym_string] = STATE(3013),
    [sym_formal_parameters] = STATE(5623),
    [sym_nested_type_identifier] = STATE(3494),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2942),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2944),
    [sym_type] = STATE(4707),
    [sym_constructor_type] = STATE(2974),
    [sym_primary_type] = STATE(2993),
    [sym_template_literal_type] = STATE(3018),
    [sym_infer_type] = STATE(2974),
    [sym_conditional_type] = STATE(3018),
    [sym_generic_type] = STATE(3018),
    [sym_type_query] = STATE(3018),
    [sym_index_type_query] = STATE(3018),
    [sym_lookup_type] = STATE(3018),
    [sym_literal_type] = STATE(3018),
    [sym__number] = STATE(3031),
    [sym_existential_type] = STATE(3018),
    [sym_flow_maybe_type] = STATE(3018),
    [sym_parenthesized_type] = STATE(3018),
    [sym_predefined_type] = STATE(3018),
    [sym_object_type] = STATE(3018),
    [sym_type_parameters] = STATE(5442),
    [sym_array_type] = STATE(3018),
    [sym_tuple_type] = STATE(3018),
    [sym_readonly_type] = STATE(2974),
    [sym_union_type] = STATE(3018),
    [sym_intersection_type] = STATE(3018),
    [sym_function_type] = STATE(2974),
    [sym_identifier] = ACTIONS(3272),
    [anon_sym_STAR] = ACTIONS(582),
    [anon_sym_LBRACE] = ACTIONS(3080),
    [anon_sym_typeof] = ACTIONS(3082),
    [anon_sym_import] = ACTIONS(1545),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1547),
    [anon_sym_LBRACK] = ACTIONS(1549),
    [anon_sym_DQUOTE] = ACTIONS(2338),
    [anon_sym_SQUOTE] = ACTIONS(2340),
    [anon_sym_new] = ACTIONS(1555),
    [anon_sym_AMP] = ACTIONS(3086),
    [anon_sym_PIPE] = ACTIONS(3088),
    [anon_sym_PLUS] = ACTIONS(2568),
    [anon_sym_DASH] = ACTIONS(2568),
    [anon_sym_LT] = ACTIONS(2570),
    [anon_sym_void] = ACTIONS(217),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1561),
    [sym_number] = ACTIONS(1563),
    [sym_this] = ACTIONS(1565),
    [sym_true] = ACTIONS(1567),
    [sym_false] = ACTIONS(1567),
    [sym_null] = ACTIONS(1567),
    [sym_undefined] = ACTIONS(1567),
    [anon_sym_readonly] = ACTIONS(1569),
    [anon_sym_QMARK] = ACTIONS(3094),
    [anon_sym_any] = ACTIONS(217),
    [anon_sym_number] = ACTIONS(217),
    [anon_sym_boolean] = ACTIONS(217),
    [anon_sym_string] = ACTIONS(217),
    [anon_sym_symbol] = ACTIONS(217),
    [anon_sym_object] = ACTIONS(217),
    [anon_sym_abstract] = ACTIONS(209),
    [anon_sym_infer] = ACTIONS(211),
    [anon_sym_keyof] = ACTIONS(3102),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3104),
    [sym_html_comment] = ACTIONS(5),
  },
  [1113] = {
    [sym_import] = STATE(4788),
    [sym_nested_identifier] = STATE(5868),
    [sym_string] = STATE(3013),
    [sym_formal_parameters] = STATE(5623),
    [sym_nested_type_identifier] = STATE(2941),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2942),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2944),
    [sym_type] = STATE(3788),
    [sym_constructor_type] = STATE(2974),
    [sym_primary_type] = STATE(3014),
    [sym_template_literal_type] = STATE(3018),
    [sym_infer_type] = STATE(2974),
    [sym_conditional_type] = STATE(3018),
    [sym_generic_type] = STATE(3018),
    [sym_type_query] = STATE(3018),
    [sym_index_type_query] = STATE(3018),
    [sym_lookup_type] = STATE(3018),
    [sym_literal_type] = STATE(3018),
    [sym__number] = STATE(3031),
    [sym_existential_type] = STATE(3018),
    [sym_flow_maybe_type] = STATE(3018),
    [sym_parenthesized_type] = STATE(3018),
    [sym_predefined_type] = STATE(3018),
    [sym_object_type] = STATE(3018),
    [sym_type_parameters] = STATE(5442),
    [sym_array_type] = STATE(3018),
    [sym_tuple_type] = STATE(3018),
    [sym_readonly_type] = STATE(2974),
    [sym_union_type] = STATE(3018),
    [sym_intersection_type] = STATE(3018),
    [sym_function_type] = STATE(2974),
    [sym_identifier] = ACTIONS(1539),
    [anon_sym_STAR] = ACTIONS(582),
    [anon_sym_LBRACE] = ACTIONS(1541),
    [anon_sym_typeof] = ACTIONS(1543),
    [anon_sym_import] = ACTIONS(1545),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1547),
    [anon_sym_LBRACK] = ACTIONS(1549),
    [anon_sym_DQUOTE] = ACTIONS(1551),
    [anon_sym_SQUOTE] = ACTIONS(1553),
    [anon_sym_new] = ACTIONS(1555),
    [anon_sym_AMP] = ACTIONS(755),
    [anon_sym_PIPE] = ACTIONS(757),
    [anon_sym_PLUS] = ACTIONS(2568),
    [anon_sym_DASH] = ACTIONS(2568),
    [anon_sym_LT] = ACTIONS(2570),
    [anon_sym_void] = ACTIONS(217),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1561),
    [sym_number] = ACTIONS(1563),
    [sym_this] = ACTIONS(1565),
    [sym_true] = ACTIONS(1567),
    [sym_false] = ACTIONS(1567),
    [sym_null] = ACTIONS(1567),
    [sym_undefined] = ACTIONS(1567),
    [anon_sym_readonly] = ACTIONS(1569),
    [anon_sym_QMARK] = ACTIONS(783),
    [anon_sym_any] = ACTIONS(217),
    [anon_sym_number] = ACTIONS(217),
    [anon_sym_boolean] = ACTIONS(217),
    [anon_sym_string] = ACTIONS(217),
    [anon_sym_symbol] = ACTIONS(217),
    [anon_sym_object] = ACTIONS(217),
    [anon_sym_abstract] = ACTIONS(209),
    [anon_sym_infer] = ACTIONS(211),
    [anon_sym_keyof] = ACTIONS(213),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym_html_comment] = ACTIONS(5),
  },
  [1114] = {
    [sym_import] = STATE(4535),
    [sym_nested_identifier] = STATE(5495),
    [sym_string] = STATE(1619),
    [sym_formal_parameters] = STATE(5874),
    [sym_nested_type_identifier] = STATE(1521),
    [sym__type_query_member_expression_in_type_annotation] = STATE(1526),
    [sym__type_query_call_expression_in_type_annotation] = STATE(1648),
    [sym_type] = STATE(1637),
    [sym_constructor_type] = STATE(1628),
    [sym_primary_type] = STATE(1595),
    [sym_template_literal_type] = STATE(1616),
    [sym_infer_type] = STATE(1628),
    [sym_conditional_type] = STATE(1616),
    [sym_generic_type] = STATE(1616),
    [sym_type_query] = STATE(1616),
    [sym_index_type_query] = STATE(1616),
    [sym_lookup_type] = STATE(1616),
    [sym_literal_type] = STATE(1616),
    [sym__number] = STATE(1647),
    [sym_existential_type] = STATE(1616),
    [sym_flow_maybe_type] = STATE(1616),
    [sym_parenthesized_type] = STATE(1616),
    [sym_predefined_type] = STATE(1616),
    [sym_object_type] = STATE(1616),
    [sym_type_parameters] = STATE(5220),
    [sym_array_type] = STATE(1616),
    [sym_tuple_type] = STATE(1616),
    [sym_readonly_type] = STATE(1628),
    [sym_union_type] = STATE(1616),
    [sym_intersection_type] = STATE(1616),
    [sym_function_type] = STATE(1628),
    [sym_identifier] = ACTIONS(3258),
    [anon_sym_STAR] = ACTIONS(3162),
    [anon_sym_LBRACE] = ACTIONS(3164),
    [anon_sym_typeof] = ACTIONS(3166),
    [anon_sym_import] = ACTIONS(1545),
    [anon_sym_const] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(3170),
    [anon_sym_LBRACK] = ACTIONS(3172),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(3174),
    [anon_sym_AMP] = ACTIONS(3176),
    [anon_sym_PIPE] = ACTIONS(3178),
    [anon_sym_PLUS] = ACTIONS(3180),
    [anon_sym_DASH] = ACTIONS(3180),
    [anon_sym_LT] = ACTIONS(2570),
    [anon_sym_void] = ACTIONS(3182),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3184),
    [sym_number] = ACTIONS(3186),
    [sym_this] = ACTIONS(3260),
    [sym_true] = ACTIONS(3190),
    [sym_false] = ACTIONS(3190),
    [sym_null] = ACTIONS(3190),
    [sym_undefined] = ACTIONS(3190),
    [anon_sym_readonly] = ACTIONS(3192),
    [anon_sym_QMARK] = ACTIONS(3194),
    [anon_sym_any] = ACTIONS(3182),
    [anon_sym_number] = ACTIONS(3182),
    [anon_sym_boolean] = ACTIONS(3182),
    [anon_sym_string] = ACTIONS(3182),
    [anon_sym_symbol] = ACTIONS(3182),
    [anon_sym_object] = ACTIONS(3182),
    [anon_sym_abstract] = ACTIONS(3196),
    [anon_sym_infer] = ACTIONS(3200),
    [anon_sym_keyof] = ACTIONS(3202),
    [anon_sym_unique] = ACTIONS(3204),
    [anon_sym_unknown] = ACTIONS(3182),
    [anon_sym_never] = ACTIONS(3182),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3206),
    [sym_html_comment] = ACTIONS(5),
  },
  [1115] = {
    [sym_import] = STATE(4535),
    [sym_nested_identifier] = STATE(5495),
    [sym_string] = STATE(1619),
    [sym_formal_parameters] = STATE(5874),
    [sym_nested_type_identifier] = STATE(1521),
    [sym__type_query_member_expression_in_type_annotation] = STATE(1526),
    [sym__type_query_call_expression_in_type_annotation] = STATE(1648),
    [sym_type] = STATE(1617),
    [sym_constructor_type] = STATE(1628),
    [sym_primary_type] = STATE(1595),
    [sym_template_literal_type] = STATE(1616),
    [sym_infer_type] = STATE(1628),
    [sym_conditional_type] = STATE(1616),
    [sym_generic_type] = STATE(1616),
    [sym_type_query] = STATE(1616),
    [sym_index_type_query] = STATE(1616),
    [sym_lookup_type] = STATE(1616),
    [sym_literal_type] = STATE(1616),
    [sym__number] = STATE(1647),
    [sym_existential_type] = STATE(1616),
    [sym_flow_maybe_type] = STATE(1616),
    [sym_parenthesized_type] = STATE(1616),
    [sym_predefined_type] = STATE(1616),
    [sym_object_type] = STATE(1616),
    [sym_type_parameters] = STATE(5220),
    [sym_array_type] = STATE(1616),
    [sym_tuple_type] = STATE(1616),
    [sym_readonly_type] = STATE(1628),
    [sym_union_type] = STATE(1616),
    [sym_intersection_type] = STATE(1616),
    [sym_function_type] = STATE(1628),
    [sym_identifier] = ACTIONS(3258),
    [anon_sym_STAR] = ACTIONS(3162),
    [anon_sym_LBRACE] = ACTIONS(3164),
    [anon_sym_typeof] = ACTIONS(3166),
    [anon_sym_import] = ACTIONS(1545),
    [anon_sym_const] = ACTIONS(3168),
    [anon_sym_LPAREN] = ACTIONS(3170),
    [anon_sym_LBRACK] = ACTIONS(3172),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(3174),
    [anon_sym_AMP] = ACTIONS(3176),
    [anon_sym_PIPE] = ACTIONS(3178),
    [anon_sym_PLUS] = ACTIONS(3180),
    [anon_sym_DASH] = ACTIONS(3180),
    [anon_sym_LT] = ACTIONS(2570),
    [anon_sym_void] = ACTIONS(3182),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3184),
    [sym_number] = ACTIONS(3186),
    [sym_this] = ACTIONS(3260),
    [sym_true] = ACTIONS(3190),
    [sym_false] = ACTIONS(3190),
    [sym_null] = ACTIONS(3190),
    [sym_undefined] = ACTIONS(3190),
    [anon_sym_readonly] = ACTIONS(3192),
    [anon_sym_QMARK] = ACTIONS(3194),
    [anon_sym_any] = ACTIONS(3182),
    [anon_sym_number] = ACTIONS(3182),
    [anon_sym_boolean] = ACTIONS(3182),
    [anon_sym_string] = ACTIONS(3182),
    [anon_sym_symbol] = ACTIONS(3182),
    [anon_sym_object] = ACTIONS(3182),
    [anon_sym_abstract] = ACTIONS(3196),
    [anon_sym_infer] = ACTIONS(3200),
    [anon_sym_keyof] = ACTIONS(3202),
    [anon_sym_unique] = ACTIONS(3204),
    [anon_sym_unknown] = ACTIONS(3182),
    [anon_sym_never] = ACTIONS(3182),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3206),
    [sym_html_comment] = ACTIONS(5),
  },
  [1116] = {
    [sym_import] = STATE(4926),
    [sym_nested_identifier] = STATE(5583),
    [sym_string] = STATE(3268),
    [sym_formal_parameters] = STATE(5787),
    [sym_nested_type_identifier] = STATE(3131),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3073),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3209),
    [sym_type] = STATE(4198),
    [sym_constructor_type] = STATE(3272),
    [sym_primary_type] = STATE(3273),
    [sym_template_literal_type] = STATE(3274),
    [sym_infer_type] = STATE(3272),
    [sym_conditional_type] = STATE(3274),
    [sym_generic_type] = STATE(3274),
    [sym_type_query] = STATE(3274),
    [sym_index_type_query] = STATE(3274),
    [sym_lookup_type] = STATE(3274),
    [sym_literal_type] = STATE(3274),
    [sym__number] = STATE(3275),
    [sym_existential_type] = STATE(3274),
    [sym_flow_maybe_type] = STATE(3274),
    [sym_parenthesized_type] = STATE(3274),
    [sym_predefined_type] = STATE(3274),
    [sym_object_type] = STATE(3274),
    [sym_type_parameters] = STATE(5160),
    [sym_array_type] = STATE(3274),
    [sym_tuple_type] = STATE(3274),
    [sym_readonly_type] = STATE(3272),
    [sym_union_type] = STATE(3274),
    [sym_intersection_type] = STATE(3274),
    [sym_function_type] = STATE(3272),
    [sym_identifier] = ACTIONS(1623),
    [anon_sym_STAR] = ACTIONS(999),
    [anon_sym_LBRACE] = ACTIONS(1627),
    [anon_sym_typeof] = ACTIONS(1629),
    [anon_sym_import] = ACTIONS(1545),
    [anon_sym_const] = ACTIONS(1005),
    [anon_sym_LPAREN] = ACTIONS(1631),
    [anon_sym_LBRACK] = ACTIONS(1633),
    [anon_sym_DQUOTE] = ACTIONS(1635),
    [anon_sym_SQUOTE] = ACTIONS(1637),
    [anon_sym_new] = ACTIONS(1639),
    [anon_sym_AMP] = ACTIONS(1013),
    [anon_sym_PIPE] = ACTIONS(1015),
    [anon_sym_PLUS] = ACTIONS(3020),
    [anon_sym_DASH] = ACTIONS(3020),
    [anon_sym_LT] = ACTIONS(2570),
    [anon_sym_void] = ACTIONS(1045),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1647),
    [sym_number] = ACTIONS(1649),
    [sym_this] = ACTIONS(1651),
    [sym_true] = ACTIONS(1653),
    [sym_false] = ACTIONS(1653),
    [sym_null] = ACTIONS(1653),
    [sym_undefined] = ACTIONS(1653),
    [anon_sym_readonly] = ACTIONS(1655),
    [anon_sym_QMARK] = ACTIONS(1033),
    [anon_sym_any] = ACTIONS(1045),
    [anon_sym_number] = ACTIONS(1045),
    [anon_sym_boolean] = ACTIONS(1045),
    [anon_sym_string] = ACTIONS(1045),
    [anon_sym_symbol] = ACTIONS(1045),
    [anon_sym_object] = ACTIONS(1045),
    [anon_sym_abstract] = ACTIONS(1037),
    [anon_sym_infer] = ACTIONS(1039),
    [anon_sym_keyof] = ACTIONS(1041),
    [anon_sym_unique] = ACTIONS(1043),
    [anon_sym_unknown] = ACTIONS(1045),
    [anon_sym_never] = ACTIONS(1045),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1047),
    [sym_html_comment] = ACTIONS(5),
  },
  [1117] = {
    [sym_import] = STATE(4788),
    [sym_nested_identifier] = STATE(5868),
    [sym_string] = STATE(3013),
    [sym_formal_parameters] = STATE(5623),
    [sym_nested_type_identifier] = STATE(2941),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2942),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2944),
    [sym_type] = STATE(3888),
    [sym_constructor_type] = STATE(2974),
    [sym_primary_type] = STATE(3014),
    [sym_template_literal_type] = STATE(3018),
    [sym_infer_type] = STATE(2974),
    [sym_conditional_type] = STATE(3018),
    [sym_generic_type] = STATE(3018),
    [sym_type_query] = STATE(3018),
    [sym_index_type_query] = STATE(3018),
    [sym_lookup_type] = STATE(3018),
    [sym_literal_type] = STATE(3018),
    [sym__number] = STATE(3031),
    [sym_existential_type] = STATE(3018),
    [sym_flow_maybe_type] = STATE(3018),
    [sym_parenthesized_type] = STATE(3018),
    [sym_predefined_type] = STATE(3018),
    [sym_object_type] = STATE(3018),
    [sym_type_parameters] = STATE(5442),
    [sym_array_type] = STATE(3018),
    [sym_tuple_type] = STATE(3018),
    [sym_readonly_type] = STATE(2974),
    [sym_union_type] = STATE(3018),
    [sym_intersection_type] = STATE(3018),
    [sym_function_type] = STATE(2974),
    [sym_identifier] = ACTIONS(1539),
    [anon_sym_STAR] = ACTIONS(582),
    [anon_sym_LBRACE] = ACTIONS(1541),
    [anon_sym_typeof] = ACTIONS(1543),
    [anon_sym_import] = ACTIONS(1545),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1547),
    [anon_sym_LBRACK] = ACTIONS(1549),
    [anon_sym_DQUOTE] = ACTIONS(1551),
    [anon_sym_SQUOTE] = ACTIONS(1553),
    [anon_sym_new] = ACTIONS(1555),
    [anon_sym_AMP] = ACTIONS(755),
    [anon_sym_PIPE] = ACTIONS(757),
    [anon_sym_PLUS] = ACTIONS(2568),
    [anon_sym_DASH] = ACTIONS(2568),
    [anon_sym_LT] = ACTIONS(2570),
    [anon_sym_void] = ACTIONS(217),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1561),
    [sym_number] = ACTIONS(1563),
    [sym_this] = ACTIONS(1565),
    [sym_true] = ACTIONS(1567),
    [sym_false] = ACTIONS(1567),
    [sym_null] = ACTIONS(1567),
    [sym_undefined] = ACTIONS(1567),
    [anon_sym_readonly] = ACTIONS(1569),
    [anon_sym_QMARK] = ACTIONS(783),
    [anon_sym_any] = ACTIONS(217),
    [anon_sym_number] = ACTIONS(217),
    [anon_sym_boolean] = ACTIONS(217),
    [anon_sym_string] = ACTIONS(217),
    [anon_sym_symbol] = ACTIONS(217),
    [anon_sym_object] = ACTIONS(217),
    [anon_sym_abstract] = ACTIONS(209),
    [anon_sym_infer] = ACTIONS(211),
    [anon_sym_keyof] = ACTIONS(213),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym_html_comment] = ACTIONS(5),
  },
  [1118] = {
    [sym_import] = STATE(4772),
    [sym_nested_identifier] = STATE(5677),
    [sym_string] = STATE(1938),
    [sym_formal_parameters] = STATE(5840),
    [sym_nested_type_identifier] = STATE(1823),
    [sym__type_query_member_expression_in_type_annotation] = STATE(1867),
    [sym__type_query_call_expression_in_type_annotation] = STATE(1905),
    [sym_type] = STATE(1931),
    [sym_constructor_type] = STATE(1909),
    [sym_primary_type] = STATE(1910),
    [sym_template_literal_type] = STATE(1915),
    [sym_infer_type] = STATE(1909),
    [sym_conditional_type] = STATE(1915),
    [sym_generic_type] = STATE(1915),
    [sym_type_query] = STATE(1915),
    [sym_index_type_query] = STATE(1915),
    [sym_lookup_type] = STATE(1915),
    [sym_literal_type] = STATE(1915),
    [sym__number] = STATE(1918),
    [sym_existential_type] = STATE(1915),
    [sym_flow_maybe_type] = STATE(1915),
    [sym_parenthesized_type] = STATE(1915),
    [sym_predefined_type] = STATE(1915),
    [sym_object_type] = STATE(1915),
    [sym_type_parameters] = STATE(5271),
    [sym_array_type] = STATE(1915),
    [sym_tuple_type] = STATE(1915),
    [sym_readonly_type] = STATE(1909),
    [sym_union_type] = STATE(1915),
    [sym_intersection_type] = STATE(1915),
    [sym_function_type] = STATE(1909),
    [sym_identifier] = ACTIONS(3262),
    [anon_sym_STAR] = ACTIONS(3114),
    [anon_sym_LBRACE] = ACTIONS(3116),
    [anon_sym_typeof] = ACTIONS(3118),
    [anon_sym_import] = ACTIONS(1545),
    [anon_sym_const] = ACTIONS(3120),
    [anon_sym_LPAREN] = ACTIONS(3122),
    [anon_sym_LBRACK] = ACTIONS(3124),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(3126),
    [anon_sym_AMP] = ACTIONS(3128),
    [anon_sym_PIPE] = ACTIONS(3130),
    [anon_sym_PLUS] = ACTIONS(3132),
    [anon_sym_DASH] = ACTIONS(3132),
    [anon_sym_LT] = ACTIONS(2570),
    [anon_sym_void] = ACTIONS(3134),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3136),
    [sym_number] = ACTIONS(3138),
    [sym_this] = ACTIONS(3264),
    [sym_true] = ACTIONS(3142),
    [sym_false] = ACTIONS(3142),
    [sym_null] = ACTIONS(3142),
    [sym_undefined] = ACTIONS(3142),
    [anon_sym_readonly] = ACTIONS(3144),
    [anon_sym_QMARK] = ACTIONS(3146),
    [anon_sym_any] = ACTIONS(3134),
    [anon_sym_number] = ACTIONS(3134),
    [anon_sym_boolean] = ACTIONS(3134),
    [anon_sym_string] = ACTIONS(3134),
    [anon_sym_symbol] = ACTIONS(3134),
    [anon_sym_object] = ACTIONS(3134),
    [anon_sym_abstract] = ACTIONS(3148),
    [anon_sym_infer] = ACTIONS(3152),
    [anon_sym_keyof] = ACTIONS(3154),
    [anon_sym_unique] = ACTIONS(3156),
    [anon_sym_unknown] = ACTIONS(3134),
    [anon_sym_never] = ACTIONS(3134),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3158),
    [sym_html_comment] = ACTIONS(5),
  },
  [1119] = {
    [sym_import] = STATE(4803),
    [sym_nested_identifier] = STATE(5868),
    [sym_string] = STATE(3013),
    [sym_formal_parameters] = STATE(5679),
    [sym_nested_type_identifier] = STATE(3494),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3334),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2944),
    [sym_type] = STATE(3030),
    [sym_constructor_type] = STATE(2974),
    [sym_primary_type] = STATE(3014),
    [sym_template_literal_type] = STATE(3018),
    [sym_infer_type] = STATE(2974),
    [sym_conditional_type] = STATE(3018),
    [sym_generic_type] = STATE(3018),
    [sym_type_query] = STATE(3018),
    [sym_index_type_query] = STATE(3018),
    [sym_lookup_type] = STATE(3018),
    [sym_literal_type] = STATE(3018),
    [sym__number] = STATE(3031),
    [sym_existential_type] = STATE(3018),
    [sym_flow_maybe_type] = STATE(3018),
    [sym_parenthesized_type] = STATE(3018),
    [sym_predefined_type] = STATE(3018),
    [sym_object_type] = STATE(3018),
    [sym_type_parameters] = STATE(5378),
    [sym_array_type] = STATE(3018),
    [sym_tuple_type] = STATE(3018),
    [sym_readonly_type] = STATE(2974),
    [sym_union_type] = STATE(3018),
    [sym_intersection_type] = STATE(3018),
    [sym_function_type] = STATE(2974),
    [sym_identifier] = ACTIONS(3272),
    [anon_sym_STAR] = ACTIONS(582),
    [anon_sym_LBRACE] = ACTIONS(3080),
    [anon_sym_typeof] = ACTIONS(3082),
    [anon_sym_import] = ACTIONS(1545),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1547),
    [anon_sym_LBRACK] = ACTIONS(1549),
    [anon_sym_DQUOTE] = ACTIONS(2338),
    [anon_sym_SQUOTE] = ACTIONS(2340),
    [anon_sym_new] = ACTIONS(3084),
    [anon_sym_AMP] = ACTIONS(3086),
    [anon_sym_PIPE] = ACTIONS(3088),
    [anon_sym_PLUS] = ACTIONS(2568),
    [anon_sym_DASH] = ACTIONS(2568),
    [anon_sym_LT] = ACTIONS(2570),
    [anon_sym_void] = ACTIONS(217),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1561),
    [sym_number] = ACTIONS(1563),
    [sym_this] = ACTIONS(1565),
    [sym_true] = ACTIONS(1567),
    [sym_false] = ACTIONS(1567),
    [sym_null] = ACTIONS(1567),
    [sym_undefined] = ACTIONS(1567),
    [anon_sym_readonly] = ACTIONS(3092),
    [anon_sym_QMARK] = ACTIONS(3094),
    [anon_sym_any] = ACTIONS(217),
    [anon_sym_number] = ACTIONS(217),
    [anon_sym_boolean] = ACTIONS(217),
    [anon_sym_string] = ACTIONS(217),
    [anon_sym_symbol] = ACTIONS(217),
    [anon_sym_object] = ACTIONS(217),
    [anon_sym_abstract] = ACTIONS(3096),
    [anon_sym_infer] = ACTIONS(3100),
    [anon_sym_keyof] = ACTIONS(3102),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3104),
    [sym_html_comment] = ACTIONS(5),
  },
  [1120] = {
    [sym_import] = STATE(4803),
    [sym_nested_identifier] = STATE(5868),
    [sym_string] = STATE(3013),
    [sym_formal_parameters] = STATE(5679),
    [sym_nested_type_identifier] = STATE(3494),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3334),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2944),
    [sym_type] = STATE(3785),
    [sym_constructor_type] = STATE(2974),
    [sym_primary_type] = STATE(3014),
    [sym_template_literal_type] = STATE(3018),
    [sym_infer_type] = STATE(2974),
    [sym_conditional_type] = STATE(3018),
    [sym_generic_type] = STATE(3018),
    [sym_type_query] = STATE(3018),
    [sym_index_type_query] = STATE(3018),
    [sym_lookup_type] = STATE(3018),
    [sym_literal_type] = STATE(3018),
    [sym__number] = STATE(3031),
    [sym_existential_type] = STATE(3018),
    [sym_flow_maybe_type] = STATE(3018),
    [sym_parenthesized_type] = STATE(3018),
    [sym_predefined_type] = STATE(3018),
    [sym_object_type] = STATE(3018),
    [sym_type_parameters] = STATE(5378),
    [sym_array_type] = STATE(3018),
    [sym_tuple_type] = STATE(3018),
    [sym_readonly_type] = STATE(2974),
    [sym_union_type] = STATE(3018),
    [sym_intersection_type] = STATE(3018),
    [sym_function_type] = STATE(2974),
    [sym_identifier] = ACTIONS(3272),
    [anon_sym_STAR] = ACTIONS(582),
    [anon_sym_LBRACE] = ACTIONS(3080),
    [anon_sym_typeof] = ACTIONS(3082),
    [anon_sym_import] = ACTIONS(1545),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1547),
    [anon_sym_LBRACK] = ACTIONS(1549),
    [anon_sym_DQUOTE] = ACTIONS(2338),
    [anon_sym_SQUOTE] = ACTIONS(2340),
    [anon_sym_new] = ACTIONS(3084),
    [anon_sym_AMP] = ACTIONS(3086),
    [anon_sym_PIPE] = ACTIONS(3088),
    [anon_sym_PLUS] = ACTIONS(2568),
    [anon_sym_DASH] = ACTIONS(2568),
    [anon_sym_LT] = ACTIONS(2570),
    [anon_sym_void] = ACTIONS(217),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1561),
    [sym_number] = ACTIONS(1563),
    [sym_this] = ACTIONS(1565),
    [sym_true] = ACTIONS(1567),
    [sym_false] = ACTIONS(1567),
    [sym_null] = ACTIONS(1567),
    [sym_undefined] = ACTIONS(1567),
    [anon_sym_readonly] = ACTIONS(3092),
    [anon_sym_QMARK] = ACTIONS(3094),
    [anon_sym_any] = ACTIONS(217),
    [anon_sym_number] = ACTIONS(217),
    [anon_sym_boolean] = ACTIONS(217),
    [anon_sym_string] = ACTIONS(217),
    [anon_sym_symbol] = ACTIONS(217),
    [anon_sym_object] = ACTIONS(217),
    [anon_sym_abstract] = ACTIONS(3096),
    [anon_sym_infer] = ACTIONS(3100),
    [anon_sym_keyof] = ACTIONS(3102),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3104),
    [sym_html_comment] = ACTIONS(5),
  },
  [1121] = {
    [sym_import] = STATE(4788),
    [sym_nested_identifier] = STATE(5868),
    [sym_string] = STATE(3013),
    [sym_formal_parameters] = STATE(5623),
    [sym_nested_type_identifier] = STATE(2941),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2942),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2944),
    [sym_type] = STATE(4451),
    [sym_constructor_type] = STATE(2974),
    [sym_primary_type] = STATE(3014),
    [sym_template_literal_type] = STATE(3018),
    [sym_infer_type] = STATE(2974),
    [sym_conditional_type] = STATE(3018),
    [sym_generic_type] = STATE(3018),
    [sym_type_query] = STATE(3018),
    [sym_index_type_query] = STATE(3018),
    [sym_lookup_type] = STATE(3018),
    [sym_literal_type] = STATE(3018),
    [sym__number] = STATE(3031),
    [sym_existential_type] = STATE(3018),
    [sym_flow_maybe_type] = STATE(3018),
    [sym_parenthesized_type] = STATE(3018),
    [sym_predefined_type] = STATE(3018),
    [sym_object_type] = STATE(3018),
    [sym_type_parameters] = STATE(5442),
    [sym_array_type] = STATE(3018),
    [sym_tuple_type] = STATE(3018),
    [sym_readonly_type] = STATE(2974),
    [sym_union_type] = STATE(3018),
    [sym_intersection_type] = STATE(3018),
    [sym_function_type] = STATE(2974),
    [sym_identifier] = ACTIONS(1539),
    [anon_sym_STAR] = ACTIONS(582),
    [anon_sym_LBRACE] = ACTIONS(1541),
    [anon_sym_typeof] = ACTIONS(1543),
    [anon_sym_import] = ACTIONS(1545),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1547),
    [anon_sym_LBRACK] = ACTIONS(1549),
    [anon_sym_DQUOTE] = ACTIONS(1551),
    [anon_sym_SQUOTE] = ACTIONS(1553),
    [anon_sym_new] = ACTIONS(1555),
    [anon_sym_AMP] = ACTIONS(755),
    [anon_sym_PIPE] = ACTIONS(757),
    [anon_sym_PLUS] = ACTIONS(2568),
    [anon_sym_DASH] = ACTIONS(2568),
    [anon_sym_LT] = ACTIONS(2570),
    [anon_sym_void] = ACTIONS(217),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1561),
    [sym_number] = ACTIONS(1563),
    [sym_this] = ACTIONS(1565),
    [sym_true] = ACTIONS(1567),
    [sym_false] = ACTIONS(1567),
    [sym_null] = ACTIONS(1567),
    [sym_undefined] = ACTIONS(1567),
    [anon_sym_readonly] = ACTIONS(1569),
    [anon_sym_QMARK] = ACTIONS(783),
    [anon_sym_any] = ACTIONS(217),
    [anon_sym_number] = ACTIONS(217),
    [anon_sym_boolean] = ACTIONS(217),
    [anon_sym_string] = ACTIONS(217),
    [anon_sym_symbol] = ACTIONS(217),
    [anon_sym_object] = ACTIONS(217),
    [anon_sym_abstract] = ACTIONS(209),
    [anon_sym_infer] = ACTIONS(211),
    [anon_sym_keyof] = ACTIONS(213),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym_html_comment] = ACTIONS(5),
  },
  [1122] = {
    [sym_import] = STATE(4803),
    [sym_nested_identifier] = STATE(5868),
    [sym_string] = STATE(3013),
    [sym_formal_parameters] = STATE(5679),
    [sym_nested_type_identifier] = STATE(3494),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3334),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2944),
    [sym_type] = STATE(3003),
    [sym_constructor_type] = STATE(2974),
    [sym_primary_type] = STATE(3014),
    [sym_template_literal_type] = STATE(3018),
    [sym_infer_type] = STATE(2974),
    [sym_conditional_type] = STATE(3018),
    [sym_generic_type] = STATE(3018),
    [sym_type_query] = STATE(3018),
    [sym_index_type_query] = STATE(3018),
    [sym_lookup_type] = STATE(3018),
    [sym_literal_type] = STATE(3018),
    [sym__number] = STATE(3031),
    [sym_existential_type] = STATE(3018),
    [sym_flow_maybe_type] = STATE(3018),
    [sym_parenthesized_type] = STATE(3018),
    [sym_predefined_type] = STATE(3018),
    [sym_object_type] = STATE(3018),
    [sym_type_parameters] = STATE(5378),
    [sym_array_type] = STATE(3018),
    [sym_tuple_type] = STATE(3018),
    [sym_readonly_type] = STATE(2974),
    [sym_union_type] = STATE(3018),
    [sym_intersection_type] = STATE(3018),
    [sym_function_type] = STATE(2974),
    [sym_identifier] = ACTIONS(3272),
    [anon_sym_STAR] = ACTIONS(582),
    [anon_sym_LBRACE] = ACTIONS(3080),
    [anon_sym_typeof] = ACTIONS(3082),
    [anon_sym_import] = ACTIONS(1545),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1547),
    [anon_sym_LBRACK] = ACTIONS(1549),
    [anon_sym_DQUOTE] = ACTIONS(2338),
    [anon_sym_SQUOTE] = ACTIONS(2340),
    [anon_sym_new] = ACTIONS(3084),
    [anon_sym_AMP] = ACTIONS(3086),
    [anon_sym_PIPE] = ACTIONS(3088),
    [anon_sym_PLUS] = ACTIONS(2568),
    [anon_sym_DASH] = ACTIONS(2568),
    [anon_sym_LT] = ACTIONS(2570),
    [anon_sym_void] = ACTIONS(217),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1561),
    [sym_number] = ACTIONS(1563),
    [sym_this] = ACTIONS(1565),
    [sym_true] = ACTIONS(1567),
    [sym_false] = ACTIONS(1567),
    [sym_null] = ACTIONS(1567),
    [sym_undefined] = ACTIONS(1567),
    [anon_sym_readonly] = ACTIONS(3092),
    [anon_sym_QMARK] = ACTIONS(3094),
    [anon_sym_any] = ACTIONS(217),
    [anon_sym_number] = ACTIONS(217),
    [anon_sym_boolean] = ACTIONS(217),
    [anon_sym_string] = ACTIONS(217),
    [anon_sym_symbol] = ACTIONS(217),
    [anon_sym_object] = ACTIONS(217),
    [anon_sym_abstract] = ACTIONS(3096),
    [anon_sym_infer] = ACTIONS(3100),
    [anon_sym_keyof] = ACTIONS(3102),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3104),
    [sym_html_comment] = ACTIONS(5),
  },
  [1123] = {
    [sym_import] = STATE(4803),
    [sym_nested_identifier] = STATE(5868),
    [sym_string] = STATE(3013),
    [sym_formal_parameters] = STATE(5679),
    [sym_nested_type_identifier] = STATE(3494),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3334),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2944),
    [sym_type] = STATE(3808),
    [sym_constructor_type] = STATE(2974),
    [sym_primary_type] = STATE(3014),
    [sym_template_literal_type] = STATE(3018),
    [sym_infer_type] = STATE(2974),
    [sym_conditional_type] = STATE(3018),
    [sym_generic_type] = STATE(3018),
    [sym_type_query] = STATE(3018),
    [sym_index_type_query] = STATE(3018),
    [sym_lookup_type] = STATE(3018),
    [sym_literal_type] = STATE(3018),
    [sym__number] = STATE(3031),
    [sym_existential_type] = STATE(3018),
    [sym_flow_maybe_type] = STATE(3018),
    [sym_parenthesized_type] = STATE(3018),
    [sym_predefined_type] = STATE(3018),
    [sym_object_type] = STATE(3018),
    [sym_type_parameters] = STATE(5378),
    [sym_array_type] = STATE(3018),
    [sym_tuple_type] = STATE(3018),
    [sym_readonly_type] = STATE(2974),
    [sym_union_type] = STATE(3018),
    [sym_intersection_type] = STATE(3018),
    [sym_function_type] = STATE(2974),
    [sym_identifier] = ACTIONS(3272),
    [anon_sym_STAR] = ACTIONS(582),
    [anon_sym_LBRACE] = ACTIONS(3080),
    [anon_sym_typeof] = ACTIONS(3082),
    [anon_sym_import] = ACTIONS(1545),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1547),
    [anon_sym_LBRACK] = ACTIONS(1549),
    [anon_sym_DQUOTE] = ACTIONS(2338),
    [anon_sym_SQUOTE] = ACTIONS(2340),
    [anon_sym_new] = ACTIONS(3084),
    [anon_sym_AMP] = ACTIONS(3086),
    [anon_sym_PIPE] = ACTIONS(3088),
    [anon_sym_PLUS] = ACTIONS(2568),
    [anon_sym_DASH] = ACTIONS(2568),
    [anon_sym_LT] = ACTIONS(2570),
    [anon_sym_void] = ACTIONS(217),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1561),
    [sym_number] = ACTIONS(1563),
    [sym_this] = ACTIONS(1565),
    [sym_true] = ACTIONS(1567),
    [sym_false] = ACTIONS(1567),
    [sym_null] = ACTIONS(1567),
    [sym_undefined] = ACTIONS(1567),
    [anon_sym_readonly] = ACTIONS(3092),
    [anon_sym_QMARK] = ACTIONS(3094),
    [anon_sym_any] = ACTIONS(217),
    [anon_sym_number] = ACTIONS(217),
    [anon_sym_boolean] = ACTIONS(217),
    [anon_sym_string] = ACTIONS(217),
    [anon_sym_symbol] = ACTIONS(217),
    [anon_sym_object] = ACTIONS(217),
    [anon_sym_abstract] = ACTIONS(3096),
    [anon_sym_infer] = ACTIONS(3100),
    [anon_sym_keyof] = ACTIONS(3102),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3104),
    [sym_html_comment] = ACTIONS(5),
  },
  [1124] = {
    [sym_import] = STATE(4803),
    [sym_nested_identifier] = STATE(5868),
    [sym_string] = STATE(3013),
    [sym_formal_parameters] = STATE(5679),
    [sym_nested_type_identifier] = STATE(3494),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3334),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2944),
    [sym_type] = STATE(4331),
    [sym_constructor_type] = STATE(2974),
    [sym_primary_type] = STATE(3014),
    [sym_template_literal_type] = STATE(3018),
    [sym_infer_type] = STATE(2974),
    [sym_conditional_type] = STATE(3018),
    [sym_generic_type] = STATE(3018),
    [sym_type_query] = STATE(3018),
    [sym_index_type_query] = STATE(3018),
    [sym_lookup_type] = STATE(3018),
    [sym_literal_type] = STATE(3018),
    [sym__number] = STATE(3031),
    [sym_existential_type] = STATE(3018),
    [sym_flow_maybe_type] = STATE(3018),
    [sym_parenthesized_type] = STATE(3018),
    [sym_predefined_type] = STATE(3018),
    [sym_object_type] = STATE(3018),
    [sym_type_parameters] = STATE(5378),
    [sym_array_type] = STATE(3018),
    [sym_tuple_type] = STATE(3018),
    [sym_readonly_type] = STATE(2974),
    [sym_union_type] = STATE(3018),
    [sym_intersection_type] = STATE(3018),
    [sym_function_type] = STATE(2974),
    [sym_identifier] = ACTIONS(3272),
    [anon_sym_STAR] = ACTIONS(582),
    [anon_sym_LBRACE] = ACTIONS(3080),
    [anon_sym_typeof] = ACTIONS(3082),
    [anon_sym_import] = ACTIONS(1545),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1547),
    [anon_sym_LBRACK] = ACTIONS(1549),
    [anon_sym_DQUOTE] = ACTIONS(2338),
    [anon_sym_SQUOTE] = ACTIONS(2340),
    [anon_sym_new] = ACTIONS(3084),
    [anon_sym_AMP] = ACTIONS(3086),
    [anon_sym_PIPE] = ACTIONS(3088),
    [anon_sym_PLUS] = ACTIONS(2568),
    [anon_sym_DASH] = ACTIONS(2568),
    [anon_sym_LT] = ACTIONS(2570),
    [anon_sym_void] = ACTIONS(217),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1561),
    [sym_number] = ACTIONS(1563),
    [sym_this] = ACTIONS(1565),
    [sym_true] = ACTIONS(1567),
    [sym_false] = ACTIONS(1567),
    [sym_null] = ACTIONS(1567),
    [sym_undefined] = ACTIONS(1567),
    [anon_sym_readonly] = ACTIONS(3092),
    [anon_sym_QMARK] = ACTIONS(3094),
    [anon_sym_any] = ACTIONS(217),
    [anon_sym_number] = ACTIONS(217),
    [anon_sym_boolean] = ACTIONS(217),
    [anon_sym_string] = ACTIONS(217),
    [anon_sym_symbol] = ACTIONS(217),
    [anon_sym_object] = ACTIONS(217),
    [anon_sym_abstract] = ACTIONS(3096),
    [anon_sym_infer] = ACTIONS(3100),
    [anon_sym_keyof] = ACTIONS(3102),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3104),
    [sym_html_comment] = ACTIONS(5),
  },
  [1125] = {
    [sym_import] = STATE(4788),
    [sym_nested_identifier] = STATE(5868),
    [sym_string] = STATE(3013),
    [sym_formal_parameters] = STATE(5623),
    [sym_nested_type_identifier] = STATE(2941),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2942),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2944),
    [sym_type] = STATE(4453),
    [sym_constructor_type] = STATE(2974),
    [sym_primary_type] = STATE(3014),
    [sym_template_literal_type] = STATE(3018),
    [sym_infer_type] = STATE(2974),
    [sym_conditional_type] = STATE(3018),
    [sym_generic_type] = STATE(3018),
    [sym_type_query] = STATE(3018),
    [sym_index_type_query] = STATE(3018),
    [sym_lookup_type] = STATE(3018),
    [sym_literal_type] = STATE(3018),
    [sym__number] = STATE(3031),
    [sym_existential_type] = STATE(3018),
    [sym_flow_maybe_type] = STATE(3018),
    [sym_parenthesized_type] = STATE(3018),
    [sym_predefined_type] = STATE(3018),
    [sym_object_type] = STATE(3018),
    [sym_type_parameters] = STATE(5442),
    [sym_array_type] = STATE(3018),
    [sym_tuple_type] = STATE(3018),
    [sym_readonly_type] = STATE(2974),
    [sym_union_type] = STATE(3018),
    [sym_intersection_type] = STATE(3018),
    [sym_function_type] = STATE(2974),
    [sym_identifier] = ACTIONS(1539),
    [anon_sym_STAR] = ACTIONS(582),
    [anon_sym_LBRACE] = ACTIONS(1541),
    [anon_sym_typeof] = ACTIONS(1543),
    [anon_sym_import] = ACTIONS(1545),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1547),
    [anon_sym_LBRACK] = ACTIONS(1549),
    [anon_sym_DQUOTE] = ACTIONS(1551),
    [anon_sym_SQUOTE] = ACTIONS(1553),
    [anon_sym_new] = ACTIONS(1555),
    [anon_sym_AMP] = ACTIONS(755),
    [anon_sym_PIPE] = ACTIONS(757),
    [anon_sym_PLUS] = ACTIONS(2568),
    [anon_sym_DASH] = ACTIONS(2568),
    [anon_sym_LT] = ACTIONS(2570),
    [anon_sym_void] = ACTIONS(217),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1561),
    [sym_number] = ACTIONS(1563),
    [sym_this] = ACTIONS(1565),
    [sym_true] = ACTIONS(1567),
    [sym_false] = ACTIONS(1567),
    [sym_null] = ACTIONS(1567),
    [sym_undefined] = ACTIONS(1567),
    [anon_sym_readonly] = ACTIONS(1569),
    [anon_sym_QMARK] = ACTIONS(783),
    [anon_sym_any] = ACTIONS(217),
    [anon_sym_number] = ACTIONS(217),
    [anon_sym_boolean] = ACTIONS(217),
    [anon_sym_string] = ACTIONS(217),
    [anon_sym_symbol] = ACTIONS(217),
    [anon_sym_object] = ACTIONS(217),
    [anon_sym_abstract] = ACTIONS(209),
    [anon_sym_infer] = ACTIONS(211),
    [anon_sym_keyof] = ACTIONS(213),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym_html_comment] = ACTIONS(5),
  },
  [1126] = {
    [sym_import] = STATE(4803),
    [sym_nested_identifier] = STATE(5868),
    [sym_string] = STATE(3013),
    [sym_formal_parameters] = STATE(5679),
    [sym_nested_type_identifier] = STATE(3494),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3334),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2944),
    [sym_type] = STATE(3812),
    [sym_constructor_type] = STATE(2974),
    [sym_primary_type] = STATE(3014),
    [sym_template_literal_type] = STATE(3018),
    [sym_infer_type] = STATE(2974),
    [sym_conditional_type] = STATE(3018),
    [sym_generic_type] = STATE(3018),
    [sym_type_query] = STATE(3018),
    [sym_index_type_query] = STATE(3018),
    [sym_lookup_type] = STATE(3018),
    [sym_literal_type] = STATE(3018),
    [sym__number] = STATE(3031),
    [sym_existential_type] = STATE(3018),
    [sym_flow_maybe_type] = STATE(3018),
    [sym_parenthesized_type] = STATE(3018),
    [sym_predefined_type] = STATE(3018),
    [sym_object_type] = STATE(3018),
    [sym_type_parameters] = STATE(5378),
    [sym_array_type] = STATE(3018),
    [sym_tuple_type] = STATE(3018),
    [sym_readonly_type] = STATE(2974),
    [sym_union_type] = STATE(3018),
    [sym_intersection_type] = STATE(3018),
    [sym_function_type] = STATE(2974),
    [sym_identifier] = ACTIONS(3272),
    [anon_sym_STAR] = ACTIONS(582),
    [anon_sym_LBRACE] = ACTIONS(3080),
    [anon_sym_typeof] = ACTIONS(3082),
    [anon_sym_import] = ACTIONS(1545),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1547),
    [anon_sym_LBRACK] = ACTIONS(1549),
    [anon_sym_DQUOTE] = ACTIONS(2338),
    [anon_sym_SQUOTE] = ACTIONS(2340),
    [anon_sym_new] = ACTIONS(3084),
    [anon_sym_AMP] = ACTIONS(3086),
    [anon_sym_PIPE] = ACTIONS(3088),
    [anon_sym_PLUS] = ACTIONS(2568),
    [anon_sym_DASH] = ACTIONS(2568),
    [anon_sym_LT] = ACTIONS(2570),
    [anon_sym_void] = ACTIONS(217),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1561),
    [sym_number] = ACTIONS(1563),
    [sym_this] = ACTIONS(1565),
    [sym_true] = ACTIONS(1567),
    [sym_false] = ACTIONS(1567),
    [sym_null] = ACTIONS(1567),
    [sym_undefined] = ACTIONS(1567),
    [anon_sym_readonly] = ACTIONS(3092),
    [anon_sym_QMARK] = ACTIONS(3094),
    [anon_sym_any] = ACTIONS(217),
    [anon_sym_number] = ACTIONS(217),
    [anon_sym_boolean] = ACTIONS(217),
    [anon_sym_string] = ACTIONS(217),
    [anon_sym_symbol] = ACTIONS(217),
    [anon_sym_object] = ACTIONS(217),
    [anon_sym_abstract] = ACTIONS(3096),
    [anon_sym_infer] = ACTIONS(3100),
    [anon_sym_keyof] = ACTIONS(3102),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3104),
    [sym_html_comment] = ACTIONS(5),
  },
  [1127] = {
    [sym_import] = STATE(4803),
    [sym_nested_identifier] = STATE(5868),
    [sym_string] = STATE(3013),
    [sym_formal_parameters] = STATE(5679),
    [sym_nested_type_identifier] = STATE(3494),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3334),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2944),
    [sym_type] = STATE(3814),
    [sym_constructor_type] = STATE(2974),
    [sym_primary_type] = STATE(3014),
    [sym_template_literal_type] = STATE(3018),
    [sym_infer_type] = STATE(2974),
    [sym_conditional_type] = STATE(3018),
    [sym_generic_type] = STATE(3018),
    [sym_type_query] = STATE(3018),
    [sym_index_type_query] = STATE(3018),
    [sym_lookup_type] = STATE(3018),
    [sym_literal_type] = STATE(3018),
    [sym__number] = STATE(3031),
    [sym_existential_type] = STATE(3018),
    [sym_flow_maybe_type] = STATE(3018),
    [sym_parenthesized_type] = STATE(3018),
    [sym_predefined_type] = STATE(3018),
    [sym_object_type] = STATE(3018),
    [sym_type_parameters] = STATE(5378),
    [sym_array_type] = STATE(3018),
    [sym_tuple_type] = STATE(3018),
    [sym_readonly_type] = STATE(2974),
    [sym_union_type] = STATE(3018),
    [sym_intersection_type] = STATE(3018),
    [sym_function_type] = STATE(2974),
    [sym_identifier] = ACTIONS(3272),
    [anon_sym_STAR] = ACTIONS(582),
    [anon_sym_LBRACE] = ACTIONS(3080),
    [anon_sym_typeof] = ACTIONS(3082),
    [anon_sym_import] = ACTIONS(1545),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1547),
    [anon_sym_LBRACK] = ACTIONS(1549),
    [anon_sym_DQUOTE] = ACTIONS(2338),
    [anon_sym_SQUOTE] = ACTIONS(2340),
    [anon_sym_new] = ACTIONS(3084),
    [anon_sym_AMP] = ACTIONS(3086),
    [anon_sym_PIPE] = ACTIONS(3088),
    [anon_sym_PLUS] = ACTIONS(2568),
    [anon_sym_DASH] = ACTIONS(2568),
    [anon_sym_LT] = ACTIONS(2570),
    [anon_sym_void] = ACTIONS(217),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1561),
    [sym_number] = ACTIONS(1563),
    [sym_this] = ACTIONS(1565),
    [sym_true] = ACTIONS(1567),
    [sym_false] = ACTIONS(1567),
    [sym_null] = ACTIONS(1567),
    [sym_undefined] = ACTIONS(1567),
    [anon_sym_readonly] = ACTIONS(3092),
    [anon_sym_QMARK] = ACTIONS(3094),
    [anon_sym_any] = ACTIONS(217),
    [anon_sym_number] = ACTIONS(217),
    [anon_sym_boolean] = ACTIONS(217),
    [anon_sym_string] = ACTIONS(217),
    [anon_sym_symbol] = ACTIONS(217),
    [anon_sym_object] = ACTIONS(217),
    [anon_sym_abstract] = ACTIONS(3096),
    [anon_sym_infer] = ACTIONS(3100),
    [anon_sym_keyof] = ACTIONS(3102),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3104),
    [sym_html_comment] = ACTIONS(5),
  },
  [1128] = {
    [sym_import] = STATE(4803),
    [sym_nested_identifier] = STATE(5868),
    [sym_string] = STATE(3013),
    [sym_formal_parameters] = STATE(5679),
    [sym_nested_type_identifier] = STATE(3494),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3334),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2944),
    [sym_type] = STATE(2998),
    [sym_constructor_type] = STATE(2974),
    [sym_primary_type] = STATE(3014),
    [sym_template_literal_type] = STATE(3018),
    [sym_infer_type] = STATE(2974),
    [sym_conditional_type] = STATE(3018),
    [sym_generic_type] = STATE(3018),
    [sym_type_query] = STATE(3018),
    [sym_index_type_query] = STATE(3018),
    [sym_lookup_type] = STATE(3018),
    [sym_literal_type] = STATE(3018),
    [sym__number] = STATE(3031),
    [sym_existential_type] = STATE(3018),
    [sym_flow_maybe_type] = STATE(3018),
    [sym_parenthesized_type] = STATE(3018),
    [sym_predefined_type] = STATE(3018),
    [sym_object_type] = STATE(3018),
    [sym_type_parameters] = STATE(5378),
    [sym_array_type] = STATE(3018),
    [sym_tuple_type] = STATE(3018),
    [sym_readonly_type] = STATE(2974),
    [sym_union_type] = STATE(3018),
    [sym_intersection_type] = STATE(3018),
    [sym_function_type] = STATE(2974),
    [sym_identifier] = ACTIONS(3272),
    [anon_sym_STAR] = ACTIONS(582),
    [anon_sym_LBRACE] = ACTIONS(3080),
    [anon_sym_typeof] = ACTIONS(3082),
    [anon_sym_import] = ACTIONS(1545),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1547),
    [anon_sym_LBRACK] = ACTIONS(1549),
    [anon_sym_DQUOTE] = ACTIONS(2338),
    [anon_sym_SQUOTE] = ACTIONS(2340),
    [anon_sym_new] = ACTIONS(3084),
    [anon_sym_AMP] = ACTIONS(3086),
    [anon_sym_PIPE] = ACTIONS(3088),
    [anon_sym_PLUS] = ACTIONS(2568),
    [anon_sym_DASH] = ACTIONS(2568),
    [anon_sym_LT] = ACTIONS(2570),
    [anon_sym_void] = ACTIONS(217),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1561),
    [sym_number] = ACTIONS(1563),
    [sym_this] = ACTIONS(1565),
    [sym_true] = ACTIONS(1567),
    [sym_false] = ACTIONS(1567),
    [sym_null] = ACTIONS(1567),
    [sym_undefined] = ACTIONS(1567),
    [anon_sym_readonly] = ACTIONS(3092),
    [anon_sym_QMARK] = ACTIONS(3094),
    [anon_sym_any] = ACTIONS(217),
    [anon_sym_number] = ACTIONS(217),
    [anon_sym_boolean] = ACTIONS(217),
    [anon_sym_string] = ACTIONS(217),
    [anon_sym_symbol] = ACTIONS(217),
    [anon_sym_object] = ACTIONS(217),
    [anon_sym_abstract] = ACTIONS(3096),
    [anon_sym_infer] = ACTIONS(3100),
    [anon_sym_keyof] = ACTIONS(3102),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3104),
    [sym_html_comment] = ACTIONS(5),
  },
  [1129] = {
    [sym_import] = STATE(4803),
    [sym_nested_identifier] = STATE(5868),
    [sym_string] = STATE(3013),
    [sym_formal_parameters] = STATE(5679),
    [sym_nested_type_identifier] = STATE(3494),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3334),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2944),
    [sym_type] = STATE(3046),
    [sym_constructor_type] = STATE(2974),
    [sym_primary_type] = STATE(3014),
    [sym_template_literal_type] = STATE(3018),
    [sym_infer_type] = STATE(2974),
    [sym_conditional_type] = STATE(3018),
    [sym_generic_type] = STATE(3018),
    [sym_type_query] = STATE(3018),
    [sym_index_type_query] = STATE(3018),
    [sym_lookup_type] = STATE(3018),
    [sym_literal_type] = STATE(3018),
    [sym__number] = STATE(3031),
    [sym_existential_type] = STATE(3018),
    [sym_flow_maybe_type] = STATE(3018),
    [sym_parenthesized_type] = STATE(3018),
    [sym_predefined_type] = STATE(3018),
    [sym_object_type] = STATE(3018),
    [sym_type_parameters] = STATE(5378),
    [sym_array_type] = STATE(3018),
    [sym_tuple_type] = STATE(3018),
    [sym_readonly_type] = STATE(2974),
    [sym_union_type] = STATE(3018),
    [sym_intersection_type] = STATE(3018),
    [sym_function_type] = STATE(2974),
    [sym_identifier] = ACTIONS(3272),
    [anon_sym_STAR] = ACTIONS(582),
    [anon_sym_LBRACE] = ACTIONS(3080),
    [anon_sym_typeof] = ACTIONS(3082),
    [anon_sym_import] = ACTIONS(1545),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1547),
    [anon_sym_LBRACK] = ACTIONS(1549),
    [anon_sym_DQUOTE] = ACTIONS(2338),
    [anon_sym_SQUOTE] = ACTIONS(2340),
    [anon_sym_new] = ACTIONS(3084),
    [anon_sym_AMP] = ACTIONS(3086),
    [anon_sym_PIPE] = ACTIONS(3088),
    [anon_sym_PLUS] = ACTIONS(2568),
    [anon_sym_DASH] = ACTIONS(2568),
    [anon_sym_LT] = ACTIONS(2570),
    [anon_sym_void] = ACTIONS(217),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1561),
    [sym_number] = ACTIONS(1563),
    [sym_this] = ACTIONS(1565),
    [sym_true] = ACTIONS(1567),
    [sym_false] = ACTIONS(1567),
    [sym_null] = ACTIONS(1567),
    [sym_undefined] = ACTIONS(1567),
    [anon_sym_readonly] = ACTIONS(3092),
    [anon_sym_QMARK] = ACTIONS(3094),
    [anon_sym_any] = ACTIONS(217),
    [anon_sym_number] = ACTIONS(217),
    [anon_sym_boolean] = ACTIONS(217),
    [anon_sym_string] = ACTIONS(217),
    [anon_sym_symbol] = ACTIONS(217),
    [anon_sym_object] = ACTIONS(217),
    [anon_sym_abstract] = ACTIONS(3096),
    [anon_sym_infer] = ACTIONS(3100),
    [anon_sym_keyof] = ACTIONS(3102),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3104),
    [sym_html_comment] = ACTIONS(5),
  },
  [1130] = {
    [sym_import] = STATE(4803),
    [sym_nested_identifier] = STATE(5868),
    [sym_string] = STATE(3013),
    [sym_formal_parameters] = STATE(5679),
    [sym_nested_type_identifier] = STATE(3494),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3334),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2944),
    [sym_type] = STATE(2991),
    [sym_constructor_type] = STATE(2974),
    [sym_primary_type] = STATE(3014),
    [sym_template_literal_type] = STATE(3018),
    [sym_infer_type] = STATE(2974),
    [sym_conditional_type] = STATE(3018),
    [sym_generic_type] = STATE(3018),
    [sym_type_query] = STATE(3018),
    [sym_index_type_query] = STATE(3018),
    [sym_lookup_type] = STATE(3018),
    [sym_literal_type] = STATE(3018),
    [sym__number] = STATE(3031),
    [sym_existential_type] = STATE(3018),
    [sym_flow_maybe_type] = STATE(3018),
    [sym_parenthesized_type] = STATE(3018),
    [sym_predefined_type] = STATE(3018),
    [sym_object_type] = STATE(3018),
    [sym_type_parameters] = STATE(5378),
    [sym_array_type] = STATE(3018),
    [sym_tuple_type] = STATE(3018),
    [sym_readonly_type] = STATE(2974),
    [sym_union_type] = STATE(3018),
    [sym_intersection_type] = STATE(3018),
    [sym_function_type] = STATE(2974),
    [sym_identifier] = ACTIONS(3272),
    [anon_sym_STAR] = ACTIONS(582),
    [anon_sym_LBRACE] = ACTIONS(3080),
    [anon_sym_typeof] = ACTIONS(3082),
    [anon_sym_import] = ACTIONS(1545),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1547),
    [anon_sym_LBRACK] = ACTIONS(1549),
    [anon_sym_DQUOTE] = ACTIONS(2338),
    [anon_sym_SQUOTE] = ACTIONS(2340),
    [anon_sym_new] = ACTIONS(3084),
    [anon_sym_AMP] = ACTIONS(3086),
    [anon_sym_PIPE] = ACTIONS(3088),
    [anon_sym_PLUS] = ACTIONS(2568),
    [anon_sym_DASH] = ACTIONS(2568),
    [anon_sym_LT] = ACTIONS(2570),
    [anon_sym_void] = ACTIONS(217),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1561),
    [sym_number] = ACTIONS(1563),
    [sym_this] = ACTIONS(1565),
    [sym_true] = ACTIONS(1567),
    [sym_false] = ACTIONS(1567),
    [sym_null] = ACTIONS(1567),
    [sym_undefined] = ACTIONS(1567),
    [anon_sym_readonly] = ACTIONS(3092),
    [anon_sym_QMARK] = ACTIONS(3094),
    [anon_sym_any] = ACTIONS(217),
    [anon_sym_number] = ACTIONS(217),
    [anon_sym_boolean] = ACTIONS(217),
    [anon_sym_string] = ACTIONS(217),
    [anon_sym_symbol] = ACTIONS(217),
    [anon_sym_object] = ACTIONS(217),
    [anon_sym_abstract] = ACTIONS(3096),
    [anon_sym_infer] = ACTIONS(3100),
    [anon_sym_keyof] = ACTIONS(3102),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3104),
    [sym_html_comment] = ACTIONS(5),
  },
  [1131] = {
    [sym_import] = STATE(4803),
    [sym_nested_identifier] = STATE(5868),
    [sym_string] = STATE(3013),
    [sym_formal_parameters] = STATE(5679),
    [sym_nested_type_identifier] = STATE(3494),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3334),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2944),
    [sym_type] = STATE(3841),
    [sym_constructor_type] = STATE(2974),
    [sym_primary_type] = STATE(3014),
    [sym_template_literal_type] = STATE(3018),
    [sym_infer_type] = STATE(2974),
    [sym_conditional_type] = STATE(3018),
    [sym_generic_type] = STATE(3018),
    [sym_type_query] = STATE(3018),
    [sym_index_type_query] = STATE(3018),
    [sym_lookup_type] = STATE(3018),
    [sym_literal_type] = STATE(3018),
    [sym__number] = STATE(3031),
    [sym_existential_type] = STATE(3018),
    [sym_flow_maybe_type] = STATE(3018),
    [sym_parenthesized_type] = STATE(3018),
    [sym_predefined_type] = STATE(3018),
    [sym_object_type] = STATE(3018),
    [sym_type_parameters] = STATE(5378),
    [sym_array_type] = STATE(3018),
    [sym_tuple_type] = STATE(3018),
    [sym_readonly_type] = STATE(2974),
    [sym_union_type] = STATE(3018),
    [sym_intersection_type] = STATE(3018),
    [sym_function_type] = STATE(2974),
    [sym_identifier] = ACTIONS(3272),
    [anon_sym_STAR] = ACTIONS(582),
    [anon_sym_LBRACE] = ACTIONS(3080),
    [anon_sym_typeof] = ACTIONS(3082),
    [anon_sym_import] = ACTIONS(1545),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1547),
    [anon_sym_LBRACK] = ACTIONS(1549),
    [anon_sym_DQUOTE] = ACTIONS(2338),
    [anon_sym_SQUOTE] = ACTIONS(2340),
    [anon_sym_new] = ACTIONS(3084),
    [anon_sym_AMP] = ACTIONS(3086),
    [anon_sym_PIPE] = ACTIONS(3088),
    [anon_sym_PLUS] = ACTIONS(2568),
    [anon_sym_DASH] = ACTIONS(2568),
    [anon_sym_LT] = ACTIONS(2570),
    [anon_sym_void] = ACTIONS(217),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1561),
    [sym_number] = ACTIONS(1563),
    [sym_this] = ACTIONS(1565),
    [sym_true] = ACTIONS(1567),
    [sym_false] = ACTIONS(1567),
    [sym_null] = ACTIONS(1567),
    [sym_undefined] = ACTIONS(1567),
    [anon_sym_readonly] = ACTIONS(3092),
    [anon_sym_QMARK] = ACTIONS(3094),
    [anon_sym_any] = ACTIONS(217),
    [anon_sym_number] = ACTIONS(217),
    [anon_sym_boolean] = ACTIONS(217),
    [anon_sym_string] = ACTIONS(217),
    [anon_sym_symbol] = ACTIONS(217),
    [anon_sym_object] = ACTIONS(217),
    [anon_sym_abstract] = ACTIONS(3096),
    [anon_sym_infer] = ACTIONS(3100),
    [anon_sym_keyof] = ACTIONS(3102),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3104),
    [sym_html_comment] = ACTIONS(5),
  },
  [1132] = {
    [sym_import] = STATE(4680),
    [sym_nested_identifier] = STATE(5868),
    [sym_string] = STATE(3013),
    [sym_formal_parameters] = STATE(5631),
    [sym_nested_type_identifier] = STATE(2941),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3315),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2944),
    [sym_type] = STATE(3032),
    [sym_constructor_type] = STATE(2974),
    [sym_primary_type] = STATE(3014),
    [sym_template_literal_type] = STATE(3018),
    [sym_infer_type] = STATE(2974),
    [sym_conditional_type] = STATE(3018),
    [sym_generic_type] = STATE(3018),
    [sym_type_query] = STATE(3018),
    [sym_index_type_query] = STATE(3018),
    [sym_lookup_type] = STATE(3018),
    [sym_literal_type] = STATE(3018),
    [sym__number] = STATE(3031),
    [sym_existential_type] = STATE(3018),
    [sym_flow_maybe_type] = STATE(3018),
    [sym_parenthesized_type] = STATE(3018),
    [sym_predefined_type] = STATE(3018),
    [sym_object_type] = STATE(3018),
    [sym_type_parameters] = STATE(5464),
    [sym_array_type] = STATE(3018),
    [sym_tuple_type] = STATE(3018),
    [sym_readonly_type] = STATE(2974),
    [sym_union_type] = STATE(3018),
    [sym_intersection_type] = STATE(3018),
    [sym_function_type] = STATE(2974),
    [sym_identifier] = ACTIONS(1539),
    [anon_sym_STAR] = ACTIONS(582),
    [anon_sym_LBRACE] = ACTIONS(1541),
    [anon_sym_typeof] = ACTIONS(1543),
    [anon_sym_import] = ACTIONS(1545),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1547),
    [anon_sym_LBRACK] = ACTIONS(1549),
    [anon_sym_DQUOTE] = ACTIONS(1551),
    [anon_sym_SQUOTE] = ACTIONS(1553),
    [anon_sym_new] = ACTIONS(1613),
    [anon_sym_AMP] = ACTIONS(610),
    [anon_sym_PIPE] = ACTIONS(612),
    [anon_sym_PLUS] = ACTIONS(2568),
    [anon_sym_DASH] = ACTIONS(2568),
    [anon_sym_LT] = ACTIONS(2570),
    [anon_sym_void] = ACTIONS(217),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1561),
    [sym_number] = ACTIONS(1563),
    [sym_this] = ACTIONS(1565),
    [sym_true] = ACTIONS(1567),
    [sym_false] = ACTIONS(1567),
    [sym_null] = ACTIONS(1567),
    [sym_undefined] = ACTIONS(1567),
    [anon_sym_readonly] = ACTIONS(1619),
    [anon_sym_QMARK] = ACTIONS(632),
    [anon_sym_any] = ACTIONS(217),
    [anon_sym_number] = ACTIONS(217),
    [anon_sym_boolean] = ACTIONS(217),
    [anon_sym_string] = ACTIONS(217),
    [anon_sym_symbol] = ACTIONS(217),
    [anon_sym_object] = ACTIONS(217),
    [anon_sym_abstract] = ACTIONS(636),
    [anon_sym_infer] = ACTIONS(638),
    [anon_sym_keyof] = ACTIONS(640),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym_html_comment] = ACTIONS(5),
  },
  [1133] = {
    [sym_import] = STATE(4680),
    [sym_nested_identifier] = STATE(5868),
    [sym_string] = STATE(3013),
    [sym_formal_parameters] = STATE(5631),
    [sym_nested_type_identifier] = STATE(2941),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3315),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2944),
    [sym_type] = STATE(3728),
    [sym_constructor_type] = STATE(2974),
    [sym_primary_type] = STATE(3014),
    [sym_template_literal_type] = STATE(3018),
    [sym_infer_type] = STATE(2974),
    [sym_conditional_type] = STATE(3018),
    [sym_generic_type] = STATE(3018),
    [sym_type_query] = STATE(3018),
    [sym_index_type_query] = STATE(3018),
    [sym_lookup_type] = STATE(3018),
    [sym_literal_type] = STATE(3018),
    [sym__number] = STATE(3031),
    [sym_existential_type] = STATE(3018),
    [sym_flow_maybe_type] = STATE(3018),
    [sym_parenthesized_type] = STATE(3018),
    [sym_predefined_type] = STATE(3018),
    [sym_object_type] = STATE(3018),
    [sym_type_parameters] = STATE(5464),
    [sym_array_type] = STATE(3018),
    [sym_tuple_type] = STATE(3018),
    [sym_readonly_type] = STATE(2974),
    [sym_union_type] = STATE(3018),
    [sym_intersection_type] = STATE(3018),
    [sym_function_type] = STATE(2974),
    [sym_identifier] = ACTIONS(1539),
    [anon_sym_STAR] = ACTIONS(582),
    [anon_sym_LBRACE] = ACTIONS(1541),
    [anon_sym_typeof] = ACTIONS(1543),
    [anon_sym_import] = ACTIONS(1545),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1547),
    [anon_sym_LBRACK] = ACTIONS(1549),
    [anon_sym_DQUOTE] = ACTIONS(1551),
    [anon_sym_SQUOTE] = ACTIONS(1553),
    [anon_sym_new] = ACTIONS(1613),
    [anon_sym_AMP] = ACTIONS(610),
    [anon_sym_PIPE] = ACTIONS(612),
    [anon_sym_PLUS] = ACTIONS(2568),
    [anon_sym_DASH] = ACTIONS(2568),
    [anon_sym_LT] = ACTIONS(2570),
    [anon_sym_void] = ACTIONS(217),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1561),
    [sym_number] = ACTIONS(1563),
    [sym_this] = ACTIONS(1565),
    [sym_true] = ACTIONS(1567),
    [sym_false] = ACTIONS(1567),
    [sym_null] = ACTIONS(1567),
    [sym_undefined] = ACTIONS(1567),
    [anon_sym_readonly] = ACTIONS(1619),
    [anon_sym_QMARK] = ACTIONS(632),
    [anon_sym_any] = ACTIONS(217),
    [anon_sym_number] = ACTIONS(217),
    [anon_sym_boolean] = ACTIONS(217),
    [anon_sym_string] = ACTIONS(217),
    [anon_sym_symbol] = ACTIONS(217),
    [anon_sym_object] = ACTIONS(217),
    [anon_sym_abstract] = ACTIONS(636),
    [anon_sym_infer] = ACTIONS(638),
    [anon_sym_keyof] = ACTIONS(640),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym_html_comment] = ACTIONS(5),
  },
  [1134] = {
    [sym_import] = STATE(4680),
    [sym_nested_identifier] = STATE(5868),
    [sym_string] = STATE(3013),
    [sym_formal_parameters] = STATE(5631),
    [sym_nested_type_identifier] = STATE(2941),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3315),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2944),
    [sym_type] = STATE(3729),
    [sym_constructor_type] = STATE(2974),
    [sym_primary_type] = STATE(3014),
    [sym_template_literal_type] = STATE(3018),
    [sym_infer_type] = STATE(2974),
    [sym_conditional_type] = STATE(3018),
    [sym_generic_type] = STATE(3018),
    [sym_type_query] = STATE(3018),
    [sym_index_type_query] = STATE(3018),
    [sym_lookup_type] = STATE(3018),
    [sym_literal_type] = STATE(3018),
    [sym__number] = STATE(3031),
    [sym_existential_type] = STATE(3018),
    [sym_flow_maybe_type] = STATE(3018),
    [sym_parenthesized_type] = STATE(3018),
    [sym_predefined_type] = STATE(3018),
    [sym_object_type] = STATE(3018),
    [sym_type_parameters] = STATE(5464),
    [sym_array_type] = STATE(3018),
    [sym_tuple_type] = STATE(3018),
    [sym_readonly_type] = STATE(2974),
    [sym_union_type] = STATE(3018),
    [sym_intersection_type] = STATE(3018),
    [sym_function_type] = STATE(2974),
    [sym_identifier] = ACTIONS(1539),
    [anon_sym_STAR] = ACTIONS(582),
    [anon_sym_LBRACE] = ACTIONS(1541),
    [anon_sym_typeof] = ACTIONS(1543),
    [anon_sym_import] = ACTIONS(1545),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1547),
    [anon_sym_LBRACK] = ACTIONS(1549),
    [anon_sym_DQUOTE] = ACTIONS(1551),
    [anon_sym_SQUOTE] = ACTIONS(1553),
    [anon_sym_new] = ACTIONS(1613),
    [anon_sym_AMP] = ACTIONS(610),
    [anon_sym_PIPE] = ACTIONS(612),
    [anon_sym_PLUS] = ACTIONS(2568),
    [anon_sym_DASH] = ACTIONS(2568),
    [anon_sym_LT] = ACTIONS(2570),
    [anon_sym_void] = ACTIONS(217),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1561),
    [sym_number] = ACTIONS(1563),
    [sym_this] = ACTIONS(1565),
    [sym_true] = ACTIONS(1567),
    [sym_false] = ACTIONS(1567),
    [sym_null] = ACTIONS(1567),
    [sym_undefined] = ACTIONS(1567),
    [anon_sym_readonly] = ACTIONS(1619),
    [anon_sym_QMARK] = ACTIONS(632),
    [anon_sym_any] = ACTIONS(217),
    [anon_sym_number] = ACTIONS(217),
    [anon_sym_boolean] = ACTIONS(217),
    [anon_sym_string] = ACTIONS(217),
    [anon_sym_symbol] = ACTIONS(217),
    [anon_sym_object] = ACTIONS(217),
    [anon_sym_abstract] = ACTIONS(636),
    [anon_sym_infer] = ACTIONS(638),
    [anon_sym_keyof] = ACTIONS(640),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym_html_comment] = ACTIONS(5),
  },
  [1135] = {
    [sym_import] = STATE(4788),
    [sym_nested_identifier] = STATE(5868),
    [sym_string] = STATE(3013),
    [sym_formal_parameters] = STATE(5623),
    [sym_nested_type_identifier] = STATE(2941),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2942),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2944),
    [sym_type] = STATE(5022),
    [sym_constructor_type] = STATE(2974),
    [sym_primary_type] = STATE(2962),
    [sym_template_literal_type] = STATE(3018),
    [sym_infer_type] = STATE(2974),
    [sym_conditional_type] = STATE(3018),
    [sym_generic_type] = STATE(3018),
    [sym_type_query] = STATE(3018),
    [sym_index_type_query] = STATE(3018),
    [sym_lookup_type] = STATE(3018),
    [sym_literal_type] = STATE(3018),
    [sym__number] = STATE(3031),
    [sym_existential_type] = STATE(3018),
    [sym_flow_maybe_type] = STATE(3018),
    [sym_parenthesized_type] = STATE(3018),
    [sym_predefined_type] = STATE(3018),
    [sym_object_type] = STATE(3018),
    [sym_type_parameters] = STATE(5442),
    [sym_array_type] = STATE(3018),
    [sym_tuple_type] = STATE(3018),
    [sym_readonly_type] = STATE(2974),
    [sym_union_type] = STATE(3018),
    [sym_intersection_type] = STATE(3018),
    [sym_function_type] = STATE(2974),
    [sym_identifier] = ACTIONS(1539),
    [anon_sym_STAR] = ACTIONS(582),
    [anon_sym_LBRACE] = ACTIONS(1541),
    [anon_sym_typeof] = ACTIONS(1543),
    [anon_sym_import] = ACTIONS(1545),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1547),
    [anon_sym_LBRACK] = ACTIONS(1549),
    [anon_sym_DQUOTE] = ACTIONS(1551),
    [anon_sym_SQUOTE] = ACTIONS(1553),
    [anon_sym_new] = ACTIONS(1555),
    [anon_sym_AMP] = ACTIONS(610),
    [anon_sym_PIPE] = ACTIONS(612),
    [anon_sym_PLUS] = ACTIONS(2568),
    [anon_sym_DASH] = ACTIONS(2568),
    [anon_sym_LT] = ACTIONS(2570),
    [anon_sym_void] = ACTIONS(217),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1561),
    [sym_number] = ACTIONS(1563),
    [sym_this] = ACTIONS(1565),
    [sym_true] = ACTIONS(1567),
    [sym_false] = ACTIONS(1567),
    [sym_null] = ACTIONS(1567),
    [sym_undefined] = ACTIONS(1567),
    [anon_sym_readonly] = ACTIONS(1569),
    [anon_sym_QMARK] = ACTIONS(632),
    [anon_sym_any] = ACTIONS(217),
    [anon_sym_number] = ACTIONS(217),
    [anon_sym_boolean] = ACTIONS(217),
    [anon_sym_string] = ACTIONS(217),
    [anon_sym_symbol] = ACTIONS(217),
    [anon_sym_object] = ACTIONS(217),
    [anon_sym_abstract] = ACTIONS(209),
    [anon_sym_infer] = ACTIONS(211),
    [anon_sym_keyof] = ACTIONS(640),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym_html_comment] = ACTIONS(5),
  },
  [1136] = {
    [sym_import] = STATE(4788),
    [sym_nested_identifier] = STATE(5868),
    [sym_string] = STATE(3013),
    [sym_formal_parameters] = STATE(5623),
    [sym_nested_type_identifier] = STATE(2941),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2942),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2944),
    [sym_type] = STATE(5022),
    [sym_constructor_type] = STATE(2974),
    [sym_primary_type] = STATE(2993),
    [sym_template_literal_type] = STATE(3018),
    [sym_infer_type] = STATE(2974),
    [sym_conditional_type] = STATE(3018),
    [sym_generic_type] = STATE(3018),
    [sym_type_query] = STATE(3018),
    [sym_index_type_query] = STATE(3018),
    [sym_lookup_type] = STATE(3018),
    [sym_literal_type] = STATE(3018),
    [sym__number] = STATE(3031),
    [sym_existential_type] = STATE(3018),
    [sym_flow_maybe_type] = STATE(3018),
    [sym_parenthesized_type] = STATE(3018),
    [sym_predefined_type] = STATE(3018),
    [sym_object_type] = STATE(3018),
    [sym_type_parameters] = STATE(5442),
    [sym_array_type] = STATE(3018),
    [sym_tuple_type] = STATE(3018),
    [sym_readonly_type] = STATE(2974),
    [sym_union_type] = STATE(3018),
    [sym_intersection_type] = STATE(3018),
    [sym_function_type] = STATE(2974),
    [sym_identifier] = ACTIONS(1539),
    [anon_sym_STAR] = ACTIONS(582),
    [anon_sym_LBRACE] = ACTIONS(1541),
    [anon_sym_typeof] = ACTIONS(1543),
    [anon_sym_import] = ACTIONS(1545),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1547),
    [anon_sym_LBRACK] = ACTIONS(1549),
    [anon_sym_DQUOTE] = ACTIONS(1551),
    [anon_sym_SQUOTE] = ACTIONS(1553),
    [anon_sym_new] = ACTIONS(1555),
    [anon_sym_AMP] = ACTIONS(610),
    [anon_sym_PIPE] = ACTIONS(612),
    [anon_sym_PLUS] = ACTIONS(2568),
    [anon_sym_DASH] = ACTIONS(2568),
    [anon_sym_LT] = ACTIONS(2570),
    [anon_sym_void] = ACTIONS(217),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1561),
    [sym_number] = ACTIONS(1563),
    [sym_this] = ACTIONS(1565),
    [sym_true] = ACTIONS(1567),
    [sym_false] = ACTIONS(1567),
    [sym_null] = ACTIONS(1567),
    [sym_undefined] = ACTIONS(1567),
    [anon_sym_readonly] = ACTIONS(1569),
    [anon_sym_QMARK] = ACTIONS(632),
    [anon_sym_any] = ACTIONS(217),
    [anon_sym_number] = ACTIONS(217),
    [anon_sym_boolean] = ACTIONS(217),
    [anon_sym_string] = ACTIONS(217),
    [anon_sym_symbol] = ACTIONS(217),
    [anon_sym_object] = ACTIONS(217),
    [anon_sym_abstract] = ACTIONS(209),
    [anon_sym_infer] = ACTIONS(211),
    [anon_sym_keyof] = ACTIONS(640),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym_html_comment] = ACTIONS(5),
  },
  [1137] = {
    [sym_import] = STATE(4788),
    [sym_nested_identifier] = STATE(5868),
    [sym_string] = STATE(3013),
    [sym_formal_parameters] = STATE(5623),
    [sym_nested_type_identifier] = STATE(2941),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2942),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2944),
    [sym_type] = STATE(4398),
    [sym_constructor_type] = STATE(2974),
    [sym_primary_type] = STATE(3014),
    [sym_template_literal_type] = STATE(3018),
    [sym_infer_type] = STATE(2974),
    [sym_conditional_type] = STATE(3018),
    [sym_generic_type] = STATE(3018),
    [sym_type_query] = STATE(3018),
    [sym_index_type_query] = STATE(3018),
    [sym_lookup_type] = STATE(3018),
    [sym_literal_type] = STATE(3018),
    [sym__number] = STATE(3031),
    [sym_existential_type] = STATE(3018),
    [sym_flow_maybe_type] = STATE(3018),
    [sym_parenthesized_type] = STATE(3018),
    [sym_predefined_type] = STATE(3018),
    [sym_object_type] = STATE(3018),
    [sym_type_parameters] = STATE(5442),
    [sym_array_type] = STATE(3018),
    [sym_tuple_type] = STATE(3018),
    [sym_readonly_type] = STATE(2974),
    [sym_union_type] = STATE(3018),
    [sym_intersection_type] = STATE(3018),
    [sym_function_type] = STATE(2974),
    [sym_identifier] = ACTIONS(1539),
    [anon_sym_STAR] = ACTIONS(582),
    [anon_sym_LBRACE] = ACTIONS(1541),
    [anon_sym_typeof] = ACTIONS(1543),
    [anon_sym_import] = ACTIONS(1545),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1547),
    [anon_sym_LBRACK] = ACTIONS(1549),
    [anon_sym_DQUOTE] = ACTIONS(1551),
    [anon_sym_SQUOTE] = ACTIONS(1553),
    [anon_sym_new] = ACTIONS(1555),
    [anon_sym_AMP] = ACTIONS(755),
    [anon_sym_PIPE] = ACTIONS(757),
    [anon_sym_PLUS] = ACTIONS(2568),
    [anon_sym_DASH] = ACTIONS(2568),
    [anon_sym_LT] = ACTIONS(2570),
    [anon_sym_void] = ACTIONS(217),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1561),
    [sym_number] = ACTIONS(1563),
    [sym_this] = ACTIONS(1565),
    [sym_true] = ACTIONS(1567),
    [sym_false] = ACTIONS(1567),
    [sym_null] = ACTIONS(1567),
    [sym_undefined] = ACTIONS(1567),
    [anon_sym_readonly] = ACTIONS(1569),
    [anon_sym_QMARK] = ACTIONS(783),
    [anon_sym_any] = ACTIONS(217),
    [anon_sym_number] = ACTIONS(217),
    [anon_sym_boolean] = ACTIONS(217),
    [anon_sym_string] = ACTIONS(217),
    [anon_sym_symbol] = ACTIONS(217),
    [anon_sym_object] = ACTIONS(217),
    [anon_sym_abstract] = ACTIONS(209),
    [anon_sym_infer] = ACTIONS(211),
    [anon_sym_keyof] = ACTIONS(213),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym_html_comment] = ACTIONS(5),
  },
  [1138] = {
    [sym_import] = STATE(4926),
    [sym_nested_identifier] = STATE(5583),
    [sym_string] = STATE(3268),
    [sym_formal_parameters] = STATE(5787),
    [sym_nested_type_identifier] = STATE(3131),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3073),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3209),
    [sym_type] = STATE(3235),
    [sym_constructor_type] = STATE(3272),
    [sym_primary_type] = STATE(3273),
    [sym_template_literal_type] = STATE(3274),
    [sym_infer_type] = STATE(3272),
    [sym_conditional_type] = STATE(3274),
    [sym_generic_type] = STATE(3274),
    [sym_type_query] = STATE(3274),
    [sym_index_type_query] = STATE(3274),
    [sym_lookup_type] = STATE(3274),
    [sym_literal_type] = STATE(3274),
    [sym__number] = STATE(3275),
    [sym_existential_type] = STATE(3274),
    [sym_flow_maybe_type] = STATE(3274),
    [sym_parenthesized_type] = STATE(3274),
    [sym_predefined_type] = STATE(3274),
    [sym_object_type] = STATE(3274),
    [sym_type_parameters] = STATE(5160),
    [sym_array_type] = STATE(3274),
    [sym_tuple_type] = STATE(3274),
    [sym_readonly_type] = STATE(3272),
    [sym_union_type] = STATE(3274),
    [sym_intersection_type] = STATE(3274),
    [sym_function_type] = STATE(3272),
    [sym_identifier] = ACTIONS(1623),
    [anon_sym_STAR] = ACTIONS(999),
    [anon_sym_LBRACE] = ACTIONS(1627),
    [anon_sym_typeof] = ACTIONS(1629),
    [anon_sym_import] = ACTIONS(1545),
    [anon_sym_const] = ACTIONS(1005),
    [anon_sym_LPAREN] = ACTIONS(1631),
    [anon_sym_LBRACK] = ACTIONS(1633),
    [anon_sym_DQUOTE] = ACTIONS(1635),
    [anon_sym_SQUOTE] = ACTIONS(1637),
    [anon_sym_new] = ACTIONS(1639),
    [anon_sym_AMP] = ACTIONS(1013),
    [anon_sym_PIPE] = ACTIONS(1015),
    [anon_sym_PLUS] = ACTIONS(3020),
    [anon_sym_DASH] = ACTIONS(3020),
    [anon_sym_LT] = ACTIONS(2570),
    [anon_sym_void] = ACTIONS(1045),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1647),
    [sym_number] = ACTIONS(1649),
    [sym_this] = ACTIONS(1651),
    [sym_true] = ACTIONS(1653),
    [sym_false] = ACTIONS(1653),
    [sym_null] = ACTIONS(1653),
    [sym_undefined] = ACTIONS(1653),
    [anon_sym_readonly] = ACTIONS(1655),
    [anon_sym_QMARK] = ACTIONS(1033),
    [anon_sym_any] = ACTIONS(1045),
    [anon_sym_number] = ACTIONS(1045),
    [anon_sym_boolean] = ACTIONS(1045),
    [anon_sym_string] = ACTIONS(1045),
    [anon_sym_symbol] = ACTIONS(1045),
    [anon_sym_object] = ACTIONS(1045),
    [anon_sym_abstract] = ACTIONS(1037),
    [anon_sym_infer] = ACTIONS(1039),
    [anon_sym_keyof] = ACTIONS(1041),
    [anon_sym_unique] = ACTIONS(1043),
    [anon_sym_unknown] = ACTIONS(1045),
    [anon_sym_never] = ACTIONS(1045),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1047),
    [sym_html_comment] = ACTIONS(5),
  },
  [1139] = {
    [sym_import] = STATE(4926),
    [sym_nested_identifier] = STATE(5583),
    [sym_string] = STATE(3268),
    [sym_formal_parameters] = STATE(5787),
    [sym_nested_type_identifier] = STATE(3131),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3073),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3209),
    [sym_type] = STATE(3270),
    [sym_constructor_type] = STATE(3272),
    [sym_primary_type] = STATE(3273),
    [sym_template_literal_type] = STATE(3274),
    [sym_infer_type] = STATE(3272),
    [sym_conditional_type] = STATE(3274),
    [sym_generic_type] = STATE(3274),
    [sym_type_query] = STATE(3274),
    [sym_index_type_query] = STATE(3274),
    [sym_lookup_type] = STATE(3274),
    [sym_literal_type] = STATE(3274),
    [sym__number] = STATE(3275),
    [sym_existential_type] = STATE(3274),
    [sym_flow_maybe_type] = STATE(3274),
    [sym_parenthesized_type] = STATE(3274),
    [sym_predefined_type] = STATE(3274),
    [sym_object_type] = STATE(3274),
    [sym_type_parameters] = STATE(5160),
    [sym_array_type] = STATE(3274),
    [sym_tuple_type] = STATE(3274),
    [sym_readonly_type] = STATE(3272),
    [sym_union_type] = STATE(3274),
    [sym_intersection_type] = STATE(3274),
    [sym_function_type] = STATE(3272),
    [sym_identifier] = ACTIONS(1623),
    [anon_sym_STAR] = ACTIONS(999),
    [anon_sym_LBRACE] = ACTIONS(1627),
    [anon_sym_typeof] = ACTIONS(1629),
    [anon_sym_import] = ACTIONS(1545),
    [anon_sym_const] = ACTIONS(1005),
    [anon_sym_LPAREN] = ACTIONS(1631),
    [anon_sym_LBRACK] = ACTIONS(1633),
    [anon_sym_DQUOTE] = ACTIONS(1635),
    [anon_sym_SQUOTE] = ACTIONS(1637),
    [anon_sym_new] = ACTIONS(1639),
    [anon_sym_AMP] = ACTIONS(1013),
    [anon_sym_PIPE] = ACTIONS(1015),
    [anon_sym_PLUS] = ACTIONS(3020),
    [anon_sym_DASH] = ACTIONS(3020),
    [anon_sym_LT] = ACTIONS(2570),
    [anon_sym_void] = ACTIONS(1045),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1647),
    [sym_number] = ACTIONS(1649),
    [sym_this] = ACTIONS(1651),
    [sym_true] = ACTIONS(1653),
    [sym_false] = ACTIONS(1653),
    [sym_null] = ACTIONS(1653),
    [sym_undefined] = ACTIONS(1653),
    [anon_sym_readonly] = ACTIONS(1655),
    [anon_sym_QMARK] = ACTIONS(1033),
    [anon_sym_any] = ACTIONS(1045),
    [anon_sym_number] = ACTIONS(1045),
    [anon_sym_boolean] = ACTIONS(1045),
    [anon_sym_string] = ACTIONS(1045),
    [anon_sym_symbol] = ACTIONS(1045),
    [anon_sym_object] = ACTIONS(1045),
    [anon_sym_abstract] = ACTIONS(1037),
    [anon_sym_infer] = ACTIONS(1039),
    [anon_sym_keyof] = ACTIONS(1041),
    [anon_sym_unique] = ACTIONS(1043),
    [anon_sym_unknown] = ACTIONS(1045),
    [anon_sym_never] = ACTIONS(1045),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1047),
    [sym_html_comment] = ACTIONS(5),
  },
  [1140] = {
    [sym_import] = STATE(4772),
    [sym_nested_identifier] = STATE(5677),
    [sym_string] = STATE(1938),
    [sym_formal_parameters] = STATE(5840),
    [sym_nested_type_identifier] = STATE(1823),
    [sym__type_query_member_expression_in_type_annotation] = STATE(1867),
    [sym__type_query_call_expression_in_type_annotation] = STATE(1905),
    [sym_type] = STATE(2006),
    [sym_constructor_type] = STATE(1909),
    [sym_primary_type] = STATE(1910),
    [sym_template_literal_type] = STATE(1915),
    [sym_infer_type] = STATE(1909),
    [sym_conditional_type] = STATE(1915),
    [sym_generic_type] = STATE(1915),
    [sym_type_query] = STATE(1915),
    [sym_index_type_query] = STATE(1915),
    [sym_lookup_type] = STATE(1915),
    [sym_literal_type] = STATE(1915),
    [sym__number] = STATE(1918),
    [sym_existential_type] = STATE(1915),
    [sym_flow_maybe_type] = STATE(1915),
    [sym_parenthesized_type] = STATE(1915),
    [sym_predefined_type] = STATE(1915),
    [sym_object_type] = STATE(1915),
    [sym_type_parameters] = STATE(5271),
    [sym_array_type] = STATE(1915),
    [sym_tuple_type] = STATE(1915),
    [sym_readonly_type] = STATE(1909),
    [sym_union_type] = STATE(1915),
    [sym_intersection_type] = STATE(1915),
    [sym_function_type] = STATE(1909),
    [sym_identifier] = ACTIONS(3262),
    [anon_sym_STAR] = ACTIONS(3114),
    [anon_sym_LBRACE] = ACTIONS(3116),
    [anon_sym_typeof] = ACTIONS(3118),
    [anon_sym_import] = ACTIONS(1545),
    [anon_sym_const] = ACTIONS(3120),
    [anon_sym_LPAREN] = ACTIONS(3122),
    [anon_sym_LBRACK] = ACTIONS(3124),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(3126),
    [anon_sym_AMP] = ACTIONS(3128),
    [anon_sym_PIPE] = ACTIONS(3130),
    [anon_sym_PLUS] = ACTIONS(3132),
    [anon_sym_DASH] = ACTIONS(3132),
    [anon_sym_LT] = ACTIONS(2570),
    [anon_sym_void] = ACTIONS(3134),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3136),
    [sym_number] = ACTIONS(3138),
    [sym_this] = ACTIONS(3264),
    [sym_true] = ACTIONS(3142),
    [sym_false] = ACTIONS(3142),
    [sym_null] = ACTIONS(3142),
    [sym_undefined] = ACTIONS(3142),
    [anon_sym_readonly] = ACTIONS(3144),
    [anon_sym_QMARK] = ACTIONS(3146),
    [anon_sym_any] = ACTIONS(3134),
    [anon_sym_number] = ACTIONS(3134),
    [anon_sym_boolean] = ACTIONS(3134),
    [anon_sym_string] = ACTIONS(3134),
    [anon_sym_symbol] = ACTIONS(3134),
    [anon_sym_object] = ACTIONS(3134),
    [anon_sym_abstract] = ACTIONS(3148),
    [anon_sym_infer] = ACTIONS(3152),
    [anon_sym_keyof] = ACTIONS(3154),
    [anon_sym_unique] = ACTIONS(3156),
    [anon_sym_unknown] = ACTIONS(3134),
    [anon_sym_never] = ACTIONS(3134),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3158),
    [sym_html_comment] = ACTIONS(5),
  },
  [1141] = {
    [sym_import] = STATE(4772),
    [sym_nested_identifier] = STATE(5677),
    [sym_string] = STATE(1938),
    [sym_formal_parameters] = STATE(5840),
    [sym_nested_type_identifier] = STATE(1823),
    [sym__type_query_member_expression_in_type_annotation] = STATE(1867),
    [sym__type_query_call_expression_in_type_annotation] = STATE(1905),
    [sym_type] = STATE(2112),
    [sym_constructor_type] = STATE(1909),
    [sym_primary_type] = STATE(1910),
    [sym_template_literal_type] = STATE(1915),
    [sym_infer_type] = STATE(1909),
    [sym_conditional_type] = STATE(1915),
    [sym_generic_type] = STATE(1915),
    [sym_type_query] = STATE(1915),
    [sym_index_type_query] = STATE(1915),
    [sym_lookup_type] = STATE(1915),
    [sym_literal_type] = STATE(1915),
    [sym__number] = STATE(1918),
    [sym_existential_type] = STATE(1915),
    [sym_flow_maybe_type] = STATE(1915),
    [sym_parenthesized_type] = STATE(1915),
    [sym_predefined_type] = STATE(1915),
    [sym_object_type] = STATE(1915),
    [sym_type_parameters] = STATE(5271),
    [sym_array_type] = STATE(1915),
    [sym_tuple_type] = STATE(1915),
    [sym_readonly_type] = STATE(1909),
    [sym_union_type] = STATE(1915),
    [sym_intersection_type] = STATE(1915),
    [sym_function_type] = STATE(1909),
    [sym_identifier] = ACTIONS(3262),
    [anon_sym_STAR] = ACTIONS(3114),
    [anon_sym_LBRACE] = ACTIONS(3116),
    [anon_sym_typeof] = ACTIONS(3118),
    [anon_sym_import] = ACTIONS(1545),
    [anon_sym_const] = ACTIONS(3120),
    [anon_sym_LPAREN] = ACTIONS(3122),
    [anon_sym_LBRACK] = ACTIONS(3124),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(3126),
    [anon_sym_AMP] = ACTIONS(3128),
    [anon_sym_PIPE] = ACTIONS(3130),
    [anon_sym_PLUS] = ACTIONS(3132),
    [anon_sym_DASH] = ACTIONS(3132),
    [anon_sym_LT] = ACTIONS(2570),
    [anon_sym_void] = ACTIONS(3134),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3136),
    [sym_number] = ACTIONS(3138),
    [sym_this] = ACTIONS(3264),
    [sym_true] = ACTIONS(3142),
    [sym_false] = ACTIONS(3142),
    [sym_null] = ACTIONS(3142),
    [sym_undefined] = ACTIONS(3142),
    [anon_sym_readonly] = ACTIONS(3144),
    [anon_sym_QMARK] = ACTIONS(3146),
    [anon_sym_any] = ACTIONS(3134),
    [anon_sym_number] = ACTIONS(3134),
    [anon_sym_boolean] = ACTIONS(3134),
    [anon_sym_string] = ACTIONS(3134),
    [anon_sym_symbol] = ACTIONS(3134),
    [anon_sym_object] = ACTIONS(3134),
    [anon_sym_abstract] = ACTIONS(3148),
    [anon_sym_infer] = ACTIONS(3152),
    [anon_sym_keyof] = ACTIONS(3154),
    [anon_sym_unique] = ACTIONS(3156),
    [anon_sym_unknown] = ACTIONS(3134),
    [anon_sym_never] = ACTIONS(3134),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3158),
    [sym_html_comment] = ACTIONS(5),
  },
  [1142] = {
    [sym_import] = STATE(4772),
    [sym_nested_identifier] = STATE(5677),
    [sym_string] = STATE(1938),
    [sym_formal_parameters] = STATE(5840),
    [sym_nested_type_identifier] = STATE(1823),
    [sym__type_query_member_expression_in_type_annotation] = STATE(1867),
    [sym__type_query_call_expression_in_type_annotation] = STATE(1905),
    [sym_type] = STATE(2041),
    [sym_constructor_type] = STATE(1909),
    [sym_primary_type] = STATE(1910),
    [sym_template_literal_type] = STATE(1915),
    [sym_infer_type] = STATE(1909),
    [sym_conditional_type] = STATE(1915),
    [sym_generic_type] = STATE(1915),
    [sym_type_query] = STATE(1915),
    [sym_index_type_query] = STATE(1915),
    [sym_lookup_type] = STATE(1915),
    [sym_literal_type] = STATE(1915),
    [sym__number] = STATE(1918),
    [sym_existential_type] = STATE(1915),
    [sym_flow_maybe_type] = STATE(1915),
    [sym_parenthesized_type] = STATE(1915),
    [sym_predefined_type] = STATE(1915),
    [sym_object_type] = STATE(1915),
    [sym_type_parameters] = STATE(5271),
    [sym_array_type] = STATE(1915),
    [sym_tuple_type] = STATE(1915),
    [sym_readonly_type] = STATE(1909),
    [sym_union_type] = STATE(1915),
    [sym_intersection_type] = STATE(1915),
    [sym_function_type] = STATE(1909),
    [sym_identifier] = ACTIONS(3262),
    [anon_sym_STAR] = ACTIONS(3114),
    [anon_sym_LBRACE] = ACTIONS(3116),
    [anon_sym_typeof] = ACTIONS(3118),
    [anon_sym_import] = ACTIONS(1545),
    [anon_sym_const] = ACTIONS(3120),
    [anon_sym_LPAREN] = ACTIONS(3122),
    [anon_sym_LBRACK] = ACTIONS(3124),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(3126),
    [anon_sym_AMP] = ACTIONS(3128),
    [anon_sym_PIPE] = ACTIONS(3130),
    [anon_sym_PLUS] = ACTIONS(3132),
    [anon_sym_DASH] = ACTIONS(3132),
    [anon_sym_LT] = ACTIONS(2570),
    [anon_sym_void] = ACTIONS(3134),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3136),
    [sym_number] = ACTIONS(3138),
    [sym_this] = ACTIONS(3264),
    [sym_true] = ACTIONS(3142),
    [sym_false] = ACTIONS(3142),
    [sym_null] = ACTIONS(3142),
    [sym_undefined] = ACTIONS(3142),
    [anon_sym_readonly] = ACTIONS(3144),
    [anon_sym_QMARK] = ACTIONS(3146),
    [anon_sym_any] = ACTIONS(3134),
    [anon_sym_number] = ACTIONS(3134),
    [anon_sym_boolean] = ACTIONS(3134),
    [anon_sym_string] = ACTIONS(3134),
    [anon_sym_symbol] = ACTIONS(3134),
    [anon_sym_object] = ACTIONS(3134),
    [anon_sym_abstract] = ACTIONS(3148),
    [anon_sym_infer] = ACTIONS(3152),
    [anon_sym_keyof] = ACTIONS(3154),
    [anon_sym_unique] = ACTIONS(3156),
    [anon_sym_unknown] = ACTIONS(3134),
    [anon_sym_never] = ACTIONS(3134),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3158),
    [sym_html_comment] = ACTIONS(5),
  },
  [1143] = {
    [sym_import] = STATE(4788),
    [sym_nested_identifier] = STATE(5677),
    [sym_string] = STATE(1938),
    [sym_formal_parameters] = STATE(5623),
    [sym_nested_type_identifier] = STATE(1823),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2942),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2944),
    [sym_type] = STATE(4529),
    [sym_constructor_type] = STATE(2974),
    [sym_primary_type] = STATE(2042),
    [sym_template_literal_type] = STATE(1915),
    [sym_infer_type] = STATE(2974),
    [sym_conditional_type] = STATE(1915),
    [sym_generic_type] = STATE(1915),
    [sym_type_query] = STATE(1915),
    [sym_index_type_query] = STATE(1915),
    [sym_lookup_type] = STATE(1915),
    [sym_literal_type] = STATE(1915),
    [sym__number] = STATE(1918),
    [sym_existential_type] = STATE(1915),
    [sym_flow_maybe_type] = STATE(1915),
    [sym_parenthesized_type] = STATE(1915),
    [sym_predefined_type] = STATE(1915),
    [sym_object_type] = STATE(1915),
    [sym_type_parameters] = STATE(5442),
    [sym_array_type] = STATE(1915),
    [sym_tuple_type] = STATE(1915),
    [sym_readonly_type] = STATE(2974),
    [sym_union_type] = STATE(1915),
    [sym_intersection_type] = STATE(1915),
    [sym_function_type] = STATE(2974),
    [sym_identifier] = ACTIONS(3262),
    [anon_sym_STAR] = ACTIONS(3114),
    [anon_sym_LBRACE] = ACTIONS(3116),
    [anon_sym_typeof] = ACTIONS(3118),
    [anon_sym_import] = ACTIONS(1545),
    [anon_sym_const] = ACTIONS(3120),
    [anon_sym_LPAREN] = ACTIONS(3122),
    [anon_sym_LBRACK] = ACTIONS(3124),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(1555),
    [anon_sym_AMP] = ACTIONS(3128),
    [anon_sym_PIPE] = ACTIONS(3130),
    [anon_sym_PLUS] = ACTIONS(3132),
    [anon_sym_DASH] = ACTIONS(3132),
    [anon_sym_LT] = ACTIONS(2570),
    [anon_sym_void] = ACTIONS(3134),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3136),
    [sym_number] = ACTIONS(3138),
    [sym_this] = ACTIONS(3264),
    [sym_true] = ACTIONS(3142),
    [sym_false] = ACTIONS(3142),
    [sym_null] = ACTIONS(3142),
    [sym_undefined] = ACTIONS(3142),
    [anon_sym_readonly] = ACTIONS(1569),
    [anon_sym_QMARK] = ACTIONS(3146),
    [anon_sym_any] = ACTIONS(3134),
    [anon_sym_number] = ACTIONS(3134),
    [anon_sym_boolean] = ACTIONS(3134),
    [anon_sym_string] = ACTIONS(3134),
    [anon_sym_symbol] = ACTIONS(3134),
    [anon_sym_object] = ACTIONS(3134),
    [anon_sym_abstract] = ACTIONS(209),
    [anon_sym_infer] = ACTIONS(211),
    [anon_sym_keyof] = ACTIONS(3154),
    [anon_sym_unique] = ACTIONS(3156),
    [anon_sym_unknown] = ACTIONS(3134),
    [anon_sym_never] = ACTIONS(3134),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3158),
    [sym_html_comment] = ACTIONS(5),
  },
  [1144] = {
    [sym_import] = STATE(4788),
    [sym_nested_identifier] = STATE(5677),
    [sym_string] = STATE(1938),
    [sym_formal_parameters] = STATE(5623),
    [sym_nested_type_identifier] = STATE(1823),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2942),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2944),
    [sym_type] = STATE(4529),
    [sym_constructor_type] = STATE(2974),
    [sym_primary_type] = STATE(2044),
    [sym_template_literal_type] = STATE(1915),
    [sym_infer_type] = STATE(2974),
    [sym_conditional_type] = STATE(1915),
    [sym_generic_type] = STATE(1915),
    [sym_type_query] = STATE(1915),
    [sym_index_type_query] = STATE(1915),
    [sym_lookup_type] = STATE(1915),
    [sym_literal_type] = STATE(1915),
    [sym__number] = STATE(1918),
    [sym_existential_type] = STATE(1915),
    [sym_flow_maybe_type] = STATE(1915),
    [sym_parenthesized_type] = STATE(1915),
    [sym_predefined_type] = STATE(1915),
    [sym_object_type] = STATE(1915),
    [sym_type_parameters] = STATE(5442),
    [sym_array_type] = STATE(1915),
    [sym_tuple_type] = STATE(1915),
    [sym_readonly_type] = STATE(2974),
    [sym_union_type] = STATE(1915),
    [sym_intersection_type] = STATE(1915),
    [sym_function_type] = STATE(2974),
    [sym_identifier] = ACTIONS(3262),
    [anon_sym_STAR] = ACTIONS(3114),
    [anon_sym_LBRACE] = ACTIONS(3116),
    [anon_sym_typeof] = ACTIONS(3118),
    [anon_sym_import] = ACTIONS(1545),
    [anon_sym_const] = ACTIONS(3120),
    [anon_sym_LPAREN] = ACTIONS(3122),
    [anon_sym_LBRACK] = ACTIONS(3124),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(1555),
    [anon_sym_AMP] = ACTIONS(3128),
    [anon_sym_PIPE] = ACTIONS(3130),
    [anon_sym_PLUS] = ACTIONS(3132),
    [anon_sym_DASH] = ACTIONS(3132),
    [anon_sym_LT] = ACTIONS(2570),
    [anon_sym_void] = ACTIONS(3134),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3136),
    [sym_number] = ACTIONS(3138),
    [sym_this] = ACTIONS(3264),
    [sym_true] = ACTIONS(3142),
    [sym_false] = ACTIONS(3142),
    [sym_null] = ACTIONS(3142),
    [sym_undefined] = ACTIONS(3142),
    [anon_sym_readonly] = ACTIONS(1569),
    [anon_sym_QMARK] = ACTIONS(3146),
    [anon_sym_any] = ACTIONS(3134),
    [anon_sym_number] = ACTIONS(3134),
    [anon_sym_boolean] = ACTIONS(3134),
    [anon_sym_string] = ACTIONS(3134),
    [anon_sym_symbol] = ACTIONS(3134),
    [anon_sym_object] = ACTIONS(3134),
    [anon_sym_abstract] = ACTIONS(209),
    [anon_sym_infer] = ACTIONS(211),
    [anon_sym_keyof] = ACTIONS(3154),
    [anon_sym_unique] = ACTIONS(3156),
    [anon_sym_unknown] = ACTIONS(3134),
    [anon_sym_never] = ACTIONS(3134),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3158),
    [sym_html_comment] = ACTIONS(5),
  },
  [1145] = {
    [sym_import] = STATE(4680),
    [sym_nested_identifier] = STATE(5868),
    [sym_string] = STATE(3013),
    [sym_formal_parameters] = STATE(5631),
    [sym_nested_type_identifier] = STATE(2941),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3315),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2944),
    [sym_type] = STATE(4472),
    [sym_constructor_type] = STATE(2974),
    [sym_primary_type] = STATE(3014),
    [sym_template_literal_type] = STATE(3018),
    [sym_infer_type] = STATE(2974),
    [sym_conditional_type] = STATE(3018),
    [sym_generic_type] = STATE(3018),
    [sym_type_query] = STATE(3018),
    [sym_index_type_query] = STATE(3018),
    [sym_lookup_type] = STATE(3018),
    [sym_literal_type] = STATE(3018),
    [sym__number] = STATE(3031),
    [sym_existential_type] = STATE(3018),
    [sym_flow_maybe_type] = STATE(3018),
    [sym_parenthesized_type] = STATE(3018),
    [sym_predefined_type] = STATE(3018),
    [sym_object_type] = STATE(3018),
    [sym_type_parameters] = STATE(5464),
    [sym_array_type] = STATE(3018),
    [sym_tuple_type] = STATE(3018),
    [sym_readonly_type] = STATE(2974),
    [sym_union_type] = STATE(3018),
    [sym_intersection_type] = STATE(3018),
    [sym_function_type] = STATE(2974),
    [sym_identifier] = ACTIONS(1539),
    [anon_sym_STAR] = ACTIONS(582),
    [anon_sym_LBRACE] = ACTIONS(1541),
    [anon_sym_typeof] = ACTIONS(1543),
    [anon_sym_import] = ACTIONS(1545),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1547),
    [anon_sym_LBRACK] = ACTIONS(1549),
    [anon_sym_DQUOTE] = ACTIONS(1551),
    [anon_sym_SQUOTE] = ACTIONS(1553),
    [anon_sym_new] = ACTIONS(1613),
    [anon_sym_AMP] = ACTIONS(610),
    [anon_sym_PIPE] = ACTIONS(612),
    [anon_sym_PLUS] = ACTIONS(2568),
    [anon_sym_DASH] = ACTIONS(2568),
    [anon_sym_LT] = ACTIONS(2570),
    [anon_sym_void] = ACTIONS(217),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1561),
    [sym_number] = ACTIONS(1563),
    [sym_this] = ACTIONS(1565),
    [sym_true] = ACTIONS(1567),
    [sym_false] = ACTIONS(1567),
    [sym_null] = ACTIONS(1567),
    [sym_undefined] = ACTIONS(1567),
    [anon_sym_readonly] = ACTIONS(1619),
    [anon_sym_QMARK] = ACTIONS(632),
    [anon_sym_any] = ACTIONS(217),
    [anon_sym_number] = ACTIONS(217),
    [anon_sym_boolean] = ACTIONS(217),
    [anon_sym_string] = ACTIONS(217),
    [anon_sym_symbol] = ACTIONS(217),
    [anon_sym_object] = ACTIONS(217),
    [anon_sym_abstract] = ACTIONS(636),
    [anon_sym_infer] = ACTIONS(638),
    [anon_sym_keyof] = ACTIONS(640),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym_html_comment] = ACTIONS(5),
  },
  [1146] = {
    [sym_import] = STATE(4788),
    [sym_nested_identifier] = STATE(5868),
    [sym_string] = STATE(3013),
    [sym_formal_parameters] = STATE(5623),
    [sym_nested_type_identifier] = STATE(2941),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2942),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2944),
    [sym_type] = STATE(4478),
    [sym_constructor_type] = STATE(2974),
    [sym_primary_type] = STATE(3014),
    [sym_template_literal_type] = STATE(3018),
    [sym_infer_type] = STATE(2974),
    [sym_conditional_type] = STATE(3018),
    [sym_generic_type] = STATE(3018),
    [sym_type_query] = STATE(3018),
    [sym_index_type_query] = STATE(3018),
    [sym_lookup_type] = STATE(3018),
    [sym_literal_type] = STATE(3018),
    [sym__number] = STATE(3031),
    [sym_existential_type] = STATE(3018),
    [sym_flow_maybe_type] = STATE(3018),
    [sym_parenthesized_type] = STATE(3018),
    [sym_predefined_type] = STATE(3018),
    [sym_object_type] = STATE(3018),
    [sym_type_parameters] = STATE(5442),
    [sym_array_type] = STATE(3018),
    [sym_tuple_type] = STATE(3018),
    [sym_readonly_type] = STATE(2974),
    [sym_union_type] = STATE(3018),
    [sym_intersection_type] = STATE(3018),
    [sym_function_type] = STATE(2974),
    [sym_identifier] = ACTIONS(1539),
    [anon_sym_STAR] = ACTIONS(582),
    [anon_sym_LBRACE] = ACTIONS(1541),
    [anon_sym_typeof] = ACTIONS(1543),
    [anon_sym_import] = ACTIONS(1545),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1547),
    [anon_sym_LBRACK] = ACTIONS(1549),
    [anon_sym_DQUOTE] = ACTIONS(1551),
    [anon_sym_SQUOTE] = ACTIONS(1553),
    [anon_sym_new] = ACTIONS(1555),
    [anon_sym_AMP] = ACTIONS(755),
    [anon_sym_PIPE] = ACTIONS(757),
    [anon_sym_PLUS] = ACTIONS(2568),
    [anon_sym_DASH] = ACTIONS(2568),
    [anon_sym_LT] = ACTIONS(2570),
    [anon_sym_void] = ACTIONS(217),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1561),
    [sym_number] = ACTIONS(1563),
    [sym_this] = ACTIONS(1565),
    [sym_true] = ACTIONS(1567),
    [sym_false] = ACTIONS(1567),
    [sym_null] = ACTIONS(1567),
    [sym_undefined] = ACTIONS(1567),
    [anon_sym_readonly] = ACTIONS(1569),
    [anon_sym_QMARK] = ACTIONS(783),
    [anon_sym_any] = ACTIONS(217),
    [anon_sym_number] = ACTIONS(217),
    [anon_sym_boolean] = ACTIONS(217),
    [anon_sym_string] = ACTIONS(217),
    [anon_sym_symbol] = ACTIONS(217),
    [anon_sym_object] = ACTIONS(217),
    [anon_sym_abstract] = ACTIONS(209),
    [anon_sym_infer] = ACTIONS(211),
    [anon_sym_keyof] = ACTIONS(213),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym_html_comment] = ACTIONS(5),
  },
  [1147] = {
    [sym_import] = STATE(4680),
    [sym_nested_identifier] = STATE(5868),
    [sym_string] = STATE(3013),
    [sym_formal_parameters] = STATE(5631),
    [sym_nested_type_identifier] = STATE(2941),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3315),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2944),
    [sym_type] = STATE(4500),
    [sym_constructor_type] = STATE(2974),
    [sym_primary_type] = STATE(3014),
    [sym_template_literal_type] = STATE(3018),
    [sym_infer_type] = STATE(2974),
    [sym_conditional_type] = STATE(3018),
    [sym_generic_type] = STATE(3018),
    [sym_type_query] = STATE(3018),
    [sym_index_type_query] = STATE(3018),
    [sym_lookup_type] = STATE(3018),
    [sym_literal_type] = STATE(3018),
    [sym__number] = STATE(3031),
    [sym_existential_type] = STATE(3018),
    [sym_flow_maybe_type] = STATE(3018),
    [sym_parenthesized_type] = STATE(3018),
    [sym_predefined_type] = STATE(3018),
    [sym_object_type] = STATE(3018),
    [sym_type_parameters] = STATE(5464),
    [sym_array_type] = STATE(3018),
    [sym_tuple_type] = STATE(3018),
    [sym_readonly_type] = STATE(2974),
    [sym_union_type] = STATE(3018),
    [sym_intersection_type] = STATE(3018),
    [sym_function_type] = STATE(2974),
    [sym_identifier] = ACTIONS(1539),
    [anon_sym_STAR] = ACTIONS(582),
    [anon_sym_LBRACE] = ACTIONS(1541),
    [anon_sym_typeof] = ACTIONS(1543),
    [anon_sym_import] = ACTIONS(1545),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1547),
    [anon_sym_LBRACK] = ACTIONS(1549),
    [anon_sym_DQUOTE] = ACTIONS(1551),
    [anon_sym_SQUOTE] = ACTIONS(1553),
    [anon_sym_new] = ACTIONS(1613),
    [anon_sym_AMP] = ACTIONS(610),
    [anon_sym_PIPE] = ACTIONS(612),
    [anon_sym_PLUS] = ACTIONS(2568),
    [anon_sym_DASH] = ACTIONS(2568),
    [anon_sym_LT] = ACTIONS(2570),
    [anon_sym_void] = ACTIONS(217),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1561),
    [sym_number] = ACTIONS(1563),
    [sym_this] = ACTIONS(1565),
    [sym_true] = ACTIONS(1567),
    [sym_false] = ACTIONS(1567),
    [sym_null] = ACTIONS(1567),
    [sym_undefined] = ACTIONS(1567),
    [anon_sym_readonly] = ACTIONS(1619),
    [anon_sym_QMARK] = ACTIONS(632),
    [anon_sym_any] = ACTIONS(217),
    [anon_sym_number] = ACTIONS(217),
    [anon_sym_boolean] = ACTIONS(217),
    [anon_sym_string] = ACTIONS(217),
    [anon_sym_symbol] = ACTIONS(217),
    [anon_sym_object] = ACTIONS(217),
    [anon_sym_abstract] = ACTIONS(636),
    [anon_sym_infer] = ACTIONS(638),
    [anon_sym_keyof] = ACTIONS(640),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym_html_comment] = ACTIONS(5),
  },
  [1148] = {
    [sym_import] = STATE(4680),
    [sym_nested_identifier] = STATE(5868),
    [sym_string] = STATE(3013),
    [sym_formal_parameters] = STATE(5631),
    [sym_nested_type_identifier] = STATE(2941),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3315),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2944),
    [sym_type] = STATE(4505),
    [sym_constructor_type] = STATE(2974),
    [sym_primary_type] = STATE(3014),
    [sym_template_literal_type] = STATE(3018),
    [sym_infer_type] = STATE(2974),
    [sym_conditional_type] = STATE(3018),
    [sym_generic_type] = STATE(3018),
    [sym_type_query] = STATE(3018),
    [sym_index_type_query] = STATE(3018),
    [sym_lookup_type] = STATE(3018),
    [sym_literal_type] = STATE(3018),
    [sym__number] = STATE(3031),
    [sym_existential_type] = STATE(3018),
    [sym_flow_maybe_type] = STATE(3018),
    [sym_parenthesized_type] = STATE(3018),
    [sym_predefined_type] = STATE(3018),
    [sym_object_type] = STATE(3018),
    [sym_type_parameters] = STATE(5464),
    [sym_array_type] = STATE(3018),
    [sym_tuple_type] = STATE(3018),
    [sym_readonly_type] = STATE(2974),
    [sym_union_type] = STATE(3018),
    [sym_intersection_type] = STATE(3018),
    [sym_function_type] = STATE(2974),
    [sym_identifier] = ACTIONS(1539),
    [anon_sym_STAR] = ACTIONS(582),
    [anon_sym_LBRACE] = ACTIONS(1541),
    [anon_sym_typeof] = ACTIONS(1543),
    [anon_sym_import] = ACTIONS(1545),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1547),
    [anon_sym_LBRACK] = ACTIONS(1549),
    [anon_sym_DQUOTE] = ACTIONS(1551),
    [anon_sym_SQUOTE] = ACTIONS(1553),
    [anon_sym_new] = ACTIONS(1613),
    [anon_sym_AMP] = ACTIONS(610),
    [anon_sym_PIPE] = ACTIONS(612),
    [anon_sym_PLUS] = ACTIONS(2568),
    [anon_sym_DASH] = ACTIONS(2568),
    [anon_sym_LT] = ACTIONS(2570),
    [anon_sym_void] = ACTIONS(217),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1561),
    [sym_number] = ACTIONS(1563),
    [sym_this] = ACTIONS(1565),
    [sym_true] = ACTIONS(1567),
    [sym_false] = ACTIONS(1567),
    [sym_null] = ACTIONS(1567),
    [sym_undefined] = ACTIONS(1567),
    [anon_sym_readonly] = ACTIONS(1619),
    [anon_sym_QMARK] = ACTIONS(632),
    [anon_sym_any] = ACTIONS(217),
    [anon_sym_number] = ACTIONS(217),
    [anon_sym_boolean] = ACTIONS(217),
    [anon_sym_string] = ACTIONS(217),
    [anon_sym_symbol] = ACTIONS(217),
    [anon_sym_object] = ACTIONS(217),
    [anon_sym_abstract] = ACTIONS(636),
    [anon_sym_infer] = ACTIONS(638),
    [anon_sym_keyof] = ACTIONS(640),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym_html_comment] = ACTIONS(5),
  },
  [1149] = {
    [sym_import] = STATE(4680),
    [sym_nested_identifier] = STATE(5868),
    [sym_string] = STATE(3013),
    [sym_formal_parameters] = STATE(5631),
    [sym_nested_type_identifier] = STATE(2941),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3315),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2944),
    [sym_type] = STATE(4507),
    [sym_constructor_type] = STATE(2974),
    [sym_primary_type] = STATE(3014),
    [sym_template_literal_type] = STATE(3018),
    [sym_infer_type] = STATE(2974),
    [sym_conditional_type] = STATE(3018),
    [sym_generic_type] = STATE(3018),
    [sym_type_query] = STATE(3018),
    [sym_index_type_query] = STATE(3018),
    [sym_lookup_type] = STATE(3018),
    [sym_literal_type] = STATE(3018),
    [sym__number] = STATE(3031),
    [sym_existential_type] = STATE(3018),
    [sym_flow_maybe_type] = STATE(3018),
    [sym_parenthesized_type] = STATE(3018),
    [sym_predefined_type] = STATE(3018),
    [sym_object_type] = STATE(3018),
    [sym_type_parameters] = STATE(5464),
    [sym_array_type] = STATE(3018),
    [sym_tuple_type] = STATE(3018),
    [sym_readonly_type] = STATE(2974),
    [sym_union_type] = STATE(3018),
    [sym_intersection_type] = STATE(3018),
    [sym_function_type] = STATE(2974),
    [sym_identifier] = ACTIONS(1539),
    [anon_sym_STAR] = ACTIONS(582),
    [anon_sym_LBRACE] = ACTIONS(1541),
    [anon_sym_typeof] = ACTIONS(1543),
    [anon_sym_import] = ACTIONS(1545),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1547),
    [anon_sym_LBRACK] = ACTIONS(1549),
    [anon_sym_DQUOTE] = ACTIONS(1551),
    [anon_sym_SQUOTE] = ACTIONS(1553),
    [anon_sym_new] = ACTIONS(1613),
    [anon_sym_AMP] = ACTIONS(610),
    [anon_sym_PIPE] = ACTIONS(612),
    [anon_sym_PLUS] = ACTIONS(2568),
    [anon_sym_DASH] = ACTIONS(2568),
    [anon_sym_LT] = ACTIONS(2570),
    [anon_sym_void] = ACTIONS(217),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1561),
    [sym_number] = ACTIONS(1563),
    [sym_this] = ACTIONS(1565),
    [sym_true] = ACTIONS(1567),
    [sym_false] = ACTIONS(1567),
    [sym_null] = ACTIONS(1567),
    [sym_undefined] = ACTIONS(1567),
    [anon_sym_readonly] = ACTIONS(1619),
    [anon_sym_QMARK] = ACTIONS(632),
    [anon_sym_any] = ACTIONS(217),
    [anon_sym_number] = ACTIONS(217),
    [anon_sym_boolean] = ACTIONS(217),
    [anon_sym_string] = ACTIONS(217),
    [anon_sym_symbol] = ACTIONS(217),
    [anon_sym_object] = ACTIONS(217),
    [anon_sym_abstract] = ACTIONS(636),
    [anon_sym_infer] = ACTIONS(638),
    [anon_sym_keyof] = ACTIONS(640),
    [anon_sym_unique] = ACTIONS(215),
    [anon_sym_unknown] = ACTIONS(217),
    [anon_sym_never] = ACTIONS(217),
    [anon_sym_LBRACE_PIPE] = ACTIONS(219),
    [sym_html_comment] = ACTIONS(5),
  },
  [1150] = {
    [sym_import] = STATE(4535),
    [sym_nested_identifier] = STATE(5495),
    [sym_string] = STATE(1619),
    [sym_formal_parameters] = STATE(5874),
    [sym_nested_type_identifier] = STATE(1521),
    [sym__type_query_member_expression_in_type_annotation] = STATE(1526),
    [sym__type_query_call_expression_in_type_annotation] = STATE(1648),
    [sym_type] = STATE(1573),
    [sym_constructor_type] = STATE(1628),
    [sym_primary_type] = STATE(1595),
    [sym_template_literal_type] = STATE(1616),
    [sym_infer_type] = STATE(1628),
    [sym_conditional_type] = STATE(1616),
    [sym_generic_type] = STATE(1616),
    [sym_type_query] = STATE(1616),
    [sym_index_type_query] = STATE(1616),
    [sym_lookup_type] = STATE(1616),
    [sym_literal_type] = STATE(1616),
    [sym__number] = STATE(1647),
    [sym_existential_type] = STATE(1616),
    [sym_flow_maybe_type] = STATE(1616),
    [sym_parenthesized_type] = STATE(1616),
    [sym_predefined_type] = STATE(1616),
    [sym_object_type] = STATE(1616),
    [sym_type_parameters] = STATE(5220),
    [sym_array_type] = STATE(1616),
    [sym_tuple_type] = STATE(1616),
    [sym_readonly_type] = STATE(1628),
    [sym_union_type] = STATE(1616),
    [sym_intersection_type] = STATE(1616),
    [sym_function_type] = STATE(1628),
    [sym_identifier] = ACTIONS(3258),
    [anon_sym_STAR] = ACTIONS(3162),
    [anon_sym_LBRACE] = ACTIONS(3164),
    [anon_sym_typeof] = ACTIONS(3166),
    [anon_sym_import] = ACTIONS(1545),
    [anon_sym_const] = ACTIONS(3168),
    [anon_sym_LPAREN] = ACTIONS(3170),
    [anon_sym_LBRACK] = ACTIONS(3172),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(3174),
    [anon_sym_AMP] = ACTIONS(3176),
    [anon_sym_PIPE] = ACTIONS(3178),
    [anon_sym_PLUS] = ACTIONS(3180),
    [anon_sym_DASH] = ACTIONS(3180),
    [anon_sym_LT] = ACTIONS(2570),
    [anon_sym_void] = ACTIONS(3182),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3184),
    [sym_number] = ACTIONS(3186),
    [sym_this] = ACTIONS(3260),
    [sym_true] = ACTIONS(3190),
    [sym_false] = ACTIONS(3190),
    [sym_null] = ACTIONS(3190),
    [sym_undefined] = ACTIONS(3190),
    [anon_sym_readonly] = ACTIONS(3192),
    [anon_sym_QMARK] = ACTIONS(3194),
    [anon_sym_any] = ACTIONS(3182),
    [anon_sym_number] = ACTIONS(3182),
    [anon_sym_boolean] = ACTIONS(3182),
    [anon_sym_string] = ACTIONS(3182),
    [anon_sym_symbol] = ACTIONS(3182),
    [anon_sym_object] = ACTIONS(3182),
    [anon_sym_abstract] = ACTIONS(3196),
    [anon_sym_infer] = ACTIONS(3200),
    [anon_sym_keyof] = ACTIONS(3202),
    [anon_sym_unique] = ACTIONS(3204),
    [anon_sym_unknown] = ACTIONS(3182),
    [anon_sym_never] = ACTIONS(3182),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3206),
    [sym_html_comment] = ACTIONS(5),
  },
  [1151] = {
    [sym_export_statement] = STATE(3822),
    [sym_object_pattern] = STATE(5595),
    [sym_object_assignment_pattern] = STATE(4567),
    [sym_array_pattern] = STATE(5595),
    [sym__call_signature] = STATE(4102),
    [sym__destructuring_pattern] = STATE(5595),
    [sym_spread_element] = STATE(5136),
    [sym_string] = STATE(3156),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3307),
    [sym_rest_pattern] = STATE(4567),
    [sym_method_definition] = STATE(5136),
    [sym_pair] = STATE(5136),
    [sym_pair_pattern] = STATE(4567),
    [sym__property_name] = STATE(3156),
    [sym_computed_property_name] = STATE(3156),
    [sym_method_signature] = STATE(3822),
    [sym_accessibility_modifier] = STATE(2773),
    [sym_override_modifier] = STATE(2794),
    [sym_call_signature] = STATE(3822),
    [sym_property_signature] = STATE(3822),
    [sym_type_parameters] = STATE(5222),
    [sym_construct_signature] = STATE(3822),
    [sym_index_signature] = STATE(3822),
    [aux_sym_export_statement_repeat1] = STATE(4407),
    [aux_sym_object_repeat1] = STATE(4526),
    [aux_sym_object_pattern_repeat1] = STATE(4878),
    [sym_identifier] = ACTIONS(3276),
    [anon_sym_export] = ACTIONS(3278),
    [anon_sym_STAR] = ACTIONS(3280),
    [anon_sym_type] = ACTIONS(3276),
    [anon_sym_namespace] = ACTIONS(3276),
    [anon_sym_LBRACE] = ACTIONS(3282),
    [anon_sym_COMMA] = ACTIONS(3284),
    [anon_sym_RBRACE] = ACTIONS(3286),
    [anon_sym_let] = ACTIONS(3276),
    [anon_sym_LPAREN] = ACTIONS(3288),
    [anon_sym_SEMI] = ACTIONS(3290),
    [anon_sym_LBRACK] = ACTIONS(3292),
    [anon_sym_DQUOTE] = ACTIONS(1635),
    [anon_sym_SQUOTE] = ACTIONS(1637),
    [anon_sym_async] = ACTIONS(3294),
    [anon_sym_new] = ACTIONS(3296),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(251),
    [anon_sym_PLUS] = ACTIONS(3298),
    [anon_sym_DASH] = ACTIONS(3298),
    [anon_sym_LT] = ACTIONS(2570),
    [sym_comment] = ACTIONS(5),
    [sym_number] = ACTIONS(3300),
    [sym_private_property_identifier] = ACTIONS(3300),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(3302),
    [anon_sym_readonly] = ACTIONS(3304),
    [anon_sym_get] = ACTIONS(3306),
    [anon_sym_set] = ACTIONS(3306),
    [anon_sym_declare] = ACTIONS(3276),
    [anon_sym_public] = ACTIONS(3308),
    [anon_sym_private] = ACTIONS(3308),
    [anon_sym_protected] = ACTIONS(3308),
    [anon_sym_override] = ACTIONS(3310),
    [anon_sym_module] = ACTIONS(3276),
    [anon_sym_any] = ACTIONS(3276),
    [anon_sym_number] = ACTIONS(3276),
    [anon_sym_boolean] = ACTIONS(3276),
    [anon_sym_string] = ACTIONS(3276),
    [anon_sym_symbol] = ACTIONS(3276),
    [anon_sym_object] = ACTIONS(3276),
    [anon_sym_abstract] = ACTIONS(3312),
    [anon_sym_PIPE_RBRACE] = ACTIONS(3314),
    [sym_html_comment] = ACTIONS(5),
  },
  [1152] = {
    [sym_identifier] = ACTIONS(3316),
    [anon_sym_export] = ACTIONS(3316),
    [anon_sym_type] = ACTIONS(3316),
    [anon_sym_EQ] = ACTIONS(3316),
    [anon_sym_namespace] = ACTIONS(3316),
    [anon_sym_LBRACE] = ACTIONS(3318),
    [anon_sym_COMMA] = ACTIONS(3318),
    [anon_sym_RBRACE] = ACTIONS(3318),
    [anon_sym_typeof] = ACTIONS(3316),
    [anon_sym_import] = ACTIONS(3316),
    [anon_sym_let] = ACTIONS(3316),
    [anon_sym_BANG] = ACTIONS(3318),
    [anon_sym_LPAREN] = ACTIONS(3318),
    [anon_sym_RPAREN] = ACTIONS(3318),
    [anon_sym_await] = ACTIONS(3316),
    [anon_sym_COLON] = ACTIONS(3318),
    [anon_sym_yield] = ACTIONS(3316),
    [anon_sym_LBRACK] = ACTIONS(3318),
    [anon_sym_RBRACK] = ACTIONS(3318),
    [sym_glimmer_opening_tag] = ACTIONS(3318),
    [anon_sym_GT] = ACTIONS(3318),
    [anon_sym_DQUOTE] = ACTIONS(3318),
    [anon_sym_SQUOTE] = ACTIONS(3318),
    [anon_sym_class] = ACTIONS(3316),
    [anon_sym_async] = ACTIONS(3316),
    [anon_sym_function] = ACTIONS(3316),
    [anon_sym_EQ_GT] = ACTIONS(3318),
    [anon_sym_new] = ACTIONS(3316),
    [anon_sym_using] = ACTIONS(3316),
    [anon_sym_AMP] = ACTIONS(3318),
    [anon_sym_PIPE] = ACTIONS(3318),
    [anon_sym_PLUS] = ACTIONS(3316),
    [anon_sym_DASH] = ACTIONS(3316),
    [anon_sym_SLASH] = ACTIONS(3316),
    [anon_sym_LT] = ACTIONS(3316),
    [anon_sym_TILDE] = ACTIONS(3318),
    [anon_sym_void] = ACTIONS(3316),
    [anon_sym_delete] = ACTIONS(3316),
    [anon_sym_PLUS_PLUS] = ACTIONS(3318),
    [anon_sym_DASH_DASH] = ACTIONS(3318),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3318),
    [sym_number] = ACTIONS(3318),
    [sym_private_property_identifier] = ACTIONS(3318),
    [sym_this] = ACTIONS(3316),
    [sym_super] = ACTIONS(3316),
    [sym_true] = ACTIONS(3316),
    [sym_false] = ACTIONS(3316),
    [sym_null] = ACTIONS(3316),
    [sym_undefined] = ACTIONS(3316),
    [anon_sym_AT] = ACTIONS(3318),
    [anon_sym_static] = ACTIONS(3316),
    [anon_sym_readonly] = ACTIONS(3316),
    [anon_sym_get] = ACTIONS(3316),
    [anon_sym_set] = ACTIONS(3316),
    [anon_sym_QMARK] = ACTIONS(3318),
    [anon_sym_declare] = ACTIONS(3316),
    [anon_sym_public] = ACTIONS(3316),
    [anon_sym_private] = ACTIONS(3316),
    [anon_sym_protected] = ACTIONS(3316),
    [anon_sym_override] = ACTIONS(3316),
    [anon_sym_module] = ACTIONS(3316),
    [anon_sym_any] = ACTIONS(3316),
    [anon_sym_number] = ACTIONS(3316),
    [anon_sym_boolean] = ACTIONS(3316),
    [anon_sym_string] = ACTIONS(3316),
    [anon_sym_symbol] = ACTIONS(3316),
    [anon_sym_object] = ACTIONS(3316),
    [anon_sym_extends] = ACTIONS(3316),
    [sym_html_comment] = ACTIONS(5),
  },
  [1153] = {
    [sym_export_statement] = STATE(3822),
    [sym_object_pattern] = STATE(5595),
    [sym_object_assignment_pattern] = STATE(4567),
    [sym_array_pattern] = STATE(5595),
    [sym__call_signature] = STATE(4102),
    [sym__destructuring_pattern] = STATE(5595),
    [sym_spread_element] = STATE(5136),
    [sym_string] = STATE(3156),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3307),
    [sym_rest_pattern] = STATE(4567),
    [sym_method_definition] = STATE(5136),
    [sym_pair] = STATE(5136),
    [sym_pair_pattern] = STATE(4567),
    [sym__property_name] = STATE(3156),
    [sym_computed_property_name] = STATE(3156),
    [sym_method_signature] = STATE(3822),
    [sym_accessibility_modifier] = STATE(2773),
    [sym_override_modifier] = STATE(2794),
    [sym_call_signature] = STATE(3822),
    [sym_property_signature] = STATE(3822),
    [sym_type_parameters] = STATE(5222),
    [sym_construct_signature] = STATE(3822),
    [sym_index_signature] = STATE(3822),
    [aux_sym_export_statement_repeat1] = STATE(4407),
    [aux_sym_object_repeat1] = STATE(4526),
    [aux_sym_object_pattern_repeat1] = STATE(4878),
    [sym_identifier] = ACTIONS(3276),
    [anon_sym_export] = ACTIONS(3278),
    [anon_sym_STAR] = ACTIONS(3280),
    [anon_sym_type] = ACTIONS(3276),
    [anon_sym_namespace] = ACTIONS(3276),
    [anon_sym_LBRACE] = ACTIONS(3282),
    [anon_sym_COMMA] = ACTIONS(3284),
    [anon_sym_RBRACE] = ACTIONS(3320),
    [anon_sym_let] = ACTIONS(3276),
    [anon_sym_LPAREN] = ACTIONS(3288),
    [anon_sym_SEMI] = ACTIONS(3290),
    [anon_sym_LBRACK] = ACTIONS(3292),
    [anon_sym_DQUOTE] = ACTIONS(1635),
    [anon_sym_SQUOTE] = ACTIONS(1637),
    [anon_sym_async] = ACTIONS(3294),
    [anon_sym_new] = ACTIONS(3296),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(251),
    [anon_sym_PLUS] = ACTIONS(3298),
    [anon_sym_DASH] = ACTIONS(3298),
    [anon_sym_LT] = ACTIONS(2570),
    [sym_comment] = ACTIONS(5),
    [sym_number] = ACTIONS(3300),
    [sym_private_property_identifier] = ACTIONS(3300),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(3302),
    [anon_sym_readonly] = ACTIONS(3304),
    [anon_sym_get] = ACTIONS(3306),
    [anon_sym_set] = ACTIONS(3306),
    [anon_sym_declare] = ACTIONS(3276),
    [anon_sym_public] = ACTIONS(3308),
    [anon_sym_private] = ACTIONS(3308),
    [anon_sym_protected] = ACTIONS(3308),
    [anon_sym_override] = ACTIONS(3310),
    [anon_sym_module] = ACTIONS(3276),
    [anon_sym_any] = ACTIONS(3276),
    [anon_sym_number] = ACTIONS(3276),
    [anon_sym_boolean] = ACTIONS(3276),
    [anon_sym_string] = ACTIONS(3276),
    [anon_sym_symbol] = ACTIONS(3276),
    [anon_sym_object] = ACTIONS(3276),
    [anon_sym_abstract] = ACTIONS(3312),
    [anon_sym_PIPE_RBRACE] = ACTIONS(3314),
    [sym_html_comment] = ACTIONS(5),
  },
  [1154] = {
    [sym_export_statement] = STATE(3822),
    [sym_object_pattern] = STATE(5595),
    [sym_object_assignment_pattern] = STATE(4567),
    [sym_array_pattern] = STATE(5595),
    [sym__call_signature] = STATE(4102),
    [sym__destructuring_pattern] = STATE(5595),
    [sym_spread_element] = STATE(5136),
    [sym_string] = STATE(3156),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3307),
    [sym_rest_pattern] = STATE(4567),
    [sym_method_definition] = STATE(5136),
    [sym_pair] = STATE(5136),
    [sym_pair_pattern] = STATE(4567),
    [sym__property_name] = STATE(3156),
    [sym_computed_property_name] = STATE(3156),
    [sym_method_signature] = STATE(3822),
    [sym_accessibility_modifier] = STATE(2773),
    [sym_override_modifier] = STATE(2794),
    [sym_call_signature] = STATE(3822),
    [sym_property_signature] = STATE(3822),
    [sym_type_parameters] = STATE(5222),
    [sym_construct_signature] = STATE(3822),
    [sym_index_signature] = STATE(3822),
    [aux_sym_export_statement_repeat1] = STATE(4407),
    [aux_sym_object_repeat1] = STATE(4526),
    [aux_sym_object_pattern_repeat1] = STATE(4878),
    [sym_identifier] = ACTIONS(3322),
    [anon_sym_export] = ACTIONS(3324),
    [anon_sym_STAR] = ACTIONS(3280),
    [anon_sym_type] = ACTIONS(3322),
    [anon_sym_namespace] = ACTIONS(3322),
    [anon_sym_LBRACE] = ACTIONS(3282),
    [anon_sym_COMMA] = ACTIONS(3284),
    [anon_sym_RBRACE] = ACTIONS(3326),
    [anon_sym_let] = ACTIONS(3322),
    [anon_sym_LPAREN] = ACTIONS(3288),
    [anon_sym_SEMI] = ACTIONS(3290),
    [anon_sym_LBRACK] = ACTIONS(3292),
    [anon_sym_DQUOTE] = ACTIONS(1635),
    [anon_sym_SQUOTE] = ACTIONS(1637),
    [anon_sym_async] = ACTIONS(3328),
    [anon_sym_new] = ACTIONS(3330),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(251),
    [anon_sym_PLUS] = ACTIONS(3298),
    [anon_sym_DASH] = ACTIONS(3298),
    [anon_sym_LT] = ACTIONS(2570),
    [sym_comment] = ACTIONS(5),
    [sym_number] = ACTIONS(3300),
    [sym_private_property_identifier] = ACTIONS(3300),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(3332),
    [anon_sym_readonly] = ACTIONS(3334),
    [anon_sym_get] = ACTIONS(3336),
    [anon_sym_set] = ACTIONS(3336),
    [anon_sym_declare] = ACTIONS(3322),
    [anon_sym_public] = ACTIONS(3338),
    [anon_sym_private] = ACTIONS(3338),
    [anon_sym_protected] = ACTIONS(3338),
    [anon_sym_override] = ACTIONS(3340),
    [anon_sym_module] = ACTIONS(3322),
    [anon_sym_any] = ACTIONS(3322),
    [anon_sym_number] = ACTIONS(3322),
    [anon_sym_boolean] = ACTIONS(3322),
    [anon_sym_string] = ACTIONS(3322),
    [anon_sym_symbol] = ACTIONS(3322),
    [anon_sym_object] = ACTIONS(3322),
    [anon_sym_abstract] = ACTIONS(3312),
    [anon_sym_PIPE_RBRACE] = ACTIONS(3314),
    [sym_html_comment] = ACTIONS(5),
  },
  [1155] = {
    [sym_export_statement] = STATE(3902),
    [sym_object_pattern] = STATE(5595),
    [sym_object_assignment_pattern] = STATE(4567),
    [sym_array_pattern] = STATE(5595),
    [sym__call_signature] = STATE(4102),
    [sym__destructuring_pattern] = STATE(5595),
    [sym_spread_element] = STATE(5136),
    [sym_string] = STATE(3156),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3307),
    [sym_rest_pattern] = STATE(4567),
    [sym_method_definition] = STATE(5136),
    [sym_pair] = STATE(5136),
    [sym_pair_pattern] = STATE(4567),
    [sym__property_name] = STATE(3156),
    [sym_computed_property_name] = STATE(3156),
    [sym_method_signature] = STATE(3902),
    [sym_accessibility_modifier] = STATE(2773),
    [sym_override_modifier] = STATE(2794),
    [sym_call_signature] = STATE(3902),
    [sym_property_signature] = STATE(3902),
    [sym_type_parameters] = STATE(5222),
    [sym_construct_signature] = STATE(3902),
    [sym_index_signature] = STATE(3902),
    [aux_sym_export_statement_repeat1] = STATE(4407),
    [aux_sym_object_repeat1] = STATE(4526),
    [aux_sym_object_pattern_repeat1] = STATE(4878),
    [sym_identifier] = ACTIONS(3322),
    [anon_sym_export] = ACTIONS(3324),
    [anon_sym_STAR] = ACTIONS(3280),
    [anon_sym_type] = ACTIONS(3322),
    [anon_sym_namespace] = ACTIONS(3322),
    [anon_sym_LBRACE] = ACTIONS(3282),
    [anon_sym_COMMA] = ACTIONS(3342),
    [anon_sym_RBRACE] = ACTIONS(3344),
    [anon_sym_let] = ACTIONS(3322),
    [anon_sym_LPAREN] = ACTIONS(3288),
    [anon_sym_SEMI] = ACTIONS(3346),
    [anon_sym_LBRACK] = ACTIONS(3292),
    [anon_sym_DQUOTE] = ACTIONS(1635),
    [anon_sym_SQUOTE] = ACTIONS(1637),
    [anon_sym_async] = ACTIONS(3328),
    [anon_sym_new] = ACTIONS(3330),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(251),
    [anon_sym_PLUS] = ACTIONS(3298),
    [anon_sym_DASH] = ACTIONS(3298),
    [anon_sym_LT] = ACTIONS(2570),
    [sym_comment] = ACTIONS(5),
    [sym_number] = ACTIONS(3300),
    [sym_private_property_identifier] = ACTIONS(3300),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(3332),
    [anon_sym_readonly] = ACTIONS(3334),
    [anon_sym_get] = ACTIONS(3336),
    [anon_sym_set] = ACTIONS(3336),
    [anon_sym_declare] = ACTIONS(3322),
    [anon_sym_public] = ACTIONS(3338),
    [anon_sym_private] = ACTIONS(3338),
    [anon_sym_protected] = ACTIONS(3338),
    [anon_sym_override] = ACTIONS(3340),
    [anon_sym_module] = ACTIONS(3322),
    [anon_sym_any] = ACTIONS(3322),
    [anon_sym_number] = ACTIONS(3322),
    [anon_sym_boolean] = ACTIONS(3322),
    [anon_sym_string] = ACTIONS(3322),
    [anon_sym_symbol] = ACTIONS(3322),
    [anon_sym_object] = ACTIONS(3322),
    [anon_sym_abstract] = ACTIONS(3312),
    [anon_sym_PIPE_RBRACE] = ACTIONS(3348),
    [sym_html_comment] = ACTIONS(5),
  },
  [1156] = {
    [sym_export_statement] = STATE(3822),
    [sym_object_pattern] = STATE(5595),
    [sym_object_assignment_pattern] = STATE(4567),
    [sym_array_pattern] = STATE(5595),
    [sym__call_signature] = STATE(4102),
    [sym__destructuring_pattern] = STATE(5595),
    [sym_spread_element] = STATE(5136),
    [sym_string] = STATE(3156),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3307),
    [sym_rest_pattern] = STATE(4567),
    [sym_method_definition] = STATE(5136),
    [sym_pair] = STATE(5136),
    [sym_pair_pattern] = STATE(4567),
    [sym__property_name] = STATE(3156),
    [sym_computed_property_name] = STATE(3156),
    [sym_method_signature] = STATE(3822),
    [sym_accessibility_modifier] = STATE(2773),
    [sym_override_modifier] = STATE(2794),
    [sym_call_signature] = STATE(3822),
    [sym_property_signature] = STATE(3822),
    [sym_type_parameters] = STATE(5222),
    [sym_construct_signature] = STATE(3822),
    [sym_index_signature] = STATE(3822),
    [aux_sym_export_statement_repeat1] = STATE(4407),
    [aux_sym_object_repeat1] = STATE(4526),
    [aux_sym_object_pattern_repeat1] = STATE(4878),
    [sym_identifier] = ACTIONS(3350),
    [anon_sym_export] = ACTIONS(3352),
    [anon_sym_STAR] = ACTIONS(3280),
    [anon_sym_type] = ACTIONS(3350),
    [anon_sym_namespace] = ACTIONS(3350),
    [anon_sym_LBRACE] = ACTIONS(3282),
    [anon_sym_COMMA] = ACTIONS(3284),
    [anon_sym_RBRACE] = ACTIONS(3354),
    [anon_sym_let] = ACTIONS(3350),
    [anon_sym_LPAREN] = ACTIONS(3288),
    [anon_sym_SEMI] = ACTIONS(3290),
    [anon_sym_LBRACK] = ACTIONS(3292),
    [anon_sym_DQUOTE] = ACTIONS(1635),
    [anon_sym_SQUOTE] = ACTIONS(1637),
    [anon_sym_async] = ACTIONS(3356),
    [anon_sym_new] = ACTIONS(3358),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(251),
    [anon_sym_PLUS] = ACTIONS(3298),
    [anon_sym_DASH] = ACTIONS(3298),
    [anon_sym_LT] = ACTIONS(2570),
    [sym_comment] = ACTIONS(5),
    [sym_number] = ACTIONS(3300),
    [sym_private_property_identifier] = ACTIONS(3300),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(3360),
    [anon_sym_readonly] = ACTIONS(3362),
    [anon_sym_get] = ACTIONS(3364),
    [anon_sym_set] = ACTIONS(3364),
    [anon_sym_declare] = ACTIONS(3350),
    [anon_sym_public] = ACTIONS(3366),
    [anon_sym_private] = ACTIONS(3366),
    [anon_sym_protected] = ACTIONS(3366),
    [anon_sym_override] = ACTIONS(3368),
    [anon_sym_module] = ACTIONS(3350),
    [anon_sym_any] = ACTIONS(3350),
    [anon_sym_number] = ACTIONS(3350),
    [anon_sym_boolean] = ACTIONS(3350),
    [anon_sym_string] = ACTIONS(3350),
    [anon_sym_symbol] = ACTIONS(3350),
    [anon_sym_object] = ACTIONS(3350),
    [anon_sym_abstract] = ACTIONS(3312),
    [anon_sym_PIPE_RBRACE] = ACTIONS(3314),
    [sym_html_comment] = ACTIONS(5),
  },
  [1157] = {
    [sym_export_statement] = STATE(3822),
    [sym_object_pattern] = STATE(5595),
    [sym_object_assignment_pattern] = STATE(4567),
    [sym_array_pattern] = STATE(5595),
    [sym__call_signature] = STATE(4102),
    [sym__destructuring_pattern] = STATE(5595),
    [sym_spread_element] = STATE(4704),
    [sym_string] = STATE(3156),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3307),
    [sym_rest_pattern] = STATE(4567),
    [sym_method_definition] = STATE(4704),
    [sym_pair] = STATE(4704),
    [sym_pair_pattern] = STATE(4567),
    [sym__property_name] = STATE(3156),
    [sym_computed_property_name] = STATE(3156),
    [sym_method_signature] = STATE(3822),
    [sym_accessibility_modifier] = STATE(2773),
    [sym_override_modifier] = STATE(2794),
    [sym_call_signature] = STATE(3822),
    [sym_property_signature] = STATE(3822),
    [sym_type_parameters] = STATE(5222),
    [sym_construct_signature] = STATE(3822),
    [sym_index_signature] = STATE(3822),
    [aux_sym_export_statement_repeat1] = STATE(4407),
    [aux_sym_object_repeat1] = STATE(4657),
    [aux_sym_object_pattern_repeat1] = STATE(4878),
    [sym_identifier] = ACTIONS(3370),
    [anon_sym_export] = ACTIONS(3372),
    [anon_sym_STAR] = ACTIONS(3280),
    [anon_sym_type] = ACTIONS(3370),
    [anon_sym_namespace] = ACTIONS(3370),
    [anon_sym_LBRACE] = ACTIONS(3282),
    [anon_sym_COMMA] = ACTIONS(3284),
    [anon_sym_RBRACE] = ACTIONS(3374),
    [anon_sym_let] = ACTIONS(3370),
    [anon_sym_LPAREN] = ACTIONS(3288),
    [anon_sym_SEMI] = ACTIONS(3290),
    [anon_sym_LBRACK] = ACTIONS(3292),
    [anon_sym_DQUOTE] = ACTIONS(1635),
    [anon_sym_SQUOTE] = ACTIONS(1637),
    [anon_sym_async] = ACTIONS(3376),
    [anon_sym_new] = ACTIONS(3378),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(251),
    [anon_sym_PLUS] = ACTIONS(3298),
    [anon_sym_DASH] = ACTIONS(3298),
    [anon_sym_LT] = ACTIONS(2570),
    [sym_comment] = ACTIONS(5),
    [sym_number] = ACTIONS(3300),
    [sym_private_property_identifier] = ACTIONS(3300),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(3380),
    [anon_sym_readonly] = ACTIONS(3382),
    [anon_sym_get] = ACTIONS(3384),
    [anon_sym_set] = ACTIONS(3384),
    [anon_sym_declare] = ACTIONS(3370),
    [anon_sym_public] = ACTIONS(3386),
    [anon_sym_private] = ACTIONS(3386),
    [anon_sym_protected] = ACTIONS(3386),
    [anon_sym_override] = ACTIONS(3388),
    [anon_sym_module] = ACTIONS(3370),
    [anon_sym_any] = ACTIONS(3370),
    [anon_sym_number] = ACTIONS(3370),
    [anon_sym_boolean] = ACTIONS(3370),
    [anon_sym_string] = ACTIONS(3370),
    [anon_sym_symbol] = ACTIONS(3370),
    [anon_sym_object] = ACTIONS(3370),
    [anon_sym_abstract] = ACTIONS(3312),
    [anon_sym_PIPE_RBRACE] = ACTIONS(3314),
    [sym_html_comment] = ACTIONS(5),
  },
  [1158] = {
    [sym_export_statement] = STATE(3822),
    [sym_object_pattern] = STATE(5595),
    [sym_object_assignment_pattern] = STATE(4567),
    [sym_array_pattern] = STATE(5595),
    [sym__call_signature] = STATE(4102),
    [sym__destructuring_pattern] = STATE(5595),
    [sym_spread_element] = STATE(5136),
    [sym_string] = STATE(3156),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3307),
    [sym_rest_pattern] = STATE(4567),
    [sym_method_definition] = STATE(5136),
    [sym_pair] = STATE(5136),
    [sym_pair_pattern] = STATE(4567),
    [sym__property_name] = STATE(3156),
    [sym_computed_property_name] = STATE(3156),
    [sym_method_signature] = STATE(3822),
    [sym_accessibility_modifier] = STATE(2773),
    [sym_override_modifier] = STATE(2794),
    [sym_call_signature] = STATE(3822),
    [sym_property_signature] = STATE(3822),
    [sym_type_parameters] = STATE(5222),
    [sym_construct_signature] = STATE(3822),
    [sym_index_signature] = STATE(3822),
    [aux_sym_export_statement_repeat1] = STATE(4407),
    [aux_sym_object_repeat1] = STATE(4526),
    [aux_sym_object_pattern_repeat1] = STATE(4878),
    [sym_identifier] = ACTIONS(3322),
    [anon_sym_export] = ACTIONS(3324),
    [anon_sym_STAR] = ACTIONS(3280),
    [anon_sym_type] = ACTIONS(3322),
    [anon_sym_namespace] = ACTIONS(3322),
    [anon_sym_LBRACE] = ACTIONS(3282),
    [anon_sym_COMMA] = ACTIONS(3284),
    [anon_sym_RBRACE] = ACTIONS(3390),
    [anon_sym_let] = ACTIONS(3322),
    [anon_sym_LPAREN] = ACTIONS(3288),
    [anon_sym_SEMI] = ACTIONS(3290),
    [anon_sym_LBRACK] = ACTIONS(3292),
    [anon_sym_DQUOTE] = ACTIONS(1635),
    [anon_sym_SQUOTE] = ACTIONS(1637),
    [anon_sym_async] = ACTIONS(3328),
    [anon_sym_new] = ACTIONS(3330),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(251),
    [anon_sym_PLUS] = ACTIONS(3298),
    [anon_sym_DASH] = ACTIONS(3298),
    [anon_sym_LT] = ACTIONS(2570),
    [sym_comment] = ACTIONS(5),
    [sym_number] = ACTIONS(3300),
    [sym_private_property_identifier] = ACTIONS(3300),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(3332),
    [anon_sym_readonly] = ACTIONS(3334),
    [anon_sym_get] = ACTIONS(3336),
    [anon_sym_set] = ACTIONS(3336),
    [anon_sym_declare] = ACTIONS(3322),
    [anon_sym_public] = ACTIONS(3338),
    [anon_sym_private] = ACTIONS(3338),
    [anon_sym_protected] = ACTIONS(3338),
    [anon_sym_override] = ACTIONS(3340),
    [anon_sym_module] = ACTIONS(3322),
    [anon_sym_any] = ACTIONS(3322),
    [anon_sym_number] = ACTIONS(3322),
    [anon_sym_boolean] = ACTIONS(3322),
    [anon_sym_string] = ACTIONS(3322),
    [anon_sym_symbol] = ACTIONS(3322),
    [anon_sym_object] = ACTIONS(3322),
    [anon_sym_abstract] = ACTIONS(3312),
    [anon_sym_PIPE_RBRACE] = ACTIONS(3314),
    [sym_html_comment] = ACTIONS(5),
  },
  [1159] = {
    [sym_export_statement] = STATE(3822),
    [sym_object_pattern] = STATE(5595),
    [sym_object_assignment_pattern] = STATE(4567),
    [sym_array_pattern] = STATE(5595),
    [sym__call_signature] = STATE(4102),
    [sym__destructuring_pattern] = STATE(5595),
    [sym_spread_element] = STATE(5136),
    [sym_string] = STATE(3156),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3307),
    [sym_rest_pattern] = STATE(4567),
    [sym_method_definition] = STATE(5136),
    [sym_pair] = STATE(5136),
    [sym_pair_pattern] = STATE(4567),
    [sym__property_name] = STATE(3156),
    [sym_computed_property_name] = STATE(3156),
    [sym_method_signature] = STATE(3822),
    [sym_accessibility_modifier] = STATE(2773),
    [sym_override_modifier] = STATE(2794),
    [sym_call_signature] = STATE(3822),
    [sym_property_signature] = STATE(3822),
    [sym_type_parameters] = STATE(5222),
    [sym_construct_signature] = STATE(3822),
    [sym_index_signature] = STATE(3822),
    [aux_sym_export_statement_repeat1] = STATE(4407),
    [aux_sym_object_repeat1] = STATE(4526),
    [aux_sym_object_pattern_repeat1] = STATE(4878),
    [sym_identifier] = ACTIONS(3322),
    [anon_sym_export] = ACTIONS(3324),
    [anon_sym_STAR] = ACTIONS(3280),
    [anon_sym_type] = ACTIONS(3322),
    [anon_sym_namespace] = ACTIONS(3322),
    [anon_sym_LBRACE] = ACTIONS(3282),
    [anon_sym_COMMA] = ACTIONS(3284),
    [anon_sym_RBRACE] = ACTIONS(3320),
    [anon_sym_let] = ACTIONS(3322),
    [anon_sym_LPAREN] = ACTIONS(3288),
    [anon_sym_SEMI] = ACTIONS(3290),
    [anon_sym_LBRACK] = ACTIONS(3292),
    [anon_sym_DQUOTE] = ACTIONS(1635),
    [anon_sym_SQUOTE] = ACTIONS(1637),
    [anon_sym_async] = ACTIONS(3328),
    [anon_sym_new] = ACTIONS(3330),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(251),
    [anon_sym_PLUS] = ACTIONS(3298),
    [anon_sym_DASH] = ACTIONS(3298),
    [anon_sym_LT] = ACTIONS(2570),
    [sym_comment] = ACTIONS(5),
    [sym_number] = ACTIONS(3300),
    [sym_private_property_identifier] = ACTIONS(3300),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(3332),
    [anon_sym_readonly] = ACTIONS(3334),
    [anon_sym_get] = ACTIONS(3336),
    [anon_sym_set] = ACTIONS(3336),
    [anon_sym_declare] = ACTIONS(3322),
    [anon_sym_public] = ACTIONS(3338),
    [anon_sym_private] = ACTIONS(3338),
    [anon_sym_protected] = ACTIONS(3338),
    [anon_sym_override] = ACTIONS(3340),
    [anon_sym_module] = ACTIONS(3322),
    [anon_sym_any] = ACTIONS(3322),
    [anon_sym_number] = ACTIONS(3322),
    [anon_sym_boolean] = ACTIONS(3322),
    [anon_sym_string] = ACTIONS(3322),
    [anon_sym_symbol] = ACTIONS(3322),
    [anon_sym_object] = ACTIONS(3322),
    [anon_sym_abstract] = ACTIONS(3312),
    [anon_sym_PIPE_RBRACE] = ACTIONS(3314),
    [sym_html_comment] = ACTIONS(5),
  },
  [1160] = {
    [sym_identifier] = ACTIONS(3392),
    [anon_sym_export] = ACTIONS(3392),
    [anon_sym_type] = ACTIONS(3392),
    [anon_sym_EQ] = ACTIONS(3392),
    [anon_sym_namespace] = ACTIONS(3392),
    [anon_sym_LBRACE] = ACTIONS(3394),
    [anon_sym_COMMA] = ACTIONS(3394),
    [anon_sym_RBRACE] = ACTIONS(3394),
    [anon_sym_typeof] = ACTIONS(3392),
    [anon_sym_import] = ACTIONS(3392),
    [anon_sym_let] = ACTIONS(3392),
    [anon_sym_BANG] = ACTIONS(3394),
    [anon_sym_LPAREN] = ACTIONS(3394),
    [anon_sym_RPAREN] = ACTIONS(3394),
    [anon_sym_await] = ACTIONS(3392),
    [anon_sym_COLON] = ACTIONS(3394),
    [anon_sym_yield] = ACTIONS(3392),
    [anon_sym_LBRACK] = ACTIONS(3394),
    [anon_sym_RBRACK] = ACTIONS(3394),
    [sym_glimmer_opening_tag] = ACTIONS(3394),
    [anon_sym_GT] = ACTIONS(3394),
    [anon_sym_DQUOTE] = ACTIONS(3394),
    [anon_sym_SQUOTE] = ACTIONS(3394),
    [anon_sym_class] = ACTIONS(3392),
    [anon_sym_async] = ACTIONS(3392),
    [anon_sym_function] = ACTIONS(3392),
    [anon_sym_EQ_GT] = ACTIONS(3394),
    [anon_sym_new] = ACTIONS(3392),
    [anon_sym_using] = ACTIONS(3392),
    [anon_sym_AMP] = ACTIONS(3394),
    [anon_sym_PIPE] = ACTIONS(3394),
    [anon_sym_PLUS] = ACTIONS(3392),
    [anon_sym_DASH] = ACTIONS(3392),
    [anon_sym_SLASH] = ACTIONS(3392),
    [anon_sym_LT] = ACTIONS(3392),
    [anon_sym_TILDE] = ACTIONS(3394),
    [anon_sym_void] = ACTIONS(3392),
    [anon_sym_delete] = ACTIONS(3392),
    [anon_sym_PLUS_PLUS] = ACTIONS(3394),
    [anon_sym_DASH_DASH] = ACTIONS(3394),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3394),
    [sym_number] = ACTIONS(3394),
    [sym_private_property_identifier] = ACTIONS(3394),
    [sym_this] = ACTIONS(3392),
    [sym_super] = ACTIONS(3392),
    [sym_true] = ACTIONS(3392),
    [sym_false] = ACTIONS(3392),
    [sym_null] = ACTIONS(3392),
    [sym_undefined] = ACTIONS(3392),
    [anon_sym_AT] = ACTIONS(3394),
    [anon_sym_static] = ACTIONS(3392),
    [anon_sym_readonly] = ACTIONS(3392),
    [anon_sym_get] = ACTIONS(3392),
    [anon_sym_set] = ACTIONS(3392),
    [anon_sym_QMARK] = ACTIONS(3394),
    [anon_sym_declare] = ACTIONS(3392),
    [anon_sym_public] = ACTIONS(3392),
    [anon_sym_private] = ACTIONS(3392),
    [anon_sym_protected] = ACTIONS(3392),
    [anon_sym_override] = ACTIONS(3392),
    [anon_sym_module] = ACTIONS(3392),
    [anon_sym_any] = ACTIONS(3392),
    [anon_sym_number] = ACTIONS(3392),
    [anon_sym_boolean] = ACTIONS(3392),
    [anon_sym_string] = ACTIONS(3392),
    [anon_sym_symbol] = ACTIONS(3392),
    [anon_sym_object] = ACTIONS(3392),
    [anon_sym_extends] = ACTIONS(3392),
    [sym_html_comment] = ACTIONS(5),
  },
  [1161] = {
    [sym_export_statement] = STATE(3822),
    [sym_object_pattern] = STATE(5595),
    [sym_object_assignment_pattern] = STATE(4567),
    [sym_array_pattern] = STATE(5595),
    [sym__call_signature] = STATE(4102),
    [sym__destructuring_pattern] = STATE(5595),
    [sym_spread_element] = STATE(5136),
    [sym_string] = STATE(3156),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3307),
    [sym_rest_pattern] = STATE(4567),
    [sym_method_definition] = STATE(5136),
    [sym_pair] = STATE(5136),
    [sym_pair_pattern] = STATE(4567),
    [sym__property_name] = STATE(3156),
    [sym_computed_property_name] = STATE(3156),
    [sym_method_signature] = STATE(3822),
    [sym_accessibility_modifier] = STATE(2773),
    [sym_override_modifier] = STATE(2794),
    [sym_call_signature] = STATE(3822),
    [sym_property_signature] = STATE(3822),
    [sym_type_parameters] = STATE(5222),
    [sym_construct_signature] = STATE(3822),
    [sym_index_signature] = STATE(3822),
    [aux_sym_export_statement_repeat1] = STATE(4407),
    [aux_sym_object_repeat1] = STATE(4526),
    [aux_sym_object_pattern_repeat1] = STATE(4878),
    [sym_identifier] = ACTIONS(3276),
    [anon_sym_export] = ACTIONS(3278),
    [anon_sym_STAR] = ACTIONS(3280),
    [anon_sym_type] = ACTIONS(3276),
    [anon_sym_namespace] = ACTIONS(3276),
    [anon_sym_LBRACE] = ACTIONS(3282),
    [anon_sym_COMMA] = ACTIONS(3284),
    [anon_sym_RBRACE] = ACTIONS(3396),
    [anon_sym_let] = ACTIONS(3276),
    [anon_sym_LPAREN] = ACTIONS(3288),
    [anon_sym_SEMI] = ACTIONS(3290),
    [anon_sym_LBRACK] = ACTIONS(3292),
    [anon_sym_DQUOTE] = ACTIONS(1635),
    [anon_sym_SQUOTE] = ACTIONS(1637),
    [anon_sym_async] = ACTIONS(3294),
    [anon_sym_new] = ACTIONS(3296),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(251),
    [anon_sym_PLUS] = ACTIONS(3298),
    [anon_sym_DASH] = ACTIONS(3298),
    [anon_sym_LT] = ACTIONS(2570),
    [sym_comment] = ACTIONS(5),
    [sym_number] = ACTIONS(3300),
    [sym_private_property_identifier] = ACTIONS(3300),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(3302),
    [anon_sym_readonly] = ACTIONS(3304),
    [anon_sym_get] = ACTIONS(3306),
    [anon_sym_set] = ACTIONS(3306),
    [anon_sym_declare] = ACTIONS(3276),
    [anon_sym_public] = ACTIONS(3308),
    [anon_sym_private] = ACTIONS(3308),
    [anon_sym_protected] = ACTIONS(3308),
    [anon_sym_override] = ACTIONS(3310),
    [anon_sym_module] = ACTIONS(3276),
    [anon_sym_any] = ACTIONS(3276),
    [anon_sym_number] = ACTIONS(3276),
    [anon_sym_boolean] = ACTIONS(3276),
    [anon_sym_string] = ACTIONS(3276),
    [anon_sym_symbol] = ACTIONS(3276),
    [anon_sym_object] = ACTIONS(3276),
    [anon_sym_abstract] = ACTIONS(3312),
    [anon_sym_PIPE_RBRACE] = ACTIONS(3314),
    [sym_html_comment] = ACTIONS(5),
  },
  [1162] = {
    [sym_identifier] = ACTIONS(3398),
    [anon_sym_export] = ACTIONS(3398),
    [anon_sym_type] = ACTIONS(3398),
    [anon_sym_EQ] = ACTIONS(3398),
    [anon_sym_namespace] = ACTIONS(3398),
    [anon_sym_LBRACE] = ACTIONS(3400),
    [anon_sym_COMMA] = ACTIONS(3400),
    [anon_sym_RBRACE] = ACTIONS(3400),
    [anon_sym_typeof] = ACTIONS(3398),
    [anon_sym_import] = ACTIONS(3398),
    [anon_sym_let] = ACTIONS(3398),
    [anon_sym_BANG] = ACTIONS(3400),
    [anon_sym_LPAREN] = ACTIONS(3400),
    [anon_sym_RPAREN] = ACTIONS(3400),
    [anon_sym_await] = ACTIONS(3398),
    [anon_sym_COLON] = ACTIONS(3400),
    [anon_sym_yield] = ACTIONS(3398),
    [anon_sym_LBRACK] = ACTIONS(3400),
    [anon_sym_RBRACK] = ACTIONS(3400),
    [sym_glimmer_opening_tag] = ACTIONS(3400),
    [anon_sym_GT] = ACTIONS(3400),
    [anon_sym_DQUOTE] = ACTIONS(3400),
    [anon_sym_SQUOTE] = ACTIONS(3400),
    [anon_sym_class] = ACTIONS(3398),
    [anon_sym_async] = ACTIONS(3398),
    [anon_sym_function] = ACTIONS(3398),
    [anon_sym_EQ_GT] = ACTIONS(3400),
    [anon_sym_new] = ACTIONS(3398),
    [anon_sym_using] = ACTIONS(3398),
    [anon_sym_AMP] = ACTIONS(3400),
    [anon_sym_PIPE] = ACTIONS(3400),
    [anon_sym_PLUS] = ACTIONS(3398),
    [anon_sym_DASH] = ACTIONS(3398),
    [anon_sym_SLASH] = ACTIONS(3398),
    [anon_sym_LT] = ACTIONS(3398),
    [anon_sym_TILDE] = ACTIONS(3400),
    [anon_sym_void] = ACTIONS(3398),
    [anon_sym_delete] = ACTIONS(3398),
    [anon_sym_PLUS_PLUS] = ACTIONS(3400),
    [anon_sym_DASH_DASH] = ACTIONS(3400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3400),
    [sym_number] = ACTIONS(3400),
    [sym_private_property_identifier] = ACTIONS(3400),
    [sym_this] = ACTIONS(3398),
    [sym_super] = ACTIONS(3398),
    [sym_true] = ACTIONS(3398),
    [sym_false] = ACTIONS(3398),
    [sym_null] = ACTIONS(3398),
    [sym_undefined] = ACTIONS(3398),
    [anon_sym_AT] = ACTIONS(3400),
    [anon_sym_static] = ACTIONS(3398),
    [anon_sym_readonly] = ACTIONS(3398),
    [anon_sym_get] = ACTIONS(3398),
    [anon_sym_set] = ACTIONS(3398),
    [anon_sym_QMARK] = ACTIONS(3400),
    [anon_sym_declare] = ACTIONS(3398),
    [anon_sym_public] = ACTIONS(3398),
    [anon_sym_private] = ACTIONS(3398),
    [anon_sym_protected] = ACTIONS(3398),
    [anon_sym_override] = ACTIONS(3398),
    [anon_sym_module] = ACTIONS(3398),
    [anon_sym_any] = ACTIONS(3398),
    [anon_sym_number] = ACTIONS(3398),
    [anon_sym_boolean] = ACTIONS(3398),
    [anon_sym_string] = ACTIONS(3398),
    [anon_sym_symbol] = ACTIONS(3398),
    [anon_sym_object] = ACTIONS(3398),
    [anon_sym_extends] = ACTIONS(3398),
    [sym_html_comment] = ACTIONS(5),
  },
  [1163] = {
    [sym_export_statement] = STATE(3822),
    [sym_object_pattern] = STATE(5595),
    [sym_object_assignment_pattern] = STATE(4567),
    [sym_array_pattern] = STATE(5595),
    [sym__call_signature] = STATE(4102),
    [sym__destructuring_pattern] = STATE(5595),
    [sym_spread_element] = STATE(5136),
    [sym_string] = STATE(3156),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3307),
    [sym_rest_pattern] = STATE(4567),
    [sym_method_definition] = STATE(5136),
    [sym_pair] = STATE(5136),
    [sym_pair_pattern] = STATE(4567),
    [sym__property_name] = STATE(3156),
    [sym_computed_property_name] = STATE(3156),
    [sym_method_signature] = STATE(3822),
    [sym_accessibility_modifier] = STATE(2773),
    [sym_override_modifier] = STATE(2794),
    [sym_call_signature] = STATE(3822),
    [sym_property_signature] = STATE(3822),
    [sym_type_parameters] = STATE(5222),
    [sym_construct_signature] = STATE(3822),
    [sym_index_signature] = STATE(3822),
    [aux_sym_export_statement_repeat1] = STATE(4407),
    [aux_sym_object_repeat1] = STATE(4526),
    [aux_sym_object_pattern_repeat1] = STATE(4878),
    [sym_identifier] = ACTIONS(3350),
    [anon_sym_export] = ACTIONS(3352),
    [anon_sym_STAR] = ACTIONS(3280),
    [anon_sym_type] = ACTIONS(3350),
    [anon_sym_namespace] = ACTIONS(3350),
    [anon_sym_LBRACE] = ACTIONS(3282),
    [anon_sym_COMMA] = ACTIONS(3284),
    [anon_sym_RBRACE] = ACTIONS(3402),
    [anon_sym_let] = ACTIONS(3350),
    [anon_sym_LPAREN] = ACTIONS(3288),
    [anon_sym_SEMI] = ACTIONS(3290),
    [anon_sym_LBRACK] = ACTIONS(3292),
    [anon_sym_DQUOTE] = ACTIONS(1635),
    [anon_sym_SQUOTE] = ACTIONS(1637),
    [anon_sym_async] = ACTIONS(3356),
    [anon_sym_new] = ACTIONS(3358),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(251),
    [anon_sym_PLUS] = ACTIONS(3298),
    [anon_sym_DASH] = ACTIONS(3298),
    [anon_sym_LT] = ACTIONS(2570),
    [sym_comment] = ACTIONS(5),
    [sym_number] = ACTIONS(3300),
    [sym_private_property_identifier] = ACTIONS(3300),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(3360),
    [anon_sym_readonly] = ACTIONS(3362),
    [anon_sym_get] = ACTIONS(3364),
    [anon_sym_set] = ACTIONS(3364),
    [anon_sym_declare] = ACTIONS(3350),
    [anon_sym_public] = ACTIONS(3366),
    [anon_sym_private] = ACTIONS(3366),
    [anon_sym_protected] = ACTIONS(3366),
    [anon_sym_override] = ACTIONS(3368),
    [anon_sym_module] = ACTIONS(3350),
    [anon_sym_any] = ACTIONS(3350),
    [anon_sym_number] = ACTIONS(3350),
    [anon_sym_boolean] = ACTIONS(3350),
    [anon_sym_string] = ACTIONS(3350),
    [anon_sym_symbol] = ACTIONS(3350),
    [anon_sym_object] = ACTIONS(3350),
    [anon_sym_abstract] = ACTIONS(3312),
    [anon_sym_PIPE_RBRACE] = ACTIONS(3314),
    [sym_html_comment] = ACTIONS(5),
  },
  [1164] = {
    [sym_export_statement] = STATE(3822),
    [sym_object_pattern] = STATE(5595),
    [sym_object_assignment_pattern] = STATE(4567),
    [sym_array_pattern] = STATE(5595),
    [sym__call_signature] = STATE(4102),
    [sym__destructuring_pattern] = STATE(5595),
    [sym_spread_element] = STATE(4704),
    [sym_string] = STATE(3156),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3307),
    [sym_rest_pattern] = STATE(4567),
    [sym_method_definition] = STATE(4704),
    [sym_pair] = STATE(4704),
    [sym_pair_pattern] = STATE(4567),
    [sym__property_name] = STATE(3156),
    [sym_computed_property_name] = STATE(3156),
    [sym_method_signature] = STATE(3822),
    [sym_accessibility_modifier] = STATE(2773),
    [sym_override_modifier] = STATE(2794),
    [sym_call_signature] = STATE(3822),
    [sym_property_signature] = STATE(3822),
    [sym_type_parameters] = STATE(5222),
    [sym_construct_signature] = STATE(3822),
    [sym_index_signature] = STATE(3822),
    [aux_sym_export_statement_repeat1] = STATE(4407),
    [aux_sym_object_repeat1] = STATE(4657),
    [aux_sym_object_pattern_repeat1] = STATE(4878),
    [sym_identifier] = ACTIONS(3370),
    [anon_sym_export] = ACTIONS(3372),
    [anon_sym_STAR] = ACTIONS(3280),
    [anon_sym_type] = ACTIONS(3370),
    [anon_sym_namespace] = ACTIONS(3370),
    [anon_sym_LBRACE] = ACTIONS(3282),
    [anon_sym_COMMA] = ACTIONS(3284),
    [anon_sym_RBRACE] = ACTIONS(3404),
    [anon_sym_let] = ACTIONS(3370),
    [anon_sym_LPAREN] = ACTIONS(3288),
    [anon_sym_SEMI] = ACTIONS(3290),
    [anon_sym_LBRACK] = ACTIONS(3292),
    [anon_sym_DQUOTE] = ACTIONS(1635),
    [anon_sym_SQUOTE] = ACTIONS(1637),
    [anon_sym_async] = ACTIONS(3376),
    [anon_sym_new] = ACTIONS(3378),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(251),
    [anon_sym_PLUS] = ACTIONS(3298),
    [anon_sym_DASH] = ACTIONS(3298),
    [anon_sym_LT] = ACTIONS(2570),
    [sym_comment] = ACTIONS(5),
    [sym_number] = ACTIONS(3300),
    [sym_private_property_identifier] = ACTIONS(3300),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(3380),
    [anon_sym_readonly] = ACTIONS(3382),
    [anon_sym_get] = ACTIONS(3384),
    [anon_sym_set] = ACTIONS(3384),
    [anon_sym_declare] = ACTIONS(3370),
    [anon_sym_public] = ACTIONS(3386),
    [anon_sym_private] = ACTIONS(3386),
    [anon_sym_protected] = ACTIONS(3386),
    [anon_sym_override] = ACTIONS(3388),
    [anon_sym_module] = ACTIONS(3370),
    [anon_sym_any] = ACTIONS(3370),
    [anon_sym_number] = ACTIONS(3370),
    [anon_sym_boolean] = ACTIONS(3370),
    [anon_sym_string] = ACTIONS(3370),
    [anon_sym_symbol] = ACTIONS(3370),
    [anon_sym_object] = ACTIONS(3370),
    [anon_sym_abstract] = ACTIONS(3312),
    [anon_sym_PIPE_RBRACE] = ACTIONS(3314),
    [sym_html_comment] = ACTIONS(5),
  },
  [1165] = {
    [sym_export_statement] = STATE(3822),
    [sym_object_pattern] = STATE(5595),
    [sym_object_assignment_pattern] = STATE(4567),
    [sym_array_pattern] = STATE(5595),
    [sym__call_signature] = STATE(4102),
    [sym__destructuring_pattern] = STATE(5595),
    [sym_spread_element] = STATE(5136),
    [sym_string] = STATE(3156),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3307),
    [sym_rest_pattern] = STATE(4567),
    [sym_method_definition] = STATE(5136),
    [sym_pair] = STATE(5136),
    [sym_pair_pattern] = STATE(4567),
    [sym__property_name] = STATE(3156),
    [sym_computed_property_name] = STATE(3156),
    [sym_method_signature] = STATE(3822),
    [sym_accessibility_modifier] = STATE(2773),
    [sym_override_modifier] = STATE(2794),
    [sym_call_signature] = STATE(3822),
    [sym_property_signature] = STATE(3822),
    [sym_type_parameters] = STATE(5222),
    [sym_construct_signature] = STATE(3822),
    [sym_index_signature] = STATE(3822),
    [aux_sym_export_statement_repeat1] = STATE(4407),
    [aux_sym_object_repeat1] = STATE(4526),
    [aux_sym_object_pattern_repeat1] = STATE(4878),
    [sym_identifier] = ACTIONS(3406),
    [anon_sym_export] = ACTIONS(3408),
    [anon_sym_STAR] = ACTIONS(3280),
    [anon_sym_type] = ACTIONS(3406),
    [anon_sym_namespace] = ACTIONS(3406),
    [anon_sym_LBRACE] = ACTIONS(3282),
    [anon_sym_COMMA] = ACTIONS(3284),
    [anon_sym_RBRACE] = ACTIONS(3390),
    [anon_sym_let] = ACTIONS(3406),
    [anon_sym_LPAREN] = ACTIONS(3288),
    [anon_sym_SEMI] = ACTIONS(3290),
    [anon_sym_LBRACK] = ACTIONS(3292),
    [anon_sym_DQUOTE] = ACTIONS(1635),
    [anon_sym_SQUOTE] = ACTIONS(1637),
    [anon_sym_async] = ACTIONS(3410),
    [anon_sym_new] = ACTIONS(3412),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(251),
    [anon_sym_PLUS] = ACTIONS(3298),
    [anon_sym_DASH] = ACTIONS(3298),
    [anon_sym_LT] = ACTIONS(2570),
    [sym_comment] = ACTIONS(5),
    [sym_number] = ACTIONS(3300),
    [sym_private_property_identifier] = ACTIONS(3300),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(3414),
    [anon_sym_readonly] = ACTIONS(3416),
    [anon_sym_get] = ACTIONS(3418),
    [anon_sym_set] = ACTIONS(3418),
    [anon_sym_declare] = ACTIONS(3406),
    [anon_sym_public] = ACTIONS(3420),
    [anon_sym_private] = ACTIONS(3420),
    [anon_sym_protected] = ACTIONS(3420),
    [anon_sym_override] = ACTIONS(3422),
    [anon_sym_module] = ACTIONS(3406),
    [anon_sym_any] = ACTIONS(3406),
    [anon_sym_number] = ACTIONS(3406),
    [anon_sym_boolean] = ACTIONS(3406),
    [anon_sym_string] = ACTIONS(3406),
    [anon_sym_symbol] = ACTIONS(3406),
    [anon_sym_object] = ACTIONS(3406),
    [anon_sym_abstract] = ACTIONS(3312),
    [anon_sym_PIPE_RBRACE] = ACTIONS(3314),
    [sym_html_comment] = ACTIONS(5),
  },
  [1166] = {
    [sym_variable_declarator] = STATE(4464),
    [sym_object_pattern] = STATE(3673),
    [sym_array_pattern] = STATE(3673),
    [sym__destructuring_pattern] = STATE(3673),
    [aux_sym_object_repeat1] = STATE(4824),
    [aux_sym_object_pattern_repeat1] = STATE(4835),
    [sym_identifier] = ACTIONS(3424),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_EQ] = ACTIONS(666),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_LBRACE] = ACTIONS(3426),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_RBRACE] = ACTIONS(672),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2302),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(676),
    [anon_sym_LBRACK] = ACTIONS(3428),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_EQ_GT] = ACTIONS(687),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2311),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_QMARK] = ACTIONS(695),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [1167] = {
    [sym_nested_identifier] = STATE(764),
    [sym_string] = STATE(785),
    [sym__module] = STATE(930),
    [aux_sym_object_repeat1] = STATE(4824),
    [aux_sym_object_pattern_repeat1] = STATE(4835),
    [sym_identifier] = ACTIONS(3430),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_EQ] = ACTIONS(666),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_RBRACE] = ACTIONS(672),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2302),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(676),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_DQUOTE] = ACTIONS(1551),
    [anon_sym_SQUOTE] = ACTIONS(1553),
    [anon_sym_EQ_GT] = ACTIONS(687),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2311),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_QMARK] = ACTIONS(695),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [1168] = {
    [sym_nested_identifier] = STATE(213),
    [sym_string] = STATE(209),
    [sym__module] = STATE(220),
    [aux_sym_object_repeat1] = STATE(4905),
    [aux_sym_object_pattern_repeat1] = STATE(4835),
    [sym_identifier] = ACTIONS(3432),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_EQ] = ACTIONS(666),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_RBRACE] = ACTIONS(697),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2302),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(676),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_DQUOTE] = ACTIONS(3434),
    [anon_sym_SQUOTE] = ACTIONS(3436),
    [anon_sym_EQ_GT] = ACTIONS(687),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2311),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_QMARK] = ACTIONS(695),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [1169] = {
    [sym_nested_identifier] = STATE(213),
    [sym_string] = STATE(209),
    [sym__module] = STATE(220),
    [aux_sym_object_repeat1] = STATE(4905),
    [aux_sym_object_pattern_repeat1] = STATE(4835),
    [sym_identifier] = ACTIONS(3432),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_EQ] = ACTIONS(666),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_RBRACE] = ACTIONS(699),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2302),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(676),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_DQUOTE] = ACTIONS(3434),
    [anon_sym_SQUOTE] = ACTIONS(3436),
    [anon_sym_EQ_GT] = ACTIONS(687),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2311),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_QMARK] = ACTIONS(695),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [1170] = {
    [sym_variable_declarator] = STATE(4464),
    [sym_object_pattern] = STATE(3673),
    [sym_array_pattern] = STATE(3673),
    [sym__destructuring_pattern] = STATE(3673),
    [aux_sym_object_repeat1] = STATE(4905),
    [aux_sym_object_pattern_repeat1] = STATE(4835),
    [sym_identifier] = ACTIONS(3424),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_EQ] = ACTIONS(666),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_LBRACE] = ACTIONS(3426),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_RBRACE] = ACTIONS(699),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2302),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(676),
    [anon_sym_LBRACK] = ACTIONS(3428),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_EQ_GT] = ACTIONS(687),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2311),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_QMARK] = ACTIONS(695),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [1171] = {
    [sym_nested_identifier] = STATE(764),
    [sym_string] = STATE(785),
    [sym__module] = STATE(930),
    [aux_sym_object_repeat1] = STATE(4905),
    [aux_sym_object_pattern_repeat1] = STATE(4835),
    [sym_identifier] = ACTIONS(3430),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_EQ] = ACTIONS(666),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_RBRACE] = ACTIONS(699),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2302),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(676),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_DQUOTE] = ACTIONS(1551),
    [anon_sym_SQUOTE] = ACTIONS(1553),
    [anon_sym_EQ_GT] = ACTIONS(687),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2311),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_QMARK] = ACTIONS(695),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [1172] = {
    [sym_nested_identifier] = STATE(213),
    [sym_string] = STATE(209),
    [sym__module] = STATE(220),
    [aux_sym_object_repeat1] = STATE(4824),
    [aux_sym_object_pattern_repeat1] = STATE(4835),
    [sym_identifier] = ACTIONS(3432),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_EQ] = ACTIONS(666),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_RBRACE] = ACTIONS(672),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2302),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(676),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_DQUOTE] = ACTIONS(3434),
    [anon_sym_SQUOTE] = ACTIONS(3436),
    [anon_sym_EQ_GT] = ACTIONS(687),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2311),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_QMARK] = ACTIONS(695),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [1173] = {
    [sym_nested_identifier] = STATE(764),
    [sym_string] = STATE(785),
    [sym__module] = STATE(930),
    [aux_sym_object_repeat1] = STATE(4905),
    [aux_sym_object_pattern_repeat1] = STATE(4835),
    [sym_identifier] = ACTIONS(3430),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_EQ] = ACTIONS(666),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_RBRACE] = ACTIONS(697),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2302),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(676),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_DQUOTE] = ACTIONS(1551),
    [anon_sym_SQUOTE] = ACTIONS(1553),
    [anon_sym_EQ_GT] = ACTIONS(687),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2311),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_QMARK] = ACTIONS(695),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [1174] = {
    [sym_variable_declarator] = STATE(4464),
    [sym_object_pattern] = STATE(3673),
    [sym_array_pattern] = STATE(3673),
    [sym__destructuring_pattern] = STATE(3673),
    [aux_sym_object_repeat1] = STATE(4905),
    [aux_sym_object_pattern_repeat1] = STATE(4835),
    [sym_identifier] = ACTIONS(3424),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_EQ] = ACTIONS(666),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_LBRACE] = ACTIONS(3426),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_RBRACE] = ACTIONS(697),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2302),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(676),
    [anon_sym_LBRACK] = ACTIONS(3428),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_EQ_GT] = ACTIONS(687),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2311),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_QMARK] = ACTIONS(695),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [1175] = {
    [sym_nested_identifier] = STATE(1605),
    [sym_string] = STATE(1606),
    [sym__module] = STATE(1713),
    [sym_identifier] = ACTIONS(3438),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_EQ] = ACTIONS(831),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_COMMA] = ACTIONS(833),
    [anon_sym_RBRACE] = ACTIONS(833),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(161),
    [anon_sym_RPAREN] = ACTIONS(833),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(833),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_RBRACK] = ACTIONS(833),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_EQ_GT] = ACTIONS(159),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(122),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_QMARK] = ACTIONS(835),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [1176] = {
    [sym_nested_identifier] = STATE(1605),
    [sym_string] = STATE(1606),
    [sym__module] = STATE(1713),
    [sym_identifier] = ACTIONS(3438),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_EQ] = ACTIONS(119),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_COMMA] = ACTIONS(128),
    [anon_sym_RBRACE] = ACTIONS(128),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(161),
    [anon_sym_RPAREN] = ACTIONS(128),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(128),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_RBRACK] = ACTIONS(128),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_EQ_GT] = ACTIONS(159),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(122),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_QMARK] = ACTIONS(725),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [1177] = {
    [sym_nested_identifier] = STATE(1605),
    [sym_string] = STATE(1606),
    [sym__module] = STATE(1713),
    [sym_identifier] = ACTIONS(3438),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_EQ] = ACTIONS(841),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_RBRACE] = ACTIONS(161),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(161),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(161),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_RBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_EQ_GT] = ACTIONS(851),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(122),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [1178] = {
    [sym_nested_identifier] = STATE(1605),
    [sym_string] = STATE(1606),
    [sym__module] = STATE(1713),
    [sym_identifier] = ACTIONS(3438),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_EQ] = ACTIONS(831),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_RBRACE] = ACTIONS(161),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(161),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(161),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_RBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_EQ_GT] = ACTIONS(851),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(122),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [1179] = {
    [sym_export_statement] = STATE(3767),
    [sym_object_pattern] = STATE(5595),
    [sym_object_assignment_pattern] = STATE(5247),
    [sym_array_pattern] = STATE(5595),
    [sym__call_signature] = STATE(4102),
    [sym__destructuring_pattern] = STATE(5595),
    [sym_spread_element] = STATE(5250),
    [sym_string] = STATE(3156),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3307),
    [sym_rest_pattern] = STATE(5247),
    [sym_method_definition] = STATE(5250),
    [sym_pair] = STATE(5250),
    [sym_pair_pattern] = STATE(5247),
    [sym__property_name] = STATE(3156),
    [sym_computed_property_name] = STATE(3156),
    [sym_method_signature] = STATE(3767),
    [sym_accessibility_modifier] = STATE(2773),
    [sym_override_modifier] = STATE(2794),
    [sym_call_signature] = STATE(3767),
    [sym_property_signature] = STATE(3767),
    [sym_type_parameters] = STATE(5222),
    [sym_construct_signature] = STATE(3767),
    [sym_index_signature] = STATE(3767),
    [aux_sym_export_statement_repeat1] = STATE(4407),
    [sym_identifier] = ACTIONS(3440),
    [anon_sym_export] = ACTIONS(3442),
    [anon_sym_STAR] = ACTIONS(3280),
    [anon_sym_type] = ACTIONS(3440),
    [anon_sym_namespace] = ACTIONS(3440),
    [anon_sym_LBRACE] = ACTIONS(3282),
    [anon_sym_COMMA] = ACTIONS(3444),
    [anon_sym_RBRACE] = ACTIONS(3444),
    [anon_sym_let] = ACTIONS(3440),
    [anon_sym_LPAREN] = ACTIONS(3288),
    [anon_sym_LBRACK] = ACTIONS(3292),
    [anon_sym_DQUOTE] = ACTIONS(1635),
    [anon_sym_SQUOTE] = ACTIONS(1637),
    [anon_sym_async] = ACTIONS(3447),
    [anon_sym_new] = ACTIONS(3449),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(251),
    [anon_sym_PLUS] = ACTIONS(3298),
    [anon_sym_DASH] = ACTIONS(3298),
    [anon_sym_LT] = ACTIONS(2570),
    [sym_comment] = ACTIONS(5),
    [sym_number] = ACTIONS(3300),
    [sym_private_property_identifier] = ACTIONS(3300),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(3451),
    [anon_sym_readonly] = ACTIONS(3453),
    [anon_sym_get] = ACTIONS(3455),
    [anon_sym_set] = ACTIONS(3455),
    [anon_sym_declare] = ACTIONS(3440),
    [anon_sym_public] = ACTIONS(3457),
    [anon_sym_private] = ACTIONS(3457),
    [anon_sym_protected] = ACTIONS(3457),
    [anon_sym_override] = ACTIONS(3459),
    [anon_sym_module] = ACTIONS(3440),
    [anon_sym_any] = ACTIONS(3440),
    [anon_sym_number] = ACTIONS(3440),
    [anon_sym_boolean] = ACTIONS(3440),
    [anon_sym_string] = ACTIONS(3440),
    [anon_sym_symbol] = ACTIONS(3440),
    [anon_sym_object] = ACTIONS(3440),
    [anon_sym_abstract] = ACTIONS(3312),
    [sym_html_comment] = ACTIONS(5),
  },
  [1180] = {
    [sym_export_statement] = STATE(3756),
    [sym_object_pattern] = STATE(5595),
    [sym_object_assignment_pattern] = STATE(5247),
    [sym_array_pattern] = STATE(5595),
    [sym__call_signature] = STATE(4102),
    [sym__destructuring_pattern] = STATE(5595),
    [sym_spread_element] = STATE(5250),
    [sym_string] = STATE(3156),
    [sym_decorator] = STATE(1297),
    [sym_formal_parameters] = STATE(3307),
    [sym_rest_pattern] = STATE(5247),
    [sym_method_definition] = STATE(5250),
    [sym_pair] = STATE(5250),
    [sym_pair_pattern] = STATE(5247),
    [sym__property_name] = STATE(3156),
    [sym_computed_property_name] = STATE(3156),
    [sym_method_signature] = STATE(3756),
    [sym_accessibility_modifier] = STATE(2773),
    [sym_override_modifier] = STATE(2794),
    [sym_call_signature] = STATE(3756),
    [sym_property_signature] = STATE(3756),
    [sym_type_parameters] = STATE(5222),
    [sym_construct_signature] = STATE(3756),
    [sym_index_signature] = STATE(3756),
    [aux_sym_export_statement_repeat1] = STATE(4407),
    [sym_identifier] = ACTIONS(3440),
    [anon_sym_export] = ACTIONS(3442),
    [anon_sym_STAR] = ACTIONS(3280),
    [anon_sym_type] = ACTIONS(3440),
    [anon_sym_namespace] = ACTIONS(3440),
    [anon_sym_LBRACE] = ACTIONS(3282),
    [anon_sym_COMMA] = ACTIONS(3444),
    [anon_sym_RBRACE] = ACTIONS(3444),
    [anon_sym_let] = ACTIONS(3440),
    [anon_sym_LPAREN] = ACTIONS(3288),
    [anon_sym_LBRACK] = ACTIONS(3292),
    [anon_sym_DQUOTE] = ACTIONS(1635),
    [anon_sym_SQUOTE] = ACTIONS(1637),
    [anon_sym_async] = ACTIONS(3447),
    [anon_sym_new] = ACTIONS(3449),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(251),
    [anon_sym_PLUS] = ACTIONS(3298),
    [anon_sym_DASH] = ACTIONS(3298),
    [anon_sym_LT] = ACTIONS(2570),
    [sym_comment] = ACTIONS(5),
    [sym_number] = ACTIONS(3300),
    [sym_private_property_identifier] = ACTIONS(3300),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(3451),
    [anon_sym_readonly] = ACTIONS(3453),
    [anon_sym_get] = ACTIONS(3455),
    [anon_sym_set] = ACTIONS(3455),
    [anon_sym_declare] = ACTIONS(3440),
    [anon_sym_public] = ACTIONS(3457),
    [anon_sym_private] = ACTIONS(3457),
    [anon_sym_protected] = ACTIONS(3457),
    [anon_sym_override] = ACTIONS(3459),
    [anon_sym_module] = ACTIONS(3440),
    [anon_sym_any] = ACTIONS(3440),
    [anon_sym_number] = ACTIONS(3440),
    [anon_sym_boolean] = ACTIONS(3440),
    [anon_sym_string] = ACTIONS(3440),
    [anon_sym_symbol] = ACTIONS(3440),
    [anon_sym_object] = ACTIONS(3440),
    [anon_sym_abstract] = ACTIONS(3312),
    [sym_html_comment] = ACTIONS(5),
  },
  [1181] = {
    [sym_nested_identifier] = STATE(1624),
    [sym_string] = STATE(1626),
    [sym__module] = STATE(1770),
    [sym_identifier] = ACTIONS(3461),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_EQ] = ACTIONS(875),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(161),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_of] = ACTIONS(122),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_EQ_GT] = ACTIONS(881),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(122),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [1182] = {
    [sym_nested_identifier] = STATE(1605),
    [sym_string] = STATE(1606),
    [sym__module] = STATE(1713),
    [sym_identifier] = ACTIONS(3438),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_EQ] = ACTIONS(831),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(161),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_of] = ACTIONS(122),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_EQ_GT] = ACTIONS(881),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(122),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [1183] = {
    [sym_nested_identifier] = STATE(1624),
    [sym_string] = STATE(1626),
    [sym__module] = STATE(1770),
    [sym_identifier] = ACTIONS(3461),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_EQ] = ACTIONS(855),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_RBRACE] = ACTIONS(161),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(161),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_EQ_GT] = ACTIONS(687),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(122),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [1184] = {
    [sym_nested_identifier] = STATE(1624),
    [sym_string] = STATE(1626),
    [sym__module] = STATE(1770),
    [sym_identifier] = ACTIONS(3461),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_EQ] = ACTIONS(855),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(161),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(857),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_EQ_GT] = ACTIONS(687),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(122),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [1185] = {
    [sym_nested_identifier] = STATE(213),
    [sym_string] = STATE(209),
    [sym__module] = STATE(220),
    [sym_identifier] = ACTIONS(3432),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_EQ] = ACTIONS(855),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(161),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(869),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_DQUOTE] = ACTIONS(3434),
    [anon_sym_SQUOTE] = ACTIONS(3436),
    [anon_sym_EQ_GT] = ACTIONS(687),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(122),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [1186] = {
    [sym_nested_identifier] = STATE(764),
    [sym_string] = STATE(785),
    [sym__module] = STATE(930),
    [sym_identifier] = ACTIONS(3430),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_EQ] = ACTIONS(855),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(161),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(869),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_DQUOTE] = ACTIONS(1551),
    [anon_sym_SQUOTE] = ACTIONS(1553),
    [anon_sym_EQ_GT] = ACTIONS(687),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(122),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [1187] = {
    [sym_variable_declarator] = STATE(4464),
    [sym_object_pattern] = STATE(3673),
    [sym_array_pattern] = STATE(3673),
    [sym__destructuring_pattern] = STATE(3673),
    [sym_identifier] = ACTIONS(3424),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_EQ] = ACTIONS(855),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_LBRACE] = ACTIONS(3426),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(161),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(869),
    [anon_sym_LBRACK] = ACTIONS(3428),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_EQ_GT] = ACTIONS(687),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(122),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [1188] = {
    [sym_variable_declarator] = STATE(4464),
    [sym_object_pattern] = STATE(3673),
    [sym_array_pattern] = STATE(3673),
    [sym__destructuring_pattern] = STATE(3673),
    [sym_identifier] = ACTIONS(3424),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_EQ] = ACTIONS(855),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_LBRACE] = ACTIONS(3426),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(161),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(857),
    [anon_sym_LBRACK] = ACTIONS(3428),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_EQ_GT] = ACTIONS(687),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(122),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [1189] = {
    [sym_nested_identifier] = STATE(1605),
    [sym_string] = STATE(1606),
    [sym__module] = STATE(1713),
    [sym_identifier] = ACTIONS(3438),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_EQ] = ACTIONS(841),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_COMMA] = ACTIONS(892),
    [anon_sym_RBRACE] = ACTIONS(892),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(161),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(833),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_RBRACK] = ACTIONS(892),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_EQ_GT] = ACTIONS(851),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(122),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [1190] = {
    [sym_nested_identifier] = STATE(764),
    [sym_string] = STATE(785),
    [sym__module] = STATE(930),
    [sym_identifier] = ACTIONS(3430),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_EQ] = ACTIONS(855),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(161),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(857),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_DQUOTE] = ACTIONS(1551),
    [anon_sym_SQUOTE] = ACTIONS(1553),
    [anon_sym_EQ_GT] = ACTIONS(687),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(122),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [1191] = {
    [sym_nested_identifier] = STATE(1605),
    [sym_string] = STATE(1606),
    [sym__module] = STATE(1713),
    [sym_identifier] = ACTIONS(3438),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_EQ] = ACTIONS(831),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_RBRACE] = ACTIONS(161),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(161),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_EQ_GT] = ACTIONS(687),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(122),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [1192] = {
    [sym_nested_identifier] = STATE(1605),
    [sym_string] = STATE(1606),
    [sym__module] = STATE(1713),
    [sym_identifier] = ACTIONS(3438),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_EQ] = ACTIONS(221),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_COMMA] = ACTIONS(224),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(161),
    [anon_sym_RPAREN] = ACTIONS(224),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(224),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_EQ_GT] = ACTIONS(227),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(122),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_QMARK] = ACTIONS(725),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
};

static const uint16_t ts_small_parse_table[] = {
  [0] = 14,
    ACTIONS(666), 1,
      anon_sym_EQ,
    ACTIONS(676), 1,
      anon_sym_COLON,
    ACTIONS(687), 1,
      anon_sym_EQ_GT,
    ACTIONS(695), 1,
      anon_sym_QMARK,
    ACTIONS(699), 1,
      anon_sym_RBRACE,
    ACTIONS(2302), 1,
      anon_sym_LPAREN,
    ACTIONS(2311), 1,
      anon_sym_LT,
    ACTIONS(3463), 1,
      sym_identifier,
    STATE(4835), 1,
      aux_sym_object_pattern_repeat1,
    STATE(4905), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(161), 14,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 23,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [93] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3465), 23,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_QMARK,
    ACTIONS(3467), 39,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [164] = 15,
    ACTIONS(128), 1,
      anon_sym_COMMA,
    ACTIONS(149), 1,
      anon_sym_DQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE,
    ACTIONS(224), 1,
      anon_sym_RBRACK,
    ACTIONS(904), 1,
      anon_sym_EQ,
    ACTIONS(909), 1,
      anon_sym_COLON,
    ACTIONS(913), 1,
      anon_sym_EQ_GT,
    ACTIONS(3438), 1,
      sym_identifier,
    STATE(1605), 1,
      sym_nested_identifier,
    STATE(1606), 1,
      sym_string,
    STATE(1713), 1,
      sym__module,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(161), 12,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 24,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [259] = 14,
    ACTIONS(149), 1,
      anon_sym_DQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE,
    ACTIONS(841), 1,
      anon_sym_EQ,
    ACTIONS(851), 1,
      anon_sym_EQ_GT,
    ACTIONS(895), 1,
      anon_sym_in,
    ACTIONS(898), 1,
      anon_sym_of,
    ACTIONS(3438), 1,
      sym_identifier,
    STATE(1605), 1,
      sym_nested_identifier,
    STATE(1606), 1,
      sym_string,
    STATE(1713), 1,
      sym__module,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(161), 14,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 23,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [352] = 13,
    ACTIONS(841), 1,
      anon_sym_EQ,
    ACTIONS(851), 1,
      anon_sym_EQ_GT,
    ACTIONS(895), 1,
      anon_sym_in,
    ACTIONS(898), 1,
      anon_sym_of,
    ACTIONS(3426), 1,
      anon_sym_LBRACE,
    ACTIONS(3428), 1,
      anon_sym_LBRACK,
    ACTIONS(3469), 1,
      sym_identifier,
    STATE(4464), 1,
      sym_variable_declarator,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(3440), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
    ACTIONS(161), 13,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 23,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [443] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3471), 23,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_QMARK,
    ACTIONS(3473), 39,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [514] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3475), 23,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_QMARK,
    ACTIONS(3477), 39,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [585] = 12,
    ACTIONS(149), 1,
      anon_sym_DQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE,
    ACTIONS(939), 1,
      anon_sym_EQ,
    ACTIONS(945), 1,
      anon_sym_EQ_GT,
    ACTIONS(3438), 1,
      sym_identifier,
    STATE(1605), 1,
      sym_nested_identifier,
    STATE(1606), 1,
      sym_string,
    STATE(1713), 1,
      sym__module,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(161), 14,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 25,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
      anon_sym_implements,
  [674] = 12,
    ACTIONS(149), 1,
      anon_sym_DQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE,
    ACTIONS(831), 1,
      anon_sym_EQ,
    ACTIONS(945), 1,
      anon_sym_EQ_GT,
    ACTIONS(3438), 1,
      sym_identifier,
    STATE(1605), 1,
      sym_nested_identifier,
    STATE(1606), 1,
      sym_string,
    STATE(1713), 1,
      sym__module,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(161), 14,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 25,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
      anon_sym_implements,
  [763] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3479), 23,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_QMARK,
    ACTIONS(3481), 39,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [834] = 13,
    ACTIONS(149), 1,
      anon_sym_DQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE,
    ACTIONS(851), 1,
      anon_sym_EQ_GT,
    ACTIONS(887), 1,
      anon_sym_EQ,
    ACTIONS(3438), 1,
      sym_identifier,
    STATE(1605), 1,
      sym_nested_identifier,
    STATE(1606), 1,
      sym_string,
    STATE(1713), 1,
      sym__module,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(224), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
    ACTIONS(161), 12,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 24,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [925] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3483), 23,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_QMARK,
    ACTIONS(3485), 39,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [996] = 4,
    ACTIONS(3487), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3471), 23,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_QMARK,
    ACTIONS(3473), 38,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [1069] = 4,
    ACTIONS(3489), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3479), 23,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_QMARK,
    ACTIONS(3481), 38,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [1142] = 12,
    ACTIONS(149), 1,
      anon_sym_DQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE,
    ACTIONS(227), 1,
      anon_sym_EQ_GT,
    ACTIONS(890), 1,
      anon_sym_EQ,
    ACTIONS(3438), 1,
      sym_identifier,
    STATE(1605), 1,
      sym_nested_identifier,
    STATE(1606), 1,
      sym_string,
    STATE(1713), 1,
      sym__module,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(161), 15,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 24,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [1231] = 14,
    ACTIONS(666), 1,
      anon_sym_EQ,
    ACTIONS(676), 1,
      anon_sym_COLON,
    ACTIONS(687), 1,
      anon_sym_EQ_GT,
    ACTIONS(695), 1,
      anon_sym_QMARK,
    ACTIONS(697), 1,
      anon_sym_RBRACE,
    ACTIONS(2302), 1,
      anon_sym_LPAREN,
    ACTIONS(2311), 1,
      anon_sym_LT,
    ACTIONS(3463), 1,
      sym_identifier,
    STATE(4835), 1,
      aux_sym_object_pattern_repeat1,
    STATE(4905), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(161), 14,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 23,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [1324] = 14,
    ACTIONS(666), 1,
      anon_sym_EQ,
    ACTIONS(672), 1,
      anon_sym_RBRACE,
    ACTIONS(676), 1,
      anon_sym_COLON,
    ACTIONS(687), 1,
      anon_sym_EQ_GT,
    ACTIONS(695), 1,
      anon_sym_QMARK,
    ACTIONS(2302), 1,
      anon_sym_LPAREN,
    ACTIONS(2311), 1,
      anon_sym_LT,
    ACTIONS(3463), 1,
      sym_identifier,
    STATE(4824), 1,
      aux_sym_object_repeat1,
    STATE(4835), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(161), 14,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 23,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [1417] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3491), 23,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_QMARK,
    ACTIONS(3493), 39,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [1488] = 12,
    ACTIONS(149), 1,
      anon_sym_DQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE,
    ACTIONS(227), 1,
      anon_sym_EQ_GT,
    ACTIONS(831), 1,
      anon_sym_EQ,
    ACTIONS(3438), 1,
      sym_identifier,
    STATE(1605), 1,
      sym_nested_identifier,
    STATE(1606), 1,
      sym_string,
    STATE(1713), 1,
      sym__module,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(161), 15,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 24,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [1577] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3495), 23,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_QMARK,
    ACTIONS(3497), 39,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [1648] = 14,
    ACTIONS(3501), 1,
      anon_sym_EQ,
    ACTIONS(3507), 1,
      anon_sym_LPAREN,
    ACTIONS(3509), 1,
      anon_sym_DOT,
    ACTIONS(3511), 1,
      anon_sym_EQ_GT,
    ACTIONS(3513), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3519), 1,
      anon_sym_LT,
    STATE(3128), 1,
      sym_arguments,
    STATE(3248), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3517), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3505), 7,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3503), 11,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3515), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3499), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [1740] = 13,
    ACTIONS(149), 1,
      anon_sym_DQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE,
    ACTIONS(913), 1,
      anon_sym_EQ_GT,
    ACTIONS(917), 1,
      anon_sym_EQ,
    ACTIONS(919), 1,
      anon_sym_COLON,
    ACTIONS(3438), 1,
      sym_identifier,
    STATE(1605), 1,
      sym_nested_identifier,
    STATE(1606), 1,
      sym_string,
    STATE(1713), 1,
      sym__module,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(161), 13,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 24,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [1830] = 13,
    ACTIONS(676), 1,
      anon_sym_COLON,
    ACTIONS(695), 1,
      anon_sym_QMARK,
    ACTIONS(697), 1,
      anon_sym_RBRACE,
    ACTIONS(3521), 1,
      anon_sym_EQ,
    ACTIONS(3523), 1,
      anon_sym_LPAREN,
    ACTIONS(3526), 1,
      anon_sym_EQ_GT,
    ACTIONS(3528), 1,
      anon_sym_LT,
    STATE(4835), 1,
      aux_sym_object_pattern_repeat1,
    STATE(4905), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3515), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3503), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3499), 20,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [1920] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2520), 22,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(2518), 39,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [1990] = 13,
    ACTIONS(672), 1,
      anon_sym_RBRACE,
    ACTIONS(676), 1,
      anon_sym_COLON,
    ACTIONS(695), 1,
      anon_sym_QMARK,
    ACTIONS(3521), 1,
      anon_sym_EQ,
    ACTIONS(3523), 1,
      anon_sym_LPAREN,
    ACTIONS(3526), 1,
      anon_sym_EQ_GT,
    ACTIONS(3528), 1,
      anon_sym_LT,
    STATE(4824), 1,
      aux_sym_object_repeat1,
    STATE(4835), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3515), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3503), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3499), 20,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [2080] = 11,
    ACTIONS(925), 1,
      anon_sym_EQ,
    ACTIONS(931), 1,
      anon_sym_EQ_GT,
    ACTIONS(3424), 1,
      sym_identifier,
    ACTIONS(3426), 1,
      anon_sym_LBRACE,
    ACTIONS(3428), 1,
      anon_sym_LBRACK,
    STATE(4422), 1,
      sym_variable_declarator,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(3673), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
    ACTIONS(161), 13,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 24,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [2166] = 12,
    ACTIONS(69), 1,
      anon_sym_DQUOTE,
    ACTIONS(71), 1,
      anon_sym_SQUOTE,
    ACTIONS(925), 1,
      anon_sym_EQ,
    ACTIONS(931), 1,
      anon_sym_EQ_GT,
    ACTIONS(3461), 1,
      sym_identifier,
    STATE(1624), 1,
      sym_nested_identifier,
    STATE(1626), 1,
      sym_string,
    STATE(1770), 1,
      sym__module,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(161), 14,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 24,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [2254] = 12,
    ACTIONS(925), 1,
      anon_sym_EQ,
    ACTIONS(931), 1,
      anon_sym_EQ_GT,
    ACTIONS(1635), 1,
      anon_sym_DQUOTE,
    ACTIONS(1637), 1,
      anon_sym_SQUOTE,
    ACTIONS(3531), 1,
      sym_identifier,
    STATE(3484), 1,
      sym_nested_identifier,
    STATE(3530), 1,
      sym_string,
    STATE(3949), 1,
      sym__module,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(161), 14,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 24,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [2342] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2502), 22,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(2500), 39,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [2412] = 12,
    ACTIONS(925), 1,
      anon_sym_EQ,
    ACTIONS(931), 1,
      anon_sym_EQ_GT,
    ACTIONS(3432), 1,
      sym_identifier,
    ACTIONS(3434), 1,
      anon_sym_DQUOTE,
    ACTIONS(3436), 1,
      anon_sym_SQUOTE,
    STATE(209), 1,
      sym_string,
    STATE(213), 1,
      sym_nested_identifier,
    STATE(220), 1,
      sym__module,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(161), 14,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 24,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [2500] = 11,
    ACTIONS(925), 1,
      anon_sym_EQ,
    ACTIONS(931), 1,
      anon_sym_EQ_GT,
    ACTIONS(3424), 1,
      sym_identifier,
    ACTIONS(3426), 1,
      anon_sym_LBRACE,
    ACTIONS(3428), 1,
      anon_sym_LBRACK,
    STATE(4464), 1,
      sym_variable_declarator,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(3673), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
    ACTIONS(161), 13,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 24,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [2586] = 12,
    ACTIONS(149), 1,
      anon_sym_DQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE,
    ACTIONS(831), 1,
      anon_sym_EQ,
    ACTIONS(931), 1,
      anon_sym_EQ_GT,
    ACTIONS(3438), 1,
      sym_identifier,
    STATE(1605), 1,
      sym_nested_identifier,
    STATE(1606), 1,
      sym_string,
    STATE(1713), 1,
      sym__module,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(161), 14,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 24,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [2674] = 12,
    ACTIONS(925), 1,
      anon_sym_EQ,
    ACTIONS(931), 1,
      anon_sym_EQ_GT,
    ACTIONS(1551), 1,
      anon_sym_DQUOTE,
    ACTIONS(1553), 1,
      anon_sym_SQUOTE,
    ACTIONS(3430), 1,
      sym_identifier,
    STATE(764), 1,
      sym_nested_identifier,
    STATE(785), 1,
      sym_string,
    STATE(930), 1,
      sym__module,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(161), 14,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 24,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [2762] = 13,
    ACTIONS(666), 1,
      anon_sym_EQ,
    ACTIONS(672), 1,
      anon_sym_RBRACE,
    ACTIONS(676), 1,
      anon_sym_COLON,
    ACTIONS(687), 1,
      anon_sym_EQ_GT,
    ACTIONS(695), 1,
      anon_sym_QMARK,
    ACTIONS(2302), 1,
      anon_sym_LPAREN,
    ACTIONS(2311), 1,
      anon_sym_LT,
    STATE(4824), 1,
      aux_sym_object_repeat1,
    STATE(4835), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(161), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(122), 20,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [2852] = 13,
    ACTIONS(676), 1,
      anon_sym_COLON,
    ACTIONS(695), 1,
      anon_sym_QMARK,
    ACTIONS(699), 1,
      anon_sym_RBRACE,
    ACTIONS(3521), 1,
      anon_sym_EQ,
    ACTIONS(3523), 1,
      anon_sym_LPAREN,
    ACTIONS(3526), 1,
      anon_sym_EQ_GT,
    ACTIONS(3528), 1,
      anon_sym_LT,
    STATE(4835), 1,
      aux_sym_object_pattern_repeat1,
    STATE(4905), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3515), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3503), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3499), 20,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [2942] = 5,
    ACTIONS(3533), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3515), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3499), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(3503), 24,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [3016] = 13,
    ACTIONS(666), 1,
      anon_sym_EQ,
    ACTIONS(676), 1,
      anon_sym_COLON,
    ACTIONS(687), 1,
      anon_sym_EQ_GT,
    ACTIONS(695), 1,
      anon_sym_QMARK,
    ACTIONS(697), 1,
      anon_sym_RBRACE,
    ACTIONS(2302), 1,
      anon_sym_LPAREN,
    ACTIONS(2311), 1,
      anon_sym_LT,
    STATE(4835), 1,
      aux_sym_object_pattern_repeat1,
    STATE(4905), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(161), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(122), 20,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [3106] = 14,
    ACTIONS(3501), 1,
      anon_sym_EQ,
    ACTIONS(3511), 1,
      anon_sym_EQ_GT,
    ACTIONS(3535), 1,
      anon_sym_LPAREN,
    ACTIONS(3537), 1,
      anon_sym_DOT,
    ACTIONS(3539), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3541), 1,
      anon_sym_LT,
    STATE(2919), 1,
      sym_arguments,
    STATE(2954), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3505), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_extends,
    ACTIONS(3517), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3503), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3515), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3499), 17,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [3198] = 14,
    ACTIONS(128), 1,
      anon_sym_COMMA,
    ACTIONS(149), 1,
      anon_sym_DQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE,
    ACTIONS(224), 1,
      anon_sym_RBRACK,
    ACTIONS(904), 1,
      anon_sym_EQ,
    ACTIONS(913), 1,
      anon_sym_EQ_GT,
    ACTIONS(3438), 1,
      sym_identifier,
    STATE(1605), 1,
      sym_nested_identifier,
    STATE(1606), 1,
      sym_string,
    STATE(1713), 1,
      sym__module,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(161), 12,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 24,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [3290] = 13,
    ACTIONS(149), 1,
      anon_sym_DQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE,
    ACTIONS(909), 1,
      anon_sym_COLON,
    ACTIONS(913), 1,
      anon_sym_EQ_GT,
    ACTIONS(917), 1,
      anon_sym_EQ,
    ACTIONS(3438), 1,
      sym_identifier,
    STATE(1605), 1,
      sym_nested_identifier,
    STATE(1606), 1,
      sym_string,
    STATE(1713), 1,
      sym__module,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(161), 13,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 24,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [3380] = 13,
    ACTIONS(666), 1,
      anon_sym_EQ,
    ACTIONS(676), 1,
      anon_sym_COLON,
    ACTIONS(687), 1,
      anon_sym_EQ_GT,
    ACTIONS(695), 1,
      anon_sym_QMARK,
    ACTIONS(699), 1,
      anon_sym_RBRACE,
    ACTIONS(2302), 1,
      anon_sym_LPAREN,
    ACTIONS(2311), 1,
      anon_sym_LT,
    STATE(4835), 1,
      aux_sym_object_pattern_repeat1,
    STATE(4905), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(161), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(122), 20,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [3470] = 12,
    ACTIONS(149), 1,
      anon_sym_DQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE,
    ACTIONS(955), 1,
      anon_sym_EQ,
    ACTIONS(961), 1,
      anon_sym_EQ_GT,
    ACTIONS(3438), 1,
      sym_identifier,
    STATE(1605), 1,
      sym_nested_identifier,
    STATE(1606), 1,
      sym_string,
    STATE(1713), 1,
      sym__module,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(161), 13,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 24,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [3557] = 16,
    ACTIONS(3511), 1,
      anon_sym_EQ_GT,
    ACTIONS(3543), 1,
      anon_sym_EQ,
    ACTIONS(3550), 1,
      anon_sym_COLON,
    ACTIONS(3552), 1,
      anon_sym_LBRACK,
    ACTIONS(3555), 1,
      anon_sym_DOT,
    ACTIONS(3561), 1,
      anon_sym_LT,
    ACTIONS(3564), 1,
      anon_sym_QMARK,
    ACTIONS(3567), 1,
      anon_sym_extends,
    STATE(2995), 1,
      sym_type_arguments,
    STATE(5200), 1,
      sym_type_annotation,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3546), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(3558), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3503), 13,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3515), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3499), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [3652] = 12,
    ACTIONS(149), 1,
      anon_sym_DQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE,
    ACTIONS(913), 1,
      anon_sym_EQ_GT,
    ACTIONS(917), 1,
      anon_sym_EQ,
    ACTIONS(3438), 1,
      sym_identifier,
    STATE(1605), 1,
      sym_nested_identifier,
    STATE(1606), 1,
      sym_string,
    STATE(1713), 1,
      sym__module,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(161), 13,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 24,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [3739] = 14,
    ACTIONS(3526), 1,
      anon_sym_EQ_GT,
    ACTIONS(3535), 1,
      anon_sym_LPAREN,
    ACTIONS(3537), 1,
      anon_sym_DOT,
    ACTIONS(3539), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3541), 1,
      anon_sym_LT,
    ACTIONS(3569), 1,
      anon_sym_EQ,
    STATE(2919), 1,
      sym_arguments,
    STATE(2954), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3505), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_extends,
    ACTIONS(3517), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3503), 14,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3515), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3499), 17,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [3830] = 12,
    ACTIONS(149), 1,
      anon_sym_DQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE,
    ACTIONS(831), 1,
      anon_sym_EQ,
    ACTIONS(961), 1,
      anon_sym_EQ_GT,
    ACTIONS(3438), 1,
      sym_identifier,
    STATE(1605), 1,
      sym_nested_identifier,
    STATE(1606), 1,
      sym_string,
    STATE(1713), 1,
      sym__module,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(161), 13,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 24,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [3917] = 12,
    ACTIONS(149), 1,
      anon_sym_DQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE,
    ACTIONS(831), 1,
      anon_sym_EQ,
    ACTIONS(913), 1,
      anon_sym_EQ_GT,
    ACTIONS(3438), 1,
      sym_identifier,
    STATE(1605), 1,
      sym_nested_identifier,
    STATE(1606), 1,
      sym_string,
    STATE(1713), 1,
      sym__module,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(161), 13,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 24,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [4004] = 12,
    ACTIONS(149), 1,
      anon_sym_DQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE,
    ACTIONS(969), 1,
      anon_sym_EQ,
    ACTIONS(975), 1,
      anon_sym_EQ_GT,
    ACTIONS(3438), 1,
      sym_identifier,
    STATE(1605), 1,
      sym_nested_identifier,
    STATE(1606), 1,
      sym_string,
    STATE(1713), 1,
      sym__module,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(161), 12,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 25,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_of,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [4091] = 12,
    ACTIONS(149), 1,
      anon_sym_DQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE,
    ACTIONS(831), 1,
      anon_sym_EQ,
    ACTIONS(975), 1,
      anon_sym_EQ_GT,
    ACTIONS(3438), 1,
      sym_identifier,
    STATE(1605), 1,
      sym_nested_identifier,
    STATE(1606), 1,
      sym_string,
    STATE(1713), 1,
      sym__module,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(161), 12,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 25,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_of,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [4178] = 14,
    ACTIONS(3535), 1,
      anon_sym_LPAREN,
    ACTIONS(3537), 1,
      anon_sym_DOT,
    ACTIONS(3539), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3541), 1,
      anon_sym_LT,
    ACTIONS(3571), 1,
      anon_sym_EQ,
    ACTIONS(3573), 1,
      anon_sym_EQ_GT,
    STATE(2919), 1,
      sym_arguments,
    STATE(2954), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3505), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_extends,
    ACTIONS(3517), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3503), 14,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3515), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3499), 17,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [4269] = 13,
    ACTIONS(149), 1,
      anon_sym_DQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE,
    ACTIONS(159), 1,
      anon_sym_EQ_GT,
    ACTIONS(831), 1,
      anon_sym_EQ,
    ACTIONS(833), 1,
      anon_sym_COLON,
    ACTIONS(3438), 1,
      sym_identifier,
    STATE(1605), 1,
      sym_nested_identifier,
    STATE(1606), 1,
      sym_string,
    STATE(1713), 1,
      sym__module,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(161), 12,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 24,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [4358] = 13,
    ACTIONS(3511), 1,
      anon_sym_EQ_GT,
    ACTIONS(3543), 1,
      anon_sym_EQ,
    ACTIONS(3552), 1,
      anon_sym_LBRACK,
    ACTIONS(3575), 1,
      anon_sym_DOT,
    ACTIONS(3578), 1,
      anon_sym_LT,
    STATE(3251), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3546), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(3558), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3567), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3503), 13,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3515), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3499), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [4447] = 14,
    ACTIONS(149), 1,
      anon_sym_DQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE,
    ACTIONS(159), 1,
      anon_sym_EQ_GT,
    ACTIONS(831), 1,
      anon_sym_EQ,
    ACTIONS(895), 1,
      anon_sym_in,
    ACTIONS(898), 1,
      anon_sym_of,
    ACTIONS(3438), 1,
      sym_identifier,
    STATE(1605), 1,
      sym_nested_identifier,
    STATE(1606), 1,
      sym_string,
    STATE(1713), 1,
      sym__module,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(161), 12,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 23,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [4538] = 12,
    ACTIONS(3501), 1,
      anon_sym_EQ,
    ACTIONS(3511), 1,
      anon_sym_EQ_GT,
    ACTIONS(3555), 1,
      anon_sym_DOT,
    ACTIONS(3561), 1,
      anon_sym_LT,
    ACTIONS(3567), 1,
      anon_sym_extends,
    STATE(2995), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3552), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(3558), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3515), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3499), 17,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(3503), 17,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [4625] = 8,
    ACTIONS(3535), 1,
      anon_sym_LPAREN,
    ACTIONS(3541), 1,
      anon_sym_LT,
    ACTIONS(3585), 1,
      anon_sym_DOT,
    STATE(1266), 1,
      sym_arguments,
    STATE(5452), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3583), 14,
      anon_sym_LBRACE,
      anon_sym_BANG,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_DOT_DOT_DOT,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(3581), 41,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_typeof,
      anon_sym_import,
      anon_sym_let,
      anon_sym_await,
      anon_sym_yield,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_using,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [4704] = 8,
    ACTIONS(119), 1,
      anon_sym_EQ,
    ACTIONS(159), 1,
      anon_sym_EQ_GT,
    ACTIONS(725), 1,
      anon_sym_QMARK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(128), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
    ACTIONS(161), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [4782] = 14,
    ACTIONS(3535), 1,
      anon_sym_LPAREN,
    ACTIONS(3537), 1,
      anon_sym_DOT,
    ACTIONS(3539), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3541), 1,
      anon_sym_LT,
    ACTIONS(3587), 1,
      anon_sym_EQ,
    ACTIONS(3589), 1,
      anon_sym_EQ_GT,
    STATE(2919), 1,
      sym_arguments,
    STATE(2954), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3505), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_extends,
    ACTIONS(3517), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3503), 13,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
    ACTIONS(3515), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3499), 17,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [4872] = 12,
    ACTIONS(149), 1,
      anon_sym_DQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE,
    ACTIONS(159), 1,
      anon_sym_EQ_GT,
    ACTIONS(1049), 1,
      anon_sym_EQ,
    ACTIONS(3438), 1,
      sym_identifier,
    STATE(1605), 1,
      sym_nested_identifier,
    STATE(1606), 1,
      sym_string,
    STATE(1713), 1,
      sym__module,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(161), 12,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 24,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [4958] = 12,
    ACTIONS(149), 1,
      anon_sym_DQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE,
    ACTIONS(159), 1,
      anon_sym_EQ_GT,
    ACTIONS(1051), 1,
      anon_sym_EQ,
    ACTIONS(3438), 1,
      sym_identifier,
    STATE(1605), 1,
      sym_nested_identifier,
    STATE(1606), 1,
      sym_string,
    STATE(1713), 1,
      sym__module,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(161), 12,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 24,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [5044] = 12,
    ACTIONS(149), 1,
      anon_sym_DQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE,
    ACTIONS(159), 1,
      anon_sym_EQ_GT,
    ACTIONS(995), 1,
      anon_sym_EQ,
    ACTIONS(3438), 1,
      sym_identifier,
    STATE(1605), 1,
      sym_nested_identifier,
    STATE(1606), 1,
      sym_string,
    STATE(1713), 1,
      sym__module,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(161), 12,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 24,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [5130] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3593), 16,
      anon_sym_LBRACE,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_DOT_DOT_DOT,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(3591), 43,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_typeof,
      anon_sym_import,
      anon_sym_let,
      anon_sym_await,
      anon_sym_yield,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_using,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [5198] = 12,
    ACTIONS(159), 1,
      anon_sym_EQ_GT,
    ACTIONS(831), 1,
      anon_sym_EQ,
    ACTIONS(895), 1,
      anon_sym_in,
    ACTIONS(898), 1,
      anon_sym_of,
    ACTIONS(3426), 1,
      anon_sym_LBRACE,
    ACTIONS(3595), 1,
      sym_identifier,
    ACTIONS(3597), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(4808), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
    ACTIONS(161), 11,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 23,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [5284] = 8,
    ACTIONS(159), 1,
      anon_sym_EQ_GT,
    ACTIONS(831), 1,
      anon_sym_EQ,
    ACTIONS(835), 1,
      anon_sym_QMARK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(833), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
    ACTIONS(161), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [5362] = 12,
    ACTIONS(149), 1,
      anon_sym_DQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE,
    ACTIONS(159), 1,
      anon_sym_EQ_GT,
    ACTIONS(989), 1,
      anon_sym_EQ,
    ACTIONS(3438), 1,
      sym_identifier,
    STATE(1605), 1,
      sym_nested_identifier,
    STATE(1606), 1,
      sym_string,
    STATE(1713), 1,
      sym__module,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(161), 12,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 24,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [5448] = 7,
    ACTIONS(3604), 1,
      anon_sym_class,
    ACTIONS(3607), 1,
      anon_sym_AT,
    STATE(1262), 1,
      aux_sym_export_statement_repeat1,
    STATE(1297), 1,
      sym_decorator,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3602), 14,
      anon_sym_LBRACE,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_DOT_DOT_DOT,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3600), 41,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_typeof,
      anon_sym_import,
      anon_sym_let,
      anon_sym_await,
      anon_sym_yield,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_using,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [5524] = 12,
    ACTIONS(3555), 1,
      anon_sym_DOT,
    ACTIONS(3561), 1,
      anon_sym_LT,
    ACTIONS(3567), 1,
      anon_sym_extends,
    ACTIONS(3571), 1,
      anon_sym_EQ,
    ACTIONS(3573), 1,
      anon_sym_EQ_GT,
    STATE(2995), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3552), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(3558), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3515), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3503), 16,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3499), 17,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [5610] = 8,
    ACTIONS(3610), 1,
      anon_sym_EQ,
    ACTIONS(3615), 1,
      anon_sym_EQ_GT,
    ACTIONS(3617), 1,
      anon_sym_QMARK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3613), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
    ACTIONS(3503), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3515), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3499), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [5688] = 14,
    ACTIONS(3535), 1,
      anon_sym_LPAREN,
    ACTIONS(3537), 1,
      anon_sym_DOT,
    ACTIONS(3539), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3541), 1,
      anon_sym_LT,
    ACTIONS(3619), 1,
      anon_sym_EQ,
    ACTIONS(3621), 1,
      anon_sym_EQ_GT,
    STATE(2919), 1,
      sym_arguments,
    STATE(2954), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3517), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3505), 3,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_extends,
    ACTIONS(3503), 13,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3515), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3499), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [5778] = 12,
    ACTIONS(149), 1,
      anon_sym_DQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE,
    ACTIONS(159), 1,
      anon_sym_EQ_GT,
    ACTIONS(987), 1,
      anon_sym_EQ,
    ACTIONS(3438), 1,
      sym_identifier,
    STATE(1605), 1,
      sym_nested_identifier,
    STATE(1606), 1,
      sym_string,
    STATE(1713), 1,
      sym__module,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(161), 12,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 24,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [5864] = 6,
    ACTIONS(3607), 1,
      anon_sym_AT,
    STATE(1262), 1,
      aux_sym_export_statement_repeat1,
    STATE(1297), 1,
      sym_decorator,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3602), 14,
      anon_sym_LBRACE,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_DOT_DOT_DOT,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3600), 42,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_typeof,
      anon_sym_import,
      anon_sym_let,
      anon_sym_await,
      anon_sym_yield,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_using,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [5938] = 8,
    ACTIONS(3533), 1,
      anon_sym_EQ,
    ACTIONS(3615), 1,
      anon_sym_EQ_GT,
    ACTIONS(3625), 1,
      anon_sym_QMARK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3623), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
    ACTIONS(3503), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3515), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3499), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [6016] = 9,
    ACTIONS(841), 1,
      anon_sym_EQ,
    ACTIONS(851), 1,
      anon_sym_EQ_GT,
    ACTIONS(1777), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3627), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(3630), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(161), 18,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [6096] = 14,
    ACTIONS(3535), 1,
      anon_sym_LPAREN,
    ACTIONS(3537), 1,
      anon_sym_DOT,
    ACTIONS(3539), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3541), 1,
      anon_sym_LT,
    ACTIONS(3633), 1,
      anon_sym_EQ,
    ACTIONS(3635), 1,
      anon_sym_EQ_GT,
    STATE(2919), 1,
      sym_arguments,
    STATE(2954), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3505), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_extends,
    ACTIONS(3517), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3503), 13,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_SEMI,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3515), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3499), 17,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [6186] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3639), 16,
      anon_sym_LBRACE,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_DOT_DOT_DOT,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(3637), 43,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_typeof,
      anon_sym_import,
      anon_sym_let,
      anon_sym_await,
      anon_sym_yield,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_using,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [6254] = 12,
    ACTIONS(149), 1,
      anon_sym_DQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE,
    ACTIONS(159), 1,
      anon_sym_EQ_GT,
    ACTIONS(983), 1,
      anon_sym_EQ,
    ACTIONS(3438), 1,
      sym_identifier,
    STATE(1605), 1,
      sym_nested_identifier,
    STATE(1606), 1,
      sym_string,
    STATE(1713), 1,
      sym__module,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(161), 12,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 24,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [6340] = 15,
    ACTIONS(3552), 1,
      anon_sym_LBRACK,
    ACTIONS(3555), 1,
      anon_sym_DOT,
    ACTIONS(3561), 1,
      anon_sym_LT,
    ACTIONS(3567), 1,
      anon_sym_extends,
    ACTIONS(3610), 1,
      anon_sym_EQ,
    ACTIONS(3615), 1,
      anon_sym_EQ_GT,
    ACTIONS(3617), 1,
      anon_sym_QMARK,
    ACTIONS(3641), 1,
      anon_sym_RPAREN,
    STATE(2995), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3558), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3613), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(3503), 13,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3515), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3499), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [6432] = 14,
    ACTIONS(3501), 1,
      anon_sym_EQ,
    ACTIONS(3511), 1,
      anon_sym_EQ_GT,
    ACTIONS(3535), 1,
      anon_sym_LPAREN,
    ACTIONS(3537), 1,
      anon_sym_DOT,
    ACTIONS(3539), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3541), 1,
      anon_sym_LT,
    STATE(2919), 1,
      sym_arguments,
    STATE(2954), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3517), 3,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
    ACTIONS(3505), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_extends,
    ACTIONS(3503), 11,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3515), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3499), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [6522] = 12,
    ACTIONS(149), 1,
      anon_sym_DQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE,
    ACTIONS(159), 1,
      anon_sym_EQ_GT,
    ACTIONS(993), 1,
      anon_sym_EQ,
    ACTIONS(3438), 1,
      sym_identifier,
    STATE(1605), 1,
      sym_nested_identifier,
    STATE(1606), 1,
      sym_string,
    STATE(1713), 1,
      sym__module,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(161), 12,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 24,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [6608] = 12,
    ACTIONS(149), 1,
      anon_sym_DQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE,
    ACTIONS(159), 1,
      anon_sym_EQ_GT,
    ACTIONS(831), 1,
      anon_sym_EQ,
    ACTIONS(3438), 1,
      sym_identifier,
    STATE(1605), 1,
      sym_nested_identifier,
    STATE(1606), 1,
      sym_string,
    STATE(1713), 1,
      sym__module,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(161), 12,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 24,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [6694] = 15,
    ACTIONS(3546), 1,
      anon_sym_RPAREN,
    ACTIONS(3552), 1,
      anon_sym_LBRACK,
    ACTIONS(3555), 1,
      anon_sym_DOT,
    ACTIONS(3561), 1,
      anon_sym_LT,
    ACTIONS(3567), 1,
      anon_sym_extends,
    ACTIONS(3617), 1,
      anon_sym_QMARK,
    ACTIONS(3621), 1,
      anon_sym_EQ_GT,
    ACTIONS(3644), 1,
      anon_sym_EQ,
    STATE(2995), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3558), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3647), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(3503), 13,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3515), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3499), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [6786] = 12,
    ACTIONS(149), 1,
      anon_sym_DQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE,
    ACTIONS(159), 1,
      anon_sym_EQ_GT,
    ACTIONS(981), 1,
      anon_sym_EQ,
    ACTIONS(3438), 1,
      sym_identifier,
    STATE(1605), 1,
      sym_nested_identifier,
    STATE(1606), 1,
      sym_string,
    STATE(1713), 1,
      sym__module,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(161), 12,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 24,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [6872] = 12,
    ACTIONS(3526), 1,
      anon_sym_EQ_GT,
    ACTIONS(3555), 1,
      anon_sym_DOT,
    ACTIONS(3561), 1,
      anon_sym_LT,
    ACTIONS(3567), 1,
      anon_sym_extends,
    ACTIONS(3569), 1,
      anon_sym_EQ,
    STATE(2995), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3552), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(3558), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3515), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3503), 16,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3499), 17,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [6958] = 12,
    ACTIONS(149), 1,
      anon_sym_DQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE,
    ACTIONS(159), 1,
      anon_sym_EQ_GT,
    ACTIONS(991), 1,
      anon_sym_EQ,
    ACTIONS(3438), 1,
      sym_identifier,
    STATE(1605), 1,
      sym_nested_identifier,
    STATE(1606), 1,
      sym_string,
    STATE(1713), 1,
      sym__module,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(161), 12,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 24,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [7044] = 12,
    ACTIONS(149), 1,
      anon_sym_DQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE,
    ACTIONS(159), 1,
      anon_sym_EQ_GT,
    ACTIONS(985), 1,
      anon_sym_EQ,
    ACTIONS(3438), 1,
      sym_identifier,
    STATE(1605), 1,
      sym_nested_identifier,
    STATE(1606), 1,
      sym_string,
    STATE(1713), 1,
      sym__module,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(161), 12,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 24,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [7130] = 14,
    ACTIONS(3535), 1,
      anon_sym_LPAREN,
    ACTIONS(3537), 1,
      anon_sym_DOT,
    ACTIONS(3539), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3541), 1,
      anon_sym_LT,
    ACTIONS(3619), 1,
      anon_sym_EQ,
    ACTIONS(3621), 1,
      anon_sym_EQ_GT,
    STATE(2919), 1,
      sym_arguments,
    STATE(2954), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3505), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_extends,
    ACTIONS(3517), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3503), 13,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3515), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3499), 17,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [7220] = 9,
    ACTIONS(851), 1,
      anon_sym_EQ_GT,
    ACTIONS(887), 1,
      anon_sym_EQ,
    ACTIONS(3627), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3630), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1777), 6,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
    ACTIONS(161), 14,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 19,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [7300] = 14,
    ACTIONS(3535), 1,
      anon_sym_LPAREN,
    ACTIONS(3537), 1,
      anon_sym_DOT,
    ACTIONS(3539), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3541), 1,
      anon_sym_LT,
    ACTIONS(3650), 1,
      anon_sym_EQ,
    ACTIONS(3652), 1,
      anon_sym_EQ_GT,
    STATE(2919), 1,
      sym_arguments,
    STATE(2954), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3505), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_extends,
    ACTIONS(3517), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3503), 12,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_of,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3515), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3499), 17,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [7389] = 13,
    ACTIONS(3533), 1,
      anon_sym_EQ,
    ACTIONS(3552), 1,
      anon_sym_LBRACK,
    ACTIONS(3555), 1,
      anon_sym_DOT,
    ACTIONS(3561), 1,
      anon_sym_LT,
    ACTIONS(3615), 1,
      anon_sym_EQ_GT,
    ACTIONS(3623), 1,
      anon_sym_COLON,
    STATE(2995), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3558), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3567), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_extends,
    ACTIONS(3503), 13,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3515), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3499), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [7476] = 7,
    ACTIONS(3533), 1,
      anon_sym_EQ,
    ACTIONS(3625), 1,
      anon_sym_QMARK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3623), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
    ACTIONS(3503), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3515), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3499), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [7551] = 8,
    ACTIONS(687), 1,
      anon_sym_EQ_GT,
    ACTIONS(855), 1,
      anon_sym_EQ,
    ACTIONS(869), 1,
      anon_sym_COLON,
    ACTIONS(3463), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(161), 15,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 24,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [7628] = 4,
    ACTIONS(3489), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3479), 22,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(3481), 35,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [7697] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3583), 15,
      anon_sym_LBRACE,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_DOT_DOT_DOT,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(3581), 43,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_typeof,
      anon_sym_import,
      anon_sym_let,
      anon_sym_await,
      anon_sym_yield,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_using,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [7764] = 12,
    ACTIONS(3552), 1,
      anon_sym_LBRACK,
    ACTIONS(3555), 1,
      anon_sym_DOT,
    ACTIONS(3561), 1,
      anon_sym_LT,
    ACTIONS(3633), 1,
      anon_sym_EQ,
    ACTIONS(3635), 1,
      anon_sym_EQ_GT,
    STATE(2995), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3567), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(3558), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3503), 15,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3515), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3499), 17,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [7849] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3656), 15,
      anon_sym_LBRACE,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_DOT_DOT_DOT,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(3654), 43,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_typeof,
      anon_sym_import,
      anon_sym_let,
      anon_sym_await,
      anon_sym_yield,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_using,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [7916] = 4,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3487), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3471), 22,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(3473), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [7985] = 14,
    ACTIONS(3535), 1,
      anon_sym_LPAREN,
    ACTIONS(3537), 1,
      anon_sym_DOT,
    ACTIONS(3539), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3541), 1,
      anon_sym_LT,
    ACTIONS(3658), 1,
      anon_sym_EQ,
    ACTIONS(3660), 1,
      anon_sym_EQ_GT,
    STATE(2919), 1,
      sym_arguments,
    STATE(2954), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3505), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_extends,
    ACTIONS(3517), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3503), 12,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3515), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3499), 17,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [8074] = 6,
    ACTIONS(831), 1,
      anon_sym_EQ,
    ACTIONS(851), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(161), 20,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(122), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [8147] = 4,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3489), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3479), 22,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(3481), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [8216] = 11,
    ACTIONS(119), 1,
      anon_sym_EQ,
    ACTIONS(159), 1,
      anon_sym_EQ_GT,
    ACTIONS(725), 1,
      anon_sym_QMARK,
    ACTIONS(3627), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(128), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(1777), 2,
      anon_sym_RPAREN,
      anon_sym_extends,
    ACTIONS(3630), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(161), 14,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 19,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [8299] = 12,
    ACTIONS(3555), 1,
      anon_sym_DOT,
    ACTIONS(3561), 1,
      anon_sym_LT,
    ACTIONS(3567), 1,
      anon_sym_extends,
    ACTIONS(3587), 1,
      anon_sym_EQ,
    ACTIONS(3589), 1,
      anon_sym_EQ_GT,
    STATE(2995), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3552), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(3558), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3503), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
    ACTIONS(3515), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3499), 17,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [8384] = 14,
    ACTIONS(3501), 1,
      anon_sym_EQ,
    ACTIONS(3511), 1,
      anon_sym_EQ_GT,
    ACTIONS(3552), 1,
      anon_sym_LBRACK,
    ACTIONS(3555), 1,
      anon_sym_DOT,
    ACTIONS(3561), 1,
      anon_sym_LT,
    ACTIONS(3567), 1,
      anon_sym_extends,
    ACTIONS(3623), 1,
      anon_sym_COLON,
    STATE(2995), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3558), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3662), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(3503), 13,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3515), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3499), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [8473] = 9,
    ACTIONS(875), 1,
      anon_sym_EQ,
    ACTIONS(881), 1,
      anon_sym_EQ_GT,
    ACTIONS(1777), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3627), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(3630), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(161), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(122), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [8552] = 6,
    ACTIONS(841), 1,
      anon_sym_EQ,
    ACTIONS(851), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(161), 20,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(122), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [8625] = 4,
    ACTIONS(3487), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3471), 22,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(3473), 35,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [8694] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3668), 15,
      anon_sym_LBRACE,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_DOT_DOT_DOT,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(3666), 43,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_typeof,
      anon_sym_import,
      anon_sym_let,
      anon_sym_await,
      anon_sym_yield,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_using,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [8761] = 12,
    ACTIONS(3555), 1,
      anon_sym_DOT,
    ACTIONS(3561), 1,
      anon_sym_LT,
    ACTIONS(3567), 1,
      anon_sym_extends,
    ACTIONS(3619), 1,
      anon_sym_EQ,
    ACTIONS(3621), 1,
      anon_sym_EQ_GT,
    STATE(2995), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3552), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(3558), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3503), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3515), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3499), 17,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [8846] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3672), 15,
      anon_sym_LBRACE,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_DOT_DOT_DOT,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(3670), 43,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_typeof,
      anon_sym_import,
      anon_sym_let,
      anon_sym_await,
      anon_sym_yield,
      anon_sym_DOT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_using,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [8913] = 11,
    ACTIONS(221), 1,
      anon_sym_EQ,
    ACTIONS(227), 1,
      anon_sym_EQ_GT,
    ACTIONS(725), 1,
      anon_sym_QMARK,
    ACTIONS(3627), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(224), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(1777), 2,
      anon_sym_RPAREN,
      anon_sym_extends,
    ACTIONS(3630), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(161), 14,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 19,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [8996] = 14,
    ACTIONS(3533), 1,
      anon_sym_EQ,
    ACTIONS(3535), 1,
      anon_sym_LPAREN,
    ACTIONS(3537), 1,
      anon_sym_DOT,
    ACTIONS(3539), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3541), 1,
      anon_sym_LT,
    ACTIONS(3615), 1,
      anon_sym_EQ_GT,
    STATE(2919), 1,
      sym_arguments,
    STATE(2954), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3517), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3505), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_extends,
    ACTIONS(3503), 11,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3515), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3499), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [9085] = 7,
    ACTIONS(3610), 1,
      anon_sym_EQ,
    ACTIONS(3617), 1,
      anon_sym_QMARK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3613), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
    ACTIONS(3503), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3515), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3499), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [9160] = 9,
    ACTIONS(687), 1,
      anon_sym_EQ_GT,
    ACTIONS(855), 1,
      anon_sym_EQ,
    ACTIONS(1777), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3627), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(3630), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(161), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(122), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [9239] = 14,
    ACTIONS(3501), 1,
      anon_sym_EQ,
    ACTIONS(3511), 1,
      anon_sym_EQ_GT,
    ACTIONS(3535), 1,
      anon_sym_LPAREN,
    ACTIONS(3537), 1,
      anon_sym_DOT,
    ACTIONS(3539), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3541), 1,
      anon_sym_LT,
    STATE(2919), 1,
      sym_arguments,
    STATE(2954), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3517), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3505), 3,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_extends,
    ACTIONS(3503), 12,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3515), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3499), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [9328] = 6,
    ACTIONS(3501), 1,
      anon_sym_EQ,
    ACTIONS(3511), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3515), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3503), 20,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3499), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [9401] = 6,
    ACTIONS(3511), 1,
      anon_sym_EQ_GT,
    ACTIONS(3533), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3515), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3503), 20,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3499), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [9474] = 14,
    ACTIONS(3535), 1,
      anon_sym_LPAREN,
    ACTIONS(3537), 1,
      anon_sym_DOT,
    ACTIONS(3539), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3541), 1,
      anon_sym_LT,
    ACTIONS(3674), 1,
      anon_sym_EQ,
    ACTIONS(3676), 1,
      anon_sym_EQ_GT,
    STATE(2919), 1,
      sym_arguments,
    STATE(2954), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3505), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_extends,
    ACTIONS(3517), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3503), 12,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3515), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3499), 17,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [9563] = 8,
    ACTIONS(687), 1,
      anon_sym_EQ_GT,
    ACTIONS(855), 1,
      anon_sym_EQ,
    ACTIONS(857), 1,
      anon_sym_COLON,
    ACTIONS(3463), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(161), 15,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 24,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [9640] = 9,
    ACTIONS(227), 1,
      anon_sym_EQ_GT,
    ACTIONS(890), 1,
      anon_sym_EQ,
    ACTIONS(1777), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3627), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(3630), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(161), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(122), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [9718] = 4,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3489), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_extends,
    ACTIONS(3479), 22,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(3481), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [9786] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3491), 22,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(3493), 35,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [9852] = 9,
    ACTIONS(939), 1,
      anon_sym_EQ,
    ACTIONS(945), 1,
      anon_sym_EQ_GT,
    ACTIONS(1777), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3627), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(3630), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(161), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
    ACTIONS(122), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [9930] = 11,
    ACTIONS(833), 1,
      anon_sym_COLON,
    ACTIONS(841), 1,
      anon_sym_EQ,
    ACTIONS(851), 1,
      anon_sym_EQ_GT,
    ACTIONS(1777), 1,
      anon_sym_extends,
    ACTIONS(3627), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3630), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3678), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(161), 14,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 19,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [10012] = 8,
    ACTIONS(833), 1,
      anon_sym_COLON,
    ACTIONS(841), 1,
      anon_sym_EQ,
    ACTIONS(851), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(892), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
    ACTIONS(161), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [10088] = 10,
    ACTIONS(851), 1,
      anon_sym_EQ_GT,
    ACTIONS(887), 1,
      anon_sym_EQ,
    ACTIONS(1779), 1,
      anon_sym_QMARK,
    ACTIONS(3627), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3630), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1777), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_extends,
    ACTIONS(161), 14,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 19,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [10168] = 9,
    ACTIONS(925), 1,
      anon_sym_EQ,
    ACTIONS(931), 1,
      anon_sym_EQ_GT,
    ACTIONS(3627), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1777), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(3630), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(161), 16,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(122), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [10246] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3483), 22,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(3485), 35,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [10312] = 7,
    ACTIONS(857), 1,
      anon_sym_COLON,
    ACTIONS(3526), 1,
      anon_sym_EQ_GT,
    ACTIONS(3569), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3515), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3503), 18,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3499), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [10386] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3465), 22,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(3467), 35,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [10452] = 8,
    ACTIONS(221), 1,
      anon_sym_EQ,
    ACTIONS(227), 1,
      anon_sym_EQ_GT,
    ACTIONS(725), 1,
      anon_sym_QMARK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(224), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(161), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [10528] = 7,
    ACTIONS(687), 1,
      anon_sym_EQ_GT,
    ACTIONS(855), 1,
      anon_sym_EQ,
    ACTIONS(857), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(161), 18,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(122), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [10602] = 7,
    ACTIONS(869), 1,
      anon_sym_COLON,
    ACTIONS(3526), 1,
      anon_sym_EQ_GT,
    ACTIONS(3569), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3515), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3503), 18,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3499), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [10676] = 6,
    ACTIONS(687), 1,
      anon_sym_EQ_GT,
    ACTIONS(855), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(161), 19,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(122), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [10748] = 5,
    ACTIONS(3501), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3515), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3503), 20,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3499), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [10818] = 5,
    ACTIONS(3533), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3515), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3503), 20,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3499), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [10888] = 10,
    ACTIONS(159), 1,
      anon_sym_EQ_GT,
    ACTIONS(831), 1,
      anon_sym_EQ,
    ACTIONS(833), 1,
      anon_sym_COLON,
    ACTIONS(3627), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3630), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1777), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_extends,
    ACTIONS(161), 14,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 19,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [10968] = 7,
    ACTIONS(687), 1,
      anon_sym_EQ_GT,
    ACTIONS(855), 1,
      anon_sym_EQ,
    ACTIONS(869), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(161), 18,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(122), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [11042] = 8,
    ACTIONS(3617), 1,
      anon_sym_QMARK,
    ACTIONS(3621), 1,
      anon_sym_EQ_GT,
    ACTIONS(3644), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3647), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(3503), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3515), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3499), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [11118] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2502), 22,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(2500), 35,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [11184] = 6,
    ACTIONS(3526), 1,
      anon_sym_EQ_GT,
    ACTIONS(3533), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3515), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3503), 19,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3499), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [11256] = 6,
    ACTIONS(3571), 1,
      anon_sym_EQ,
    ACTIONS(3573), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3515), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3503), 19,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3499), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [11328] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3495), 22,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(3497), 35,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [11394] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3475), 22,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(3477), 35,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [11460] = 6,
    ACTIONS(3526), 1,
      anon_sym_EQ_GT,
    ACTIONS(3569), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3515), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3503), 19,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3499), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [11532] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2520), 22,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(2518), 35,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [11598] = 4,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3487), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_extends,
    ACTIONS(3471), 22,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(3473), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [11666] = 12,
    ACTIONS(3552), 1,
      anon_sym_LBRACK,
    ACTIONS(3555), 1,
      anon_sym_DOT,
    ACTIONS(3561), 1,
      anon_sym_LT,
    ACTIONS(3674), 1,
      anon_sym_EQ,
    ACTIONS(3676), 1,
      anon_sym_EQ_GT,
    STATE(2995), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3567), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(3558), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3503), 14,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3515), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3499), 17,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [11750] = 14,
    ACTIONS(3533), 1,
      anon_sym_EQ,
    ACTIONS(3535), 1,
      anon_sym_LPAREN,
    ACTIONS(3537), 1,
      anon_sym_DOT,
    ACTIONS(3539), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3541), 1,
      anon_sym_LT,
    ACTIONS(3615), 1,
      anon_sym_EQ_GT,
    STATE(2919), 1,
      sym_arguments,
    STATE(2954), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3505), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_extends,
    ACTIONS(3517), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3503), 11,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3515), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3499), 17,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [11838] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3471), 22,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(3473), 35,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [11904] = 12,
    ACTIONS(3552), 1,
      anon_sym_LBRACK,
    ACTIONS(3555), 1,
      anon_sym_DOT,
    ACTIONS(3561), 1,
      anon_sym_LT,
    ACTIONS(3650), 1,
      anon_sym_EQ,
    ACTIONS(3652), 1,
      anon_sym_EQ_GT,
    STATE(2995), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3567), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(3558), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3503), 14,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3515), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3499), 17,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [11988] = 6,
    ACTIONS(831), 1,
      anon_sym_EQ,
    ACTIONS(881), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(161), 19,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(122), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [12060] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3479), 22,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(3481), 35,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [12126] = 6,
    ACTIONS(3533), 1,
      anon_sym_EQ,
    ACTIONS(3573), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3515), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3503), 19,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3499), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [12198] = 14,
    ACTIONS(3533), 1,
      anon_sym_EQ,
    ACTIONS(3535), 1,
      anon_sym_LPAREN,
    ACTIONS(3537), 1,
      anon_sym_DOT,
    ACTIONS(3539), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3541), 1,
      anon_sym_LT,
    ACTIONS(3615), 1,
      anon_sym_EQ_GT,
    STATE(2919), 1,
      sym_arguments,
    STATE(2954), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3517), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3505), 3,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_extends,
    ACTIONS(3503), 11,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3515), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3499), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [12286] = 6,
    ACTIONS(875), 1,
      anon_sym_EQ,
    ACTIONS(881), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(161), 19,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(122), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [12358] = 12,
    ACTIONS(3501), 1,
      anon_sym_EQ,
    ACTIONS(3511), 1,
      anon_sym_EQ_GT,
    ACTIONS(3555), 1,
      anon_sym_DOT,
    ACTIONS(3561), 1,
      anon_sym_LT,
    ACTIONS(3567), 1,
      anon_sym_extends,
    STATE(2995), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3552), 2,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
    ACTIONS(3558), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3503), 14,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3515), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3499), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [12442] = 6,
    ACTIONS(687), 1,
      anon_sym_EQ_GT,
    ACTIONS(831), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(161), 19,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(122), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [12514] = 12,
    ACTIONS(3552), 1,
      anon_sym_LBRACK,
    ACTIONS(3555), 1,
      anon_sym_DOT,
    ACTIONS(3561), 1,
      anon_sym_LT,
    ACTIONS(3658), 1,
      anon_sym_EQ,
    ACTIONS(3660), 1,
      anon_sym_EQ_GT,
    STATE(2995), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3567), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(3558), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3503), 14,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3515), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3499), 17,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [12598] = 7,
    ACTIONS(925), 1,
      anon_sym_EQ,
    ACTIONS(931), 1,
      anon_sym_EQ_GT,
    ACTIONS(3682), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(161), 14,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 24,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [12671] = 4,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3489), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(3479), 22,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(3481), 32,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [12738] = 7,
    ACTIONS(3501), 1,
      anon_sym_EQ,
    ACTIONS(3623), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3684), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
    ACTIONS(3503), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3515), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3499), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [12811] = 6,
    ACTIONS(831), 1,
      anon_sym_EQ,
    ACTIONS(945), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(161), 18,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
    ACTIONS(122), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [12882] = 5,
    ACTIONS(3569), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3515), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3503), 19,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3499), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [12951] = 5,
    ACTIONS(3487), 1,
      anon_sym_extends,
    ACTIONS(3687), 1,
      anon_sym_QMARK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3471), 22,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(3473), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [13020] = 10,
    ACTIONS(3613), 1,
      anon_sym_COMMA,
    ACTIONS(3647), 1,
      anon_sym_RBRACK,
    ACTIONS(3676), 1,
      anon_sym_EQ_GT,
    ACTIONS(3689), 1,
      anon_sym_EQ,
    ACTIONS(3692), 1,
      anon_sym_in,
    ACTIONS(3694), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3503), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3515), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3499), 20,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [13099] = 7,
    ACTIONS(925), 1,
      anon_sym_EQ,
    ACTIONS(931), 1,
      anon_sym_EQ_GT,
    ACTIONS(3463), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(161), 14,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 24,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [13172] = 7,
    ACTIONS(3617), 1,
      anon_sym_QMARK,
    ACTIONS(3644), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3647), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(3503), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3515), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3499), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [13245] = 6,
    ACTIONS(3533), 1,
      anon_sym_EQ,
    ACTIONS(3621), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3515), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3503), 18,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3499), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [13316] = 9,
    ACTIONS(955), 1,
      anon_sym_EQ,
    ACTIONS(961), 1,
      anon_sym_EQ_GT,
    ACTIONS(3627), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1777), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(3630), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(161), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [13393] = 8,
    ACTIONS(3501), 1,
      anon_sym_EQ,
    ACTIONS(3511), 1,
      anon_sym_EQ_GT,
    ACTIONS(3696), 1,
      anon_sym_in,
    ACTIONS(3699), 1,
      anon_sym_of,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3515), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3503), 17,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3499), 20,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [13468] = 6,
    ACTIONS(227), 1,
      anon_sym_EQ_GT,
    ACTIONS(890), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(161), 18,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(122), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [13539] = 9,
    ACTIONS(128), 1,
      anon_sym_COMMA,
    ACTIONS(224), 1,
      anon_sym_RBRACK,
    ACTIONS(904), 1,
      anon_sym_EQ,
    ACTIONS(909), 1,
      anon_sym_COLON,
    ACTIONS(913), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(161), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [13616] = 7,
    ACTIONS(3501), 1,
      anon_sym_EQ,
    ACTIONS(3511), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3684), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
    ACTIONS(3503), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3515), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3499), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [13689] = 5,
    ACTIONS(3571), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3515), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3503), 19,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3499), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [13758] = 4,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3487), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(3471), 22,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(3473), 32,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [13825] = 6,
    ACTIONS(227), 1,
      anon_sym_EQ_GT,
    ACTIONS(831), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(161), 18,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(122), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [13896] = 6,
    ACTIONS(939), 1,
      anon_sym_EQ,
    ACTIONS(945), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(161), 18,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
    ACTIONS(122), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [13967] = 9,
    ACTIONS(913), 1,
      anon_sym_EQ_GT,
    ACTIONS(917), 1,
      anon_sym_EQ,
    ACTIONS(3627), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1777), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(3630), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(161), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [14044] = 8,
    ACTIONS(841), 1,
      anon_sym_EQ,
    ACTIONS(851), 1,
      anon_sym_EQ_GT,
    ACTIONS(895), 1,
      anon_sym_in,
    ACTIONS(3701), 1,
      anon_sym_of,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(161), 17,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(122), 20,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [14119] = 7,
    ACTIONS(851), 1,
      anon_sym_EQ_GT,
    ACTIONS(887), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(224), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
    ACTIONS(161), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [14192] = 9,
    ACTIONS(969), 1,
      anon_sym_EQ,
    ACTIONS(975), 1,
      anon_sym_EQ_GT,
    ACTIONS(3627), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1777), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(3630), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(161), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [14269] = 12,
    ACTIONS(3533), 1,
      anon_sym_EQ,
    ACTIONS(3552), 1,
      anon_sym_LBRACK,
    ACTIONS(3555), 1,
      anon_sym_DOT,
    ACTIONS(3561), 1,
      anon_sym_LT,
    ACTIONS(3615), 1,
      anon_sym_EQ_GT,
    STATE(2995), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3567), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(3558), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3503), 13,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3515), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3499), 17,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [14352] = 6,
    ACTIONS(3587), 1,
      anon_sym_EQ,
    ACTIONS(3589), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3515), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3503), 18,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
    ACTIONS(3499), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [14423] = 6,
    ACTIONS(3533), 1,
      anon_sym_EQ,
    ACTIONS(3589), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3515), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3503), 18,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
    ACTIONS(3499), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [14494] = 7,
    ACTIONS(3511), 1,
      anon_sym_EQ_GT,
    ACTIONS(3543), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3647), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
    ACTIONS(3503), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3515), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3499), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [14567] = 9,
    ACTIONS(841), 1,
      anon_sym_EQ,
    ACTIONS(851), 1,
      anon_sym_EQ_GT,
    ACTIONS(1777), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3627), 2,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
    ACTIONS(3630), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(161), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 19,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [14644] = 6,
    ACTIONS(3619), 1,
      anon_sym_EQ,
    ACTIONS(3621), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3515), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3503), 18,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3499), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [14715] = 5,
    ACTIONS(3489), 1,
      anon_sym_extends,
    ACTIONS(3703), 1,
      anon_sym_QMARK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3479), 22,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(3481), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [14784] = 31,
    ACTIONS(99), 1,
      anon_sym_AT,
    ACTIONS(1635), 1,
      anon_sym_DQUOTE,
    ACTIONS(1637), 1,
      anon_sym_SQUOTE,
    ACTIONS(2570), 1,
      anon_sym_LT,
    ACTIONS(3288), 1,
      anon_sym_LPAREN,
    ACTIONS(3312), 1,
      anon_sym_abstract,
    ACTIONS(3707), 1,
      anon_sym_export,
    ACTIONS(3709), 1,
      anon_sym_STAR,
    ACTIONS(3715), 1,
      anon_sym_LBRACK,
    ACTIONS(3717), 1,
      anon_sym_async,
    ACTIONS(3719), 1,
      anon_sym_new,
    ACTIONS(3723), 1,
      anon_sym_static,
    ACTIONS(3725), 1,
      anon_sym_readonly,
    ACTIONS(3731), 1,
      anon_sym_override,
    STATE(1297), 1,
      sym_decorator,
    STATE(2787), 1,
      sym_accessibility_modifier,
    STATE(2800), 1,
      sym_override_modifier,
    STATE(3307), 1,
      sym_formal_parameters,
    STATE(4102), 1,
      sym__call_signature,
    STATE(4407), 1,
      aux_sym_export_statement_repeat1,
    STATE(5222), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3298), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3711), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(3713), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3721), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3727), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3729), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3135), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(3855), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(3705), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [14904] = 6,
    ACTIONS(925), 1,
      anon_sym_EQ,
    ACTIONS(931), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(161), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(122), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [14974] = 5,
    ACTIONS(3619), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3515), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3503), 18,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3499), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [15042] = 9,
    ACTIONS(159), 1,
      anon_sym_EQ_GT,
    ACTIONS(831), 1,
      anon_sym_EQ,
    ACTIONS(3627), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1777), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(3630), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(161), 14,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [15118] = 7,
    ACTIONS(3501), 1,
      anon_sym_EQ,
    ACTIONS(3696), 1,
      anon_sym_in,
    ACTIONS(3699), 1,
      anon_sym_of,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3515), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3503), 17,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3499), 20,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [15190] = 8,
    ACTIONS(3674), 1,
      anon_sym_EQ,
    ACTIONS(3676), 1,
      anon_sym_EQ_GT,
    ACTIONS(3692), 1,
      anon_sym_in,
    ACTIONS(3694), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3515), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3503), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3499), 20,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [15264] = 4,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3487), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(3471), 22,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(3473), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [15330] = 7,
    ACTIONS(909), 1,
      anon_sym_COLON,
    ACTIONS(913), 1,
      anon_sym_EQ_GT,
    ACTIONS(917), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(161), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(122), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [15402] = 31,
    ACTIONS(99), 1,
      anon_sym_AT,
    ACTIONS(1635), 1,
      anon_sym_DQUOTE,
    ACTIONS(1637), 1,
      anon_sym_SQUOTE,
    ACTIONS(2570), 1,
      anon_sym_LT,
    ACTIONS(3288), 1,
      anon_sym_LPAREN,
    ACTIONS(3312), 1,
      anon_sym_abstract,
    ACTIONS(3707), 1,
      anon_sym_export,
    ACTIONS(3709), 1,
      anon_sym_STAR,
    ACTIONS(3715), 1,
      anon_sym_LBRACK,
    ACTIONS(3717), 1,
      anon_sym_async,
    ACTIONS(3719), 1,
      anon_sym_new,
    ACTIONS(3723), 1,
      anon_sym_static,
    ACTIONS(3725), 1,
      anon_sym_readonly,
    ACTIONS(3731), 1,
      anon_sym_override,
    STATE(1297), 1,
      sym_decorator,
    STATE(2787), 1,
      sym_accessibility_modifier,
    STATE(2800), 1,
      sym_override_modifier,
    STATE(3307), 1,
      sym_formal_parameters,
    STATE(4102), 1,
      sym__call_signature,
    STATE(4407), 1,
      aux_sym_export_statement_repeat1,
    STATE(5222), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3298), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3721), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3727), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3733), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(3735), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3729), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3135), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(3826), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(3705), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [15522] = 31,
    ACTIONS(99), 1,
      anon_sym_AT,
    ACTIONS(1635), 1,
      anon_sym_DQUOTE,
    ACTIONS(1637), 1,
      anon_sym_SQUOTE,
    ACTIONS(2570), 1,
      anon_sym_LT,
    ACTIONS(3288), 1,
      anon_sym_LPAREN,
    ACTIONS(3312), 1,
      anon_sym_abstract,
    ACTIONS(3707), 1,
      anon_sym_export,
    ACTIONS(3709), 1,
      anon_sym_STAR,
    ACTIONS(3715), 1,
      anon_sym_LBRACK,
    ACTIONS(3717), 1,
      anon_sym_async,
    ACTIONS(3719), 1,
      anon_sym_new,
    ACTIONS(3723), 1,
      anon_sym_static,
    ACTIONS(3725), 1,
      anon_sym_readonly,
    ACTIONS(3731), 1,
      anon_sym_override,
    STATE(1297), 1,
      sym_decorator,
    STATE(2787), 1,
      sym_accessibility_modifier,
    STATE(2800), 1,
      sym_override_modifier,
    STATE(3307), 1,
      sym_formal_parameters,
    STATE(4102), 1,
      sym__call_signature,
    STATE(4407), 1,
      aux_sym_export_statement_repeat1,
    STATE(5222), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3298), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3346), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(3348), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3721), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3727), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3729), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3135), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(3902), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(3705), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [15642] = 31,
    ACTIONS(99), 1,
      anon_sym_AT,
    ACTIONS(1635), 1,
      anon_sym_DQUOTE,
    ACTIONS(1637), 1,
      anon_sym_SQUOTE,
    ACTIONS(2570), 1,
      anon_sym_LT,
    ACTIONS(3288), 1,
      anon_sym_LPAREN,
    ACTIONS(3312), 1,
      anon_sym_abstract,
    ACTIONS(3707), 1,
      anon_sym_export,
    ACTIONS(3709), 1,
      anon_sym_STAR,
    ACTIONS(3715), 1,
      anon_sym_LBRACK,
    ACTIONS(3717), 1,
      anon_sym_async,
    ACTIONS(3719), 1,
      anon_sym_new,
    ACTIONS(3723), 1,
      anon_sym_static,
    ACTIONS(3725), 1,
      anon_sym_readonly,
    ACTIONS(3731), 1,
      anon_sym_override,
    STATE(1297), 1,
      sym_decorator,
    STATE(2787), 1,
      sym_accessibility_modifier,
    STATE(2800), 1,
      sym_override_modifier,
    STATE(3307), 1,
      sym_formal_parameters,
    STATE(4102), 1,
      sym__call_signature,
    STATE(4407), 1,
      aux_sym_export_statement_repeat1,
    STATE(5222), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3298), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3721), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3727), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3737), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(3739), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3729), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3135), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(3807), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(3705), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [15762] = 4,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3489), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(3479), 22,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(3481), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [15828] = 5,
    ACTIONS(3587), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3515), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3503), 18,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
    ACTIONS(3499), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [15896] = 6,
    ACTIONS(3633), 1,
      anon_sym_EQ,
    ACTIONS(3635), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3515), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3503), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3499), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [15966] = 8,
    ACTIONS(3613), 1,
      anon_sym_COMMA,
    ACTIONS(3647), 1,
      anon_sym_RBRACK,
    ACTIONS(3676), 1,
      anon_sym_EQ_GT,
    ACTIONS(3689), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3503), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3515), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3499), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [16040] = 7,
    ACTIONS(913), 1,
      anon_sym_EQ_GT,
    ACTIONS(917), 1,
      anon_sym_EQ,
    ACTIONS(919), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(161), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(122), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [16112] = 8,
    ACTIONS(128), 1,
      anon_sym_COMMA,
    ACTIONS(224), 1,
      anon_sym_RBRACK,
    ACTIONS(904), 1,
      anon_sym_EQ,
    ACTIONS(913), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(161), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [16186] = 31,
    ACTIONS(99), 1,
      anon_sym_AT,
    ACTIONS(1635), 1,
      anon_sym_DQUOTE,
    ACTIONS(1637), 1,
      anon_sym_SQUOTE,
    ACTIONS(2570), 1,
      anon_sym_LT,
    ACTIONS(3288), 1,
      anon_sym_LPAREN,
    ACTIONS(3312), 1,
      anon_sym_abstract,
    ACTIONS(3707), 1,
      anon_sym_export,
    ACTIONS(3709), 1,
      anon_sym_STAR,
    ACTIONS(3715), 1,
      anon_sym_LBRACK,
    ACTIONS(3717), 1,
      anon_sym_async,
    ACTIONS(3719), 1,
      anon_sym_new,
    ACTIONS(3723), 1,
      anon_sym_static,
    ACTIONS(3725), 1,
      anon_sym_readonly,
    ACTIONS(3731), 1,
      anon_sym_override,
    STATE(1297), 1,
      sym_decorator,
    STATE(2787), 1,
      sym_accessibility_modifier,
    STATE(2800), 1,
      sym_override_modifier,
    STATE(3307), 1,
      sym_formal_parameters,
    STATE(4102), 1,
      sym__call_signature,
    STATE(4407), 1,
      aux_sym_export_statement_repeat1,
    STATE(5222), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3298), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3721), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3727), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3741), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(3743), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3729), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3135), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(3780), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(3705), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [16306] = 8,
    ACTIONS(3674), 1,
      anon_sym_EQ,
    ACTIONS(3676), 1,
      anon_sym_EQ_GT,
    ACTIONS(3692), 1,
      anon_sym_in,
    ACTIONS(3745), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3515), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3503), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3499), 20,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [16380] = 6,
    ACTIONS(3533), 1,
      anon_sym_EQ,
    ACTIONS(3635), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3515), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3503), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3499), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [16450] = 6,
    ACTIONS(3543), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3647), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
    ACTIONS(3503), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3515), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3499), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [16520] = 6,
    ACTIONS(831), 1,
      anon_sym_EQ,
    ACTIONS(931), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(161), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(122), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [16590] = 31,
    ACTIONS(99), 1,
      anon_sym_AT,
    ACTIONS(1635), 1,
      anon_sym_DQUOTE,
    ACTIONS(1637), 1,
      anon_sym_SQUOTE,
    ACTIONS(2570), 1,
      anon_sym_LT,
    ACTIONS(3288), 1,
      anon_sym_LPAREN,
    ACTIONS(3312), 1,
      anon_sym_abstract,
    ACTIONS(3707), 1,
      anon_sym_export,
    ACTIONS(3709), 1,
      anon_sym_STAR,
    ACTIONS(3715), 1,
      anon_sym_LBRACK,
    ACTIONS(3717), 1,
      anon_sym_async,
    ACTIONS(3719), 1,
      anon_sym_new,
    ACTIONS(3723), 1,
      anon_sym_static,
    ACTIONS(3725), 1,
      anon_sym_readonly,
    ACTIONS(3731), 1,
      anon_sym_override,
    STATE(1297), 1,
      sym_decorator,
    STATE(2787), 1,
      sym_accessibility_modifier,
    STATE(2800), 1,
      sym_override_modifier,
    STATE(3307), 1,
      sym_formal_parameters,
    STATE(4102), 1,
      sym__call_signature,
    STATE(4407), 1,
      aux_sym_export_statement_repeat1,
    STATE(5222), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3290), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(3298), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3314), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3721), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3727), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3729), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3135), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(3822), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(3705), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [16710] = 6,
    ACTIONS(831), 1,
      anon_sym_EQ,
    ACTIONS(913), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(161), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(122), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [16779] = 6,
    ACTIONS(831), 1,
      anon_sym_EQ,
    ACTIONS(961), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(161), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(122), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [16848] = 6,
    ACTIONS(3658), 1,
      anon_sym_EQ,
    ACTIONS(3660), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3515), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3503), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3499), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [16917] = 6,
    ACTIONS(3674), 1,
      anon_sym_EQ,
    ACTIONS(3676), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3515), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3503), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3499), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [16986] = 8,
    ACTIONS(159), 1,
      anon_sym_EQ_GT,
    ACTIONS(831), 1,
      anon_sym_EQ,
    ACTIONS(895), 1,
      anon_sym_in,
    ACTIONS(3701), 1,
      anon_sym_of,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(161), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 20,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [17059] = 6,
    ACTIONS(3533), 1,
      anon_sym_EQ,
    ACTIONS(3660), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3515), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3503), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3499), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [17128] = 6,
    ACTIONS(3533), 1,
      anon_sym_EQ,
    ACTIONS(3676), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3515), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3503), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3499), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [17197] = 6,
    ACTIONS(3650), 1,
      anon_sym_EQ,
    ACTIONS(3652), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3515), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3503), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3499), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [17266] = 6,
    ACTIONS(3533), 1,
      anon_sym_EQ,
    ACTIONS(3652), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3515), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3503), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3499), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [17335] = 7,
    ACTIONS(159), 1,
      anon_sym_EQ_GT,
    ACTIONS(831), 1,
      anon_sym_EQ,
    ACTIONS(833), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(161), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [17406] = 7,
    ACTIONS(3613), 1,
      anon_sym_COMMA,
    ACTIONS(3647), 1,
      anon_sym_RBRACK,
    ACTIONS(3689), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3503), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3515), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3499), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [17477] = 6,
    ACTIONS(969), 1,
      anon_sym_EQ,
    ACTIONS(975), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(161), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(122), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [17546] = 6,
    ACTIONS(831), 1,
      anon_sym_EQ,
    ACTIONS(975), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(161), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(122), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [17615] = 6,
    ACTIONS(913), 1,
      anon_sym_EQ_GT,
    ACTIONS(917), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(161), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(122), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [17684] = 6,
    ACTIONS(955), 1,
      anon_sym_EQ,
    ACTIONS(961), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(161), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(122), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [17753] = 5,
    ACTIONS(3633), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3515), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3503), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3499), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [17820] = 8,
    ACTIONS(3533), 1,
      anon_sym_EQ,
    ACTIONS(3615), 1,
      anon_sym_EQ_GT,
    ACTIONS(3696), 1,
      anon_sym_in,
    ACTIONS(3699), 1,
      anon_sym_of,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3503), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3515), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3499), 20,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [17893] = 30,
    ACTIONS(99), 1,
      anon_sym_AT,
    ACTIONS(1635), 1,
      anon_sym_DQUOTE,
    ACTIONS(1637), 1,
      anon_sym_SQUOTE,
    ACTIONS(2570), 1,
      anon_sym_LT,
    ACTIONS(3288), 1,
      anon_sym_LPAREN,
    ACTIONS(3312), 1,
      anon_sym_abstract,
    ACTIONS(3707), 1,
      anon_sym_export,
    ACTIONS(3709), 1,
      anon_sym_STAR,
    ACTIONS(3715), 1,
      anon_sym_LBRACK,
    ACTIONS(3717), 1,
      anon_sym_async,
    ACTIONS(3719), 1,
      anon_sym_new,
    ACTIONS(3723), 1,
      anon_sym_static,
    ACTIONS(3725), 1,
      anon_sym_readonly,
    ACTIONS(3731), 1,
      anon_sym_override,
    STATE(1297), 1,
      sym_decorator,
    STATE(2787), 1,
      sym_accessibility_modifier,
    STATE(2800), 1,
      sym_override_modifier,
    STATE(3307), 1,
      sym_formal_parameters,
    STATE(4102), 1,
      sym__call_signature,
    STATE(4407), 1,
      aux_sym_export_statement_repeat1,
    STATE(5222), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3298), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3721), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3727), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3747), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3729), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3135), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(4281), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(3705), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [18009] = 6,
    ACTIONS(159), 1,
      anon_sym_EQ_GT,
    ACTIONS(985), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(161), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [18077] = 6,
    ACTIONS(159), 1,
      anon_sym_EQ_GT,
    ACTIONS(1051), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(161), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [18145] = 30,
    ACTIONS(99), 1,
      anon_sym_AT,
    ACTIONS(1635), 1,
      anon_sym_DQUOTE,
    ACTIONS(1637), 1,
      anon_sym_SQUOTE,
    ACTIONS(2570), 1,
      anon_sym_LT,
    ACTIONS(3288), 1,
      anon_sym_LPAREN,
    ACTIONS(3312), 1,
      anon_sym_abstract,
    ACTIONS(3707), 1,
      anon_sym_export,
    ACTIONS(3709), 1,
      anon_sym_STAR,
    ACTIONS(3715), 1,
      anon_sym_LBRACK,
    ACTIONS(3717), 1,
      anon_sym_async,
    ACTIONS(3719), 1,
      anon_sym_new,
    ACTIONS(3723), 1,
      anon_sym_static,
    ACTIONS(3725), 1,
      anon_sym_readonly,
    ACTIONS(3731), 1,
      anon_sym_override,
    STATE(1297), 1,
      sym_decorator,
    STATE(2787), 1,
      sym_accessibility_modifier,
    STATE(2800), 1,
      sym_override_modifier,
    STATE(3307), 1,
      sym_formal_parameters,
    STATE(4102), 1,
      sym__call_signature,
    STATE(4407), 1,
      aux_sym_export_statement_repeat1,
    STATE(5222), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3298), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3721), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3727), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3749), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3729), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3135), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(4281), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(3705), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [18261] = 6,
    ACTIONS(3615), 1,
      anon_sym_EQ_GT,
    ACTIONS(3751), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3503), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3515), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3499), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [18329] = 30,
    ACTIONS(99), 1,
      anon_sym_AT,
    ACTIONS(1635), 1,
      anon_sym_DQUOTE,
    ACTIONS(1637), 1,
      anon_sym_SQUOTE,
    ACTIONS(2570), 1,
      anon_sym_LT,
    ACTIONS(3288), 1,
      anon_sym_LPAREN,
    ACTIONS(3312), 1,
      anon_sym_abstract,
    ACTIONS(3707), 1,
      anon_sym_export,
    ACTIONS(3709), 1,
      anon_sym_STAR,
    ACTIONS(3715), 1,
      anon_sym_LBRACK,
    ACTIONS(3717), 1,
      anon_sym_async,
    ACTIONS(3719), 1,
      anon_sym_new,
    ACTIONS(3723), 1,
      anon_sym_static,
    ACTIONS(3725), 1,
      anon_sym_readonly,
    ACTIONS(3731), 1,
      anon_sym_override,
    STATE(1297), 1,
      sym_decorator,
    STATE(2787), 1,
      sym_accessibility_modifier,
    STATE(2800), 1,
      sym_override_modifier,
    STATE(3307), 1,
      sym_formal_parameters,
    STATE(4102), 1,
      sym__call_signature,
    STATE(4407), 1,
      aux_sym_export_statement_repeat1,
    STATE(5222), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3298), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3721), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3727), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3753), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3729), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3135), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(4281), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(3705), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [18445] = 30,
    ACTIONS(99), 1,
      anon_sym_AT,
    ACTIONS(1635), 1,
      anon_sym_DQUOTE,
    ACTIONS(1637), 1,
      anon_sym_SQUOTE,
    ACTIONS(2570), 1,
      anon_sym_LT,
    ACTIONS(3288), 1,
      anon_sym_LPAREN,
    ACTIONS(3312), 1,
      anon_sym_abstract,
    ACTIONS(3707), 1,
      anon_sym_export,
    ACTIONS(3709), 1,
      anon_sym_STAR,
    ACTIONS(3715), 1,
      anon_sym_LBRACK,
    ACTIONS(3717), 1,
      anon_sym_async,
    ACTIONS(3719), 1,
      anon_sym_new,
    ACTIONS(3723), 1,
      anon_sym_static,
    ACTIONS(3725), 1,
      anon_sym_readonly,
    ACTIONS(3731), 1,
      anon_sym_override,
    STATE(1297), 1,
      sym_decorator,
    STATE(2787), 1,
      sym_accessibility_modifier,
    STATE(2800), 1,
      sym_override_modifier,
    STATE(3307), 1,
      sym_formal_parameters,
    STATE(4102), 1,
      sym__call_signature,
    STATE(4407), 1,
      aux_sym_export_statement_repeat1,
    STATE(5222), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3298), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3721), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3727), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3755), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3729), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3135), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(4281), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(3705), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [18561] = 6,
    ACTIONS(159), 1,
      anon_sym_EQ_GT,
    ACTIONS(831), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(161), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [18629] = 6,
    ACTIONS(159), 1,
      anon_sym_EQ_GT,
    ACTIONS(987), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(161), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [18697] = 30,
    ACTIONS(99), 1,
      anon_sym_AT,
    ACTIONS(1635), 1,
      anon_sym_DQUOTE,
    ACTIONS(1637), 1,
      anon_sym_SQUOTE,
    ACTIONS(2570), 1,
      anon_sym_LT,
    ACTIONS(3288), 1,
      anon_sym_LPAREN,
    ACTIONS(3312), 1,
      anon_sym_abstract,
    ACTIONS(3707), 1,
      anon_sym_export,
    ACTIONS(3709), 1,
      anon_sym_STAR,
    ACTIONS(3715), 1,
      anon_sym_LBRACK,
    ACTIONS(3717), 1,
      anon_sym_async,
    ACTIONS(3719), 1,
      anon_sym_new,
    ACTIONS(3723), 1,
      anon_sym_static,
    ACTIONS(3725), 1,
      anon_sym_readonly,
    ACTIONS(3731), 1,
      anon_sym_override,
    STATE(1297), 1,
      sym_decorator,
    STATE(2787), 1,
      sym_accessibility_modifier,
    STATE(2800), 1,
      sym_override_modifier,
    STATE(3307), 1,
      sym_formal_parameters,
    STATE(4102), 1,
      sym__call_signature,
    STATE(4407), 1,
      aux_sym_export_statement_repeat1,
    STATE(5222), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3298), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3721), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3727), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3757), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3729), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3135), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(4281), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(3705), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [18813] = 30,
    ACTIONS(99), 1,
      anon_sym_AT,
    ACTIONS(1635), 1,
      anon_sym_DQUOTE,
    ACTIONS(1637), 1,
      anon_sym_SQUOTE,
    ACTIONS(2570), 1,
      anon_sym_LT,
    ACTIONS(3288), 1,
      anon_sym_LPAREN,
    ACTIONS(3312), 1,
      anon_sym_abstract,
    ACTIONS(3707), 1,
      anon_sym_export,
    ACTIONS(3709), 1,
      anon_sym_STAR,
    ACTIONS(3715), 1,
      anon_sym_LBRACK,
    ACTIONS(3717), 1,
      anon_sym_async,
    ACTIONS(3719), 1,
      anon_sym_new,
    ACTIONS(3723), 1,
      anon_sym_static,
    ACTIONS(3725), 1,
      anon_sym_readonly,
    ACTIONS(3731), 1,
      anon_sym_override,
    STATE(1297), 1,
      sym_decorator,
    STATE(2787), 1,
      sym_accessibility_modifier,
    STATE(2800), 1,
      sym_override_modifier,
    STATE(3307), 1,
      sym_formal_parameters,
    STATE(4102), 1,
      sym__call_signature,
    STATE(4407), 1,
      aux_sym_export_statement_repeat1,
    STATE(5222), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3298), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3721), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3727), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3759), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3729), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3135), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(4281), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(3705), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [18929] = 6,
    ACTIONS(159), 1,
      anon_sym_EQ_GT,
    ACTIONS(995), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(161), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [18997] = 6,
    ACTIONS(3615), 1,
      anon_sym_EQ_GT,
    ACTIONS(3761), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3503), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3515), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3499), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [19065] = 6,
    ACTIONS(3615), 1,
      anon_sym_EQ_GT,
    ACTIONS(3763), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3503), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3515), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3499), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [19133] = 30,
    ACTIONS(99), 1,
      anon_sym_AT,
    ACTIONS(1635), 1,
      anon_sym_DQUOTE,
    ACTIONS(1637), 1,
      anon_sym_SQUOTE,
    ACTIONS(2570), 1,
      anon_sym_LT,
    ACTIONS(3288), 1,
      anon_sym_LPAREN,
    ACTIONS(3312), 1,
      anon_sym_abstract,
    ACTIONS(3707), 1,
      anon_sym_export,
    ACTIONS(3709), 1,
      anon_sym_STAR,
    ACTIONS(3715), 1,
      anon_sym_LBRACK,
    ACTIONS(3717), 1,
      anon_sym_async,
    ACTIONS(3719), 1,
      anon_sym_new,
    ACTIONS(3723), 1,
      anon_sym_static,
    ACTIONS(3725), 1,
      anon_sym_readonly,
    ACTIONS(3731), 1,
      anon_sym_override,
    STATE(1297), 1,
      sym_decorator,
    STATE(2787), 1,
      sym_accessibility_modifier,
    STATE(2800), 1,
      sym_override_modifier,
    STATE(3307), 1,
      sym_formal_parameters,
    STATE(4102), 1,
      sym__call_signature,
    STATE(4407), 1,
      aux_sym_export_statement_repeat1,
    STATE(5222), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3298), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3721), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3727), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3765), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3729), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3135), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(4281), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(3705), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [19249] = 6,
    ACTIONS(159), 1,
      anon_sym_EQ_GT,
    ACTIONS(991), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(161), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [19317] = 30,
    ACTIONS(99), 1,
      anon_sym_AT,
    ACTIONS(1635), 1,
      anon_sym_DQUOTE,
    ACTIONS(1637), 1,
      anon_sym_SQUOTE,
    ACTIONS(2570), 1,
      anon_sym_LT,
    ACTIONS(3288), 1,
      anon_sym_LPAREN,
    ACTIONS(3312), 1,
      anon_sym_abstract,
    ACTIONS(3707), 1,
      anon_sym_export,
    ACTIONS(3709), 1,
      anon_sym_STAR,
    ACTIONS(3715), 1,
      anon_sym_LBRACK,
    ACTIONS(3717), 1,
      anon_sym_async,
    ACTIONS(3719), 1,
      anon_sym_new,
    ACTIONS(3723), 1,
      anon_sym_static,
    ACTIONS(3725), 1,
      anon_sym_readonly,
    ACTIONS(3731), 1,
      anon_sym_override,
    STATE(1297), 1,
      sym_decorator,
    STATE(2787), 1,
      sym_accessibility_modifier,
    STATE(2800), 1,
      sym_override_modifier,
    STATE(3307), 1,
      sym_formal_parameters,
    STATE(4102), 1,
      sym__call_signature,
    STATE(4407), 1,
      aux_sym_export_statement_repeat1,
    STATE(5222), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3298), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3721), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3727), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3767), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3729), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3135), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(4281), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(3705), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [19433] = 30,
    ACTIONS(99), 1,
      anon_sym_AT,
    ACTIONS(1635), 1,
      anon_sym_DQUOTE,
    ACTIONS(1637), 1,
      anon_sym_SQUOTE,
    ACTIONS(2570), 1,
      anon_sym_LT,
    ACTIONS(3288), 1,
      anon_sym_LPAREN,
    ACTIONS(3312), 1,
      anon_sym_abstract,
    ACTIONS(3707), 1,
      anon_sym_export,
    ACTIONS(3709), 1,
      anon_sym_STAR,
    ACTIONS(3715), 1,
      anon_sym_LBRACK,
    ACTIONS(3717), 1,
      anon_sym_async,
    ACTIONS(3719), 1,
      anon_sym_new,
    ACTIONS(3723), 1,
      anon_sym_static,
    ACTIONS(3725), 1,
      anon_sym_readonly,
    ACTIONS(3731), 1,
      anon_sym_override,
    STATE(1297), 1,
      sym_decorator,
    STATE(2787), 1,
      sym_accessibility_modifier,
    STATE(2800), 1,
      sym_override_modifier,
    STATE(3307), 1,
      sym_formal_parameters,
    STATE(4102), 1,
      sym__call_signature,
    STATE(4407), 1,
      aux_sym_export_statement_repeat1,
    STATE(5222), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3298), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3721), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3727), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3769), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3729), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3135), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(4281), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(3705), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [19549] = 6,
    ACTIONS(159), 1,
      anon_sym_EQ_GT,
    ACTIONS(981), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(161), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [19617] = 6,
    ACTIONS(3615), 1,
      anon_sym_EQ_GT,
    ACTIONS(3771), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3503), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3515), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3499), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [19685] = 6,
    ACTIONS(3615), 1,
      anon_sym_EQ_GT,
    ACTIONS(3773), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3503), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3515), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3499), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [19753] = 30,
    ACTIONS(99), 1,
      anon_sym_AT,
    ACTIONS(1635), 1,
      anon_sym_DQUOTE,
    ACTIONS(1637), 1,
      anon_sym_SQUOTE,
    ACTIONS(2570), 1,
      anon_sym_LT,
    ACTIONS(3288), 1,
      anon_sym_LPAREN,
    ACTIONS(3312), 1,
      anon_sym_abstract,
    ACTIONS(3707), 1,
      anon_sym_export,
    ACTIONS(3709), 1,
      anon_sym_STAR,
    ACTIONS(3715), 1,
      anon_sym_LBRACK,
    ACTIONS(3717), 1,
      anon_sym_async,
    ACTIONS(3719), 1,
      anon_sym_new,
    ACTIONS(3723), 1,
      anon_sym_static,
    ACTIONS(3725), 1,
      anon_sym_readonly,
    ACTIONS(3731), 1,
      anon_sym_override,
    STATE(1297), 1,
      sym_decorator,
    STATE(2787), 1,
      sym_accessibility_modifier,
    STATE(2800), 1,
      sym_override_modifier,
    STATE(3307), 1,
      sym_formal_parameters,
    STATE(4102), 1,
      sym__call_signature,
    STATE(4407), 1,
      aux_sym_export_statement_repeat1,
    STATE(5222), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3298), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3721), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3727), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3775), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3729), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3135), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(4281), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(3705), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [19869] = 30,
    ACTIONS(99), 1,
      anon_sym_AT,
    ACTIONS(1635), 1,
      anon_sym_DQUOTE,
    ACTIONS(1637), 1,
      anon_sym_SQUOTE,
    ACTIONS(2570), 1,
      anon_sym_LT,
    ACTIONS(3288), 1,
      anon_sym_LPAREN,
    ACTIONS(3312), 1,
      anon_sym_abstract,
    ACTIONS(3707), 1,
      anon_sym_export,
    ACTIONS(3709), 1,
      anon_sym_STAR,
    ACTIONS(3715), 1,
      anon_sym_LBRACK,
    ACTIONS(3717), 1,
      anon_sym_async,
    ACTIONS(3719), 1,
      anon_sym_new,
    ACTIONS(3723), 1,
      anon_sym_static,
    ACTIONS(3725), 1,
      anon_sym_readonly,
    ACTIONS(3731), 1,
      anon_sym_override,
    STATE(1297), 1,
      sym_decorator,
    STATE(2787), 1,
      sym_accessibility_modifier,
    STATE(2800), 1,
      sym_override_modifier,
    STATE(3307), 1,
      sym_formal_parameters,
    STATE(4102), 1,
      sym__call_signature,
    STATE(4407), 1,
      aux_sym_export_statement_repeat1,
    STATE(5222), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3298), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3721), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3727), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3777), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3729), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3135), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(4281), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(3705), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [19985] = 6,
    ACTIONS(159), 1,
      anon_sym_EQ_GT,
    ACTIONS(989), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(161), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [20053] = 6,
    ACTIONS(3615), 1,
      anon_sym_EQ_GT,
    ACTIONS(3779), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3503), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3515), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3499), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [20121] = 30,
    ACTIONS(99), 1,
      anon_sym_AT,
    ACTIONS(1635), 1,
      anon_sym_DQUOTE,
    ACTIONS(1637), 1,
      anon_sym_SQUOTE,
    ACTIONS(2570), 1,
      anon_sym_LT,
    ACTIONS(3288), 1,
      anon_sym_LPAREN,
    ACTIONS(3312), 1,
      anon_sym_abstract,
    ACTIONS(3707), 1,
      anon_sym_export,
    ACTIONS(3709), 1,
      anon_sym_STAR,
    ACTIONS(3715), 1,
      anon_sym_LBRACK,
    ACTIONS(3717), 1,
      anon_sym_async,
    ACTIONS(3719), 1,
      anon_sym_new,
    ACTIONS(3723), 1,
      anon_sym_static,
    ACTIONS(3725), 1,
      anon_sym_readonly,
    ACTIONS(3731), 1,
      anon_sym_override,
    STATE(1297), 1,
      sym_decorator,
    STATE(2787), 1,
      sym_accessibility_modifier,
    STATE(2800), 1,
      sym_override_modifier,
    STATE(3307), 1,
      sym_formal_parameters,
    STATE(4102), 1,
      sym__call_signature,
    STATE(4407), 1,
      aux_sym_export_statement_repeat1,
    STATE(5222), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3298), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3721), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3727), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3781), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3729), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3135), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(4281), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(3705), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [20237] = 30,
    ACTIONS(99), 1,
      anon_sym_AT,
    ACTIONS(1635), 1,
      anon_sym_DQUOTE,
    ACTIONS(1637), 1,
      anon_sym_SQUOTE,
    ACTIONS(2570), 1,
      anon_sym_LT,
    ACTIONS(3288), 1,
      anon_sym_LPAREN,
    ACTIONS(3312), 1,
      anon_sym_abstract,
    ACTIONS(3707), 1,
      anon_sym_export,
    ACTIONS(3709), 1,
      anon_sym_STAR,
    ACTIONS(3715), 1,
      anon_sym_LBRACK,
    ACTIONS(3717), 1,
      anon_sym_async,
    ACTIONS(3719), 1,
      anon_sym_new,
    ACTIONS(3723), 1,
      anon_sym_static,
    ACTIONS(3725), 1,
      anon_sym_readonly,
    ACTIONS(3731), 1,
      anon_sym_override,
    STATE(1297), 1,
      sym_decorator,
    STATE(2787), 1,
      sym_accessibility_modifier,
    STATE(2800), 1,
      sym_override_modifier,
    STATE(3307), 1,
      sym_formal_parameters,
    STATE(4102), 1,
      sym__call_signature,
    STATE(4407), 1,
      aux_sym_export_statement_repeat1,
    STATE(5222), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3298), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3721), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3727), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3783), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3729), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3135), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(4281), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(3705), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [20353] = 6,
    ACTIONS(159), 1,
      anon_sym_EQ_GT,
    ACTIONS(1049), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(161), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [20421] = 6,
    ACTIONS(3615), 1,
      anon_sym_EQ_GT,
    ACTIONS(3785), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3503), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3515), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3499), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [20489] = 6,
    ACTIONS(3533), 1,
      anon_sym_EQ,
    ACTIONS(3623), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3503), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3515), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3499), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [20557] = 7,
    ACTIONS(3533), 1,
      anon_sym_EQ,
    ACTIONS(3696), 1,
      anon_sym_in,
    ACTIONS(3699), 1,
      anon_sym_of,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3503), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3515), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3499), 20,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [20627] = 6,
    ACTIONS(3615), 1,
      anon_sym_EQ_GT,
    ACTIONS(3787), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3503), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3515), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3499), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [20695] = 6,
    ACTIONS(159), 1,
      anon_sym_EQ_GT,
    ACTIONS(993), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(161), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [20763] = 6,
    ACTIONS(3615), 1,
      anon_sym_EQ_GT,
    ACTIONS(3789), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3503), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3515), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3499), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [20831] = 6,
    ACTIONS(159), 1,
      anon_sym_EQ_GT,
    ACTIONS(983), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(161), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [20899] = 6,
    ACTIONS(3615), 1,
      anon_sym_EQ_GT,
    ACTIONS(3791), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3503), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3515), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3499), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [20967] = 30,
    ACTIONS(99), 1,
      anon_sym_AT,
    ACTIONS(1635), 1,
      anon_sym_DQUOTE,
    ACTIONS(1637), 1,
      anon_sym_SQUOTE,
    ACTIONS(2570), 1,
      anon_sym_LT,
    ACTIONS(3288), 1,
      anon_sym_LPAREN,
    ACTIONS(3312), 1,
      anon_sym_abstract,
    ACTIONS(3707), 1,
      anon_sym_export,
    ACTIONS(3709), 1,
      anon_sym_STAR,
    ACTIONS(3715), 1,
      anon_sym_LBRACK,
    ACTIONS(3717), 1,
      anon_sym_async,
    ACTIONS(3719), 1,
      anon_sym_new,
    ACTIONS(3723), 1,
      anon_sym_static,
    ACTIONS(3725), 1,
      anon_sym_readonly,
    ACTIONS(3731), 1,
      anon_sym_override,
    STATE(1297), 1,
      sym_decorator,
    STATE(2787), 1,
      sym_accessibility_modifier,
    STATE(2800), 1,
      sym_override_modifier,
    STATE(3307), 1,
      sym_formal_parameters,
    STATE(4102), 1,
      sym__call_signature,
    STATE(4407), 1,
      aux_sym_export_statement_repeat1,
    STATE(5222), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3298), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3721), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3727), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3793), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3729), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3135), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(4281), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(3705), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [21083] = 30,
    ACTIONS(99), 1,
      anon_sym_AT,
    ACTIONS(1635), 1,
      anon_sym_DQUOTE,
    ACTIONS(1637), 1,
      anon_sym_SQUOTE,
    ACTIONS(2570), 1,
      anon_sym_LT,
    ACTIONS(3288), 1,
      anon_sym_LPAREN,
    ACTIONS(3312), 1,
      anon_sym_abstract,
    ACTIONS(3707), 1,
      anon_sym_export,
    ACTIONS(3709), 1,
      anon_sym_STAR,
    ACTIONS(3715), 1,
      anon_sym_LBRACK,
    ACTIONS(3717), 1,
      anon_sym_async,
    ACTIONS(3719), 1,
      anon_sym_new,
    ACTIONS(3723), 1,
      anon_sym_static,
    ACTIONS(3725), 1,
      anon_sym_readonly,
    ACTIONS(3731), 1,
      anon_sym_override,
    STATE(1297), 1,
      sym_decorator,
    STATE(2787), 1,
      sym_accessibility_modifier,
    STATE(2800), 1,
      sym_override_modifier,
    STATE(3307), 1,
      sym_formal_parameters,
    STATE(4102), 1,
      sym__call_signature,
    STATE(4407), 1,
      aux_sym_export_statement_repeat1,
    STATE(5222), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3298), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3721), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3727), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3795), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3729), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3135), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(4281), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(3705), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [21199] = 5,
    ACTIONS(3658), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3515), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3503), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3499), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [21265] = 30,
    ACTIONS(99), 1,
      anon_sym_AT,
    ACTIONS(1635), 1,
      anon_sym_DQUOTE,
    ACTIONS(1637), 1,
      anon_sym_SQUOTE,
    ACTIONS(2570), 1,
      anon_sym_LT,
    ACTIONS(3288), 1,
      anon_sym_LPAREN,
    ACTIONS(3312), 1,
      anon_sym_abstract,
    ACTIONS(3707), 1,
      anon_sym_export,
    ACTIONS(3709), 1,
      anon_sym_STAR,
    ACTIONS(3715), 1,
      anon_sym_LBRACK,
    ACTIONS(3717), 1,
      anon_sym_async,
    ACTIONS(3719), 1,
      anon_sym_new,
    ACTIONS(3723), 1,
      anon_sym_static,
    ACTIONS(3725), 1,
      anon_sym_readonly,
    ACTIONS(3731), 1,
      anon_sym_override,
    STATE(1297), 1,
      sym_decorator,
    STATE(2787), 1,
      sym_accessibility_modifier,
    STATE(2800), 1,
      sym_override_modifier,
    STATE(3307), 1,
      sym_formal_parameters,
    STATE(4102), 1,
      sym__call_signature,
    STATE(4407), 1,
      aux_sym_export_statement_repeat1,
    STATE(5222), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3298), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3721), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3727), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3797), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3729), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3135), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(4281), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(3705), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [21381] = 5,
    ACTIONS(3674), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3515), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3503), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3499), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [21447] = 6,
    ACTIONS(3533), 1,
      anon_sym_EQ,
    ACTIONS(3615), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3503), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3515), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3499), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [21515] = 5,
    ACTIONS(3650), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3515), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3503), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3499), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [21581] = 30,
    ACTIONS(99), 1,
      anon_sym_AT,
    ACTIONS(1635), 1,
      anon_sym_DQUOTE,
    ACTIONS(1637), 1,
      anon_sym_SQUOTE,
    ACTIONS(2570), 1,
      anon_sym_LT,
    ACTIONS(3288), 1,
      anon_sym_LPAREN,
    ACTIONS(3312), 1,
      anon_sym_abstract,
    ACTIONS(3707), 1,
      anon_sym_export,
    ACTIONS(3709), 1,
      anon_sym_STAR,
    ACTIONS(3715), 1,
      anon_sym_LBRACK,
    ACTIONS(3717), 1,
      anon_sym_async,
    ACTIONS(3719), 1,
      anon_sym_new,
    ACTIONS(3723), 1,
      anon_sym_static,
    ACTIONS(3725), 1,
      anon_sym_readonly,
    ACTIONS(3731), 1,
      anon_sym_override,
    STATE(1297), 1,
      sym_decorator,
    STATE(2787), 1,
      sym_accessibility_modifier,
    STATE(2800), 1,
      sym_override_modifier,
    STATE(3307), 1,
      sym_formal_parameters,
    STATE(4102), 1,
      sym__call_signature,
    STATE(4407), 1,
      aux_sym_export_statement_repeat1,
    STATE(5222), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3298), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3721), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3727), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3799), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3729), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3135), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(4281), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(3705), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [21697] = 30,
    ACTIONS(99), 1,
      anon_sym_AT,
    ACTIONS(1635), 1,
      anon_sym_DQUOTE,
    ACTIONS(1637), 1,
      anon_sym_SQUOTE,
    ACTIONS(2570), 1,
      anon_sym_LT,
    ACTIONS(3288), 1,
      anon_sym_LPAREN,
    ACTIONS(3312), 1,
      anon_sym_abstract,
    ACTIONS(3707), 1,
      anon_sym_export,
    ACTIONS(3709), 1,
      anon_sym_STAR,
    ACTIONS(3715), 1,
      anon_sym_LBRACK,
    ACTIONS(3717), 1,
      anon_sym_async,
    ACTIONS(3719), 1,
      anon_sym_new,
    ACTIONS(3723), 1,
      anon_sym_static,
    ACTIONS(3725), 1,
      anon_sym_readonly,
    ACTIONS(3731), 1,
      anon_sym_override,
    STATE(1297), 1,
      sym_decorator,
    STATE(2787), 1,
      sym_accessibility_modifier,
    STATE(2800), 1,
      sym_override_modifier,
    STATE(3307), 1,
      sym_formal_parameters,
    STATE(4102), 1,
      sym__call_signature,
    STATE(4407), 1,
      aux_sym_export_statement_repeat1,
    STATE(5222), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3298), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3721), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3727), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3801), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3729), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3135), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(4281), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(3705), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [21813] = 5,
    ACTIONS(3773), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3503), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3515), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3499), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [21878] = 5,
    ACTIONS(3751), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3503), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3515), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3499), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [21943] = 5,
    ACTIONS(3763), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3503), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3515), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3499), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [22008] = 5,
    ACTIONS(3787), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3503), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3515), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3499), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [22073] = 5,
    ACTIONS(3771), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3503), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3515), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3499), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [22138] = 5,
    ACTIONS(3761), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3503), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3515), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3499), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [22203] = 5,
    ACTIONS(3789), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3503), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3515), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3499), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [22268] = 5,
    ACTIONS(3785), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3503), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3515), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3499), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [22333] = 5,
    ACTIONS(3779), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3503), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3515), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3499), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [22398] = 5,
    ACTIONS(3791), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3503), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3515), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3499), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [22463] = 29,
    ACTIONS(99), 1,
      anon_sym_AT,
    ACTIONS(1635), 1,
      anon_sym_DQUOTE,
    ACTIONS(1637), 1,
      anon_sym_SQUOTE,
    ACTIONS(2570), 1,
      anon_sym_LT,
    ACTIONS(3288), 1,
      anon_sym_LPAREN,
    ACTIONS(3312), 1,
      anon_sym_abstract,
    ACTIONS(3707), 1,
      anon_sym_export,
    ACTIONS(3709), 1,
      anon_sym_STAR,
    ACTIONS(3715), 1,
      anon_sym_LBRACK,
    ACTIONS(3717), 1,
      anon_sym_async,
    ACTIONS(3719), 1,
      anon_sym_new,
    ACTIONS(3723), 1,
      anon_sym_static,
    ACTIONS(3725), 1,
      anon_sym_readonly,
    ACTIONS(3731), 1,
      anon_sym_override,
    STATE(1297), 1,
      sym_decorator,
    STATE(2787), 1,
      sym_accessibility_modifier,
    STATE(2800), 1,
      sym_override_modifier,
    STATE(3307), 1,
      sym_formal_parameters,
    STATE(4102), 1,
      sym__call_signature,
    STATE(4407), 1,
      aux_sym_export_statement_repeat1,
    STATE(5222), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3298), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3721), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3727), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3729), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3135), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(3767), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(3705), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [22575] = 29,
    ACTIONS(99), 1,
      anon_sym_AT,
    ACTIONS(1635), 1,
      anon_sym_DQUOTE,
    ACTIONS(1637), 1,
      anon_sym_SQUOTE,
    ACTIONS(2570), 1,
      anon_sym_LT,
    ACTIONS(3288), 1,
      anon_sym_LPAREN,
    ACTIONS(3312), 1,
      anon_sym_abstract,
    ACTIONS(3707), 1,
      anon_sym_export,
    ACTIONS(3709), 1,
      anon_sym_STAR,
    ACTIONS(3715), 1,
      anon_sym_LBRACK,
    ACTIONS(3717), 1,
      anon_sym_async,
    ACTIONS(3719), 1,
      anon_sym_new,
    ACTIONS(3723), 1,
      anon_sym_static,
    ACTIONS(3725), 1,
      anon_sym_readonly,
    ACTIONS(3731), 1,
      anon_sym_override,
    STATE(1297), 1,
      sym_decorator,
    STATE(2787), 1,
      sym_accessibility_modifier,
    STATE(2800), 1,
      sym_override_modifier,
    STATE(3307), 1,
      sym_formal_parameters,
    STATE(4102), 1,
      sym__call_signature,
    STATE(4407), 1,
      aux_sym_export_statement_repeat1,
    STATE(5222), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3298), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3721), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3727), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3729), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3135), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(3809), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(3705), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [22687] = 29,
    ACTIONS(99), 1,
      anon_sym_AT,
    ACTIONS(1635), 1,
      anon_sym_DQUOTE,
    ACTIONS(1637), 1,
      anon_sym_SQUOTE,
    ACTIONS(2570), 1,
      anon_sym_LT,
    ACTIONS(3288), 1,
      anon_sym_LPAREN,
    ACTIONS(3312), 1,
      anon_sym_abstract,
    ACTIONS(3707), 1,
      anon_sym_export,
    ACTIONS(3709), 1,
      anon_sym_STAR,
    ACTIONS(3715), 1,
      anon_sym_LBRACK,
    ACTIONS(3717), 1,
      anon_sym_async,
    ACTIONS(3719), 1,
      anon_sym_new,
    ACTIONS(3723), 1,
      anon_sym_static,
    ACTIONS(3725), 1,
      anon_sym_readonly,
    ACTIONS(3731), 1,
      anon_sym_override,
    STATE(1297), 1,
      sym_decorator,
    STATE(2787), 1,
      sym_accessibility_modifier,
    STATE(2800), 1,
      sym_override_modifier,
    STATE(3307), 1,
      sym_formal_parameters,
    STATE(4102), 1,
      sym__call_signature,
    STATE(4407), 1,
      aux_sym_export_statement_repeat1,
    STATE(5222), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3298), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3721), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3727), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3729), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3135), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(3783), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(3705), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [22799] = 29,
    ACTIONS(99), 1,
      anon_sym_AT,
    ACTIONS(1635), 1,
      anon_sym_DQUOTE,
    ACTIONS(1637), 1,
      anon_sym_SQUOTE,
    ACTIONS(2570), 1,
      anon_sym_LT,
    ACTIONS(3288), 1,
      anon_sym_LPAREN,
    ACTIONS(3312), 1,
      anon_sym_abstract,
    ACTIONS(3707), 1,
      anon_sym_export,
    ACTIONS(3709), 1,
      anon_sym_STAR,
    ACTIONS(3715), 1,
      anon_sym_LBRACK,
    ACTIONS(3717), 1,
      anon_sym_async,
    ACTIONS(3719), 1,
      anon_sym_new,
    ACTIONS(3723), 1,
      anon_sym_static,
    ACTIONS(3725), 1,
      anon_sym_readonly,
    ACTIONS(3731), 1,
      anon_sym_override,
    STATE(1297), 1,
      sym_decorator,
    STATE(2787), 1,
      sym_accessibility_modifier,
    STATE(2800), 1,
      sym_override_modifier,
    STATE(3307), 1,
      sym_formal_parameters,
    STATE(4102), 1,
      sym__call_signature,
    STATE(4407), 1,
      aux_sym_export_statement_repeat1,
    STATE(5222), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3298), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3721), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3727), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3729), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3135), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(3763), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(3705), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [22911] = 29,
    ACTIONS(99), 1,
      anon_sym_AT,
    ACTIONS(1635), 1,
      anon_sym_DQUOTE,
    ACTIONS(1637), 1,
      anon_sym_SQUOTE,
    ACTIONS(2570), 1,
      anon_sym_LT,
    ACTIONS(3288), 1,
      anon_sym_LPAREN,
    ACTIONS(3312), 1,
      anon_sym_abstract,
    ACTIONS(3707), 1,
      anon_sym_export,
    ACTIONS(3709), 1,
      anon_sym_STAR,
    ACTIONS(3715), 1,
      anon_sym_LBRACK,
    ACTIONS(3717), 1,
      anon_sym_async,
    ACTIONS(3719), 1,
      anon_sym_new,
    ACTIONS(3723), 1,
      anon_sym_static,
    ACTIONS(3725), 1,
      anon_sym_readonly,
    ACTIONS(3731), 1,
      anon_sym_override,
    STATE(1297), 1,
      sym_decorator,
    STATE(2787), 1,
      sym_accessibility_modifier,
    STATE(2800), 1,
      sym_override_modifier,
    STATE(3307), 1,
      sym_formal_parameters,
    STATE(4102), 1,
      sym__call_signature,
    STATE(4407), 1,
      aux_sym_export_statement_repeat1,
    STATE(5222), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3298), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3721), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3727), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3729), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3135), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(3831), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(3705), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [23023] = 29,
    ACTIONS(99), 1,
      anon_sym_AT,
    ACTIONS(1635), 1,
      anon_sym_DQUOTE,
    ACTIONS(1637), 1,
      anon_sym_SQUOTE,
    ACTIONS(2570), 1,
      anon_sym_LT,
    ACTIONS(3288), 1,
      anon_sym_LPAREN,
    ACTIONS(3312), 1,
      anon_sym_abstract,
    ACTIONS(3707), 1,
      anon_sym_export,
    ACTIONS(3709), 1,
      anon_sym_STAR,
    ACTIONS(3715), 1,
      anon_sym_LBRACK,
    ACTIONS(3717), 1,
      anon_sym_async,
    ACTIONS(3719), 1,
      anon_sym_new,
    ACTIONS(3723), 1,
      anon_sym_static,
    ACTIONS(3725), 1,
      anon_sym_readonly,
    ACTIONS(3731), 1,
      anon_sym_override,
    STATE(1297), 1,
      sym_decorator,
    STATE(2787), 1,
      sym_accessibility_modifier,
    STATE(2800), 1,
      sym_override_modifier,
    STATE(3307), 1,
      sym_formal_parameters,
    STATE(4102), 1,
      sym__call_signature,
    STATE(4407), 1,
      aux_sym_export_statement_repeat1,
    STATE(5222), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3298), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3721), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3727), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3729), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3135), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(4281), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(3705), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [23135] = 29,
    ACTIONS(99), 1,
      anon_sym_AT,
    ACTIONS(1635), 1,
      anon_sym_DQUOTE,
    ACTIONS(1637), 1,
      anon_sym_SQUOTE,
    ACTIONS(2570), 1,
      anon_sym_LT,
    ACTIONS(3288), 1,
      anon_sym_LPAREN,
    ACTIONS(3312), 1,
      anon_sym_abstract,
    ACTIONS(3707), 1,
      anon_sym_export,
    ACTIONS(3709), 1,
      anon_sym_STAR,
    ACTIONS(3715), 1,
      anon_sym_LBRACK,
    ACTIONS(3717), 1,
      anon_sym_async,
    ACTIONS(3719), 1,
      anon_sym_new,
    ACTIONS(3723), 1,
      anon_sym_static,
    ACTIONS(3725), 1,
      anon_sym_readonly,
    ACTIONS(3731), 1,
      anon_sym_override,
    STATE(1297), 1,
      sym_decorator,
    STATE(2787), 1,
      sym_accessibility_modifier,
    STATE(2800), 1,
      sym_override_modifier,
    STATE(3307), 1,
      sym_formal_parameters,
    STATE(4102), 1,
      sym__call_signature,
    STATE(4407), 1,
      aux_sym_export_statement_repeat1,
    STATE(5222), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3298), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3721), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3727), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3729), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3135), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(3756), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(3705), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [23247] = 29,
    ACTIONS(1635), 1,
      anon_sym_DQUOTE,
    ACTIONS(1637), 1,
      anon_sym_SQUOTE,
    ACTIONS(3715), 1,
      anon_sym_LBRACK,
    ACTIONS(3731), 1,
      anon_sym_override,
    ACTIONS(3803), 1,
      anon_sym_STAR,
    ACTIONS(3805), 1,
      anon_sym_RBRACE,
    ACTIONS(3807), 1,
      anon_sym_SEMI,
    ACTIONS(3809), 1,
      anon_sym_async,
    ACTIONS(3813), 1,
      anon_sym_AT,
    ACTIONS(3815), 1,
      anon_sym_static,
    ACTIONS(3817), 1,
      anon_sym_readonly,
    ACTIONS(3821), 1,
      anon_sym_declare,
    ACTIONS(3823), 1,
      anon_sym_abstract,
    ACTIONS(3825), 1,
      anon_sym_accessor,
    STATE(2421), 1,
      aux_sym_export_statement_repeat1,
    STATE(2709), 1,
      sym_method_definition,
    STATE(2732), 1,
      sym_accessibility_modifier,
    STATE(2808), 1,
      sym_decorator,
    STATE(2810), 1,
      sym_override_modifier,
    STATE(4485), 1,
      sym_method_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3298), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3811), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3819), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1491), 2,
      sym_class_static_block,
      aux_sym_class_body_repeat1,
    ACTIONS(3729), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3059), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(4765), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(3705), 13,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [23358] = 33,
    ACTIONS(99), 1,
      anon_sym_AT,
    ACTIONS(2292), 1,
      anon_sym_LBRACE,
    ACTIONS(2394), 1,
      anon_sym_namespace,
    ACTIONS(2396), 1,
      anon_sym_import,
    ACTIONS(2398), 1,
      anon_sym_var,
    ACTIONS(2400), 1,
      anon_sym_let,
    ACTIONS(2402), 1,
      anon_sym_const,
    ACTIONS(2404), 1,
      anon_sym_class,
    ACTIONS(2406), 1,
      anon_sym_async,
    ACTIONS(2408), 1,
      anon_sym_function,
    ACTIONS(2410), 1,
      anon_sym_declare,
    ACTIONS(2414), 1,
      anon_sym_abstract,
    ACTIONS(2418), 1,
      anon_sym_interface,
    ACTIONS(2420), 1,
      anon_sym_enum,
    ACTIONS(3827), 1,
      anon_sym_STAR,
    ACTIONS(3829), 1,
      anon_sym_default,
    ACTIONS(3831), 1,
      anon_sym_type,
    ACTIONS(3833), 1,
      anon_sym_EQ,
    ACTIONS(3835), 1,
      anon_sym_as,
    ACTIONS(3837), 1,
      anon_sym_COMMA,
    ACTIONS(3840), 1,
      anon_sym_RBRACE,
    ACTIONS(3845), 1,
      anon_sym_module,
    STATE(1297), 1,
      sym_decorator,
    STATE(3915), 1,
      sym_declaration,
    STATE(3916), 1,
      sym_internal_module,
    STATE(4322), 1,
      aux_sym_export_statement_repeat1,
    STATE(4515), 1,
      sym_export_clause,
    STATE(4835), 1,
      aux_sym_object_pattern_repeat1,
    STATE(4905), 1,
      aux_sym_object_repeat1,
    STATE(5240), 1,
      sym_namespace_export,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3843), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    STATE(3912), 13,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
      sym_function_signature,
      sym_ambient_declaration,
      sym_abstract_class_declaration,
      sym_module,
      sym_import_alias,
      sym_interface_declaration,
      sym_enum_declaration,
      sym_type_alias_declaration,
  [23477] = 33,
    ACTIONS(99), 1,
      anon_sym_AT,
    ACTIONS(2292), 1,
      anon_sym_LBRACE,
    ACTIONS(2394), 1,
      anon_sym_namespace,
    ACTIONS(2396), 1,
      anon_sym_import,
    ACTIONS(2398), 1,
      anon_sym_var,
    ACTIONS(2400), 1,
      anon_sym_let,
    ACTIONS(2402), 1,
      anon_sym_const,
    ACTIONS(2404), 1,
      anon_sym_class,
    ACTIONS(2406), 1,
      anon_sym_async,
    ACTIONS(2408), 1,
      anon_sym_function,
    ACTIONS(2410), 1,
      anon_sym_declare,
    ACTIONS(2414), 1,
      anon_sym_abstract,
    ACTIONS(2418), 1,
      anon_sym_interface,
    ACTIONS(2420), 1,
      anon_sym_enum,
    ACTIONS(3827), 1,
      anon_sym_STAR,
    ACTIONS(3829), 1,
      anon_sym_default,
    ACTIONS(3831), 1,
      anon_sym_type,
    ACTIONS(3833), 1,
      anon_sym_EQ,
    ACTIONS(3835), 1,
      anon_sym_as,
    ACTIONS(3837), 1,
      anon_sym_COMMA,
    ACTIONS(3845), 1,
      anon_sym_module,
    ACTIONS(3847), 1,
      anon_sym_RBRACE,
    STATE(1297), 1,
      sym_decorator,
    STATE(3915), 1,
      sym_declaration,
    STATE(3916), 1,
      sym_internal_module,
    STATE(4322), 1,
      aux_sym_export_statement_repeat1,
    STATE(4515), 1,
      sym_export_clause,
    STATE(4835), 1,
      aux_sym_object_pattern_repeat1,
    STATE(4905), 1,
      aux_sym_object_repeat1,
    STATE(5240), 1,
      sym_namespace_export,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3843), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    STATE(3912), 13,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
      sym_function_signature,
      sym_ambient_declaration,
      sym_abstract_class_declaration,
      sym_module,
      sym_import_alias,
      sym_interface_declaration,
      sym_enum_declaration,
      sym_type_alias_declaration,
  [23596] = 33,
    ACTIONS(99), 1,
      anon_sym_AT,
    ACTIONS(2292), 1,
      anon_sym_LBRACE,
    ACTIONS(2394), 1,
      anon_sym_namespace,
    ACTIONS(2396), 1,
      anon_sym_import,
    ACTIONS(2398), 1,
      anon_sym_var,
    ACTIONS(2400), 1,
      anon_sym_let,
    ACTIONS(2402), 1,
      anon_sym_const,
    ACTIONS(2404), 1,
      anon_sym_class,
    ACTIONS(2406), 1,
      anon_sym_async,
    ACTIONS(2408), 1,
      anon_sym_function,
    ACTIONS(2410), 1,
      anon_sym_declare,
    ACTIONS(2414), 1,
      anon_sym_abstract,
    ACTIONS(2418), 1,
      anon_sym_interface,
    ACTIONS(2420), 1,
      anon_sym_enum,
    ACTIONS(3827), 1,
      anon_sym_STAR,
    ACTIONS(3829), 1,
      anon_sym_default,
    ACTIONS(3831), 1,
      anon_sym_type,
    ACTIONS(3833), 1,
      anon_sym_EQ,
    ACTIONS(3835), 1,
      anon_sym_as,
    ACTIONS(3837), 1,
      anon_sym_COMMA,
    ACTIONS(3845), 1,
      anon_sym_module,
    ACTIONS(3850), 1,
      anon_sym_RBRACE,
    STATE(1297), 1,
      sym_decorator,
    STATE(3915), 1,
      sym_declaration,
    STATE(3916), 1,
      sym_internal_module,
    STATE(4322), 1,
      aux_sym_export_statement_repeat1,
    STATE(4515), 1,
      sym_export_clause,
    STATE(4835), 1,
      aux_sym_object_pattern_repeat1,
    STATE(4905), 1,
      aux_sym_object_repeat1,
    STATE(5240), 1,
      sym_namespace_export,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3843), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    STATE(3912), 13,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
      sym_function_signature,
      sym_ambient_declaration,
      sym_abstract_class_declaration,
      sym_module,
      sym_import_alias,
      sym_interface_declaration,
      sym_enum_declaration,
      sym_type_alias_declaration,
  [23715] = 29,
    ACTIONS(3856), 1,
      anon_sym_STAR,
    ACTIONS(3859), 1,
      anon_sym_RBRACE,
    ACTIONS(3861), 1,
      anon_sym_SEMI,
    ACTIONS(3864), 1,
      anon_sym_LBRACK,
    ACTIONS(3867), 1,
      anon_sym_DQUOTE,
    ACTIONS(3870), 1,
      anon_sym_SQUOTE,
    ACTIONS(3873), 1,
      anon_sym_async,
    ACTIONS(3882), 1,
      anon_sym_AT,
    ACTIONS(3885), 1,
      anon_sym_static,
    ACTIONS(3888), 1,
      anon_sym_readonly,
    ACTIONS(3894), 1,
      anon_sym_declare,
    ACTIONS(3900), 1,
      anon_sym_override,
    ACTIONS(3903), 1,
      anon_sym_abstract,
    ACTIONS(3906), 1,
      anon_sym_accessor,
    STATE(2421), 1,
      aux_sym_export_statement_repeat1,
    STATE(2709), 1,
      sym_method_definition,
    STATE(2732), 1,
      sym_accessibility_modifier,
    STATE(2808), 1,
      sym_decorator,
    STATE(2810), 1,
      sym_override_modifier,
    STATE(4485), 1,
      sym_method_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3876), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3879), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3891), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1485), 2,
      sym_class_static_block,
      aux_sym_class_body_repeat1,
    ACTIONS(3897), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3059), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(4765), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(3853), 13,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [23826] = 33,
    ACTIONS(99), 1,
      anon_sym_AT,
    ACTIONS(2292), 1,
      anon_sym_LBRACE,
    ACTIONS(2394), 1,
      anon_sym_namespace,
    ACTIONS(2396), 1,
      anon_sym_import,
    ACTIONS(2398), 1,
      anon_sym_var,
    ACTIONS(2400), 1,
      anon_sym_let,
    ACTIONS(2402), 1,
      anon_sym_const,
    ACTIONS(2404), 1,
      anon_sym_class,
    ACTIONS(2406), 1,
      anon_sym_async,
    ACTIONS(2408), 1,
      anon_sym_function,
    ACTIONS(2410), 1,
      anon_sym_declare,
    ACTIONS(2414), 1,
      anon_sym_abstract,
    ACTIONS(2418), 1,
      anon_sym_interface,
    ACTIONS(2420), 1,
      anon_sym_enum,
    ACTIONS(3827), 1,
      anon_sym_STAR,
    ACTIONS(3829), 1,
      anon_sym_default,
    ACTIONS(3831), 1,
      anon_sym_type,
    ACTIONS(3833), 1,
      anon_sym_EQ,
    ACTIONS(3835), 1,
      anon_sym_as,
    ACTIONS(3837), 1,
      anon_sym_COMMA,
    ACTIONS(3845), 1,
      anon_sym_module,
    ACTIONS(3909), 1,
      anon_sym_RBRACE,
    STATE(1297), 1,
      sym_decorator,
    STATE(3915), 1,
      sym_declaration,
    STATE(3916), 1,
      sym_internal_module,
    STATE(4322), 1,
      aux_sym_export_statement_repeat1,
    STATE(4515), 1,
      sym_export_clause,
    STATE(4824), 1,
      aux_sym_object_repeat1,
    STATE(4835), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5240), 1,
      sym_namespace_export,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3843), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    STATE(3912), 13,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
      sym_function_signature,
      sym_ambient_declaration,
      sym_abstract_class_declaration,
      sym_module,
      sym_import_alias,
      sym_interface_declaration,
      sym_enum_declaration,
      sym_type_alias_declaration,
  [23945] = 29,
    ACTIONS(1635), 1,
      anon_sym_DQUOTE,
    ACTIONS(1637), 1,
      anon_sym_SQUOTE,
    ACTIONS(3715), 1,
      anon_sym_LBRACK,
    ACTIONS(3731), 1,
      anon_sym_override,
    ACTIONS(3803), 1,
      anon_sym_STAR,
    ACTIONS(3809), 1,
      anon_sym_async,
    ACTIONS(3813), 1,
      anon_sym_AT,
    ACTIONS(3815), 1,
      anon_sym_static,
    ACTIONS(3817), 1,
      anon_sym_readonly,
    ACTIONS(3821), 1,
      anon_sym_declare,
    ACTIONS(3823), 1,
      anon_sym_abstract,
    ACTIONS(3825), 1,
      anon_sym_accessor,
    ACTIONS(3912), 1,
      anon_sym_RBRACE,
    ACTIONS(3914), 1,
      anon_sym_SEMI,
    STATE(2421), 1,
      aux_sym_export_statement_repeat1,
    STATE(2709), 1,
      sym_method_definition,
    STATE(2732), 1,
      sym_accessibility_modifier,
    STATE(2808), 1,
      sym_decorator,
    STATE(2810), 1,
      sym_override_modifier,
    STATE(4485), 1,
      sym_method_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3298), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3811), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3819), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1485), 2,
      sym_class_static_block,
      aux_sym_class_body_repeat1,
    ACTIONS(3729), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3059), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(4765), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(3705), 13,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [24056] = 29,
    ACTIONS(1635), 1,
      anon_sym_DQUOTE,
    ACTIONS(1637), 1,
      anon_sym_SQUOTE,
    ACTIONS(3715), 1,
      anon_sym_LBRACK,
    ACTIONS(3731), 1,
      anon_sym_override,
    ACTIONS(3803), 1,
      anon_sym_STAR,
    ACTIONS(3809), 1,
      anon_sym_async,
    ACTIONS(3813), 1,
      anon_sym_AT,
    ACTIONS(3815), 1,
      anon_sym_static,
    ACTIONS(3817), 1,
      anon_sym_readonly,
    ACTIONS(3821), 1,
      anon_sym_declare,
    ACTIONS(3823), 1,
      anon_sym_abstract,
    ACTIONS(3825), 1,
      anon_sym_accessor,
    ACTIONS(3914), 1,
      anon_sym_SEMI,
    ACTIONS(3916), 1,
      anon_sym_RBRACE,
    STATE(2421), 1,
      aux_sym_export_statement_repeat1,
    STATE(2709), 1,
      sym_method_definition,
    STATE(2732), 1,
      sym_accessibility_modifier,
    STATE(2808), 1,
      sym_decorator,
    STATE(2810), 1,
      sym_override_modifier,
    STATE(4485), 1,
      sym_method_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3298), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3811), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3819), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1485), 2,
      sym_class_static_block,
      aux_sym_class_body_repeat1,
    ACTIONS(3729), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3059), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(4765), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(3705), 13,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [24167] = 29,
    ACTIONS(1635), 1,
      anon_sym_DQUOTE,
    ACTIONS(1637), 1,
      anon_sym_SQUOTE,
    ACTIONS(3715), 1,
      anon_sym_LBRACK,
    ACTIONS(3731), 1,
      anon_sym_override,
    ACTIONS(3803), 1,
      anon_sym_STAR,
    ACTIONS(3809), 1,
      anon_sym_async,
    ACTIONS(3813), 1,
      anon_sym_AT,
    ACTIONS(3815), 1,
      anon_sym_static,
    ACTIONS(3817), 1,
      anon_sym_readonly,
    ACTIONS(3821), 1,
      anon_sym_declare,
    ACTIONS(3823), 1,
      anon_sym_abstract,
    ACTIONS(3825), 1,
      anon_sym_accessor,
    ACTIONS(3918), 1,
      anon_sym_RBRACE,
    ACTIONS(3920), 1,
      anon_sym_SEMI,
    STATE(2421), 1,
      aux_sym_export_statement_repeat1,
    STATE(2709), 1,
      sym_method_definition,
    STATE(2732), 1,
      sym_accessibility_modifier,
    STATE(2808), 1,
      sym_decorator,
    STATE(2810), 1,
      sym_override_modifier,
    STATE(4485), 1,
      sym_method_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3298), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3811), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3819), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1487), 2,
      sym_class_static_block,
      aux_sym_class_body_repeat1,
    ACTIONS(3729), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3059), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(4765), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(3705), 13,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [24278] = 29,
    ACTIONS(1635), 1,
      anon_sym_DQUOTE,
    ACTIONS(1637), 1,
      anon_sym_SQUOTE,
    ACTIONS(3715), 1,
      anon_sym_LBRACK,
    ACTIONS(3731), 1,
      anon_sym_override,
    ACTIONS(3803), 1,
      anon_sym_STAR,
    ACTIONS(3809), 1,
      anon_sym_async,
    ACTIONS(3813), 1,
      anon_sym_AT,
    ACTIONS(3815), 1,
      anon_sym_static,
    ACTIONS(3817), 1,
      anon_sym_readonly,
    ACTIONS(3821), 1,
      anon_sym_declare,
    ACTIONS(3823), 1,
      anon_sym_abstract,
    ACTIONS(3825), 1,
      anon_sym_accessor,
    ACTIONS(3914), 1,
      anon_sym_SEMI,
    ACTIONS(3922), 1,
      anon_sym_RBRACE,
    STATE(2421), 1,
      aux_sym_export_statement_repeat1,
    STATE(2709), 1,
      sym_method_definition,
    STATE(2732), 1,
      sym_accessibility_modifier,
    STATE(2808), 1,
      sym_decorator,
    STATE(2810), 1,
      sym_override_modifier,
    STATE(4485), 1,
      sym_method_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3298), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3811), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3819), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1485), 2,
      sym_class_static_block,
      aux_sym_class_body_repeat1,
    ACTIONS(3729), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3059), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(4765), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(3705), 13,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [24389] = 29,
    ACTIONS(1635), 1,
      anon_sym_DQUOTE,
    ACTIONS(1637), 1,
      anon_sym_SQUOTE,
    ACTIONS(3715), 1,
      anon_sym_LBRACK,
    ACTIONS(3731), 1,
      anon_sym_override,
    ACTIONS(3803), 1,
      anon_sym_STAR,
    ACTIONS(3809), 1,
      anon_sym_async,
    ACTIONS(3813), 1,
      anon_sym_AT,
    ACTIONS(3815), 1,
      anon_sym_static,
    ACTIONS(3817), 1,
      anon_sym_readonly,
    ACTIONS(3821), 1,
      anon_sym_declare,
    ACTIONS(3823), 1,
      anon_sym_abstract,
    ACTIONS(3825), 1,
      anon_sym_accessor,
    ACTIONS(3914), 1,
      anon_sym_SEMI,
    ACTIONS(3924), 1,
      anon_sym_RBRACE,
    STATE(2421), 1,
      aux_sym_export_statement_repeat1,
    STATE(2709), 1,
      sym_method_definition,
    STATE(2732), 1,
      sym_accessibility_modifier,
    STATE(2808), 1,
      sym_decorator,
    STATE(2810), 1,
      sym_override_modifier,
    STATE(4485), 1,
      sym_method_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3298), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3811), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3819), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1485), 2,
      sym_class_static_block,
      aux_sym_class_body_repeat1,
    ACTIONS(3729), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3059), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(4765), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(3705), 13,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [24500] = 29,
    ACTIONS(1635), 1,
      anon_sym_DQUOTE,
    ACTIONS(1637), 1,
      anon_sym_SQUOTE,
    ACTIONS(3715), 1,
      anon_sym_LBRACK,
    ACTIONS(3731), 1,
      anon_sym_override,
    ACTIONS(3803), 1,
      anon_sym_STAR,
    ACTIONS(3809), 1,
      anon_sym_async,
    ACTIONS(3813), 1,
      anon_sym_AT,
    ACTIONS(3815), 1,
      anon_sym_static,
    ACTIONS(3817), 1,
      anon_sym_readonly,
    ACTIONS(3821), 1,
      anon_sym_declare,
    ACTIONS(3823), 1,
      anon_sym_abstract,
    ACTIONS(3825), 1,
      anon_sym_accessor,
    ACTIONS(3926), 1,
      anon_sym_RBRACE,
    ACTIONS(3928), 1,
      anon_sym_SEMI,
    STATE(2421), 1,
      aux_sym_export_statement_repeat1,
    STATE(2709), 1,
      sym_method_definition,
    STATE(2732), 1,
      sym_accessibility_modifier,
    STATE(2808), 1,
      sym_decorator,
    STATE(2810), 1,
      sym_override_modifier,
    STATE(4485), 1,
      sym_method_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3298), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3811), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3819), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1490), 2,
      sym_class_static_block,
      aux_sym_class_body_repeat1,
    ACTIONS(3729), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3059), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(4765), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(3705), 13,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [24611] = 33,
    ACTIONS(99), 1,
      anon_sym_AT,
    ACTIONS(2292), 1,
      anon_sym_LBRACE,
    ACTIONS(2394), 1,
      anon_sym_namespace,
    ACTIONS(2396), 1,
      anon_sym_import,
    ACTIONS(2398), 1,
      anon_sym_var,
    ACTIONS(2400), 1,
      anon_sym_let,
    ACTIONS(2402), 1,
      anon_sym_const,
    ACTIONS(2404), 1,
      anon_sym_class,
    ACTIONS(2406), 1,
      anon_sym_async,
    ACTIONS(2408), 1,
      anon_sym_function,
    ACTIONS(2410), 1,
      anon_sym_declare,
    ACTIONS(2414), 1,
      anon_sym_abstract,
    ACTIONS(2418), 1,
      anon_sym_interface,
    ACTIONS(2420), 1,
      anon_sym_enum,
    ACTIONS(3827), 1,
      anon_sym_STAR,
    ACTIONS(3829), 1,
      anon_sym_default,
    ACTIONS(3831), 1,
      anon_sym_type,
    ACTIONS(3833), 1,
      anon_sym_EQ,
    ACTIONS(3835), 1,
      anon_sym_as,
    ACTIONS(3837), 1,
      anon_sym_COMMA,
    ACTIONS(3845), 1,
      anon_sym_module,
    ACTIONS(3930), 1,
      anon_sym_RBRACE,
    STATE(1297), 1,
      sym_decorator,
    STATE(3915), 1,
      sym_declaration,
    STATE(3916), 1,
      sym_internal_module,
    STATE(4322), 1,
      aux_sym_export_statement_repeat1,
    STATE(4515), 1,
      sym_export_clause,
    STATE(4835), 1,
      aux_sym_object_pattern_repeat1,
    STATE(4905), 1,
      aux_sym_object_repeat1,
    STATE(5240), 1,
      sym_namespace_export,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3843), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    STATE(3912), 13,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
      sym_function_signature,
      sym_ambient_declaration,
      sym_abstract_class_declaration,
      sym_module,
      sym_import_alias,
      sym_interface_declaration,
      sym_enum_declaration,
      sym_type_alias_declaration,
  [24730] = 29,
    ACTIONS(1635), 1,
      anon_sym_DQUOTE,
    ACTIONS(1637), 1,
      anon_sym_SQUOTE,
    ACTIONS(3715), 1,
      anon_sym_LBRACK,
    ACTIONS(3731), 1,
      anon_sym_override,
    ACTIONS(3803), 1,
      anon_sym_STAR,
    ACTIONS(3809), 1,
      anon_sym_async,
    ACTIONS(3813), 1,
      anon_sym_AT,
    ACTIONS(3815), 1,
      anon_sym_static,
    ACTIONS(3817), 1,
      anon_sym_readonly,
    ACTIONS(3821), 1,
      anon_sym_declare,
    ACTIONS(3823), 1,
      anon_sym_abstract,
    ACTIONS(3825), 1,
      anon_sym_accessor,
    ACTIONS(3914), 1,
      anon_sym_SEMI,
    ACTIONS(3933), 1,
      anon_sym_RBRACE,
    STATE(2421), 1,
      aux_sym_export_statement_repeat1,
    STATE(2709), 1,
      sym_method_definition,
    STATE(2732), 1,
      sym_accessibility_modifier,
    STATE(2808), 1,
      sym_decorator,
    STATE(2810), 1,
      sym_override_modifier,
    STATE(4485), 1,
      sym_method_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3298), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3811), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3819), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1485), 2,
      sym_class_static_block,
      aux_sym_class_body_repeat1,
    ACTIONS(3729), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3059), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(4765), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(3705), 13,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [24841] = 29,
    ACTIONS(1635), 1,
      anon_sym_DQUOTE,
    ACTIONS(1637), 1,
      anon_sym_SQUOTE,
    ACTIONS(3715), 1,
      anon_sym_LBRACK,
    ACTIONS(3731), 1,
      anon_sym_override,
    ACTIONS(3803), 1,
      anon_sym_STAR,
    ACTIONS(3809), 1,
      anon_sym_async,
    ACTIONS(3813), 1,
      anon_sym_AT,
    ACTIONS(3815), 1,
      anon_sym_static,
    ACTIONS(3817), 1,
      anon_sym_readonly,
    ACTIONS(3821), 1,
      anon_sym_declare,
    ACTIONS(3823), 1,
      anon_sym_abstract,
    ACTIONS(3825), 1,
      anon_sym_accessor,
    ACTIONS(3935), 1,
      anon_sym_RBRACE,
    ACTIONS(3937), 1,
      anon_sym_SEMI,
    STATE(2421), 1,
      aux_sym_export_statement_repeat1,
    STATE(2709), 1,
      sym_method_definition,
    STATE(2732), 1,
      sym_accessibility_modifier,
    STATE(2808), 1,
      sym_decorator,
    STATE(2810), 1,
      sym_override_modifier,
    STATE(4485), 1,
      sym_method_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3298), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3811), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3819), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1488), 2,
      sym_class_static_block,
      aux_sym_class_body_repeat1,
    ACTIONS(3729), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3059), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(4765), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(3705), 13,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [24952] = 29,
    ACTIONS(1635), 1,
      anon_sym_DQUOTE,
    ACTIONS(1637), 1,
      anon_sym_SQUOTE,
    ACTIONS(3715), 1,
      anon_sym_LBRACK,
    ACTIONS(3731), 1,
      anon_sym_override,
    ACTIONS(3803), 1,
      anon_sym_STAR,
    ACTIONS(3809), 1,
      anon_sym_async,
    ACTIONS(3813), 1,
      anon_sym_AT,
    ACTIONS(3815), 1,
      anon_sym_static,
    ACTIONS(3817), 1,
      anon_sym_readonly,
    ACTIONS(3821), 1,
      anon_sym_declare,
    ACTIONS(3823), 1,
      anon_sym_abstract,
    ACTIONS(3825), 1,
      anon_sym_accessor,
    ACTIONS(3939), 1,
      anon_sym_RBRACE,
    ACTIONS(3941), 1,
      anon_sym_SEMI,
    STATE(2421), 1,
      aux_sym_export_statement_repeat1,
    STATE(2709), 1,
      sym_method_definition,
    STATE(2732), 1,
      sym_accessibility_modifier,
    STATE(2808), 1,
      sym_decorator,
    STATE(2810), 1,
      sym_override_modifier,
    STATE(4485), 1,
      sym_method_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3298), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3811), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3819), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1494), 2,
      sym_class_static_block,
      aux_sym_class_body_repeat1,
    ACTIONS(3729), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3059), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(4765), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(3705), 13,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [25063] = 25,
    ACTIONS(233), 1,
      anon_sym_STAR,
    ACTIONS(239), 1,
      anon_sym_COMMA,
    ACTIONS(251), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2338), 1,
      anon_sym_DQUOTE,
    ACTIONS(2340), 1,
      anon_sym_SQUOTE,
    ACTIONS(3282), 1,
      anon_sym_LBRACE,
    ACTIONS(3945), 1,
      anon_sym_RBRACE,
    ACTIONS(3947), 1,
      anon_sym_LBRACK,
    ACTIONS(3949), 1,
      anon_sym_async,
    ACTIONS(3953), 1,
      anon_sym_static,
    ACTIONS(3955), 1,
      anon_sym_readonly,
    ACTIONS(3961), 1,
      anon_sym_override,
    STATE(2781), 1,
      sym_accessibility_modifier,
    STATE(2816), 1,
      sym_override_modifier,
    STATE(4526), 1,
      aux_sym_object_repeat1,
    STATE(4878), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3951), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3957), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3959), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3552), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(4567), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(5136), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
    STATE(5595), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
    ACTIONS(3943), 14,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [25165] = 25,
    ACTIONS(233), 1,
      anon_sym_STAR,
    ACTIONS(239), 1,
      anon_sym_COMMA,
    ACTIONS(251), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2338), 1,
      anon_sym_DQUOTE,
    ACTIONS(2340), 1,
      anon_sym_SQUOTE,
    ACTIONS(3282), 1,
      anon_sym_LBRACE,
    ACTIONS(3947), 1,
      anon_sym_LBRACK,
    ACTIONS(3965), 1,
      anon_sym_RBRACE,
    ACTIONS(3967), 1,
      anon_sym_async,
    ACTIONS(3969), 1,
      anon_sym_static,
    ACTIONS(3971), 1,
      anon_sym_readonly,
    ACTIONS(3977), 1,
      anon_sym_override,
    STATE(2781), 1,
      sym_accessibility_modifier,
    STATE(2816), 1,
      sym_override_modifier,
    STATE(4526), 1,
      aux_sym_object_repeat1,
    STATE(4878), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3951), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3973), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3975), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3552), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(4567), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(5136), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
    STATE(5595), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
    ACTIONS(3963), 14,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [25267] = 25,
    ACTIONS(233), 1,
      anon_sym_STAR,
    ACTIONS(239), 1,
      anon_sym_COMMA,
    ACTIONS(251), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2338), 1,
      anon_sym_DQUOTE,
    ACTIONS(2340), 1,
      anon_sym_SQUOTE,
    ACTIONS(3282), 1,
      anon_sym_LBRACE,
    ACTIONS(3947), 1,
      anon_sym_LBRACK,
    ACTIONS(3981), 1,
      anon_sym_RBRACE,
    ACTIONS(3983), 1,
      anon_sym_async,
    ACTIONS(3985), 1,
      anon_sym_static,
    ACTIONS(3987), 1,
      anon_sym_readonly,
    ACTIONS(3993), 1,
      anon_sym_override,
    STATE(2781), 1,
      sym_accessibility_modifier,
    STATE(2816), 1,
      sym_override_modifier,
    STATE(4526), 1,
      aux_sym_object_repeat1,
    STATE(4878), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3951), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3989), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3991), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3552), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(4567), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(5136), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
    STATE(5595), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
    ACTIONS(3979), 14,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [25369] = 25,
    ACTIONS(233), 1,
      anon_sym_STAR,
    ACTIONS(239), 1,
      anon_sym_COMMA,
    ACTIONS(251), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2338), 1,
      anon_sym_DQUOTE,
    ACTIONS(2340), 1,
      anon_sym_SQUOTE,
    ACTIONS(3282), 1,
      anon_sym_LBRACE,
    ACTIONS(3947), 1,
      anon_sym_LBRACK,
    ACTIONS(3997), 1,
      anon_sym_RBRACE,
    ACTIONS(3999), 1,
      anon_sym_async,
    ACTIONS(4001), 1,
      anon_sym_static,
    ACTIONS(4003), 1,
      anon_sym_readonly,
    ACTIONS(4009), 1,
      anon_sym_override,
    STATE(2781), 1,
      sym_accessibility_modifier,
    STATE(2816), 1,
      sym_override_modifier,
    STATE(4526), 1,
      aux_sym_object_repeat1,
    STATE(4878), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3951), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4005), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4007), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3552), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(4567), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(5136), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
    STATE(5595), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
    ACTIONS(3995), 14,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [25471] = 25,
    ACTIONS(233), 1,
      anon_sym_STAR,
    ACTIONS(239), 1,
      anon_sym_COMMA,
    ACTIONS(251), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2338), 1,
      anon_sym_DQUOTE,
    ACTIONS(2340), 1,
      anon_sym_SQUOTE,
    ACTIONS(3282), 1,
      anon_sym_LBRACE,
    ACTIONS(3947), 1,
      anon_sym_LBRACK,
    ACTIONS(4013), 1,
      anon_sym_RBRACE,
    ACTIONS(4015), 1,
      anon_sym_async,
    ACTIONS(4017), 1,
      anon_sym_static,
    ACTIONS(4019), 1,
      anon_sym_readonly,
    ACTIONS(4025), 1,
      anon_sym_override,
    STATE(2781), 1,
      sym_accessibility_modifier,
    STATE(2816), 1,
      sym_override_modifier,
    STATE(4526), 1,
      aux_sym_object_repeat1,
    STATE(4878), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3951), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4021), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4023), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3552), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(4567), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(5136), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
    STATE(5595), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
    ACTIONS(4011), 14,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [25573] = 13,
    ACTIONS(827), 1,
      anon_sym_BQUOTE,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4033), 1,
      anon_sym_LBRACK,
    ACTIONS(4035), 1,
      anon_sym_DOT,
    ACTIONS(4037), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4039), 1,
      anon_sym_LT,
    STATE(1646), 1,
      sym_type_arguments,
    STATE(1658), 1,
      sym_template_string,
    STATE(1668), 1,
      sym_arguments,
    STATE(4822), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4027), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4029), 27,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_implements,
  [25651] = 25,
    ACTIONS(233), 1,
      anon_sym_STAR,
    ACTIONS(239), 1,
      anon_sym_COMMA,
    ACTIONS(251), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2338), 1,
      anon_sym_DQUOTE,
    ACTIONS(2340), 1,
      anon_sym_SQUOTE,
    ACTIONS(3282), 1,
      anon_sym_LBRACE,
    ACTIONS(3947), 1,
      anon_sym_LBRACK,
    ACTIONS(4043), 1,
      anon_sym_RBRACE,
    ACTIONS(4045), 1,
      anon_sym_async,
    ACTIONS(4047), 1,
      anon_sym_static,
    ACTIONS(4049), 1,
      anon_sym_readonly,
    ACTIONS(4055), 1,
      anon_sym_override,
    STATE(2781), 1,
      sym_accessibility_modifier,
    STATE(2816), 1,
      sym_override_modifier,
    STATE(4657), 1,
      aux_sym_object_repeat1,
    STATE(4878), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3951), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4051), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4053), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3552), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(4567), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(4704), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
    STATE(5595), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
    ACTIONS(4041), 14,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [25753] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1923), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
    ACTIONS(1921), 34,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_while,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [25810] = 8,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4039), 1,
      anon_sym_LT,
    ACTIONS(4061), 1,
      anon_sym_DOT,
    STATE(1623), 1,
      sym_arguments,
    STATE(1629), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4057), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4059), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [25877] = 8,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4039), 1,
      anon_sym_LT,
    ACTIONS(4067), 1,
      anon_sym_DOT,
    STATE(1591), 1,
      sym_arguments,
    STATE(1608), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4063), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4065), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [25944] = 29,
    ACTIONS(99), 1,
      anon_sym_AT,
    ACTIONS(2292), 1,
      anon_sym_LBRACE,
    ACTIONS(2394), 1,
      anon_sym_namespace,
    ACTIONS(2396), 1,
      anon_sym_import,
    ACTIONS(2398), 1,
      anon_sym_var,
    ACTIONS(2400), 1,
      anon_sym_let,
    ACTIONS(2402), 1,
      anon_sym_const,
    ACTIONS(2404), 1,
      anon_sym_class,
    ACTIONS(2406), 1,
      anon_sym_async,
    ACTIONS(2408), 1,
      anon_sym_function,
    ACTIONS(2410), 1,
      anon_sym_declare,
    ACTIONS(2414), 1,
      anon_sym_abstract,
    ACTIONS(2418), 1,
      anon_sym_interface,
    ACTIONS(2420), 1,
      anon_sym_enum,
    ACTIONS(3827), 1,
      anon_sym_STAR,
    ACTIONS(3829), 1,
      anon_sym_default,
    ACTIONS(3831), 1,
      anon_sym_type,
    ACTIONS(3835), 1,
      anon_sym_as,
    ACTIONS(3845), 1,
      anon_sym_module,
    ACTIONS(4069), 1,
      anon_sym_EQ,
    STATE(1297), 1,
      sym_decorator,
    STATE(3915), 1,
      sym_declaration,
    STATE(3916), 1,
      sym_internal_module,
    STATE(4322), 1,
      aux_sym_export_statement_repeat1,
    STATE(4515), 1,
      sym_export_clause,
    STATE(5240), 1,
      sym_namespace_export,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3843), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    STATE(3912), 13,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
      sym_function_signature,
      sym_ambient_declaration,
      sym_abstract_class_declaration,
      sym_module,
      sym_import_alias,
      sym_interface_declaration,
      sym_enum_declaration,
      sym_type_alias_declaration,
  [26053] = 30,
    ACTIONS(99), 1,
      anon_sym_AT,
    ACTIONS(2292), 1,
      anon_sym_LBRACE,
    ACTIONS(2394), 1,
      anon_sym_namespace,
    ACTIONS(2396), 1,
      anon_sym_import,
    ACTIONS(2398), 1,
      anon_sym_var,
    ACTIONS(2400), 1,
      anon_sym_let,
    ACTIONS(2402), 1,
      anon_sym_const,
    ACTIONS(2404), 1,
      anon_sym_class,
    ACTIONS(2406), 1,
      anon_sym_async,
    ACTIONS(2408), 1,
      anon_sym_function,
    ACTIONS(2410), 1,
      anon_sym_declare,
    ACTIONS(2414), 1,
      anon_sym_abstract,
    ACTIONS(2418), 1,
      anon_sym_interface,
    ACTIONS(2420), 1,
      anon_sym_enum,
    ACTIONS(3827), 1,
      anon_sym_STAR,
    ACTIONS(3829), 1,
      anon_sym_default,
    ACTIONS(3831), 1,
      anon_sym_type,
    ACTIONS(3833), 1,
      anon_sym_EQ,
    ACTIONS(3835), 1,
      anon_sym_as,
    ACTIONS(3845), 1,
      anon_sym_module,
    STATE(1297), 1,
      sym_decorator,
    STATE(3915), 1,
      sym_declaration,
    STATE(3916), 1,
      sym_internal_module,
    STATE(4322), 1,
      aux_sym_export_statement_repeat1,
    STATE(4515), 1,
      sym_export_clause,
    STATE(5240), 1,
      sym_namespace_export,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4071), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(3843), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    STATE(3912), 13,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
      sym_function_signature,
      sym_ambient_declaration,
      sym_abstract_class_declaration,
      sym_module,
      sym_import_alias,
      sym_interface_declaration,
      sym_enum_declaration,
      sym_type_alias_declaration,
  [26164] = 8,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4039), 1,
      anon_sym_LT,
    ACTIONS(4075), 1,
      anon_sym_DOT,
    STATE(1580), 1,
      sym_arguments,
    STATE(1587), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3517), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3505), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [26231] = 7,
    ACTIONS(4039), 1,
      anon_sym_LT,
    ACTIONS(4079), 1,
      anon_sym_DOT,
    ACTIONS(4081), 1,
      anon_sym_is,
    STATE(1548), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4077), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3567), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [26296] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1927), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
    ACTIONS(1925), 34,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_while,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [26353] = 9,
    ACTIONS(827), 1,
      anon_sym_BQUOTE,
    ACTIONS(4033), 1,
      anon_sym_LBRACK,
    ACTIONS(4035), 1,
      anon_sym_DOT,
    ACTIONS(4037), 1,
      anon_sym_QMARK_DOT,
    STATE(1658), 1,
      sym_template_string,
    STATE(4822), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1889), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1891), 28,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_implements,
  [26421] = 4,
    ACTIONS(4081), 1,
      anon_sym_is,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4083), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4085), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [26479] = 4,
    ACTIONS(4091), 1,
      anon_sym_is,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4087), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4089), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [26537] = 5,
    ACTIONS(1709), 1,
      anon_sym_EQ,
    ACTIONS(4093), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1705), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1703), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [26597] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3216), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
    ACTIONS(3218), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [26653] = 6,
    ACTIONS(4039), 1,
      anon_sym_LT,
    ACTIONS(4079), 1,
      anon_sym_DOT,
    STATE(1548), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4077), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3567), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [26715] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1923), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
    ACTIONS(1921), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [26771] = 4,
    ACTIONS(4081), 1,
      anon_sym_is,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4095), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4097), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [26829] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4099), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4101), 34,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
      anon_sym_is,
  [26885] = 5,
    ACTIONS(4039), 1,
      anon_sym_LT,
    STATE(1596), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4087), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4089), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [26945] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1779), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1777), 34,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
      anon_sym_is,
  [27001] = 22,
    ACTIONS(233), 1,
      anon_sym_STAR,
    ACTIONS(251), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2338), 1,
      anon_sym_DQUOTE,
    ACTIONS(2340), 1,
      anon_sym_SQUOTE,
    ACTIONS(3282), 1,
      anon_sym_LBRACE,
    ACTIONS(3947), 1,
      anon_sym_LBRACK,
    ACTIONS(4105), 1,
      anon_sym_async,
    ACTIONS(4107), 1,
      anon_sym_static,
    ACTIONS(4109), 1,
      anon_sym_readonly,
    ACTIONS(4115), 1,
      anon_sym_override,
    STATE(2781), 1,
      sym_accessibility_modifier,
    STATE(2816), 1,
      sym_override_modifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3444), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(3951), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4111), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4113), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3552), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(5247), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(5250), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
    STATE(5595), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
    ACTIONS(4103), 14,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [27095] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3212), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
    ACTIONS(3214), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [27151] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1927), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
    ACTIONS(1925), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [27207] = 6,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4121), 1,
      anon_sym_DOT,
    STATE(1600), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4117), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4119), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [27269] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3208), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
    ACTIONS(3210), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [27325] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4123), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4125), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [27380] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4127), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4129), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [27435] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4131), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4133), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [27490] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4135), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4137), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [27545] = 7,
    ACTIONS(1709), 1,
      anon_sym_EQ,
    ACTIONS(2372), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4139), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(4142), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1707), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1711), 29,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [27608] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4127), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4129), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [27663] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4145), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4147), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [27718] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4149), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4151), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [27773] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4153), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4155), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [27828] = 4,
    ACTIONS(4161), 1,
      anon_sym_AMP,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4157), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4159), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [27885] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3398), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3400), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [27940] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4163), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4165), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [27995] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4145), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4147), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [28050] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4167), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4169), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [28105] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4171), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4173), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [28160] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4163), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4165), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [28215] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4175), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4177), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [28270] = 5,
    ACTIONS(4185), 1,
      anon_sym_QMARK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4183), 2,
      anon_sym_RPAREN,
      anon_sym_extends,
    ACTIONS(4179), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4181), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [28329] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4187), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4189), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [28384] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4191), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4193), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [28439] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4195), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4197), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [28494] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2374), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2372), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [28549] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4199), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4201), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [28604] = 4,
    ACTIONS(4207), 1,
      anon_sym_DOT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4203), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4205), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [28661] = 6,
    ACTIONS(4161), 1,
      anon_sym_AMP,
    ACTIONS(4214), 1,
      anon_sym_PIPE,
    ACTIONS(4216), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4210), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4212), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [28722] = 6,
    ACTIONS(4161), 1,
      anon_sym_AMP,
    ACTIONS(4214), 1,
      anon_sym_PIPE,
    ACTIONS(4216), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4218), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4220), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [28783] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4222), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4224), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [28838] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4226), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4228), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [28893] = 6,
    ACTIONS(4161), 1,
      anon_sym_AMP,
    ACTIONS(4214), 1,
      anon_sym_PIPE,
    ACTIONS(4216), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4226), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4228), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [28954] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2386), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2384), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [29009] = 6,
    ACTIONS(4234), 1,
      anon_sym_LBRACK,
    ACTIONS(4238), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4236), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4230), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4232), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [29070] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4240), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4242), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [29125] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4244), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4246), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [29180] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4244), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4246), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [29235] = 4,
    ACTIONS(4252), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4248), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4250), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [29292] = 4,
    ACTIONS(4234), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4254), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4256), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [29349] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4244), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4246), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [29404] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4258), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4260), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [29459] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4258), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4260), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [29514] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4258), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4260), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [29569] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4123), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4125), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [29624] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4123), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4125), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [29679] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2378), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2376), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [29734] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4262), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4264), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [29789] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4266), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4268), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [29844] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4270), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4272), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [29899] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3687), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3487), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [29954] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3703), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3489), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [30009] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2390), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2388), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [30064] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4274), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4276), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [30119] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4278), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4280), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [30174] = 4,
    ACTIONS(4282), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1803), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1801), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [30231] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4284), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4286), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [30286] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4185), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4183), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [30341] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4278), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4280), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [30396] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4278), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4280), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [30451] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4288), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4290), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [30506] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4288), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4290), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [30561] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4288), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4290), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [30616] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4292), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4294), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [30671] = 4,
    ACTIONS(3533), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3499), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3503), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [30728] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4296), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4298), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [30783] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4296), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4298), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [30838] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4300), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4302), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [30893] = 5,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4167), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4169), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_extends,
    ACTIONS(3499), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3503), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [30952] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4296), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4298), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [31007] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4304), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4306), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [31062] = 4,
    ACTIONS(4234), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4236), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4238), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [31119] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4308), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4310), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [31174] = 4,
    ACTIONS(4312), 1,
      anon_sym_DOT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4203), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4205), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [31231] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4315), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4317), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [31286] = 6,
    ACTIONS(4161), 1,
      anon_sym_AMP,
    ACTIONS(4214), 1,
      anon_sym_PIPE,
    ACTIONS(4216), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4319), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4321), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [31347] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4323), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4325), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [31402] = 6,
    ACTIONS(4161), 1,
      anon_sym_AMP,
    ACTIONS(4214), 1,
      anon_sym_PIPE,
    ACTIONS(4216), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4315), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4317), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [31463] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4327), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4329), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [31518] = 6,
    ACTIONS(4331), 1,
      anon_sym_LBRACE,
    ACTIONS(4333), 1,
      anon_sym_DOT,
    STATE(1714), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1719), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1717), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [31579] = 6,
    ACTIONS(4335), 1,
      anon_sym_LBRACE,
    ACTIONS(4337), 1,
      anon_sym_DOT,
    STATE(1776), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1719), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1717), 30,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_while,
      anon_sym_LBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_PIPE_RBRACE,
  [31640] = 6,
    ACTIONS(4331), 1,
      anon_sym_LBRACE,
    ACTIONS(4339), 1,
      anon_sym_DOT,
    STATE(1714), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1719), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1717), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [31701] = 5,
    ACTIONS(4331), 1,
      anon_sym_LBRACE,
    STATE(1714), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1719), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1717), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [31760] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4341), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4343), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [31815] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4345), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4347), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [31870] = 4,
    ACTIONS(4093), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1705), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1703), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [31927] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4349), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4351), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [31982] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4353), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4355), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [32037] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4357), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4359), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [32092] = 4,
    ACTIONS(4161), 1,
      anon_sym_AMP,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4361), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4363), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [32149] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4365), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4367), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [32204] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4369), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4371), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [32259] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4087), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4089), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [32314] = 6,
    ACTIONS(4161), 1,
      anon_sym_AMP,
    ACTIONS(4214), 1,
      anon_sym_PIPE,
    ACTIONS(4216), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4373), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4375), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [32375] = 4,
    ACTIONS(4075), 1,
      anon_sym_DOT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3517), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3505), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [32432] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4377), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4379), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [32487] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2382), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2380), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [32542] = 5,
    ACTIONS(827), 1,
      anon_sym_BQUOTE,
    STATE(1658), 1,
      sym_template_string,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1889), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1891), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_implements,
  [32601] = 5,
    ACTIONS(4284), 1,
      anon_sym_QMARK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4286), 2,
      anon_sym_RPAREN,
      anon_sym_extends,
    ACTIONS(4179), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4181), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [32660] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4381), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4383), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [32715] = 6,
    ACTIONS(4335), 1,
      anon_sym_LBRACE,
    ACTIONS(4385), 1,
      anon_sym_DOT,
    STATE(1776), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1719), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1717), 30,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_while,
      anon_sym_LBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_PIPE_RBRACE,
  [32776] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4083), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4085), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [32831] = 5,
    ACTIONS(4335), 1,
      anon_sym_LBRACE,
    STATE(1776), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1719), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1717), 31,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_while,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_PIPE_RBRACE,
  [32890] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4387), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4389), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [32945] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4236), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4238), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [33000] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4391), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4393), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [33055] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4395), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4397), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [33110] = 4,
    ACTIONS(4403), 1,
      anon_sym_DOT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4399), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4401), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [33167] = 4,
    ACTIONS(4089), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4405), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4407), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [33224] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4409), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4411), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [33279] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4095), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4097), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [33334] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4413), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4415), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [33389] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3316), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3318), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [33444] = 6,
    ACTIONS(4161), 1,
      anon_sym_AMP,
    ACTIONS(4214), 1,
      anon_sym_PIPE,
    ACTIONS(4216), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4405), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4407), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [33505] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4417), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4419), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [33560] = 6,
    ACTIONS(4161), 1,
      anon_sym_AMP,
    ACTIONS(4214), 1,
      anon_sym_PIPE,
    ACTIONS(4216), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4421), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4423), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [33621] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4413), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4415), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [33676] = 6,
    ACTIONS(4161), 1,
      anon_sym_AMP,
    ACTIONS(4214), 1,
      anon_sym_PIPE,
    ACTIONS(4216), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4425), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4427), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [33737] = 5,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    STATE(1671), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4429), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4431), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [33796] = 7,
    ACTIONS(3537), 1,
      anon_sym_DOT,
    ACTIONS(3539), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3505), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_extends,
    ACTIONS(3517), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3499), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3503), 28,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [33859] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4417), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4419), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [33914] = 7,
    ACTIONS(4137), 1,
      anon_sym_extends,
    ACTIONS(4435), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4439), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(4442), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4433), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4437), 29,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [33977] = 5,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    STATE(1687), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4445), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4447), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [34036] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4449), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4451), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [34091] = 4,
    ACTIONS(4457), 1,
      anon_sym_DOT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4453), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4455), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [34148] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4131), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4133), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [34203] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3392), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3394), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [34258] = 6,
    ACTIONS(4173), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4463), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(4466), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4459), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4461), 29,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [34318] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1889), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1891), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [34372] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4469), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4471), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [34426] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4473), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4475), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [34480] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4459), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4461), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [34534] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4179), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4181), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [34588] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4477), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4479), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [34642] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4179), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4181), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [34696] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4481), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4483), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [34750] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4485), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4487), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [34804] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4489), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4491), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [34858] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4493), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4495), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [34912] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4497), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4499), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [34966] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1809), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1807), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [35020] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4501), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4503), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [35074] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4505), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4507), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [35128] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4509), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4511), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [35182] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4513), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4515), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [35236] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4517), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4519), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [35290] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4521), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4523), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [35344] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4525), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4527), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [35398] = 6,
    ACTIONS(4085), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4529), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(4532), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3499), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3503), 29,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [35458] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4535), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4537), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [35512] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4539), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4541), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [35566] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4543), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4545), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [35620] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4547), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4549), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [35674] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4551), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4553), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [35728] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1815), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1817), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [35782] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4555), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4557), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [35836] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1849), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1847), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [35890] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4559), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4561), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [35944] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4563), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4565), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [35998] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4567), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4569), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [36052] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4571), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4573), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [36106] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4575), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4577), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [36160] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4579), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4581), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [36214] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4583), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4585), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [36268] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4587), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4589), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [36322] = 19,
    ACTIONS(1635), 1,
      anon_sym_DQUOTE,
    ACTIONS(1637), 1,
      anon_sym_SQUOTE,
    ACTIONS(3731), 1,
      anon_sym_override,
    ACTIONS(3837), 1,
      anon_sym_COMMA,
    ACTIONS(3909), 1,
      anon_sym_RBRACE,
    ACTIONS(4591), 1,
      anon_sym_STAR,
    ACTIONS(4593), 1,
      anon_sym_EQ,
    ACTIONS(4595), 1,
      anon_sym_LBRACK,
    ACTIONS(4597), 1,
      anon_sym_async,
    ACTIONS(4601), 1,
      anon_sym_readonly,
    STATE(2801), 1,
      sym_override_modifier,
    STATE(4824), 1,
      aux_sym_object_repeat1,
    STATE(4835), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4599), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4603), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3117), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3843), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3705), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [36408] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4605), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4607), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [36462] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3499), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3503), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [36516] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4609), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4611), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [36570] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1757), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1759), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [36624] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1827), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1829), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [36678] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1879), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1881), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [36732] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1747), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1749), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [36786] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4613), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4615), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [36840] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4617), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4619), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [36894] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1771), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1773), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [36948] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1785), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1787), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [37002] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1795), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1797), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [37056] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1737), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1739), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [37110] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1837), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1839), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [37164] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1855), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1857), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [37218] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1869), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1871), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [37272] = 4,
    ACTIONS(4435), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4433), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4437), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [37328] = 4,
    ACTIONS(4623), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4621), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4625), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [37384] = 4,
    ACTIONS(1709), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1707), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1711), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [37440] = 6,
    ACTIONS(4379), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4627), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(4630), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3499), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3503), 29,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [37500] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1895), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1893), 32,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_while,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_PIPE_RBRACE,
  [37554] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1899), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1897), 32,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_while,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_PIPE_RBRACE,
  [37608] = 13,
    ACTIONS(89), 1,
      anon_sym_BQUOTE,
    ACTIONS(4633), 1,
      anon_sym_LPAREN,
    ACTIONS(4635), 1,
      anon_sym_LBRACK,
    ACTIONS(4637), 1,
      anon_sym_DOT,
    ACTIONS(4639), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4641), 1,
      anon_sym_LT,
    STATE(1893), 1,
      sym_type_arguments,
    STATE(2167), 1,
      sym_arguments,
    STATE(2254), 1,
      sym_template_string,
    STATE(4605), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4027), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4029), 23,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [37682] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1765), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1763), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [37736] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1863), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1861), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [37790] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1803), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1801), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [37844] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1895), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1893), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [37898] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1899), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1897), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [37952] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1845), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1843), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [38006] = 19,
    ACTIONS(1635), 1,
      anon_sym_DQUOTE,
    ACTIONS(1637), 1,
      anon_sym_SQUOTE,
    ACTIONS(3731), 1,
      anon_sym_override,
    ACTIONS(3837), 1,
      anon_sym_COMMA,
    ACTIONS(3850), 1,
      anon_sym_RBRACE,
    ACTIONS(4591), 1,
      anon_sym_STAR,
    ACTIONS(4593), 1,
      anon_sym_EQ,
    ACTIONS(4595), 1,
      anon_sym_LBRACK,
    ACTIONS(4597), 1,
      anon_sym_async,
    ACTIONS(4601), 1,
      anon_sym_readonly,
    STATE(2801), 1,
      sym_override_modifier,
    STATE(4835), 1,
      aux_sym_object_pattern_repeat1,
    STATE(4905), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4599), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4603), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3117), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3843), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3705), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [38092] = 19,
    ACTIONS(1635), 1,
      anon_sym_DQUOTE,
    ACTIONS(1637), 1,
      anon_sym_SQUOTE,
    ACTIONS(3731), 1,
      anon_sym_override,
    ACTIONS(3837), 1,
      anon_sym_COMMA,
    ACTIONS(3840), 1,
      anon_sym_RBRACE,
    ACTIONS(4591), 1,
      anon_sym_STAR,
    ACTIONS(4593), 1,
      anon_sym_EQ,
    ACTIONS(4595), 1,
      anon_sym_LBRACK,
    ACTIONS(4597), 1,
      anon_sym_async,
    ACTIONS(4601), 1,
      anon_sym_readonly,
    STATE(2801), 1,
      sym_override_modifier,
    STATE(4835), 1,
      aux_sym_object_pattern_repeat1,
    STATE(4905), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4599), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4603), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3117), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3843), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3705), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [38178] = 19,
    ACTIONS(1635), 1,
      anon_sym_DQUOTE,
    ACTIONS(1637), 1,
      anon_sym_SQUOTE,
    ACTIONS(3731), 1,
      anon_sym_override,
    ACTIONS(3837), 1,
      anon_sym_COMMA,
    ACTIONS(3930), 1,
      anon_sym_RBRACE,
    ACTIONS(4591), 1,
      anon_sym_STAR,
    ACTIONS(4593), 1,
      anon_sym_EQ,
    ACTIONS(4595), 1,
      anon_sym_LBRACK,
    ACTIONS(4597), 1,
      anon_sym_async,
    ACTIONS(4601), 1,
      anon_sym_readonly,
    STATE(2801), 1,
      sym_override_modifier,
    STATE(4835), 1,
      aux_sym_object_pattern_repeat1,
    STATE(4905), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4599), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4603), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3117), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3843), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3705), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [38264] = 19,
    ACTIONS(1635), 1,
      anon_sym_DQUOTE,
    ACTIONS(1637), 1,
      anon_sym_SQUOTE,
    ACTIONS(3731), 1,
      anon_sym_override,
    ACTIONS(3837), 1,
      anon_sym_COMMA,
    ACTIONS(3847), 1,
      anon_sym_RBRACE,
    ACTIONS(4591), 1,
      anon_sym_STAR,
    ACTIONS(4593), 1,
      anon_sym_EQ,
    ACTIONS(4595), 1,
      anon_sym_LBRACK,
    ACTIONS(4597), 1,
      anon_sym_async,
    ACTIONS(4601), 1,
      anon_sym_readonly,
    STATE(2801), 1,
      sym_override_modifier,
    STATE(4835), 1,
      aux_sym_object_pattern_repeat1,
    STATE(4905), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4599), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4603), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3117), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3843), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3705), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [38350] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4643), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4645), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [38404] = 16,
    ACTIONS(1635), 1,
      anon_sym_DQUOTE,
    ACTIONS(1637), 1,
      anon_sym_SQUOTE,
    ACTIONS(3837), 1,
      anon_sym_COMMA,
    ACTIONS(3840), 1,
      anon_sym_RBRACE,
    ACTIONS(4591), 1,
      anon_sym_STAR,
    ACTIONS(4593), 1,
      anon_sym_EQ,
    ACTIONS(4597), 1,
      anon_sym_async,
    ACTIONS(4647), 1,
      anon_sym_LBRACK,
    STATE(4835), 1,
      aux_sym_object_pattern_repeat1,
    STATE(4905), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4599), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4603), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3117), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3843), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3705), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [38483] = 17,
    ACTIONS(1635), 1,
      anon_sym_DQUOTE,
    ACTIONS(1637), 1,
      anon_sym_SQUOTE,
    ACTIONS(3731), 1,
      anon_sym_override,
    ACTIONS(4595), 1,
      anon_sym_LBRACK,
    ACTIONS(4649), 1,
      anon_sym_STAR,
    ACTIONS(4651), 1,
      anon_sym_LBRACE,
    ACTIONS(4653), 1,
      anon_sym_async,
    ACTIONS(4657), 1,
      anon_sym_readonly,
    ACTIONS(4661), 1,
      sym__automatic_semicolon,
    STATE(2725), 1,
      sym_statement_block,
    STATE(2813), 1,
      sym_override_modifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4655), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4659), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3050), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3843), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(3705), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [38564] = 4,
    ACTIONS(4664), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1705), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1703), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_while,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_PIPE_RBRACE,
  [38619] = 5,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4623), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4666), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
    ACTIONS(4621), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4625), 24,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [38676] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1803), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1801), 31,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_while,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_PIPE_RBRACE,
  [38729] = 5,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4435), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4669), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
    ACTIONS(4433), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4437), 24,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [38786] = 4,
    ACTIONS(4672), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1803), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1801), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_while,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_PIPE_RBRACE,
  [38841] = 5,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1709), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4674), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
    ACTIONS(1707), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1711), 24,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [38898] = 8,
    ACTIONS(4633), 1,
      anon_sym_LPAREN,
    ACTIONS(4641), 1,
      anon_sym_LT,
    ACTIONS(4677), 1,
      anon_sym_DOT,
    STATE(1966), 1,
      sym_arguments,
    STATE(1967), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3517), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3505), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [38961] = 15,
    ACTIONS(2338), 1,
      anon_sym_DQUOTE,
    ACTIONS(2340), 1,
      anon_sym_SQUOTE,
    ACTIONS(3837), 1,
      anon_sym_COMMA,
    ACTIONS(3909), 1,
      anon_sym_RBRACE,
    ACTIONS(4591), 1,
      anon_sym_STAR,
    ACTIONS(4593), 1,
      anon_sym_EQ,
    ACTIONS(4679), 1,
      anon_sym_LBRACK,
    STATE(4824), 1,
      aux_sym_object_repeat1,
    STATE(4835), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4681), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4683), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3838), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3843), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2362), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [39038] = 7,
    ACTIONS(4641), 1,
      anon_sym_LT,
    ACTIONS(4685), 1,
      anon_sym_DOT,
    ACTIONS(4687), 1,
      anon_sym_is,
    STATE(2010), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4077), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3567), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [39099] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1845), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1843), 31,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_while,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_PIPE_RBRACE,
  [39152] = 16,
    ACTIONS(1635), 1,
      anon_sym_DQUOTE,
    ACTIONS(1637), 1,
      anon_sym_SQUOTE,
    ACTIONS(3837), 1,
      anon_sym_COMMA,
    ACTIONS(3909), 1,
      anon_sym_RBRACE,
    ACTIONS(4591), 1,
      anon_sym_STAR,
    ACTIONS(4593), 1,
      anon_sym_EQ,
    ACTIONS(4597), 1,
      anon_sym_async,
    ACTIONS(4647), 1,
      anon_sym_LBRACK,
    STATE(4824), 1,
      aux_sym_object_repeat1,
    STATE(4835), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4599), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4603), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3117), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3843), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3705), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [39231] = 8,
    ACTIONS(4633), 1,
      anon_sym_LPAREN,
    ACTIONS(4641), 1,
      anon_sym_LT,
    ACTIONS(4689), 1,
      anon_sym_DOT,
    STATE(1968), 1,
      sym_arguments,
    STATE(1969), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4063), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4065), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [39294] = 15,
    ACTIONS(2338), 1,
      anon_sym_DQUOTE,
    ACTIONS(2340), 1,
      anon_sym_SQUOTE,
    ACTIONS(3837), 1,
      anon_sym_COMMA,
    ACTIONS(3850), 1,
      anon_sym_RBRACE,
    ACTIONS(4591), 1,
      anon_sym_STAR,
    ACTIONS(4593), 1,
      anon_sym_EQ,
    ACTIONS(4679), 1,
      anon_sym_LBRACK,
    STATE(4835), 1,
      aux_sym_object_pattern_repeat1,
    STATE(4905), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4681), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4683), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3838), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3843), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2362), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [39371] = 8,
    ACTIONS(4633), 1,
      anon_sym_LPAREN,
    ACTIONS(4641), 1,
      anon_sym_LT,
    ACTIONS(4691), 1,
      anon_sym_DOT,
    STATE(1972), 1,
      sym_arguments,
    STATE(1973), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4057), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4059), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [39434] = 16,
    ACTIONS(1635), 1,
      anon_sym_DQUOTE,
    ACTIONS(1637), 1,
      anon_sym_SQUOTE,
    ACTIONS(3837), 1,
      anon_sym_COMMA,
    ACTIONS(3850), 1,
      anon_sym_RBRACE,
    ACTIONS(4591), 1,
      anon_sym_STAR,
    ACTIONS(4593), 1,
      anon_sym_EQ,
    ACTIONS(4597), 1,
      anon_sym_async,
    ACTIONS(4647), 1,
      anon_sym_LBRACK,
    STATE(4835), 1,
      aux_sym_object_pattern_repeat1,
    STATE(4905), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4599), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4603), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3117), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3843), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3705), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [39513] = 8,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4697), 1,
      anon_sym_LT,
    STATE(1642), 1,
      sym_type_arguments,
    STATE(1656), 1,
      sym_arguments,
    STATE(4822), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4693), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4695), 27,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [39576] = 31,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4033), 1,
      anon_sym_LBRACK,
    ACTIONS(4035), 1,
      anon_sym_DOT,
    ACTIONS(4697), 1,
      anon_sym_LT,
    ACTIONS(4701), 1,
      anon_sym_as,
    ACTIONS(4703), 1,
      anon_sym_BANG,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4709), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4711), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4713), 1,
      anon_sym_GT_GT,
    ACTIONS(4717), 1,
      anon_sym_AMP,
    ACTIONS(4719), 1,
      anon_sym_CARET,
    ACTIONS(4721), 1,
      anon_sym_PIPE,
    ACTIONS(4725), 1,
      anon_sym_PERCENT,
    ACTIONS(4727), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4735), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4739), 1,
      anon_sym_satisfies,
    ACTIONS(4741), 1,
      sym__ternary_qmark,
    STATE(1642), 1,
      sym_type_arguments,
    STATE(1656), 1,
      sym_arguments,
    STATE(4822), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4699), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4705), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4715), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4723), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4731), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4733), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4737), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4729), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4483), 6,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_BQUOTE,
  [39685] = 31,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4033), 1,
      anon_sym_LBRACK,
    ACTIONS(4035), 1,
      anon_sym_DOT,
    ACTIONS(4697), 1,
      anon_sym_LT,
    ACTIONS(4701), 1,
      anon_sym_as,
    ACTIONS(4703), 1,
      anon_sym_BANG,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4709), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4711), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4713), 1,
      anon_sym_GT_GT,
    ACTIONS(4717), 1,
      anon_sym_AMP,
    ACTIONS(4719), 1,
      anon_sym_CARET,
    ACTIONS(4721), 1,
      anon_sym_PIPE,
    ACTIONS(4725), 1,
      anon_sym_PERCENT,
    ACTIONS(4727), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4735), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4739), 1,
      anon_sym_satisfies,
    ACTIONS(4741), 1,
      sym__ternary_qmark,
    STATE(1642), 1,
      sym_type_arguments,
    STATE(1656), 1,
      sym_arguments,
    STATE(4822), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4699), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4705), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4715), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4723), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4731), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4733), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4737), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4729), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4743), 6,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_BQUOTE,
  [39794] = 31,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4033), 1,
      anon_sym_LBRACK,
    ACTIONS(4035), 1,
      anon_sym_DOT,
    ACTIONS(4697), 1,
      anon_sym_LT,
    ACTIONS(4701), 1,
      anon_sym_as,
    ACTIONS(4703), 1,
      anon_sym_BANG,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4709), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4711), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4713), 1,
      anon_sym_GT_GT,
    ACTIONS(4717), 1,
      anon_sym_AMP,
    ACTIONS(4719), 1,
      anon_sym_CARET,
    ACTIONS(4721), 1,
      anon_sym_PIPE,
    ACTIONS(4725), 1,
      anon_sym_PERCENT,
    ACTIONS(4727), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4735), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4739), 1,
      anon_sym_satisfies,
    ACTIONS(4741), 1,
      sym__ternary_qmark,
    STATE(1642), 1,
      sym_type_arguments,
    STATE(1656), 1,
      sym_arguments,
    STATE(4822), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4699), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4705), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4715), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4723), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4731), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4733), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4737), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4729), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4745), 6,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_BQUOTE,
  [39903] = 31,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4033), 1,
      anon_sym_LBRACK,
    ACTIONS(4035), 1,
      anon_sym_DOT,
    ACTIONS(4697), 1,
      anon_sym_LT,
    ACTIONS(4701), 1,
      anon_sym_as,
    ACTIONS(4703), 1,
      anon_sym_BANG,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4709), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4711), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4713), 1,
      anon_sym_GT_GT,
    ACTIONS(4717), 1,
      anon_sym_AMP,
    ACTIONS(4719), 1,
      anon_sym_CARET,
    ACTIONS(4721), 1,
      anon_sym_PIPE,
    ACTIONS(4725), 1,
      anon_sym_PERCENT,
    ACTIONS(4727), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4735), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4739), 1,
      anon_sym_satisfies,
    ACTIONS(4741), 1,
      sym__ternary_qmark,
    STATE(1642), 1,
      sym_type_arguments,
    STATE(1656), 1,
      sym_arguments,
    STATE(4822), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4699), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4705), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4715), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4723), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4731), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4733), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4737), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4729), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4747), 6,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_BQUOTE,
  [40012] = 31,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4033), 1,
      anon_sym_LBRACK,
    ACTIONS(4035), 1,
      anon_sym_DOT,
    ACTIONS(4697), 1,
      anon_sym_LT,
    ACTIONS(4701), 1,
      anon_sym_as,
    ACTIONS(4703), 1,
      anon_sym_BANG,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4709), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4711), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4713), 1,
      anon_sym_GT_GT,
    ACTIONS(4717), 1,
      anon_sym_AMP,
    ACTIONS(4719), 1,
      anon_sym_CARET,
    ACTIONS(4721), 1,
      anon_sym_PIPE,
    ACTIONS(4725), 1,
      anon_sym_PERCENT,
    ACTIONS(4727), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4735), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4739), 1,
      anon_sym_satisfies,
    ACTIONS(4741), 1,
      sym__ternary_qmark,
    STATE(1642), 1,
      sym_type_arguments,
    STATE(1656), 1,
      sym_arguments,
    STATE(4822), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4699), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4705), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4715), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4723), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4731), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4733), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4737), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4729), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4523), 6,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_BQUOTE,
  [40121] = 18,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4033), 1,
      anon_sym_LBRACK,
    ACTIONS(4035), 1,
      anon_sym_DOT,
    ACTIONS(4697), 1,
      anon_sym_LT,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4713), 1,
      anon_sym_GT_GT,
    ACTIONS(4725), 1,
      anon_sym_PERCENT,
    ACTIONS(4727), 1,
      anon_sym_STAR_STAR,
    STATE(1642), 1,
      sym_type_arguments,
    STATE(1656), 1,
      sym_arguments,
    STATE(4822), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4699), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4715), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4723), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4737), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4751), 7,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4749), 18,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [40204] = 13,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4033), 1,
      anon_sym_LBRACK,
    ACTIONS(4035), 1,
      anon_sym_DOT,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4727), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4753), 1,
      anon_sym_LT,
    STATE(1642), 1,
      sym_type_arguments,
    STATE(1656), 1,
      sym_arguments,
    STATE(4822), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4737), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4751), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4749), 21,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [40277] = 25,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4033), 1,
      anon_sym_LBRACK,
    ACTIONS(4035), 1,
      anon_sym_DOT,
    ACTIONS(4697), 1,
      anon_sym_LT,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4713), 1,
      anon_sym_GT_GT,
    ACTIONS(4717), 1,
      anon_sym_AMP,
    ACTIONS(4719), 1,
      anon_sym_CARET,
    ACTIONS(4721), 1,
      anon_sym_PIPE,
    ACTIONS(4725), 1,
      anon_sym_PERCENT,
    ACTIONS(4727), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4751), 1,
      anon_sym_BANG,
    STATE(1642), 1,
      sym_type_arguments,
    STATE(1656), 1,
      sym_arguments,
    STATE(4822), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4699), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4705), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4715), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4723), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4731), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4733), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4737), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4729), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4749), 12,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [40374] = 26,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4033), 1,
      anon_sym_LBRACK,
    ACTIONS(4035), 1,
      anon_sym_DOT,
    ACTIONS(4697), 1,
      anon_sym_LT,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4709), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4713), 1,
      anon_sym_GT_GT,
    ACTIONS(4717), 1,
      anon_sym_AMP,
    ACTIONS(4719), 1,
      anon_sym_CARET,
    ACTIONS(4721), 1,
      anon_sym_PIPE,
    ACTIONS(4725), 1,
      anon_sym_PERCENT,
    ACTIONS(4727), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4751), 1,
      anon_sym_BANG,
    STATE(1642), 1,
      sym_type_arguments,
    STATE(1656), 1,
      sym_arguments,
    STATE(4822), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4699), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4705), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4715), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4723), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4731), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4733), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4737), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4729), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4749), 11,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [40473] = 16,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4033), 1,
      anon_sym_LBRACK,
    ACTIONS(4035), 1,
      anon_sym_DOT,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4725), 1,
      anon_sym_PERCENT,
    ACTIONS(4727), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4753), 1,
      anon_sym_LT,
    STATE(1642), 1,
      sym_type_arguments,
    STATE(1656), 1,
      sym_arguments,
    STATE(4822), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4699), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4723), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4737), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4751), 8,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4749), 20,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [40552] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1809), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1807), 31,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_while,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_PIPE_RBRACE,
  [40605] = 23,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4033), 1,
      anon_sym_LBRACK,
    ACTIONS(4035), 1,
      anon_sym_DOT,
    ACTIONS(4697), 1,
      anon_sym_LT,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4713), 1,
      anon_sym_GT_GT,
    ACTIONS(4717), 1,
      anon_sym_AMP,
    ACTIONS(4725), 1,
      anon_sym_PERCENT,
    ACTIONS(4727), 1,
      anon_sym_STAR_STAR,
    STATE(1642), 1,
      sym_type_arguments,
    STATE(1656), 1,
      sym_arguments,
    STATE(4822), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4699), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4705), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4715), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4723), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4731), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4733), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4737), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4751), 2,
      anon_sym_BANG,
      anon_sym_PIPE,
    ACTIONS(4729), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4749), 13,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [40698] = 24,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4033), 1,
      anon_sym_LBRACK,
    ACTIONS(4035), 1,
      anon_sym_DOT,
    ACTIONS(4697), 1,
      anon_sym_LT,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4713), 1,
      anon_sym_GT_GT,
    ACTIONS(4717), 1,
      anon_sym_AMP,
    ACTIONS(4719), 1,
      anon_sym_CARET,
    ACTIONS(4725), 1,
      anon_sym_PERCENT,
    ACTIONS(4727), 1,
      anon_sym_STAR_STAR,
    STATE(1642), 1,
      sym_type_arguments,
    STATE(1656), 1,
      sym_arguments,
    STATE(4822), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4699), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4705), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4715), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4723), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4731), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4733), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4737), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4751), 2,
      anon_sym_BANG,
      anon_sym_PIPE,
    ACTIONS(4729), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4749), 12,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [40793] = 15,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4033), 1,
      anon_sym_LBRACK,
    ACTIONS(4035), 1,
      anon_sym_DOT,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4725), 1,
      anon_sym_PERCENT,
    ACTIONS(4727), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4753), 1,
      anon_sym_LT,
    STATE(1642), 1,
      sym_type_arguments,
    STATE(1656), 1,
      sym_arguments,
    STATE(4822), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4699), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4737), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4751), 10,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4749), 20,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [40870] = 16,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4033), 1,
      anon_sym_LBRACK,
    ACTIONS(4035), 1,
      anon_sym_DOT,
    ACTIONS(4701), 1,
      anon_sym_as,
    ACTIONS(4703), 1,
      anon_sym_BANG,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4727), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4739), 1,
      anon_sym_satisfies,
    ACTIONS(4753), 1,
      anon_sym_LT,
    STATE(1642), 1,
      sym_type_arguments,
    STATE(1656), 1,
      sym_arguments,
    STATE(4822), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4737), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4751), 11,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4749), 19,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_BQUOTE,
  [40949] = 20,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4033), 1,
      anon_sym_LBRACK,
    ACTIONS(4035), 1,
      anon_sym_DOT,
    ACTIONS(4697), 1,
      anon_sym_LT,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4713), 1,
      anon_sym_GT_GT,
    ACTIONS(4725), 1,
      anon_sym_PERCENT,
    ACTIONS(4727), 1,
      anon_sym_STAR_STAR,
    STATE(1642), 1,
      sym_type_arguments,
    STATE(1656), 1,
      sym_arguments,
    STATE(4822), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4699), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4705), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4715), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4723), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4737), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4729), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4751), 5,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4749), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [41036] = 27,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4033), 1,
      anon_sym_LBRACK,
    ACTIONS(4035), 1,
      anon_sym_DOT,
    ACTIONS(4697), 1,
      anon_sym_LT,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4709), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4711), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4713), 1,
      anon_sym_GT_GT,
    ACTIONS(4717), 1,
      anon_sym_AMP,
    ACTIONS(4719), 1,
      anon_sym_CARET,
    ACTIONS(4721), 1,
      anon_sym_PIPE,
    ACTIONS(4725), 1,
      anon_sym_PERCENT,
    ACTIONS(4727), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4751), 1,
      anon_sym_BANG,
    STATE(1642), 1,
      sym_type_arguments,
    STATE(1656), 1,
      sym_arguments,
    STATE(4822), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4699), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4705), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4715), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4723), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4731), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4733), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4737), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4729), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4749), 10,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [41137] = 31,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4033), 1,
      anon_sym_LBRACK,
    ACTIONS(4035), 1,
      anon_sym_DOT,
    ACTIONS(4697), 1,
      anon_sym_LT,
    ACTIONS(4701), 1,
      anon_sym_as,
    ACTIONS(4703), 1,
      anon_sym_BANG,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4709), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4711), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4713), 1,
      anon_sym_GT_GT,
    ACTIONS(4717), 1,
      anon_sym_AMP,
    ACTIONS(4719), 1,
      anon_sym_CARET,
    ACTIONS(4721), 1,
      anon_sym_PIPE,
    ACTIONS(4725), 1,
      anon_sym_PERCENT,
    ACTIONS(4727), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4735), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4739), 1,
      anon_sym_satisfies,
    ACTIONS(4741), 1,
      sym__ternary_qmark,
    STATE(1642), 1,
      sym_type_arguments,
    STATE(1656), 1,
      sym_arguments,
    STATE(4822), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4699), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4705), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4715), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4723), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4731), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4733), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4737), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4729), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4541), 6,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_BQUOTE,
  [41246] = 31,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4033), 1,
      anon_sym_LBRACK,
    ACTIONS(4035), 1,
      anon_sym_DOT,
    ACTIONS(4697), 1,
      anon_sym_LT,
    ACTIONS(4701), 1,
      anon_sym_as,
    ACTIONS(4703), 1,
      anon_sym_BANG,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4709), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4711), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4713), 1,
      anon_sym_GT_GT,
    ACTIONS(4717), 1,
      anon_sym_AMP,
    ACTIONS(4719), 1,
      anon_sym_CARET,
    ACTIONS(4721), 1,
      anon_sym_PIPE,
    ACTIONS(4725), 1,
      anon_sym_PERCENT,
    ACTIONS(4727), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4735), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4739), 1,
      anon_sym_satisfies,
    ACTIONS(4741), 1,
      sym__ternary_qmark,
    STATE(1642), 1,
      sym_type_arguments,
    STATE(1656), 1,
      sym_arguments,
    STATE(4822), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4699), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4705), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4715), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4723), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4731), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4733), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4737), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4729), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4756), 6,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_BQUOTE,
  [41355] = 31,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4033), 1,
      anon_sym_LBRACK,
    ACTIONS(4035), 1,
      anon_sym_DOT,
    ACTIONS(4697), 1,
      anon_sym_LT,
    ACTIONS(4701), 1,
      anon_sym_as,
    ACTIONS(4703), 1,
      anon_sym_BANG,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4709), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4711), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4713), 1,
      anon_sym_GT_GT,
    ACTIONS(4717), 1,
      anon_sym_AMP,
    ACTIONS(4719), 1,
      anon_sym_CARET,
    ACTIONS(4721), 1,
      anon_sym_PIPE,
    ACTIONS(4725), 1,
      anon_sym_PERCENT,
    ACTIONS(4727), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4735), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4739), 1,
      anon_sym_satisfies,
    ACTIONS(4741), 1,
      sym__ternary_qmark,
    STATE(1642), 1,
      sym_type_arguments,
    STATE(1656), 1,
      sym_arguments,
    STATE(4822), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4699), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4705), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4715), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4723), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4731), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4733), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4737), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4729), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4565), 6,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_BQUOTE,
  [41464] = 31,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4033), 1,
      anon_sym_LBRACK,
    ACTIONS(4035), 1,
      anon_sym_DOT,
    ACTIONS(4697), 1,
      anon_sym_LT,
    ACTIONS(4701), 1,
      anon_sym_as,
    ACTIONS(4703), 1,
      anon_sym_BANG,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4709), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4711), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4713), 1,
      anon_sym_GT_GT,
    ACTIONS(4717), 1,
      anon_sym_AMP,
    ACTIONS(4719), 1,
      anon_sym_CARET,
    ACTIONS(4721), 1,
      anon_sym_PIPE,
    ACTIONS(4725), 1,
      anon_sym_PERCENT,
    ACTIONS(4727), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4735), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4739), 1,
      anon_sym_satisfies,
    ACTIONS(4741), 1,
      sym__ternary_qmark,
    STATE(1642), 1,
      sym_type_arguments,
    STATE(1656), 1,
      sym_arguments,
    STATE(4822), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4699), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4705), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4715), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4723), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4731), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4733), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4737), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4729), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4573), 6,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_BQUOTE,
  [41573] = 31,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4033), 1,
      anon_sym_LBRACK,
    ACTIONS(4035), 1,
      anon_sym_DOT,
    ACTIONS(4697), 1,
      anon_sym_LT,
    ACTIONS(4701), 1,
      anon_sym_as,
    ACTIONS(4703), 1,
      anon_sym_BANG,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4709), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4711), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4713), 1,
      anon_sym_GT_GT,
    ACTIONS(4717), 1,
      anon_sym_AMP,
    ACTIONS(4719), 1,
      anon_sym_CARET,
    ACTIONS(4721), 1,
      anon_sym_PIPE,
    ACTIONS(4725), 1,
      anon_sym_PERCENT,
    ACTIONS(4727), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4735), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4739), 1,
      anon_sym_satisfies,
    ACTIONS(4741), 1,
      sym__ternary_qmark,
    STATE(1642), 1,
      sym_type_arguments,
    STATE(1656), 1,
      sym_arguments,
    STATE(4822), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4699), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4705), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4715), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4723), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4731), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4733), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4737), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4729), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4577), 6,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_BQUOTE,
  [41682] = 31,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4033), 1,
      anon_sym_LBRACK,
    ACTIONS(4035), 1,
      anon_sym_DOT,
    ACTIONS(4697), 1,
      anon_sym_LT,
    ACTIONS(4701), 1,
      anon_sym_as,
    ACTIONS(4703), 1,
      anon_sym_BANG,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4709), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4711), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4713), 1,
      anon_sym_GT_GT,
    ACTIONS(4717), 1,
      anon_sym_AMP,
    ACTIONS(4719), 1,
      anon_sym_CARET,
    ACTIONS(4721), 1,
      anon_sym_PIPE,
    ACTIONS(4725), 1,
      anon_sym_PERCENT,
    ACTIONS(4727), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4735), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4739), 1,
      anon_sym_satisfies,
    ACTIONS(4741), 1,
      sym__ternary_qmark,
    STATE(1642), 1,
      sym_type_arguments,
    STATE(1656), 1,
      sym_arguments,
    STATE(4822), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4699), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4705), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4715), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4723), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4731), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4733), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4737), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4729), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4758), 6,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_BQUOTE,
  [41791] = 31,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4033), 1,
      anon_sym_LBRACK,
    ACTIONS(4035), 1,
      anon_sym_DOT,
    ACTIONS(4697), 1,
      anon_sym_LT,
    ACTIONS(4701), 1,
      anon_sym_as,
    ACTIONS(4703), 1,
      anon_sym_BANG,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4709), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4711), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4713), 1,
      anon_sym_GT_GT,
    ACTIONS(4717), 1,
      anon_sym_AMP,
    ACTIONS(4719), 1,
      anon_sym_CARET,
    ACTIONS(4721), 1,
      anon_sym_PIPE,
    ACTIONS(4725), 1,
      anon_sym_PERCENT,
    ACTIONS(4727), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4735), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4739), 1,
      anon_sym_satisfies,
    ACTIONS(4741), 1,
      sym__ternary_qmark,
    STATE(1642), 1,
      sym_type_arguments,
    STATE(1656), 1,
      sym_arguments,
    STATE(4822), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4699), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4705), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4715), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4723), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4731), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4733), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4737), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4729), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4760), 6,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_BQUOTE,
  [41900] = 16,
    ACTIONS(1635), 1,
      anon_sym_DQUOTE,
    ACTIONS(1637), 1,
      anon_sym_SQUOTE,
    ACTIONS(3731), 1,
      anon_sym_override,
    ACTIONS(4595), 1,
      anon_sym_LBRACK,
    ACTIONS(4764), 1,
      anon_sym_static,
    ACTIONS(4766), 1,
      anon_sym_readonly,
    ACTIONS(4768), 1,
      anon_sym_abstract,
    ACTIONS(4770), 1,
      anon_sym_accessor,
    STATE(2761), 1,
      sym_accessibility_modifier,
    STATE(2846), 1,
      sym_override_modifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4762), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3729), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3418), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3843), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(3705), 17,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [41979] = 31,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4033), 1,
      anon_sym_LBRACK,
    ACTIONS(4035), 1,
      anon_sym_DOT,
    ACTIONS(4697), 1,
      anon_sym_LT,
    ACTIONS(4701), 1,
      anon_sym_as,
    ACTIONS(4703), 1,
      anon_sym_BANG,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4709), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4711), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4713), 1,
      anon_sym_GT_GT,
    ACTIONS(4717), 1,
      anon_sym_AMP,
    ACTIONS(4719), 1,
      anon_sym_CARET,
    ACTIONS(4721), 1,
      anon_sym_PIPE,
    ACTIONS(4725), 1,
      anon_sym_PERCENT,
    ACTIONS(4727), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4735), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4739), 1,
      anon_sym_satisfies,
    ACTIONS(4741), 1,
      sym__ternary_qmark,
    STATE(1642), 1,
      sym_type_arguments,
    STATE(1656), 1,
      sym_arguments,
    STATE(4822), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4699), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4705), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4715), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4723), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4731), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4733), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4737), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4729), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4772), 6,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_BQUOTE,
  [42088] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1849), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1847), 31,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_while,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_PIPE_RBRACE,
  [42141] = 15,
    ACTIONS(2338), 1,
      anon_sym_DQUOTE,
    ACTIONS(2340), 1,
      anon_sym_SQUOTE,
    ACTIONS(3837), 1,
      anon_sym_COMMA,
    ACTIONS(3840), 1,
      anon_sym_RBRACE,
    ACTIONS(4591), 1,
      anon_sym_STAR,
    ACTIONS(4593), 1,
      anon_sym_EQ,
    ACTIONS(4679), 1,
      anon_sym_LBRACK,
    STATE(4835), 1,
      aux_sym_object_pattern_repeat1,
    STATE(4905), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4681), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4683), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3838), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3843), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2362), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [42218] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1765), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1763), 31,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_while,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_PIPE_RBRACE,
  [42271] = 11,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4033), 1,
      anon_sym_LBRACK,
    ACTIONS(4035), 1,
      anon_sym_DOT,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4778), 1,
      anon_sym_LT,
    STATE(1642), 1,
      sym_type_arguments,
    STATE(1656), 1,
      sym_arguments,
    STATE(4822), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4774), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4776), 24,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [42340] = 15,
    ACTIONS(2338), 1,
      anon_sym_DQUOTE,
    ACTIONS(2340), 1,
      anon_sym_SQUOTE,
    ACTIONS(3837), 1,
      anon_sym_COMMA,
    ACTIONS(3930), 1,
      anon_sym_RBRACE,
    ACTIONS(4591), 1,
      anon_sym_STAR,
    ACTIONS(4593), 1,
      anon_sym_EQ,
    ACTIONS(4679), 1,
      anon_sym_LBRACK,
    STATE(4835), 1,
      aux_sym_object_pattern_repeat1,
    STATE(4905), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4681), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4683), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3838), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3843), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2362), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [42417] = 16,
    ACTIONS(1635), 1,
      anon_sym_DQUOTE,
    ACTIONS(1637), 1,
      anon_sym_SQUOTE,
    ACTIONS(3731), 1,
      anon_sym_override,
    ACTIONS(4595), 1,
      anon_sym_LBRACK,
    ACTIONS(4783), 1,
      anon_sym_static,
    ACTIONS(4785), 1,
      anon_sym_readonly,
    ACTIONS(4787), 1,
      anon_sym_abstract,
    ACTIONS(4789), 1,
      anon_sym_accessor,
    STATE(2746), 1,
      sym_accessibility_modifier,
    STATE(2857), 1,
      sym_override_modifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4781), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3729), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3411), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3843), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(3705), 17,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [42496] = 16,
    ACTIONS(1635), 1,
      anon_sym_DQUOTE,
    ACTIONS(1637), 1,
      anon_sym_SQUOTE,
    ACTIONS(3837), 1,
      anon_sym_COMMA,
    ACTIONS(3930), 1,
      anon_sym_RBRACE,
    ACTIONS(4591), 1,
      anon_sym_STAR,
    ACTIONS(4593), 1,
      anon_sym_EQ,
    ACTIONS(4597), 1,
      anon_sym_async,
    ACTIONS(4647), 1,
      anon_sym_LBRACK,
    STATE(4835), 1,
      aux_sym_object_pattern_repeat1,
    STATE(4905), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4599), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4603), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3117), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3843), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3705), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [42575] = 15,
    ACTIONS(2338), 1,
      anon_sym_DQUOTE,
    ACTIONS(2340), 1,
      anon_sym_SQUOTE,
    ACTIONS(3837), 1,
      anon_sym_COMMA,
    ACTIONS(3847), 1,
      anon_sym_RBRACE,
    ACTIONS(4591), 1,
      anon_sym_STAR,
    ACTIONS(4593), 1,
      anon_sym_EQ,
    ACTIONS(4679), 1,
      anon_sym_LBRACK,
    STATE(4835), 1,
      aux_sym_object_pattern_repeat1,
    STATE(4905), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4681), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4683), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3838), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3843), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2362), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [42652] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1863), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1861), 31,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_while,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_PIPE_RBRACE,
  [42705] = 16,
    ACTIONS(1635), 1,
      anon_sym_DQUOTE,
    ACTIONS(1637), 1,
      anon_sym_SQUOTE,
    ACTIONS(3837), 1,
      anon_sym_COMMA,
    ACTIONS(3847), 1,
      anon_sym_RBRACE,
    ACTIONS(4591), 1,
      anon_sym_STAR,
    ACTIONS(4593), 1,
      anon_sym_EQ,
    ACTIONS(4597), 1,
      anon_sym_async,
    ACTIONS(4647), 1,
      anon_sym_LBRACK,
    STATE(4835), 1,
      aux_sym_object_pattern_repeat1,
    STATE(4905), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4599), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4603), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3117), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3843), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3705), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [42784] = 12,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4033), 1,
      anon_sym_LBRACK,
    ACTIONS(4035), 1,
      anon_sym_DOT,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4795), 1,
      anon_sym_LT,
    STATE(1642), 1,
      sym_type_arguments,
    STATE(1656), 1,
      sym_arguments,
    STATE(4822), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4737), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4791), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4793), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [42855] = 15,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4033), 1,
      anon_sym_LBRACK,
    ACTIONS(4035), 1,
      anon_sym_DOT,
    ACTIONS(4701), 1,
      anon_sym_as,
    ACTIONS(4703), 1,
      anon_sym_BANG,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4739), 1,
      anon_sym_satisfies,
    ACTIONS(4802), 1,
      anon_sym_LT,
    STATE(1642), 1,
      sym_type_arguments,
    STATE(1656), 1,
      sym_arguments,
    STATE(4822), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4737), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4798), 11,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4800), 20,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_BQUOTE,
  [42932] = 31,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4033), 1,
      anon_sym_LBRACK,
    ACTIONS(4035), 1,
      anon_sym_DOT,
    ACTIONS(4697), 1,
      anon_sym_LT,
    ACTIONS(4701), 1,
      anon_sym_as,
    ACTIONS(4703), 1,
      anon_sym_BANG,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4709), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4711), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4713), 1,
      anon_sym_GT_GT,
    ACTIONS(4717), 1,
      anon_sym_AMP,
    ACTIONS(4719), 1,
      anon_sym_CARET,
    ACTIONS(4721), 1,
      anon_sym_PIPE,
    ACTIONS(4725), 1,
      anon_sym_PERCENT,
    ACTIONS(4727), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4735), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4739), 1,
      anon_sym_satisfies,
    ACTIONS(4741), 1,
      sym__ternary_qmark,
    STATE(1642), 1,
      sym_type_arguments,
    STATE(1656), 1,
      sym_arguments,
    STATE(4822), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4699), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4705), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4715), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4723), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4731), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4733), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4737), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4729), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4805), 6,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_BQUOTE,
  [43041] = 22,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4033), 1,
      anon_sym_LBRACK,
    ACTIONS(4035), 1,
      anon_sym_DOT,
    ACTIONS(4697), 1,
      anon_sym_LT,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4713), 1,
      anon_sym_GT_GT,
    ACTIONS(4725), 1,
      anon_sym_PERCENT,
    ACTIONS(4727), 1,
      anon_sym_STAR_STAR,
    STATE(1642), 1,
      sym_type_arguments,
    STATE(1656), 1,
      sym_arguments,
    STATE(4822), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4699), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4705), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4715), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4723), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4731), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4733), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4737), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4729), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4751), 3,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4749), 13,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [43132] = 31,
    ACTIONS(4633), 1,
      anon_sym_LPAREN,
    ACTIONS(4635), 1,
      anon_sym_LBRACK,
    ACTIONS(4637), 1,
      anon_sym_DOT,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4809), 1,
      anon_sym_as,
    ACTIONS(4811), 1,
      anon_sym_BANG,
    ACTIONS(4815), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4817), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4819), 1,
      anon_sym_GT_GT,
    ACTIONS(4823), 1,
      anon_sym_AMP,
    ACTIONS(4825), 1,
      anon_sym_CARET,
    ACTIONS(4827), 1,
      anon_sym_PIPE,
    ACTIONS(4831), 1,
      anon_sym_PERCENT,
    ACTIONS(4833), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4835), 1,
      anon_sym_LT,
    ACTIONS(4843), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4847), 1,
      anon_sym_satisfies,
    ACTIONS(4849), 1,
      sym__ternary_qmark,
    STATE(2027), 1,
      sym_type_arguments,
    STATE(2188), 1,
      sym_arguments,
    STATE(4605), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4807), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4813), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4821), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4829), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4839), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4841), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4845), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4837), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4756), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_BQUOTE,
  [43240] = 15,
    ACTIONS(4633), 1,
      anon_sym_LPAREN,
    ACTIONS(4635), 1,
      anon_sym_LBRACK,
    ACTIONS(4637), 1,
      anon_sym_DOT,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4809), 1,
      anon_sym_as,
    ACTIONS(4811), 1,
      anon_sym_BANG,
    ACTIONS(4847), 1,
      anon_sym_satisfies,
    ACTIONS(4851), 1,
      anon_sym_LT,
    STATE(2027), 1,
      sym_type_arguments,
    STATE(2188), 1,
      sym_arguments,
    STATE(4605), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4845), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4798), 11,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4800), 19,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_BQUOTE,
  [43316] = 31,
    ACTIONS(4633), 1,
      anon_sym_LPAREN,
    ACTIONS(4635), 1,
      anon_sym_LBRACK,
    ACTIONS(4637), 1,
      anon_sym_DOT,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4809), 1,
      anon_sym_as,
    ACTIONS(4811), 1,
      anon_sym_BANG,
    ACTIONS(4815), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4817), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4819), 1,
      anon_sym_GT_GT,
    ACTIONS(4823), 1,
      anon_sym_AMP,
    ACTIONS(4825), 1,
      anon_sym_CARET,
    ACTIONS(4827), 1,
      anon_sym_PIPE,
    ACTIONS(4831), 1,
      anon_sym_PERCENT,
    ACTIONS(4833), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4835), 1,
      anon_sym_LT,
    ACTIONS(4843), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4847), 1,
      anon_sym_satisfies,
    ACTIONS(4849), 1,
      sym__ternary_qmark,
    STATE(2027), 1,
      sym_type_arguments,
    STATE(2188), 1,
      sym_arguments,
    STATE(4605), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4807), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4813), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4821), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4829), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4839), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4841), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4845), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4837), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4805), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_BQUOTE,
  [43424] = 13,
    ACTIONS(2338), 1,
      anon_sym_DQUOTE,
    ACTIONS(2340), 1,
      anon_sym_SQUOTE,
    ACTIONS(3837), 1,
      anon_sym_COMMA,
    ACTIONS(3850), 1,
      anon_sym_RBRACE,
    ACTIONS(4593), 1,
      anon_sym_EQ,
    ACTIONS(4679), 1,
      anon_sym_LBRACK,
    STATE(4835), 1,
      aux_sym_object_pattern_repeat1,
    STATE(4905), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4681), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3838), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3843), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2362), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [43496] = 14,
    ACTIONS(1635), 1,
      anon_sym_DQUOTE,
    ACTIONS(1637), 1,
      anon_sym_SQUOTE,
    ACTIONS(3731), 1,
      anon_sym_override,
    ACTIONS(4595), 1,
      anon_sym_LBRACK,
    ACTIONS(4856), 1,
      anon_sym_static,
    ACTIONS(4858), 1,
      anon_sym_readonly,
    ACTIONS(4860), 1,
      anon_sym_abstract,
    ACTIONS(4862), 1,
      anon_sym_accessor,
    STATE(2837), 1,
      sym_override_modifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4854), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3460), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3843), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(3705), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [43570] = 7,
    ACTIONS(1709), 1,
      anon_sym_EQ,
    ACTIONS(2372), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4139), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(4142), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1707), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1711), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [43630] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4099), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4101), 30,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_is,
  [43682] = 31,
    ACTIONS(4633), 1,
      anon_sym_LPAREN,
    ACTIONS(4635), 1,
      anon_sym_LBRACK,
    ACTIONS(4637), 1,
      anon_sym_DOT,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4809), 1,
      anon_sym_as,
    ACTIONS(4811), 1,
      anon_sym_BANG,
    ACTIONS(4815), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4817), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4819), 1,
      anon_sym_GT_GT,
    ACTIONS(4823), 1,
      anon_sym_AMP,
    ACTIONS(4825), 1,
      anon_sym_CARET,
    ACTIONS(4827), 1,
      anon_sym_PIPE,
    ACTIONS(4831), 1,
      anon_sym_PERCENT,
    ACTIONS(4833), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4835), 1,
      anon_sym_LT,
    ACTIONS(4843), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4847), 1,
      anon_sym_satisfies,
    ACTIONS(4849), 1,
      sym__ternary_qmark,
    STATE(2027), 1,
      sym_type_arguments,
    STATE(2188), 1,
      sym_arguments,
    STATE(4605), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4807), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4813), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4821), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4829), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4839), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4841), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4845), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4837), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4745), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_BQUOTE,
  [43790] = 6,
    ACTIONS(4641), 1,
      anon_sym_LT,
    ACTIONS(4685), 1,
      anon_sym_DOT,
    STATE(2010), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4077), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3567), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [43848] = 13,
    ACTIONS(2338), 1,
      anon_sym_DQUOTE,
    ACTIONS(2340), 1,
      anon_sym_SQUOTE,
    ACTIONS(3837), 1,
      anon_sym_COMMA,
    ACTIONS(3909), 1,
      anon_sym_RBRACE,
    ACTIONS(4593), 1,
      anon_sym_EQ,
    ACTIONS(4679), 1,
      anon_sym_LBRACK,
    STATE(4824), 1,
      aux_sym_object_repeat1,
    STATE(4835), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4681), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3838), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3843), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2362), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [43920] = 31,
    ACTIONS(4633), 1,
      anon_sym_LPAREN,
    ACTIONS(4635), 1,
      anon_sym_LBRACK,
    ACTIONS(4637), 1,
      anon_sym_DOT,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4809), 1,
      anon_sym_as,
    ACTIONS(4811), 1,
      anon_sym_BANG,
    ACTIONS(4815), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4817), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4819), 1,
      anon_sym_GT_GT,
    ACTIONS(4823), 1,
      anon_sym_AMP,
    ACTIONS(4825), 1,
      anon_sym_CARET,
    ACTIONS(4827), 1,
      anon_sym_PIPE,
    ACTIONS(4831), 1,
      anon_sym_PERCENT,
    ACTIONS(4833), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4835), 1,
      anon_sym_LT,
    ACTIONS(4843), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4847), 1,
      anon_sym_satisfies,
    ACTIONS(4849), 1,
      sym__ternary_qmark,
    STATE(2027), 1,
      sym_type_arguments,
    STATE(2188), 1,
      sym_arguments,
    STATE(4605), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4807), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4813), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4821), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4829), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4839), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4841), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4845), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4837), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4747), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_BQUOTE,
  [44028] = 5,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4435), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4864), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
    ACTIONS(4433), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4437), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [44084] = 31,
    ACTIONS(4633), 1,
      anon_sym_LPAREN,
    ACTIONS(4635), 1,
      anon_sym_LBRACK,
    ACTIONS(4637), 1,
      anon_sym_DOT,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4809), 1,
      anon_sym_as,
    ACTIONS(4811), 1,
      anon_sym_BANG,
    ACTIONS(4815), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4817), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4819), 1,
      anon_sym_GT_GT,
    ACTIONS(4823), 1,
      anon_sym_AMP,
    ACTIONS(4825), 1,
      anon_sym_CARET,
    ACTIONS(4827), 1,
      anon_sym_PIPE,
    ACTIONS(4831), 1,
      anon_sym_PERCENT,
    ACTIONS(4833), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4835), 1,
      anon_sym_LT,
    ACTIONS(4843), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4847), 1,
      anon_sym_satisfies,
    ACTIONS(4849), 1,
      sym__ternary_qmark,
    STATE(2027), 1,
      sym_type_arguments,
    STATE(2188), 1,
      sym_arguments,
    STATE(4605), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4807), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4813), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4821), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4829), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4839), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4841), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4845), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4837), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4523), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_BQUOTE,
  [44192] = 31,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4033), 1,
      anon_sym_LBRACK,
    ACTIONS(4035), 1,
      anon_sym_DOT,
    ACTIONS(4697), 1,
      anon_sym_LT,
    ACTIONS(4701), 1,
      anon_sym_as,
    ACTIONS(4703), 1,
      anon_sym_BANG,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4709), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4711), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4713), 1,
      anon_sym_GT_GT,
    ACTIONS(4717), 1,
      anon_sym_AMP,
    ACTIONS(4719), 1,
      anon_sym_CARET,
    ACTIONS(4721), 1,
      anon_sym_PIPE,
    ACTIONS(4725), 1,
      anon_sym_PERCENT,
    ACTIONS(4727), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4735), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4739), 1,
      anon_sym_satisfies,
    ACTIONS(4741), 1,
      sym__ternary_qmark,
    STATE(1642), 1,
      sym_type_arguments,
    STATE(1656), 1,
      sym_arguments,
    STATE(4822), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4699), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4705), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4715), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4723), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4731), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4733), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4737), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4729), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4866), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [44300] = 18,
    ACTIONS(4633), 1,
      anon_sym_LPAREN,
    ACTIONS(4635), 1,
      anon_sym_LBRACK,
    ACTIONS(4637), 1,
      anon_sym_DOT,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4819), 1,
      anon_sym_GT_GT,
    ACTIONS(4831), 1,
      anon_sym_PERCENT,
    ACTIONS(4833), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4835), 1,
      anon_sym_LT,
    STATE(2027), 1,
      sym_type_arguments,
    STATE(2188), 1,
      sym_arguments,
    STATE(4605), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4807), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4821), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4829), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4845), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4751), 7,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4749), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [44382] = 7,
    ACTIONS(4137), 1,
      anon_sym_extends,
    ACTIONS(4435), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4439), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(4442), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4433), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4437), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [44442] = 5,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4623), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4868), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
    ACTIONS(4621), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4625), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [44498] = 6,
    ACTIONS(3533), 1,
      anon_sym_EQ,
    ACTIONS(3625), 1,
      anon_sym_QMARK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3623), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
    ACTIONS(3499), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3503), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [44556] = 5,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1709), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4870), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
    ACTIONS(1707), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1711), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [44612] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3208), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3210), 30,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [44664] = 13,
    ACTIONS(4633), 1,
      anon_sym_LPAREN,
    ACTIONS(4635), 1,
      anon_sym_LBRACK,
    ACTIONS(4637), 1,
      anon_sym_DOT,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4833), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4872), 1,
      anon_sym_LT,
    STATE(2027), 1,
      sym_type_arguments,
    STATE(2188), 1,
      sym_arguments,
    STATE(4605), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4845), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4751), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4749), 20,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [44736] = 7,
    ACTIONS(3543), 1,
      anon_sym_EQ,
    ACTIONS(4627), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4630), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4379), 6,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3499), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3503), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [44796] = 25,
    ACTIONS(4633), 1,
      anon_sym_LPAREN,
    ACTIONS(4635), 1,
      anon_sym_LBRACK,
    ACTIONS(4637), 1,
      anon_sym_DOT,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4751), 1,
      anon_sym_BANG,
    ACTIONS(4819), 1,
      anon_sym_GT_GT,
    ACTIONS(4823), 1,
      anon_sym_AMP,
    ACTIONS(4825), 1,
      anon_sym_CARET,
    ACTIONS(4827), 1,
      anon_sym_PIPE,
    ACTIONS(4831), 1,
      anon_sym_PERCENT,
    ACTIONS(4833), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4835), 1,
      anon_sym_LT,
    STATE(2027), 1,
      sym_type_arguments,
    STATE(2188), 1,
      sym_arguments,
    STATE(4605), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4807), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4813), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4821), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4829), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4839), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4841), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4845), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4837), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4749), 11,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [44892] = 26,
    ACTIONS(4633), 1,
      anon_sym_LPAREN,
    ACTIONS(4635), 1,
      anon_sym_LBRACK,
    ACTIONS(4637), 1,
      anon_sym_DOT,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4751), 1,
      anon_sym_BANG,
    ACTIONS(4815), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4819), 1,
      anon_sym_GT_GT,
    ACTIONS(4823), 1,
      anon_sym_AMP,
    ACTIONS(4825), 1,
      anon_sym_CARET,
    ACTIONS(4827), 1,
      anon_sym_PIPE,
    ACTIONS(4831), 1,
      anon_sym_PERCENT,
    ACTIONS(4833), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4835), 1,
      anon_sym_LT,
    STATE(2027), 1,
      sym_type_arguments,
    STATE(2188), 1,
      sym_arguments,
    STATE(4605), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4807), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4813), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4821), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4829), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4839), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4841), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4845), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4837), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4749), 10,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [44990] = 16,
    ACTIONS(4633), 1,
      anon_sym_LPAREN,
    ACTIONS(4635), 1,
      anon_sym_LBRACK,
    ACTIONS(4637), 1,
      anon_sym_DOT,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4831), 1,
      anon_sym_PERCENT,
    ACTIONS(4833), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4872), 1,
      anon_sym_LT,
    STATE(2027), 1,
      sym_type_arguments,
    STATE(2188), 1,
      sym_arguments,
    STATE(4605), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4807), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4829), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4845), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4751), 8,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4749), 19,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [45068] = 22,
    ACTIONS(4633), 1,
      anon_sym_LPAREN,
    ACTIONS(4635), 1,
      anon_sym_LBRACK,
    ACTIONS(4637), 1,
      anon_sym_DOT,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4819), 1,
      anon_sym_GT_GT,
    ACTIONS(4831), 1,
      anon_sym_PERCENT,
    ACTIONS(4833), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4835), 1,
      anon_sym_LT,
    STATE(2027), 1,
      sym_type_arguments,
    STATE(2188), 1,
      sym_arguments,
    STATE(4605), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4807), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4813), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4821), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4829), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4839), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4841), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4845), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4751), 3,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4837), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4749), 12,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [45158] = 23,
    ACTIONS(4633), 1,
      anon_sym_LPAREN,
    ACTIONS(4635), 1,
      anon_sym_LBRACK,
    ACTIONS(4637), 1,
      anon_sym_DOT,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4819), 1,
      anon_sym_GT_GT,
    ACTIONS(4823), 1,
      anon_sym_AMP,
    ACTIONS(4831), 1,
      anon_sym_PERCENT,
    ACTIONS(4833), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4835), 1,
      anon_sym_LT,
    STATE(2027), 1,
      sym_type_arguments,
    STATE(2188), 1,
      sym_arguments,
    STATE(4605), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4751), 2,
      anon_sym_BANG,
      anon_sym_PIPE,
    ACTIONS(4807), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4813), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4821), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4829), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4839), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4841), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4845), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4837), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4749), 12,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [45250] = 24,
    ACTIONS(4633), 1,
      anon_sym_LPAREN,
    ACTIONS(4635), 1,
      anon_sym_LBRACK,
    ACTIONS(4637), 1,
      anon_sym_DOT,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4819), 1,
      anon_sym_GT_GT,
    ACTIONS(4823), 1,
      anon_sym_AMP,
    ACTIONS(4825), 1,
      anon_sym_CARET,
    ACTIONS(4831), 1,
      anon_sym_PERCENT,
    ACTIONS(4833), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4835), 1,
      anon_sym_LT,
    STATE(2027), 1,
      sym_type_arguments,
    STATE(2188), 1,
      sym_arguments,
    STATE(4605), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4751), 2,
      anon_sym_BANG,
      anon_sym_PIPE,
    ACTIONS(4807), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4813), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4821), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4829), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4839), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4841), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4845), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4837), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4749), 11,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [45344] = 15,
    ACTIONS(4633), 1,
      anon_sym_LPAREN,
    ACTIONS(4635), 1,
      anon_sym_LBRACK,
    ACTIONS(4637), 1,
      anon_sym_DOT,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4831), 1,
      anon_sym_PERCENT,
    ACTIONS(4833), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4872), 1,
      anon_sym_LT,
    STATE(2027), 1,
      sym_type_arguments,
    STATE(2188), 1,
      sym_arguments,
    STATE(4605), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4807), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4845), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4751), 10,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4749), 19,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [45420] = 16,
    ACTIONS(4633), 1,
      anon_sym_LPAREN,
    ACTIONS(4635), 1,
      anon_sym_LBRACK,
    ACTIONS(4637), 1,
      anon_sym_DOT,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4809), 1,
      anon_sym_as,
    ACTIONS(4811), 1,
      anon_sym_BANG,
    ACTIONS(4833), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4847), 1,
      anon_sym_satisfies,
    ACTIONS(4872), 1,
      anon_sym_LT,
    STATE(2027), 1,
      sym_type_arguments,
    STATE(2188), 1,
      sym_arguments,
    STATE(4605), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4845), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4751), 11,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4749), 18,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_BQUOTE,
  [45498] = 20,
    ACTIONS(4633), 1,
      anon_sym_LPAREN,
    ACTIONS(4635), 1,
      anon_sym_LBRACK,
    ACTIONS(4637), 1,
      anon_sym_DOT,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4819), 1,
      anon_sym_GT_GT,
    ACTIONS(4831), 1,
      anon_sym_PERCENT,
    ACTIONS(4833), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4835), 1,
      anon_sym_LT,
    STATE(2027), 1,
      sym_type_arguments,
    STATE(2188), 1,
      sym_arguments,
    STATE(4605), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4807), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4813), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4821), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4829), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4845), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4837), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4751), 5,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4749), 14,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [45584] = 6,
    ACTIONS(3610), 1,
      anon_sym_EQ,
    ACTIONS(3617), 1,
      anon_sym_QMARK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3613), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
    ACTIONS(3499), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3503), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [45642] = 4,
    ACTIONS(4687), 1,
      anon_sym_is,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4083), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4085), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [45696] = 4,
    ACTIONS(4875), 1,
      anon_sym_is,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4087), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4089), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [45750] = 31,
    ACTIONS(4633), 1,
      anon_sym_LPAREN,
    ACTIONS(4635), 1,
      anon_sym_LBRACK,
    ACTIONS(4637), 1,
      anon_sym_DOT,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4809), 1,
      anon_sym_as,
    ACTIONS(4811), 1,
      anon_sym_BANG,
    ACTIONS(4815), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4817), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4819), 1,
      anon_sym_GT_GT,
    ACTIONS(4823), 1,
      anon_sym_AMP,
    ACTIONS(4825), 1,
      anon_sym_CARET,
    ACTIONS(4827), 1,
      anon_sym_PIPE,
    ACTIONS(4831), 1,
      anon_sym_PERCENT,
    ACTIONS(4833), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4835), 1,
      anon_sym_LT,
    ACTIONS(4843), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4847), 1,
      anon_sym_satisfies,
    ACTIONS(4849), 1,
      sym__ternary_qmark,
    STATE(2027), 1,
      sym_type_arguments,
    STATE(2188), 1,
      sym_arguments,
    STATE(4605), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4807), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4813), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4821), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4829), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4839), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4841), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4845), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4837), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4565), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_BQUOTE,
  [45858] = 35,
    ACTIONS(3550), 1,
      anon_sym_COLON,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4033), 1,
      anon_sym_LBRACK,
    ACTIONS(4035), 1,
      anon_sym_DOT,
    ACTIONS(4701), 1,
      anon_sym_as,
    ACTIONS(4703), 1,
      anon_sym_BANG,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4739), 1,
      anon_sym_satisfies,
    ACTIONS(4879), 1,
      anon_sym_COMMA,
    ACTIONS(4881), 1,
      anon_sym_RPAREN,
    ACTIONS(4885), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4887), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4889), 1,
      anon_sym_GT_GT,
    ACTIONS(4893), 1,
      anon_sym_AMP,
    ACTIONS(4895), 1,
      anon_sym_CARET,
    ACTIONS(4897), 1,
      anon_sym_PIPE,
    ACTIONS(4901), 1,
      anon_sym_PERCENT,
    ACTIONS(4903), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4905), 1,
      anon_sym_LT,
    ACTIONS(4913), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4915), 1,
      sym__ternary_qmark,
    STATE(1642), 1,
      sym_type_arguments,
    STATE(1656), 1,
      sym_arguments,
    STATE(4645), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(4822), 1,
      sym_optional_chain,
    STATE(5870), 1,
      sym_type_annotation,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4737), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4877), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4883), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4891), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4899), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4909), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4911), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4907), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [45974] = 31,
    ACTIONS(4633), 1,
      anon_sym_LPAREN,
    ACTIONS(4635), 1,
      anon_sym_LBRACK,
    ACTIONS(4637), 1,
      anon_sym_DOT,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4809), 1,
      anon_sym_as,
    ACTIONS(4811), 1,
      anon_sym_BANG,
    ACTIONS(4815), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4817), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4819), 1,
      anon_sym_GT_GT,
    ACTIONS(4823), 1,
      anon_sym_AMP,
    ACTIONS(4825), 1,
      anon_sym_CARET,
    ACTIONS(4827), 1,
      anon_sym_PIPE,
    ACTIONS(4831), 1,
      anon_sym_PERCENT,
    ACTIONS(4833), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4835), 1,
      anon_sym_LT,
    ACTIONS(4843), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4847), 1,
      anon_sym_satisfies,
    ACTIONS(4849), 1,
      sym__ternary_qmark,
    STATE(2027), 1,
      sym_type_arguments,
    STATE(2188), 1,
      sym_arguments,
    STATE(4605), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4807), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4813), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4821), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4829), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4839), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4841), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4845), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4837), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4573), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_BQUOTE,
  [46082] = 31,
    ACTIONS(4633), 1,
      anon_sym_LPAREN,
    ACTIONS(4635), 1,
      anon_sym_LBRACK,
    ACTIONS(4637), 1,
      anon_sym_DOT,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4809), 1,
      anon_sym_as,
    ACTIONS(4811), 1,
      anon_sym_BANG,
    ACTIONS(4815), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4817), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4819), 1,
      anon_sym_GT_GT,
    ACTIONS(4823), 1,
      anon_sym_AMP,
    ACTIONS(4825), 1,
      anon_sym_CARET,
    ACTIONS(4827), 1,
      anon_sym_PIPE,
    ACTIONS(4831), 1,
      anon_sym_PERCENT,
    ACTIONS(4833), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4835), 1,
      anon_sym_LT,
    ACTIONS(4843), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4847), 1,
      anon_sym_satisfies,
    ACTIONS(4849), 1,
      sym__ternary_qmark,
    STATE(2027), 1,
      sym_type_arguments,
    STATE(2188), 1,
      sym_arguments,
    STATE(4605), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4807), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4813), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4821), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4829), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4839), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4841), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4845), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4837), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4577), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_BQUOTE,
  [46190] = 31,
    ACTIONS(4633), 1,
      anon_sym_LPAREN,
    ACTIONS(4635), 1,
      anon_sym_LBRACK,
    ACTIONS(4637), 1,
      anon_sym_DOT,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4809), 1,
      anon_sym_as,
    ACTIONS(4811), 1,
      anon_sym_BANG,
    ACTIONS(4815), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4817), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4819), 1,
      anon_sym_GT_GT,
    ACTIONS(4823), 1,
      anon_sym_AMP,
    ACTIONS(4825), 1,
      anon_sym_CARET,
    ACTIONS(4827), 1,
      anon_sym_PIPE,
    ACTIONS(4831), 1,
      anon_sym_PERCENT,
    ACTIONS(4833), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4835), 1,
      anon_sym_LT,
    ACTIONS(4843), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4847), 1,
      anon_sym_satisfies,
    ACTIONS(4849), 1,
      sym__ternary_qmark,
    STATE(2027), 1,
      sym_type_arguments,
    STATE(2188), 1,
      sym_arguments,
    STATE(4605), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4807), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4813), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4821), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4829), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4839), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4841), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4845), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4837), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4758), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_BQUOTE,
  [46298] = 31,
    ACTIONS(4633), 1,
      anon_sym_LPAREN,
    ACTIONS(4635), 1,
      anon_sym_LBRACK,
    ACTIONS(4637), 1,
      anon_sym_DOT,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4809), 1,
      anon_sym_as,
    ACTIONS(4811), 1,
      anon_sym_BANG,
    ACTIONS(4815), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4817), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4819), 1,
      anon_sym_GT_GT,
    ACTIONS(4823), 1,
      anon_sym_AMP,
    ACTIONS(4825), 1,
      anon_sym_CARET,
    ACTIONS(4827), 1,
      anon_sym_PIPE,
    ACTIONS(4831), 1,
      anon_sym_PERCENT,
    ACTIONS(4833), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4835), 1,
      anon_sym_LT,
    ACTIONS(4843), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4847), 1,
      anon_sym_satisfies,
    ACTIONS(4849), 1,
      sym__ternary_qmark,
    STATE(2027), 1,
      sym_type_arguments,
    STATE(2188), 1,
      sym_arguments,
    STATE(4605), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4807), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4813), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4821), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4829), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4839), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4841), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4845), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4837), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4760), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_BQUOTE,
  [46406] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1779), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1777), 30,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_is,
  [46458] = 5,
    ACTIONS(4641), 1,
      anon_sym_LT,
    STATE(2062), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4087), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4089), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [46514] = 4,
    ACTIONS(4921), 1,
      sym_regex_flags,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4917), 16,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_instanceof,
      anon_sym_satisfies,
    ACTIONS(4919), 26,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [46568] = 13,
    ACTIONS(2338), 1,
      anon_sym_DQUOTE,
    ACTIONS(2340), 1,
      anon_sym_SQUOTE,
    ACTIONS(3837), 1,
      anon_sym_COMMA,
    ACTIONS(3840), 1,
      anon_sym_RBRACE,
    ACTIONS(4593), 1,
      anon_sym_EQ,
    ACTIONS(4679), 1,
      anon_sym_LBRACK,
    STATE(4835), 1,
      aux_sym_object_pattern_repeat1,
    STATE(4905), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4681), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3838), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3843), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2362), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [46640] = 12,
    ACTIONS(4633), 1,
      anon_sym_LPAREN,
    ACTIONS(4635), 1,
      anon_sym_LBRACK,
    ACTIONS(4637), 1,
      anon_sym_DOT,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4923), 1,
      anon_sym_LT,
    STATE(2027), 1,
      sym_type_arguments,
    STATE(2188), 1,
      sym_arguments,
    STATE(4605), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4845), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4791), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4793), 21,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [46710] = 35,
    ACTIONS(3550), 1,
      anon_sym_COLON,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4033), 1,
      anon_sym_LBRACK,
    ACTIONS(4035), 1,
      anon_sym_DOT,
    ACTIONS(4701), 1,
      anon_sym_as,
    ACTIONS(4703), 1,
      anon_sym_BANG,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4739), 1,
      anon_sym_satisfies,
    ACTIONS(4879), 1,
      anon_sym_COMMA,
    ACTIONS(4885), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4887), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4889), 1,
      anon_sym_GT_GT,
    ACTIONS(4893), 1,
      anon_sym_AMP,
    ACTIONS(4895), 1,
      anon_sym_CARET,
    ACTIONS(4897), 1,
      anon_sym_PIPE,
    ACTIONS(4901), 1,
      anon_sym_PERCENT,
    ACTIONS(4903), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4905), 1,
      anon_sym_LT,
    ACTIONS(4913), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4915), 1,
      sym__ternary_qmark,
    ACTIONS(4926), 1,
      anon_sym_RPAREN,
    STATE(1642), 1,
      sym_type_arguments,
    STATE(1656), 1,
      sym_arguments,
    STATE(4645), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(4822), 1,
      sym_optional_chain,
    STATE(5705), 1,
      sym_type_annotation,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4737), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4877), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4883), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4891), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4899), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4909), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4911), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4907), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [46826] = 27,
    ACTIONS(4633), 1,
      anon_sym_LPAREN,
    ACTIONS(4635), 1,
      anon_sym_LBRACK,
    ACTIONS(4637), 1,
      anon_sym_DOT,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4751), 1,
      anon_sym_BANG,
    ACTIONS(4815), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4817), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4819), 1,
      anon_sym_GT_GT,
    ACTIONS(4823), 1,
      anon_sym_AMP,
    ACTIONS(4825), 1,
      anon_sym_CARET,
    ACTIONS(4827), 1,
      anon_sym_PIPE,
    ACTIONS(4831), 1,
      anon_sym_PERCENT,
    ACTIONS(4833), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4835), 1,
      anon_sym_LT,
    STATE(2027), 1,
      sym_type_arguments,
    STATE(2188), 1,
      sym_arguments,
    STATE(4605), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4807), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4813), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4821), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4829), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4839), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4841), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4845), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4837), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4749), 9,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [46926] = 31,
    ACTIONS(4633), 1,
      anon_sym_LPAREN,
    ACTIONS(4635), 1,
      anon_sym_LBRACK,
    ACTIONS(4637), 1,
      anon_sym_DOT,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4809), 1,
      anon_sym_as,
    ACTIONS(4811), 1,
      anon_sym_BANG,
    ACTIONS(4815), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4817), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4819), 1,
      anon_sym_GT_GT,
    ACTIONS(4823), 1,
      anon_sym_AMP,
    ACTIONS(4825), 1,
      anon_sym_CARET,
    ACTIONS(4827), 1,
      anon_sym_PIPE,
    ACTIONS(4831), 1,
      anon_sym_PERCENT,
    ACTIONS(4833), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4835), 1,
      anon_sym_LT,
    ACTIONS(4843), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4847), 1,
      anon_sym_satisfies,
    ACTIONS(4849), 1,
      sym__ternary_qmark,
    STATE(2027), 1,
      sym_type_arguments,
    STATE(2188), 1,
      sym_arguments,
    STATE(4605), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4807), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4813), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4821), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4829), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4839), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4841), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4845), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4837), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4541), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_BQUOTE,
  [47034] = 11,
    ACTIONS(4633), 1,
      anon_sym_LPAREN,
    ACTIONS(4635), 1,
      anon_sym_LBRACK,
    ACTIONS(4637), 1,
      anon_sym_DOT,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4928), 1,
      anon_sym_LT,
    STATE(2027), 1,
      sym_type_arguments,
    STATE(2188), 1,
      sym_arguments,
    STATE(4605), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4774), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4776), 23,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [47102] = 13,
    ACTIONS(2338), 1,
      anon_sym_DQUOTE,
    ACTIONS(2340), 1,
      anon_sym_SQUOTE,
    ACTIONS(3837), 1,
      anon_sym_COMMA,
    ACTIONS(3930), 1,
      anon_sym_RBRACE,
    ACTIONS(4593), 1,
      anon_sym_EQ,
    ACTIONS(4679), 1,
      anon_sym_LBRACK,
    STATE(4835), 1,
      aux_sym_object_pattern_repeat1,
    STATE(4905), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4681), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3838), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3843), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2362), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [47174] = 4,
    ACTIONS(4687), 1,
      anon_sym_is,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4095), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4097), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [47228] = 9,
    ACTIONS(89), 1,
      anon_sym_BQUOTE,
    ACTIONS(4635), 1,
      anon_sym_LBRACK,
    ACTIONS(4637), 1,
      anon_sym_DOT,
    ACTIONS(4639), 1,
      anon_sym_QMARK_DOT,
    STATE(2254), 1,
      sym_template_string,
    STATE(4605), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1889), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1891), 24,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [47292] = 35,
    ACTIONS(3550), 1,
      anon_sym_COLON,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4033), 1,
      anon_sym_LBRACK,
    ACTIONS(4035), 1,
      anon_sym_DOT,
    ACTIONS(4701), 1,
      anon_sym_as,
    ACTIONS(4703), 1,
      anon_sym_BANG,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4739), 1,
      anon_sym_satisfies,
    ACTIONS(4879), 1,
      anon_sym_COMMA,
    ACTIONS(4885), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4887), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4889), 1,
      anon_sym_GT_GT,
    ACTIONS(4893), 1,
      anon_sym_AMP,
    ACTIONS(4895), 1,
      anon_sym_CARET,
    ACTIONS(4897), 1,
      anon_sym_PIPE,
    ACTIONS(4901), 1,
      anon_sym_PERCENT,
    ACTIONS(4903), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4905), 1,
      anon_sym_LT,
    ACTIONS(4913), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4915), 1,
      sym__ternary_qmark,
    ACTIONS(4931), 1,
      anon_sym_RPAREN,
    STATE(1642), 1,
      sym_type_arguments,
    STATE(1656), 1,
      sym_arguments,
    STATE(4645), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(4822), 1,
      sym_optional_chain,
    STATE(5857), 1,
      sym_type_annotation,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4737), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4877), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4883), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4891), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4899), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4909), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4911), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4907), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [47408] = 13,
    ACTIONS(2338), 1,
      anon_sym_DQUOTE,
    ACTIONS(2340), 1,
      anon_sym_SQUOTE,
    ACTIONS(3837), 1,
      anon_sym_COMMA,
    ACTIONS(3847), 1,
      anon_sym_RBRACE,
    ACTIONS(4593), 1,
      anon_sym_EQ,
    ACTIONS(4679), 1,
      anon_sym_LBRACK,
    STATE(4835), 1,
      aux_sym_object_pattern_repeat1,
    STATE(4905), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4681), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3838), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3843), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2362), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [47480] = 8,
    ACTIONS(4633), 1,
      anon_sym_LPAREN,
    ACTIONS(4835), 1,
      anon_sym_LT,
    STATE(2027), 1,
      sym_type_arguments,
    STATE(2188), 1,
      sym_arguments,
    STATE(4605), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4693), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4695), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [47542] = 8,
    ACTIONS(4633), 1,
      anon_sym_LPAREN,
    ACTIONS(4933), 1,
      anon_sym_LT,
    STATE(2027), 1,
      sym_type_arguments,
    STATE(2188), 1,
      sym_arguments,
    STATE(4605), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4693), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4695), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [47604] = 31,
    ACTIONS(4633), 1,
      anon_sym_LPAREN,
    ACTIONS(4635), 1,
      anon_sym_LBRACK,
    ACTIONS(4637), 1,
      anon_sym_DOT,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4809), 1,
      anon_sym_as,
    ACTIONS(4811), 1,
      anon_sym_BANG,
    ACTIONS(4847), 1,
      anon_sym_satisfies,
    ACTIONS(4933), 1,
      anon_sym_LT,
    ACTIONS(4939), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4941), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4943), 1,
      anon_sym_GT_GT,
    ACTIONS(4947), 1,
      anon_sym_AMP,
    ACTIONS(4949), 1,
      anon_sym_CARET,
    ACTIONS(4951), 1,
      anon_sym_PIPE,
    ACTIONS(4955), 1,
      anon_sym_PERCENT,
    ACTIONS(4957), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4965), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4967), 1,
      sym__ternary_qmark,
    STATE(2027), 1,
      sym_type_arguments,
    STATE(2188), 1,
      sym_arguments,
    STATE(4605), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4845), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4935), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4937), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4945), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4953), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4961), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4963), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4959), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4483), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_BQUOTE,
  [47712] = 31,
    ACTIONS(4633), 1,
      anon_sym_LPAREN,
    ACTIONS(4635), 1,
      anon_sym_LBRACK,
    ACTIONS(4637), 1,
      anon_sym_DOT,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4809), 1,
      anon_sym_as,
    ACTIONS(4811), 1,
      anon_sym_BANG,
    ACTIONS(4847), 1,
      anon_sym_satisfies,
    ACTIONS(4933), 1,
      anon_sym_LT,
    ACTIONS(4939), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4941), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4943), 1,
      anon_sym_GT_GT,
    ACTIONS(4947), 1,
      anon_sym_AMP,
    ACTIONS(4949), 1,
      anon_sym_CARET,
    ACTIONS(4951), 1,
      anon_sym_PIPE,
    ACTIONS(4955), 1,
      anon_sym_PERCENT,
    ACTIONS(4957), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4965), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4967), 1,
      sym__ternary_qmark,
    STATE(2027), 1,
      sym_type_arguments,
    STATE(2188), 1,
      sym_arguments,
    STATE(4605), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4845), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4935), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4937), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4945), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4953), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4961), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4963), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4959), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4743), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_BQUOTE,
  [47820] = 31,
    ACTIONS(4633), 1,
      anon_sym_LPAREN,
    ACTIONS(4635), 1,
      anon_sym_LBRACK,
    ACTIONS(4637), 1,
      anon_sym_DOT,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4809), 1,
      anon_sym_as,
    ACTIONS(4811), 1,
      anon_sym_BANG,
    ACTIONS(4847), 1,
      anon_sym_satisfies,
    ACTIONS(4933), 1,
      anon_sym_LT,
    ACTIONS(4939), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4941), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4943), 1,
      anon_sym_GT_GT,
    ACTIONS(4947), 1,
      anon_sym_AMP,
    ACTIONS(4949), 1,
      anon_sym_CARET,
    ACTIONS(4951), 1,
      anon_sym_PIPE,
    ACTIONS(4955), 1,
      anon_sym_PERCENT,
    ACTIONS(4957), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4965), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4967), 1,
      sym__ternary_qmark,
    STATE(2027), 1,
      sym_type_arguments,
    STATE(2188), 1,
      sym_arguments,
    STATE(4605), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4845), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4935), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4937), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4945), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4953), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4961), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4963), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4959), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4745), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_BQUOTE,
  [47928] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3212), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3214), 30,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [47980] = 31,
    ACTIONS(4633), 1,
      anon_sym_LPAREN,
    ACTIONS(4635), 1,
      anon_sym_LBRACK,
    ACTIONS(4637), 1,
      anon_sym_DOT,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4809), 1,
      anon_sym_as,
    ACTIONS(4811), 1,
      anon_sym_BANG,
    ACTIONS(4847), 1,
      anon_sym_satisfies,
    ACTIONS(4933), 1,
      anon_sym_LT,
    ACTIONS(4939), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4941), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4943), 1,
      anon_sym_GT_GT,
    ACTIONS(4947), 1,
      anon_sym_AMP,
    ACTIONS(4949), 1,
      anon_sym_CARET,
    ACTIONS(4951), 1,
      anon_sym_PIPE,
    ACTIONS(4955), 1,
      anon_sym_PERCENT,
    ACTIONS(4957), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4965), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4967), 1,
      sym__ternary_qmark,
    STATE(2027), 1,
      sym_type_arguments,
    STATE(2188), 1,
      sym_arguments,
    STATE(4605), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4845), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4935), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4937), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4945), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4953), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4961), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4963), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4959), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4747), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_BQUOTE,
  [48088] = 31,
    ACTIONS(4633), 1,
      anon_sym_LPAREN,
    ACTIONS(4635), 1,
      anon_sym_LBRACK,
    ACTIONS(4637), 1,
      anon_sym_DOT,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4809), 1,
      anon_sym_as,
    ACTIONS(4811), 1,
      anon_sym_BANG,
    ACTIONS(4847), 1,
      anon_sym_satisfies,
    ACTIONS(4933), 1,
      anon_sym_LT,
    ACTIONS(4939), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4941), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4943), 1,
      anon_sym_GT_GT,
    ACTIONS(4947), 1,
      anon_sym_AMP,
    ACTIONS(4949), 1,
      anon_sym_CARET,
    ACTIONS(4951), 1,
      anon_sym_PIPE,
    ACTIONS(4955), 1,
      anon_sym_PERCENT,
    ACTIONS(4957), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4965), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4967), 1,
      sym__ternary_qmark,
    STATE(2027), 1,
      sym_type_arguments,
    STATE(2188), 1,
      sym_arguments,
    STATE(4605), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4845), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4935), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4937), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4945), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4953), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4961), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4963), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4959), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4523), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_BQUOTE,
  [48196] = 18,
    ACTIONS(4633), 1,
      anon_sym_LPAREN,
    ACTIONS(4635), 1,
      anon_sym_LBRACK,
    ACTIONS(4637), 1,
      anon_sym_DOT,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4933), 1,
      anon_sym_LT,
    ACTIONS(4943), 1,
      anon_sym_GT_GT,
    ACTIONS(4955), 1,
      anon_sym_PERCENT,
    ACTIONS(4957), 1,
      anon_sym_STAR_STAR,
    STATE(2027), 1,
      sym_type_arguments,
    STATE(2188), 1,
      sym_arguments,
    STATE(4605), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4845), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4935), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4945), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4953), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4751), 7,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4749), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [48278] = 13,
    ACTIONS(4633), 1,
      anon_sym_LPAREN,
    ACTIONS(4635), 1,
      anon_sym_LBRACK,
    ACTIONS(4637), 1,
      anon_sym_DOT,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4957), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4969), 1,
      anon_sym_LT,
    STATE(2027), 1,
      sym_type_arguments,
    STATE(2188), 1,
      sym_arguments,
    STATE(4605), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4845), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4751), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4749), 20,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [48350] = 25,
    ACTIONS(4633), 1,
      anon_sym_LPAREN,
    ACTIONS(4635), 1,
      anon_sym_LBRACK,
    ACTIONS(4637), 1,
      anon_sym_DOT,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4751), 1,
      anon_sym_BANG,
    ACTIONS(4933), 1,
      anon_sym_LT,
    ACTIONS(4943), 1,
      anon_sym_GT_GT,
    ACTIONS(4947), 1,
      anon_sym_AMP,
    ACTIONS(4949), 1,
      anon_sym_CARET,
    ACTIONS(4951), 1,
      anon_sym_PIPE,
    ACTIONS(4955), 1,
      anon_sym_PERCENT,
    ACTIONS(4957), 1,
      anon_sym_STAR_STAR,
    STATE(2027), 1,
      sym_type_arguments,
    STATE(2188), 1,
      sym_arguments,
    STATE(4605), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4845), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4935), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4937), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4945), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4953), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4961), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4963), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4959), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4749), 11,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [48446] = 26,
    ACTIONS(4633), 1,
      anon_sym_LPAREN,
    ACTIONS(4635), 1,
      anon_sym_LBRACK,
    ACTIONS(4637), 1,
      anon_sym_DOT,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4751), 1,
      anon_sym_BANG,
    ACTIONS(4933), 1,
      anon_sym_LT,
    ACTIONS(4939), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4943), 1,
      anon_sym_GT_GT,
    ACTIONS(4947), 1,
      anon_sym_AMP,
    ACTIONS(4949), 1,
      anon_sym_CARET,
    ACTIONS(4951), 1,
      anon_sym_PIPE,
    ACTIONS(4955), 1,
      anon_sym_PERCENT,
    ACTIONS(4957), 1,
      anon_sym_STAR_STAR,
    STATE(2027), 1,
      sym_type_arguments,
    STATE(2188), 1,
      sym_arguments,
    STATE(4605), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4845), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4935), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4937), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4945), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4953), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4961), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4963), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4959), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4749), 10,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [48544] = 16,
    ACTIONS(4633), 1,
      anon_sym_LPAREN,
    ACTIONS(4635), 1,
      anon_sym_LBRACK,
    ACTIONS(4637), 1,
      anon_sym_DOT,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4955), 1,
      anon_sym_PERCENT,
    ACTIONS(4957), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4969), 1,
      anon_sym_LT,
    STATE(2027), 1,
      sym_type_arguments,
    STATE(2188), 1,
      sym_arguments,
    STATE(4605), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4845), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4935), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4953), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4751), 8,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4749), 19,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [48622] = 22,
    ACTIONS(4633), 1,
      anon_sym_LPAREN,
    ACTIONS(4635), 1,
      anon_sym_LBRACK,
    ACTIONS(4637), 1,
      anon_sym_DOT,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4933), 1,
      anon_sym_LT,
    ACTIONS(4943), 1,
      anon_sym_GT_GT,
    ACTIONS(4955), 1,
      anon_sym_PERCENT,
    ACTIONS(4957), 1,
      anon_sym_STAR_STAR,
    STATE(2027), 1,
      sym_type_arguments,
    STATE(2188), 1,
      sym_arguments,
    STATE(4605), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4845), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4935), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4937), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4945), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4953), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4961), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4963), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4751), 3,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4959), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4749), 12,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [48712] = 23,
    ACTIONS(4633), 1,
      anon_sym_LPAREN,
    ACTIONS(4635), 1,
      anon_sym_LBRACK,
    ACTIONS(4637), 1,
      anon_sym_DOT,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4933), 1,
      anon_sym_LT,
    ACTIONS(4943), 1,
      anon_sym_GT_GT,
    ACTIONS(4947), 1,
      anon_sym_AMP,
    ACTIONS(4955), 1,
      anon_sym_PERCENT,
    ACTIONS(4957), 1,
      anon_sym_STAR_STAR,
    STATE(2027), 1,
      sym_type_arguments,
    STATE(2188), 1,
      sym_arguments,
    STATE(4605), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4751), 2,
      anon_sym_BANG,
      anon_sym_PIPE,
    ACTIONS(4845), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4935), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4937), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4945), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4953), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4961), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4963), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4959), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4749), 12,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [48804] = 24,
    ACTIONS(4633), 1,
      anon_sym_LPAREN,
    ACTIONS(4635), 1,
      anon_sym_LBRACK,
    ACTIONS(4637), 1,
      anon_sym_DOT,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4933), 1,
      anon_sym_LT,
    ACTIONS(4943), 1,
      anon_sym_GT_GT,
    ACTIONS(4947), 1,
      anon_sym_AMP,
    ACTIONS(4949), 1,
      anon_sym_CARET,
    ACTIONS(4955), 1,
      anon_sym_PERCENT,
    ACTIONS(4957), 1,
      anon_sym_STAR_STAR,
    STATE(2027), 1,
      sym_type_arguments,
    STATE(2188), 1,
      sym_arguments,
    STATE(4605), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4751), 2,
      anon_sym_BANG,
      anon_sym_PIPE,
    ACTIONS(4845), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4935), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4937), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4945), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4953), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4961), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4963), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4959), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4749), 11,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [48898] = 15,
    ACTIONS(4633), 1,
      anon_sym_LPAREN,
    ACTIONS(4635), 1,
      anon_sym_LBRACK,
    ACTIONS(4637), 1,
      anon_sym_DOT,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4955), 1,
      anon_sym_PERCENT,
    ACTIONS(4957), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4969), 1,
      anon_sym_LT,
    STATE(2027), 1,
      sym_type_arguments,
    STATE(2188), 1,
      sym_arguments,
    STATE(4605), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4845), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4935), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4751), 10,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4749), 19,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [48974] = 16,
    ACTIONS(4633), 1,
      anon_sym_LPAREN,
    ACTIONS(4635), 1,
      anon_sym_LBRACK,
    ACTIONS(4637), 1,
      anon_sym_DOT,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4809), 1,
      anon_sym_as,
    ACTIONS(4811), 1,
      anon_sym_BANG,
    ACTIONS(4847), 1,
      anon_sym_satisfies,
    ACTIONS(4957), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4969), 1,
      anon_sym_LT,
    STATE(2027), 1,
      sym_type_arguments,
    STATE(2188), 1,
      sym_arguments,
    STATE(4605), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4845), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4751), 11,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4749), 18,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_BQUOTE,
  [49052] = 20,
    ACTIONS(4633), 1,
      anon_sym_LPAREN,
    ACTIONS(4635), 1,
      anon_sym_LBRACK,
    ACTIONS(4637), 1,
      anon_sym_DOT,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4933), 1,
      anon_sym_LT,
    ACTIONS(4943), 1,
      anon_sym_GT_GT,
    ACTIONS(4955), 1,
      anon_sym_PERCENT,
    ACTIONS(4957), 1,
      anon_sym_STAR_STAR,
    STATE(2027), 1,
      sym_type_arguments,
    STATE(2188), 1,
      sym_arguments,
    STATE(4605), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4845), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4935), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4937), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4945), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4953), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4959), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4751), 5,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4749), 14,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [49138] = 27,
    ACTIONS(4633), 1,
      anon_sym_LPAREN,
    ACTIONS(4635), 1,
      anon_sym_LBRACK,
    ACTIONS(4637), 1,
      anon_sym_DOT,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4751), 1,
      anon_sym_BANG,
    ACTIONS(4933), 1,
      anon_sym_LT,
    ACTIONS(4939), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4941), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4943), 1,
      anon_sym_GT_GT,
    ACTIONS(4947), 1,
      anon_sym_AMP,
    ACTIONS(4949), 1,
      anon_sym_CARET,
    ACTIONS(4951), 1,
      anon_sym_PIPE,
    ACTIONS(4955), 1,
      anon_sym_PERCENT,
    ACTIONS(4957), 1,
      anon_sym_STAR_STAR,
    STATE(2027), 1,
      sym_type_arguments,
    STATE(2188), 1,
      sym_arguments,
    STATE(4605), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4845), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4935), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4937), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4945), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4953), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4961), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4963), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4959), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4749), 9,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [49238] = 31,
    ACTIONS(4633), 1,
      anon_sym_LPAREN,
    ACTIONS(4635), 1,
      anon_sym_LBRACK,
    ACTIONS(4637), 1,
      anon_sym_DOT,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4809), 1,
      anon_sym_as,
    ACTIONS(4811), 1,
      anon_sym_BANG,
    ACTIONS(4847), 1,
      anon_sym_satisfies,
    ACTIONS(4933), 1,
      anon_sym_LT,
    ACTIONS(4939), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4941), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4943), 1,
      anon_sym_GT_GT,
    ACTIONS(4947), 1,
      anon_sym_AMP,
    ACTIONS(4949), 1,
      anon_sym_CARET,
    ACTIONS(4951), 1,
      anon_sym_PIPE,
    ACTIONS(4955), 1,
      anon_sym_PERCENT,
    ACTIONS(4957), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4965), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4967), 1,
      sym__ternary_qmark,
    STATE(2027), 1,
      sym_type_arguments,
    STATE(2188), 1,
      sym_arguments,
    STATE(4605), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4845), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4935), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4937), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4945), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4953), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4961), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4963), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4959), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4541), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_BQUOTE,
  [49346] = 31,
    ACTIONS(4633), 1,
      anon_sym_LPAREN,
    ACTIONS(4635), 1,
      anon_sym_LBRACK,
    ACTIONS(4637), 1,
      anon_sym_DOT,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4809), 1,
      anon_sym_as,
    ACTIONS(4811), 1,
      anon_sym_BANG,
    ACTIONS(4847), 1,
      anon_sym_satisfies,
    ACTIONS(4933), 1,
      anon_sym_LT,
    ACTIONS(4939), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4941), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4943), 1,
      anon_sym_GT_GT,
    ACTIONS(4947), 1,
      anon_sym_AMP,
    ACTIONS(4949), 1,
      anon_sym_CARET,
    ACTIONS(4951), 1,
      anon_sym_PIPE,
    ACTIONS(4955), 1,
      anon_sym_PERCENT,
    ACTIONS(4957), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4965), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4967), 1,
      sym__ternary_qmark,
    STATE(2027), 1,
      sym_type_arguments,
    STATE(2188), 1,
      sym_arguments,
    STATE(4605), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4845), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4935), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4937), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4945), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4953), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4961), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4963), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4959), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4756), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_BQUOTE,
  [49454] = 31,
    ACTIONS(4633), 1,
      anon_sym_LPAREN,
    ACTIONS(4635), 1,
      anon_sym_LBRACK,
    ACTIONS(4637), 1,
      anon_sym_DOT,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4809), 1,
      anon_sym_as,
    ACTIONS(4811), 1,
      anon_sym_BANG,
    ACTIONS(4847), 1,
      anon_sym_satisfies,
    ACTIONS(4933), 1,
      anon_sym_LT,
    ACTIONS(4939), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4941), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4943), 1,
      anon_sym_GT_GT,
    ACTIONS(4947), 1,
      anon_sym_AMP,
    ACTIONS(4949), 1,
      anon_sym_CARET,
    ACTIONS(4951), 1,
      anon_sym_PIPE,
    ACTIONS(4955), 1,
      anon_sym_PERCENT,
    ACTIONS(4957), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4965), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4967), 1,
      sym__ternary_qmark,
    STATE(2027), 1,
      sym_type_arguments,
    STATE(2188), 1,
      sym_arguments,
    STATE(4605), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4845), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4935), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4937), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4945), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4953), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4961), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4963), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4959), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4565), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_BQUOTE,
  [49562] = 31,
    ACTIONS(4633), 1,
      anon_sym_LPAREN,
    ACTIONS(4635), 1,
      anon_sym_LBRACK,
    ACTIONS(4637), 1,
      anon_sym_DOT,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4809), 1,
      anon_sym_as,
    ACTIONS(4811), 1,
      anon_sym_BANG,
    ACTIONS(4847), 1,
      anon_sym_satisfies,
    ACTIONS(4933), 1,
      anon_sym_LT,
    ACTIONS(4939), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4941), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4943), 1,
      anon_sym_GT_GT,
    ACTIONS(4947), 1,
      anon_sym_AMP,
    ACTIONS(4949), 1,
      anon_sym_CARET,
    ACTIONS(4951), 1,
      anon_sym_PIPE,
    ACTIONS(4955), 1,
      anon_sym_PERCENT,
    ACTIONS(4957), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4965), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4967), 1,
      sym__ternary_qmark,
    STATE(2027), 1,
      sym_type_arguments,
    STATE(2188), 1,
      sym_arguments,
    STATE(4605), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4845), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4935), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4937), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4945), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4953), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4961), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4963), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4959), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4573), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_BQUOTE,
  [49670] = 31,
    ACTIONS(4633), 1,
      anon_sym_LPAREN,
    ACTIONS(4635), 1,
      anon_sym_LBRACK,
    ACTIONS(4637), 1,
      anon_sym_DOT,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4809), 1,
      anon_sym_as,
    ACTIONS(4811), 1,
      anon_sym_BANG,
    ACTIONS(4847), 1,
      anon_sym_satisfies,
    ACTIONS(4933), 1,
      anon_sym_LT,
    ACTIONS(4939), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4941), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4943), 1,
      anon_sym_GT_GT,
    ACTIONS(4947), 1,
      anon_sym_AMP,
    ACTIONS(4949), 1,
      anon_sym_CARET,
    ACTIONS(4951), 1,
      anon_sym_PIPE,
    ACTIONS(4955), 1,
      anon_sym_PERCENT,
    ACTIONS(4957), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4965), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4967), 1,
      sym__ternary_qmark,
    STATE(2027), 1,
      sym_type_arguments,
    STATE(2188), 1,
      sym_arguments,
    STATE(4605), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4845), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4935), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4937), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4945), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4953), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4961), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4963), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4959), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4577), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_BQUOTE,
  [49778] = 31,
    ACTIONS(4633), 1,
      anon_sym_LPAREN,
    ACTIONS(4635), 1,
      anon_sym_LBRACK,
    ACTIONS(4637), 1,
      anon_sym_DOT,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4809), 1,
      anon_sym_as,
    ACTIONS(4811), 1,
      anon_sym_BANG,
    ACTIONS(4847), 1,
      anon_sym_satisfies,
    ACTIONS(4933), 1,
      anon_sym_LT,
    ACTIONS(4939), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4941), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4943), 1,
      anon_sym_GT_GT,
    ACTIONS(4947), 1,
      anon_sym_AMP,
    ACTIONS(4949), 1,
      anon_sym_CARET,
    ACTIONS(4951), 1,
      anon_sym_PIPE,
    ACTIONS(4955), 1,
      anon_sym_PERCENT,
    ACTIONS(4957), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4965), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4967), 1,
      sym__ternary_qmark,
    STATE(2027), 1,
      sym_type_arguments,
    STATE(2188), 1,
      sym_arguments,
    STATE(4605), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4845), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4935), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4937), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4945), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4953), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4961), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4963), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4959), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4758), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_BQUOTE,
  [49886] = 31,
    ACTIONS(4633), 1,
      anon_sym_LPAREN,
    ACTIONS(4635), 1,
      anon_sym_LBRACK,
    ACTIONS(4637), 1,
      anon_sym_DOT,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4809), 1,
      anon_sym_as,
    ACTIONS(4811), 1,
      anon_sym_BANG,
    ACTIONS(4847), 1,
      anon_sym_satisfies,
    ACTIONS(4933), 1,
      anon_sym_LT,
    ACTIONS(4939), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4941), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4943), 1,
      anon_sym_GT_GT,
    ACTIONS(4947), 1,
      anon_sym_AMP,
    ACTIONS(4949), 1,
      anon_sym_CARET,
    ACTIONS(4951), 1,
      anon_sym_PIPE,
    ACTIONS(4955), 1,
      anon_sym_PERCENT,
    ACTIONS(4957), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4965), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4967), 1,
      sym__ternary_qmark,
    STATE(2027), 1,
      sym_type_arguments,
    STATE(2188), 1,
      sym_arguments,
    STATE(4605), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4845), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4935), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4937), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4945), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4953), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4961), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4963), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4959), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4760), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_BQUOTE,
  [49994] = 31,
    ACTIONS(4633), 1,
      anon_sym_LPAREN,
    ACTIONS(4635), 1,
      anon_sym_LBRACK,
    ACTIONS(4637), 1,
      anon_sym_DOT,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4809), 1,
      anon_sym_as,
    ACTIONS(4811), 1,
      anon_sym_BANG,
    ACTIONS(4847), 1,
      anon_sym_satisfies,
    ACTIONS(4933), 1,
      anon_sym_LT,
    ACTIONS(4939), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4941), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4943), 1,
      anon_sym_GT_GT,
    ACTIONS(4947), 1,
      anon_sym_AMP,
    ACTIONS(4949), 1,
      anon_sym_CARET,
    ACTIONS(4951), 1,
      anon_sym_PIPE,
    ACTIONS(4955), 1,
      anon_sym_PERCENT,
    ACTIONS(4957), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4965), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4967), 1,
      sym__ternary_qmark,
    STATE(2027), 1,
      sym_type_arguments,
    STATE(2188), 1,
      sym_arguments,
    STATE(4605), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4845), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4935), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4937), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4945), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4953), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4961), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4963), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4959), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4772), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_BQUOTE,
  [50102] = 8,
    ACTIONS(4435), 1,
      anon_sym_EQ,
    ACTIONS(4439), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4442), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4972), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(4137), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4433), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4437), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [50164] = 11,
    ACTIONS(4633), 1,
      anon_sym_LPAREN,
    ACTIONS(4635), 1,
      anon_sym_LBRACK,
    ACTIONS(4637), 1,
      anon_sym_DOT,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4976), 1,
      anon_sym_LT,
    STATE(2027), 1,
      sym_type_arguments,
    STATE(2188), 1,
      sym_arguments,
    STATE(4605), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4774), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4776), 23,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [50232] = 35,
    ACTIONS(3550), 1,
      anon_sym_COLON,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4033), 1,
      anon_sym_LBRACK,
    ACTIONS(4035), 1,
      anon_sym_DOT,
    ACTIONS(4701), 1,
      anon_sym_as,
    ACTIONS(4703), 1,
      anon_sym_BANG,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4739), 1,
      anon_sym_satisfies,
    ACTIONS(4879), 1,
      anon_sym_COMMA,
    ACTIONS(4885), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4887), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4889), 1,
      anon_sym_GT_GT,
    ACTIONS(4893), 1,
      anon_sym_AMP,
    ACTIONS(4895), 1,
      anon_sym_CARET,
    ACTIONS(4897), 1,
      anon_sym_PIPE,
    ACTIONS(4901), 1,
      anon_sym_PERCENT,
    ACTIONS(4903), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4905), 1,
      anon_sym_LT,
    ACTIONS(4913), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4915), 1,
      sym__ternary_qmark,
    ACTIONS(4979), 1,
      anon_sym_RPAREN,
    STATE(1642), 1,
      sym_type_arguments,
    STATE(1656), 1,
      sym_arguments,
    STATE(4645), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(4822), 1,
      sym_optional_chain,
    STATE(5502), 1,
      sym_type_annotation,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4737), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4877), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4883), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4891), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4899), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4909), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4911), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4907), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [50348] = 6,
    ACTIONS(4633), 1,
      anon_sym_LPAREN,
    ACTIONS(4981), 1,
      anon_sym_DOT,
    STATE(2063), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4117), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4119), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [50406] = 7,
    ACTIONS(3501), 1,
      anon_sym_EQ,
    ACTIONS(4379), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4627), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(4630), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3499), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3503), 26,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [50466] = 31,
    ACTIONS(4633), 1,
      anon_sym_LPAREN,
    ACTIONS(4635), 1,
      anon_sym_LBRACK,
    ACTIONS(4637), 1,
      anon_sym_DOT,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4809), 1,
      anon_sym_as,
    ACTIONS(4811), 1,
      anon_sym_BANG,
    ACTIONS(4815), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4817), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4819), 1,
      anon_sym_GT_GT,
    ACTIONS(4823), 1,
      anon_sym_AMP,
    ACTIONS(4825), 1,
      anon_sym_CARET,
    ACTIONS(4827), 1,
      anon_sym_PIPE,
    ACTIONS(4831), 1,
      anon_sym_PERCENT,
    ACTIONS(4833), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4835), 1,
      anon_sym_LT,
    ACTIONS(4843), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4847), 1,
      anon_sym_satisfies,
    ACTIONS(4849), 1,
      sym__ternary_qmark,
    STATE(2027), 1,
      sym_type_arguments,
    STATE(2188), 1,
      sym_arguments,
    STATE(4605), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4807), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4813), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4821), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4829), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4839), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4841), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4845), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4837), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4483), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_BQUOTE,
  [50574] = 31,
    ACTIONS(4633), 1,
      anon_sym_LPAREN,
    ACTIONS(4635), 1,
      anon_sym_LBRACK,
    ACTIONS(4637), 1,
      anon_sym_DOT,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4809), 1,
      anon_sym_as,
    ACTIONS(4811), 1,
      anon_sym_BANG,
    ACTIONS(4815), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4817), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4819), 1,
      anon_sym_GT_GT,
    ACTIONS(4823), 1,
      anon_sym_AMP,
    ACTIONS(4825), 1,
      anon_sym_CARET,
    ACTIONS(4827), 1,
      anon_sym_PIPE,
    ACTIONS(4831), 1,
      anon_sym_PERCENT,
    ACTIONS(4833), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4835), 1,
      anon_sym_LT,
    ACTIONS(4843), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4847), 1,
      anon_sym_satisfies,
    ACTIONS(4849), 1,
      sym__ternary_qmark,
    STATE(2027), 1,
      sym_type_arguments,
    STATE(2188), 1,
      sym_arguments,
    STATE(4605), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4807), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4813), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4821), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4829), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4839), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4841), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4845), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4837), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4743), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_BQUOTE,
  [50682] = 14,
    ACTIONS(1635), 1,
      anon_sym_DQUOTE,
    ACTIONS(1637), 1,
      anon_sym_SQUOTE,
    ACTIONS(3731), 1,
      anon_sym_override,
    ACTIONS(4595), 1,
      anon_sym_LBRACK,
    ACTIONS(4985), 1,
      anon_sym_static,
    ACTIONS(4987), 1,
      anon_sym_readonly,
    ACTIONS(4989), 1,
      anon_sym_abstract,
    ACTIONS(4991), 1,
      anon_sym_accessor,
    STATE(2865), 1,
      sym_override_modifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4983), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3341), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3843), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(3705), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [50756] = 16,
    ACTIONS(1635), 1,
      anon_sym_DQUOTE,
    ACTIONS(1637), 1,
      anon_sym_SQUOTE,
    ACTIONS(3731), 1,
      anon_sym_override,
    ACTIONS(4591), 1,
      anon_sym_STAR,
    ACTIONS(4593), 1,
      anon_sym_EQ,
    ACTIONS(4595), 1,
      anon_sym_LBRACK,
    ACTIONS(4597), 1,
      anon_sym_async,
    ACTIONS(4601), 1,
      anon_sym_readonly,
    STATE(2801), 1,
      sym_override_modifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4071), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(4599), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4603), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3117), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3843), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3705), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [50834] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3216), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3218), 30,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [50886] = 31,
    ACTIONS(4633), 1,
      anon_sym_LPAREN,
    ACTIONS(4635), 1,
      anon_sym_LBRACK,
    ACTIONS(4637), 1,
      anon_sym_DOT,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4809), 1,
      anon_sym_as,
    ACTIONS(4811), 1,
      anon_sym_BANG,
    ACTIONS(4815), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4817), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4819), 1,
      anon_sym_GT_GT,
    ACTIONS(4823), 1,
      anon_sym_AMP,
    ACTIONS(4825), 1,
      anon_sym_CARET,
    ACTIONS(4827), 1,
      anon_sym_PIPE,
    ACTIONS(4831), 1,
      anon_sym_PERCENT,
    ACTIONS(4833), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4835), 1,
      anon_sym_LT,
    ACTIONS(4843), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4847), 1,
      anon_sym_satisfies,
    ACTIONS(4849), 1,
      sym__ternary_qmark,
    STATE(2027), 1,
      sym_type_arguments,
    STATE(2188), 1,
      sym_arguments,
    STATE(4605), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4807), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4813), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4821), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4829), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4839), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4841), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4845), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4837), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4772), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_BQUOTE,
  [50994] = 12,
    ACTIONS(4633), 1,
      anon_sym_LPAREN,
    ACTIONS(4635), 1,
      anon_sym_LBRACK,
    ACTIONS(4637), 1,
      anon_sym_DOT,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4993), 1,
      anon_sym_LT,
    STATE(2027), 1,
      sym_type_arguments,
    STATE(2188), 1,
      sym_arguments,
    STATE(4605), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4845), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4791), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4793), 21,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [51064] = 15,
    ACTIONS(4633), 1,
      anon_sym_LPAREN,
    ACTIONS(4635), 1,
      anon_sym_LBRACK,
    ACTIONS(4637), 1,
      anon_sym_DOT,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4809), 1,
      anon_sym_as,
    ACTIONS(4811), 1,
      anon_sym_BANG,
    ACTIONS(4847), 1,
      anon_sym_satisfies,
    ACTIONS(4996), 1,
      anon_sym_LT,
    STATE(2027), 1,
      sym_type_arguments,
    STATE(2188), 1,
      sym_arguments,
    STATE(4605), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4845), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4798), 11,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4800), 19,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_BQUOTE,
  [51140] = 31,
    ACTIONS(4633), 1,
      anon_sym_LPAREN,
    ACTIONS(4635), 1,
      anon_sym_LBRACK,
    ACTIONS(4637), 1,
      anon_sym_DOT,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4809), 1,
      anon_sym_as,
    ACTIONS(4811), 1,
      anon_sym_BANG,
    ACTIONS(4847), 1,
      anon_sym_satisfies,
    ACTIONS(4933), 1,
      anon_sym_LT,
    ACTIONS(4939), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4941), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4943), 1,
      anon_sym_GT_GT,
    ACTIONS(4947), 1,
      anon_sym_AMP,
    ACTIONS(4949), 1,
      anon_sym_CARET,
    ACTIONS(4951), 1,
      anon_sym_PIPE,
    ACTIONS(4955), 1,
      anon_sym_PERCENT,
    ACTIONS(4957), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4965), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4967), 1,
      sym__ternary_qmark,
    STATE(2027), 1,
      sym_type_arguments,
    STATE(2188), 1,
      sym_arguments,
    STATE(4605), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4845), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4935), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4937), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4945), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4953), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4961), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4963), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4959), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4805), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_BQUOTE,
  [51248] = 8,
    ACTIONS(1709), 1,
      anon_sym_EQ,
    ACTIONS(4139), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4142), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4999), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(2372), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1707), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1711), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [51310] = 19,
    ACTIONS(239), 1,
      anon_sym_COMMA,
    ACTIONS(2338), 1,
      anon_sym_DQUOTE,
    ACTIONS(2340), 1,
      anon_sym_SQUOTE,
    ACTIONS(2364), 1,
      anon_sym_async,
    ACTIONS(2366), 1,
      anon_sym_readonly,
    ACTIONS(2370), 1,
      anon_sym_override,
    ACTIONS(4593), 1,
      anon_sym_EQ,
    ACTIONS(4679), 1,
      anon_sym_LBRACK,
    ACTIONS(5003), 1,
      anon_sym_STAR,
    ACTIONS(5005), 1,
      anon_sym_RBRACE,
    STATE(2805), 1,
      sym_override_modifier,
    STATE(4835), 1,
      aux_sym_object_pattern_repeat1,
    STATE(4905), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2348), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2368), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3797), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3843), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2362), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [51393] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4296), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4298), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [51444] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4304), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4306), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [51495] = 6,
    ACTIONS(5007), 1,
      anon_sym_AMP,
    ACTIONS(5009), 1,
      anon_sym_PIPE,
    ACTIONS(5011), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4319), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4321), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [51552] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3316), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3318), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [51603] = 5,
    ACTIONS(1709), 1,
      anon_sym_EQ,
    ACTIONS(4664), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1705), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1703), 27,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [51658] = 9,
    ACTIONS(4085), 1,
      anon_sym_extends,
    ACTIONS(4529), 1,
      anon_sym_LBRACK,
    ACTIONS(5017), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4532), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5013), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5015), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(3499), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3503), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [51721] = 9,
    ACTIONS(3610), 1,
      anon_sym_EQ,
    ACTIONS(3617), 1,
      anon_sym_QMARK,
    ACTIONS(4627), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3613), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(4379), 2,
      anon_sym_RPAREN,
      anon_sym_extends,
    ACTIONS(4630), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3499), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3503), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [51784] = 31,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4033), 1,
      anon_sym_LBRACK,
    ACTIONS(4035), 1,
      anon_sym_DOT,
    ACTIONS(4701), 1,
      anon_sym_as,
    ACTIONS(4703), 1,
      anon_sym_BANG,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4739), 1,
      anon_sym_satisfies,
    ACTIONS(4885), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4887), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4889), 1,
      anon_sym_GT_GT,
    ACTIONS(4893), 1,
      anon_sym_AMP,
    ACTIONS(4895), 1,
      anon_sym_CARET,
    ACTIONS(4897), 1,
      anon_sym_PIPE,
    ACTIONS(4901), 1,
      anon_sym_PERCENT,
    ACTIONS(4903), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4905), 1,
      anon_sym_LT,
    ACTIONS(4913), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4915), 1,
      sym__ternary_qmark,
    STATE(1642), 1,
      sym_type_arguments,
    STATE(1656), 1,
      sym_arguments,
    STATE(4822), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4737), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4877), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4883), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4891), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4899), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4909), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4911), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4907), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4743), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_BQUOTE,
  [51891] = 31,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4033), 1,
      anon_sym_LBRACK,
    ACTIONS(4035), 1,
      anon_sym_DOT,
    ACTIONS(4701), 1,
      anon_sym_as,
    ACTIONS(4703), 1,
      anon_sym_BANG,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4739), 1,
      anon_sym_satisfies,
    ACTIONS(4885), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4887), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4889), 1,
      anon_sym_GT_GT,
    ACTIONS(4893), 1,
      anon_sym_AMP,
    ACTIONS(4895), 1,
      anon_sym_CARET,
    ACTIONS(4897), 1,
      anon_sym_PIPE,
    ACTIONS(4901), 1,
      anon_sym_PERCENT,
    ACTIONS(4903), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4905), 1,
      anon_sym_LT,
    ACTIONS(4913), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4915), 1,
      sym__ternary_qmark,
    STATE(1642), 1,
      sym_type_arguments,
    STATE(1656), 1,
      sym_arguments,
    STATE(4822), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4737), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4877), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4883), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4891), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4899), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4909), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4911), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4907), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4747), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_BQUOTE,
  [51998] = 15,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4033), 1,
      anon_sym_LBRACK,
    ACTIONS(4035), 1,
      anon_sym_DOT,
    ACTIONS(4701), 1,
      anon_sym_as,
    ACTIONS(4703), 1,
      anon_sym_BANG,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4739), 1,
      anon_sym_satisfies,
    ACTIONS(5020), 1,
      anon_sym_LT,
    STATE(1642), 1,
      sym_type_arguments,
    STATE(1656), 1,
      sym_arguments,
    STATE(4822), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4737), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4798), 11,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4800), 18,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_BQUOTE,
  [52073] = 31,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4033), 1,
      anon_sym_LBRACK,
    ACTIONS(4035), 1,
      anon_sym_DOT,
    ACTIONS(4701), 1,
      anon_sym_as,
    ACTIONS(4703), 1,
      anon_sym_BANG,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4739), 1,
      anon_sym_satisfies,
    ACTIONS(4885), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4887), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4889), 1,
      anon_sym_GT_GT,
    ACTIONS(4893), 1,
      anon_sym_AMP,
    ACTIONS(4895), 1,
      anon_sym_CARET,
    ACTIONS(4897), 1,
      anon_sym_PIPE,
    ACTIONS(4901), 1,
      anon_sym_PERCENT,
    ACTIONS(4903), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4905), 1,
      anon_sym_LT,
    ACTIONS(4913), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4915), 1,
      sym__ternary_qmark,
    STATE(1642), 1,
      sym_type_arguments,
    STATE(1656), 1,
      sym_arguments,
    STATE(4822), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4737), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4877), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4883), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4891), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4899), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4909), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4911), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4907), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4523), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_BQUOTE,
  [52180] = 19,
    ACTIONS(239), 1,
      anon_sym_COMMA,
    ACTIONS(697), 1,
      anon_sym_RBRACE,
    ACTIONS(2338), 1,
      anon_sym_DQUOTE,
    ACTIONS(2340), 1,
      anon_sym_SQUOTE,
    ACTIONS(2364), 1,
      anon_sym_async,
    ACTIONS(2366), 1,
      anon_sym_readonly,
    ACTIONS(2370), 1,
      anon_sym_override,
    ACTIONS(4593), 1,
      anon_sym_EQ,
    ACTIONS(4679), 1,
      anon_sym_LBRACK,
    ACTIONS(5003), 1,
      anon_sym_STAR,
    STATE(2805), 1,
      sym_override_modifier,
    STATE(4835), 1,
      aux_sym_object_pattern_repeat1,
    STATE(4905), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2348), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2368), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3797), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3843), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2362), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [52263] = 18,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4033), 1,
      anon_sym_LBRACK,
    ACTIONS(4035), 1,
      anon_sym_DOT,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4889), 1,
      anon_sym_GT_GT,
    ACTIONS(4901), 1,
      anon_sym_PERCENT,
    ACTIONS(4903), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4905), 1,
      anon_sym_LT,
    STATE(1642), 1,
      sym_type_arguments,
    STATE(1656), 1,
      sym_arguments,
    STATE(4822), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4737), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4877), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4891), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4899), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4751), 7,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4749), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [52344] = 5,
    ACTIONS(4633), 1,
      anon_sym_LPAREN,
    STATE(2242), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4445), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4447), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [52399] = 31,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4033), 1,
      anon_sym_LBRACK,
    ACTIONS(4035), 1,
      anon_sym_DOT,
    ACTIONS(4701), 1,
      anon_sym_as,
    ACTIONS(4703), 1,
      anon_sym_BANG,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4739), 1,
      anon_sym_satisfies,
    ACTIONS(4885), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4887), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4889), 1,
      anon_sym_GT_GT,
    ACTIONS(4893), 1,
      anon_sym_AMP,
    ACTIONS(4895), 1,
      anon_sym_CARET,
    ACTIONS(4897), 1,
      anon_sym_PIPE,
    ACTIONS(4901), 1,
      anon_sym_PERCENT,
    ACTIONS(4903), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4905), 1,
      anon_sym_LT,
    ACTIONS(4913), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4915), 1,
      sym__ternary_qmark,
    STATE(1642), 1,
      sym_type_arguments,
    STATE(1656), 1,
      sym_arguments,
    STATE(4822), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4737), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4877), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4883), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4891), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4899), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4909), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4911), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4907), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4805), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_BQUOTE,
  [52506] = 13,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4033), 1,
      anon_sym_LBRACK,
    ACTIONS(4035), 1,
      anon_sym_DOT,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4903), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5023), 1,
      anon_sym_LT,
    STATE(1642), 1,
      sym_type_arguments,
    STATE(1656), 1,
      sym_arguments,
    STATE(4822), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4737), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4751), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4749), 19,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [52577] = 32,
    ACTIONS(4633), 1,
      anon_sym_LPAREN,
    ACTIONS(4635), 1,
      anon_sym_LBRACK,
    ACTIONS(4637), 1,
      anon_sym_DOT,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4809), 1,
      anon_sym_as,
    ACTIONS(4811), 1,
      anon_sym_BANG,
    ACTIONS(4847), 1,
      anon_sym_satisfies,
    ACTIONS(4933), 1,
      anon_sym_LT,
    ACTIONS(4937), 1,
      anon_sym_GT,
    ACTIONS(4939), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4941), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4943), 1,
      anon_sym_GT_GT,
    ACTIONS(4947), 1,
      anon_sym_AMP,
    ACTIONS(4949), 1,
      anon_sym_CARET,
    ACTIONS(4951), 1,
      anon_sym_PIPE,
    ACTIONS(4955), 1,
      anon_sym_PERCENT,
    ACTIONS(4957), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4965), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4967), 1,
      sym__ternary_qmark,
    ACTIONS(5028), 1,
      anon_sym_in,
    STATE(2027), 1,
      sym_type_arguments,
    STATE(2188), 1,
      sym_arguments,
    STATE(4605), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4845), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4935), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4945), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4953), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4961), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4963), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4959), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5026), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_of,
  [52686] = 25,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4033), 1,
      anon_sym_LBRACK,
    ACTIONS(4035), 1,
      anon_sym_DOT,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4751), 1,
      anon_sym_BANG,
    ACTIONS(4889), 1,
      anon_sym_GT_GT,
    ACTIONS(4893), 1,
      anon_sym_AMP,
    ACTIONS(4895), 1,
      anon_sym_CARET,
    ACTIONS(4897), 1,
      anon_sym_PIPE,
    ACTIONS(4901), 1,
      anon_sym_PERCENT,
    ACTIONS(4903), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4905), 1,
      anon_sym_LT,
    STATE(1642), 1,
      sym_type_arguments,
    STATE(1656), 1,
      sym_arguments,
    STATE(4822), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4737), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4877), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4883), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4891), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4899), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4909), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4911), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4907), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4749), 10,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [52781] = 26,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4033), 1,
      anon_sym_LBRACK,
    ACTIONS(4035), 1,
      anon_sym_DOT,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4751), 1,
      anon_sym_BANG,
    ACTIONS(4885), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4889), 1,
      anon_sym_GT_GT,
    ACTIONS(4893), 1,
      anon_sym_AMP,
    ACTIONS(4895), 1,
      anon_sym_CARET,
    ACTIONS(4897), 1,
      anon_sym_PIPE,
    ACTIONS(4901), 1,
      anon_sym_PERCENT,
    ACTIONS(4903), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4905), 1,
      anon_sym_LT,
    STATE(1642), 1,
      sym_type_arguments,
    STATE(1656), 1,
      sym_arguments,
    STATE(4822), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4737), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4877), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4883), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4891), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4899), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4909), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4911), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4907), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4749), 9,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [52878] = 16,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4033), 1,
      anon_sym_LBRACK,
    ACTIONS(4035), 1,
      anon_sym_DOT,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4901), 1,
      anon_sym_PERCENT,
    ACTIONS(4903), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5023), 1,
      anon_sym_LT,
    STATE(1642), 1,
      sym_type_arguments,
    STATE(1656), 1,
      sym_arguments,
    STATE(4822), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4737), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4877), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4899), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4751), 8,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4749), 18,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [52955] = 22,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4033), 1,
      anon_sym_LBRACK,
    ACTIONS(4035), 1,
      anon_sym_DOT,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4889), 1,
      anon_sym_GT_GT,
    ACTIONS(4901), 1,
      anon_sym_PERCENT,
    ACTIONS(4903), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4905), 1,
      anon_sym_LT,
    STATE(1642), 1,
      sym_type_arguments,
    STATE(1656), 1,
      sym_arguments,
    STATE(4822), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4737), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4877), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4883), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4891), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4899), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4909), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4911), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4751), 3,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4907), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4749), 11,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [53044] = 23,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4033), 1,
      anon_sym_LBRACK,
    ACTIONS(4035), 1,
      anon_sym_DOT,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4889), 1,
      anon_sym_GT_GT,
    ACTIONS(4893), 1,
      anon_sym_AMP,
    ACTIONS(4901), 1,
      anon_sym_PERCENT,
    ACTIONS(4903), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4905), 1,
      anon_sym_LT,
    STATE(1642), 1,
      sym_type_arguments,
    STATE(1656), 1,
      sym_arguments,
    STATE(4822), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4737), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4751), 2,
      anon_sym_BANG,
      anon_sym_PIPE,
    ACTIONS(4877), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4883), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4891), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4899), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4909), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4911), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4907), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4749), 11,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [53135] = 24,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4033), 1,
      anon_sym_LBRACK,
    ACTIONS(4035), 1,
      anon_sym_DOT,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4889), 1,
      anon_sym_GT_GT,
    ACTIONS(4893), 1,
      anon_sym_AMP,
    ACTIONS(4895), 1,
      anon_sym_CARET,
    ACTIONS(4901), 1,
      anon_sym_PERCENT,
    ACTIONS(4903), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4905), 1,
      anon_sym_LT,
    STATE(1642), 1,
      sym_type_arguments,
    STATE(1656), 1,
      sym_arguments,
    STATE(4822), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4737), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4751), 2,
      anon_sym_BANG,
      anon_sym_PIPE,
    ACTIONS(4877), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4883), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4891), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4899), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4909), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4911), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4907), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4749), 10,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [53228] = 15,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4033), 1,
      anon_sym_LBRACK,
    ACTIONS(4035), 1,
      anon_sym_DOT,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4901), 1,
      anon_sym_PERCENT,
    ACTIONS(4903), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5023), 1,
      anon_sym_LT,
    STATE(1642), 1,
      sym_type_arguments,
    STATE(1656), 1,
      sym_arguments,
    STATE(4822), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4737), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4877), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4751), 10,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4749), 18,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [53303] = 16,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4033), 1,
      anon_sym_LBRACK,
    ACTIONS(4035), 1,
      anon_sym_DOT,
    ACTIONS(4701), 1,
      anon_sym_as,
    ACTIONS(4703), 1,
      anon_sym_BANG,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4739), 1,
      anon_sym_satisfies,
    ACTIONS(4903), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5023), 1,
      anon_sym_LT,
    STATE(1642), 1,
      sym_type_arguments,
    STATE(1656), 1,
      sym_arguments,
    STATE(4822), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4737), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4751), 11,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4749), 17,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_BQUOTE,
  [53380] = 4,
    ACTIONS(5031), 1,
      anon_sym_DOT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4453), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4455), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [53433] = 20,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4033), 1,
      anon_sym_LBRACK,
    ACTIONS(4035), 1,
      anon_sym_DOT,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4889), 1,
      anon_sym_GT_GT,
    ACTIONS(4901), 1,
      anon_sym_PERCENT,
    ACTIONS(4903), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4905), 1,
      anon_sym_LT,
    STATE(1642), 1,
      sym_type_arguments,
    STATE(1656), 1,
      sym_arguments,
    STATE(4822), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4737), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4877), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4883), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4891), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4899), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4907), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4751), 5,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4749), 13,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [53518] = 4,
    ACTIONS(3501), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3499), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3503), 28,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [53571] = 27,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4033), 1,
      anon_sym_LBRACK,
    ACTIONS(4035), 1,
      anon_sym_DOT,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4751), 1,
      anon_sym_BANG,
    ACTIONS(4885), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4887), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4889), 1,
      anon_sym_GT_GT,
    ACTIONS(4893), 1,
      anon_sym_AMP,
    ACTIONS(4895), 1,
      anon_sym_CARET,
    ACTIONS(4897), 1,
      anon_sym_PIPE,
    ACTIONS(4901), 1,
      anon_sym_PERCENT,
    ACTIONS(4903), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4905), 1,
      anon_sym_LT,
    STATE(1642), 1,
      sym_type_arguments,
    STATE(1656), 1,
      sym_arguments,
    STATE(4822), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4737), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4877), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4883), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4891), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4899), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4909), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4911), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4907), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4749), 8,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [53670] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4236), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4238), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [53721] = 4,
    ACTIONS(5033), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4236), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4238), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [53774] = 4,
    ACTIONS(4089), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4405), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4407), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [53827] = 6,
    ACTIONS(5007), 1,
      anon_sym_AMP,
    ACTIONS(5009), 1,
      anon_sym_PIPE,
    ACTIONS(5011), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4405), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4407), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [53884] = 31,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4033), 1,
      anon_sym_LBRACK,
    ACTIONS(4035), 1,
      anon_sym_DOT,
    ACTIONS(4701), 1,
      anon_sym_as,
    ACTIONS(4703), 1,
      anon_sym_BANG,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4739), 1,
      anon_sym_satisfies,
    ACTIONS(4885), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4887), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4889), 1,
      anon_sym_GT_GT,
    ACTIONS(4893), 1,
      anon_sym_AMP,
    ACTIONS(4895), 1,
      anon_sym_CARET,
    ACTIONS(4897), 1,
      anon_sym_PIPE,
    ACTIONS(4901), 1,
      anon_sym_PERCENT,
    ACTIONS(4903), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4905), 1,
      anon_sym_LT,
    ACTIONS(4913), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4915), 1,
      sym__ternary_qmark,
    STATE(1642), 1,
      sym_type_arguments,
    STATE(1656), 1,
      sym_arguments,
    STATE(4822), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4737), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4877), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4883), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4891), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4899), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4909), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4911), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4907), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4541), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_BQUOTE,
  [53991] = 31,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4033), 1,
      anon_sym_LBRACK,
    ACTIONS(4035), 1,
      anon_sym_DOT,
    ACTIONS(4701), 1,
      anon_sym_as,
    ACTIONS(4703), 1,
      anon_sym_BANG,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4739), 1,
      anon_sym_satisfies,
    ACTIONS(4885), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4887), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4889), 1,
      anon_sym_GT_GT,
    ACTIONS(4893), 1,
      anon_sym_AMP,
    ACTIONS(4895), 1,
      anon_sym_CARET,
    ACTIONS(4897), 1,
      anon_sym_PIPE,
    ACTIONS(4901), 1,
      anon_sym_PERCENT,
    ACTIONS(4903), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4905), 1,
      anon_sym_LT,
    ACTIONS(4913), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4915), 1,
      sym__ternary_qmark,
    STATE(1642), 1,
      sym_type_arguments,
    STATE(1656), 1,
      sym_arguments,
    STATE(4822), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4737), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4877), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4883), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4891), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4899), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4909), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4911), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4907), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4756), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_BQUOTE,
  [54098] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4087), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4089), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [54149] = 14,
    ACTIONS(1635), 1,
      anon_sym_DQUOTE,
    ACTIONS(1637), 1,
      anon_sym_SQUOTE,
    ACTIONS(3731), 1,
      anon_sym_override,
    ACTIONS(4595), 1,
      anon_sym_LBRACK,
    ACTIONS(5035), 1,
      anon_sym_STAR,
    ACTIONS(5037), 1,
      anon_sym_async,
    ACTIONS(5041), 1,
      anon_sym_readonly,
    STATE(2807), 1,
      sym_override_modifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5039), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5043), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3108), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3843), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3705), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [54222] = 19,
    ACTIONS(239), 1,
      anon_sym_COMMA,
    ACTIONS(699), 1,
      anon_sym_RBRACE,
    ACTIONS(2338), 1,
      anon_sym_DQUOTE,
    ACTIONS(2340), 1,
      anon_sym_SQUOTE,
    ACTIONS(2364), 1,
      anon_sym_async,
    ACTIONS(2366), 1,
      anon_sym_readonly,
    ACTIONS(2370), 1,
      anon_sym_override,
    ACTIONS(4593), 1,
      anon_sym_EQ,
    ACTIONS(4679), 1,
      anon_sym_LBRACK,
    ACTIONS(5003), 1,
      anon_sym_STAR,
    STATE(2805), 1,
      sym_override_modifier,
    STATE(4835), 1,
      aux_sym_object_pattern_repeat1,
    STATE(4905), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2348), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2368), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3797), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3843), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2362), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [54305] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4449), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4451), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [54356] = 31,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4033), 1,
      anon_sym_LBRACK,
    ACTIONS(4035), 1,
      anon_sym_DOT,
    ACTIONS(4701), 1,
      anon_sym_as,
    ACTIONS(4703), 1,
      anon_sym_BANG,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4739), 1,
      anon_sym_satisfies,
    ACTIONS(4885), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4887), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4889), 1,
      anon_sym_GT_GT,
    ACTIONS(4893), 1,
      anon_sym_AMP,
    ACTIONS(4895), 1,
      anon_sym_CARET,
    ACTIONS(4897), 1,
      anon_sym_PIPE,
    ACTIONS(4901), 1,
      anon_sym_PERCENT,
    ACTIONS(4903), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4905), 1,
      anon_sym_LT,
    ACTIONS(4913), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4915), 1,
      sym__ternary_qmark,
    STATE(1642), 1,
      sym_type_arguments,
    STATE(1656), 1,
      sym_arguments,
    STATE(4822), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4737), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4877), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4883), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4891), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4899), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4909), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4911), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4907), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4745), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_BQUOTE,
  [54463] = 11,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4033), 1,
      anon_sym_LBRACK,
    ACTIONS(4035), 1,
      anon_sym_DOT,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5045), 1,
      anon_sym_LT,
    STATE(1642), 1,
      sym_type_arguments,
    STATE(1656), 1,
      sym_arguments,
    STATE(4822), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4774), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4776), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [54530] = 6,
    ACTIONS(4085), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4529), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(4532), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3499), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3503), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [54587] = 7,
    ACTIONS(3569), 1,
      anon_sym_EQ,
    ACTIONS(4379), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4627), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(4630), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3499), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3503), 25,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [54646] = 33,
    ACTIONS(4633), 1,
      anon_sym_LPAREN,
    ACTIONS(4635), 1,
      anon_sym_LBRACK,
    ACTIONS(4637), 1,
      anon_sym_DOT,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4809), 1,
      anon_sym_as,
    ACTIONS(4811), 1,
      anon_sym_BANG,
    ACTIONS(4815), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4817), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4819), 1,
      anon_sym_GT_GT,
    ACTIONS(4823), 1,
      anon_sym_AMP,
    ACTIONS(4825), 1,
      anon_sym_CARET,
    ACTIONS(4827), 1,
      anon_sym_PIPE,
    ACTIONS(4831), 1,
      anon_sym_PERCENT,
    ACTIONS(4833), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4835), 1,
      anon_sym_LT,
    ACTIONS(4843), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4847), 1,
      anon_sym_satisfies,
    ACTIONS(4849), 1,
      sym__ternary_qmark,
    ACTIONS(5048), 1,
      anon_sym_COMMA,
    STATE(2027), 1,
      sym_type_arguments,
    STATE(2188), 1,
      sym_arguments,
    STATE(4479), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(4605), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4807), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4813), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4821), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4829), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4839), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4841), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4845), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5050), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(4837), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [54757] = 12,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4033), 1,
      anon_sym_LBRACK,
    ACTIONS(4035), 1,
      anon_sym_DOT,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5052), 1,
      anon_sym_LT,
    STATE(1642), 1,
      sym_type_arguments,
    STATE(1656), 1,
      sym_arguments,
    STATE(4822), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4737), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4791), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4793), 20,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [54826] = 6,
    ACTIONS(1709), 1,
      anon_sym_EQ,
    ACTIONS(1713), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1703), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(1707), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1711), 25,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [54883] = 33,
    ACTIONS(4633), 1,
      anon_sym_LPAREN,
    ACTIONS(4635), 1,
      anon_sym_LBRACK,
    ACTIONS(4637), 1,
      anon_sym_DOT,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4809), 1,
      anon_sym_as,
    ACTIONS(4811), 1,
      anon_sym_BANG,
    ACTIONS(4815), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4817), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4819), 1,
      anon_sym_GT_GT,
    ACTIONS(4823), 1,
      anon_sym_AMP,
    ACTIONS(4825), 1,
      anon_sym_CARET,
    ACTIONS(4827), 1,
      anon_sym_PIPE,
    ACTIONS(4831), 1,
      anon_sym_PERCENT,
    ACTIONS(4833), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4835), 1,
      anon_sym_LT,
    ACTIONS(4843), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4847), 1,
      anon_sym_satisfies,
    ACTIONS(4849), 1,
      sym__ternary_qmark,
    ACTIONS(5048), 1,
      anon_sym_COMMA,
    STATE(2027), 1,
      sym_type_arguments,
    STATE(2188), 1,
      sym_arguments,
    STATE(4479), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(4605), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4807), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4813), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4821), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4829), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4839), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4841), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4845), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5055), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(4837), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [54994] = 31,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4033), 1,
      anon_sym_LBRACK,
    ACTIONS(4035), 1,
      anon_sym_DOT,
    ACTIONS(4701), 1,
      anon_sym_as,
    ACTIONS(4703), 1,
      anon_sym_BANG,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4739), 1,
      anon_sym_satisfies,
    ACTIONS(4885), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4887), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4889), 1,
      anon_sym_GT_GT,
    ACTIONS(4893), 1,
      anon_sym_AMP,
    ACTIONS(4895), 1,
      anon_sym_CARET,
    ACTIONS(4897), 1,
      anon_sym_PIPE,
    ACTIONS(4901), 1,
      anon_sym_PERCENT,
    ACTIONS(4903), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4905), 1,
      anon_sym_LT,
    ACTIONS(4913), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4915), 1,
      sym__ternary_qmark,
    STATE(1642), 1,
      sym_type_arguments,
    STATE(1656), 1,
      sym_arguments,
    STATE(4822), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4737), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4877), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4883), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4891), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4899), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4909), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4911), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4907), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4565), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_BQUOTE,
  [55101] = 12,
    ACTIONS(1635), 1,
      anon_sym_DQUOTE,
    ACTIONS(1637), 1,
      anon_sym_SQUOTE,
    ACTIONS(4647), 1,
      anon_sym_LBRACK,
    ACTIONS(4649), 1,
      anon_sym_STAR,
    ACTIONS(4653), 1,
      anon_sym_async,
    ACTIONS(4789), 1,
      anon_sym_abstract,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4655), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4659), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3050), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3843), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(3705), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [55170] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4365), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4367), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [55221] = 31,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4033), 1,
      anon_sym_LBRACK,
    ACTIONS(4035), 1,
      anon_sym_DOT,
    ACTIONS(4701), 1,
      anon_sym_as,
    ACTIONS(4703), 1,
      anon_sym_BANG,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4739), 1,
      anon_sym_satisfies,
    ACTIONS(4885), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4887), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4889), 1,
      anon_sym_GT_GT,
    ACTIONS(4893), 1,
      anon_sym_AMP,
    ACTIONS(4895), 1,
      anon_sym_CARET,
    ACTIONS(4897), 1,
      anon_sym_PIPE,
    ACTIONS(4901), 1,
      anon_sym_PERCENT,
    ACTIONS(4903), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4905), 1,
      anon_sym_LT,
    ACTIONS(4913), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4915), 1,
      sym__ternary_qmark,
    STATE(1642), 1,
      sym_type_arguments,
    STATE(1656), 1,
      sym_arguments,
    STATE(4822), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4737), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4877), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4883), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4891), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4899), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4909), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4911), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4907), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4573), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_BQUOTE,
  [55328] = 6,
    ACTIONS(5007), 1,
      anon_sym_AMP,
    ACTIONS(5009), 1,
      anon_sym_PIPE,
    ACTIONS(5011), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4373), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4375), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [55385] = 4,
    ACTIONS(4435), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4433), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4437), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [55438] = 31,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4033), 1,
      anon_sym_LBRACK,
    ACTIONS(4035), 1,
      anon_sym_DOT,
    ACTIONS(4701), 1,
      anon_sym_as,
    ACTIONS(4703), 1,
      anon_sym_BANG,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4739), 1,
      anon_sym_satisfies,
    ACTIONS(4885), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4887), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4889), 1,
      anon_sym_GT_GT,
    ACTIONS(4893), 1,
      anon_sym_AMP,
    ACTIONS(4895), 1,
      anon_sym_CARET,
    ACTIONS(4897), 1,
      anon_sym_PIPE,
    ACTIONS(4901), 1,
      anon_sym_PERCENT,
    ACTIONS(4903), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4905), 1,
      anon_sym_LT,
    ACTIONS(4913), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4915), 1,
      sym__ternary_qmark,
    STATE(1642), 1,
      sym_type_arguments,
    STATE(1656), 1,
      sym_arguments,
    STATE(4822), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4737), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4877), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4883), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4891), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4899), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4909), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4911), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4907), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4577), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_BQUOTE,
  [55545] = 7,
    ACTIONS(1709), 1,
      anon_sym_EQ,
    ACTIONS(4139), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2372), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(4142), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1707), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1711), 25,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [55604] = 7,
    ACTIONS(3509), 1,
      anon_sym_DOT,
    ACTIONS(3513), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3517), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3505), 7,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3499), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3503), 20,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [55663] = 7,
    ACTIONS(4435), 1,
      anon_sym_EQ,
    ACTIONS(4439), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4137), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(4442), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4433), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4437), 25,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [55722] = 5,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4167), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4169), 7,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3499), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3503), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [55777] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4377), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4379), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [55828] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4095), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4097), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [55879] = 33,
    ACTIONS(4633), 1,
      anon_sym_LPAREN,
    ACTIONS(4635), 1,
      anon_sym_LBRACK,
    ACTIONS(4637), 1,
      anon_sym_DOT,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4809), 1,
      anon_sym_as,
    ACTIONS(4811), 1,
      anon_sym_BANG,
    ACTIONS(4815), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4817), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4819), 1,
      anon_sym_GT_GT,
    ACTIONS(4823), 1,
      anon_sym_AMP,
    ACTIONS(4825), 1,
      anon_sym_CARET,
    ACTIONS(4827), 1,
      anon_sym_PIPE,
    ACTIONS(4831), 1,
      anon_sym_PERCENT,
    ACTIONS(4833), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4835), 1,
      anon_sym_LT,
    ACTIONS(4843), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4847), 1,
      anon_sym_satisfies,
    ACTIONS(4849), 1,
      sym__ternary_qmark,
    ACTIONS(5048), 1,
      anon_sym_COMMA,
    STATE(2027), 1,
      sym_type_arguments,
    STATE(2188), 1,
      sym_arguments,
    STATE(4479), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(4605), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4807), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4813), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4821), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4829), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4839), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4841), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4845), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5057), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(4837), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [55990] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2374), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2372), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [56041] = 6,
    ACTIONS(5007), 1,
      anon_sym_AMP,
    ACTIONS(5009), 1,
      anon_sym_PIPE,
    ACTIONS(5011), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4421), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4423), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [56098] = 6,
    ACTIONS(5007), 1,
      anon_sym_AMP,
    ACTIONS(5009), 1,
      anon_sym_PIPE,
    ACTIONS(5011), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4425), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4427), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [56155] = 33,
    ACTIONS(4633), 1,
      anon_sym_LPAREN,
    ACTIONS(4635), 1,
      anon_sym_LBRACK,
    ACTIONS(4637), 1,
      anon_sym_DOT,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4809), 1,
      anon_sym_as,
    ACTIONS(4811), 1,
      anon_sym_BANG,
    ACTIONS(4815), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4817), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4819), 1,
      anon_sym_GT_GT,
    ACTIONS(4823), 1,
      anon_sym_AMP,
    ACTIONS(4825), 1,
      anon_sym_CARET,
    ACTIONS(4827), 1,
      anon_sym_PIPE,
    ACTIONS(4831), 1,
      anon_sym_PERCENT,
    ACTIONS(4833), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4835), 1,
      anon_sym_LT,
    ACTIONS(4843), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4847), 1,
      anon_sym_satisfies,
    ACTIONS(4849), 1,
      sym__ternary_qmark,
    ACTIONS(5059), 1,
      anon_sym_COMMA,
    ACTIONS(5062), 1,
      anon_sym_RBRACE,
    STATE(2027), 1,
      sym_type_arguments,
    STATE(2188), 1,
      sym_arguments,
    STATE(4605), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4807), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4813), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4821), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4829), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4839), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4841), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4845), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5064), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(4837), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [56266] = 33,
    ACTIONS(4633), 1,
      anon_sym_LPAREN,
    ACTIONS(4635), 1,
      anon_sym_LBRACK,
    ACTIONS(4637), 1,
      anon_sym_DOT,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4809), 1,
      anon_sym_as,
    ACTIONS(4811), 1,
      anon_sym_BANG,
    ACTIONS(4815), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4817), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4819), 1,
      anon_sym_GT_GT,
    ACTIONS(4823), 1,
      anon_sym_AMP,
    ACTIONS(4825), 1,
      anon_sym_CARET,
    ACTIONS(4827), 1,
      anon_sym_PIPE,
    ACTIONS(4831), 1,
      anon_sym_PERCENT,
    ACTIONS(4833), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4835), 1,
      anon_sym_LT,
    ACTIONS(4843), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4847), 1,
      anon_sym_satisfies,
    ACTIONS(4849), 1,
      sym__ternary_qmark,
    ACTIONS(5059), 1,
      anon_sym_COMMA,
    ACTIONS(5062), 1,
      anon_sym_RBRACE,
    STATE(2027), 1,
      sym_type_arguments,
    STATE(2188), 1,
      sym_arguments,
    STATE(4605), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4743), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(4807), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4813), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4821), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4829), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4839), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4841), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4845), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4837), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [56377] = 33,
    ACTIONS(4633), 1,
      anon_sym_LPAREN,
    ACTIONS(4635), 1,
      anon_sym_LBRACK,
    ACTIONS(4637), 1,
      anon_sym_DOT,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4809), 1,
      anon_sym_as,
    ACTIONS(4811), 1,
      anon_sym_BANG,
    ACTIONS(4815), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4817), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4819), 1,
      anon_sym_GT_GT,
    ACTIONS(4823), 1,
      anon_sym_AMP,
    ACTIONS(4825), 1,
      anon_sym_CARET,
    ACTIONS(4827), 1,
      anon_sym_PIPE,
    ACTIONS(4831), 1,
      anon_sym_PERCENT,
    ACTIONS(4833), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4835), 1,
      anon_sym_LT,
    ACTIONS(4843), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4847), 1,
      anon_sym_satisfies,
    ACTIONS(4849), 1,
      sym__ternary_qmark,
    ACTIONS(5062), 1,
      anon_sym_RBRACE,
    ACTIONS(5066), 1,
      anon_sym_COMMA,
    STATE(2027), 1,
      sym_type_arguments,
    STATE(2188), 1,
      sym_arguments,
    STATE(4605), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4747), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(4807), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4813), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4821), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4829), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4839), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4841), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4845), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4837), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [56488] = 33,
    ACTIONS(4633), 1,
      anon_sym_LPAREN,
    ACTIONS(4635), 1,
      anon_sym_LBRACK,
    ACTIONS(4637), 1,
      anon_sym_DOT,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4809), 1,
      anon_sym_as,
    ACTIONS(4811), 1,
      anon_sym_BANG,
    ACTIONS(4815), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4817), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4819), 1,
      anon_sym_GT_GT,
    ACTIONS(4823), 1,
      anon_sym_AMP,
    ACTIONS(4825), 1,
      anon_sym_CARET,
    ACTIONS(4827), 1,
      anon_sym_PIPE,
    ACTIONS(4831), 1,
      anon_sym_PERCENT,
    ACTIONS(4833), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4835), 1,
      anon_sym_LT,
    ACTIONS(4843), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4847), 1,
      anon_sym_satisfies,
    ACTIONS(4849), 1,
      sym__ternary_qmark,
    ACTIONS(5069), 1,
      anon_sym_COMMA,
    ACTIONS(5072), 1,
      anon_sym_RBRACE,
    STATE(2027), 1,
      sym_type_arguments,
    STATE(2188), 1,
      sym_arguments,
    STATE(4605), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4747), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(4807), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4813), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4821), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4829), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4839), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4841), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4845), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4837), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [56599] = 19,
    ACTIONS(239), 1,
      anon_sym_COMMA,
    ACTIONS(2338), 1,
      anon_sym_DQUOTE,
    ACTIONS(2340), 1,
      anon_sym_SQUOTE,
    ACTIONS(2364), 1,
      anon_sym_async,
    ACTIONS(2366), 1,
      anon_sym_readonly,
    ACTIONS(2370), 1,
      anon_sym_override,
    ACTIONS(4593), 1,
      anon_sym_EQ,
    ACTIONS(4679), 1,
      anon_sym_LBRACK,
    ACTIONS(5003), 1,
      anon_sym_STAR,
    ACTIONS(5074), 1,
      anon_sym_RBRACE,
    STATE(2805), 1,
      sym_override_modifier,
    STATE(4835), 1,
      aux_sym_object_pattern_repeat1,
    STATE(4905), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2348), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2368), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3797), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3843), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2362), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [56682] = 9,
    ACTIONS(2372), 1,
      anon_sym_extends,
    ACTIONS(4139), 1,
      anon_sym_LBRACK,
    ACTIONS(4999), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1709), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4142), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4674), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(1707), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1711), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [56745] = 9,
    ACTIONS(4137), 1,
      anon_sym_extends,
    ACTIONS(4439), 1,
      anon_sym_LBRACK,
    ACTIONS(4972), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4435), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4442), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4669), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(4433), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4437), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [56808] = 4,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4183), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4179), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4181), 25,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [56861] = 4,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4286), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4179), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4181), 25,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [56914] = 19,
    ACTIONS(239), 1,
      anon_sym_COMMA,
    ACTIONS(2338), 1,
      anon_sym_DQUOTE,
    ACTIONS(2340), 1,
      anon_sym_SQUOTE,
    ACTIONS(2364), 1,
      anon_sym_async,
    ACTIONS(2366), 1,
      anon_sym_readonly,
    ACTIONS(2370), 1,
      anon_sym_override,
    ACTIONS(4593), 1,
      anon_sym_EQ,
    ACTIONS(4679), 1,
      anon_sym_LBRACK,
    ACTIONS(5003), 1,
      anon_sym_STAR,
    ACTIONS(5076), 1,
      anon_sym_RBRACE,
    STATE(2805), 1,
      sym_override_modifier,
    STATE(4835), 1,
      aux_sym_object_pattern_repeat1,
    STATE(4905), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2348), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2368), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3797), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3843), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2362), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [56997] = 10,
    ACTIONS(1709), 1,
      anon_sym_EQ,
    ACTIONS(2372), 1,
      anon_sym_extends,
    ACTIONS(2374), 1,
      anon_sym_QMARK,
    ACTIONS(4139), 1,
      anon_sym_LBRACK,
    ACTIONS(4870), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4142), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4999), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1707), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1711), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [57062] = 10,
    ACTIONS(4135), 1,
      anon_sym_QMARK,
    ACTIONS(4137), 1,
      anon_sym_extends,
    ACTIONS(4435), 1,
      anon_sym_EQ,
    ACTIONS(4439), 1,
      anon_sym_LBRACK,
    ACTIONS(4864), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4442), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4972), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(4433), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4437), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [57127] = 6,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4630), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4627), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
    ACTIONS(4379), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3499), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3503), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [57184] = 6,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4466), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4463), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
    ACTIONS(4173), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4459), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4461), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [57241] = 6,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4532), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4529), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
    ACTIONS(4085), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3499), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3503), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [57298] = 31,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4033), 1,
      anon_sym_LBRACK,
    ACTIONS(4035), 1,
      anon_sym_DOT,
    ACTIONS(4701), 1,
      anon_sym_as,
    ACTIONS(4703), 1,
      anon_sym_BANG,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4739), 1,
      anon_sym_satisfies,
    ACTIONS(4885), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4887), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4889), 1,
      anon_sym_GT_GT,
    ACTIONS(4893), 1,
      anon_sym_AMP,
    ACTIONS(4895), 1,
      anon_sym_CARET,
    ACTIONS(4897), 1,
      anon_sym_PIPE,
    ACTIONS(4901), 1,
      anon_sym_PERCENT,
    ACTIONS(4903), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4905), 1,
      anon_sym_LT,
    ACTIONS(4913), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4915), 1,
      sym__ternary_qmark,
    STATE(1642), 1,
      sym_type_arguments,
    STATE(1656), 1,
      sym_arguments,
    STATE(4822), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4737), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4877), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4883), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4891), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4899), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4909), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4911), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4907), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4758), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_BQUOTE,
  [57405] = 31,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4033), 1,
      anon_sym_LBRACK,
    ACTIONS(4035), 1,
      anon_sym_DOT,
    ACTIONS(4701), 1,
      anon_sym_as,
    ACTIONS(4703), 1,
      anon_sym_BANG,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4739), 1,
      anon_sym_satisfies,
    ACTIONS(4885), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4887), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4889), 1,
      anon_sym_GT_GT,
    ACTIONS(4893), 1,
      anon_sym_AMP,
    ACTIONS(4895), 1,
      anon_sym_CARET,
    ACTIONS(4897), 1,
      anon_sym_PIPE,
    ACTIONS(4901), 1,
      anon_sym_PERCENT,
    ACTIONS(4903), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4905), 1,
      anon_sym_LT,
    ACTIONS(4913), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4915), 1,
      sym__ternary_qmark,
    STATE(1642), 1,
      sym_type_arguments,
    STATE(1656), 1,
      sym_arguments,
    STATE(4822), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4737), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4877), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4883), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4891), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4899), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4909), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4911), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4907), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4760), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_BQUOTE,
  [57512] = 4,
    ACTIONS(3533), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3499), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3503), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [57565] = 4,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1986), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3843), 11,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1984), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
      anon_sym_accessor,
  [57618] = 5,
    ACTIONS(89), 1,
      anon_sym_BQUOTE,
    STATE(2254), 1,
      sym_template_string,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1889), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1891), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [57673] = 14,
    ACTIONS(169), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1551), 1,
      anon_sym_DQUOTE,
    ACTIONS(1553), 1,
      anon_sym_SQUOTE,
    ACTIONS(3282), 1,
      anon_sym_LBRACE,
    ACTIONS(3947), 1,
      anon_sym_LBRACK,
    ACTIONS(5080), 1,
      anon_sym_COMMA,
    ACTIONS(5082), 1,
      anon_sym_RBRACE,
    STATE(4878), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5084), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4567), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(5594), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(5595), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
    ACTIONS(5078), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [57746] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2378), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2376), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [57797] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4284), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4286), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [57848] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4292), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4294), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [57899] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4300), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4302), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [57950] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4345), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4347), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [58001] = 14,
    ACTIONS(1635), 1,
      anon_sym_DQUOTE,
    ACTIONS(1637), 1,
      anon_sym_SQUOTE,
    ACTIONS(3731), 1,
      anon_sym_override,
    ACTIONS(4595), 1,
      anon_sym_LBRACK,
    ACTIONS(5086), 1,
      anon_sym_STAR,
    ACTIONS(5088), 1,
      anon_sym_async,
    ACTIONS(5092), 1,
      anon_sym_readonly,
    STATE(2793), 1,
      sym_override_modifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5090), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5094), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3055), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3843), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(3705), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [58074] = 12,
    ACTIONS(1635), 1,
      anon_sym_DQUOTE,
    ACTIONS(1637), 1,
      anon_sym_SQUOTE,
    ACTIONS(4595), 1,
      anon_sym_LBRACK,
    ACTIONS(4862), 1,
      anon_sym_abstract,
    ACTIONS(5086), 1,
      anon_sym_STAR,
    ACTIONS(5088), 1,
      anon_sym_async,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5090), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5094), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3055), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3843), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(3705), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [58143] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4381), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4383), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [58194] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4391), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4393), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [58245] = 4,
    ACTIONS(4677), 1,
      anon_sym_DOT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3517), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3505), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [58298] = 8,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4905), 1,
      anon_sym_LT,
    STATE(1642), 1,
      sym_type_arguments,
    STATE(1656), 1,
      sym_arguments,
    STATE(4822), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4693), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4695), 25,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [58359] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4083), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4085), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [58410] = 14,
    ACTIONS(1635), 1,
      anon_sym_DQUOTE,
    ACTIONS(1637), 1,
      anon_sym_SQUOTE,
    ACTIONS(3731), 1,
      anon_sym_override,
    ACTIONS(4595), 1,
      anon_sym_LBRACK,
    ACTIONS(5096), 1,
      anon_sym_STAR,
    ACTIONS(5098), 1,
      anon_sym_async,
    ACTIONS(5102), 1,
      anon_sym_readonly,
    STATE(2795), 1,
      sym_override_modifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5100), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5104), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3076), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3843), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(3705), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [58483] = 4,
    ACTIONS(5106), 1,
      anon_sym_DOT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4399), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4401), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [58536] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4409), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4411), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [58587] = 7,
    ACTIONS(3537), 1,
      anon_sym_DOT,
    ACTIONS(3539), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3505), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_extends,
    ACTIONS(3517), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3499), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3503), 24,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [58646] = 6,
    ACTIONS(4379), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4627), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(4630), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3499), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3503), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [58703] = 5,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4167), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4169), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_extends,
    ACTIONS(3499), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3503), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [58758] = 6,
    ACTIONS(4173), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4463), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(4466), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4459), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4461), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [58815] = 4,
    ACTIONS(4183), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4179), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4181), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [58868] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4149), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4151), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [58919] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4175), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4177), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [58970] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4199), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4201), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [59021] = 4,
    ACTIONS(4207), 1,
      anon_sym_DOT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4203), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4205), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [59074] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3687), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3487), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [59125] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3703), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3489), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [59176] = 4,
    ACTIONS(4312), 1,
      anon_sym_DOT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4203), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4205), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [59229] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4315), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4317), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [59280] = 6,
    ACTIONS(5007), 1,
      anon_sym_AMP,
    ACTIONS(5009), 1,
      anon_sym_PIPE,
    ACTIONS(5011), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4315), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4317), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [59337] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4327), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4329), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [59388] = 12,
    ACTIONS(1635), 1,
      anon_sym_DQUOTE,
    ACTIONS(1637), 1,
      anon_sym_SQUOTE,
    ACTIONS(4595), 1,
      anon_sym_LBRACK,
    ACTIONS(5096), 1,
      anon_sym_STAR,
    ACTIONS(5098), 1,
      anon_sym_async,
    ACTIONS(5110), 1,
      anon_sym_abstract,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5104), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(5108), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3084), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3843), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(3705), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [59457] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4341), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4343), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [59508] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4349), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4351), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [59559] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4353), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4355), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [59610] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3398), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3400), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [59661] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4357), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4359), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [59712] = 4,
    ACTIONS(5007), 1,
      anon_sym_AMP,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4361), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4363), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [59765] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4369), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4371), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [59816] = 9,
    ACTIONS(4085), 1,
      anon_sym_extends,
    ACTIONS(4529), 1,
      anon_sym_LBRACK,
    ACTIONS(5115), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4532), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5013), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5112), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(3499), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3503), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [59879] = 9,
    ACTIONS(3617), 1,
      anon_sym_QMARK,
    ACTIONS(3644), 1,
      anon_sym_EQ,
    ACTIONS(4627), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3647), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(4379), 2,
      anon_sym_RPAREN,
      anon_sym_extends,
    ACTIONS(4630), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3499), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3503), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [59942] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4135), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4137), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [59993] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4153), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4155), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [60044] = 32,
    ACTIONS(4633), 1,
      anon_sym_LPAREN,
    ACTIONS(4635), 1,
      anon_sym_LBRACK,
    ACTIONS(4637), 1,
      anon_sym_DOT,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4809), 1,
      anon_sym_as,
    ACTIONS(4811), 1,
      anon_sym_BANG,
    ACTIONS(4815), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4817), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4819), 1,
      anon_sym_GT_GT,
    ACTIONS(4823), 1,
      anon_sym_AMP,
    ACTIONS(4825), 1,
      anon_sym_CARET,
    ACTIONS(4827), 1,
      anon_sym_PIPE,
    ACTIONS(4831), 1,
      anon_sym_PERCENT,
    ACTIONS(4833), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4835), 1,
      anon_sym_LT,
    ACTIONS(4843), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4847), 1,
      anon_sym_satisfies,
    ACTIONS(4849), 1,
      sym__ternary_qmark,
    STATE(2027), 1,
      sym_type_arguments,
    STATE(2188), 1,
      sym_arguments,
    STATE(4605), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4807), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4813), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4821), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4829), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4839), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4841), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4845), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5062), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(5119), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(4837), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [60153] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4167), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4169), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [60204] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4171), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4173), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [60255] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4195), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4197), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [60306] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2382), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2380), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [60357] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4387), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4389), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [60408] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4395), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4397), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [60459] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4413), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4415), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [60510] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4417), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4419), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [60561] = 14,
    ACTIONS(1635), 1,
      anon_sym_DQUOTE,
    ACTIONS(1637), 1,
      anon_sym_SQUOTE,
    ACTIONS(3731), 1,
      anon_sym_override,
    ACTIONS(4595), 1,
      anon_sym_LBRACK,
    ACTIONS(5121), 1,
      anon_sym_STAR,
    ACTIONS(5123), 1,
      anon_sym_async,
    ACTIONS(5127), 1,
      anon_sym_readonly,
    STATE(2799), 1,
      sym_override_modifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5125), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5129), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3110), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3843), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3705), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [60634] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4413), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4415), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [60685] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4417), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4419), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [60736] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4131), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4133), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [60787] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4127), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4129), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [60838] = 9,
    ACTIONS(2372), 1,
      anon_sym_extends,
    ACTIONS(4139), 1,
      anon_sym_LBRACK,
    ACTIONS(5131), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1709), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4142), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4870), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(1707), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1711), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [60901] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4131), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4133), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [60952] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4127), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4129), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [61003] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4145), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4147), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [61054] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4163), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4165), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [61105] = 9,
    ACTIONS(4137), 1,
      anon_sym_extends,
    ACTIONS(4439), 1,
      anon_sym_LBRACK,
    ACTIONS(5134), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4435), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4442), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4864), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(4433), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4437), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [61168] = 5,
    ACTIONS(4633), 1,
      anon_sym_LPAREN,
    STATE(2350), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4429), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4431), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [61223] = 9,
    ACTIONS(4085), 1,
      anon_sym_extends,
    ACTIONS(4529), 1,
      anon_sym_LBRACK,
    ACTIONS(5141), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4532), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5137), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5139), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(3499), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3503), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [61286] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4145), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4147), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [61337] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4163), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4165), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [61388] = 4,
    ACTIONS(4286), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4179), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4181), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [61441] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4187), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4189), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [61492] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4191), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4193), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [61543] = 6,
    ACTIONS(5007), 1,
      anon_sym_AMP,
    ACTIONS(5009), 1,
      anon_sym_PIPE,
    ACTIONS(5011), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4218), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4220), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [61600] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3392), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3394), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [61651] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4222), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4224), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [61702] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4226), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4228), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [61753] = 14,
    ACTIONS(169), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1551), 1,
      anon_sym_DQUOTE,
    ACTIONS(1553), 1,
      anon_sym_SQUOTE,
    ACTIONS(3282), 1,
      anon_sym_LBRACE,
    ACTIONS(3947), 1,
      anon_sym_LBRACK,
    ACTIONS(5080), 1,
      anon_sym_COMMA,
    ACTIONS(5146), 1,
      anon_sym_RBRACE,
    STATE(4528), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5084), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(5134), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(5594), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(5595), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
    ACTIONS(5144), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [61826] = 6,
    ACTIONS(5007), 1,
      anon_sym_AMP,
    ACTIONS(5009), 1,
      anon_sym_PIPE,
    ACTIONS(5011), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4226), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4228), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [61883] = 31,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4033), 1,
      anon_sym_LBRACK,
    ACTIONS(4035), 1,
      anon_sym_DOT,
    ACTIONS(4701), 1,
      anon_sym_as,
    ACTIONS(4703), 1,
      anon_sym_BANG,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4739), 1,
      anon_sym_satisfies,
    ACTIONS(4885), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4887), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4889), 1,
      anon_sym_GT_GT,
    ACTIONS(4893), 1,
      anon_sym_AMP,
    ACTIONS(4895), 1,
      anon_sym_CARET,
    ACTIONS(4897), 1,
      anon_sym_PIPE,
    ACTIONS(4901), 1,
      anon_sym_PERCENT,
    ACTIONS(4903), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4905), 1,
      anon_sym_LT,
    ACTIONS(4913), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4915), 1,
      sym__ternary_qmark,
    STATE(1642), 1,
      sym_type_arguments,
    STATE(1656), 1,
      sym_arguments,
    STATE(4822), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4737), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4877), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4883), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4891), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4899), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4909), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4911), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4907), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4772), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_BQUOTE,
  [61990] = 6,
    ACTIONS(5007), 1,
      anon_sym_AMP,
    ACTIONS(5009), 1,
      anon_sym_PIPE,
    ACTIONS(5011), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4210), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4212), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [62047] = 6,
    ACTIONS(4238), 1,
      anon_sym_extends,
    ACTIONS(5033), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4236), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4230), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4232), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [62104] = 4,
    ACTIONS(5148), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4248), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4250), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [62157] = 4,
    ACTIONS(5033), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4254), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4256), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [62210] = 31,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4033), 1,
      anon_sym_LBRACK,
    ACTIONS(4035), 1,
      anon_sym_DOT,
    ACTIONS(4701), 1,
      anon_sym_as,
    ACTIONS(4703), 1,
      anon_sym_BANG,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4739), 1,
      anon_sym_satisfies,
    ACTIONS(4885), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4887), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4889), 1,
      anon_sym_GT_GT,
    ACTIONS(4893), 1,
      anon_sym_AMP,
    ACTIONS(4895), 1,
      anon_sym_CARET,
    ACTIONS(4897), 1,
      anon_sym_PIPE,
    ACTIONS(4901), 1,
      anon_sym_PERCENT,
    ACTIONS(4903), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4905), 1,
      anon_sym_LT,
    ACTIONS(4913), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4915), 1,
      sym__ternary_qmark,
    STATE(1642), 1,
      sym_type_arguments,
    STATE(1656), 1,
      sym_arguments,
    STATE(4822), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4737), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4877), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4883), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4891), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4899), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4909), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4911), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4907), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4483), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_BQUOTE,
  [62317] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4185), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4183), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [62368] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2386), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2384), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [62419] = 7,
    ACTIONS(3571), 1,
      anon_sym_EQ,
    ACTIONS(4379), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4627), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(4630), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3499), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3503), 25,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [62478] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4240), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4242), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [62529] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4244), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4246), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [62580] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4244), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4246), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [62631] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4244), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4246), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [62682] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4258), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4260), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [62733] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4258), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4260), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [62784] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4258), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4260), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [62835] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4123), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4125), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [62886] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4123), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4125), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [62937] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4123), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4125), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [62988] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4262), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4264), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [63039] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4266), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4268), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [63090] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4270), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4272), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [63141] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4308), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4310), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [63192] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4323), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4325), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [63243] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2390), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2388), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [63294] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4274), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4276), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [63345] = 4,
    ACTIONS(4623), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4621), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4625), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [63398] = 14,
    ACTIONS(1635), 1,
      anon_sym_DQUOTE,
    ACTIONS(1637), 1,
      anon_sym_SQUOTE,
    ACTIONS(3731), 1,
      anon_sym_override,
    ACTIONS(4595), 1,
      anon_sym_LBRACK,
    ACTIONS(5150), 1,
      anon_sym_STAR,
    ACTIONS(5152), 1,
      anon_sym_async,
    ACTIONS(5156), 1,
      anon_sym_readonly,
    STATE(2809), 1,
      sym_override_modifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5154), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5158), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3056), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3843), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(3705), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [63471] = 12,
    ACTIONS(1635), 1,
      anon_sym_DQUOTE,
    ACTIONS(1637), 1,
      anon_sym_SQUOTE,
    ACTIONS(4595), 1,
      anon_sym_LBRACK,
    ACTIONS(5150), 1,
      anon_sym_STAR,
    ACTIONS(5152), 1,
      anon_sym_async,
    ACTIONS(5162), 1,
      anon_sym_abstract,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5158), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(5160), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3086), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3843), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(3705), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [63540] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4278), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4280), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [63591] = 12,
    ACTIONS(2338), 1,
      anon_sym_DQUOTE,
    ACTIONS(2340), 1,
      anon_sym_SQUOTE,
    ACTIONS(4591), 1,
      anon_sym_STAR,
    ACTIONS(4593), 1,
      anon_sym_EQ,
    ACTIONS(4679), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4071), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(4681), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4683), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3838), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3843), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2362), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [63660] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4278), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4280), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [63711] = 13,
    ACTIONS(1635), 1,
      anon_sym_DQUOTE,
    ACTIONS(1637), 1,
      anon_sym_SQUOTE,
    ACTIONS(4591), 1,
      anon_sym_STAR,
    ACTIONS(4593), 1,
      anon_sym_EQ,
    ACTIONS(4597), 1,
      anon_sym_async,
    ACTIONS(4647), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4071), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(4599), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4603), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3117), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3843), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3705), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [63782] = 14,
    ACTIONS(1635), 1,
      anon_sym_DQUOTE,
    ACTIONS(1637), 1,
      anon_sym_SQUOTE,
    ACTIONS(3731), 1,
      anon_sym_override,
    ACTIONS(4595), 1,
      anon_sym_LBRACK,
    ACTIONS(5164), 1,
      anon_sym_STAR,
    ACTIONS(5166), 1,
      anon_sym_async,
    ACTIONS(5170), 1,
      anon_sym_readonly,
    STATE(2815), 1,
      sym_override_modifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5168), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5172), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3133), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3843), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3705), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [63855] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4278), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4280), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [63906] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4288), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4290), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [63957] = 4,
    ACTIONS(1709), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1707), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1711), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [64010] = 19,
    ACTIONS(239), 1,
      anon_sym_COMMA,
    ACTIONS(672), 1,
      anon_sym_RBRACE,
    ACTIONS(2338), 1,
      anon_sym_DQUOTE,
    ACTIONS(2340), 1,
      anon_sym_SQUOTE,
    ACTIONS(2364), 1,
      anon_sym_async,
    ACTIONS(2366), 1,
      anon_sym_readonly,
    ACTIONS(2370), 1,
      anon_sym_override,
    ACTIONS(4593), 1,
      anon_sym_EQ,
    ACTIONS(4679), 1,
      anon_sym_LBRACK,
    ACTIONS(5003), 1,
      anon_sym_STAR,
    STATE(2805), 1,
      sym_override_modifier,
    STATE(4824), 1,
      aux_sym_object_repeat1,
    STATE(4835), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2348), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2368), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3797), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3843), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2362), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [64093] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4288), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4290), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [64144] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4288), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4290), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [64195] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4296), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4298), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [64246] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4296), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4298), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [64297] = 8,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(5174), 1,
      anon_sym_LT,
    STATE(1642), 1,
      sym_type_arguments,
    STATE(1656), 1,
      sym_arguments,
    STATE(4822), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4693), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4695), 25,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [64358] = 31,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4033), 1,
      anon_sym_LBRACK,
    ACTIONS(4035), 1,
      anon_sym_DOT,
    ACTIONS(4701), 1,
      anon_sym_as,
    ACTIONS(4703), 1,
      anon_sym_BANG,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4739), 1,
      anon_sym_satisfies,
    ACTIONS(5174), 1,
      anon_sym_LT,
    ACTIONS(5180), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5182), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5184), 1,
      anon_sym_GT_GT,
    ACTIONS(5188), 1,
      anon_sym_AMP,
    ACTIONS(5190), 1,
      anon_sym_CARET,
    ACTIONS(5192), 1,
      anon_sym_PIPE,
    ACTIONS(5196), 1,
      anon_sym_PERCENT,
    ACTIONS(5198), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5206), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5208), 1,
      sym__ternary_qmark,
    STATE(1642), 1,
      sym_type_arguments,
    STATE(1656), 1,
      sym_arguments,
    STATE(4822), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4737), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5176), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5178), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5186), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5194), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5202), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5204), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5200), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4483), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [64465] = 31,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4033), 1,
      anon_sym_LBRACK,
    ACTIONS(4035), 1,
      anon_sym_DOT,
    ACTIONS(4701), 1,
      anon_sym_as,
    ACTIONS(4703), 1,
      anon_sym_BANG,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4739), 1,
      anon_sym_satisfies,
    ACTIONS(5174), 1,
      anon_sym_LT,
    ACTIONS(5180), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5182), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5184), 1,
      anon_sym_GT_GT,
    ACTIONS(5188), 1,
      anon_sym_AMP,
    ACTIONS(5190), 1,
      anon_sym_CARET,
    ACTIONS(5192), 1,
      anon_sym_PIPE,
    ACTIONS(5196), 1,
      anon_sym_PERCENT,
    ACTIONS(5198), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5206), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5208), 1,
      sym__ternary_qmark,
    STATE(1642), 1,
      sym_type_arguments,
    STATE(1656), 1,
      sym_arguments,
    STATE(4822), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4737), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5176), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5178), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5186), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5194), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5202), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5204), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5200), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4743), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [64572] = 31,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4033), 1,
      anon_sym_LBRACK,
    ACTIONS(4035), 1,
      anon_sym_DOT,
    ACTIONS(4701), 1,
      anon_sym_as,
    ACTIONS(4703), 1,
      anon_sym_BANG,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4739), 1,
      anon_sym_satisfies,
    ACTIONS(5174), 1,
      anon_sym_LT,
    ACTIONS(5180), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5182), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5184), 1,
      anon_sym_GT_GT,
    ACTIONS(5188), 1,
      anon_sym_AMP,
    ACTIONS(5190), 1,
      anon_sym_CARET,
    ACTIONS(5192), 1,
      anon_sym_PIPE,
    ACTIONS(5196), 1,
      anon_sym_PERCENT,
    ACTIONS(5198), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5206), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5208), 1,
      sym__ternary_qmark,
    STATE(1642), 1,
      sym_type_arguments,
    STATE(1656), 1,
      sym_arguments,
    STATE(4822), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4737), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5176), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5178), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5186), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5194), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5202), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5204), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5200), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4745), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [64679] = 31,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4033), 1,
      anon_sym_LBRACK,
    ACTIONS(4035), 1,
      anon_sym_DOT,
    ACTIONS(4701), 1,
      anon_sym_as,
    ACTIONS(4703), 1,
      anon_sym_BANG,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4739), 1,
      anon_sym_satisfies,
    ACTIONS(5174), 1,
      anon_sym_LT,
    ACTIONS(5180), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5182), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5184), 1,
      anon_sym_GT_GT,
    ACTIONS(5188), 1,
      anon_sym_AMP,
    ACTIONS(5190), 1,
      anon_sym_CARET,
    ACTIONS(5192), 1,
      anon_sym_PIPE,
    ACTIONS(5196), 1,
      anon_sym_PERCENT,
    ACTIONS(5198), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5206), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5208), 1,
      sym__ternary_qmark,
    STATE(1642), 1,
      sym_type_arguments,
    STATE(1656), 1,
      sym_arguments,
    STATE(4822), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4737), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5176), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5178), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5186), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5194), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5202), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5204), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5200), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4747), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [64786] = 31,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4033), 1,
      anon_sym_LBRACK,
    ACTIONS(4035), 1,
      anon_sym_DOT,
    ACTIONS(4701), 1,
      anon_sym_as,
    ACTIONS(4703), 1,
      anon_sym_BANG,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4739), 1,
      anon_sym_satisfies,
    ACTIONS(5174), 1,
      anon_sym_LT,
    ACTIONS(5180), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5182), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5184), 1,
      anon_sym_GT_GT,
    ACTIONS(5188), 1,
      anon_sym_AMP,
    ACTIONS(5190), 1,
      anon_sym_CARET,
    ACTIONS(5192), 1,
      anon_sym_PIPE,
    ACTIONS(5196), 1,
      anon_sym_PERCENT,
    ACTIONS(5198), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5206), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5208), 1,
      sym__ternary_qmark,
    STATE(1642), 1,
      sym_type_arguments,
    STATE(1656), 1,
      sym_arguments,
    STATE(4822), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4737), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5176), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5178), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5186), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5194), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5202), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5204), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5200), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4523), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [64893] = 18,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4033), 1,
      anon_sym_LBRACK,
    ACTIONS(4035), 1,
      anon_sym_DOT,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5174), 1,
      anon_sym_LT,
    ACTIONS(5184), 1,
      anon_sym_GT_GT,
    ACTIONS(5196), 1,
      anon_sym_PERCENT,
    ACTIONS(5198), 1,
      anon_sym_STAR_STAR,
    STATE(1642), 1,
      sym_type_arguments,
    STATE(1656), 1,
      sym_arguments,
    STATE(4822), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4737), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5176), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5186), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5194), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4751), 7,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4749), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [64974] = 13,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4033), 1,
      anon_sym_LBRACK,
    ACTIONS(4035), 1,
      anon_sym_DOT,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5198), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5210), 1,
      anon_sym_LT,
    STATE(1642), 1,
      sym_type_arguments,
    STATE(1656), 1,
      sym_arguments,
    STATE(4822), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4737), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4751), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4749), 19,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [65045] = 25,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4033), 1,
      anon_sym_LBRACK,
    ACTIONS(4035), 1,
      anon_sym_DOT,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4751), 1,
      anon_sym_BANG,
    ACTIONS(5174), 1,
      anon_sym_LT,
    ACTIONS(5184), 1,
      anon_sym_GT_GT,
    ACTIONS(5188), 1,
      anon_sym_AMP,
    ACTIONS(5190), 1,
      anon_sym_CARET,
    ACTIONS(5192), 1,
      anon_sym_PIPE,
    ACTIONS(5196), 1,
      anon_sym_PERCENT,
    ACTIONS(5198), 1,
      anon_sym_STAR_STAR,
    STATE(1642), 1,
      sym_type_arguments,
    STATE(1656), 1,
      sym_arguments,
    STATE(4822), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4737), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5176), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5178), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5186), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5194), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5202), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5204), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5200), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4749), 10,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [65140] = 26,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4033), 1,
      anon_sym_LBRACK,
    ACTIONS(4035), 1,
      anon_sym_DOT,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4751), 1,
      anon_sym_BANG,
    ACTIONS(5174), 1,
      anon_sym_LT,
    ACTIONS(5180), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5184), 1,
      anon_sym_GT_GT,
    ACTIONS(5188), 1,
      anon_sym_AMP,
    ACTIONS(5190), 1,
      anon_sym_CARET,
    ACTIONS(5192), 1,
      anon_sym_PIPE,
    ACTIONS(5196), 1,
      anon_sym_PERCENT,
    ACTIONS(5198), 1,
      anon_sym_STAR_STAR,
    STATE(1642), 1,
      sym_type_arguments,
    STATE(1656), 1,
      sym_arguments,
    STATE(4822), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4737), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5176), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5178), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5186), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5194), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5202), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5204), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5200), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4749), 9,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [65237] = 16,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4033), 1,
      anon_sym_LBRACK,
    ACTIONS(4035), 1,
      anon_sym_DOT,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5196), 1,
      anon_sym_PERCENT,
    ACTIONS(5198), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5210), 1,
      anon_sym_LT,
    STATE(1642), 1,
      sym_type_arguments,
    STATE(1656), 1,
      sym_arguments,
    STATE(4822), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4737), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5176), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5194), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4751), 8,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4749), 18,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [65314] = 22,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4033), 1,
      anon_sym_LBRACK,
    ACTIONS(4035), 1,
      anon_sym_DOT,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5174), 1,
      anon_sym_LT,
    ACTIONS(5184), 1,
      anon_sym_GT_GT,
    ACTIONS(5196), 1,
      anon_sym_PERCENT,
    ACTIONS(5198), 1,
      anon_sym_STAR_STAR,
    STATE(1642), 1,
      sym_type_arguments,
    STATE(1656), 1,
      sym_arguments,
    STATE(4822), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4737), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5176), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5178), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5186), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5194), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5202), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5204), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4751), 3,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5200), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4749), 11,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [65403] = 23,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4033), 1,
      anon_sym_LBRACK,
    ACTIONS(4035), 1,
      anon_sym_DOT,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5174), 1,
      anon_sym_LT,
    ACTIONS(5184), 1,
      anon_sym_GT_GT,
    ACTIONS(5188), 1,
      anon_sym_AMP,
    ACTIONS(5196), 1,
      anon_sym_PERCENT,
    ACTIONS(5198), 1,
      anon_sym_STAR_STAR,
    STATE(1642), 1,
      sym_type_arguments,
    STATE(1656), 1,
      sym_arguments,
    STATE(4822), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4737), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4751), 2,
      anon_sym_BANG,
      anon_sym_PIPE,
    ACTIONS(5176), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5178), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5186), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5194), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5202), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5204), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5200), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4749), 11,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [65494] = 24,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4033), 1,
      anon_sym_LBRACK,
    ACTIONS(4035), 1,
      anon_sym_DOT,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5174), 1,
      anon_sym_LT,
    ACTIONS(5184), 1,
      anon_sym_GT_GT,
    ACTIONS(5188), 1,
      anon_sym_AMP,
    ACTIONS(5190), 1,
      anon_sym_CARET,
    ACTIONS(5196), 1,
      anon_sym_PERCENT,
    ACTIONS(5198), 1,
      anon_sym_STAR_STAR,
    STATE(1642), 1,
      sym_type_arguments,
    STATE(1656), 1,
      sym_arguments,
    STATE(4822), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4737), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4751), 2,
      anon_sym_BANG,
      anon_sym_PIPE,
    ACTIONS(5176), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5178), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5186), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5194), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5202), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5204), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5200), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4749), 10,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [65587] = 15,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4033), 1,
      anon_sym_LBRACK,
    ACTIONS(4035), 1,
      anon_sym_DOT,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5196), 1,
      anon_sym_PERCENT,
    ACTIONS(5198), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5210), 1,
      anon_sym_LT,
    STATE(1642), 1,
      sym_type_arguments,
    STATE(1656), 1,
      sym_arguments,
    STATE(4822), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4737), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5176), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4751), 10,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4749), 18,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [65662] = 16,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4033), 1,
      anon_sym_LBRACK,
    ACTIONS(4035), 1,
      anon_sym_DOT,
    ACTIONS(4701), 1,
      anon_sym_as,
    ACTIONS(4703), 1,
      anon_sym_BANG,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4739), 1,
      anon_sym_satisfies,
    ACTIONS(5198), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5210), 1,
      anon_sym_LT,
    STATE(1642), 1,
      sym_type_arguments,
    STATE(1656), 1,
      sym_arguments,
    STATE(4822), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4737), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4751), 11,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4749), 17,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [65739] = 20,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4033), 1,
      anon_sym_LBRACK,
    ACTIONS(4035), 1,
      anon_sym_DOT,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5174), 1,
      anon_sym_LT,
    ACTIONS(5184), 1,
      anon_sym_GT_GT,
    ACTIONS(5196), 1,
      anon_sym_PERCENT,
    ACTIONS(5198), 1,
      anon_sym_STAR_STAR,
    STATE(1642), 1,
      sym_type_arguments,
    STATE(1656), 1,
      sym_arguments,
    STATE(4822), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4737), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5176), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5178), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5186), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5194), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5200), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4751), 5,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4749), 13,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [65824] = 27,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4033), 1,
      anon_sym_LBRACK,
    ACTIONS(4035), 1,
      anon_sym_DOT,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4751), 1,
      anon_sym_BANG,
    ACTIONS(5174), 1,
      anon_sym_LT,
    ACTIONS(5180), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5182), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5184), 1,
      anon_sym_GT_GT,
    ACTIONS(5188), 1,
      anon_sym_AMP,
    ACTIONS(5190), 1,
      anon_sym_CARET,
    ACTIONS(5192), 1,
      anon_sym_PIPE,
    ACTIONS(5196), 1,
      anon_sym_PERCENT,
    ACTIONS(5198), 1,
      anon_sym_STAR_STAR,
    STATE(1642), 1,
      sym_type_arguments,
    STATE(1656), 1,
      sym_arguments,
    STATE(4822), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4737), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5176), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5178), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5186), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5194), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5202), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5204), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5200), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4749), 8,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [65923] = 31,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4033), 1,
      anon_sym_LBRACK,
    ACTIONS(4035), 1,
      anon_sym_DOT,
    ACTIONS(4701), 1,
      anon_sym_as,
    ACTIONS(4703), 1,
      anon_sym_BANG,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4739), 1,
      anon_sym_satisfies,
    ACTIONS(5174), 1,
      anon_sym_LT,
    ACTIONS(5180), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5182), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5184), 1,
      anon_sym_GT_GT,
    ACTIONS(5188), 1,
      anon_sym_AMP,
    ACTIONS(5190), 1,
      anon_sym_CARET,
    ACTIONS(5192), 1,
      anon_sym_PIPE,
    ACTIONS(5196), 1,
      anon_sym_PERCENT,
    ACTIONS(5198), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5206), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5208), 1,
      sym__ternary_qmark,
    STATE(1642), 1,
      sym_type_arguments,
    STATE(1656), 1,
      sym_arguments,
    STATE(4822), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4737), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5176), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5178), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5186), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5194), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5202), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5204), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5200), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4541), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [66030] = 31,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4033), 1,
      anon_sym_LBRACK,
    ACTIONS(4035), 1,
      anon_sym_DOT,
    ACTIONS(4701), 1,
      anon_sym_as,
    ACTIONS(4703), 1,
      anon_sym_BANG,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4739), 1,
      anon_sym_satisfies,
    ACTIONS(5174), 1,
      anon_sym_LT,
    ACTIONS(5180), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5182), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5184), 1,
      anon_sym_GT_GT,
    ACTIONS(5188), 1,
      anon_sym_AMP,
    ACTIONS(5190), 1,
      anon_sym_CARET,
    ACTIONS(5192), 1,
      anon_sym_PIPE,
    ACTIONS(5196), 1,
      anon_sym_PERCENT,
    ACTIONS(5198), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5206), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5208), 1,
      sym__ternary_qmark,
    STATE(1642), 1,
      sym_type_arguments,
    STATE(1656), 1,
      sym_arguments,
    STATE(4822), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4737), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5176), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5178), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5186), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5194), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5202), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5204), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5200), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4756), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [66137] = 31,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4033), 1,
      anon_sym_LBRACK,
    ACTIONS(4035), 1,
      anon_sym_DOT,
    ACTIONS(4701), 1,
      anon_sym_as,
    ACTIONS(4703), 1,
      anon_sym_BANG,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4739), 1,
      anon_sym_satisfies,
    ACTIONS(5174), 1,
      anon_sym_LT,
    ACTIONS(5180), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5182), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5184), 1,
      anon_sym_GT_GT,
    ACTIONS(5188), 1,
      anon_sym_AMP,
    ACTIONS(5190), 1,
      anon_sym_CARET,
    ACTIONS(5192), 1,
      anon_sym_PIPE,
    ACTIONS(5196), 1,
      anon_sym_PERCENT,
    ACTIONS(5198), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5206), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5208), 1,
      sym__ternary_qmark,
    STATE(1642), 1,
      sym_type_arguments,
    STATE(1656), 1,
      sym_arguments,
    STATE(4822), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4737), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5176), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5178), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5186), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5194), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5202), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5204), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5200), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4565), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [66244] = 31,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4033), 1,
      anon_sym_LBRACK,
    ACTIONS(4035), 1,
      anon_sym_DOT,
    ACTIONS(4701), 1,
      anon_sym_as,
    ACTIONS(4703), 1,
      anon_sym_BANG,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4739), 1,
      anon_sym_satisfies,
    ACTIONS(5174), 1,
      anon_sym_LT,
    ACTIONS(5180), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5182), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5184), 1,
      anon_sym_GT_GT,
    ACTIONS(5188), 1,
      anon_sym_AMP,
    ACTIONS(5190), 1,
      anon_sym_CARET,
    ACTIONS(5192), 1,
      anon_sym_PIPE,
    ACTIONS(5196), 1,
      anon_sym_PERCENT,
    ACTIONS(5198), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5206), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5208), 1,
      sym__ternary_qmark,
    STATE(1642), 1,
      sym_type_arguments,
    STATE(1656), 1,
      sym_arguments,
    STATE(4822), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4737), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5176), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5178), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5186), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5194), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5202), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5204), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5200), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4573), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [66351] = 31,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4033), 1,
      anon_sym_LBRACK,
    ACTIONS(4035), 1,
      anon_sym_DOT,
    ACTIONS(4701), 1,
      anon_sym_as,
    ACTIONS(4703), 1,
      anon_sym_BANG,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4739), 1,
      anon_sym_satisfies,
    ACTIONS(5174), 1,
      anon_sym_LT,
    ACTIONS(5180), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5182), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5184), 1,
      anon_sym_GT_GT,
    ACTIONS(5188), 1,
      anon_sym_AMP,
    ACTIONS(5190), 1,
      anon_sym_CARET,
    ACTIONS(5192), 1,
      anon_sym_PIPE,
    ACTIONS(5196), 1,
      anon_sym_PERCENT,
    ACTIONS(5198), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5206), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5208), 1,
      sym__ternary_qmark,
    STATE(1642), 1,
      sym_type_arguments,
    STATE(1656), 1,
      sym_arguments,
    STATE(4822), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4737), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5176), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5178), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5186), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5194), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5202), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5204), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5200), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4577), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [66458] = 31,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4033), 1,
      anon_sym_LBRACK,
    ACTIONS(4035), 1,
      anon_sym_DOT,
    ACTIONS(4701), 1,
      anon_sym_as,
    ACTIONS(4703), 1,
      anon_sym_BANG,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4739), 1,
      anon_sym_satisfies,
    ACTIONS(5174), 1,
      anon_sym_LT,
    ACTIONS(5180), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5182), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5184), 1,
      anon_sym_GT_GT,
    ACTIONS(5188), 1,
      anon_sym_AMP,
    ACTIONS(5190), 1,
      anon_sym_CARET,
    ACTIONS(5192), 1,
      anon_sym_PIPE,
    ACTIONS(5196), 1,
      anon_sym_PERCENT,
    ACTIONS(5198), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5206), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5208), 1,
      sym__ternary_qmark,
    STATE(1642), 1,
      sym_type_arguments,
    STATE(1656), 1,
      sym_arguments,
    STATE(4822), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4737), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5176), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5178), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5186), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5194), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5202), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5204), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5200), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4758), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [66565] = 31,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4033), 1,
      anon_sym_LBRACK,
    ACTIONS(4035), 1,
      anon_sym_DOT,
    ACTIONS(4701), 1,
      anon_sym_as,
    ACTIONS(4703), 1,
      anon_sym_BANG,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4739), 1,
      anon_sym_satisfies,
    ACTIONS(5174), 1,
      anon_sym_LT,
    ACTIONS(5180), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5182), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5184), 1,
      anon_sym_GT_GT,
    ACTIONS(5188), 1,
      anon_sym_AMP,
    ACTIONS(5190), 1,
      anon_sym_CARET,
    ACTIONS(5192), 1,
      anon_sym_PIPE,
    ACTIONS(5196), 1,
      anon_sym_PERCENT,
    ACTIONS(5198), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5206), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5208), 1,
      sym__ternary_qmark,
    STATE(1642), 1,
      sym_type_arguments,
    STATE(1656), 1,
      sym_arguments,
    STATE(4822), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4737), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5176), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5178), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5186), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5194), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5202), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5204), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5200), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4760), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [66672] = 31,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4033), 1,
      anon_sym_LBRACK,
    ACTIONS(4035), 1,
      anon_sym_DOT,
    ACTIONS(4701), 1,
      anon_sym_as,
    ACTIONS(4703), 1,
      anon_sym_BANG,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4739), 1,
      anon_sym_satisfies,
    ACTIONS(5174), 1,
      anon_sym_LT,
    ACTIONS(5180), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5182), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5184), 1,
      anon_sym_GT_GT,
    ACTIONS(5188), 1,
      anon_sym_AMP,
    ACTIONS(5190), 1,
      anon_sym_CARET,
    ACTIONS(5192), 1,
      anon_sym_PIPE,
    ACTIONS(5196), 1,
      anon_sym_PERCENT,
    ACTIONS(5198), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5206), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5208), 1,
      sym__ternary_qmark,
    STATE(1642), 1,
      sym_type_arguments,
    STATE(1656), 1,
      sym_arguments,
    STATE(4822), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4737), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5176), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5178), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5186), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5194), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5202), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5204), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5200), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4772), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [66779] = 12,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4033), 1,
      anon_sym_LBRACK,
    ACTIONS(4035), 1,
      anon_sym_DOT,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5213), 1,
      anon_sym_LT,
    STATE(1642), 1,
      sym_type_arguments,
    STATE(1656), 1,
      sym_arguments,
    STATE(4822), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4737), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4791), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4793), 20,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [66848] = 15,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4033), 1,
      anon_sym_LBRACK,
    ACTIONS(4035), 1,
      anon_sym_DOT,
    ACTIONS(4701), 1,
      anon_sym_as,
    ACTIONS(4703), 1,
      anon_sym_BANG,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4739), 1,
      anon_sym_satisfies,
    ACTIONS(5216), 1,
      anon_sym_LT,
    STATE(1642), 1,
      sym_type_arguments,
    STATE(1656), 1,
      sym_arguments,
    STATE(4822), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4737), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4798), 11,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4800), 18,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [66923] = 31,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4033), 1,
      anon_sym_LBRACK,
    ACTIONS(4035), 1,
      anon_sym_DOT,
    ACTIONS(4701), 1,
      anon_sym_as,
    ACTIONS(4703), 1,
      anon_sym_BANG,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4739), 1,
      anon_sym_satisfies,
    ACTIONS(5174), 1,
      anon_sym_LT,
    ACTIONS(5180), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5182), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5184), 1,
      anon_sym_GT_GT,
    ACTIONS(5188), 1,
      anon_sym_AMP,
    ACTIONS(5190), 1,
      anon_sym_CARET,
    ACTIONS(5192), 1,
      anon_sym_PIPE,
    ACTIONS(5196), 1,
      anon_sym_PERCENT,
    ACTIONS(5198), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5206), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5208), 1,
      sym__ternary_qmark,
    STATE(1642), 1,
      sym_type_arguments,
    STATE(1656), 1,
      sym_arguments,
    STATE(4822), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4737), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5176), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5178), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5186), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5194), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5202), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5204), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5200), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4805), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [67030] = 11,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4033), 1,
      anon_sym_LBRACK,
    ACTIONS(4035), 1,
      anon_sym_DOT,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5219), 1,
      anon_sym_LT,
    STATE(1642), 1,
      sym_type_arguments,
    STATE(1656), 1,
      sym_arguments,
    STATE(4822), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4774), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4776), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [67097] = 4,
    ACTIONS(5007), 1,
      anon_sym_AMP,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4157), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4159), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [67150] = 33,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4033), 1,
      anon_sym_LBRACK,
    ACTIONS(4035), 1,
      anon_sym_DOT,
    ACTIONS(4697), 1,
      anon_sym_LT,
    ACTIONS(4701), 1,
      anon_sym_as,
    ACTIONS(4703), 1,
      anon_sym_BANG,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4709), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4711), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4713), 1,
      anon_sym_GT_GT,
    ACTIONS(4717), 1,
      anon_sym_AMP,
    ACTIONS(4719), 1,
      anon_sym_CARET,
    ACTIONS(4721), 1,
      anon_sym_PIPE,
    ACTIONS(4725), 1,
      anon_sym_PERCENT,
    ACTIONS(4727), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4735), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4739), 1,
      anon_sym_satisfies,
    ACTIONS(4741), 1,
      sym__ternary_qmark,
    ACTIONS(5222), 1,
      anon_sym_COMMA,
    ACTIONS(5224), 1,
      anon_sym_RBRACK,
    STATE(1642), 1,
      sym_type_arguments,
    STATE(1656), 1,
      sym_arguments,
    STATE(4566), 1,
      aux_sym_array_repeat1,
    STATE(4822), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4699), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4705), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4715), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4723), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4731), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4733), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4737), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4729), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [67260] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4505), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4507), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [67310] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4489), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4491), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [67360] = 5,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5226), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5228), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(3499), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3503), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [67414] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3499), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3503), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [67464] = 5,
    ACTIONS(1751), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1743), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(1747), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1749), 25,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [67518] = 11,
    ACTIONS(1635), 1,
      anon_sym_DQUOTE,
    ACTIONS(1637), 1,
      anon_sym_SQUOTE,
    ACTIONS(4595), 1,
      anon_sym_LBRACK,
    ACTIONS(5230), 1,
      anon_sym_STAR,
    ACTIONS(5232), 1,
      anon_sym_async,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5234), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5236), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3107), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3843), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3705), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [67584] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4535), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4537), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [67634] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4539), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4541), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [67684] = 10,
    ACTIONS(2338), 1,
      anon_sym_DQUOTE,
    ACTIONS(2340), 1,
      anon_sym_SQUOTE,
    ACTIONS(4679), 1,
      anon_sym_LBRACK,
    ACTIONS(5238), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5240), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5242), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3758), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3843), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2362), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [67748] = 11,
    ACTIONS(1635), 1,
      anon_sym_DQUOTE,
    ACTIONS(1637), 1,
      anon_sym_SQUOTE,
    ACTIONS(4595), 1,
      anon_sym_LBRACK,
    ACTIONS(5244), 1,
      anon_sym_STAR,
    ACTIONS(5246), 1,
      anon_sym_async,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5248), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5250), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3124), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3843), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3705), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [67814] = 6,
    ACTIONS(3617), 1,
      anon_sym_QMARK,
    ACTIONS(3644), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3647), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(3499), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3503), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [67870] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1855), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1857), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [67920] = 6,
    ACTIONS(4463), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4173), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(4466), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4459), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4461), 25,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [67976] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4543), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4545), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [68026] = 5,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5013), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5015), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(3499), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3503), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [68080] = 5,
    ACTIONS(1775), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1767), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(1771), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1773), 25,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [68134] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1889), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1891), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [68184] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1869), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1871), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [68234] = 5,
    ACTIONS(1789), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1781), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(1785), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1787), 25,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [68288] = 5,
    ACTIONS(1799), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1791), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(1795), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1797), 25,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [68342] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4547), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4549), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [68392] = 7,
    ACTIONS(5252), 1,
      anon_sym_LPAREN,
    ACTIONS(5255), 1,
      anon_sym_COLON,
    ACTIONS(5257), 1,
      anon_sym_LT,
    ACTIONS(5260), 1,
      anon_sym_QMARK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4493), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4495), 25,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [68450] = 33,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4033), 1,
      anon_sym_LBRACK,
    ACTIONS(4035), 1,
      anon_sym_DOT,
    ACTIONS(4697), 1,
      anon_sym_LT,
    ACTIONS(4701), 1,
      anon_sym_as,
    ACTIONS(4703), 1,
      anon_sym_BANG,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4709), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4711), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4713), 1,
      anon_sym_GT_GT,
    ACTIONS(4717), 1,
      anon_sym_AMP,
    ACTIONS(4719), 1,
      anon_sym_CARET,
    ACTIONS(4721), 1,
      anon_sym_PIPE,
    ACTIONS(4725), 1,
      anon_sym_PERCENT,
    ACTIONS(4727), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4735), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4739), 1,
      anon_sym_satisfies,
    ACTIONS(4741), 1,
      sym__ternary_qmark,
    ACTIONS(5222), 1,
      anon_sym_COMMA,
    ACTIONS(5262), 1,
      anon_sym_RBRACK,
    STATE(1642), 1,
      sym_type_arguments,
    STATE(1656), 1,
      sym_arguments,
    STATE(4566), 1,
      aux_sym_array_repeat1,
    STATE(4822), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4699), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4705), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4715), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4723), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4731), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4733), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4737), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4729), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [68560] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4551), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4553), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [68610] = 15,
    ACTIONS(239), 1,
      anon_sym_COMMA,
    ACTIONS(2338), 1,
      anon_sym_DQUOTE,
    ACTIONS(2340), 1,
      anon_sym_SQUOTE,
    ACTIONS(4593), 1,
      anon_sym_EQ,
    ACTIONS(4679), 1,
      anon_sym_LBRACK,
    ACTIONS(5003), 1,
      anon_sym_STAR,
    ACTIONS(5074), 1,
      anon_sym_RBRACE,
    STATE(4835), 1,
      aux_sym_object_pattern_repeat1,
    STATE(4905), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2348), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2368), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3797), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3843), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2362), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [68684] = 33,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4033), 1,
      anon_sym_LBRACK,
    ACTIONS(4035), 1,
      anon_sym_DOT,
    ACTIONS(4701), 1,
      anon_sym_as,
    ACTIONS(4703), 1,
      anon_sym_BANG,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4739), 1,
      anon_sym_satisfies,
    ACTIONS(4879), 1,
      anon_sym_COMMA,
    ACTIONS(4885), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4887), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4889), 1,
      anon_sym_GT_GT,
    ACTIONS(4893), 1,
      anon_sym_AMP,
    ACTIONS(4895), 1,
      anon_sym_CARET,
    ACTIONS(4897), 1,
      anon_sym_PIPE,
    ACTIONS(4901), 1,
      anon_sym_PERCENT,
    ACTIONS(4903), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4905), 1,
      anon_sym_LT,
    ACTIONS(4913), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4915), 1,
      sym__ternary_qmark,
    ACTIONS(5264), 1,
      anon_sym_RPAREN,
    STATE(1642), 1,
      sym_type_arguments,
    STATE(1656), 1,
      sym_arguments,
    STATE(4645), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(4822), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4737), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4877), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4883), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4891), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4899), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4909), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4911), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4907), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [68794] = 16,
    ACTIONS(239), 1,
      anon_sym_COMMA,
    ACTIONS(2338), 1,
      anon_sym_DQUOTE,
    ACTIONS(2340), 1,
      anon_sym_SQUOTE,
    ACTIONS(2364), 1,
      anon_sym_async,
    ACTIONS(4593), 1,
      anon_sym_EQ,
    ACTIONS(4679), 1,
      anon_sym_LBRACK,
    ACTIONS(5003), 1,
      anon_sym_STAR,
    ACTIONS(5074), 1,
      anon_sym_RBRACE,
    STATE(4835), 1,
      aux_sym_object_pattern_repeat1,
    STATE(4905), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2348), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2368), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3797), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3843), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2362), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [68870] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1815), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1817), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [68920] = 6,
    ACTIONS(4379), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4630), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4627), 3,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
    ACTIONS(3499), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3503), 24,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [68976] = 33,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4033), 1,
      anon_sym_LBRACK,
    ACTIONS(4035), 1,
      anon_sym_DOT,
    ACTIONS(4701), 1,
      anon_sym_as,
    ACTIONS(4703), 1,
      anon_sym_BANG,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4739), 1,
      anon_sym_satisfies,
    ACTIONS(4879), 1,
      anon_sym_COMMA,
    ACTIONS(4885), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4887), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4889), 1,
      anon_sym_GT_GT,
    ACTIONS(4893), 1,
      anon_sym_AMP,
    ACTIONS(4895), 1,
      anon_sym_CARET,
    ACTIONS(4897), 1,
      anon_sym_PIPE,
    ACTIONS(4901), 1,
      anon_sym_PERCENT,
    ACTIONS(4903), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4905), 1,
      anon_sym_LT,
    ACTIONS(4913), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4915), 1,
      sym__ternary_qmark,
    ACTIONS(5266), 1,
      anon_sym_RPAREN,
    STATE(1642), 1,
      sym_type_arguments,
    STATE(1656), 1,
      sym_arguments,
    STATE(4645), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(4822), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4737), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4877), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4883), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4891), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4899), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4909), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4911), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4907), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [69086] = 33,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4033), 1,
      anon_sym_LBRACK,
    ACTIONS(4035), 1,
      anon_sym_DOT,
    ACTIONS(4701), 1,
      anon_sym_as,
    ACTIONS(4703), 1,
      anon_sym_BANG,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4739), 1,
      anon_sym_satisfies,
    ACTIONS(4879), 1,
      anon_sym_COMMA,
    ACTIONS(4885), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4887), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4889), 1,
      anon_sym_GT_GT,
    ACTIONS(4893), 1,
      anon_sym_AMP,
    ACTIONS(4895), 1,
      anon_sym_CARET,
    ACTIONS(4897), 1,
      anon_sym_PIPE,
    ACTIONS(4901), 1,
      anon_sym_PERCENT,
    ACTIONS(4903), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4905), 1,
      anon_sym_LT,
    ACTIONS(4913), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4915), 1,
      sym__ternary_qmark,
    ACTIONS(5268), 1,
      anon_sym_RPAREN,
    STATE(1642), 1,
      sym_type_arguments,
    STATE(1656), 1,
      sym_arguments,
    STATE(4645), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(4822), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4737), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4877), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4883), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4891), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4899), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4909), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4911), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4907), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [69196] = 6,
    ACTIONS(4173), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4466), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4463), 3,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
    ACTIONS(4459), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4461), 24,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [69252] = 33,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4033), 1,
      anon_sym_LBRACK,
    ACTIONS(4035), 1,
      anon_sym_DOT,
    ACTIONS(4701), 1,
      anon_sym_as,
    ACTIONS(4703), 1,
      anon_sym_BANG,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4739), 1,
      anon_sym_satisfies,
    ACTIONS(4879), 1,
      anon_sym_COMMA,
    ACTIONS(4885), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4887), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4889), 1,
      anon_sym_GT_GT,
    ACTIONS(4893), 1,
      anon_sym_AMP,
    ACTIONS(4895), 1,
      anon_sym_CARET,
    ACTIONS(4897), 1,
      anon_sym_PIPE,
    ACTIONS(4901), 1,
      anon_sym_PERCENT,
    ACTIONS(4903), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4905), 1,
      anon_sym_LT,
    ACTIONS(4913), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4915), 1,
      sym__ternary_qmark,
    ACTIONS(5270), 1,
      anon_sym_RPAREN,
    STATE(1642), 1,
      sym_type_arguments,
    STATE(1656), 1,
      sym_arguments,
    STATE(4645), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(4822), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4737), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4877), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4883), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4891), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4899), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4909), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4911), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4907), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [69362] = 33,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4033), 1,
      anon_sym_LBRACK,
    ACTIONS(4035), 1,
      anon_sym_DOT,
    ACTIONS(4701), 1,
      anon_sym_as,
    ACTIONS(4703), 1,
      anon_sym_BANG,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4739), 1,
      anon_sym_satisfies,
    ACTIONS(4879), 1,
      anon_sym_COMMA,
    ACTIONS(4885), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4887), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4889), 1,
      anon_sym_GT_GT,
    ACTIONS(4893), 1,
      anon_sym_AMP,
    ACTIONS(4895), 1,
      anon_sym_CARET,
    ACTIONS(4897), 1,
      anon_sym_PIPE,
    ACTIONS(4901), 1,
      anon_sym_PERCENT,
    ACTIONS(4903), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4905), 1,
      anon_sym_LT,
    ACTIONS(4913), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4915), 1,
      sym__ternary_qmark,
    ACTIONS(5272), 1,
      anon_sym_RPAREN,
    STATE(1642), 1,
      sym_type_arguments,
    STATE(1656), 1,
      sym_arguments,
    STATE(4645), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(4822), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4737), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4877), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4883), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4891), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4899), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4909), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4911), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4907), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [69472] = 15,
    ACTIONS(239), 1,
      anon_sym_COMMA,
    ACTIONS(2338), 1,
      anon_sym_DQUOTE,
    ACTIONS(2340), 1,
      anon_sym_SQUOTE,
    ACTIONS(4593), 1,
      anon_sym_EQ,
    ACTIONS(4679), 1,
      anon_sym_LBRACK,
    ACTIONS(5003), 1,
      anon_sym_STAR,
    ACTIONS(5076), 1,
      anon_sym_RBRACE,
    STATE(4835), 1,
      aux_sym_object_pattern_repeat1,
    STATE(4905), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2348), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2368), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3797), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3843), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2362), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [69546] = 33,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4033), 1,
      anon_sym_LBRACK,
    ACTIONS(4035), 1,
      anon_sym_DOT,
    ACTIONS(4701), 1,
      anon_sym_as,
    ACTIONS(4703), 1,
      anon_sym_BANG,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4739), 1,
      anon_sym_satisfies,
    ACTIONS(4879), 1,
      anon_sym_COMMA,
    ACTIONS(4885), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4887), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4889), 1,
      anon_sym_GT_GT,
    ACTIONS(4893), 1,
      anon_sym_AMP,
    ACTIONS(4895), 1,
      anon_sym_CARET,
    ACTIONS(4897), 1,
      anon_sym_PIPE,
    ACTIONS(4901), 1,
      anon_sym_PERCENT,
    ACTIONS(4903), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4905), 1,
      anon_sym_LT,
    ACTIONS(4913), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4915), 1,
      sym__ternary_qmark,
    ACTIONS(5274), 1,
      anon_sym_RPAREN,
    STATE(1642), 1,
      sym_type_arguments,
    STATE(1656), 1,
      sym_arguments,
    STATE(4645), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(4822), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4737), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4877), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4883), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4891), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4899), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4909), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4911), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4907), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [69656] = 16,
    ACTIONS(239), 1,
      anon_sym_COMMA,
    ACTIONS(2338), 1,
      anon_sym_DQUOTE,
    ACTIONS(2340), 1,
      anon_sym_SQUOTE,
    ACTIONS(2364), 1,
      anon_sym_async,
    ACTIONS(4593), 1,
      anon_sym_EQ,
    ACTIONS(4679), 1,
      anon_sym_LBRACK,
    ACTIONS(5003), 1,
      anon_sym_STAR,
    ACTIONS(5076), 1,
      anon_sym_RBRACE,
    STATE(4835), 1,
      aux_sym_object_pattern_repeat1,
    STATE(4905), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2348), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2368), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3797), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3843), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2362), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [69732] = 9,
    ACTIONS(3837), 1,
      anon_sym_COMMA,
    ACTIONS(3847), 1,
      anon_sym_RBRACE,
    ACTIONS(4593), 1,
      anon_sym_EQ,
    STATE(4835), 1,
      aux_sym_object_pattern_repeat1,
    STATE(4905), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1986), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3843), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1984), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [69794] = 9,
    ACTIONS(3837), 1,
      anon_sym_COMMA,
    ACTIONS(3847), 1,
      anon_sym_RBRACE,
    ACTIONS(4593), 1,
      anon_sym_EQ,
    STATE(4835), 1,
      aux_sym_object_pattern_repeat1,
    STATE(4905), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1990), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3843), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1988), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [69856] = 4,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4183), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_extends,
    ACTIONS(4179), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4181), 25,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [69908] = 4,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4286), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_extends,
    ACTIONS(4179), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4181), 25,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [69960] = 21,
    ACTIONS(233), 1,
      anon_sym_STAR,
    ACTIONS(2026), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2338), 1,
      anon_sym_DQUOTE,
    ACTIONS(2340), 1,
      anon_sym_SQUOTE,
    ACTIONS(4679), 1,
      anon_sym_LBRACK,
    ACTIONS(5278), 1,
      anon_sym_COMMA,
    ACTIONS(5280), 1,
      anon_sym_RBRACE,
    ACTIONS(5282), 1,
      anon_sym_async,
    ACTIONS(5286), 1,
      anon_sym_static,
    ACTIONS(5288), 1,
      anon_sym_readonly,
    ACTIONS(5294), 1,
      anon_sym_override,
    STATE(2781), 1,
      sym_accessibility_modifier,
    STATE(2816), 1,
      sym_override_modifier,
    STATE(4902), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5284), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5290), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(5292), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3528), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(4901), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
    ACTIONS(5276), 14,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [70046] = 9,
    ACTIONS(3837), 1,
      anon_sym_COMMA,
    ACTIONS(3909), 1,
      anon_sym_RBRACE,
    ACTIONS(4593), 1,
      anon_sym_EQ,
    STATE(4824), 1,
      aux_sym_object_repeat1,
    STATE(4835), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1986), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3843), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1984), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [70108] = 9,
    ACTIONS(3837), 1,
      anon_sym_COMMA,
    ACTIONS(3909), 1,
      anon_sym_RBRACE,
    ACTIONS(4593), 1,
      anon_sym_EQ,
    STATE(4824), 1,
      aux_sym_object_repeat1,
    STATE(4835), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1990), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3843), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1988), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [70170] = 8,
    ACTIONS(1709), 1,
      anon_sym_EQ,
    ACTIONS(4139), 1,
      anon_sym_LBRACK,
    ACTIONS(4870), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4142), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(2372), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_extends,
    ACTIONS(1707), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1711), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [70230] = 8,
    ACTIONS(4435), 1,
      anon_sym_EQ,
    ACTIONS(4439), 1,
      anon_sym_LBRACK,
    ACTIONS(4864), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4442), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4137), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_extends,
    ACTIONS(4433), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4437), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [70290] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4509), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4511), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [70340] = 7,
    ACTIONS(1709), 1,
      anon_sym_EQ,
    ACTIONS(4139), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2372), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(4142), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1707), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1711), 24,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [70398] = 7,
    ACTIONS(4435), 1,
      anon_sym_EQ,
    ACTIONS(4439), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4137), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(4442), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4433), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4437), 24,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [70456] = 9,
    ACTIONS(3837), 1,
      anon_sym_COMMA,
    ACTIONS(3850), 1,
      anon_sym_RBRACE,
    ACTIONS(4593), 1,
      anon_sym_EQ,
    STATE(4835), 1,
      aux_sym_object_pattern_repeat1,
    STATE(4905), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1986), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3843), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1984), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [70518] = 9,
    ACTIONS(3837), 1,
      anon_sym_COMMA,
    ACTIONS(3850), 1,
      anon_sym_RBRACE,
    ACTIONS(4593), 1,
      anon_sym_EQ,
    STATE(4835), 1,
      aux_sym_object_pattern_repeat1,
    STATE(4905), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1990), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3843), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1988), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [70580] = 9,
    ACTIONS(3837), 1,
      anon_sym_COMMA,
    ACTIONS(3840), 1,
      anon_sym_RBRACE,
    ACTIONS(4593), 1,
      anon_sym_EQ,
    STATE(4835), 1,
      aux_sym_object_pattern_repeat1,
    STATE(4905), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1986), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3843), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1984), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [70642] = 9,
    ACTIONS(3837), 1,
      anon_sym_COMMA,
    ACTIONS(3840), 1,
      anon_sym_RBRACE,
    ACTIONS(4593), 1,
      anon_sym_EQ,
    STATE(4835), 1,
      aux_sym_object_pattern_repeat1,
    STATE(4905), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1990), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3843), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1988), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [70704] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4513), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4515), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [70754] = 9,
    ACTIONS(3837), 1,
      anon_sym_COMMA,
    ACTIONS(3930), 1,
      anon_sym_RBRACE,
    ACTIONS(4593), 1,
      anon_sym_EQ,
    STATE(4835), 1,
      aux_sym_object_pattern_repeat1,
    STATE(4905), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1986), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3843), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1984), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [70816] = 9,
    ACTIONS(3837), 1,
      anon_sym_COMMA,
    ACTIONS(3930), 1,
      anon_sym_RBRACE,
    ACTIONS(4593), 1,
      anon_sym_EQ,
    STATE(4835), 1,
      aux_sym_object_pattern_repeat1,
    STATE(4905), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1990), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3843), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1988), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [70878] = 31,
    ACTIONS(4633), 1,
      anon_sym_LPAREN,
    ACTIONS(4635), 1,
      anon_sym_LBRACK,
    ACTIONS(4637), 1,
      anon_sym_DOT,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4809), 1,
      anon_sym_as,
    ACTIONS(4811), 1,
      anon_sym_BANG,
    ACTIONS(4815), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4817), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4819), 1,
      anon_sym_GT_GT,
    ACTIONS(4823), 1,
      anon_sym_AMP,
    ACTIONS(4825), 1,
      anon_sym_CARET,
    ACTIONS(4827), 1,
      anon_sym_PIPE,
    ACTIONS(4831), 1,
      anon_sym_PERCENT,
    ACTIONS(4833), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4835), 1,
      anon_sym_LT,
    ACTIONS(4843), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4847), 1,
      anon_sym_satisfies,
    ACTIONS(4849), 1,
      sym__ternary_qmark,
    STATE(2027), 1,
      sym_type_arguments,
    STATE(2188), 1,
      sym_arguments,
    STATE(4605), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4807), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4813), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4821), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4829), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4839), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4841), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4845), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4837), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5026), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [70984] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4493), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4495), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [71034] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4473), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4475), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [71084] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4459), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4461), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [71134] = 10,
    ACTIONS(2338), 1,
      anon_sym_DQUOTE,
    ACTIONS(2340), 1,
      anon_sym_SQUOTE,
    ACTIONS(4679), 1,
      anon_sym_LBRACK,
    ACTIONS(5296), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5298), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5300), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3817), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3843), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2362), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [71198] = 33,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4033), 1,
      anon_sym_LBRACK,
    ACTIONS(4035), 1,
      anon_sym_DOT,
    ACTIONS(4697), 1,
      anon_sym_LT,
    ACTIONS(4701), 1,
      anon_sym_as,
    ACTIONS(4703), 1,
      anon_sym_BANG,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4709), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4711), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4713), 1,
      anon_sym_GT_GT,
    ACTIONS(4717), 1,
      anon_sym_AMP,
    ACTIONS(4719), 1,
      anon_sym_CARET,
    ACTIONS(4721), 1,
      anon_sym_PIPE,
    ACTIONS(4725), 1,
      anon_sym_PERCENT,
    ACTIONS(4727), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4735), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4739), 1,
      anon_sym_satisfies,
    ACTIONS(4741), 1,
      sym__ternary_qmark,
    ACTIONS(5302), 1,
      anon_sym_COMMA,
    ACTIONS(5304), 1,
      anon_sym_SEMI,
    STATE(1642), 1,
      sym_type_arguments,
    STATE(1656), 1,
      sym_arguments,
    STATE(3770), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(4822), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4699), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4705), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4715), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4723), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4731), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4733), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4737), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4729), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [71308] = 4,
    ACTIONS(5306), 1,
      sym_regex_flags,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4917), 16,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_instanceof,
      anon_sym_satisfies,
    ACTIONS(4919), 24,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [71360] = 33,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4033), 1,
      anon_sym_LBRACK,
    ACTIONS(4035), 1,
      anon_sym_DOT,
    ACTIONS(4697), 1,
      anon_sym_LT,
    ACTIONS(4701), 1,
      anon_sym_as,
    ACTIONS(4703), 1,
      anon_sym_BANG,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4709), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4711), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4713), 1,
      anon_sym_GT_GT,
    ACTIONS(4717), 1,
      anon_sym_AMP,
    ACTIONS(4719), 1,
      anon_sym_CARET,
    ACTIONS(4721), 1,
      anon_sym_PIPE,
    ACTIONS(4725), 1,
      anon_sym_PERCENT,
    ACTIONS(4727), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4735), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4739), 1,
      anon_sym_satisfies,
    ACTIONS(4741), 1,
      sym__ternary_qmark,
    ACTIONS(5222), 1,
      anon_sym_COMMA,
    ACTIONS(5308), 1,
      anon_sym_RBRACK,
    STATE(1642), 1,
      sym_type_arguments,
    STATE(1656), 1,
      sym_arguments,
    STATE(4822), 1,
      sym_optional_chain,
    STATE(4994), 1,
      aux_sym_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4699), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4705), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4715), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4723), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4731), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4733), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4737), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4729), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [71470] = 5,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5310), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5312), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(3499), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3503), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [71524] = 5,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5314), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5316), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(3499), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3503), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [71578] = 5,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5314), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5316), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(3499), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3503), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [71632] = 8,
    ACTIONS(4633), 1,
      anon_sym_LPAREN,
    ACTIONS(5318), 1,
      anon_sym_LT,
    STATE(2027), 1,
      sym_type_arguments,
    STATE(2188), 1,
      sym_arguments,
    STATE(4605), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4693), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4695), 24,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [71692] = 5,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5314), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5316), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(3499), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3503), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [71746] = 31,
    ACTIONS(4633), 1,
      anon_sym_LPAREN,
    ACTIONS(4635), 1,
      anon_sym_LBRACK,
    ACTIONS(4637), 1,
      anon_sym_DOT,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4809), 1,
      anon_sym_as,
    ACTIONS(4811), 1,
      anon_sym_BANG,
    ACTIONS(4847), 1,
      anon_sym_satisfies,
    ACTIONS(5318), 1,
      anon_sym_LT,
    ACTIONS(5324), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5326), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5328), 1,
      anon_sym_GT_GT,
    ACTIONS(5332), 1,
      anon_sym_AMP,
    ACTIONS(5334), 1,
      anon_sym_CARET,
    ACTIONS(5336), 1,
      anon_sym_PIPE,
    ACTIONS(5340), 1,
      anon_sym_PERCENT,
    ACTIONS(5342), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5350), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5352), 1,
      sym__ternary_qmark,
    STATE(2027), 1,
      sym_type_arguments,
    STATE(2188), 1,
      sym_arguments,
    STATE(4605), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4845), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5320), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5322), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5330), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5338), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5346), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5348), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4483), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_BQUOTE,
    ACTIONS(5344), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [71852] = 31,
    ACTIONS(4633), 1,
      anon_sym_LPAREN,
    ACTIONS(4635), 1,
      anon_sym_LBRACK,
    ACTIONS(4637), 1,
      anon_sym_DOT,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4809), 1,
      anon_sym_as,
    ACTIONS(4811), 1,
      anon_sym_BANG,
    ACTIONS(4847), 1,
      anon_sym_satisfies,
    ACTIONS(5318), 1,
      anon_sym_LT,
    ACTIONS(5324), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5326), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5328), 1,
      anon_sym_GT_GT,
    ACTIONS(5332), 1,
      anon_sym_AMP,
    ACTIONS(5334), 1,
      anon_sym_CARET,
    ACTIONS(5336), 1,
      anon_sym_PIPE,
    ACTIONS(5340), 1,
      anon_sym_PERCENT,
    ACTIONS(5342), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5350), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5352), 1,
      sym__ternary_qmark,
    STATE(2027), 1,
      sym_type_arguments,
    STATE(2188), 1,
      sym_arguments,
    STATE(4605), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4845), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5320), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5322), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5330), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5338), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5346), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5348), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4743), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_BQUOTE,
    ACTIONS(5344), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [71958] = 31,
    ACTIONS(4633), 1,
      anon_sym_LPAREN,
    ACTIONS(4635), 1,
      anon_sym_LBRACK,
    ACTIONS(4637), 1,
      anon_sym_DOT,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4809), 1,
      anon_sym_as,
    ACTIONS(4811), 1,
      anon_sym_BANG,
    ACTIONS(4847), 1,
      anon_sym_satisfies,
    ACTIONS(5318), 1,
      anon_sym_LT,
    ACTIONS(5324), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5326), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5328), 1,
      anon_sym_GT_GT,
    ACTIONS(5332), 1,
      anon_sym_AMP,
    ACTIONS(5334), 1,
      anon_sym_CARET,
    ACTIONS(5336), 1,
      anon_sym_PIPE,
    ACTIONS(5340), 1,
      anon_sym_PERCENT,
    ACTIONS(5342), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5350), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5352), 1,
      sym__ternary_qmark,
    STATE(2027), 1,
      sym_type_arguments,
    STATE(2188), 1,
      sym_arguments,
    STATE(4605), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4845), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5320), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5322), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5330), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5338), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5346), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5348), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4745), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_BQUOTE,
    ACTIONS(5344), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [72064] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4555), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4557), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [72114] = 31,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4033), 1,
      anon_sym_LBRACK,
    ACTIONS(4035), 1,
      anon_sym_DOT,
    ACTIONS(4697), 1,
      anon_sym_LT,
    ACTIONS(4701), 1,
      anon_sym_as,
    ACTIONS(4703), 1,
      anon_sym_BANG,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4709), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4711), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4713), 1,
      anon_sym_GT_GT,
    ACTIONS(4717), 1,
      anon_sym_AMP,
    ACTIONS(4719), 1,
      anon_sym_CARET,
    ACTIONS(4721), 1,
      anon_sym_PIPE,
    ACTIONS(4725), 1,
      anon_sym_PERCENT,
    ACTIONS(4727), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4735), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4739), 1,
      anon_sym_satisfies,
    ACTIONS(4741), 1,
      sym__ternary_qmark,
    STATE(1642), 1,
      sym_type_arguments,
    STATE(1656), 1,
      sym_arguments,
    STATE(4822), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4699), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4705), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4715), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4723), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4731), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4733), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4737), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4729), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5354), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
  [72220] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4179), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4181), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [72270] = 31,
    ACTIONS(4633), 1,
      anon_sym_LPAREN,
    ACTIONS(4635), 1,
      anon_sym_LBRACK,
    ACTIONS(4637), 1,
      anon_sym_DOT,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4809), 1,
      anon_sym_as,
    ACTIONS(4811), 1,
      anon_sym_BANG,
    ACTIONS(4847), 1,
      anon_sym_satisfies,
    ACTIONS(5318), 1,
      anon_sym_LT,
    ACTIONS(5324), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5326), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5328), 1,
      anon_sym_GT_GT,
    ACTIONS(5332), 1,
      anon_sym_AMP,
    ACTIONS(5334), 1,
      anon_sym_CARET,
    ACTIONS(5336), 1,
      anon_sym_PIPE,
    ACTIONS(5340), 1,
      anon_sym_PERCENT,
    ACTIONS(5342), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5350), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5352), 1,
      sym__ternary_qmark,
    STATE(2027), 1,
      sym_type_arguments,
    STATE(2188), 1,
      sym_arguments,
    STATE(4605), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4845), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5320), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5322), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5330), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5338), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5346), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5348), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4747), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_BQUOTE,
    ACTIONS(5344), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [72376] = 31,
    ACTIONS(4633), 1,
      anon_sym_LPAREN,
    ACTIONS(4635), 1,
      anon_sym_LBRACK,
    ACTIONS(4637), 1,
      anon_sym_DOT,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4809), 1,
      anon_sym_as,
    ACTIONS(4811), 1,
      anon_sym_BANG,
    ACTIONS(4847), 1,
      anon_sym_satisfies,
    ACTIONS(5318), 1,
      anon_sym_LT,
    ACTIONS(5324), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5326), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5328), 1,
      anon_sym_GT_GT,
    ACTIONS(5332), 1,
      anon_sym_AMP,
    ACTIONS(5334), 1,
      anon_sym_CARET,
    ACTIONS(5336), 1,
      anon_sym_PIPE,
    ACTIONS(5340), 1,
      anon_sym_PERCENT,
    ACTIONS(5342), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5350), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5352), 1,
      sym__ternary_qmark,
    STATE(2027), 1,
      sym_type_arguments,
    STATE(2188), 1,
      sym_arguments,
    STATE(4605), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4845), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5320), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5322), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5330), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5338), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5346), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5348), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4523), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_BQUOTE,
    ACTIONS(5344), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [72482] = 18,
    ACTIONS(4633), 1,
      anon_sym_LPAREN,
    ACTIONS(4635), 1,
      anon_sym_LBRACK,
    ACTIONS(4637), 1,
      anon_sym_DOT,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5318), 1,
      anon_sym_LT,
    ACTIONS(5328), 1,
      anon_sym_GT_GT,
    ACTIONS(5340), 1,
      anon_sym_PERCENT,
    ACTIONS(5342), 1,
      anon_sym_STAR_STAR,
    STATE(2027), 1,
      sym_type_arguments,
    STATE(2188), 1,
      sym_arguments,
    STATE(4605), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4845), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5320), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5330), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5338), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4751), 7,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4749), 15,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [72562] = 33,
    ACTIONS(1976), 1,
      anon_sym_COMMA,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4033), 1,
      anon_sym_LBRACK,
    ACTIONS(4035), 1,
      anon_sym_DOT,
    ACTIONS(4701), 1,
      anon_sym_as,
    ACTIONS(4703), 1,
      anon_sym_BANG,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4739), 1,
      anon_sym_satisfies,
    ACTIONS(4885), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4887), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4889), 1,
      anon_sym_GT_GT,
    ACTIONS(4893), 1,
      anon_sym_AMP,
    ACTIONS(4895), 1,
      anon_sym_CARET,
    ACTIONS(4897), 1,
      anon_sym_PIPE,
    ACTIONS(4901), 1,
      anon_sym_PERCENT,
    ACTIONS(4903), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4905), 1,
      anon_sym_LT,
    ACTIONS(4913), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4915), 1,
      sym__ternary_qmark,
    ACTIONS(5356), 1,
      anon_sym_RPAREN,
    STATE(1642), 1,
      sym_type_arguments,
    STATE(1656), 1,
      sym_arguments,
    STATE(4676), 1,
      aux_sym_array_repeat1,
    STATE(4822), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4737), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4877), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4883), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4891), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4899), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4909), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4911), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4907), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [72672] = 13,
    ACTIONS(4633), 1,
      anon_sym_LPAREN,
    ACTIONS(4635), 1,
      anon_sym_LBRACK,
    ACTIONS(4637), 1,
      anon_sym_DOT,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5342), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5358), 1,
      anon_sym_LT,
    STATE(2027), 1,
      sym_type_arguments,
    STATE(2188), 1,
      sym_arguments,
    STATE(4605), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4845), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4751), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4749), 18,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [72742] = 33,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4033), 1,
      anon_sym_LBRACK,
    ACTIONS(4035), 1,
      anon_sym_DOT,
    ACTIONS(4697), 1,
      anon_sym_LT,
    ACTIONS(4701), 1,
      anon_sym_as,
    ACTIONS(4703), 1,
      anon_sym_BANG,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4709), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4711), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4713), 1,
      anon_sym_GT_GT,
    ACTIONS(4717), 1,
      anon_sym_AMP,
    ACTIONS(4719), 1,
      anon_sym_CARET,
    ACTIONS(4721), 1,
      anon_sym_PIPE,
    ACTIONS(4725), 1,
      anon_sym_PERCENT,
    ACTIONS(4727), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4735), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4739), 1,
      anon_sym_satisfies,
    ACTIONS(4741), 1,
      sym__ternary_qmark,
    ACTIONS(5302), 1,
      anon_sym_COMMA,
    ACTIONS(5361), 1,
      anon_sym_RBRACK,
    STATE(1642), 1,
      sym_type_arguments,
    STATE(1656), 1,
      sym_arguments,
    STATE(3770), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(4822), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4699), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4705), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4715), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4723), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4731), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4733), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4737), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4729), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [72852] = 25,
    ACTIONS(4633), 1,
      anon_sym_LPAREN,
    ACTIONS(4635), 1,
      anon_sym_LBRACK,
    ACTIONS(4637), 1,
      anon_sym_DOT,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4751), 1,
      anon_sym_BANG,
    ACTIONS(5318), 1,
      anon_sym_LT,
    ACTIONS(5328), 1,
      anon_sym_GT_GT,
    ACTIONS(5332), 1,
      anon_sym_AMP,
    ACTIONS(5334), 1,
      anon_sym_CARET,
    ACTIONS(5336), 1,
      anon_sym_PIPE,
    ACTIONS(5340), 1,
      anon_sym_PERCENT,
    ACTIONS(5342), 1,
      anon_sym_STAR_STAR,
    STATE(2027), 1,
      sym_type_arguments,
    STATE(2188), 1,
      sym_arguments,
    STATE(4605), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4845), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5320), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5322), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5330), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5338), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5346), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5348), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5344), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4749), 9,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [72946] = 26,
    ACTIONS(4633), 1,
      anon_sym_LPAREN,
    ACTIONS(4635), 1,
      anon_sym_LBRACK,
    ACTIONS(4637), 1,
      anon_sym_DOT,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4751), 1,
      anon_sym_BANG,
    ACTIONS(5318), 1,
      anon_sym_LT,
    ACTIONS(5324), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5328), 1,
      anon_sym_GT_GT,
    ACTIONS(5332), 1,
      anon_sym_AMP,
    ACTIONS(5334), 1,
      anon_sym_CARET,
    ACTIONS(5336), 1,
      anon_sym_PIPE,
    ACTIONS(5340), 1,
      anon_sym_PERCENT,
    ACTIONS(5342), 1,
      anon_sym_STAR_STAR,
    STATE(2027), 1,
      sym_type_arguments,
    STATE(2188), 1,
      sym_arguments,
    STATE(4605), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4845), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5320), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5322), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5330), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5338), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5346), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5348), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5344), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4749), 8,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [73042] = 16,
    ACTIONS(4633), 1,
      anon_sym_LPAREN,
    ACTIONS(4635), 1,
      anon_sym_LBRACK,
    ACTIONS(4637), 1,
      anon_sym_DOT,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5340), 1,
      anon_sym_PERCENT,
    ACTIONS(5342), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5358), 1,
      anon_sym_LT,
    STATE(2027), 1,
      sym_type_arguments,
    STATE(2188), 1,
      sym_arguments,
    STATE(4605), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4845), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5320), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5338), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4751), 8,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4749), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [73118] = 22,
    ACTIONS(4633), 1,
      anon_sym_LPAREN,
    ACTIONS(4635), 1,
      anon_sym_LBRACK,
    ACTIONS(4637), 1,
      anon_sym_DOT,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5318), 1,
      anon_sym_LT,
    ACTIONS(5328), 1,
      anon_sym_GT_GT,
    ACTIONS(5340), 1,
      anon_sym_PERCENT,
    ACTIONS(5342), 1,
      anon_sym_STAR_STAR,
    STATE(2027), 1,
      sym_type_arguments,
    STATE(2188), 1,
      sym_arguments,
    STATE(4605), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4845), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5320), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5322), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5330), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5338), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5346), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5348), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4751), 3,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5344), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4749), 10,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [73206] = 23,
    ACTIONS(4633), 1,
      anon_sym_LPAREN,
    ACTIONS(4635), 1,
      anon_sym_LBRACK,
    ACTIONS(4637), 1,
      anon_sym_DOT,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5318), 1,
      anon_sym_LT,
    ACTIONS(5328), 1,
      anon_sym_GT_GT,
    ACTIONS(5332), 1,
      anon_sym_AMP,
    ACTIONS(5340), 1,
      anon_sym_PERCENT,
    ACTIONS(5342), 1,
      anon_sym_STAR_STAR,
    STATE(2027), 1,
      sym_type_arguments,
    STATE(2188), 1,
      sym_arguments,
    STATE(4605), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4751), 2,
      anon_sym_BANG,
      anon_sym_PIPE,
    ACTIONS(4845), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5320), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5322), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5330), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5338), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5346), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5348), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5344), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4749), 10,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [73296] = 24,
    ACTIONS(4633), 1,
      anon_sym_LPAREN,
    ACTIONS(4635), 1,
      anon_sym_LBRACK,
    ACTIONS(4637), 1,
      anon_sym_DOT,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5318), 1,
      anon_sym_LT,
    ACTIONS(5328), 1,
      anon_sym_GT_GT,
    ACTIONS(5332), 1,
      anon_sym_AMP,
    ACTIONS(5334), 1,
      anon_sym_CARET,
    ACTIONS(5340), 1,
      anon_sym_PERCENT,
    ACTIONS(5342), 1,
      anon_sym_STAR_STAR,
    STATE(2027), 1,
      sym_type_arguments,
    STATE(2188), 1,
      sym_arguments,
    STATE(4605), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4751), 2,
      anon_sym_BANG,
      anon_sym_PIPE,
    ACTIONS(4845), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5320), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5322), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5330), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5338), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5346), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5348), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5344), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4749), 9,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [73388] = 15,
    ACTIONS(4633), 1,
      anon_sym_LPAREN,
    ACTIONS(4635), 1,
      anon_sym_LBRACK,
    ACTIONS(4637), 1,
      anon_sym_DOT,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5340), 1,
      anon_sym_PERCENT,
    ACTIONS(5342), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5358), 1,
      anon_sym_LT,
    STATE(2027), 1,
      sym_type_arguments,
    STATE(2188), 1,
      sym_arguments,
    STATE(4605), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4845), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5320), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4751), 10,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4749), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [73462] = 16,
    ACTIONS(4633), 1,
      anon_sym_LPAREN,
    ACTIONS(4635), 1,
      anon_sym_LBRACK,
    ACTIONS(4637), 1,
      anon_sym_DOT,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4809), 1,
      anon_sym_as,
    ACTIONS(4811), 1,
      anon_sym_BANG,
    ACTIONS(4847), 1,
      anon_sym_satisfies,
    ACTIONS(5342), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5358), 1,
      anon_sym_LT,
    STATE(2027), 1,
      sym_type_arguments,
    STATE(2188), 1,
      sym_arguments,
    STATE(4605), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4845), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4751), 11,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4749), 16,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_BQUOTE,
  [73538] = 20,
    ACTIONS(4633), 1,
      anon_sym_LPAREN,
    ACTIONS(4635), 1,
      anon_sym_LBRACK,
    ACTIONS(4637), 1,
      anon_sym_DOT,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5318), 1,
      anon_sym_LT,
    ACTIONS(5328), 1,
      anon_sym_GT_GT,
    ACTIONS(5340), 1,
      anon_sym_PERCENT,
    ACTIONS(5342), 1,
      anon_sym_STAR_STAR,
    STATE(2027), 1,
      sym_type_arguments,
    STATE(2188), 1,
      sym_arguments,
    STATE(4605), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4845), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5320), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5322), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5330), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5338), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5344), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4751), 5,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4749), 12,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [73622] = 27,
    ACTIONS(4633), 1,
      anon_sym_LPAREN,
    ACTIONS(4635), 1,
      anon_sym_LBRACK,
    ACTIONS(4637), 1,
      anon_sym_DOT,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4751), 1,
      anon_sym_BANG,
    ACTIONS(5318), 1,
      anon_sym_LT,
    ACTIONS(5324), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5326), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5328), 1,
      anon_sym_GT_GT,
    ACTIONS(5332), 1,
      anon_sym_AMP,
    ACTIONS(5334), 1,
      anon_sym_CARET,
    ACTIONS(5336), 1,
      anon_sym_PIPE,
    ACTIONS(5340), 1,
      anon_sym_PERCENT,
    ACTIONS(5342), 1,
      anon_sym_STAR_STAR,
    STATE(2027), 1,
      sym_type_arguments,
    STATE(2188), 1,
      sym_arguments,
    STATE(4605), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4845), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5320), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5322), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5330), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5338), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5346), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5348), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5344), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4749), 7,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_SEMI,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [73720] = 31,
    ACTIONS(4633), 1,
      anon_sym_LPAREN,
    ACTIONS(4635), 1,
      anon_sym_LBRACK,
    ACTIONS(4637), 1,
      anon_sym_DOT,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4809), 1,
      anon_sym_as,
    ACTIONS(4811), 1,
      anon_sym_BANG,
    ACTIONS(4847), 1,
      anon_sym_satisfies,
    ACTIONS(5318), 1,
      anon_sym_LT,
    ACTIONS(5324), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5326), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5328), 1,
      anon_sym_GT_GT,
    ACTIONS(5332), 1,
      anon_sym_AMP,
    ACTIONS(5334), 1,
      anon_sym_CARET,
    ACTIONS(5336), 1,
      anon_sym_PIPE,
    ACTIONS(5340), 1,
      anon_sym_PERCENT,
    ACTIONS(5342), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5350), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5352), 1,
      sym__ternary_qmark,
    STATE(2027), 1,
      sym_type_arguments,
    STATE(2188), 1,
      sym_arguments,
    STATE(4605), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4845), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5320), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5322), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5330), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5338), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5346), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5348), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4541), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_BQUOTE,
    ACTIONS(5344), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [73826] = 31,
    ACTIONS(4633), 1,
      anon_sym_LPAREN,
    ACTIONS(4635), 1,
      anon_sym_LBRACK,
    ACTIONS(4637), 1,
      anon_sym_DOT,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4809), 1,
      anon_sym_as,
    ACTIONS(4811), 1,
      anon_sym_BANG,
    ACTIONS(4847), 1,
      anon_sym_satisfies,
    ACTIONS(5318), 1,
      anon_sym_LT,
    ACTIONS(5324), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5326), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5328), 1,
      anon_sym_GT_GT,
    ACTIONS(5332), 1,
      anon_sym_AMP,
    ACTIONS(5334), 1,
      anon_sym_CARET,
    ACTIONS(5336), 1,
      anon_sym_PIPE,
    ACTIONS(5340), 1,
      anon_sym_PERCENT,
    ACTIONS(5342), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5350), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5352), 1,
      sym__ternary_qmark,
    STATE(2027), 1,
      sym_type_arguments,
    STATE(2188), 1,
      sym_arguments,
    STATE(4605), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4845), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5320), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5322), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5330), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5338), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5346), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5348), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4756), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_BQUOTE,
    ACTIONS(5344), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [73932] = 31,
    ACTIONS(4633), 1,
      anon_sym_LPAREN,
    ACTIONS(4635), 1,
      anon_sym_LBRACK,
    ACTIONS(4637), 1,
      anon_sym_DOT,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4809), 1,
      anon_sym_as,
    ACTIONS(4811), 1,
      anon_sym_BANG,
    ACTIONS(4847), 1,
      anon_sym_satisfies,
    ACTIONS(5318), 1,
      anon_sym_LT,
    ACTIONS(5324), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5326), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5328), 1,
      anon_sym_GT_GT,
    ACTIONS(5332), 1,
      anon_sym_AMP,
    ACTIONS(5334), 1,
      anon_sym_CARET,
    ACTIONS(5336), 1,
      anon_sym_PIPE,
    ACTIONS(5340), 1,
      anon_sym_PERCENT,
    ACTIONS(5342), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5350), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5352), 1,
      sym__ternary_qmark,
    STATE(2027), 1,
      sym_type_arguments,
    STATE(2188), 1,
      sym_arguments,
    STATE(4605), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4845), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5320), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5322), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5330), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5338), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5346), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5348), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4565), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_BQUOTE,
    ACTIONS(5344), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [74038] = 31,
    ACTIONS(4633), 1,
      anon_sym_LPAREN,
    ACTIONS(4635), 1,
      anon_sym_LBRACK,
    ACTIONS(4637), 1,
      anon_sym_DOT,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4809), 1,
      anon_sym_as,
    ACTIONS(4811), 1,
      anon_sym_BANG,
    ACTIONS(4847), 1,
      anon_sym_satisfies,
    ACTIONS(5318), 1,
      anon_sym_LT,
    ACTIONS(5324), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5326), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5328), 1,
      anon_sym_GT_GT,
    ACTIONS(5332), 1,
      anon_sym_AMP,
    ACTIONS(5334), 1,
      anon_sym_CARET,
    ACTIONS(5336), 1,
      anon_sym_PIPE,
    ACTIONS(5340), 1,
      anon_sym_PERCENT,
    ACTIONS(5342), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5350), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5352), 1,
      sym__ternary_qmark,
    STATE(2027), 1,
      sym_type_arguments,
    STATE(2188), 1,
      sym_arguments,
    STATE(4605), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4845), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5320), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5322), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5330), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5338), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5346), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5348), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4573), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_BQUOTE,
    ACTIONS(5344), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [74144] = 31,
    ACTIONS(4633), 1,
      anon_sym_LPAREN,
    ACTIONS(4635), 1,
      anon_sym_LBRACK,
    ACTIONS(4637), 1,
      anon_sym_DOT,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4809), 1,
      anon_sym_as,
    ACTIONS(4811), 1,
      anon_sym_BANG,
    ACTIONS(4847), 1,
      anon_sym_satisfies,
    ACTIONS(5318), 1,
      anon_sym_LT,
    ACTIONS(5324), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5326), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5328), 1,
      anon_sym_GT_GT,
    ACTIONS(5332), 1,
      anon_sym_AMP,
    ACTIONS(5334), 1,
      anon_sym_CARET,
    ACTIONS(5336), 1,
      anon_sym_PIPE,
    ACTIONS(5340), 1,
      anon_sym_PERCENT,
    ACTIONS(5342), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5350), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5352), 1,
      sym__ternary_qmark,
    STATE(2027), 1,
      sym_type_arguments,
    STATE(2188), 1,
      sym_arguments,
    STATE(4605), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4845), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5320), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5322), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5330), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5338), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5346), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5348), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4577), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_BQUOTE,
    ACTIONS(5344), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [74250] = 31,
    ACTIONS(4633), 1,
      anon_sym_LPAREN,
    ACTIONS(4635), 1,
      anon_sym_LBRACK,
    ACTIONS(4637), 1,
      anon_sym_DOT,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4809), 1,
      anon_sym_as,
    ACTIONS(4811), 1,
      anon_sym_BANG,
    ACTIONS(4847), 1,
      anon_sym_satisfies,
    ACTIONS(5318), 1,
      anon_sym_LT,
    ACTIONS(5324), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5326), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5328), 1,
      anon_sym_GT_GT,
    ACTIONS(5332), 1,
      anon_sym_AMP,
    ACTIONS(5334), 1,
      anon_sym_CARET,
    ACTIONS(5336), 1,
      anon_sym_PIPE,
    ACTIONS(5340), 1,
      anon_sym_PERCENT,
    ACTIONS(5342), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5350), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5352), 1,
      sym__ternary_qmark,
    STATE(2027), 1,
      sym_type_arguments,
    STATE(2188), 1,
      sym_arguments,
    STATE(4605), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4845), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5320), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5322), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5330), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5338), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5346), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5348), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4758), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_BQUOTE,
    ACTIONS(5344), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [74356] = 31,
    ACTIONS(4633), 1,
      anon_sym_LPAREN,
    ACTIONS(4635), 1,
      anon_sym_LBRACK,
    ACTIONS(4637), 1,
      anon_sym_DOT,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4809), 1,
      anon_sym_as,
    ACTIONS(4811), 1,
      anon_sym_BANG,
    ACTIONS(4847), 1,
      anon_sym_satisfies,
    ACTIONS(5318), 1,
      anon_sym_LT,
    ACTIONS(5324), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5326), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5328), 1,
      anon_sym_GT_GT,
    ACTIONS(5332), 1,
      anon_sym_AMP,
    ACTIONS(5334), 1,
      anon_sym_CARET,
    ACTIONS(5336), 1,
      anon_sym_PIPE,
    ACTIONS(5340), 1,
      anon_sym_PERCENT,
    ACTIONS(5342), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5350), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5352), 1,
      sym__ternary_qmark,
    STATE(2027), 1,
      sym_type_arguments,
    STATE(2188), 1,
      sym_arguments,
    STATE(4605), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4845), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5320), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5322), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5330), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5338), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5346), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5348), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4760), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_BQUOTE,
    ACTIONS(5344), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [74462] = 10,
    ACTIONS(2338), 1,
      anon_sym_DQUOTE,
    ACTIONS(2340), 1,
      anon_sym_SQUOTE,
    ACTIONS(4679), 1,
      anon_sym_LBRACK,
    ACTIONS(5086), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5363), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5365), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3792), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3843), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2362), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [74526] = 11,
    ACTIONS(1635), 1,
      anon_sym_DQUOTE,
    ACTIONS(1637), 1,
      anon_sym_SQUOTE,
    ACTIONS(4595), 1,
      anon_sym_LBRACK,
    ACTIONS(5086), 1,
      anon_sym_STAR,
    ACTIONS(5088), 1,
      anon_sym_async,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5090), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5094), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3055), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3843), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(3705), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [74592] = 33,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4033), 1,
      anon_sym_LBRACK,
    ACTIONS(4035), 1,
      anon_sym_DOT,
    ACTIONS(4697), 1,
      anon_sym_LT,
    ACTIONS(4701), 1,
      anon_sym_as,
    ACTIONS(4703), 1,
      anon_sym_BANG,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4709), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4711), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4713), 1,
      anon_sym_GT_GT,
    ACTIONS(4717), 1,
      anon_sym_AMP,
    ACTIONS(4719), 1,
      anon_sym_CARET,
    ACTIONS(4721), 1,
      anon_sym_PIPE,
    ACTIONS(4725), 1,
      anon_sym_PERCENT,
    ACTIONS(4727), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4735), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4739), 1,
      anon_sym_satisfies,
    ACTIONS(4741), 1,
      sym__ternary_qmark,
    ACTIONS(5302), 1,
      anon_sym_COMMA,
    ACTIONS(5367), 1,
      anon_sym_RBRACK,
    STATE(1642), 1,
      sym_type_arguments,
    STATE(1656), 1,
      sym_arguments,
    STATE(3770), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(4822), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4699), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4705), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4715), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4723), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4731), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4733), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4737), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4729), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [74702] = 31,
    ACTIONS(4633), 1,
      anon_sym_LPAREN,
    ACTIONS(4635), 1,
      anon_sym_LBRACK,
    ACTIONS(4637), 1,
      anon_sym_DOT,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4809), 1,
      anon_sym_as,
    ACTIONS(4811), 1,
      anon_sym_BANG,
    ACTIONS(4847), 1,
      anon_sym_satisfies,
    ACTIONS(5318), 1,
      anon_sym_LT,
    ACTIONS(5324), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5326), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5328), 1,
      anon_sym_GT_GT,
    ACTIONS(5332), 1,
      anon_sym_AMP,
    ACTIONS(5334), 1,
      anon_sym_CARET,
    ACTIONS(5336), 1,
      anon_sym_PIPE,
    ACTIONS(5340), 1,
      anon_sym_PERCENT,
    ACTIONS(5342), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5350), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5352), 1,
      sym__ternary_qmark,
    STATE(2027), 1,
      sym_type_arguments,
    STATE(2188), 1,
      sym_arguments,
    STATE(4605), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4845), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5320), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5322), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5330), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5338), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5346), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5348), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4772), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_BQUOTE,
    ACTIONS(5344), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [74808] = 5,
    ACTIONS(1741), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1733), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(1737), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1739), 25,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [74862] = 5,
    ACTIONS(1841), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1833), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(1837), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1839), 25,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [74916] = 11,
    ACTIONS(1635), 1,
      anon_sym_DQUOTE,
    ACTIONS(1637), 1,
      anon_sym_SQUOTE,
    ACTIONS(4595), 1,
      anon_sym_LBRACK,
    ACTIONS(5238), 1,
      anon_sym_STAR,
    ACTIONS(5369), 1,
      anon_sym_async,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5371), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5373), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3066), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3843), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(3705), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [74982] = 10,
    ACTIONS(2338), 1,
      anon_sym_DQUOTE,
    ACTIONS(2340), 1,
      anon_sym_SQUOTE,
    ACTIONS(4679), 1,
      anon_sym_LBRACK,
    ACTIONS(5096), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5375), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5377), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3858), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3843), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2362), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [75046] = 10,
    ACTIONS(2338), 1,
      anon_sym_DQUOTE,
    ACTIONS(2340), 1,
      anon_sym_SQUOTE,
    ACTIONS(4679), 1,
      anon_sym_LBRACK,
    ACTIONS(5379), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5381), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5383), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3760), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3843), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2362), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [75110] = 7,
    ACTIONS(3619), 1,
      anon_sym_EQ,
    ACTIONS(4379), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4627), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(4630), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3499), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3503), 24,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [75168] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4497), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4499), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [75218] = 5,
    ACTIONS(1859), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1851), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(1855), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1857), 25,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [75272] = 10,
    ACTIONS(2338), 1,
      anon_sym_DQUOTE,
    ACTIONS(2340), 1,
      anon_sym_SQUOTE,
    ACTIONS(4679), 1,
      anon_sym_LBRACK,
    ACTIONS(5035), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5385), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5387), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3765), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3843), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2362), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [75336] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4469), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4471), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [75386] = 10,
    ACTIONS(2338), 1,
      anon_sym_DQUOTE,
    ACTIONS(2340), 1,
      anon_sym_SQUOTE,
    ACTIONS(4649), 1,
      anon_sym_STAR,
    ACTIONS(4679), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5389), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5391), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3872), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3843), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2362), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [75450] = 10,
    ACTIONS(2338), 1,
      anon_sym_DQUOTE,
    ACTIONS(2340), 1,
      anon_sym_SQUOTE,
    ACTIONS(4679), 1,
      anon_sym_LBRACK,
    ACTIONS(5393), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5395), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5397), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3859), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3843), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2362), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [75514] = 11,
    ACTIONS(1635), 1,
      anon_sym_DQUOTE,
    ACTIONS(1637), 1,
      anon_sym_SQUOTE,
    ACTIONS(4595), 1,
      anon_sym_LBRACK,
    ACTIONS(5399), 1,
      anon_sym_STAR,
    ACTIONS(5401), 1,
      anon_sym_async,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5403), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5405), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3158), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3843), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3705), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [75580] = 11,
    ACTIONS(1635), 1,
      anon_sym_DQUOTE,
    ACTIONS(1637), 1,
      anon_sym_SQUOTE,
    ACTIONS(4647), 1,
      anon_sym_LBRACK,
    ACTIONS(5035), 1,
      anon_sym_STAR,
    ACTIONS(5037), 1,
      anon_sym_async,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5039), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5043), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3108), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3843), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3705), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [75646] = 11,
    ACTIONS(1635), 1,
      anon_sym_DQUOTE,
    ACTIONS(1637), 1,
      anon_sym_SQUOTE,
    ACTIONS(4595), 1,
      anon_sym_LBRACK,
    ACTIONS(5407), 1,
      anon_sym_STAR,
    ACTIONS(5409), 1,
      anon_sym_async,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5411), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5413), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3047), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3843), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(3705), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [75712] = 10,
    ACTIONS(2338), 1,
      anon_sym_DQUOTE,
    ACTIONS(2340), 1,
      anon_sym_SQUOTE,
    ACTIONS(4679), 1,
      anon_sym_LBRACK,
    ACTIONS(5407), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5415), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5417), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3904), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3843), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2362), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [75776] = 5,
    ACTIONS(1873), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1865), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(1869), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1871), 25,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [75830] = 33,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4033), 1,
      anon_sym_LBRACK,
    ACTIONS(4035), 1,
      anon_sym_DOT,
    ACTIONS(4697), 1,
      anon_sym_LT,
    ACTIONS(4701), 1,
      anon_sym_as,
    ACTIONS(4703), 1,
      anon_sym_BANG,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4709), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4711), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4713), 1,
      anon_sym_GT_GT,
    ACTIONS(4717), 1,
      anon_sym_AMP,
    ACTIONS(4719), 1,
      anon_sym_CARET,
    ACTIONS(4721), 1,
      anon_sym_PIPE,
    ACTIONS(4725), 1,
      anon_sym_PERCENT,
    ACTIONS(4727), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4735), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4739), 1,
      anon_sym_satisfies,
    ACTIONS(4741), 1,
      sym__ternary_qmark,
    ACTIONS(5302), 1,
      anon_sym_COMMA,
    ACTIONS(5419), 1,
      anon_sym_SEMI,
    STATE(1642), 1,
      sym_type_arguments,
    STATE(1656), 1,
      sym_arguments,
    STATE(3770), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(4822), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4699), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4705), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4715), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4723), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4731), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4733), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4737), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4729), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [75940] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4559), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4561), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [75990] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4563), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4565), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [76040] = 5,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5137), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5139), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(3499), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3503), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [76094] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4567), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4569), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [76144] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4571), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4573), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [76194] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4575), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4577), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [76244] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4579), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4581), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [76294] = 33,
    ACTIONS(1976), 1,
      anon_sym_COMMA,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4033), 1,
      anon_sym_LBRACK,
    ACTIONS(4035), 1,
      anon_sym_DOT,
    ACTIONS(4701), 1,
      anon_sym_as,
    ACTIONS(4703), 1,
      anon_sym_BANG,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4739), 1,
      anon_sym_satisfies,
    ACTIONS(4885), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4887), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4889), 1,
      anon_sym_GT_GT,
    ACTIONS(4893), 1,
      anon_sym_AMP,
    ACTIONS(4895), 1,
      anon_sym_CARET,
    ACTIONS(4897), 1,
      anon_sym_PIPE,
    ACTIONS(4901), 1,
      anon_sym_PERCENT,
    ACTIONS(4903), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4905), 1,
      anon_sym_LT,
    ACTIONS(4913), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4915), 1,
      sym__ternary_qmark,
    ACTIONS(5421), 1,
      anon_sym_RPAREN,
    STATE(1642), 1,
      sym_type_arguments,
    STATE(1656), 1,
      sym_arguments,
    STATE(4822), 1,
      sym_optional_chain,
    STATE(5034), 1,
      aux_sym_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4737), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4877), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4883), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4891), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4899), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4909), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4911), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4907), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [76404] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4583), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4585), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [76454] = 5,
    ACTIONS(1761), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1753), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(1757), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1759), 25,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [76508] = 5,
    ACTIONS(1831), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1823), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(1827), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1829), 25,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [76562] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4587), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4589), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [76612] = 10,
    ACTIONS(2338), 1,
      anon_sym_DQUOTE,
    ACTIONS(2340), 1,
      anon_sym_SQUOTE,
    ACTIONS(4679), 1,
      anon_sym_LBRACK,
    ACTIONS(5121), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5423), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5425), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3821), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3843), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2362), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [76676] = 11,
    ACTIONS(1635), 1,
      anon_sym_DQUOTE,
    ACTIONS(1637), 1,
      anon_sym_SQUOTE,
    ACTIONS(4595), 1,
      anon_sym_LBRACK,
    ACTIONS(5121), 1,
      anon_sym_STAR,
    ACTIONS(5123), 1,
      anon_sym_async,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5125), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5129), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3110), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3843), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3705), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [76742] = 33,
    ACTIONS(1976), 1,
      anon_sym_COMMA,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4033), 1,
      anon_sym_LBRACK,
    ACTIONS(4035), 1,
      anon_sym_DOT,
    ACTIONS(4701), 1,
      anon_sym_as,
    ACTIONS(4703), 1,
      anon_sym_BANG,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4739), 1,
      anon_sym_satisfies,
    ACTIONS(4885), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4887), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4889), 1,
      anon_sym_GT_GT,
    ACTIONS(4893), 1,
      anon_sym_AMP,
    ACTIONS(4895), 1,
      anon_sym_CARET,
    ACTIONS(4897), 1,
      anon_sym_PIPE,
    ACTIONS(4901), 1,
      anon_sym_PERCENT,
    ACTIONS(4903), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4905), 1,
      anon_sym_LT,
    ACTIONS(4913), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4915), 1,
      sym__ternary_qmark,
    ACTIONS(5427), 1,
      anon_sym_RPAREN,
    STATE(1642), 1,
      sym_type_arguments,
    STATE(1656), 1,
      sym_arguments,
    STATE(4557), 1,
      aux_sym_array_repeat1,
    STATE(4822), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4737), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4877), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4883), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4891), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4899), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4909), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4911), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4907), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [76852] = 7,
    ACTIONS(3633), 1,
      anon_sym_EQ,
    ACTIONS(4627), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4379), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(4630), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3499), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3503), 24,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [76910] = 7,
    ACTIONS(3537), 1,
      anon_sym_DOT,
    ACTIONS(3539), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3517), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3505), 4,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_extends,
    ACTIONS(3499), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3503), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [76968] = 33,
    ACTIONS(1976), 1,
      anon_sym_COMMA,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4033), 1,
      anon_sym_LBRACK,
    ACTIONS(4035), 1,
      anon_sym_DOT,
    ACTIONS(4701), 1,
      anon_sym_as,
    ACTIONS(4703), 1,
      anon_sym_BANG,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4739), 1,
      anon_sym_satisfies,
    ACTIONS(4885), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4887), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4889), 1,
      anon_sym_GT_GT,
    ACTIONS(4893), 1,
      anon_sym_AMP,
    ACTIONS(4895), 1,
      anon_sym_CARET,
    ACTIONS(4897), 1,
      anon_sym_PIPE,
    ACTIONS(4901), 1,
      anon_sym_PERCENT,
    ACTIONS(4903), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4905), 1,
      anon_sym_LT,
    ACTIONS(4913), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4915), 1,
      sym__ternary_qmark,
    ACTIONS(5429), 1,
      anon_sym_RPAREN,
    STATE(1642), 1,
      sym_type_arguments,
    STATE(1656), 1,
      sym_arguments,
    STATE(4607), 1,
      aux_sym_array_repeat1,
    STATE(4822), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4737), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4877), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4883), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4891), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4899), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4909), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4911), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4907), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [77078] = 5,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4167), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4169), 4,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_extends,
    ACTIONS(3499), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3503), 24,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [77132] = 7,
    ACTIONS(4171), 1,
      anon_sym_QMARK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4173), 2,
      anon_sym_RPAREN,
      anon_sym_extends,
    ACTIONS(4466), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4463), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
    ACTIONS(4459), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4461), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [77190] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4179), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4181), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [77240] = 7,
    ACTIONS(4377), 1,
      anon_sym_QMARK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4379), 2,
      anon_sym_RPAREN,
      anon_sym_extends,
    ACTIONS(4630), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4627), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
    ACTIONS(3499), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3503), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [77298] = 33,
    ACTIONS(1976), 1,
      anon_sym_COMMA,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4033), 1,
      anon_sym_LBRACK,
    ACTIONS(4035), 1,
      anon_sym_DOT,
    ACTIONS(4701), 1,
      anon_sym_as,
    ACTIONS(4703), 1,
      anon_sym_BANG,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4739), 1,
      anon_sym_satisfies,
    ACTIONS(4885), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4887), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4889), 1,
      anon_sym_GT_GT,
    ACTIONS(4893), 1,
      anon_sym_AMP,
    ACTIONS(4895), 1,
      anon_sym_CARET,
    ACTIONS(4897), 1,
      anon_sym_PIPE,
    ACTIONS(4901), 1,
      anon_sym_PERCENT,
    ACTIONS(4903), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4905), 1,
      anon_sym_LT,
    ACTIONS(4913), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4915), 1,
      sym__ternary_qmark,
    ACTIONS(5431), 1,
      anon_sym_RPAREN,
    STATE(1642), 1,
      sym_type_arguments,
    STATE(1656), 1,
      sym_arguments,
    STATE(4640), 1,
      aux_sym_array_repeat1,
    STATE(4822), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4737), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4877), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4883), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4891), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4899), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4909), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4911), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4907), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [77408] = 8,
    ACTIONS(3533), 1,
      anon_sym_EQ,
    ACTIONS(3623), 1,
      anon_sym_COLON,
    ACTIONS(4627), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4630), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4379), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_extends,
    ACTIONS(3499), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3503), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [77468] = 33,
    ACTIONS(1976), 1,
      anon_sym_COMMA,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4033), 1,
      anon_sym_LBRACK,
    ACTIONS(4035), 1,
      anon_sym_DOT,
    ACTIONS(4701), 1,
      anon_sym_as,
    ACTIONS(4703), 1,
      anon_sym_BANG,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4739), 1,
      anon_sym_satisfies,
    ACTIONS(4885), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4887), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4889), 1,
      anon_sym_GT_GT,
    ACTIONS(4893), 1,
      anon_sym_AMP,
    ACTIONS(4895), 1,
      anon_sym_CARET,
    ACTIONS(4897), 1,
      anon_sym_PIPE,
    ACTIONS(4901), 1,
      anon_sym_PERCENT,
    ACTIONS(4903), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4905), 1,
      anon_sym_LT,
    ACTIONS(4913), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4915), 1,
      sym__ternary_qmark,
    ACTIONS(5433), 1,
      anon_sym_RPAREN,
    STATE(1642), 1,
      sym_type_arguments,
    STATE(1656), 1,
      sym_arguments,
    STATE(4651), 1,
      aux_sym_array_repeat1,
    STATE(4822), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4737), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4877), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4883), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4891), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4899), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4909), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4911), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4907), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [77578] = 12,
    ACTIONS(4633), 1,
      anon_sym_LPAREN,
    ACTIONS(4635), 1,
      anon_sym_LBRACK,
    ACTIONS(4637), 1,
      anon_sym_DOT,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5435), 1,
      anon_sym_LT,
    STATE(2027), 1,
      sym_type_arguments,
    STATE(2188), 1,
      sym_arguments,
    STATE(4605), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4845), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4791), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4793), 19,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [77646] = 15,
    ACTIONS(4633), 1,
      anon_sym_LPAREN,
    ACTIONS(4635), 1,
      anon_sym_LBRACK,
    ACTIONS(4637), 1,
      anon_sym_DOT,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4809), 1,
      anon_sym_as,
    ACTIONS(4811), 1,
      anon_sym_BANG,
    ACTIONS(4847), 1,
      anon_sym_satisfies,
    ACTIONS(5438), 1,
      anon_sym_LT,
    STATE(2027), 1,
      sym_type_arguments,
    STATE(2188), 1,
      sym_arguments,
    STATE(4605), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4845), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4798), 11,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4800), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_BQUOTE,
  [77720] = 31,
    ACTIONS(4633), 1,
      anon_sym_LPAREN,
    ACTIONS(4635), 1,
      anon_sym_LBRACK,
    ACTIONS(4637), 1,
      anon_sym_DOT,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4809), 1,
      anon_sym_as,
    ACTIONS(4811), 1,
      anon_sym_BANG,
    ACTIONS(4847), 1,
      anon_sym_satisfies,
    ACTIONS(5318), 1,
      anon_sym_LT,
    ACTIONS(5324), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5326), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5328), 1,
      anon_sym_GT_GT,
    ACTIONS(5332), 1,
      anon_sym_AMP,
    ACTIONS(5334), 1,
      anon_sym_CARET,
    ACTIONS(5336), 1,
      anon_sym_PIPE,
    ACTIONS(5340), 1,
      anon_sym_PERCENT,
    ACTIONS(5342), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5350), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5352), 1,
      sym__ternary_qmark,
    STATE(2027), 1,
      sym_type_arguments,
    STATE(2188), 1,
      sym_arguments,
    STATE(4605), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4845), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5320), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5322), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5330), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5338), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5346), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5348), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4805), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_BQUOTE,
    ACTIONS(5344), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [77826] = 11,
    ACTIONS(4633), 1,
      anon_sym_LPAREN,
    ACTIONS(4635), 1,
      anon_sym_LBRACK,
    ACTIONS(4637), 1,
      anon_sym_DOT,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5441), 1,
      anon_sym_LT,
    STATE(2027), 1,
      sym_type_arguments,
    STATE(2188), 1,
      sym_arguments,
    STATE(4605), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4774), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4776), 21,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [77892] = 5,
    ACTIONS(1883), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1875), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(1879), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1881), 25,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [77946] = 10,
    ACTIONS(2338), 1,
      anon_sym_DQUOTE,
    ACTIONS(2340), 1,
      anon_sym_SQUOTE,
    ACTIONS(4679), 1,
      anon_sym_LBRACK,
    ACTIONS(5150), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5444), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5446), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3898), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3843), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2362), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [78010] = 33,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4033), 1,
      anon_sym_LBRACK,
    ACTIONS(4035), 1,
      anon_sym_DOT,
    ACTIONS(4697), 1,
      anon_sym_LT,
    ACTIONS(4701), 1,
      anon_sym_as,
    ACTIONS(4703), 1,
      anon_sym_BANG,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4709), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4711), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4713), 1,
      anon_sym_GT_GT,
    ACTIONS(4717), 1,
      anon_sym_AMP,
    ACTIONS(4719), 1,
      anon_sym_CARET,
    ACTIONS(4721), 1,
      anon_sym_PIPE,
    ACTIONS(4725), 1,
      anon_sym_PERCENT,
    ACTIONS(4727), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4735), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4739), 1,
      anon_sym_satisfies,
    ACTIONS(4741), 1,
      sym__ternary_qmark,
    ACTIONS(5302), 1,
      anon_sym_COMMA,
    ACTIONS(5448), 1,
      anon_sym_RBRACK,
    STATE(1642), 1,
      sym_type_arguments,
    STATE(1656), 1,
      sym_arguments,
    STATE(3770), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(4822), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4699), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4705), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4715), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4723), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4731), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4733), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4737), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4729), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [78120] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4605), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4607), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [78170] = 15,
    ACTIONS(239), 1,
      anon_sym_COMMA,
    ACTIONS(697), 1,
      anon_sym_RBRACE,
    ACTIONS(2338), 1,
      anon_sym_DQUOTE,
    ACTIONS(2340), 1,
      anon_sym_SQUOTE,
    ACTIONS(4593), 1,
      anon_sym_EQ,
    ACTIONS(4679), 1,
      anon_sym_LBRACK,
    ACTIONS(5003), 1,
      anon_sym_STAR,
    STATE(4835), 1,
      aux_sym_object_pattern_repeat1,
    STATE(4905), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2348), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2368), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3797), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3843), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2362), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [78244] = 16,
    ACTIONS(239), 1,
      anon_sym_COMMA,
    ACTIONS(697), 1,
      anon_sym_RBRACE,
    ACTIONS(2338), 1,
      anon_sym_DQUOTE,
    ACTIONS(2340), 1,
      anon_sym_SQUOTE,
    ACTIONS(2364), 1,
      anon_sym_async,
    ACTIONS(4593), 1,
      anon_sym_EQ,
    ACTIONS(4679), 1,
      anon_sym_LBRACK,
    ACTIONS(5003), 1,
      anon_sym_STAR,
    STATE(4835), 1,
      aux_sym_object_pattern_repeat1,
    STATE(4905), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2348), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2368), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3797), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3843), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2362), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [78320] = 4,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1811), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1815), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1817), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [78372] = 8,
    ACTIONS(3543), 1,
      anon_sym_EQ,
    ACTIONS(4377), 1,
      anon_sym_QMARK,
    ACTIONS(4627), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4630), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4379), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_extends,
    ACTIONS(3499), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3503), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [78432] = 6,
    ACTIONS(4529), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4085), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(4532), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3499), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3503), 25,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [78488] = 15,
    ACTIONS(239), 1,
      anon_sym_COMMA,
    ACTIONS(699), 1,
      anon_sym_RBRACE,
    ACTIONS(2338), 1,
      anon_sym_DQUOTE,
    ACTIONS(2340), 1,
      anon_sym_SQUOTE,
    ACTIONS(4593), 1,
      anon_sym_EQ,
    ACTIONS(4679), 1,
      anon_sym_LBRACK,
    ACTIONS(5003), 1,
      anon_sym_STAR,
    STATE(4835), 1,
      aux_sym_object_pattern_repeat1,
    STATE(4905), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2348), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2368), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3797), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3843), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2362), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [78562] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4643), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4645), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [78612] = 10,
    ACTIONS(2338), 1,
      anon_sym_DQUOTE,
    ACTIONS(2340), 1,
      anon_sym_SQUOTE,
    ACTIONS(4679), 1,
      anon_sym_LBRACK,
    ACTIONS(5164), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5450), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5452), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3805), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3843), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2362), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [78676] = 16,
    ACTIONS(239), 1,
      anon_sym_COMMA,
    ACTIONS(699), 1,
      anon_sym_RBRACE,
    ACTIONS(2338), 1,
      anon_sym_DQUOTE,
    ACTIONS(2340), 1,
      anon_sym_SQUOTE,
    ACTIONS(2364), 1,
      anon_sym_async,
    ACTIONS(4593), 1,
      anon_sym_EQ,
    ACTIONS(4679), 1,
      anon_sym_LBRACK,
    ACTIONS(5003), 1,
      anon_sym_STAR,
    STATE(4835), 1,
      aux_sym_object_pattern_repeat1,
    STATE(4905), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2348), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2368), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3797), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3843), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2362), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [78752] = 4,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1753), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1757), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1759), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [78804] = 4,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1823), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1827), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1829), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [78856] = 5,
    ACTIONS(5454), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1875), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1879), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1881), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [78910] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4609), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4611), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [78960] = 32,
    ACTIONS(4633), 1,
      anon_sym_LPAREN,
    ACTIONS(4635), 1,
      anon_sym_LBRACK,
    ACTIONS(4637), 1,
      anon_sym_DOT,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4743), 1,
      anon_sym_COMMA,
    ACTIONS(4809), 1,
      anon_sym_as,
    ACTIONS(4811), 1,
      anon_sym_BANG,
    ACTIONS(4815), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4817), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4819), 1,
      anon_sym_GT_GT,
    ACTIONS(4823), 1,
      anon_sym_AMP,
    ACTIONS(4825), 1,
      anon_sym_CARET,
    ACTIONS(4827), 1,
      anon_sym_PIPE,
    ACTIONS(4831), 1,
      anon_sym_PERCENT,
    ACTIONS(4833), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4835), 1,
      anon_sym_LT,
    ACTIONS(4843), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4847), 1,
      anon_sym_satisfies,
    ACTIONS(4849), 1,
      sym__ternary_qmark,
    STATE(2027), 1,
      sym_type_arguments,
    STATE(2188), 1,
      sym_arguments,
    STATE(4605), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4807), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4813), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4821), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4829), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4839), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4841), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4845), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5064), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(4837), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [79068] = 33,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4033), 1,
      anon_sym_LBRACK,
    ACTIONS(4035), 1,
      anon_sym_DOT,
    ACTIONS(4701), 1,
      anon_sym_as,
    ACTIONS(4703), 1,
      anon_sym_BANG,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4739), 1,
      anon_sym_satisfies,
    ACTIONS(4879), 1,
      anon_sym_COMMA,
    ACTIONS(4885), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4887), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4889), 1,
      anon_sym_GT_GT,
    ACTIONS(4893), 1,
      anon_sym_AMP,
    ACTIONS(4895), 1,
      anon_sym_CARET,
    ACTIONS(4897), 1,
      anon_sym_PIPE,
    ACTIONS(4901), 1,
      anon_sym_PERCENT,
    ACTIONS(4903), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4905), 1,
      anon_sym_LT,
    ACTIONS(4913), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4915), 1,
      sym__ternary_qmark,
    ACTIONS(5456), 1,
      anon_sym_RPAREN,
    STATE(1642), 1,
      sym_type_arguments,
    STATE(1656), 1,
      sym_arguments,
    STATE(4645), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(4822), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4737), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4877), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4883), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4891), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4899), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4909), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4911), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4907), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [79178] = 10,
    ACTIONS(2338), 1,
      anon_sym_DQUOTE,
    ACTIONS(2340), 1,
      anon_sym_SQUOTE,
    ACTIONS(4679), 1,
      anon_sym_LBRACK,
    ACTIONS(5244), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5458), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5460), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3824), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3843), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2362), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [79242] = 33,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4033), 1,
      anon_sym_LBRACK,
    ACTIONS(4035), 1,
      anon_sym_DOT,
    ACTIONS(4701), 1,
      anon_sym_as,
    ACTIONS(4703), 1,
      anon_sym_BANG,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4739), 1,
      anon_sym_satisfies,
    ACTIONS(4879), 1,
      anon_sym_COMMA,
    ACTIONS(4885), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4887), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4889), 1,
      anon_sym_GT_GT,
    ACTIONS(4893), 1,
      anon_sym_AMP,
    ACTIONS(4895), 1,
      anon_sym_CARET,
    ACTIONS(4897), 1,
      anon_sym_PIPE,
    ACTIONS(4901), 1,
      anon_sym_PERCENT,
    ACTIONS(4903), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4905), 1,
      anon_sym_LT,
    ACTIONS(4913), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4915), 1,
      sym__ternary_qmark,
    ACTIONS(5462), 1,
      anon_sym_RPAREN,
    STATE(1642), 1,
      sym_type_arguments,
    STATE(1656), 1,
      sym_arguments,
    STATE(4645), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(4822), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4737), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4877), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4883), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4891), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4899), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4909), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4911), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4907), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [79352] = 33,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4033), 1,
      anon_sym_LBRACK,
    ACTIONS(4035), 1,
      anon_sym_DOT,
    ACTIONS(4701), 1,
      anon_sym_as,
    ACTIONS(4703), 1,
      anon_sym_BANG,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4739), 1,
      anon_sym_satisfies,
    ACTIONS(4879), 1,
      anon_sym_COMMA,
    ACTIONS(4885), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4887), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4889), 1,
      anon_sym_GT_GT,
    ACTIONS(4893), 1,
      anon_sym_AMP,
    ACTIONS(4895), 1,
      anon_sym_CARET,
    ACTIONS(4897), 1,
      anon_sym_PIPE,
    ACTIONS(4901), 1,
      anon_sym_PERCENT,
    ACTIONS(4903), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4905), 1,
      anon_sym_LT,
    ACTIONS(4913), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4915), 1,
      sym__ternary_qmark,
    ACTIONS(5464), 1,
      anon_sym_RPAREN,
    STATE(1642), 1,
      sym_type_arguments,
    STATE(1656), 1,
      sym_arguments,
    STATE(4645), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(4822), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4737), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4877), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4883), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4891), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4899), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4909), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4911), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4907), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [79462] = 10,
    ACTIONS(2338), 1,
      anon_sym_DQUOTE,
    ACTIONS(2340), 1,
      anon_sym_SQUOTE,
    ACTIONS(4679), 1,
      anon_sym_LBRACK,
    ACTIONS(5399), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5466), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5468), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3755), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3843), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2362), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [79526] = 33,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4033), 1,
      anon_sym_LBRACK,
    ACTIONS(4035), 1,
      anon_sym_DOT,
    ACTIONS(4701), 1,
      anon_sym_as,
    ACTIONS(4703), 1,
      anon_sym_BANG,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4739), 1,
      anon_sym_satisfies,
    ACTIONS(4879), 1,
      anon_sym_COMMA,
    ACTIONS(4885), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4887), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4889), 1,
      anon_sym_GT_GT,
    ACTIONS(4893), 1,
      anon_sym_AMP,
    ACTIONS(4895), 1,
      anon_sym_CARET,
    ACTIONS(4897), 1,
      anon_sym_PIPE,
    ACTIONS(4901), 1,
      anon_sym_PERCENT,
    ACTIONS(4903), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4905), 1,
      anon_sym_LT,
    ACTIONS(4913), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4915), 1,
      sym__ternary_qmark,
    ACTIONS(5470), 1,
      anon_sym_RPAREN,
    STATE(1642), 1,
      sym_type_arguments,
    STATE(1656), 1,
      sym_arguments,
    STATE(4645), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(4822), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4737), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4877), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4883), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4891), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4899), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4909), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4911), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4907), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [79636] = 10,
    ACTIONS(2338), 1,
      anon_sym_DQUOTE,
    ACTIONS(2340), 1,
      anon_sym_SQUOTE,
    ACTIONS(4679), 1,
      anon_sym_LBRACK,
    ACTIONS(5472), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5474), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5476), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3839), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3843), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2362), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [79700] = 4,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1743), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1747), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1749), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [79752] = 4,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1767), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1771), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1773), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [79804] = 5,
    ACTIONS(5478), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1781), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1785), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1787), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [79858] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1757), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1759), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [79908] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1827), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1829), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [79958] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1879), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1881), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [80008] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1747), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1749), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [80058] = 5,
    ACTIONS(5480), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1791), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1795), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1797), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [80112] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4481), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4483), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [80162] = 33,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4033), 1,
      anon_sym_LBRACK,
    ACTIONS(4035), 1,
      anon_sym_DOT,
    ACTIONS(4697), 1,
      anon_sym_LT,
    ACTIONS(4701), 1,
      anon_sym_as,
    ACTIONS(4703), 1,
      anon_sym_BANG,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4709), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4711), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4713), 1,
      anon_sym_GT_GT,
    ACTIONS(4717), 1,
      anon_sym_AMP,
    ACTIONS(4719), 1,
      anon_sym_CARET,
    ACTIONS(4721), 1,
      anon_sym_PIPE,
    ACTIONS(4725), 1,
      anon_sym_PERCENT,
    ACTIONS(4727), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4735), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4739), 1,
      anon_sym_satisfies,
    ACTIONS(4741), 1,
      sym__ternary_qmark,
    ACTIONS(5302), 1,
      anon_sym_COMMA,
    ACTIONS(5482), 1,
      anon_sym_COLON,
    STATE(1642), 1,
      sym_type_arguments,
    STATE(1656), 1,
      sym_arguments,
    STATE(3770), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(4822), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4699), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4705), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4715), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4723), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4731), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4733), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4737), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4729), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [80272] = 33,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4033), 1,
      anon_sym_LBRACK,
    ACTIONS(4035), 1,
      anon_sym_DOT,
    ACTIONS(4701), 1,
      anon_sym_as,
    ACTIONS(4703), 1,
      anon_sym_BANG,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4739), 1,
      anon_sym_satisfies,
    ACTIONS(4879), 1,
      anon_sym_COMMA,
    ACTIONS(4885), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4887), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4889), 1,
      anon_sym_GT_GT,
    ACTIONS(4893), 1,
      anon_sym_AMP,
    ACTIONS(4895), 1,
      anon_sym_CARET,
    ACTIONS(4897), 1,
      anon_sym_PIPE,
    ACTIONS(4901), 1,
      anon_sym_PERCENT,
    ACTIONS(4903), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4905), 1,
      anon_sym_LT,
    ACTIONS(4913), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4915), 1,
      sym__ternary_qmark,
    ACTIONS(5484), 1,
      anon_sym_RPAREN,
    STATE(1642), 1,
      sym_type_arguments,
    STATE(1656), 1,
      sym_arguments,
    STATE(4645), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(4822), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4737), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4877), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4883), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4891), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4899), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4909), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4911), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4907), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [80382] = 33,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4033), 1,
      anon_sym_LBRACK,
    ACTIONS(4035), 1,
      anon_sym_DOT,
    ACTIONS(4701), 1,
      anon_sym_as,
    ACTIONS(4703), 1,
      anon_sym_BANG,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4739), 1,
      anon_sym_satisfies,
    ACTIONS(4879), 1,
      anon_sym_COMMA,
    ACTIONS(4885), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4887), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4889), 1,
      anon_sym_GT_GT,
    ACTIONS(4893), 1,
      anon_sym_AMP,
    ACTIONS(4895), 1,
      anon_sym_CARET,
    ACTIONS(4897), 1,
      anon_sym_PIPE,
    ACTIONS(4901), 1,
      anon_sym_PERCENT,
    ACTIONS(4903), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4905), 1,
      anon_sym_LT,
    ACTIONS(4913), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4915), 1,
      sym__ternary_qmark,
    ACTIONS(5486), 1,
      anon_sym_RPAREN,
    STATE(1642), 1,
      sym_type_arguments,
    STATE(1656), 1,
      sym_arguments,
    STATE(4645), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(4822), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4737), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4877), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4883), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4891), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4899), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4909), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4911), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4907), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [80492] = 33,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4033), 1,
      anon_sym_LBRACK,
    ACTIONS(4035), 1,
      anon_sym_DOT,
    ACTIONS(4701), 1,
      anon_sym_as,
    ACTIONS(4703), 1,
      anon_sym_BANG,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4739), 1,
      anon_sym_satisfies,
    ACTIONS(4879), 1,
      anon_sym_COMMA,
    ACTIONS(4885), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4887), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4889), 1,
      anon_sym_GT_GT,
    ACTIONS(4893), 1,
      anon_sym_AMP,
    ACTIONS(4895), 1,
      anon_sym_CARET,
    ACTIONS(4897), 1,
      anon_sym_PIPE,
    ACTIONS(4901), 1,
      anon_sym_PERCENT,
    ACTIONS(4903), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4905), 1,
      anon_sym_LT,
    ACTIONS(4913), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4915), 1,
      sym__ternary_qmark,
    ACTIONS(5488), 1,
      anon_sym_RPAREN,
    STATE(1642), 1,
      sym_type_arguments,
    STATE(1656), 1,
      sym_arguments,
    STATE(4645), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(4822), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4737), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4877), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4883), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4891), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4899), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4909), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4911), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4907), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [80602] = 33,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4033), 1,
      anon_sym_LBRACK,
    ACTIONS(4035), 1,
      anon_sym_DOT,
    ACTIONS(4697), 1,
      anon_sym_LT,
    ACTIONS(4701), 1,
      anon_sym_as,
    ACTIONS(4703), 1,
      anon_sym_BANG,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4709), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4711), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4713), 1,
      anon_sym_GT_GT,
    ACTIONS(4717), 1,
      anon_sym_AMP,
    ACTIONS(4719), 1,
      anon_sym_CARET,
    ACTIONS(4721), 1,
      anon_sym_PIPE,
    ACTIONS(4725), 1,
      anon_sym_PERCENT,
    ACTIONS(4727), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4735), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4739), 1,
      anon_sym_satisfies,
    ACTIONS(4741), 1,
      sym__ternary_qmark,
    ACTIONS(5302), 1,
      anon_sym_COMMA,
    ACTIONS(5490), 1,
      anon_sym_SEMI,
    STATE(1642), 1,
      sym_type_arguments,
    STATE(1656), 1,
      sym_arguments,
    STATE(3770), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(4822), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4699), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4705), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4715), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4723), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4731), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4733), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4737), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4729), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [80712] = 5,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5492), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5494), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(3499), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3503), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [80766] = 5,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5496), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5498), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(3499), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3503), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [80820] = 5,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5496), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5498), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(3499), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3503), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [80874] = 5,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5496), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5498), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(3499), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3503), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [80928] = 4,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1733), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1737), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1739), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [80980] = 10,
    ACTIONS(2338), 1,
      anon_sym_DQUOTE,
    ACTIONS(2340), 1,
      anon_sym_SQUOTE,
    ACTIONS(4679), 1,
      anon_sym_LBRACK,
    ACTIONS(5500), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5502), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5504), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3864), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3843), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2362), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [81044] = 11,
    ACTIONS(1635), 1,
      anon_sym_DQUOTE,
    ACTIONS(1637), 1,
      anon_sym_SQUOTE,
    ACTIONS(4595), 1,
      anon_sym_LBRACK,
    ACTIONS(5500), 1,
      anon_sym_STAR,
    ACTIONS(5506), 1,
      anon_sym_async,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5508), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5510), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3070), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3843), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(3705), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [81110] = 7,
    ACTIONS(3587), 1,
      anon_sym_EQ,
    ACTIONS(4379), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4627), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(4630), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3499), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3503), 24,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [81168] = 11,
    ACTIONS(1635), 1,
      anon_sym_DQUOTE,
    ACTIONS(1637), 1,
      anon_sym_SQUOTE,
    ACTIONS(4595), 1,
      anon_sym_LBRACK,
    ACTIONS(5150), 1,
      anon_sym_STAR,
    ACTIONS(5152), 1,
      anon_sym_async,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5158), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(5512), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3079), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3843), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(3705), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [81234] = 4,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1833), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1837), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1839), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [81286] = 5,
    ACTIONS(5514), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1851), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1855), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1857), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [81340] = 4,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1865), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1869), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1871), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [81392] = 11,
    ACTIONS(1635), 1,
      anon_sym_DQUOTE,
    ACTIONS(1637), 1,
      anon_sym_SQUOTE,
    ACTIONS(4595), 1,
      anon_sym_LBRACK,
    ACTIONS(5150), 1,
      anon_sym_STAR,
    ACTIONS(5152), 1,
      anon_sym_async,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5158), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(5516), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3085), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3843), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(3705), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [81458] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4613), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4615), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [81508] = 10,
    ACTIONS(2338), 1,
      anon_sym_DQUOTE,
    ACTIONS(2340), 1,
      anon_sym_SQUOTE,
    ACTIONS(4679), 1,
      anon_sym_LBRACK,
    ACTIONS(5518), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5520), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5522), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3777), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3843), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2362), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [81572] = 11,
    ACTIONS(1635), 1,
      anon_sym_DQUOTE,
    ACTIONS(1637), 1,
      anon_sym_SQUOTE,
    ACTIONS(4595), 1,
      anon_sym_LBRACK,
    ACTIONS(5518), 1,
      anon_sym_STAR,
    ACTIONS(5524), 1,
      anon_sym_async,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5526), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5528), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3098), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3843), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3705), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [81638] = 11,
    ACTIONS(1635), 1,
      anon_sym_DQUOTE,
    ACTIONS(1637), 1,
      anon_sym_SQUOTE,
    ACTIONS(4595), 1,
      anon_sym_LBRACK,
    ACTIONS(5407), 1,
      anon_sym_STAR,
    ACTIONS(5409), 1,
      anon_sym_async,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5413), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(5530), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3074), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3843), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(3705), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [81704] = 33,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4033), 1,
      anon_sym_LBRACK,
    ACTIONS(4035), 1,
      anon_sym_DOT,
    ACTIONS(4697), 1,
      anon_sym_LT,
    ACTIONS(4701), 1,
      anon_sym_as,
    ACTIONS(4703), 1,
      anon_sym_BANG,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4709), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4711), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4713), 1,
      anon_sym_GT_GT,
    ACTIONS(4717), 1,
      anon_sym_AMP,
    ACTIONS(4719), 1,
      anon_sym_CARET,
    ACTIONS(4721), 1,
      anon_sym_PIPE,
    ACTIONS(4725), 1,
      anon_sym_PERCENT,
    ACTIONS(4727), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4735), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4739), 1,
      anon_sym_satisfies,
    ACTIONS(4741), 1,
      sym__ternary_qmark,
    ACTIONS(5302), 1,
      anon_sym_COMMA,
    ACTIONS(5532), 1,
      anon_sym_RBRACE,
    STATE(1642), 1,
      sym_type_arguments,
    STATE(1656), 1,
      sym_arguments,
    STATE(3770), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(4822), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4699), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4705), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4715), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4723), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4731), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4733), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4737), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4729), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [81814] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4517), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4519), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [81864] = 10,
    ACTIONS(2338), 1,
      anon_sym_DQUOTE,
    ACTIONS(2340), 1,
      anon_sym_SQUOTE,
    ACTIONS(4593), 1,
      anon_sym_EQ,
    ACTIONS(4679), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4071), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(4681), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3838), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3843), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2362), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [81928] = 11,
    ACTIONS(1635), 1,
      anon_sym_DQUOTE,
    ACTIONS(1637), 1,
      anon_sym_SQUOTE,
    ACTIONS(4595), 1,
      anon_sym_LBRACK,
    ACTIONS(5164), 1,
      anon_sym_STAR,
    ACTIONS(5166), 1,
      anon_sym_async,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5168), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5172), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3133), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3843), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3705), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [81994] = 31,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4033), 1,
      anon_sym_LBRACK,
    ACTIONS(4035), 1,
      anon_sym_DOT,
    ACTIONS(4697), 1,
      anon_sym_LT,
    ACTIONS(4701), 1,
      anon_sym_as,
    ACTIONS(4703), 1,
      anon_sym_BANG,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4709), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4711), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4713), 1,
      anon_sym_GT_GT,
    ACTIONS(4717), 1,
      anon_sym_AMP,
    ACTIONS(4719), 1,
      anon_sym_CARET,
    ACTIONS(4721), 1,
      anon_sym_PIPE,
    ACTIONS(4725), 1,
      anon_sym_PERCENT,
    ACTIONS(4727), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4735), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4739), 1,
      anon_sym_satisfies,
    ACTIONS(4741), 1,
      sym__ternary_qmark,
    STATE(1642), 1,
      sym_type_arguments,
    STATE(1656), 1,
      sym_arguments,
    STATE(4822), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4699), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4705), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4715), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4723), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4731), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4733), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4737), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4729), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5534), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
  [82100] = 12,
    ACTIONS(169), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1551), 1,
      anon_sym_DQUOTE,
    ACTIONS(1553), 1,
      anon_sym_SQUOTE,
    ACTIONS(3282), 1,
      anon_sym_LBRACE,
    ACTIONS(3947), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5084), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5538), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(5247), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(5594), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(5595), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
    ACTIONS(5536), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [82168] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4521), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4523), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [82218] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4485), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4487), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [82268] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4617), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4619), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [82318] = 5,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5013), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5112), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(3499), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3503), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [82372] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1771), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1773), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [82422] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1785), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1787), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [82472] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1795), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1797), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [82522] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1737), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1739), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [82572] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1837), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1839), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [82622] = 15,
    ACTIONS(239), 1,
      anon_sym_COMMA,
    ACTIONS(672), 1,
      anon_sym_RBRACE,
    ACTIONS(2338), 1,
      anon_sym_DQUOTE,
    ACTIONS(2340), 1,
      anon_sym_SQUOTE,
    ACTIONS(4593), 1,
      anon_sym_EQ,
    ACTIONS(4679), 1,
      anon_sym_LBRACK,
    ACTIONS(5003), 1,
      anon_sym_STAR,
    STATE(4824), 1,
      aux_sym_object_repeat1,
    STATE(4835), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2348), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2368), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3797), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3843), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2362), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [82696] = 16,
    ACTIONS(239), 1,
      anon_sym_COMMA,
    ACTIONS(672), 1,
      anon_sym_RBRACE,
    ACTIONS(2338), 1,
      anon_sym_DQUOTE,
    ACTIONS(2340), 1,
      anon_sym_SQUOTE,
    ACTIONS(2364), 1,
      anon_sym_async,
    ACTIONS(4593), 1,
      anon_sym_EQ,
    ACTIONS(4679), 1,
      anon_sym_LBRACK,
    ACTIONS(5003), 1,
      anon_sym_STAR,
    STATE(4824), 1,
      aux_sym_object_repeat1,
    STATE(4835), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2348), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2368), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3797), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3843), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2362), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [82772] = 33,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4033), 1,
      anon_sym_LBRACK,
    ACTIONS(4035), 1,
      anon_sym_DOT,
    ACTIONS(4701), 1,
      anon_sym_as,
    ACTIONS(4703), 1,
      anon_sym_BANG,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4739), 1,
      anon_sym_satisfies,
    ACTIONS(4879), 1,
      anon_sym_COMMA,
    ACTIONS(4885), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4887), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4889), 1,
      anon_sym_GT_GT,
    ACTIONS(4893), 1,
      anon_sym_AMP,
    ACTIONS(4895), 1,
      anon_sym_CARET,
    ACTIONS(4897), 1,
      anon_sym_PIPE,
    ACTIONS(4901), 1,
      anon_sym_PERCENT,
    ACTIONS(4903), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4905), 1,
      anon_sym_LT,
    ACTIONS(4913), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4915), 1,
      sym__ternary_qmark,
    ACTIONS(5540), 1,
      anon_sym_RPAREN,
    STATE(1642), 1,
      sym_type_arguments,
    STATE(1656), 1,
      sym_arguments,
    STATE(4645), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(4822), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4737), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4877), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4883), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4891), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4899), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4909), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4911), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4907), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [82882] = 33,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4033), 1,
      anon_sym_LBRACK,
    ACTIONS(4035), 1,
      anon_sym_DOT,
    ACTIONS(4701), 1,
      anon_sym_as,
    ACTIONS(4703), 1,
      anon_sym_BANG,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4739), 1,
      anon_sym_satisfies,
    ACTIONS(4879), 1,
      anon_sym_COMMA,
    ACTIONS(4885), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4887), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4889), 1,
      anon_sym_GT_GT,
    ACTIONS(4893), 1,
      anon_sym_AMP,
    ACTIONS(4895), 1,
      anon_sym_CARET,
    ACTIONS(4897), 1,
      anon_sym_PIPE,
    ACTIONS(4901), 1,
      anon_sym_PERCENT,
    ACTIONS(4903), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4905), 1,
      anon_sym_LT,
    ACTIONS(4913), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4915), 1,
      sym__ternary_qmark,
    ACTIONS(5542), 1,
      anon_sym_RPAREN,
    STATE(1642), 1,
      sym_type_arguments,
    STATE(1656), 1,
      sym_arguments,
    STATE(4645), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(4822), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4737), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4877), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4883), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4891), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4899), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4909), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4911), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4907), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [82992] = 33,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4033), 1,
      anon_sym_LBRACK,
    ACTIONS(4035), 1,
      anon_sym_DOT,
    ACTIONS(4701), 1,
      anon_sym_as,
    ACTIONS(4703), 1,
      anon_sym_BANG,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4739), 1,
      anon_sym_satisfies,
    ACTIONS(4879), 1,
      anon_sym_COMMA,
    ACTIONS(4885), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4887), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4889), 1,
      anon_sym_GT_GT,
    ACTIONS(4893), 1,
      anon_sym_AMP,
    ACTIONS(4895), 1,
      anon_sym_CARET,
    ACTIONS(4897), 1,
      anon_sym_PIPE,
    ACTIONS(4901), 1,
      anon_sym_PERCENT,
    ACTIONS(4903), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4905), 1,
      anon_sym_LT,
    ACTIONS(4913), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4915), 1,
      sym__ternary_qmark,
    ACTIONS(5544), 1,
      anon_sym_RPAREN,
    STATE(1642), 1,
      sym_type_arguments,
    STATE(1656), 1,
      sym_arguments,
    STATE(4645), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(4822), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4737), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4877), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4883), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4891), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4899), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4909), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4911), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4907), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [83102] = 5,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5546), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5548), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(3499), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3503), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [83156] = 4,
    ACTIONS(3569), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3499), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3503), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [83208] = 33,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4033), 1,
      anon_sym_LBRACK,
    ACTIONS(4035), 1,
      anon_sym_DOT,
    ACTIONS(4697), 1,
      anon_sym_LT,
    ACTIONS(4701), 1,
      anon_sym_as,
    ACTIONS(4703), 1,
      anon_sym_BANG,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4709), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4711), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4713), 1,
      anon_sym_GT_GT,
    ACTIONS(4717), 1,
      anon_sym_AMP,
    ACTIONS(4719), 1,
      anon_sym_CARET,
    ACTIONS(4721), 1,
      anon_sym_PIPE,
    ACTIONS(4725), 1,
      anon_sym_PERCENT,
    ACTIONS(4727), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4735), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4739), 1,
      anon_sym_satisfies,
    ACTIONS(4741), 1,
      sym__ternary_qmark,
    ACTIONS(5302), 1,
      anon_sym_COMMA,
    ACTIONS(5550), 1,
      anon_sym_SEMI,
    STATE(1642), 1,
      sym_type_arguments,
    STATE(1656), 1,
      sym_arguments,
    STATE(3770), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(4822), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4699), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4705), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4715), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4723), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4731), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4733), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4737), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4729), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [83318] = 33,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4033), 1,
      anon_sym_LBRACK,
    ACTIONS(4035), 1,
      anon_sym_DOT,
    ACTIONS(4697), 1,
      anon_sym_LT,
    ACTIONS(4701), 1,
      anon_sym_as,
    ACTIONS(4703), 1,
      anon_sym_BANG,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4709), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4711), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4713), 1,
      anon_sym_GT_GT,
    ACTIONS(4717), 1,
      anon_sym_AMP,
    ACTIONS(4719), 1,
      anon_sym_CARET,
    ACTIONS(4721), 1,
      anon_sym_PIPE,
    ACTIONS(4725), 1,
      anon_sym_PERCENT,
    ACTIONS(4727), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4735), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4739), 1,
      anon_sym_satisfies,
    ACTIONS(4741), 1,
      sym__ternary_qmark,
    ACTIONS(5302), 1,
      anon_sym_COMMA,
    ACTIONS(5552), 1,
      anon_sym_SEMI,
    STATE(1642), 1,
      sym_type_arguments,
    STATE(1656), 1,
      sym_arguments,
    STATE(3770), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(4822), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4699), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4705), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4715), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4723), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4731), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4733), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4737), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4729), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [83428] = 10,
    ACTIONS(2338), 1,
      anon_sym_DQUOTE,
    ACTIONS(2340), 1,
      anon_sym_SQUOTE,
    ACTIONS(4679), 1,
      anon_sym_LBRACK,
    ACTIONS(5554), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5556), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5558), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3761), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3843), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2362), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [83492] = 5,
    ACTIONS(1819), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1811), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(1815), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1817), 25,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [83546] = 15,
    ACTIONS(239), 1,
      anon_sym_COMMA,
    ACTIONS(2338), 1,
      anon_sym_DQUOTE,
    ACTIONS(2340), 1,
      anon_sym_SQUOTE,
    ACTIONS(4593), 1,
      anon_sym_EQ,
    ACTIONS(4679), 1,
      anon_sym_LBRACK,
    ACTIONS(5003), 1,
      anon_sym_STAR,
    ACTIONS(5005), 1,
      anon_sym_RBRACE,
    STATE(4835), 1,
      aux_sym_object_pattern_repeat1,
    STATE(4905), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2348), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2368), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3797), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3843), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2362), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [83620] = 16,
    ACTIONS(239), 1,
      anon_sym_COMMA,
    ACTIONS(2338), 1,
      anon_sym_DQUOTE,
    ACTIONS(2340), 1,
      anon_sym_SQUOTE,
    ACTIONS(2364), 1,
      anon_sym_async,
    ACTIONS(4593), 1,
      anon_sym_EQ,
    ACTIONS(4679), 1,
      anon_sym_LBRACK,
    ACTIONS(5003), 1,
      anon_sym_STAR,
    ACTIONS(5005), 1,
      anon_sym_RBRACE,
    STATE(4835), 1,
      aux_sym_object_pattern_repeat1,
    STATE(4905), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2348), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2368), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3797), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3843), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2362), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [83696] = 33,
    ACTIONS(1976), 1,
      anon_sym_COMMA,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4033), 1,
      anon_sym_LBRACK,
    ACTIONS(4035), 1,
      anon_sym_DOT,
    ACTIONS(4701), 1,
      anon_sym_as,
    ACTIONS(4703), 1,
      anon_sym_BANG,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4739), 1,
      anon_sym_satisfies,
    ACTIONS(4885), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4887), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4889), 1,
      anon_sym_GT_GT,
    ACTIONS(4893), 1,
      anon_sym_AMP,
    ACTIONS(4895), 1,
      anon_sym_CARET,
    ACTIONS(4897), 1,
      anon_sym_PIPE,
    ACTIONS(4901), 1,
      anon_sym_PERCENT,
    ACTIONS(4903), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4905), 1,
      anon_sym_LT,
    ACTIONS(4913), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4915), 1,
      sym__ternary_qmark,
    ACTIONS(5560), 1,
      anon_sym_RPAREN,
    STATE(1642), 1,
      sym_type_arguments,
    STATE(1656), 1,
      sym_arguments,
    STATE(4705), 1,
      aux_sym_array_repeat1,
    STATE(4822), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4737), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4877), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4883), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4891), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4899), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4909), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4911), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4907), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [83806] = 4,
    ACTIONS(5306), 1,
      sym_regex_flags,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4917), 17,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_of,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_instanceof,
      anon_sym_satisfies,
    ACTIONS(4919), 23,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [83858] = 7,
    ACTIONS(5562), 1,
      anon_sym_LPAREN,
    ACTIONS(5565), 1,
      anon_sym_COLON,
    ACTIONS(5567), 1,
      anon_sym_LT,
    ACTIONS(5570), 1,
      anon_sym_QMARK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3499), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3503), 25,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [83916] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4525), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4527), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [83966] = 6,
    ACTIONS(4627), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4379), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(4630), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3499), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3503), 25,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [84022] = 31,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4033), 1,
      anon_sym_LBRACK,
    ACTIONS(4035), 1,
      anon_sym_DOT,
    ACTIONS(4701), 1,
      anon_sym_as,
    ACTIONS(4703), 1,
      anon_sym_BANG,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4739), 1,
      anon_sym_satisfies,
    ACTIONS(5174), 1,
      anon_sym_LT,
    ACTIONS(5180), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5182), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5184), 1,
      anon_sym_GT_GT,
    ACTIONS(5188), 1,
      anon_sym_AMP,
    ACTIONS(5190), 1,
      anon_sym_CARET,
    ACTIONS(5192), 1,
      anon_sym_PIPE,
    ACTIONS(5196), 1,
      anon_sym_PERCENT,
    ACTIONS(5198), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5206), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5208), 1,
      sym__ternary_qmark,
    STATE(1656), 1,
      sym_arguments,
    STATE(2591), 1,
      sym_type_arguments,
    STATE(4822), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4737), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5176), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5178), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5186), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5194), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5202), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5204), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5200), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5572), 3,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_implements,
  [84128] = 9,
    ACTIONS(3501), 1,
      anon_sym_EQ,
    ACTIONS(3623), 1,
      anon_sym_COLON,
    ACTIONS(4379), 1,
      anon_sym_extends,
    ACTIONS(4627), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4630), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5574), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(3499), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3503), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [84190] = 31,
    ACTIONS(4633), 1,
      anon_sym_LPAREN,
    ACTIONS(4635), 1,
      anon_sym_LBRACK,
    ACTIONS(4637), 1,
      anon_sym_DOT,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4809), 1,
      anon_sym_as,
    ACTIONS(4811), 1,
      anon_sym_BANG,
    ACTIONS(4815), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4817), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4819), 1,
      anon_sym_GT_GT,
    ACTIONS(4823), 1,
      anon_sym_AMP,
    ACTIONS(4825), 1,
      anon_sym_CARET,
    ACTIONS(4827), 1,
      anon_sym_PIPE,
    ACTIONS(4831), 1,
      anon_sym_PERCENT,
    ACTIONS(4833), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4835), 1,
      anon_sym_LT,
    ACTIONS(4843), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4847), 1,
      anon_sym_satisfies,
    ACTIONS(4849), 1,
      sym__ternary_qmark,
    STATE(2027), 1,
      sym_type_arguments,
    STATE(2188), 1,
      sym_arguments,
    STATE(4605), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4807), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4813), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4821), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4829), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4839), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4841), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4845), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4837), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4866), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [84296] = 33,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4033), 1,
      anon_sym_LBRACK,
    ACTIONS(4035), 1,
      anon_sym_DOT,
    ACTIONS(4697), 1,
      anon_sym_LT,
    ACTIONS(4701), 1,
      anon_sym_as,
    ACTIONS(4703), 1,
      anon_sym_BANG,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4709), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4711), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4713), 1,
      anon_sym_GT_GT,
    ACTIONS(4717), 1,
      anon_sym_AMP,
    ACTIONS(4719), 1,
      anon_sym_CARET,
    ACTIONS(4721), 1,
      anon_sym_PIPE,
    ACTIONS(4725), 1,
      anon_sym_PERCENT,
    ACTIONS(4727), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4735), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4739), 1,
      anon_sym_satisfies,
    ACTIONS(4741), 1,
      sym__ternary_qmark,
    ACTIONS(5302), 1,
      anon_sym_COMMA,
    ACTIONS(5578), 1,
      anon_sym_RBRACK,
    STATE(1642), 1,
      sym_type_arguments,
    STATE(1656), 1,
      sym_arguments,
    STATE(3770), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(4822), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4699), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4705), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4715), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4723), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4731), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4733), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4737), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4729), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [84406] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4501), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4503), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [84456] = 10,
    ACTIONS(2338), 1,
      anon_sym_DQUOTE,
    ACTIONS(2340), 1,
      anon_sym_SQUOTE,
    ACTIONS(4679), 1,
      anon_sym_LBRACK,
    ACTIONS(5230), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5580), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5582), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3771), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3843), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2362), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [84520] = 11,
    ACTIONS(1635), 1,
      anon_sym_DQUOTE,
    ACTIONS(1637), 1,
      anon_sym_SQUOTE,
    ACTIONS(4595), 1,
      anon_sym_LBRACK,
    ACTIONS(5554), 1,
      anon_sym_STAR,
    ACTIONS(5584), 1,
      anon_sym_async,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5586), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5588), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3068), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3843), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(3705), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [84586] = 4,
    ACTIONS(3571), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3499), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3503), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [84638] = 11,
    ACTIONS(1635), 1,
      anon_sym_DQUOTE,
    ACTIONS(1637), 1,
      anon_sym_SQUOTE,
    ACTIONS(4595), 1,
      anon_sym_LBRACK,
    ACTIONS(5407), 1,
      anon_sym_STAR,
    ACTIONS(5409), 1,
      anon_sym_async,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5413), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(5590), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3071), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3843), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(3705), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [84704] = 33,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4033), 1,
      anon_sym_LBRACK,
    ACTIONS(4035), 1,
      anon_sym_DOT,
    ACTIONS(4697), 1,
      anon_sym_LT,
    ACTIONS(4701), 1,
      anon_sym_as,
    ACTIONS(4703), 1,
      anon_sym_BANG,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4709), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4711), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4713), 1,
      anon_sym_GT_GT,
    ACTIONS(4717), 1,
      anon_sym_AMP,
    ACTIONS(4719), 1,
      anon_sym_CARET,
    ACTIONS(4721), 1,
      anon_sym_PIPE,
    ACTIONS(4725), 1,
      anon_sym_PERCENT,
    ACTIONS(4727), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4735), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4739), 1,
      anon_sym_satisfies,
    ACTIONS(4741), 1,
      sym__ternary_qmark,
    ACTIONS(5302), 1,
      anon_sym_COMMA,
    ACTIONS(5592), 1,
      anon_sym_SEMI,
    STATE(1642), 1,
      sym_type_arguments,
    STATE(1656), 1,
      sym_arguments,
    STATE(3770), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(4822), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4699), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4705), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4715), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4723), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4731), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4733), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4737), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4729), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [84814] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4477), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4479), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [84864] = 31,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4033), 1,
      anon_sym_LBRACK,
    ACTIONS(4035), 1,
      anon_sym_DOT,
    ACTIONS(4701), 1,
      anon_sym_as,
    ACTIONS(4703), 1,
      anon_sym_BANG,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4739), 1,
      anon_sym_satisfies,
    ACTIONS(5598), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5600), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5602), 1,
      anon_sym_GT_GT,
    ACTIONS(5606), 1,
      anon_sym_AMP,
    ACTIONS(5608), 1,
      anon_sym_CARET,
    ACTIONS(5610), 1,
      anon_sym_PIPE,
    ACTIONS(5614), 1,
      anon_sym_PERCENT,
    ACTIONS(5616), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5618), 1,
      anon_sym_LT,
    ACTIONS(5626), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5628), 1,
      sym__ternary_qmark,
    STATE(1642), 1,
      sym_type_arguments,
    STATE(1656), 1,
      sym_arguments,
    STATE(4822), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4737), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4758), 2,
      anon_sym_COLON,
      anon_sym_BQUOTE,
    ACTIONS(5594), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5596), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5604), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5612), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5622), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5624), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5620), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [84969] = 8,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(5618), 1,
      anon_sym_LT,
    STATE(1642), 1,
      sym_type_arguments,
    STATE(1656), 1,
      sym_arguments,
    STATE(4822), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4693), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4695), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [85028] = 31,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4033), 1,
      anon_sym_LBRACK,
    ACTIONS(4035), 1,
      anon_sym_DOT,
    ACTIONS(4701), 1,
      anon_sym_as,
    ACTIONS(4703), 1,
      anon_sym_BANG,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4739), 1,
      anon_sym_satisfies,
    ACTIONS(5598), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5600), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5602), 1,
      anon_sym_GT_GT,
    ACTIONS(5606), 1,
      anon_sym_AMP,
    ACTIONS(5608), 1,
      anon_sym_CARET,
    ACTIONS(5610), 1,
      anon_sym_PIPE,
    ACTIONS(5614), 1,
      anon_sym_PERCENT,
    ACTIONS(5616), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5618), 1,
      anon_sym_LT,
    ACTIONS(5626), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5628), 1,
      sym__ternary_qmark,
    STATE(1642), 1,
      sym_type_arguments,
    STATE(1656), 1,
      sym_arguments,
    STATE(4822), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4483), 2,
      anon_sym_COLON,
      anon_sym_BQUOTE,
    ACTIONS(4737), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5594), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5596), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5604), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5612), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5622), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5624), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5620), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [85133] = 31,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4033), 1,
      anon_sym_LBRACK,
    ACTIONS(4035), 1,
      anon_sym_DOT,
    ACTIONS(4701), 1,
      anon_sym_as,
    ACTIONS(4703), 1,
      anon_sym_BANG,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4739), 1,
      anon_sym_satisfies,
    ACTIONS(5598), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5600), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5602), 1,
      anon_sym_GT_GT,
    ACTIONS(5606), 1,
      anon_sym_AMP,
    ACTIONS(5608), 1,
      anon_sym_CARET,
    ACTIONS(5610), 1,
      anon_sym_PIPE,
    ACTIONS(5614), 1,
      anon_sym_PERCENT,
    ACTIONS(5616), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5618), 1,
      anon_sym_LT,
    ACTIONS(5626), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5628), 1,
      sym__ternary_qmark,
    STATE(1642), 1,
      sym_type_arguments,
    STATE(1656), 1,
      sym_arguments,
    STATE(4822), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4737), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4743), 2,
      anon_sym_COLON,
      anon_sym_BQUOTE,
    ACTIONS(5594), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5596), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5604), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5612), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5622), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5624), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5620), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [85238] = 31,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4033), 1,
      anon_sym_LBRACK,
    ACTIONS(4035), 1,
      anon_sym_DOT,
    ACTIONS(4701), 1,
      anon_sym_as,
    ACTIONS(4703), 1,
      anon_sym_BANG,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4739), 1,
      anon_sym_satisfies,
    ACTIONS(5598), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5600), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5602), 1,
      anon_sym_GT_GT,
    ACTIONS(5606), 1,
      anon_sym_AMP,
    ACTIONS(5608), 1,
      anon_sym_CARET,
    ACTIONS(5610), 1,
      anon_sym_PIPE,
    ACTIONS(5614), 1,
      anon_sym_PERCENT,
    ACTIONS(5616), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5618), 1,
      anon_sym_LT,
    ACTIONS(5626), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5628), 1,
      sym__ternary_qmark,
    STATE(1642), 1,
      sym_type_arguments,
    STATE(1656), 1,
      sym_arguments,
    STATE(4822), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4737), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4745), 2,
      anon_sym_COLON,
      anon_sym_BQUOTE,
    ACTIONS(5594), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5596), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5604), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5612), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5622), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5624), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5620), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [85343] = 31,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4033), 1,
      anon_sym_LBRACK,
    ACTIONS(4035), 1,
      anon_sym_DOT,
    ACTIONS(4701), 1,
      anon_sym_as,
    ACTIONS(4703), 1,
      anon_sym_BANG,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4739), 1,
      anon_sym_satisfies,
    ACTIONS(5598), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5600), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5602), 1,
      anon_sym_GT_GT,
    ACTIONS(5606), 1,
      anon_sym_AMP,
    ACTIONS(5608), 1,
      anon_sym_CARET,
    ACTIONS(5610), 1,
      anon_sym_PIPE,
    ACTIONS(5614), 1,
      anon_sym_PERCENT,
    ACTIONS(5616), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5618), 1,
      anon_sym_LT,
    ACTIONS(5626), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5628), 1,
      sym__ternary_qmark,
    STATE(1642), 1,
      sym_type_arguments,
    STATE(1656), 1,
      sym_arguments,
    STATE(4822), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4737), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4747), 2,
      anon_sym_COLON,
      anon_sym_BQUOTE,
    ACTIONS(5594), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5596), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5604), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5612), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5622), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5624), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5620), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [85448] = 31,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4033), 1,
      anon_sym_LBRACK,
    ACTIONS(4035), 1,
      anon_sym_DOT,
    ACTIONS(4701), 1,
      anon_sym_as,
    ACTIONS(4703), 1,
      anon_sym_BANG,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4739), 1,
      anon_sym_satisfies,
    ACTIONS(5598), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5600), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5602), 1,
      anon_sym_GT_GT,
    ACTIONS(5606), 1,
      anon_sym_AMP,
    ACTIONS(5608), 1,
      anon_sym_CARET,
    ACTIONS(5610), 1,
      anon_sym_PIPE,
    ACTIONS(5614), 1,
      anon_sym_PERCENT,
    ACTIONS(5616), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5618), 1,
      anon_sym_LT,
    ACTIONS(5626), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5628), 1,
      sym__ternary_qmark,
    STATE(1642), 1,
      sym_type_arguments,
    STATE(1656), 1,
      sym_arguments,
    STATE(4822), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4523), 2,
      anon_sym_COLON,
      anon_sym_BQUOTE,
    ACTIONS(4737), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5594), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5596), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5604), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5612), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5622), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5624), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5620), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [85553] = 18,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4033), 1,
      anon_sym_LBRACK,
    ACTIONS(4035), 1,
      anon_sym_DOT,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5602), 1,
      anon_sym_GT_GT,
    ACTIONS(5614), 1,
      anon_sym_PERCENT,
    ACTIONS(5616), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5618), 1,
      anon_sym_LT,
    STATE(1642), 1,
      sym_type_arguments,
    STATE(1656), 1,
      sym_arguments,
    STATE(4822), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4737), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5594), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5604), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5612), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4751), 7,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4749), 14,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [85632] = 13,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4033), 1,
      anon_sym_LBRACK,
    ACTIONS(4035), 1,
      anon_sym_DOT,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5616), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5630), 1,
      anon_sym_LT,
    STATE(1642), 1,
      sym_type_arguments,
    STATE(1656), 1,
      sym_arguments,
    STATE(4822), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4737), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4751), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4749), 17,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [85701] = 25,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4033), 1,
      anon_sym_LBRACK,
    ACTIONS(4035), 1,
      anon_sym_DOT,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4751), 1,
      anon_sym_BANG,
    ACTIONS(5602), 1,
      anon_sym_GT_GT,
    ACTIONS(5606), 1,
      anon_sym_AMP,
    ACTIONS(5608), 1,
      anon_sym_CARET,
    ACTIONS(5610), 1,
      anon_sym_PIPE,
    ACTIONS(5614), 1,
      anon_sym_PERCENT,
    ACTIONS(5616), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5618), 1,
      anon_sym_LT,
    STATE(1642), 1,
      sym_type_arguments,
    STATE(1656), 1,
      sym_arguments,
    STATE(4822), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4737), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5594), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5596), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5604), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5612), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5622), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5624), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5620), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4749), 8,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [85794] = 26,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4033), 1,
      anon_sym_LBRACK,
    ACTIONS(4035), 1,
      anon_sym_DOT,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4751), 1,
      anon_sym_BANG,
    ACTIONS(5598), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5602), 1,
      anon_sym_GT_GT,
    ACTIONS(5606), 1,
      anon_sym_AMP,
    ACTIONS(5608), 1,
      anon_sym_CARET,
    ACTIONS(5610), 1,
      anon_sym_PIPE,
    ACTIONS(5614), 1,
      anon_sym_PERCENT,
    ACTIONS(5616), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5618), 1,
      anon_sym_LT,
    STATE(1642), 1,
      sym_type_arguments,
    STATE(1656), 1,
      sym_arguments,
    STATE(4822), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4737), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5594), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5596), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5604), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5612), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5622), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5624), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5620), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4749), 7,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [85889] = 16,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4033), 1,
      anon_sym_LBRACK,
    ACTIONS(4035), 1,
      anon_sym_DOT,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5614), 1,
      anon_sym_PERCENT,
    ACTIONS(5616), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5630), 1,
      anon_sym_LT,
    STATE(1642), 1,
      sym_type_arguments,
    STATE(1656), 1,
      sym_arguments,
    STATE(4822), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4737), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5594), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5612), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4751), 8,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4749), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [85964] = 22,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4033), 1,
      anon_sym_LBRACK,
    ACTIONS(4035), 1,
      anon_sym_DOT,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5602), 1,
      anon_sym_GT_GT,
    ACTIONS(5614), 1,
      anon_sym_PERCENT,
    ACTIONS(5616), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5618), 1,
      anon_sym_LT,
    STATE(1642), 1,
      sym_type_arguments,
    STATE(1656), 1,
      sym_arguments,
    STATE(4822), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4737), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5594), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5596), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5604), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5612), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5622), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5624), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4751), 3,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5620), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4749), 9,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [86051] = 23,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4033), 1,
      anon_sym_LBRACK,
    ACTIONS(4035), 1,
      anon_sym_DOT,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5602), 1,
      anon_sym_GT_GT,
    ACTIONS(5606), 1,
      anon_sym_AMP,
    ACTIONS(5614), 1,
      anon_sym_PERCENT,
    ACTIONS(5616), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5618), 1,
      anon_sym_LT,
    STATE(1642), 1,
      sym_type_arguments,
    STATE(1656), 1,
      sym_arguments,
    STATE(4822), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4737), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4751), 2,
      anon_sym_BANG,
      anon_sym_PIPE,
    ACTIONS(5594), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5596), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5604), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5612), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5622), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5624), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5620), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4749), 9,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [86140] = 24,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4033), 1,
      anon_sym_LBRACK,
    ACTIONS(4035), 1,
      anon_sym_DOT,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5602), 1,
      anon_sym_GT_GT,
    ACTIONS(5606), 1,
      anon_sym_AMP,
    ACTIONS(5608), 1,
      anon_sym_CARET,
    ACTIONS(5614), 1,
      anon_sym_PERCENT,
    ACTIONS(5616), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5618), 1,
      anon_sym_LT,
    STATE(1642), 1,
      sym_type_arguments,
    STATE(1656), 1,
      sym_arguments,
    STATE(4822), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4737), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4751), 2,
      anon_sym_BANG,
      anon_sym_PIPE,
    ACTIONS(5594), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5596), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5604), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5612), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5622), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5624), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5620), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4749), 8,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [86231] = 15,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4033), 1,
      anon_sym_LBRACK,
    ACTIONS(4035), 1,
      anon_sym_DOT,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5614), 1,
      anon_sym_PERCENT,
    ACTIONS(5616), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5630), 1,
      anon_sym_LT,
    STATE(1642), 1,
      sym_type_arguments,
    STATE(1656), 1,
      sym_arguments,
    STATE(4822), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4737), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5594), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4751), 10,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4749), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [86304] = 16,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4033), 1,
      anon_sym_LBRACK,
    ACTIONS(4035), 1,
      anon_sym_DOT,
    ACTIONS(4701), 1,
      anon_sym_as,
    ACTIONS(4703), 1,
      anon_sym_BANG,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4739), 1,
      anon_sym_satisfies,
    ACTIONS(5616), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5630), 1,
      anon_sym_LT,
    STATE(1642), 1,
      sym_type_arguments,
    STATE(1656), 1,
      sym_arguments,
    STATE(4822), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4737), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4751), 11,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4749), 15,
      sym__ternary_qmark,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_BQUOTE,
  [86379] = 20,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4033), 1,
      anon_sym_LBRACK,
    ACTIONS(4035), 1,
      anon_sym_DOT,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5602), 1,
      anon_sym_GT_GT,
    ACTIONS(5614), 1,
      anon_sym_PERCENT,
    ACTIONS(5616), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5618), 1,
      anon_sym_LT,
    STATE(1642), 1,
      sym_type_arguments,
    STATE(1656), 1,
      sym_arguments,
    STATE(4822), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4737), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5594), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5596), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5604), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5612), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5620), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4751), 5,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4749), 11,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [86462] = 27,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4033), 1,
      anon_sym_LBRACK,
    ACTIONS(4035), 1,
      anon_sym_DOT,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4751), 1,
      anon_sym_BANG,
    ACTIONS(5598), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5600), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5602), 1,
      anon_sym_GT_GT,
    ACTIONS(5606), 1,
      anon_sym_AMP,
    ACTIONS(5608), 1,
      anon_sym_CARET,
    ACTIONS(5610), 1,
      anon_sym_PIPE,
    ACTIONS(5614), 1,
      anon_sym_PERCENT,
    ACTIONS(5616), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5618), 1,
      anon_sym_LT,
    STATE(1642), 1,
      sym_type_arguments,
    STATE(1656), 1,
      sym_arguments,
    STATE(4822), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4737), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5594), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5596), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5604), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5612), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5622), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5624), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5620), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4749), 6,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [86559] = 31,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4033), 1,
      anon_sym_LBRACK,
    ACTIONS(4035), 1,
      anon_sym_DOT,
    ACTIONS(4701), 1,
      anon_sym_as,
    ACTIONS(4703), 1,
      anon_sym_BANG,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4739), 1,
      anon_sym_satisfies,
    ACTIONS(5598), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5600), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5602), 1,
      anon_sym_GT_GT,
    ACTIONS(5606), 1,
      anon_sym_AMP,
    ACTIONS(5608), 1,
      anon_sym_CARET,
    ACTIONS(5610), 1,
      anon_sym_PIPE,
    ACTIONS(5614), 1,
      anon_sym_PERCENT,
    ACTIONS(5616), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5618), 1,
      anon_sym_LT,
    ACTIONS(5626), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5628), 1,
      sym__ternary_qmark,
    STATE(1642), 1,
      sym_type_arguments,
    STATE(1656), 1,
      sym_arguments,
    STATE(4822), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4541), 2,
      anon_sym_COLON,
      anon_sym_BQUOTE,
    ACTIONS(4737), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5594), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5596), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5604), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5612), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5622), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5624), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5620), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [86664] = 31,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4033), 1,
      anon_sym_LBRACK,
    ACTIONS(4035), 1,
      anon_sym_DOT,
    ACTIONS(4701), 1,
      anon_sym_as,
    ACTIONS(4703), 1,
      anon_sym_BANG,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4739), 1,
      anon_sym_satisfies,
    ACTIONS(5598), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5600), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5602), 1,
      anon_sym_GT_GT,
    ACTIONS(5606), 1,
      anon_sym_AMP,
    ACTIONS(5608), 1,
      anon_sym_CARET,
    ACTIONS(5610), 1,
      anon_sym_PIPE,
    ACTIONS(5614), 1,
      anon_sym_PERCENT,
    ACTIONS(5616), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5618), 1,
      anon_sym_LT,
    ACTIONS(5626), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5628), 1,
      sym__ternary_qmark,
    STATE(1642), 1,
      sym_type_arguments,
    STATE(1656), 1,
      sym_arguments,
    STATE(4822), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4737), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4756), 2,
      anon_sym_COLON,
      anon_sym_BQUOTE,
    ACTIONS(5594), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5596), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5604), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5612), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5622), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5624), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5620), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [86769] = 31,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4033), 1,
      anon_sym_LBRACK,
    ACTIONS(4035), 1,
      anon_sym_DOT,
    ACTIONS(4701), 1,
      anon_sym_as,
    ACTIONS(4703), 1,
      anon_sym_BANG,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4739), 1,
      anon_sym_satisfies,
    ACTIONS(5598), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5600), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5602), 1,
      anon_sym_GT_GT,
    ACTIONS(5606), 1,
      anon_sym_AMP,
    ACTIONS(5608), 1,
      anon_sym_CARET,
    ACTIONS(5610), 1,
      anon_sym_PIPE,
    ACTIONS(5614), 1,
      anon_sym_PERCENT,
    ACTIONS(5616), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5618), 1,
      anon_sym_LT,
    ACTIONS(5626), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5628), 1,
      sym__ternary_qmark,
    STATE(1642), 1,
      sym_type_arguments,
    STATE(1656), 1,
      sym_arguments,
    STATE(4822), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4565), 2,
      anon_sym_COLON,
      anon_sym_BQUOTE,
    ACTIONS(4737), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5594), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5596), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5604), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5612), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5622), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5624), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5620), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [86874] = 31,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4033), 1,
      anon_sym_LBRACK,
    ACTIONS(4035), 1,
      anon_sym_DOT,
    ACTIONS(4701), 1,
      anon_sym_as,
    ACTIONS(4703), 1,
      anon_sym_BANG,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4739), 1,
      anon_sym_satisfies,
    ACTIONS(5598), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5600), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5602), 1,
      anon_sym_GT_GT,
    ACTIONS(5606), 1,
      anon_sym_AMP,
    ACTIONS(5608), 1,
      anon_sym_CARET,
    ACTIONS(5610), 1,
      anon_sym_PIPE,
    ACTIONS(5614), 1,
      anon_sym_PERCENT,
    ACTIONS(5616), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5618), 1,
      anon_sym_LT,
    ACTIONS(5626), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5628), 1,
      sym__ternary_qmark,
    STATE(1642), 1,
      sym_type_arguments,
    STATE(1656), 1,
      sym_arguments,
    STATE(4822), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4573), 2,
      anon_sym_COLON,
      anon_sym_BQUOTE,
    ACTIONS(4737), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5594), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5596), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5604), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5612), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5622), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5624), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5620), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [86979] = 31,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4033), 1,
      anon_sym_LBRACK,
    ACTIONS(4035), 1,
      anon_sym_DOT,
    ACTIONS(4701), 1,
      anon_sym_as,
    ACTIONS(4703), 1,
      anon_sym_BANG,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4739), 1,
      anon_sym_satisfies,
    ACTIONS(5598), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5600), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5602), 1,
      anon_sym_GT_GT,
    ACTIONS(5606), 1,
      anon_sym_AMP,
    ACTIONS(5608), 1,
      anon_sym_CARET,
    ACTIONS(5610), 1,
      anon_sym_PIPE,
    ACTIONS(5614), 1,
      anon_sym_PERCENT,
    ACTIONS(5616), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5618), 1,
      anon_sym_LT,
    ACTIONS(5626), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5628), 1,
      sym__ternary_qmark,
    STATE(1642), 1,
      sym_type_arguments,
    STATE(1656), 1,
      sym_arguments,
    STATE(4822), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4577), 2,
      anon_sym_COLON,
      anon_sym_BQUOTE,
    ACTIONS(4737), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5594), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5596), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5604), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5612), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5622), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5624), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5620), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [87084] = 31,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4033), 1,
      anon_sym_LBRACK,
    ACTIONS(4035), 1,
      anon_sym_DOT,
    ACTIONS(4701), 1,
      anon_sym_as,
    ACTIONS(4703), 1,
      anon_sym_BANG,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4739), 1,
      anon_sym_satisfies,
    ACTIONS(5598), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5600), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5602), 1,
      anon_sym_GT_GT,
    ACTIONS(5606), 1,
      anon_sym_AMP,
    ACTIONS(5608), 1,
      anon_sym_CARET,
    ACTIONS(5610), 1,
      anon_sym_PIPE,
    ACTIONS(5614), 1,
      anon_sym_PERCENT,
    ACTIONS(5616), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5618), 1,
      anon_sym_LT,
    ACTIONS(5626), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5628), 1,
      sym__ternary_qmark,
    STATE(1642), 1,
      sym_type_arguments,
    STATE(1656), 1,
      sym_arguments,
    STATE(4822), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4737), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4760), 2,
      anon_sym_COLON,
      anon_sym_BQUOTE,
    ACTIONS(5594), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5596), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5604), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5612), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5622), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5624), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5620), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [87189] = 31,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4033), 1,
      anon_sym_LBRACK,
    ACTIONS(4035), 1,
      anon_sym_DOT,
    ACTIONS(4701), 1,
      anon_sym_as,
    ACTIONS(4703), 1,
      anon_sym_BANG,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4739), 1,
      anon_sym_satisfies,
    ACTIONS(5598), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5600), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5602), 1,
      anon_sym_GT_GT,
    ACTIONS(5606), 1,
      anon_sym_AMP,
    ACTIONS(5608), 1,
      anon_sym_CARET,
    ACTIONS(5610), 1,
      anon_sym_PIPE,
    ACTIONS(5614), 1,
      anon_sym_PERCENT,
    ACTIONS(5616), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5618), 1,
      anon_sym_LT,
    ACTIONS(5626), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5628), 1,
      sym__ternary_qmark,
    STATE(1642), 1,
      sym_type_arguments,
    STATE(1656), 1,
      sym_arguments,
    STATE(4822), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4737), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4772), 2,
      anon_sym_COLON,
      anon_sym_BQUOTE,
    ACTIONS(5594), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5596), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5604), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5612), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5622), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5624), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5620), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [87294] = 5,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4167), 3,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
    ACTIONS(4169), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_extends,
    ACTIONS(3499), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3503), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [87347] = 4,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1885), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1889), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1891), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [87398] = 8,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(5633), 1,
      anon_sym_LT,
    STATE(1642), 1,
      sym_type_arguments,
    STATE(1656), 1,
      sym_arguments,
    STATE(4822), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4693), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4695), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [87457] = 31,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4033), 1,
      anon_sym_LBRACK,
    ACTIONS(4035), 1,
      anon_sym_DOT,
    ACTIONS(4701), 1,
      anon_sym_as,
    ACTIONS(4703), 1,
      anon_sym_BANG,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4739), 1,
      anon_sym_satisfies,
    ACTIONS(5633), 1,
      anon_sym_LT,
    ACTIONS(5639), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5641), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5643), 1,
      anon_sym_GT_GT,
    ACTIONS(5647), 1,
      anon_sym_AMP,
    ACTIONS(5649), 1,
      anon_sym_CARET,
    ACTIONS(5651), 1,
      anon_sym_PIPE,
    ACTIONS(5655), 1,
      anon_sym_PERCENT,
    ACTIONS(5657), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5665), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5667), 1,
      sym__ternary_qmark,
    STATE(1642), 1,
      sym_type_arguments,
    STATE(1656), 1,
      sym_arguments,
    STATE(4822), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4483), 2,
      anon_sym_RBRACK,
      anon_sym_BQUOTE,
    ACTIONS(4737), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5635), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5637), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5645), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5653), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5661), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5663), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5659), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [87562] = 31,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4033), 1,
      anon_sym_LBRACK,
    ACTIONS(4035), 1,
      anon_sym_DOT,
    ACTIONS(4701), 1,
      anon_sym_as,
    ACTIONS(4703), 1,
      anon_sym_BANG,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4739), 1,
      anon_sym_satisfies,
    ACTIONS(5633), 1,
      anon_sym_LT,
    ACTIONS(5639), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5641), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5643), 1,
      anon_sym_GT_GT,
    ACTIONS(5647), 1,
      anon_sym_AMP,
    ACTIONS(5649), 1,
      anon_sym_CARET,
    ACTIONS(5651), 1,
      anon_sym_PIPE,
    ACTIONS(5655), 1,
      anon_sym_PERCENT,
    ACTIONS(5657), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5665), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5667), 1,
      sym__ternary_qmark,
    STATE(1642), 1,
      sym_type_arguments,
    STATE(1656), 1,
      sym_arguments,
    STATE(4822), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4737), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4743), 2,
      anon_sym_RBRACK,
      anon_sym_BQUOTE,
    ACTIONS(5635), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5637), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5645), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5653), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5661), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5663), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5659), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [87667] = 31,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4033), 1,
      anon_sym_LBRACK,
    ACTIONS(4035), 1,
      anon_sym_DOT,
    ACTIONS(4701), 1,
      anon_sym_as,
    ACTIONS(4703), 1,
      anon_sym_BANG,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4739), 1,
      anon_sym_satisfies,
    ACTIONS(5633), 1,
      anon_sym_LT,
    ACTIONS(5639), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5641), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5643), 1,
      anon_sym_GT_GT,
    ACTIONS(5647), 1,
      anon_sym_AMP,
    ACTIONS(5649), 1,
      anon_sym_CARET,
    ACTIONS(5651), 1,
      anon_sym_PIPE,
    ACTIONS(5655), 1,
      anon_sym_PERCENT,
    ACTIONS(5657), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5665), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5667), 1,
      sym__ternary_qmark,
    STATE(1642), 1,
      sym_type_arguments,
    STATE(1656), 1,
      sym_arguments,
    STATE(4822), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4737), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4745), 2,
      anon_sym_RBRACK,
      anon_sym_BQUOTE,
    ACTIONS(5635), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5637), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5645), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5653), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5661), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5663), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5659), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [87772] = 31,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4033), 1,
      anon_sym_LBRACK,
    ACTIONS(4035), 1,
      anon_sym_DOT,
    ACTIONS(4701), 1,
      anon_sym_as,
    ACTIONS(4703), 1,
      anon_sym_BANG,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4739), 1,
      anon_sym_satisfies,
    ACTIONS(5633), 1,
      anon_sym_LT,
    ACTIONS(5639), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5641), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5643), 1,
      anon_sym_GT_GT,
    ACTIONS(5647), 1,
      anon_sym_AMP,
    ACTIONS(5649), 1,
      anon_sym_CARET,
    ACTIONS(5651), 1,
      anon_sym_PIPE,
    ACTIONS(5655), 1,
      anon_sym_PERCENT,
    ACTIONS(5657), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5665), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5667), 1,
      sym__ternary_qmark,
    STATE(1642), 1,
      sym_type_arguments,
    STATE(1656), 1,
      sym_arguments,
    STATE(4822), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4737), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4747), 2,
      anon_sym_RBRACK,
      anon_sym_BQUOTE,
    ACTIONS(5635), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5637), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5645), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5653), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5661), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5663), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5659), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [87877] = 31,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4033), 1,
      anon_sym_LBRACK,
    ACTIONS(4035), 1,
      anon_sym_DOT,
    ACTIONS(4701), 1,
      anon_sym_as,
    ACTIONS(4703), 1,
      anon_sym_BANG,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4739), 1,
      anon_sym_satisfies,
    ACTIONS(5633), 1,
      anon_sym_LT,
    ACTIONS(5639), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5641), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5643), 1,
      anon_sym_GT_GT,
    ACTIONS(5647), 1,
      anon_sym_AMP,
    ACTIONS(5649), 1,
      anon_sym_CARET,
    ACTIONS(5651), 1,
      anon_sym_PIPE,
    ACTIONS(5655), 1,
      anon_sym_PERCENT,
    ACTIONS(5657), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5665), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5667), 1,
      sym__ternary_qmark,
    STATE(1642), 1,
      sym_type_arguments,
    STATE(1656), 1,
      sym_arguments,
    STATE(4822), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4523), 2,
      anon_sym_RBRACK,
      anon_sym_BQUOTE,
    ACTIONS(4737), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5635), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5637), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5645), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5653), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5661), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5663), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5659), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [87982] = 18,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4033), 1,
      anon_sym_LBRACK,
    ACTIONS(4035), 1,
      anon_sym_DOT,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5633), 1,
      anon_sym_LT,
    ACTIONS(5643), 1,
      anon_sym_GT_GT,
    ACTIONS(5655), 1,
      anon_sym_PERCENT,
    ACTIONS(5657), 1,
      anon_sym_STAR_STAR,
    STATE(1642), 1,
      sym_type_arguments,
    STATE(1656), 1,
      sym_arguments,
    STATE(4822), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4737), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5635), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5645), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5653), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4751), 7,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4749), 14,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [88061] = 13,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4033), 1,
      anon_sym_LBRACK,
    ACTIONS(4035), 1,
      anon_sym_DOT,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5657), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5669), 1,
      anon_sym_LT,
    STATE(1642), 1,
      sym_type_arguments,
    STATE(1656), 1,
      sym_arguments,
    STATE(4822), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4737), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4751), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4749), 17,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [88130] = 25,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4033), 1,
      anon_sym_LBRACK,
    ACTIONS(4035), 1,
      anon_sym_DOT,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4751), 1,
      anon_sym_BANG,
    ACTIONS(5633), 1,
      anon_sym_LT,
    ACTIONS(5643), 1,
      anon_sym_GT_GT,
    ACTIONS(5647), 1,
      anon_sym_AMP,
    ACTIONS(5649), 1,
      anon_sym_CARET,
    ACTIONS(5651), 1,
      anon_sym_PIPE,
    ACTIONS(5655), 1,
      anon_sym_PERCENT,
    ACTIONS(5657), 1,
      anon_sym_STAR_STAR,
    STATE(1642), 1,
      sym_type_arguments,
    STATE(1656), 1,
      sym_arguments,
    STATE(4822), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4737), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5635), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5637), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5645), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5653), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5661), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5663), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5659), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4749), 8,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [88223] = 26,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4033), 1,
      anon_sym_LBRACK,
    ACTIONS(4035), 1,
      anon_sym_DOT,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4751), 1,
      anon_sym_BANG,
    ACTIONS(5633), 1,
      anon_sym_LT,
    ACTIONS(5639), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5643), 1,
      anon_sym_GT_GT,
    ACTIONS(5647), 1,
      anon_sym_AMP,
    ACTIONS(5649), 1,
      anon_sym_CARET,
    ACTIONS(5651), 1,
      anon_sym_PIPE,
    ACTIONS(5655), 1,
      anon_sym_PERCENT,
    ACTIONS(5657), 1,
      anon_sym_STAR_STAR,
    STATE(1642), 1,
      sym_type_arguments,
    STATE(1656), 1,
      sym_arguments,
    STATE(4822), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4737), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5635), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5637), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5645), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5653), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5661), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5663), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5659), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4749), 7,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [88318] = 16,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4033), 1,
      anon_sym_LBRACK,
    ACTIONS(4035), 1,
      anon_sym_DOT,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5655), 1,
      anon_sym_PERCENT,
    ACTIONS(5657), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5669), 1,
      anon_sym_LT,
    STATE(1642), 1,
      sym_type_arguments,
    STATE(1656), 1,
      sym_arguments,
    STATE(4822), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4737), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5635), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5653), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4751), 8,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4749), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [88393] = 22,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4033), 1,
      anon_sym_LBRACK,
    ACTIONS(4035), 1,
      anon_sym_DOT,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5633), 1,
      anon_sym_LT,
    ACTIONS(5643), 1,
      anon_sym_GT_GT,
    ACTIONS(5655), 1,
      anon_sym_PERCENT,
    ACTIONS(5657), 1,
      anon_sym_STAR_STAR,
    STATE(1642), 1,
      sym_type_arguments,
    STATE(1656), 1,
      sym_arguments,
    STATE(4822), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4737), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5635), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5637), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5645), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5653), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5661), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5663), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4751), 3,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5659), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4749), 9,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [88480] = 23,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4033), 1,
      anon_sym_LBRACK,
    ACTIONS(4035), 1,
      anon_sym_DOT,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5633), 1,
      anon_sym_LT,
    ACTIONS(5643), 1,
      anon_sym_GT_GT,
    ACTIONS(5647), 1,
      anon_sym_AMP,
    ACTIONS(5655), 1,
      anon_sym_PERCENT,
    ACTIONS(5657), 1,
      anon_sym_STAR_STAR,
    STATE(1642), 1,
      sym_type_arguments,
    STATE(1656), 1,
      sym_arguments,
    STATE(4822), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4737), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4751), 2,
      anon_sym_BANG,
      anon_sym_PIPE,
    ACTIONS(5635), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5637), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5645), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5653), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5661), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5663), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5659), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4749), 9,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [88569] = 24,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4033), 1,
      anon_sym_LBRACK,
    ACTIONS(4035), 1,
      anon_sym_DOT,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5633), 1,
      anon_sym_LT,
    ACTIONS(5643), 1,
      anon_sym_GT_GT,
    ACTIONS(5647), 1,
      anon_sym_AMP,
    ACTIONS(5649), 1,
      anon_sym_CARET,
    ACTIONS(5655), 1,
      anon_sym_PERCENT,
    ACTIONS(5657), 1,
      anon_sym_STAR_STAR,
    STATE(1642), 1,
      sym_type_arguments,
    STATE(1656), 1,
      sym_arguments,
    STATE(4822), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4737), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4751), 2,
      anon_sym_BANG,
      anon_sym_PIPE,
    ACTIONS(5635), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5637), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5645), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5653), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5661), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5663), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5659), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4749), 8,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [88660] = 15,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4033), 1,
      anon_sym_LBRACK,
    ACTIONS(4035), 1,
      anon_sym_DOT,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5655), 1,
      anon_sym_PERCENT,
    ACTIONS(5657), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5669), 1,
      anon_sym_LT,
    STATE(1642), 1,
      sym_type_arguments,
    STATE(1656), 1,
      sym_arguments,
    STATE(4822), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4737), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5635), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4751), 10,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4749), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [88733] = 16,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4033), 1,
      anon_sym_LBRACK,
    ACTIONS(4035), 1,
      anon_sym_DOT,
    ACTIONS(4701), 1,
      anon_sym_as,
    ACTIONS(4703), 1,
      anon_sym_BANG,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4739), 1,
      anon_sym_satisfies,
    ACTIONS(5657), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5669), 1,
      anon_sym_LT,
    STATE(1642), 1,
      sym_type_arguments,
    STATE(1656), 1,
      sym_arguments,
    STATE(4822), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4737), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4751), 11,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4749), 15,
      sym__ternary_qmark,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_BQUOTE,
  [88808] = 20,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4033), 1,
      anon_sym_LBRACK,
    ACTIONS(4035), 1,
      anon_sym_DOT,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5633), 1,
      anon_sym_LT,
    ACTIONS(5643), 1,
      anon_sym_GT_GT,
    ACTIONS(5655), 1,
      anon_sym_PERCENT,
    ACTIONS(5657), 1,
      anon_sym_STAR_STAR,
    STATE(1642), 1,
      sym_type_arguments,
    STATE(1656), 1,
      sym_arguments,
    STATE(4822), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4737), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5635), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5637), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5645), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5653), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5659), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4751), 5,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4749), 11,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [88891] = 27,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4033), 1,
      anon_sym_LBRACK,
    ACTIONS(4035), 1,
      anon_sym_DOT,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4751), 1,
      anon_sym_BANG,
    ACTIONS(5633), 1,
      anon_sym_LT,
    ACTIONS(5639), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5641), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5643), 1,
      anon_sym_GT_GT,
    ACTIONS(5647), 1,
      anon_sym_AMP,
    ACTIONS(5649), 1,
      anon_sym_CARET,
    ACTIONS(5651), 1,
      anon_sym_PIPE,
    ACTIONS(5655), 1,
      anon_sym_PERCENT,
    ACTIONS(5657), 1,
      anon_sym_STAR_STAR,
    STATE(1642), 1,
      sym_type_arguments,
    STATE(1656), 1,
      sym_arguments,
    STATE(4822), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4737), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5635), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5637), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5645), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5653), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5661), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5663), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5659), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4749), 6,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [88988] = 31,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4033), 1,
      anon_sym_LBRACK,
    ACTIONS(4035), 1,
      anon_sym_DOT,
    ACTIONS(4701), 1,
      anon_sym_as,
    ACTIONS(4703), 1,
      anon_sym_BANG,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4739), 1,
      anon_sym_satisfies,
    ACTIONS(5633), 1,
      anon_sym_LT,
    ACTIONS(5639), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5641), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5643), 1,
      anon_sym_GT_GT,
    ACTIONS(5647), 1,
      anon_sym_AMP,
    ACTIONS(5649), 1,
      anon_sym_CARET,
    ACTIONS(5651), 1,
      anon_sym_PIPE,
    ACTIONS(5655), 1,
      anon_sym_PERCENT,
    ACTIONS(5657), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5665), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5667), 1,
      sym__ternary_qmark,
    STATE(1642), 1,
      sym_type_arguments,
    STATE(1656), 1,
      sym_arguments,
    STATE(4822), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4541), 2,
      anon_sym_RBRACK,
      anon_sym_BQUOTE,
    ACTIONS(4737), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5635), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5637), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5645), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5653), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5661), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5663), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5659), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [89093] = 31,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4033), 1,
      anon_sym_LBRACK,
    ACTIONS(4035), 1,
      anon_sym_DOT,
    ACTIONS(4701), 1,
      anon_sym_as,
    ACTIONS(4703), 1,
      anon_sym_BANG,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4739), 1,
      anon_sym_satisfies,
    ACTIONS(5633), 1,
      anon_sym_LT,
    ACTIONS(5639), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5641), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5643), 1,
      anon_sym_GT_GT,
    ACTIONS(5647), 1,
      anon_sym_AMP,
    ACTIONS(5649), 1,
      anon_sym_CARET,
    ACTIONS(5651), 1,
      anon_sym_PIPE,
    ACTIONS(5655), 1,
      anon_sym_PERCENT,
    ACTIONS(5657), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5665), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5667), 1,
      sym__ternary_qmark,
    STATE(1642), 1,
      sym_type_arguments,
    STATE(1656), 1,
      sym_arguments,
    STATE(4822), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4737), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4756), 2,
      anon_sym_RBRACK,
      anon_sym_BQUOTE,
    ACTIONS(5635), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5637), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5645), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5653), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5661), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5663), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5659), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [89198] = 31,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4033), 1,
      anon_sym_LBRACK,
    ACTIONS(4035), 1,
      anon_sym_DOT,
    ACTIONS(4701), 1,
      anon_sym_as,
    ACTIONS(4703), 1,
      anon_sym_BANG,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4739), 1,
      anon_sym_satisfies,
    ACTIONS(5633), 1,
      anon_sym_LT,
    ACTIONS(5639), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5641), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5643), 1,
      anon_sym_GT_GT,
    ACTIONS(5647), 1,
      anon_sym_AMP,
    ACTIONS(5649), 1,
      anon_sym_CARET,
    ACTIONS(5651), 1,
      anon_sym_PIPE,
    ACTIONS(5655), 1,
      anon_sym_PERCENT,
    ACTIONS(5657), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5665), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5667), 1,
      sym__ternary_qmark,
    STATE(1642), 1,
      sym_type_arguments,
    STATE(1656), 1,
      sym_arguments,
    STATE(4822), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4565), 2,
      anon_sym_RBRACK,
      anon_sym_BQUOTE,
    ACTIONS(4737), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5635), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5637), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5645), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5653), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5661), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5663), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5659), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [89303] = 31,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4033), 1,
      anon_sym_LBRACK,
    ACTIONS(4035), 1,
      anon_sym_DOT,
    ACTIONS(4701), 1,
      anon_sym_as,
    ACTIONS(4703), 1,
      anon_sym_BANG,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4739), 1,
      anon_sym_satisfies,
    ACTIONS(5633), 1,
      anon_sym_LT,
    ACTIONS(5639), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5641), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5643), 1,
      anon_sym_GT_GT,
    ACTIONS(5647), 1,
      anon_sym_AMP,
    ACTIONS(5649), 1,
      anon_sym_CARET,
    ACTIONS(5651), 1,
      anon_sym_PIPE,
    ACTIONS(5655), 1,
      anon_sym_PERCENT,
    ACTIONS(5657), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5665), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5667), 1,
      sym__ternary_qmark,
    STATE(1642), 1,
      sym_type_arguments,
    STATE(1656), 1,
      sym_arguments,
    STATE(4822), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4573), 2,
      anon_sym_RBRACK,
      anon_sym_BQUOTE,
    ACTIONS(4737), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5635), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5637), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5645), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5653), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5661), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5663), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5659), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [89408] = 31,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4033), 1,
      anon_sym_LBRACK,
    ACTIONS(4035), 1,
      anon_sym_DOT,
    ACTIONS(4701), 1,
      anon_sym_as,
    ACTIONS(4703), 1,
      anon_sym_BANG,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4739), 1,
      anon_sym_satisfies,
    ACTIONS(5633), 1,
      anon_sym_LT,
    ACTIONS(5639), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5641), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5643), 1,
      anon_sym_GT_GT,
    ACTIONS(5647), 1,
      anon_sym_AMP,
    ACTIONS(5649), 1,
      anon_sym_CARET,
    ACTIONS(5651), 1,
      anon_sym_PIPE,
    ACTIONS(5655), 1,
      anon_sym_PERCENT,
    ACTIONS(5657), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5665), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5667), 1,
      sym__ternary_qmark,
    STATE(1642), 1,
      sym_type_arguments,
    STATE(1656), 1,
      sym_arguments,
    STATE(4822), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4577), 2,
      anon_sym_RBRACK,
      anon_sym_BQUOTE,
    ACTIONS(4737), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5635), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5637), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5645), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5653), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5661), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5663), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5659), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [89513] = 31,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4033), 1,
      anon_sym_LBRACK,
    ACTIONS(4035), 1,
      anon_sym_DOT,
    ACTIONS(4701), 1,
      anon_sym_as,
    ACTIONS(4703), 1,
      anon_sym_BANG,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4739), 1,
      anon_sym_satisfies,
    ACTIONS(5633), 1,
      anon_sym_LT,
    ACTIONS(5639), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5641), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5643), 1,
      anon_sym_GT_GT,
    ACTIONS(5647), 1,
      anon_sym_AMP,
    ACTIONS(5649), 1,
      anon_sym_CARET,
    ACTIONS(5651), 1,
      anon_sym_PIPE,
    ACTIONS(5655), 1,
      anon_sym_PERCENT,
    ACTIONS(5657), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5665), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5667), 1,
      sym__ternary_qmark,
    STATE(1642), 1,
      sym_type_arguments,
    STATE(1656), 1,
      sym_arguments,
    STATE(4822), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4737), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4758), 2,
      anon_sym_RBRACK,
      anon_sym_BQUOTE,
    ACTIONS(5635), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5637), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5645), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5653), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5661), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5663), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5659), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [89618] = 31,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4033), 1,
      anon_sym_LBRACK,
    ACTIONS(4035), 1,
      anon_sym_DOT,
    ACTIONS(4701), 1,
      anon_sym_as,
    ACTIONS(4703), 1,
      anon_sym_BANG,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4739), 1,
      anon_sym_satisfies,
    ACTIONS(5633), 1,
      anon_sym_LT,
    ACTIONS(5639), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5641), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5643), 1,
      anon_sym_GT_GT,
    ACTIONS(5647), 1,
      anon_sym_AMP,
    ACTIONS(5649), 1,
      anon_sym_CARET,
    ACTIONS(5651), 1,
      anon_sym_PIPE,
    ACTIONS(5655), 1,
      anon_sym_PERCENT,
    ACTIONS(5657), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5665), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5667), 1,
      sym__ternary_qmark,
    STATE(1642), 1,
      sym_type_arguments,
    STATE(1656), 1,
      sym_arguments,
    STATE(4822), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4737), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4760), 2,
      anon_sym_RBRACK,
      anon_sym_BQUOTE,
    ACTIONS(5635), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5637), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5645), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5653), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5661), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5663), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5659), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [89723] = 31,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4033), 1,
      anon_sym_LBRACK,
    ACTIONS(4035), 1,
      anon_sym_DOT,
    ACTIONS(4701), 1,
      anon_sym_as,
    ACTIONS(4703), 1,
      anon_sym_BANG,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4739), 1,
      anon_sym_satisfies,
    ACTIONS(5633), 1,
      anon_sym_LT,
    ACTIONS(5639), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5641), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5643), 1,
      anon_sym_GT_GT,
    ACTIONS(5647), 1,
      anon_sym_AMP,
    ACTIONS(5649), 1,
      anon_sym_CARET,
    ACTIONS(5651), 1,
      anon_sym_PIPE,
    ACTIONS(5655), 1,
      anon_sym_PERCENT,
    ACTIONS(5657), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5665), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5667), 1,
      sym__ternary_qmark,
    STATE(1642), 1,
      sym_type_arguments,
    STATE(1656), 1,
      sym_arguments,
    STATE(4822), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4737), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4772), 2,
      anon_sym_RBRACK,
      anon_sym_BQUOTE,
    ACTIONS(5635), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5637), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5645), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5653), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5661), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5663), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5659), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [89828] = 31,
    ACTIONS(4633), 1,
      anon_sym_LPAREN,
    ACTIONS(4635), 1,
      anon_sym_LBRACK,
    ACTIONS(4637), 1,
      anon_sym_DOT,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4809), 1,
      anon_sym_as,
    ACTIONS(4811), 1,
      anon_sym_BANG,
    ACTIONS(4847), 1,
      anon_sym_satisfies,
    ACTIONS(5318), 1,
      anon_sym_LT,
    ACTIONS(5324), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5326), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5328), 1,
      anon_sym_GT_GT,
    ACTIONS(5332), 1,
      anon_sym_AMP,
    ACTIONS(5334), 1,
      anon_sym_CARET,
    ACTIONS(5336), 1,
      anon_sym_PIPE,
    ACTIONS(5340), 1,
      anon_sym_PERCENT,
    ACTIONS(5342), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5350), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5352), 1,
      sym__ternary_qmark,
    STATE(2027), 1,
      sym_type_arguments,
    STATE(2188), 1,
      sym_arguments,
    STATE(4605), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4845), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5320), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5322), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5330), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5338), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5346), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5348), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5672), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5344), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [89933] = 8,
    ACTIONS(2338), 1,
      anon_sym_DQUOTE,
    ACTIONS(2340), 1,
      anon_sym_SQUOTE,
    ACTIONS(4679), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5520), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3777), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3843), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2362), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [89992] = 13,
    ACTIONS(239), 1,
      anon_sym_COMMA,
    ACTIONS(2338), 1,
      anon_sym_DQUOTE,
    ACTIONS(2340), 1,
      anon_sym_SQUOTE,
    ACTIONS(4593), 1,
      anon_sym_EQ,
    ACTIONS(4679), 1,
      anon_sym_LBRACK,
    ACTIONS(5076), 1,
      anon_sym_RBRACE,
    STATE(4835), 1,
      aux_sym_object_pattern_repeat1,
    STATE(4905), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2348), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3797), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3843), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2362), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [90061] = 8,
    ACTIONS(2338), 1,
      anon_sym_DQUOTE,
    ACTIONS(2340), 1,
      anon_sym_SQUOTE,
    ACTIONS(4679), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5502), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3864), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3843), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2362), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [90120] = 23,
    ACTIONS(1635), 1,
      anon_sym_DQUOTE,
    ACTIONS(1637), 1,
      anon_sym_SQUOTE,
    ACTIONS(3731), 1,
      anon_sym_override,
    ACTIONS(3813), 1,
      anon_sym_AT,
    ACTIONS(4595), 1,
      anon_sym_LBRACK,
    ACTIONS(5674), 1,
      anon_sym_STAR,
    ACTIONS(5676), 1,
      anon_sym_async,
    ACTIONS(5680), 1,
      anon_sym_static,
    ACTIONS(5682), 1,
      anon_sym_readonly,
    ACTIONS(5686), 1,
      anon_sym_declare,
    ACTIONS(5688), 1,
      anon_sym_abstract,
    ACTIONS(5690), 1,
      anon_sym_accessor,
    STATE(2659), 1,
      sym_method_definition,
    STATE(2742), 1,
      sym_accessibility_modifier,
    STATE(2748), 1,
      aux_sym_export_statement_repeat1,
    STATE(2806), 1,
      sym_override_modifier,
    STATE(2808), 1,
      sym_decorator,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5678), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5684), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3729), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3067), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3705), 13,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [90209] = 31,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4033), 1,
      anon_sym_LBRACK,
    ACTIONS(4035), 1,
      anon_sym_DOT,
    ACTIONS(4701), 1,
      anon_sym_as,
    ACTIONS(4703), 1,
      anon_sym_BANG,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4739), 1,
      anon_sym_satisfies,
    ACTIONS(4885), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4887), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4889), 1,
      anon_sym_GT_GT,
    ACTIONS(4893), 1,
      anon_sym_AMP,
    ACTIONS(4895), 1,
      anon_sym_CARET,
    ACTIONS(4897), 1,
      anon_sym_PIPE,
    ACTIONS(4901), 1,
      anon_sym_PERCENT,
    ACTIONS(4903), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4905), 1,
      anon_sym_LT,
    ACTIONS(4913), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4915), 1,
      sym__ternary_qmark,
    STATE(1642), 1,
      sym_type_arguments,
    STATE(1656), 1,
      sym_arguments,
    STATE(4822), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4737), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4877), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4883), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4891), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4899), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4909), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4911), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5534), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(4907), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [90314] = 31,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4033), 1,
      anon_sym_LBRACK,
    ACTIONS(4035), 1,
      anon_sym_DOT,
    ACTIONS(4701), 1,
      anon_sym_as,
    ACTIONS(4703), 1,
      anon_sym_BANG,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4739), 1,
      anon_sym_satisfies,
    ACTIONS(4885), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4887), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4889), 1,
      anon_sym_GT_GT,
    ACTIONS(4893), 1,
      anon_sym_AMP,
    ACTIONS(4895), 1,
      anon_sym_CARET,
    ACTIONS(4897), 1,
      anon_sym_PIPE,
    ACTIONS(4901), 1,
      anon_sym_PERCENT,
    ACTIONS(4903), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4905), 1,
      anon_sym_LT,
    ACTIONS(4913), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4915), 1,
      sym__ternary_qmark,
    STATE(1642), 1,
      sym_type_arguments,
    STATE(1656), 1,
      sym_arguments,
    STATE(4822), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4737), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4877), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4883), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4891), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4899), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4909), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4911), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5692), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(4907), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [90419] = 6,
    ACTIONS(4627), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4379), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(4630), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3499), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3503), 24,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [90474] = 6,
    ACTIONS(4529), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4085), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(4532), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3499), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3503), 24,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [90529] = 8,
    ACTIONS(2338), 1,
      anon_sym_DQUOTE,
    ACTIONS(2340), 1,
      anon_sym_SQUOTE,
    ACTIONS(4679), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5444), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3898), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3843), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2362), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [90588] = 4,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1990), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3843), 11,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1988), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [90639] = 31,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4033), 1,
      anon_sym_LBRACK,
    ACTIONS(4035), 1,
      anon_sym_DOT,
    ACTIONS(4697), 1,
      anon_sym_LT,
    ACTIONS(4701), 1,
      anon_sym_as,
    ACTIONS(4703), 1,
      anon_sym_BANG,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4709), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4711), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4713), 1,
      anon_sym_GT_GT,
    ACTIONS(4717), 1,
      anon_sym_AMP,
    ACTIONS(4719), 1,
      anon_sym_CARET,
    ACTIONS(4721), 1,
      anon_sym_PIPE,
    ACTIONS(4725), 1,
      anon_sym_PERCENT,
    ACTIONS(4727), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4735), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4739), 1,
      anon_sym_satisfies,
    ACTIONS(4741), 1,
      sym__ternary_qmark,
    STATE(1642), 1,
      sym_type_arguments,
    STATE(1656), 1,
      sym_arguments,
    STATE(4822), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4699), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4705), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4715), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4723), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4731), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4733), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4737), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5692), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(4729), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [90744] = 8,
    ACTIONS(2338), 1,
      anon_sym_DQUOTE,
    ACTIONS(2340), 1,
      anon_sym_SQUOTE,
    ACTIONS(4679), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5423), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3821), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3843), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2362), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [90803] = 13,
    ACTIONS(239), 1,
      anon_sym_COMMA,
    ACTIONS(697), 1,
      anon_sym_RBRACE,
    ACTIONS(2338), 1,
      anon_sym_DQUOTE,
    ACTIONS(2340), 1,
      anon_sym_SQUOTE,
    ACTIONS(4593), 1,
      anon_sym_EQ,
    ACTIONS(4679), 1,
      anon_sym_LBRACK,
    STATE(4835), 1,
      aux_sym_object_pattern_repeat1,
    STATE(4905), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2348), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3797), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3843), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2362), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [90872] = 6,
    ACTIONS(4463), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4173), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(4466), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4459), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4461), 24,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [90927] = 4,
    ACTIONS(4921), 1,
      sym_regex_flags,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4917), 17,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_instanceof,
      anon_sym_satisfies,
      anon_sym_implements,
    ACTIONS(4919), 22,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [90978] = 31,
    ACTIONS(4633), 1,
      anon_sym_LPAREN,
    ACTIONS(4635), 1,
      anon_sym_LBRACK,
    ACTIONS(4637), 1,
      anon_sym_DOT,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4809), 1,
      anon_sym_as,
    ACTIONS(4811), 1,
      anon_sym_BANG,
    ACTIONS(4847), 1,
      anon_sym_satisfies,
    ACTIONS(5318), 1,
      anon_sym_LT,
    ACTIONS(5324), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5326), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5328), 1,
      anon_sym_GT_GT,
    ACTIONS(5332), 1,
      anon_sym_AMP,
    ACTIONS(5334), 1,
      anon_sym_CARET,
    ACTIONS(5336), 1,
      anon_sym_PIPE,
    ACTIONS(5340), 1,
      anon_sym_PERCENT,
    ACTIONS(5342), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5350), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5352), 1,
      sym__ternary_qmark,
    STATE(2027), 1,
      sym_type_arguments,
    STATE(2188), 1,
      sym_arguments,
    STATE(4605), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4845), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5320), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5322), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5330), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5338), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5346), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5348), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5694), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5344), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [91083] = 32,
    ACTIONS(4633), 1,
      anon_sym_LPAREN,
    ACTIONS(4635), 1,
      anon_sym_LBRACK,
    ACTIONS(4637), 1,
      anon_sym_DOT,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4809), 1,
      anon_sym_as,
    ACTIONS(4811), 1,
      anon_sym_BANG,
    ACTIONS(4847), 1,
      anon_sym_satisfies,
    ACTIONS(5318), 1,
      anon_sym_LT,
    ACTIONS(5324), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5326), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5328), 1,
      anon_sym_GT_GT,
    ACTIONS(5332), 1,
      anon_sym_AMP,
    ACTIONS(5334), 1,
      anon_sym_CARET,
    ACTIONS(5336), 1,
      anon_sym_PIPE,
    ACTIONS(5340), 1,
      anon_sym_PERCENT,
    ACTIONS(5342), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5350), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5352), 1,
      sym__ternary_qmark,
    ACTIONS(5696), 1,
      anon_sym_SEMI,
    ACTIONS(5698), 1,
      sym__automatic_semicolon,
    STATE(2027), 1,
      sym_type_arguments,
    STATE(2188), 1,
      sym_arguments,
    STATE(4605), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4845), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5320), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5322), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5330), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5338), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5346), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5348), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5344), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [91190] = 6,
    ACTIONS(4623), 1,
      anon_sym_EQ,
    ACTIONS(4868), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4666), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(4621), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4625), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [91245] = 13,
    ACTIONS(239), 1,
      anon_sym_COMMA,
    ACTIONS(699), 1,
      anon_sym_RBRACE,
    ACTIONS(2338), 1,
      anon_sym_DQUOTE,
    ACTIONS(2340), 1,
      anon_sym_SQUOTE,
    ACTIONS(4593), 1,
      anon_sym_EQ,
    ACTIONS(4679), 1,
      anon_sym_LBRACK,
    STATE(4835), 1,
      aux_sym_object_pattern_repeat1,
    STATE(4905), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2348), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3797), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3843), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2362), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [91314] = 8,
    ACTIONS(2338), 1,
      anon_sym_DQUOTE,
    ACTIONS(2340), 1,
      anon_sym_SQUOTE,
    ACTIONS(4679), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5700), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3885), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3843), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2362), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [91373] = 4,
    ACTIONS(4183), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4179), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4181), 26,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [91424] = 31,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4033), 1,
      anon_sym_LBRACK,
    ACTIONS(4035), 1,
      anon_sym_DOT,
    ACTIONS(4697), 1,
      anon_sym_LT,
    ACTIONS(4701), 1,
      anon_sym_as,
    ACTIONS(4703), 1,
      anon_sym_BANG,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4709), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4711), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4713), 1,
      anon_sym_GT_GT,
    ACTIONS(4717), 1,
      anon_sym_AMP,
    ACTIONS(4719), 1,
      anon_sym_CARET,
    ACTIONS(4721), 1,
      anon_sym_PIPE,
    ACTIONS(4725), 1,
      anon_sym_PERCENT,
    ACTIONS(4727), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4735), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4739), 1,
      anon_sym_satisfies,
    ACTIONS(4741), 1,
      sym__ternary_qmark,
    STATE(1642), 1,
      sym_type_arguments,
    STATE(1656), 1,
      sym_arguments,
    STATE(4822), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4699), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4705), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4715), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4723), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4731), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4733), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4737), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5702), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(4729), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [91529] = 31,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4033), 1,
      anon_sym_LBRACK,
    ACTIONS(4035), 1,
      anon_sym_DOT,
    ACTIONS(4697), 1,
      anon_sym_LT,
    ACTIONS(4701), 1,
      anon_sym_as,
    ACTIONS(4703), 1,
      anon_sym_BANG,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4709), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4711), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4713), 1,
      anon_sym_GT_GT,
    ACTIONS(4717), 1,
      anon_sym_AMP,
    ACTIONS(4719), 1,
      anon_sym_CARET,
    ACTIONS(4721), 1,
      anon_sym_PIPE,
    ACTIONS(4725), 1,
      anon_sym_PERCENT,
    ACTIONS(4727), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4735), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4739), 1,
      anon_sym_satisfies,
    ACTIONS(4741), 1,
      sym__ternary_qmark,
    STATE(1642), 1,
      sym_type_arguments,
    STATE(1656), 1,
      sym_arguments,
    STATE(4822), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4699), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4705), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4715), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4723), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4731), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4733), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4737), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5062), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(4729), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [91634] = 31,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4033), 1,
      anon_sym_LBRACK,
    ACTIONS(4035), 1,
      anon_sym_DOT,
    ACTIONS(4697), 1,
      anon_sym_LT,
    ACTIONS(4701), 1,
      anon_sym_as,
    ACTIONS(4703), 1,
      anon_sym_BANG,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4709), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4711), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4713), 1,
      anon_sym_GT_GT,
    ACTIONS(4717), 1,
      anon_sym_AMP,
    ACTIONS(4719), 1,
      anon_sym_CARET,
    ACTIONS(4721), 1,
      anon_sym_PIPE,
    ACTIONS(4725), 1,
      anon_sym_PERCENT,
    ACTIONS(4727), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4735), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4739), 1,
      anon_sym_satisfies,
    ACTIONS(4741), 1,
      sym__ternary_qmark,
    STATE(1642), 1,
      sym_type_arguments,
    STATE(1656), 1,
      sym_arguments,
    STATE(4822), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4699), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4705), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4715), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4723), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4731), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4733), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4737), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5072), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(4729), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [91739] = 32,
    ACTIONS(4633), 1,
      anon_sym_LPAREN,
    ACTIONS(4635), 1,
      anon_sym_LBRACK,
    ACTIONS(4637), 1,
      anon_sym_DOT,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4809), 1,
      anon_sym_as,
    ACTIONS(4811), 1,
      anon_sym_BANG,
    ACTIONS(4847), 1,
      anon_sym_satisfies,
    ACTIONS(5318), 1,
      anon_sym_LT,
    ACTIONS(5324), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5326), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5328), 1,
      anon_sym_GT_GT,
    ACTIONS(5332), 1,
      anon_sym_AMP,
    ACTIONS(5334), 1,
      anon_sym_CARET,
    ACTIONS(5336), 1,
      anon_sym_PIPE,
    ACTIONS(5340), 1,
      anon_sym_PERCENT,
    ACTIONS(5342), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5350), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5352), 1,
      sym__ternary_qmark,
    ACTIONS(5704), 1,
      anon_sym_SEMI,
    ACTIONS(5706), 1,
      sym__automatic_semicolon,
    STATE(2027), 1,
      sym_type_arguments,
    STATE(2188), 1,
      sym_arguments,
    STATE(4605), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4845), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5320), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5322), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5330), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5338), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5346), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5348), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5344), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [91846] = 8,
    ACTIONS(1635), 1,
      anon_sym_DQUOTE,
    ACTIONS(1637), 1,
      anon_sym_SQUOTE,
    ACTIONS(4595), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4854), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3460), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3843), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(3705), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [91905] = 4,
    ACTIONS(4286), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4179), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4181), 26,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [91956] = 17,
    ACTIONS(2338), 1,
      anon_sym_DQUOTE,
    ACTIONS(2340), 1,
      anon_sym_SQUOTE,
    ACTIONS(2364), 1,
      anon_sym_async,
    ACTIONS(2366), 1,
      anon_sym_readonly,
    ACTIONS(2370), 1,
      anon_sym_override,
    ACTIONS(4679), 1,
      anon_sym_LBRACK,
    ACTIONS(5003), 1,
      anon_sym_STAR,
    ACTIONS(5278), 1,
      anon_sym_COMMA,
    ACTIONS(5708), 1,
      anon_sym_RBRACE,
    STATE(2805), 1,
      sym_override_modifier,
    STATE(4940), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2348), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2368), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3797), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3843), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2362), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [92033] = 8,
    ACTIONS(2338), 1,
      anon_sym_DQUOTE,
    ACTIONS(2340), 1,
      anon_sym_SQUOTE,
    ACTIONS(4679), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5710), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3799), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3843), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2362), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [92092] = 8,
    ACTIONS(2338), 1,
      anon_sym_DQUOTE,
    ACTIONS(2340), 1,
      anon_sym_SQUOTE,
    ACTIONS(4679), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5381), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3760), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3843), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2362), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [92151] = 8,
    ACTIONS(1635), 1,
      anon_sym_DQUOTE,
    ACTIONS(1637), 1,
      anon_sym_SQUOTE,
    ACTIONS(4595), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5712), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3393), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3843), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(3705), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [92210] = 6,
    ACTIONS(4435), 1,
      anon_sym_EQ,
    ACTIONS(4864), 1,
      anon_sym_of,
    ACTIONS(5714), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4433), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4437), 25,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [92265] = 12,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4033), 1,
      anon_sym_LBRACK,
    ACTIONS(4035), 1,
      anon_sym_DOT,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5717), 1,
      anon_sym_LT,
    STATE(1642), 1,
      sym_type_arguments,
    STATE(1656), 1,
      sym_arguments,
    STATE(4822), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4737), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4791), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4793), 18,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [92332] = 7,
    ACTIONS(3537), 1,
      anon_sym_DOT,
    ACTIONS(3539), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3517), 3,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
    ACTIONS(3505), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_extends,
    ACTIONS(3499), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3503), 20,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [92389] = 31,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4033), 1,
      anon_sym_LBRACK,
    ACTIONS(4035), 1,
      anon_sym_DOT,
    ACTIONS(4701), 1,
      anon_sym_as,
    ACTIONS(4703), 1,
      anon_sym_BANG,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4739), 1,
      anon_sym_satisfies,
    ACTIONS(5598), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5600), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5602), 1,
      anon_sym_GT_GT,
    ACTIONS(5606), 1,
      anon_sym_AMP,
    ACTIONS(5608), 1,
      anon_sym_CARET,
    ACTIONS(5610), 1,
      anon_sym_PIPE,
    ACTIONS(5614), 1,
      anon_sym_PERCENT,
    ACTIONS(5616), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5618), 1,
      anon_sym_LT,
    ACTIONS(5626), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5628), 1,
      sym__ternary_qmark,
    STATE(1642), 1,
      sym_type_arguments,
    STATE(1656), 1,
      sym_arguments,
    STATE(4822), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4737), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4805), 2,
      anon_sym_COLON,
      anon_sym_BQUOTE,
    ACTIONS(5594), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5596), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5604), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5612), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5622), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5624), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5620), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [92494] = 11,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4033), 1,
      anon_sym_LBRACK,
    ACTIONS(4035), 1,
      anon_sym_DOT,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5720), 1,
      anon_sym_LT,
    STATE(1642), 1,
      sym_type_arguments,
    STATE(1656), 1,
      sym_arguments,
    STATE(4822), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4774), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4776), 20,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [92559] = 6,
    ACTIONS(4623), 1,
      anon_sym_EQ,
    ACTIONS(4868), 1,
      anon_sym_of,
    ACTIONS(5723), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4621), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4625), 25,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [92614] = 8,
    ACTIONS(2338), 1,
      anon_sym_DQUOTE,
    ACTIONS(2340), 1,
      anon_sym_SQUOTE,
    ACTIONS(4679), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5556), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3761), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3843), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2362), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [92673] = 16,
    ACTIONS(2338), 1,
      anon_sym_DQUOTE,
    ACTIONS(2340), 1,
      anon_sym_SQUOTE,
    ACTIONS(2364), 1,
      anon_sym_async,
    ACTIONS(2366), 1,
      anon_sym_readonly,
    ACTIONS(2370), 1,
      anon_sym_override,
    ACTIONS(4593), 1,
      anon_sym_EQ,
    ACTIONS(4679), 1,
      anon_sym_LBRACK,
    ACTIONS(5003), 1,
      anon_sym_STAR,
    STATE(2805), 1,
      sym_override_modifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2348), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2368), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(5726), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(3797), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3843), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2362), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [92748] = 31,
    ACTIONS(4633), 1,
      anon_sym_LPAREN,
    ACTIONS(4635), 1,
      anon_sym_LBRACK,
    ACTIONS(4637), 1,
      anon_sym_DOT,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4809), 1,
      anon_sym_as,
    ACTIONS(4811), 1,
      anon_sym_BANG,
    ACTIONS(4847), 1,
      anon_sym_satisfies,
    ACTIONS(5318), 1,
      anon_sym_LT,
    ACTIONS(5324), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5326), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5328), 1,
      anon_sym_GT_GT,
    ACTIONS(5332), 1,
      anon_sym_AMP,
    ACTIONS(5334), 1,
      anon_sym_CARET,
    ACTIONS(5336), 1,
      anon_sym_PIPE,
    ACTIONS(5340), 1,
      anon_sym_PERCENT,
    ACTIONS(5342), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5350), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5352), 1,
      sym__ternary_qmark,
    STATE(2027), 1,
      sym_type_arguments,
    STATE(2188), 1,
      sym_arguments,
    STATE(4605), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4845), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5119), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5320), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5322), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5330), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5338), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5346), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5348), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5344), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [92853] = 12,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4033), 1,
      anon_sym_LBRACK,
    ACTIONS(4035), 1,
      anon_sym_DOT,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5729), 1,
      anon_sym_LT,
    STATE(1642), 1,
      sym_type_arguments,
    STATE(1656), 1,
      sym_arguments,
    STATE(4822), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4737), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4791), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4793), 18,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [92920] = 15,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4033), 1,
      anon_sym_LBRACK,
    ACTIONS(4035), 1,
      anon_sym_DOT,
    ACTIONS(4701), 1,
      anon_sym_as,
    ACTIONS(4703), 1,
      anon_sym_BANG,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4739), 1,
      anon_sym_satisfies,
    ACTIONS(5732), 1,
      anon_sym_LT,
    STATE(1642), 1,
      sym_type_arguments,
    STATE(1656), 1,
      sym_arguments,
    STATE(4822), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4737), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4798), 11,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4800), 16,
      sym__ternary_qmark,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_BQUOTE,
  [92993] = 31,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4033), 1,
      anon_sym_LBRACK,
    ACTIONS(4035), 1,
      anon_sym_DOT,
    ACTIONS(4701), 1,
      anon_sym_as,
    ACTIONS(4703), 1,
      anon_sym_BANG,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4739), 1,
      anon_sym_satisfies,
    ACTIONS(5633), 1,
      anon_sym_LT,
    ACTIONS(5639), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5641), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5643), 1,
      anon_sym_GT_GT,
    ACTIONS(5647), 1,
      anon_sym_AMP,
    ACTIONS(5649), 1,
      anon_sym_CARET,
    ACTIONS(5651), 1,
      anon_sym_PIPE,
    ACTIONS(5655), 1,
      anon_sym_PERCENT,
    ACTIONS(5657), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5665), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5667), 1,
      sym__ternary_qmark,
    STATE(1642), 1,
      sym_type_arguments,
    STATE(1656), 1,
      sym_arguments,
    STATE(4822), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4737), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4805), 2,
      anon_sym_RBRACK,
      anon_sym_BQUOTE,
    ACTIONS(5635), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5637), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5645), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5653), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5661), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5663), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5659), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [93098] = 11,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4033), 1,
      anon_sym_LBRACK,
    ACTIONS(4035), 1,
      anon_sym_DOT,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5735), 1,
      anon_sym_LT,
    STATE(1642), 1,
      sym_type_arguments,
    STATE(1656), 1,
      sym_arguments,
    STATE(4822), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4774), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4776), 20,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [93163] = 8,
    ACTIONS(2338), 1,
      anon_sym_DQUOTE,
    ACTIONS(2340), 1,
      anon_sym_SQUOTE,
    ACTIONS(4679), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5580), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3771), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3843), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2362), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [93222] = 6,
    ACTIONS(1709), 1,
      anon_sym_EQ,
    ACTIONS(4870), 1,
      anon_sym_of,
    ACTIONS(5738), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1707), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1711), 25,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [93277] = 7,
    ACTIONS(1709), 1,
      anon_sym_EQ,
    ACTIONS(2372), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4139), 2,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
    ACTIONS(4142), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1707), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1711), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [93334] = 5,
    ACTIONS(3501), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3684), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
    ACTIONS(3499), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3503), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [93387] = 7,
    ACTIONS(4137), 1,
      anon_sym_extends,
    ACTIONS(4435), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4439), 2,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
    ACTIONS(4442), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4433), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4437), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [93444] = 8,
    ACTIONS(2338), 1,
      anon_sym_DQUOTE,
    ACTIONS(2340), 1,
      anon_sym_SQUOTE,
    ACTIONS(4679), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5389), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3872), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3843), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2362), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [93503] = 4,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4286), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(4179), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4181), 25,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [93554] = 19,
    ACTIONS(233), 1,
      anon_sym_STAR,
    ACTIONS(2026), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2338), 1,
      anon_sym_DQUOTE,
    ACTIONS(2340), 1,
      anon_sym_SQUOTE,
    ACTIONS(4679), 1,
      anon_sym_LBRACK,
    ACTIONS(5745), 1,
      anon_sym_async,
    ACTIONS(5747), 1,
      anon_sym_static,
    ACTIONS(5749), 1,
      anon_sym_readonly,
    ACTIONS(5755), 1,
      anon_sym_override,
    STATE(2781), 1,
      sym_accessibility_modifier,
    STATE(2816), 1,
      sym_override_modifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5284), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5743), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(5751), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(5753), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3528), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(5250), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
    ACTIONS(5741), 14,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [93635] = 4,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1885), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(1889), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1891), 25,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [93686] = 13,
    ACTIONS(239), 1,
      anon_sym_COMMA,
    ACTIONS(2338), 1,
      anon_sym_DQUOTE,
    ACTIONS(2340), 1,
      anon_sym_SQUOTE,
    ACTIONS(4593), 1,
      anon_sym_EQ,
    ACTIONS(4679), 1,
      anon_sym_LBRACK,
    ACTIONS(5074), 1,
      anon_sym_RBRACE,
    STATE(4835), 1,
      aux_sym_object_pattern_repeat1,
    STATE(4905), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2348), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3797), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3843), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2362), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [93755] = 31,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4033), 1,
      anon_sym_LBRACK,
    ACTIONS(4035), 1,
      anon_sym_DOT,
    ACTIONS(4697), 1,
      anon_sym_LT,
    ACTIONS(4701), 1,
      anon_sym_as,
    ACTIONS(4703), 1,
      anon_sym_BANG,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4709), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4711), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4713), 1,
      anon_sym_GT_GT,
    ACTIONS(4717), 1,
      anon_sym_AMP,
    ACTIONS(4719), 1,
      anon_sym_CARET,
    ACTIONS(4721), 1,
      anon_sym_PIPE,
    ACTIONS(4725), 1,
      anon_sym_PERCENT,
    ACTIONS(4727), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4735), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4739), 1,
      anon_sym_satisfies,
    ACTIONS(4741), 1,
      sym__ternary_qmark,
    STATE(1642), 1,
      sym_type_arguments,
    STATE(1656), 1,
      sym_arguments,
    STATE(4822), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4699), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4705), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4715), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4723), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4731), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4733), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4737), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5026), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(4729), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [93860] = 8,
    ACTIONS(2338), 1,
      anon_sym_DQUOTE,
    ACTIONS(2340), 1,
      anon_sym_SQUOTE,
    ACTIONS(4679), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5450), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3805), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3843), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2362), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [93919] = 8,
    ACTIONS(2338), 1,
      anon_sym_DQUOTE,
    ACTIONS(2340), 1,
      anon_sym_SQUOTE,
    ACTIONS(4679), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5415), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3904), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3843), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2362), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [93978] = 6,
    ACTIONS(3501), 1,
      anon_sym_EQ,
    ACTIONS(3696), 1,
      anon_sym_in,
    ACTIONS(3699), 1,
      anon_sym_of,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3499), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3503), 25,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [94033] = 8,
    ACTIONS(2338), 1,
      anon_sym_DQUOTE,
    ACTIONS(2340), 1,
      anon_sym_SQUOTE,
    ACTIONS(4679), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5375), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3858), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3843), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2362), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [94092] = 13,
    ACTIONS(239), 1,
      anon_sym_COMMA,
    ACTIONS(672), 1,
      anon_sym_RBRACE,
    ACTIONS(2338), 1,
      anon_sym_DQUOTE,
    ACTIONS(2340), 1,
      anon_sym_SQUOTE,
    ACTIONS(4593), 1,
      anon_sym_EQ,
    ACTIONS(4679), 1,
      anon_sym_LBRACK,
    STATE(4824), 1,
      aux_sym_object_repeat1,
    STATE(4835), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2348), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3797), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3843), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2362), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [94161] = 8,
    ACTIONS(2338), 1,
      anon_sym_DQUOTE,
    ACTIONS(2340), 1,
      anon_sym_SQUOTE,
    ACTIONS(4679), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5458), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3824), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3843), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2362), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [94220] = 8,
    ACTIONS(2338), 1,
      anon_sym_DQUOTE,
    ACTIONS(2340), 1,
      anon_sym_SQUOTE,
    ACTIONS(4679), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5466), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3755), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3843), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2362), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [94279] = 5,
    ACTIONS(3543), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3647), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
    ACTIONS(3499), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3503), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [94332] = 8,
    ACTIONS(2338), 1,
      anon_sym_DQUOTE,
    ACTIONS(2340), 1,
      anon_sym_SQUOTE,
    ACTIONS(4679), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5474), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3839), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3843), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2362), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [94391] = 7,
    ACTIONS(3658), 1,
      anon_sym_EQ,
    ACTIONS(4627), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4379), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(4630), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3499), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3503), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [94448] = 13,
    ACTIONS(239), 1,
      anon_sym_COMMA,
    ACTIONS(2338), 1,
      anon_sym_DQUOTE,
    ACTIONS(2340), 1,
      anon_sym_SQUOTE,
    ACTIONS(4593), 1,
      anon_sym_EQ,
    ACTIONS(4679), 1,
      anon_sym_LBRACK,
    ACTIONS(5005), 1,
      anon_sym_RBRACE,
    STATE(4835), 1,
      aux_sym_object_pattern_repeat1,
    STATE(4905), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2348), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3797), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3843), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2362), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [94517] = 8,
    ACTIONS(2338), 1,
      anon_sym_DQUOTE,
    ACTIONS(2340), 1,
      anon_sym_SQUOTE,
    ACTIONS(4679), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5298), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3817), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3843), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2362), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [94576] = 8,
    ACTIONS(2338), 1,
      anon_sym_DQUOTE,
    ACTIONS(2340), 1,
      anon_sym_SQUOTE,
    ACTIONS(4679), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5240), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3758), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3843), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2362), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [94635] = 31,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4033), 1,
      anon_sym_LBRACK,
    ACTIONS(4035), 1,
      anon_sym_DOT,
    ACTIONS(4701), 1,
      anon_sym_as,
    ACTIONS(4703), 1,
      anon_sym_BANG,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4739), 1,
      anon_sym_satisfies,
    ACTIONS(4885), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4887), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4889), 1,
      anon_sym_GT_GT,
    ACTIONS(4893), 1,
      anon_sym_AMP,
    ACTIONS(4895), 1,
      anon_sym_CARET,
    ACTIONS(4897), 1,
      anon_sym_PIPE,
    ACTIONS(4901), 1,
      anon_sym_PERCENT,
    ACTIONS(4903), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4905), 1,
      anon_sym_LT,
    ACTIONS(4913), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4915), 1,
      sym__ternary_qmark,
    STATE(1642), 1,
      sym_type_arguments,
    STATE(1656), 1,
      sym_arguments,
    STATE(4822), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4737), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4877), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4883), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4891), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4899), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4909), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4911), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5026), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(4907), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [94740] = 7,
    ACTIONS(3501), 1,
      anon_sym_EQ,
    ACTIONS(4379), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4627), 2,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
    ACTIONS(4630), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3499), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3503), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [94797] = 8,
    ACTIONS(2338), 1,
      anon_sym_DQUOTE,
    ACTIONS(2340), 1,
      anon_sym_SQUOTE,
    ACTIONS(4679), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5395), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3859), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3843), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2362), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [94856] = 31,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4033), 1,
      anon_sym_LBRACK,
    ACTIONS(4035), 1,
      anon_sym_DOT,
    ACTIONS(4701), 1,
      anon_sym_as,
    ACTIONS(4703), 1,
      anon_sym_BANG,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4739), 1,
      anon_sym_satisfies,
    ACTIONS(4885), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4887), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4889), 1,
      anon_sym_GT_GT,
    ACTIONS(4893), 1,
      anon_sym_AMP,
    ACTIONS(4895), 1,
      anon_sym_CARET,
    ACTIONS(4897), 1,
      anon_sym_PIPE,
    ACTIONS(4901), 1,
      anon_sym_PERCENT,
    ACTIONS(4903), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4905), 1,
      anon_sym_LT,
    ACTIONS(4913), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4915), 1,
      sym__ternary_qmark,
    STATE(1642), 1,
      sym_type_arguments,
    STATE(1656), 1,
      sym_arguments,
    STATE(4822), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4737), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4866), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(4877), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4883), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4891), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4899), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4909), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4911), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4907), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [94961] = 8,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(5757), 1,
      anon_sym_LT,
    STATE(1642), 1,
      sym_type_arguments,
    STATE(1656), 1,
      sym_arguments,
    STATE(4822), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4693), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4695), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [95020] = 31,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4033), 1,
      anon_sym_LBRACK,
    ACTIONS(4035), 1,
      anon_sym_DOT,
    ACTIONS(4701), 1,
      anon_sym_as,
    ACTIONS(4703), 1,
      anon_sym_BANG,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4739), 1,
      anon_sym_satisfies,
    ACTIONS(5757), 1,
      anon_sym_LT,
    ACTIONS(5763), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5765), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5767), 1,
      anon_sym_GT_GT,
    ACTIONS(5771), 1,
      anon_sym_AMP,
    ACTIONS(5773), 1,
      anon_sym_CARET,
    ACTIONS(5775), 1,
      anon_sym_PIPE,
    ACTIONS(5779), 1,
      anon_sym_PERCENT,
    ACTIONS(5781), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5789), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5791), 1,
      sym__ternary_qmark,
    STATE(1642), 1,
      sym_type_arguments,
    STATE(1656), 1,
      sym_arguments,
    STATE(4822), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4483), 2,
      anon_sym_of,
      anon_sym_BQUOTE,
    ACTIONS(4737), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5759), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5761), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5769), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5777), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5785), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5787), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5783), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [95125] = 31,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4033), 1,
      anon_sym_LBRACK,
    ACTIONS(4035), 1,
      anon_sym_DOT,
    ACTIONS(4701), 1,
      anon_sym_as,
    ACTIONS(4703), 1,
      anon_sym_BANG,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4739), 1,
      anon_sym_satisfies,
    ACTIONS(5757), 1,
      anon_sym_LT,
    ACTIONS(5763), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5765), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5767), 1,
      anon_sym_GT_GT,
    ACTIONS(5771), 1,
      anon_sym_AMP,
    ACTIONS(5773), 1,
      anon_sym_CARET,
    ACTIONS(5775), 1,
      anon_sym_PIPE,
    ACTIONS(5779), 1,
      anon_sym_PERCENT,
    ACTIONS(5781), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5789), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5791), 1,
      sym__ternary_qmark,
    STATE(1642), 1,
      sym_type_arguments,
    STATE(1656), 1,
      sym_arguments,
    STATE(4822), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4737), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4743), 2,
      anon_sym_of,
      anon_sym_BQUOTE,
    ACTIONS(5759), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5761), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5769), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5777), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5785), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5787), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5783), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [95230] = 31,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4033), 1,
      anon_sym_LBRACK,
    ACTIONS(4035), 1,
      anon_sym_DOT,
    ACTIONS(4701), 1,
      anon_sym_as,
    ACTIONS(4703), 1,
      anon_sym_BANG,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4739), 1,
      anon_sym_satisfies,
    ACTIONS(5757), 1,
      anon_sym_LT,
    ACTIONS(5763), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5765), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5767), 1,
      anon_sym_GT_GT,
    ACTIONS(5771), 1,
      anon_sym_AMP,
    ACTIONS(5773), 1,
      anon_sym_CARET,
    ACTIONS(5775), 1,
      anon_sym_PIPE,
    ACTIONS(5779), 1,
      anon_sym_PERCENT,
    ACTIONS(5781), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5789), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5791), 1,
      sym__ternary_qmark,
    STATE(1642), 1,
      sym_type_arguments,
    STATE(1656), 1,
      sym_arguments,
    STATE(4822), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4737), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4745), 2,
      anon_sym_of,
      anon_sym_BQUOTE,
    ACTIONS(5759), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5761), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5769), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5777), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5785), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5787), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5783), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [95335] = 31,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4033), 1,
      anon_sym_LBRACK,
    ACTIONS(4035), 1,
      anon_sym_DOT,
    ACTIONS(4701), 1,
      anon_sym_as,
    ACTIONS(4703), 1,
      anon_sym_BANG,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4739), 1,
      anon_sym_satisfies,
    ACTIONS(5757), 1,
      anon_sym_LT,
    ACTIONS(5763), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5765), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5767), 1,
      anon_sym_GT_GT,
    ACTIONS(5771), 1,
      anon_sym_AMP,
    ACTIONS(5773), 1,
      anon_sym_CARET,
    ACTIONS(5775), 1,
      anon_sym_PIPE,
    ACTIONS(5779), 1,
      anon_sym_PERCENT,
    ACTIONS(5781), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5789), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5791), 1,
      sym__ternary_qmark,
    STATE(1642), 1,
      sym_type_arguments,
    STATE(1656), 1,
      sym_arguments,
    STATE(4822), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4737), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4747), 2,
      anon_sym_of,
      anon_sym_BQUOTE,
    ACTIONS(5759), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5761), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5769), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5777), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5785), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5787), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5783), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [95440] = 31,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4033), 1,
      anon_sym_LBRACK,
    ACTIONS(4035), 1,
      anon_sym_DOT,
    ACTIONS(4701), 1,
      anon_sym_as,
    ACTIONS(4703), 1,
      anon_sym_BANG,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4739), 1,
      anon_sym_satisfies,
    ACTIONS(5757), 1,
      anon_sym_LT,
    ACTIONS(5763), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5765), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5767), 1,
      anon_sym_GT_GT,
    ACTIONS(5771), 1,
      anon_sym_AMP,
    ACTIONS(5773), 1,
      anon_sym_CARET,
    ACTIONS(5775), 1,
      anon_sym_PIPE,
    ACTIONS(5779), 1,
      anon_sym_PERCENT,
    ACTIONS(5781), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5789), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5791), 1,
      sym__ternary_qmark,
    STATE(1642), 1,
      sym_type_arguments,
    STATE(1656), 1,
      sym_arguments,
    STATE(4822), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4523), 2,
      anon_sym_of,
      anon_sym_BQUOTE,
    ACTIONS(4737), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5759), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5761), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5769), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5777), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5785), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5787), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5783), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [95545] = 18,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4033), 1,
      anon_sym_LBRACK,
    ACTIONS(4035), 1,
      anon_sym_DOT,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5757), 1,
      anon_sym_LT,
    ACTIONS(5767), 1,
      anon_sym_GT_GT,
    ACTIONS(5779), 1,
      anon_sym_PERCENT,
    ACTIONS(5781), 1,
      anon_sym_STAR_STAR,
    STATE(1642), 1,
      sym_type_arguments,
    STATE(1656), 1,
      sym_arguments,
    STATE(4822), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4737), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5759), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5769), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5777), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4751), 7,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4749), 14,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [95624] = 13,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4033), 1,
      anon_sym_LBRACK,
    ACTIONS(4035), 1,
      anon_sym_DOT,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5781), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5793), 1,
      anon_sym_LT,
    STATE(1642), 1,
      sym_type_arguments,
    STATE(1656), 1,
      sym_arguments,
    STATE(4822), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4737), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4751), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4749), 17,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [95693] = 25,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4033), 1,
      anon_sym_LBRACK,
    ACTIONS(4035), 1,
      anon_sym_DOT,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4751), 1,
      anon_sym_BANG,
    ACTIONS(5757), 1,
      anon_sym_LT,
    ACTIONS(5767), 1,
      anon_sym_GT_GT,
    ACTIONS(5771), 1,
      anon_sym_AMP,
    ACTIONS(5773), 1,
      anon_sym_CARET,
    ACTIONS(5775), 1,
      anon_sym_PIPE,
    ACTIONS(5779), 1,
      anon_sym_PERCENT,
    ACTIONS(5781), 1,
      anon_sym_STAR_STAR,
    STATE(1642), 1,
      sym_type_arguments,
    STATE(1656), 1,
      sym_arguments,
    STATE(4822), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4737), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5759), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5761), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5769), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5777), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5785), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5787), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5783), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4749), 8,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [95786] = 26,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4033), 1,
      anon_sym_LBRACK,
    ACTIONS(4035), 1,
      anon_sym_DOT,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4751), 1,
      anon_sym_BANG,
    ACTIONS(5757), 1,
      anon_sym_LT,
    ACTIONS(5763), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5767), 1,
      anon_sym_GT_GT,
    ACTIONS(5771), 1,
      anon_sym_AMP,
    ACTIONS(5773), 1,
      anon_sym_CARET,
    ACTIONS(5775), 1,
      anon_sym_PIPE,
    ACTIONS(5779), 1,
      anon_sym_PERCENT,
    ACTIONS(5781), 1,
      anon_sym_STAR_STAR,
    STATE(1642), 1,
      sym_type_arguments,
    STATE(1656), 1,
      sym_arguments,
    STATE(4822), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4737), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5759), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5761), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5769), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5777), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5785), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5787), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5783), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4749), 7,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_of,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [95881] = 16,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4033), 1,
      anon_sym_LBRACK,
    ACTIONS(4035), 1,
      anon_sym_DOT,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5779), 1,
      anon_sym_PERCENT,
    ACTIONS(5781), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5793), 1,
      anon_sym_LT,
    STATE(1642), 1,
      sym_type_arguments,
    STATE(1656), 1,
      sym_arguments,
    STATE(4822), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4737), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5759), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5777), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4751), 8,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4749), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [95956] = 22,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4033), 1,
      anon_sym_LBRACK,
    ACTIONS(4035), 1,
      anon_sym_DOT,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5757), 1,
      anon_sym_LT,
    ACTIONS(5767), 1,
      anon_sym_GT_GT,
    ACTIONS(5779), 1,
      anon_sym_PERCENT,
    ACTIONS(5781), 1,
      anon_sym_STAR_STAR,
    STATE(1642), 1,
      sym_type_arguments,
    STATE(1656), 1,
      sym_arguments,
    STATE(4822), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4737), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5759), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5761), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5769), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5777), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5785), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5787), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4751), 3,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5783), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4749), 9,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [96043] = 23,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4033), 1,
      anon_sym_LBRACK,
    ACTIONS(4035), 1,
      anon_sym_DOT,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5757), 1,
      anon_sym_LT,
    ACTIONS(5767), 1,
      anon_sym_GT_GT,
    ACTIONS(5771), 1,
      anon_sym_AMP,
    ACTIONS(5779), 1,
      anon_sym_PERCENT,
    ACTIONS(5781), 1,
      anon_sym_STAR_STAR,
    STATE(1642), 1,
      sym_type_arguments,
    STATE(1656), 1,
      sym_arguments,
    STATE(4822), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4737), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4751), 2,
      anon_sym_BANG,
      anon_sym_PIPE,
    ACTIONS(5759), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5761), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5769), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5777), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5785), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5787), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5783), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4749), 9,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [96132] = 24,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4033), 1,
      anon_sym_LBRACK,
    ACTIONS(4035), 1,
      anon_sym_DOT,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5757), 1,
      anon_sym_LT,
    ACTIONS(5767), 1,
      anon_sym_GT_GT,
    ACTIONS(5771), 1,
      anon_sym_AMP,
    ACTIONS(5773), 1,
      anon_sym_CARET,
    ACTIONS(5779), 1,
      anon_sym_PERCENT,
    ACTIONS(5781), 1,
      anon_sym_STAR_STAR,
    STATE(1642), 1,
      sym_type_arguments,
    STATE(1656), 1,
      sym_arguments,
    STATE(4822), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4737), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4751), 2,
      anon_sym_BANG,
      anon_sym_PIPE,
    ACTIONS(5759), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5761), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5769), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5777), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5785), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5787), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5783), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4749), 8,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [96223] = 15,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4033), 1,
      anon_sym_LBRACK,
    ACTIONS(4035), 1,
      anon_sym_DOT,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5779), 1,
      anon_sym_PERCENT,
    ACTIONS(5781), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5793), 1,
      anon_sym_LT,
    STATE(1642), 1,
      sym_type_arguments,
    STATE(1656), 1,
      sym_arguments,
    STATE(4822), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4737), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5759), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4751), 10,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4749), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [96296] = 16,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4033), 1,
      anon_sym_LBRACK,
    ACTIONS(4035), 1,
      anon_sym_DOT,
    ACTIONS(4701), 1,
      anon_sym_as,
    ACTIONS(4703), 1,
      anon_sym_BANG,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4739), 1,
      anon_sym_satisfies,
    ACTIONS(5781), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5793), 1,
      anon_sym_LT,
    STATE(1642), 1,
      sym_type_arguments,
    STATE(1656), 1,
      sym_arguments,
    STATE(4822), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4737), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4751), 11,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4749), 15,
      sym__ternary_qmark,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_BQUOTE,
  [96371] = 20,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4033), 1,
      anon_sym_LBRACK,
    ACTIONS(4035), 1,
      anon_sym_DOT,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5757), 1,
      anon_sym_LT,
    ACTIONS(5767), 1,
      anon_sym_GT_GT,
    ACTIONS(5779), 1,
      anon_sym_PERCENT,
    ACTIONS(5781), 1,
      anon_sym_STAR_STAR,
    STATE(1642), 1,
      sym_type_arguments,
    STATE(1656), 1,
      sym_arguments,
    STATE(4822), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4737), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5759), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5761), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5769), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5777), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5783), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4751), 5,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4749), 11,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [96454] = 27,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4033), 1,
      anon_sym_LBRACK,
    ACTIONS(4035), 1,
      anon_sym_DOT,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4751), 1,
      anon_sym_BANG,
    ACTIONS(5757), 1,
      anon_sym_LT,
    ACTIONS(5763), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5765), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5767), 1,
      anon_sym_GT_GT,
    ACTIONS(5771), 1,
      anon_sym_AMP,
    ACTIONS(5773), 1,
      anon_sym_CARET,
    ACTIONS(5775), 1,
      anon_sym_PIPE,
    ACTIONS(5779), 1,
      anon_sym_PERCENT,
    ACTIONS(5781), 1,
      anon_sym_STAR_STAR,
    STATE(1642), 1,
      sym_type_arguments,
    STATE(1656), 1,
      sym_arguments,
    STATE(4822), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4737), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5759), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5761), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5769), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5777), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5785), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5787), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5783), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4749), 6,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_of,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [96551] = 31,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4033), 1,
      anon_sym_LBRACK,
    ACTIONS(4035), 1,
      anon_sym_DOT,
    ACTIONS(4701), 1,
      anon_sym_as,
    ACTIONS(4703), 1,
      anon_sym_BANG,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4739), 1,
      anon_sym_satisfies,
    ACTIONS(5757), 1,
      anon_sym_LT,
    ACTIONS(5763), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5765), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5767), 1,
      anon_sym_GT_GT,
    ACTIONS(5771), 1,
      anon_sym_AMP,
    ACTIONS(5773), 1,
      anon_sym_CARET,
    ACTIONS(5775), 1,
      anon_sym_PIPE,
    ACTIONS(5779), 1,
      anon_sym_PERCENT,
    ACTIONS(5781), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5789), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5791), 1,
      sym__ternary_qmark,
    STATE(1642), 1,
      sym_type_arguments,
    STATE(1656), 1,
      sym_arguments,
    STATE(4822), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4541), 2,
      anon_sym_of,
      anon_sym_BQUOTE,
    ACTIONS(4737), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5759), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5761), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5769), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5777), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5785), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5787), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5783), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [96656] = 31,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4033), 1,
      anon_sym_LBRACK,
    ACTIONS(4035), 1,
      anon_sym_DOT,
    ACTIONS(4701), 1,
      anon_sym_as,
    ACTIONS(4703), 1,
      anon_sym_BANG,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4739), 1,
      anon_sym_satisfies,
    ACTIONS(5757), 1,
      anon_sym_LT,
    ACTIONS(5763), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5765), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5767), 1,
      anon_sym_GT_GT,
    ACTIONS(5771), 1,
      anon_sym_AMP,
    ACTIONS(5773), 1,
      anon_sym_CARET,
    ACTIONS(5775), 1,
      anon_sym_PIPE,
    ACTIONS(5779), 1,
      anon_sym_PERCENT,
    ACTIONS(5781), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5789), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5791), 1,
      sym__ternary_qmark,
    STATE(1642), 1,
      sym_type_arguments,
    STATE(1656), 1,
      sym_arguments,
    STATE(4822), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4737), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4756), 2,
      anon_sym_of,
      anon_sym_BQUOTE,
    ACTIONS(5759), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5761), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5769), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5777), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5785), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5787), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5783), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [96761] = 31,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4033), 1,
      anon_sym_LBRACK,
    ACTIONS(4035), 1,
      anon_sym_DOT,
    ACTIONS(4701), 1,
      anon_sym_as,
    ACTIONS(4703), 1,
      anon_sym_BANG,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4739), 1,
      anon_sym_satisfies,
    ACTIONS(5757), 1,
      anon_sym_LT,
    ACTIONS(5763), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5765), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5767), 1,
      anon_sym_GT_GT,
    ACTIONS(5771), 1,
      anon_sym_AMP,
    ACTIONS(5773), 1,
      anon_sym_CARET,
    ACTIONS(5775), 1,
      anon_sym_PIPE,
    ACTIONS(5779), 1,
      anon_sym_PERCENT,
    ACTIONS(5781), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5789), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5791), 1,
      sym__ternary_qmark,
    STATE(1642), 1,
      sym_type_arguments,
    STATE(1656), 1,
      sym_arguments,
    STATE(4822), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4565), 2,
      anon_sym_of,
      anon_sym_BQUOTE,
    ACTIONS(4737), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5759), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5761), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5769), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5777), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5785), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5787), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5783), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [96866] = 31,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4033), 1,
      anon_sym_LBRACK,
    ACTIONS(4035), 1,
      anon_sym_DOT,
    ACTIONS(4701), 1,
      anon_sym_as,
    ACTIONS(4703), 1,
      anon_sym_BANG,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4739), 1,
      anon_sym_satisfies,
    ACTIONS(5757), 1,
      anon_sym_LT,
    ACTIONS(5763), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5765), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5767), 1,
      anon_sym_GT_GT,
    ACTIONS(5771), 1,
      anon_sym_AMP,
    ACTIONS(5773), 1,
      anon_sym_CARET,
    ACTIONS(5775), 1,
      anon_sym_PIPE,
    ACTIONS(5779), 1,
      anon_sym_PERCENT,
    ACTIONS(5781), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5789), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5791), 1,
      sym__ternary_qmark,
    STATE(1642), 1,
      sym_type_arguments,
    STATE(1656), 1,
      sym_arguments,
    STATE(4822), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4573), 2,
      anon_sym_of,
      anon_sym_BQUOTE,
    ACTIONS(4737), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5759), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5761), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5769), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5777), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5785), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5787), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5783), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [96971] = 31,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4033), 1,
      anon_sym_LBRACK,
    ACTIONS(4035), 1,
      anon_sym_DOT,
    ACTIONS(4701), 1,
      anon_sym_as,
    ACTIONS(4703), 1,
      anon_sym_BANG,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4739), 1,
      anon_sym_satisfies,
    ACTIONS(5757), 1,
      anon_sym_LT,
    ACTIONS(5763), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5765), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5767), 1,
      anon_sym_GT_GT,
    ACTIONS(5771), 1,
      anon_sym_AMP,
    ACTIONS(5773), 1,
      anon_sym_CARET,
    ACTIONS(5775), 1,
      anon_sym_PIPE,
    ACTIONS(5779), 1,
      anon_sym_PERCENT,
    ACTIONS(5781), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5789), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5791), 1,
      sym__ternary_qmark,
    STATE(1642), 1,
      sym_type_arguments,
    STATE(1656), 1,
      sym_arguments,
    STATE(4822), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4577), 2,
      anon_sym_of,
      anon_sym_BQUOTE,
    ACTIONS(4737), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5759), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5761), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5769), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5777), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5785), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5787), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5783), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [97076] = 31,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4033), 1,
      anon_sym_LBRACK,
    ACTIONS(4035), 1,
      anon_sym_DOT,
    ACTIONS(4701), 1,
      anon_sym_as,
    ACTIONS(4703), 1,
      anon_sym_BANG,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4739), 1,
      anon_sym_satisfies,
    ACTIONS(5757), 1,
      anon_sym_LT,
    ACTIONS(5763), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5765), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5767), 1,
      anon_sym_GT_GT,
    ACTIONS(5771), 1,
      anon_sym_AMP,
    ACTIONS(5773), 1,
      anon_sym_CARET,
    ACTIONS(5775), 1,
      anon_sym_PIPE,
    ACTIONS(5779), 1,
      anon_sym_PERCENT,
    ACTIONS(5781), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5789), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5791), 1,
      sym__ternary_qmark,
    STATE(1642), 1,
      sym_type_arguments,
    STATE(1656), 1,
      sym_arguments,
    STATE(4822), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4737), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4758), 2,
      anon_sym_of,
      anon_sym_BQUOTE,
    ACTIONS(5759), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5761), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5769), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5777), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5785), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5787), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5783), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [97181] = 31,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4033), 1,
      anon_sym_LBRACK,
    ACTIONS(4035), 1,
      anon_sym_DOT,
    ACTIONS(4701), 1,
      anon_sym_as,
    ACTIONS(4703), 1,
      anon_sym_BANG,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4739), 1,
      anon_sym_satisfies,
    ACTIONS(5757), 1,
      anon_sym_LT,
    ACTIONS(5763), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5765), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5767), 1,
      anon_sym_GT_GT,
    ACTIONS(5771), 1,
      anon_sym_AMP,
    ACTIONS(5773), 1,
      anon_sym_CARET,
    ACTIONS(5775), 1,
      anon_sym_PIPE,
    ACTIONS(5779), 1,
      anon_sym_PERCENT,
    ACTIONS(5781), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5789), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5791), 1,
      sym__ternary_qmark,
    STATE(1642), 1,
      sym_type_arguments,
    STATE(1656), 1,
      sym_arguments,
    STATE(4822), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4737), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4760), 2,
      anon_sym_of,
      anon_sym_BQUOTE,
    ACTIONS(5759), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5761), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5769), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5777), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5785), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5787), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5783), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [97286] = 31,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4033), 1,
      anon_sym_LBRACK,
    ACTIONS(4035), 1,
      anon_sym_DOT,
    ACTIONS(4701), 1,
      anon_sym_as,
    ACTIONS(4703), 1,
      anon_sym_BANG,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4739), 1,
      anon_sym_satisfies,
    ACTIONS(5757), 1,
      anon_sym_LT,
    ACTIONS(5763), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5765), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5767), 1,
      anon_sym_GT_GT,
    ACTIONS(5771), 1,
      anon_sym_AMP,
    ACTIONS(5773), 1,
      anon_sym_CARET,
    ACTIONS(5775), 1,
      anon_sym_PIPE,
    ACTIONS(5779), 1,
      anon_sym_PERCENT,
    ACTIONS(5781), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5789), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5791), 1,
      sym__ternary_qmark,
    STATE(1642), 1,
      sym_type_arguments,
    STATE(1656), 1,
      sym_arguments,
    STATE(4822), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4737), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4772), 2,
      anon_sym_of,
      anon_sym_BQUOTE,
    ACTIONS(5759), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5761), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5769), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5777), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5785), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5787), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5783), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [97391] = 4,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4183), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(4179), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4181), 25,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [97442] = 4,
    ACTIONS(3619), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3499), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3503), 26,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [97493] = 12,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4033), 1,
      anon_sym_LBRACK,
    ACTIONS(4035), 1,
      anon_sym_DOT,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5796), 1,
      anon_sym_LT,
    STATE(1642), 1,
      sym_type_arguments,
    STATE(1656), 1,
      sym_arguments,
    STATE(4822), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4737), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4791), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4793), 18,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [97560] = 15,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4033), 1,
      anon_sym_LBRACK,
    ACTIONS(4035), 1,
      anon_sym_DOT,
    ACTIONS(4701), 1,
      anon_sym_as,
    ACTIONS(4703), 1,
      anon_sym_BANG,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4739), 1,
      anon_sym_satisfies,
    ACTIONS(5799), 1,
      anon_sym_LT,
    STATE(1642), 1,
      sym_type_arguments,
    STATE(1656), 1,
      sym_arguments,
    STATE(4822), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4737), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4798), 11,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4800), 16,
      sym__ternary_qmark,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_BQUOTE,
  [97633] = 31,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4033), 1,
      anon_sym_LBRACK,
    ACTIONS(4035), 1,
      anon_sym_DOT,
    ACTIONS(4701), 1,
      anon_sym_as,
    ACTIONS(4703), 1,
      anon_sym_BANG,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4739), 1,
      anon_sym_satisfies,
    ACTIONS(5757), 1,
      anon_sym_LT,
    ACTIONS(5763), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5765), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5767), 1,
      anon_sym_GT_GT,
    ACTIONS(5771), 1,
      anon_sym_AMP,
    ACTIONS(5773), 1,
      anon_sym_CARET,
    ACTIONS(5775), 1,
      anon_sym_PIPE,
    ACTIONS(5779), 1,
      anon_sym_PERCENT,
    ACTIONS(5781), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5789), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5791), 1,
      sym__ternary_qmark,
    STATE(1642), 1,
      sym_type_arguments,
    STATE(1656), 1,
      sym_arguments,
    STATE(4822), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4737), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4805), 2,
      anon_sym_of,
      anon_sym_BQUOTE,
    ACTIONS(5759), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5761), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5769), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5777), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5785), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5787), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5783), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [97738] = 11,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4033), 1,
      anon_sym_LBRACK,
    ACTIONS(4035), 1,
      anon_sym_DOT,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5802), 1,
      anon_sym_LT,
    STATE(1642), 1,
      sym_type_arguments,
    STATE(1656), 1,
      sym_arguments,
    STATE(4822), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4774), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4776), 20,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [97803] = 8,
    ACTIONS(2338), 1,
      anon_sym_DQUOTE,
    ACTIONS(2340), 1,
      anon_sym_SQUOTE,
    ACTIONS(4679), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5385), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3765), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3843), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2362), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [97862] = 8,
    ACTIONS(2338), 1,
      anon_sym_DQUOTE,
    ACTIONS(2340), 1,
      anon_sym_SQUOTE,
    ACTIONS(4679), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5363), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3792), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3843), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2362), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [97921] = 7,
    ACTIONS(4083), 1,
      anon_sym_QMARK,
    ACTIONS(4085), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4532), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4529), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
    ACTIONS(3499), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3503), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [97978] = 7,
    ACTIONS(3674), 1,
      anon_sym_EQ,
    ACTIONS(4627), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4379), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(4630), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3499), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3503), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [98035] = 4,
    ACTIONS(3587), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3499), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3503), 26,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [98086] = 7,
    ACTIONS(3650), 1,
      anon_sym_EQ,
    ACTIONS(4627), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4379), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(4630), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3499), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3503), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [98143] = 15,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4033), 1,
      anon_sym_LBRACK,
    ACTIONS(4035), 1,
      anon_sym_DOT,
    ACTIONS(4701), 1,
      anon_sym_as,
    ACTIONS(4703), 1,
      anon_sym_BANG,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4739), 1,
      anon_sym_satisfies,
    ACTIONS(5805), 1,
      anon_sym_LT,
    STATE(1642), 1,
      sym_type_arguments,
    STATE(1656), 1,
      sym_arguments,
    STATE(4822), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4737), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4798), 11,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4800), 16,
      sym__ternary_qmark,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_BQUOTE,
  [98216] = 20,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4033), 1,
      anon_sym_LBRACK,
    ACTIONS(4035), 1,
      anon_sym_DOT,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5812), 1,
      anon_sym_GT_GT,
    ACTIONS(5818), 1,
      anon_sym_PERCENT,
    ACTIONS(5820), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5822), 1,
      anon_sym_LT,
    STATE(1642), 1,
      sym_type_arguments,
    STATE(1656), 1,
      sym_arguments,
    STATE(4822), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4737), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5808), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5810), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5814), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5816), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5824), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4751), 5,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4749), 10,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [98298] = 11,
    ACTIONS(1635), 1,
      anon_sym_DQUOTE,
    ACTIONS(1637), 1,
      anon_sym_SQUOTE,
    ACTIONS(3731), 1,
      anon_sym_override,
    ACTIONS(4595), 1,
      anon_sym_LBRACK,
    ACTIONS(5826), 1,
      anon_sym_readonly,
    STATE(2837), 1,
      sym_override_modifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4854), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3460), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3843), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(3705), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [98362] = 9,
    ACTIONS(1635), 1,
      anon_sym_DQUOTE,
    ACTIONS(1637), 1,
      anon_sym_SQUOTE,
    ACTIONS(4595), 1,
      anon_sym_LBRACK,
    ACTIONS(4862), 1,
      anon_sym_abstract,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4854), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3460), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3843), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(3705), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [98422] = 9,
    ACTIONS(1635), 1,
      anon_sym_DQUOTE,
    ACTIONS(1637), 1,
      anon_sym_SQUOTE,
    ACTIONS(4595), 1,
      anon_sym_LBRACK,
    ACTIONS(5830), 1,
      anon_sym_abstract,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5828), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3417), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3843), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(3705), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [98482] = 6,
    ACTIONS(4593), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4071), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(1986), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3843), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1984), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [98536] = 4,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4183), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(4179), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4181), 24,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [98586] = 6,
    ACTIONS(4593), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4071), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(1990), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3843), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1988), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [98640] = 13,
    ACTIONS(2338), 1,
      anon_sym_DQUOTE,
    ACTIONS(2340), 1,
      anon_sym_SQUOTE,
    ACTIONS(4679), 1,
      anon_sym_LBRACK,
    ACTIONS(5003), 1,
      anon_sym_STAR,
    ACTIONS(5278), 1,
      anon_sym_COMMA,
    ACTIONS(5708), 1,
      anon_sym_RBRACE,
    STATE(4940), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2348), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2368), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3797), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3843), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2362), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [98708] = 14,
    ACTIONS(2338), 1,
      anon_sym_DQUOTE,
    ACTIONS(2340), 1,
      anon_sym_SQUOTE,
    ACTIONS(2364), 1,
      anon_sym_async,
    ACTIONS(4679), 1,
      anon_sym_LBRACK,
    ACTIONS(5003), 1,
      anon_sym_STAR,
    ACTIONS(5278), 1,
      anon_sym_COMMA,
    ACTIONS(5708), 1,
      anon_sym_RBRACE,
    STATE(4940), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2348), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2368), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3797), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3843), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2362), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [98778] = 31,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4033), 1,
      anon_sym_LBRACK,
    ACTIONS(4035), 1,
      anon_sym_DOT,
    ACTIONS(4701), 1,
      anon_sym_as,
    ACTIONS(4703), 1,
      anon_sym_BANG,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4739), 1,
      anon_sym_satisfies,
    ACTIONS(5598), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5600), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5602), 1,
      anon_sym_GT_GT,
    ACTIONS(5606), 1,
      anon_sym_AMP,
    ACTIONS(5608), 1,
      anon_sym_CARET,
    ACTIONS(5610), 1,
      anon_sym_PIPE,
    ACTIONS(5614), 1,
      anon_sym_PERCENT,
    ACTIONS(5616), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5618), 1,
      anon_sym_LT,
    ACTIONS(5626), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5628), 1,
      sym__ternary_qmark,
    ACTIONS(5832), 1,
      anon_sym_COLON,
    STATE(1642), 1,
      sym_type_arguments,
    STATE(1656), 1,
      sym_arguments,
    STATE(4822), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4737), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5594), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5596), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5604), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5612), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5622), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5624), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5620), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [98882] = 4,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4286), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(4179), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4181), 24,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [98932] = 4,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1749), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(5834), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5837), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [98982] = 4,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4645), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(5840), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5843), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [99032] = 4,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4611), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(5846), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5849), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [99082] = 12,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4033), 1,
      anon_sym_LBRACK,
    ACTIONS(4035), 1,
      anon_sym_DOT,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5852), 1,
      anon_sym_LT,
    STATE(1642), 1,
      sym_type_arguments,
    STATE(1656), 1,
      sym_arguments,
    STATE(4822), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4737), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4791), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4793), 17,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [99148] = 15,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4033), 1,
      anon_sym_LBRACK,
    ACTIONS(4035), 1,
      anon_sym_DOT,
    ACTIONS(4701), 1,
      anon_sym_as,
    ACTIONS(4703), 1,
      anon_sym_BANG,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4739), 1,
      anon_sym_satisfies,
    ACTIONS(5855), 1,
      anon_sym_LT,
    STATE(1642), 1,
      sym_type_arguments,
    STATE(1656), 1,
      sym_arguments,
    STATE(4822), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4737), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4798), 11,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4800), 15,
      sym__ternary_qmark,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_BQUOTE,
  [99220] = 31,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4033), 1,
      anon_sym_LBRACK,
    ACTIONS(4035), 1,
      anon_sym_DOT,
    ACTIONS(4701), 1,
      anon_sym_as,
    ACTIONS(4703), 1,
      anon_sym_BANG,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4739), 1,
      anon_sym_satisfies,
    ACTIONS(4805), 1,
      anon_sym_BQUOTE,
    ACTIONS(5812), 1,
      anon_sym_GT_GT,
    ACTIONS(5818), 1,
      anon_sym_PERCENT,
    ACTIONS(5820), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5822), 1,
      anon_sym_LT,
    ACTIONS(5858), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5860), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5862), 1,
      anon_sym_AMP,
    ACTIONS(5864), 1,
      anon_sym_CARET,
    ACTIONS(5866), 1,
      anon_sym_PIPE,
    ACTIONS(5872), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5874), 1,
      sym__ternary_qmark,
    STATE(1642), 1,
      sym_type_arguments,
    STATE(1656), 1,
      sym_arguments,
    STATE(4822), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4737), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5808), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5810), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5814), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5816), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5868), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5870), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5824), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [99324] = 11,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4033), 1,
      anon_sym_LBRACK,
    ACTIONS(4035), 1,
      anon_sym_DOT,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5876), 1,
      anon_sym_LT,
    STATE(1642), 1,
      sym_type_arguments,
    STATE(1656), 1,
      sym_arguments,
    STATE(4822), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4774), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4776), 19,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [99388] = 6,
    ACTIONS(4627), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4630), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4379), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_extends,
    ACTIONS(3499), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3503), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [99442] = 11,
    ACTIONS(1635), 1,
      anon_sym_DQUOTE,
    ACTIONS(1637), 1,
      anon_sym_SQUOTE,
    ACTIONS(3731), 1,
      anon_sym_override,
    ACTIONS(4595), 1,
      anon_sym_LBRACK,
    ACTIONS(5879), 1,
      anon_sym_readonly,
    STATE(2866), 1,
      sym_override_modifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5712), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3393), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3843), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(3705), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [99506] = 9,
    ACTIONS(1635), 1,
      anon_sym_DQUOTE,
    ACTIONS(1637), 1,
      anon_sym_SQUOTE,
    ACTIONS(4595), 1,
      anon_sym_LBRACK,
    ACTIONS(5881), 1,
      anon_sym_abstract,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5712), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3393), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3843), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(3705), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [99566] = 8,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(5822), 1,
      anon_sym_LT,
    STATE(1642), 1,
      sym_type_arguments,
    STATE(1656), 1,
      sym_arguments,
    STATE(4822), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4693), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4695), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [99624] = 11,
    ACTIONS(1635), 1,
      anon_sym_DQUOTE,
    ACTIONS(1637), 1,
      anon_sym_SQUOTE,
    ACTIONS(3731), 1,
      anon_sym_override,
    ACTIONS(4595), 1,
      anon_sym_LBRACK,
    ACTIONS(5885), 1,
      anon_sym_readonly,
    STATE(2873), 1,
      sym_override_modifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5883), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3454), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3843), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(3705), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [99688] = 9,
    ACTIONS(1635), 1,
      anon_sym_DQUOTE,
    ACTIONS(1637), 1,
      anon_sym_SQUOTE,
    ACTIONS(4595), 1,
      anon_sym_LBRACK,
    ACTIONS(5889), 1,
      anon_sym_abstract,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5887), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3456), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3843), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(3705), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [99748] = 31,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4033), 1,
      anon_sym_LBRACK,
    ACTIONS(4035), 1,
      anon_sym_DOT,
    ACTIONS(4701), 1,
      anon_sym_as,
    ACTIONS(4703), 1,
      anon_sym_BANG,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4739), 1,
      anon_sym_satisfies,
    ACTIONS(5598), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5600), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5602), 1,
      anon_sym_GT_GT,
    ACTIONS(5606), 1,
      anon_sym_AMP,
    ACTIONS(5608), 1,
      anon_sym_CARET,
    ACTIONS(5610), 1,
      anon_sym_PIPE,
    ACTIONS(5614), 1,
      anon_sym_PERCENT,
    ACTIONS(5616), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5618), 1,
      anon_sym_LT,
    ACTIONS(5626), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5628), 1,
      sym__ternary_qmark,
    ACTIONS(5891), 1,
      anon_sym_COLON,
    STATE(1642), 1,
      sym_type_arguments,
    STATE(1656), 1,
      sym_arguments,
    STATE(4822), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4737), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5594), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5596), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5604), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5612), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5622), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5624), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5620), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [99852] = 31,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4033), 1,
      anon_sym_LBRACK,
    ACTIONS(4035), 1,
      anon_sym_DOT,
    ACTIONS(4483), 1,
      anon_sym_BQUOTE,
    ACTIONS(4701), 1,
      anon_sym_as,
    ACTIONS(4703), 1,
      anon_sym_BANG,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4739), 1,
      anon_sym_satisfies,
    ACTIONS(5812), 1,
      anon_sym_GT_GT,
    ACTIONS(5818), 1,
      anon_sym_PERCENT,
    ACTIONS(5820), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5822), 1,
      anon_sym_LT,
    ACTIONS(5858), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5860), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5862), 1,
      anon_sym_AMP,
    ACTIONS(5864), 1,
      anon_sym_CARET,
    ACTIONS(5866), 1,
      anon_sym_PIPE,
    ACTIONS(5872), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5874), 1,
      sym__ternary_qmark,
    STATE(1642), 1,
      sym_type_arguments,
    STATE(1656), 1,
      sym_arguments,
    STATE(4822), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4737), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5808), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5810), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5814), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5816), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5868), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5870), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5824), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [99956] = 31,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4033), 1,
      anon_sym_LBRACK,
    ACTIONS(4035), 1,
      anon_sym_DOT,
    ACTIONS(4701), 1,
      anon_sym_as,
    ACTIONS(4703), 1,
      anon_sym_BANG,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4739), 1,
      anon_sym_satisfies,
    ACTIONS(4743), 1,
      anon_sym_BQUOTE,
    ACTIONS(5812), 1,
      anon_sym_GT_GT,
    ACTIONS(5818), 1,
      anon_sym_PERCENT,
    ACTIONS(5820), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5822), 1,
      anon_sym_LT,
    ACTIONS(5858), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5860), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5862), 1,
      anon_sym_AMP,
    ACTIONS(5864), 1,
      anon_sym_CARET,
    ACTIONS(5866), 1,
      anon_sym_PIPE,
    ACTIONS(5872), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5874), 1,
      sym__ternary_qmark,
    STATE(1642), 1,
      sym_type_arguments,
    STATE(1656), 1,
      sym_arguments,
    STATE(4822), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4737), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5808), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5810), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5814), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5816), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5868), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5870), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5824), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [100060] = 31,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4033), 1,
      anon_sym_LBRACK,
    ACTIONS(4035), 1,
      anon_sym_DOT,
    ACTIONS(4701), 1,
      anon_sym_as,
    ACTIONS(4703), 1,
      anon_sym_BANG,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4739), 1,
      anon_sym_satisfies,
    ACTIONS(4745), 1,
      anon_sym_BQUOTE,
    ACTIONS(5812), 1,
      anon_sym_GT_GT,
    ACTIONS(5818), 1,
      anon_sym_PERCENT,
    ACTIONS(5820), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5822), 1,
      anon_sym_LT,
    ACTIONS(5858), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5860), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5862), 1,
      anon_sym_AMP,
    ACTIONS(5864), 1,
      anon_sym_CARET,
    ACTIONS(5866), 1,
      anon_sym_PIPE,
    ACTIONS(5872), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5874), 1,
      sym__ternary_qmark,
    STATE(1642), 1,
      sym_type_arguments,
    STATE(1656), 1,
      sym_arguments,
    STATE(4822), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4737), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5808), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5810), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5814), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5816), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5868), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5870), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5824), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [100164] = 31,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4033), 1,
      anon_sym_LBRACK,
    ACTIONS(4035), 1,
      anon_sym_DOT,
    ACTIONS(4701), 1,
      anon_sym_as,
    ACTIONS(4703), 1,
      anon_sym_BANG,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4739), 1,
      anon_sym_satisfies,
    ACTIONS(4747), 1,
      anon_sym_BQUOTE,
    ACTIONS(5812), 1,
      anon_sym_GT_GT,
    ACTIONS(5818), 1,
      anon_sym_PERCENT,
    ACTIONS(5820), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5822), 1,
      anon_sym_LT,
    ACTIONS(5858), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5860), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5862), 1,
      anon_sym_AMP,
    ACTIONS(5864), 1,
      anon_sym_CARET,
    ACTIONS(5866), 1,
      anon_sym_PIPE,
    ACTIONS(5872), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5874), 1,
      sym__ternary_qmark,
    STATE(1642), 1,
      sym_type_arguments,
    STATE(1656), 1,
      sym_arguments,
    STATE(4822), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4737), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5808), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5810), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5814), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5816), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5868), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5870), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5824), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [100268] = 31,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4033), 1,
      anon_sym_LBRACK,
    ACTIONS(4035), 1,
      anon_sym_DOT,
    ACTIONS(4523), 1,
      anon_sym_BQUOTE,
    ACTIONS(4701), 1,
      anon_sym_as,
    ACTIONS(4703), 1,
      anon_sym_BANG,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4739), 1,
      anon_sym_satisfies,
    ACTIONS(5812), 1,
      anon_sym_GT_GT,
    ACTIONS(5818), 1,
      anon_sym_PERCENT,
    ACTIONS(5820), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5822), 1,
      anon_sym_LT,
    ACTIONS(5858), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5860), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5862), 1,
      anon_sym_AMP,
    ACTIONS(5864), 1,
      anon_sym_CARET,
    ACTIONS(5866), 1,
      anon_sym_PIPE,
    ACTIONS(5872), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5874), 1,
      sym__ternary_qmark,
    STATE(1642), 1,
      sym_type_arguments,
    STATE(1656), 1,
      sym_arguments,
    STATE(4822), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4737), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5808), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5810), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5814), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5816), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5868), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5870), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5824), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [100372] = 12,
    ACTIONS(2338), 1,
      anon_sym_DQUOTE,
    ACTIONS(2340), 1,
      anon_sym_SQUOTE,
    ACTIONS(4593), 1,
      anon_sym_EQ,
    ACTIONS(4679), 1,
      anon_sym_LBRACK,
    ACTIONS(5003), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2348), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2368), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(5726), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(3797), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3843), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2362), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [100438] = 18,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4033), 1,
      anon_sym_LBRACK,
    ACTIONS(4035), 1,
      anon_sym_DOT,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5812), 1,
      anon_sym_GT_GT,
    ACTIONS(5818), 1,
      anon_sym_PERCENT,
    ACTIONS(5820), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5822), 1,
      anon_sym_LT,
    STATE(1642), 1,
      sym_type_arguments,
    STATE(1656), 1,
      sym_arguments,
    STATE(4822), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4737), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5808), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5814), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5816), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4751), 7,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4749), 13,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [100516] = 13,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4033), 1,
      anon_sym_LBRACK,
    ACTIONS(4035), 1,
      anon_sym_DOT,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5820), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5893), 1,
      anon_sym_LT,
    STATE(1642), 1,
      sym_type_arguments,
    STATE(1656), 1,
      sym_arguments,
    STATE(4822), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4737), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4751), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4749), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [100584] = 13,
    ACTIONS(2338), 1,
      anon_sym_DQUOTE,
    ACTIONS(2340), 1,
      anon_sym_SQUOTE,
    ACTIONS(2364), 1,
      anon_sym_async,
    ACTIONS(4593), 1,
      anon_sym_EQ,
    ACTIONS(4679), 1,
      anon_sym_LBRACK,
    ACTIONS(5003), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2348), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2368), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(5726), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(3797), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3843), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2362), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [100652] = 25,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4033), 1,
      anon_sym_LBRACK,
    ACTIONS(4035), 1,
      anon_sym_DOT,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4751), 1,
      anon_sym_BANG,
    ACTIONS(5812), 1,
      anon_sym_GT_GT,
    ACTIONS(5818), 1,
      anon_sym_PERCENT,
    ACTIONS(5820), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5822), 1,
      anon_sym_LT,
    ACTIONS(5862), 1,
      anon_sym_AMP,
    ACTIONS(5864), 1,
      anon_sym_CARET,
    ACTIONS(5866), 1,
      anon_sym_PIPE,
    STATE(1642), 1,
      sym_type_arguments,
    STATE(1656), 1,
      sym_arguments,
    STATE(4822), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4737), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5808), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5810), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5814), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5816), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5868), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5870), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5824), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4749), 7,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [100744] = 6,
    ACTIONS(4463), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4466), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4173), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_extends,
    ACTIONS(4459), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4461), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [100798] = 31,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4033), 1,
      anon_sym_LBRACK,
    ACTIONS(4035), 1,
      anon_sym_DOT,
    ACTIONS(4701), 1,
      anon_sym_as,
    ACTIONS(4703), 1,
      anon_sym_BANG,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4739), 1,
      anon_sym_satisfies,
    ACTIONS(5598), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5600), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5602), 1,
      anon_sym_GT_GT,
    ACTIONS(5606), 1,
      anon_sym_AMP,
    ACTIONS(5608), 1,
      anon_sym_CARET,
    ACTIONS(5610), 1,
      anon_sym_PIPE,
    ACTIONS(5614), 1,
      anon_sym_PERCENT,
    ACTIONS(5616), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5618), 1,
      anon_sym_LT,
    ACTIONS(5626), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5628), 1,
      sym__ternary_qmark,
    ACTIONS(5896), 1,
      anon_sym_COLON,
    STATE(1642), 1,
      sym_type_arguments,
    STATE(1656), 1,
      sym_arguments,
    STATE(4822), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4737), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5594), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5596), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5604), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5612), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5622), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5624), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5620), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [100902] = 26,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4033), 1,
      anon_sym_LBRACK,
    ACTIONS(4035), 1,
      anon_sym_DOT,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4751), 1,
      anon_sym_BANG,
    ACTIONS(5812), 1,
      anon_sym_GT_GT,
    ACTIONS(5818), 1,
      anon_sym_PERCENT,
    ACTIONS(5820), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5822), 1,
      anon_sym_LT,
    ACTIONS(5858), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5862), 1,
      anon_sym_AMP,
    ACTIONS(5864), 1,
      anon_sym_CARET,
    ACTIONS(5866), 1,
      anon_sym_PIPE,
    STATE(1642), 1,
      sym_type_arguments,
    STATE(1656), 1,
      sym_arguments,
    STATE(4822), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4737), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5808), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5810), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5814), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5816), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5868), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5870), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5824), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4749), 6,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [100996] = 16,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4033), 1,
      anon_sym_LBRACK,
    ACTIONS(4035), 1,
      anon_sym_DOT,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5818), 1,
      anon_sym_PERCENT,
    ACTIONS(5820), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5893), 1,
      anon_sym_LT,
    STATE(1642), 1,
      sym_type_arguments,
    STATE(1656), 1,
      sym_arguments,
    STATE(4822), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4737), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5808), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5816), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4751), 8,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4749), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [101070] = 22,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4033), 1,
      anon_sym_LBRACK,
    ACTIONS(4035), 1,
      anon_sym_DOT,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5812), 1,
      anon_sym_GT_GT,
    ACTIONS(5818), 1,
      anon_sym_PERCENT,
    ACTIONS(5820), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5822), 1,
      anon_sym_LT,
    STATE(1642), 1,
      sym_type_arguments,
    STATE(1656), 1,
      sym_arguments,
    STATE(4822), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4737), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5808), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5810), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5814), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5816), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5868), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5870), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4751), 3,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5824), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4749), 8,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [101156] = 23,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4033), 1,
      anon_sym_LBRACK,
    ACTIONS(4035), 1,
      anon_sym_DOT,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5812), 1,
      anon_sym_GT_GT,
    ACTIONS(5818), 1,
      anon_sym_PERCENT,
    ACTIONS(5820), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5822), 1,
      anon_sym_LT,
    ACTIONS(5862), 1,
      anon_sym_AMP,
    STATE(1642), 1,
      sym_type_arguments,
    STATE(1656), 1,
      sym_arguments,
    STATE(4822), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4737), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4751), 2,
      anon_sym_BANG,
      anon_sym_PIPE,
    ACTIONS(5808), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5810), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5814), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5816), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5868), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5870), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5824), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4749), 8,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [101244] = 24,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4033), 1,
      anon_sym_LBRACK,
    ACTIONS(4035), 1,
      anon_sym_DOT,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5812), 1,
      anon_sym_GT_GT,
    ACTIONS(5818), 1,
      anon_sym_PERCENT,
    ACTIONS(5820), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5822), 1,
      anon_sym_LT,
    ACTIONS(5862), 1,
      anon_sym_AMP,
    ACTIONS(5864), 1,
      anon_sym_CARET,
    STATE(1642), 1,
      sym_type_arguments,
    STATE(1656), 1,
      sym_arguments,
    STATE(4822), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4737), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4751), 2,
      anon_sym_BANG,
      anon_sym_PIPE,
    ACTIONS(5808), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5810), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5814), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5816), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5868), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5870), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5824), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4749), 7,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [101334] = 15,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4033), 1,
      anon_sym_LBRACK,
    ACTIONS(4035), 1,
      anon_sym_DOT,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5818), 1,
      anon_sym_PERCENT,
    ACTIONS(5820), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5893), 1,
      anon_sym_LT,
    STATE(1642), 1,
      sym_type_arguments,
    STATE(1656), 1,
      sym_arguments,
    STATE(4822), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4737), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5808), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4751), 10,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4749), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [101406] = 31,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4033), 1,
      anon_sym_LBRACK,
    ACTIONS(4035), 1,
      anon_sym_DOT,
    ACTIONS(4701), 1,
      anon_sym_as,
    ACTIONS(4703), 1,
      anon_sym_BANG,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4739), 1,
      anon_sym_satisfies,
    ACTIONS(5598), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5600), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5602), 1,
      anon_sym_GT_GT,
    ACTIONS(5606), 1,
      anon_sym_AMP,
    ACTIONS(5608), 1,
      anon_sym_CARET,
    ACTIONS(5610), 1,
      anon_sym_PIPE,
    ACTIONS(5614), 1,
      anon_sym_PERCENT,
    ACTIONS(5616), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5618), 1,
      anon_sym_LT,
    ACTIONS(5626), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5628), 1,
      sym__ternary_qmark,
    ACTIONS(5898), 1,
      anon_sym_COLON,
    STATE(1642), 1,
      sym_type_arguments,
    STATE(1656), 1,
      sym_arguments,
    STATE(4822), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4737), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5594), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5596), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5604), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5612), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5622), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5624), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5620), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [101510] = 9,
    ACTIONS(1635), 1,
      anon_sym_DQUOTE,
    ACTIONS(1637), 1,
      anon_sym_SQUOTE,
    ACTIONS(4595), 1,
      anon_sym_LBRACK,
    ACTIONS(5902), 1,
      anon_sym_abstract,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5900), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3409), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3843), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(3705), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [101570] = 6,
    ACTIONS(4623), 1,
      anon_sym_EQ,
    ACTIONS(4666), 1,
      anon_sym_RBRACK,
    ACTIONS(4868), 1,
      anon_sym_COMMA,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4621), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4625), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [101624] = 31,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4033), 1,
      anon_sym_LBRACK,
    ACTIONS(4035), 1,
      anon_sym_DOT,
    ACTIONS(4701), 1,
      anon_sym_as,
    ACTIONS(4703), 1,
      anon_sym_BANG,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4739), 1,
      anon_sym_satisfies,
    ACTIONS(5598), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5600), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5602), 1,
      anon_sym_GT_GT,
    ACTIONS(5606), 1,
      anon_sym_AMP,
    ACTIONS(5608), 1,
      anon_sym_CARET,
    ACTIONS(5610), 1,
      anon_sym_PIPE,
    ACTIONS(5614), 1,
      anon_sym_PERCENT,
    ACTIONS(5616), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5618), 1,
      anon_sym_LT,
    ACTIONS(5626), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5628), 1,
      sym__ternary_qmark,
    ACTIONS(5904), 1,
      anon_sym_COLON,
    STATE(1642), 1,
      sym_type_arguments,
    STATE(1656), 1,
      sym_arguments,
    STATE(4822), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4737), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5594), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5596), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5604), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5612), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5622), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5624), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5620), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [101728] = 6,
    ACTIONS(1709), 1,
      anon_sym_EQ,
    ACTIONS(4674), 1,
      anon_sym_RBRACK,
    ACTIONS(4870), 1,
      anon_sym_COMMA,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1707), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1711), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [101782] = 16,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4033), 1,
      anon_sym_LBRACK,
    ACTIONS(4035), 1,
      anon_sym_DOT,
    ACTIONS(4701), 1,
      anon_sym_as,
    ACTIONS(4703), 1,
      anon_sym_BANG,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4739), 1,
      anon_sym_satisfies,
    ACTIONS(5820), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5893), 1,
      anon_sym_LT,
    STATE(1642), 1,
      sym_type_arguments,
    STATE(1656), 1,
      sym_arguments,
    STATE(4822), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4737), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4751), 11,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4749), 14,
      sym__ternary_qmark,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_BQUOTE,
  [101856] = 27,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4033), 1,
      anon_sym_LBRACK,
    ACTIONS(4035), 1,
      anon_sym_DOT,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4751), 1,
      anon_sym_BANG,
    ACTIONS(5812), 1,
      anon_sym_GT_GT,
    ACTIONS(5818), 1,
      anon_sym_PERCENT,
    ACTIONS(5820), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5822), 1,
      anon_sym_LT,
    ACTIONS(5858), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5860), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5862), 1,
      anon_sym_AMP,
    ACTIONS(5864), 1,
      anon_sym_CARET,
    ACTIONS(5866), 1,
      anon_sym_PIPE,
    STATE(1642), 1,
      sym_type_arguments,
    STATE(1656), 1,
      sym_arguments,
    STATE(4822), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4737), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5808), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5810), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5814), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5816), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5868), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5870), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5824), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4749), 5,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [101952] = 31,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4033), 1,
      anon_sym_LBRACK,
    ACTIONS(4035), 1,
      anon_sym_DOT,
    ACTIONS(4701), 1,
      anon_sym_as,
    ACTIONS(4703), 1,
      anon_sym_BANG,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4739), 1,
      anon_sym_satisfies,
    ACTIONS(5598), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5600), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5602), 1,
      anon_sym_GT_GT,
    ACTIONS(5606), 1,
      anon_sym_AMP,
    ACTIONS(5608), 1,
      anon_sym_CARET,
    ACTIONS(5610), 1,
      anon_sym_PIPE,
    ACTIONS(5614), 1,
      anon_sym_PERCENT,
    ACTIONS(5616), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5618), 1,
      anon_sym_LT,
    ACTIONS(5626), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5628), 1,
      sym__ternary_qmark,
    ACTIONS(5906), 1,
      anon_sym_COLON,
    STATE(1642), 1,
      sym_type_arguments,
    STATE(1656), 1,
      sym_arguments,
    STATE(4822), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4737), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5594), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5596), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5604), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5612), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5622), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5624), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5620), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [102056] = 31,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4033), 1,
      anon_sym_LBRACK,
    ACTIONS(4035), 1,
      anon_sym_DOT,
    ACTIONS(4541), 1,
      anon_sym_BQUOTE,
    ACTIONS(4701), 1,
      anon_sym_as,
    ACTIONS(4703), 1,
      anon_sym_BANG,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4739), 1,
      anon_sym_satisfies,
    ACTIONS(5812), 1,
      anon_sym_GT_GT,
    ACTIONS(5818), 1,
      anon_sym_PERCENT,
    ACTIONS(5820), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5822), 1,
      anon_sym_LT,
    ACTIONS(5858), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5860), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5862), 1,
      anon_sym_AMP,
    ACTIONS(5864), 1,
      anon_sym_CARET,
    ACTIONS(5866), 1,
      anon_sym_PIPE,
    ACTIONS(5872), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5874), 1,
      sym__ternary_qmark,
    STATE(1642), 1,
      sym_type_arguments,
    STATE(1656), 1,
      sym_arguments,
    STATE(4822), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4737), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5808), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5810), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5814), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5816), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5868), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5870), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5824), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [102160] = 31,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4033), 1,
      anon_sym_LBRACK,
    ACTIONS(4035), 1,
      anon_sym_DOT,
    ACTIONS(4701), 1,
      anon_sym_as,
    ACTIONS(4703), 1,
      anon_sym_BANG,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4739), 1,
      anon_sym_satisfies,
    ACTIONS(5598), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5600), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5602), 1,
      anon_sym_GT_GT,
    ACTIONS(5606), 1,
      anon_sym_AMP,
    ACTIONS(5608), 1,
      anon_sym_CARET,
    ACTIONS(5610), 1,
      anon_sym_PIPE,
    ACTIONS(5614), 1,
      anon_sym_PERCENT,
    ACTIONS(5616), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5618), 1,
      anon_sym_LT,
    ACTIONS(5626), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5628), 1,
      sym__ternary_qmark,
    ACTIONS(5908), 1,
      anon_sym_COLON,
    STATE(1642), 1,
      sym_type_arguments,
    STATE(1656), 1,
      sym_arguments,
    STATE(4822), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4737), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5594), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5596), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5604), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5612), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5622), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5624), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5620), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [102264] = 4,
    ACTIONS(3633), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3499), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3503), 25,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [102314] = 4,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1739), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(5910), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5913), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [102364] = 4,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1839), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(5916), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5919), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [102414] = 4,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4619), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(5922), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5925), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [102464] = 31,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4033), 1,
      anon_sym_LBRACK,
    ACTIONS(4035), 1,
      anon_sym_DOT,
    ACTIONS(4701), 1,
      anon_sym_as,
    ACTIONS(4703), 1,
      anon_sym_BANG,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4739), 1,
      anon_sym_satisfies,
    ACTIONS(4756), 1,
      anon_sym_BQUOTE,
    ACTIONS(5812), 1,
      anon_sym_GT_GT,
    ACTIONS(5818), 1,
      anon_sym_PERCENT,
    ACTIONS(5820), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5822), 1,
      anon_sym_LT,
    ACTIONS(5858), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5860), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5862), 1,
      anon_sym_AMP,
    ACTIONS(5864), 1,
      anon_sym_CARET,
    ACTIONS(5866), 1,
      anon_sym_PIPE,
    ACTIONS(5872), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5874), 1,
      sym__ternary_qmark,
    STATE(1642), 1,
      sym_type_arguments,
    STATE(1656), 1,
      sym_arguments,
    STATE(4822), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4737), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5808), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5810), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5814), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5816), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5868), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5870), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5824), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [102568] = 6,
    ACTIONS(3613), 1,
      anon_sym_COMMA,
    ACTIONS(3647), 1,
      anon_sym_RBRACK,
    ACTIONS(3689), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3499), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3503), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [102622] = 31,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4033), 1,
      anon_sym_LBRACK,
    ACTIONS(4035), 1,
      anon_sym_DOT,
    ACTIONS(4565), 1,
      anon_sym_BQUOTE,
    ACTIONS(4701), 1,
      anon_sym_as,
    ACTIONS(4703), 1,
      anon_sym_BANG,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4739), 1,
      anon_sym_satisfies,
    ACTIONS(5812), 1,
      anon_sym_GT_GT,
    ACTIONS(5818), 1,
      anon_sym_PERCENT,
    ACTIONS(5820), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5822), 1,
      anon_sym_LT,
    ACTIONS(5858), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5860), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5862), 1,
      anon_sym_AMP,
    ACTIONS(5864), 1,
      anon_sym_CARET,
    ACTIONS(5866), 1,
      anon_sym_PIPE,
    ACTIONS(5872), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5874), 1,
      sym__ternary_qmark,
    STATE(1642), 1,
      sym_type_arguments,
    STATE(1656), 1,
      sym_arguments,
    STATE(4822), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4737), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5808), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5810), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5814), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5816), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5868), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5870), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5824), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [102726] = 31,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4033), 1,
      anon_sym_LBRACK,
    ACTIONS(4035), 1,
      anon_sym_DOT,
    ACTIONS(4701), 1,
      anon_sym_as,
    ACTIONS(4703), 1,
      anon_sym_BANG,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4739), 1,
      anon_sym_satisfies,
    ACTIONS(5598), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5600), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5602), 1,
      anon_sym_GT_GT,
    ACTIONS(5606), 1,
      anon_sym_AMP,
    ACTIONS(5608), 1,
      anon_sym_CARET,
    ACTIONS(5610), 1,
      anon_sym_PIPE,
    ACTIONS(5614), 1,
      anon_sym_PERCENT,
    ACTIONS(5616), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5618), 1,
      anon_sym_LT,
    ACTIONS(5626), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5628), 1,
      sym__ternary_qmark,
    ACTIONS(5928), 1,
      anon_sym_COLON,
    STATE(1642), 1,
      sym_type_arguments,
    STATE(1656), 1,
      sym_arguments,
    STATE(4822), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4737), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5594), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5596), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5604), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5612), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5622), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5624), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5620), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [102830] = 11,
    ACTIONS(1635), 1,
      anon_sym_DQUOTE,
    ACTIONS(1637), 1,
      anon_sym_SQUOTE,
    ACTIONS(3731), 1,
      anon_sym_override,
    ACTIONS(4595), 1,
      anon_sym_LBRACK,
    ACTIONS(5932), 1,
      anon_sym_readonly,
    STATE(2832), 1,
      sym_override_modifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5930), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3377), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3843), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(3705), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [102894] = 6,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    STATE(1671), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5934), 3,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_implements,
    ACTIONS(4429), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4431), 21,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [102948] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3210), 12,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_AMP,
      anon_sym_PIPE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_QMARK,
    ACTIONS(3208), 27,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_DOT,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
      anon_sym_accessor,
      anon_sym_extends,
  [102996] = 32,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4033), 1,
      anon_sym_LBRACK,
    ACTIONS(4035), 1,
      anon_sym_DOT,
    ACTIONS(4701), 1,
      anon_sym_as,
    ACTIONS(4703), 1,
      anon_sym_BANG,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4739), 1,
      anon_sym_satisfies,
    ACTIONS(5026), 1,
      anon_sym_of,
    ACTIONS(5757), 1,
      anon_sym_LT,
    ACTIONS(5761), 1,
      anon_sym_GT,
    ACTIONS(5763), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5765), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5767), 1,
      anon_sym_GT_GT,
    ACTIONS(5771), 1,
      anon_sym_AMP,
    ACTIONS(5773), 1,
      anon_sym_CARET,
    ACTIONS(5775), 1,
      anon_sym_PIPE,
    ACTIONS(5779), 1,
      anon_sym_PERCENT,
    ACTIONS(5781), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5789), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5791), 1,
      sym__ternary_qmark,
    ACTIONS(5936), 1,
      anon_sym_in,
    STATE(1642), 1,
      sym_type_arguments,
    STATE(1656), 1,
      sym_arguments,
    STATE(4822), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4737), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5759), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5769), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5777), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5785), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5787), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5783), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [103102] = 31,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4033), 1,
      anon_sym_LBRACK,
    ACTIONS(4035), 1,
      anon_sym_DOT,
    ACTIONS(4573), 1,
      anon_sym_BQUOTE,
    ACTIONS(4701), 1,
      anon_sym_as,
    ACTIONS(4703), 1,
      anon_sym_BANG,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4739), 1,
      anon_sym_satisfies,
    ACTIONS(5812), 1,
      anon_sym_GT_GT,
    ACTIONS(5818), 1,
      anon_sym_PERCENT,
    ACTIONS(5820), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5822), 1,
      anon_sym_LT,
    ACTIONS(5858), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5860), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5862), 1,
      anon_sym_AMP,
    ACTIONS(5864), 1,
      anon_sym_CARET,
    ACTIONS(5866), 1,
      anon_sym_PIPE,
    ACTIONS(5872), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5874), 1,
      sym__ternary_qmark,
    STATE(1642), 1,
      sym_type_arguments,
    STATE(1656), 1,
      sym_arguments,
    STATE(4822), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4737), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5808), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5810), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5814), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5816), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5868), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5870), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5824), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [103206] = 31,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4033), 1,
      anon_sym_LBRACK,
    ACTIONS(4035), 1,
      anon_sym_DOT,
    ACTIONS(4577), 1,
      anon_sym_BQUOTE,
    ACTIONS(4701), 1,
      anon_sym_as,
    ACTIONS(4703), 1,
      anon_sym_BANG,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4739), 1,
      anon_sym_satisfies,
    ACTIONS(5812), 1,
      anon_sym_GT_GT,
    ACTIONS(5818), 1,
      anon_sym_PERCENT,
    ACTIONS(5820), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5822), 1,
      anon_sym_LT,
    ACTIONS(5858), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5860), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5862), 1,
      anon_sym_AMP,
    ACTIONS(5864), 1,
      anon_sym_CARET,
    ACTIONS(5866), 1,
      anon_sym_PIPE,
    ACTIONS(5872), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5874), 1,
      sym__ternary_qmark,
    STATE(1642), 1,
      sym_type_arguments,
    STATE(1656), 1,
      sym_arguments,
    STATE(4822), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4737), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5808), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5810), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5814), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5816), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5868), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5870), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5824), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [103310] = 31,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4033), 1,
      anon_sym_LBRACK,
    ACTIONS(4035), 1,
      anon_sym_DOT,
    ACTIONS(4701), 1,
      anon_sym_as,
    ACTIONS(4703), 1,
      anon_sym_BANG,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4739), 1,
      anon_sym_satisfies,
    ACTIONS(5598), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5600), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5602), 1,
      anon_sym_GT_GT,
    ACTIONS(5606), 1,
      anon_sym_AMP,
    ACTIONS(5608), 1,
      anon_sym_CARET,
    ACTIONS(5610), 1,
      anon_sym_PIPE,
    ACTIONS(5614), 1,
      anon_sym_PERCENT,
    ACTIONS(5616), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5618), 1,
      anon_sym_LT,
    ACTIONS(5626), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5628), 1,
      sym__ternary_qmark,
    ACTIONS(5939), 1,
      anon_sym_COLON,
    STATE(1642), 1,
      sym_type_arguments,
    STATE(1656), 1,
      sym_arguments,
    STATE(4822), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4737), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5594), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5596), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5604), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5612), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5622), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5624), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5620), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [103414] = 6,
    ACTIONS(4529), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4532), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4085), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_extends,
    ACTIONS(3499), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3503), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [103468] = 31,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4033), 1,
      anon_sym_LBRACK,
    ACTIONS(4035), 1,
      anon_sym_DOT,
    ACTIONS(4701), 1,
      anon_sym_as,
    ACTIONS(4703), 1,
      anon_sym_BANG,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4739), 1,
      anon_sym_satisfies,
    ACTIONS(4758), 1,
      anon_sym_BQUOTE,
    ACTIONS(5812), 1,
      anon_sym_GT_GT,
    ACTIONS(5818), 1,
      anon_sym_PERCENT,
    ACTIONS(5820), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5822), 1,
      anon_sym_LT,
    ACTIONS(5858), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5860), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5862), 1,
      anon_sym_AMP,
    ACTIONS(5864), 1,
      anon_sym_CARET,
    ACTIONS(5866), 1,
      anon_sym_PIPE,
    ACTIONS(5872), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5874), 1,
      sym__ternary_qmark,
    STATE(1642), 1,
      sym_type_arguments,
    STATE(1656), 1,
      sym_arguments,
    STATE(4822), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4737), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5808), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5810), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5814), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5816), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5868), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5870), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5824), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [103572] = 4,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1871), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(5941), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5944), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [103622] = 31,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4033), 1,
      anon_sym_LBRACK,
    ACTIONS(4035), 1,
      anon_sym_DOT,
    ACTIONS(4701), 1,
      anon_sym_as,
    ACTIONS(4703), 1,
      anon_sym_BANG,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4739), 1,
      anon_sym_satisfies,
    ACTIONS(5633), 1,
      anon_sym_LT,
    ACTIONS(5639), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5641), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5643), 1,
      anon_sym_GT_GT,
    ACTIONS(5647), 1,
      anon_sym_AMP,
    ACTIONS(5649), 1,
      anon_sym_CARET,
    ACTIONS(5651), 1,
      anon_sym_PIPE,
    ACTIONS(5655), 1,
      anon_sym_PERCENT,
    ACTIONS(5657), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5665), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5667), 1,
      sym__ternary_qmark,
    ACTIONS(5947), 1,
      anon_sym_RBRACK,
    STATE(1642), 1,
      sym_type_arguments,
    STATE(1656), 1,
      sym_arguments,
    STATE(4822), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4737), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5635), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5637), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5645), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5653), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5661), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5663), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5659), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [103726] = 15,
    ACTIONS(2338), 1,
      anon_sym_DQUOTE,
    ACTIONS(2340), 1,
      anon_sym_SQUOTE,
    ACTIONS(2364), 1,
      anon_sym_async,
    ACTIONS(2366), 1,
      anon_sym_readonly,
    ACTIONS(2370), 1,
      anon_sym_override,
    ACTIONS(4679), 1,
      anon_sym_LBRACK,
    ACTIONS(5003), 1,
      anon_sym_STAR,
    STATE(2805), 1,
      sym_override_modifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2348), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2368), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(5949), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(3797), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3843), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2362), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [103798] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3214), 12,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_AMP,
      anon_sym_PIPE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_QMARK,
    ACTIONS(3212), 27,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_DOT,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
      anon_sym_accessor,
      anon_sym_extends,
  [103846] = 7,
    ACTIONS(3533), 1,
      anon_sym_EQ,
    ACTIONS(4627), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4379), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(4630), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3499), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3503), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [103902] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3218), 12,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_AMP,
      anon_sym_PIPE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_QMARK,
    ACTIONS(3216), 27,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_DOT,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
      anon_sym_accessor,
      anon_sym_extends,
  [103950] = 31,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4033), 1,
      anon_sym_LBRACK,
    ACTIONS(4035), 1,
      anon_sym_DOT,
    ACTIONS(4701), 1,
      anon_sym_as,
    ACTIONS(4703), 1,
      anon_sym_BANG,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4739), 1,
      anon_sym_satisfies,
    ACTIONS(5633), 1,
      anon_sym_LT,
    ACTIONS(5639), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5641), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5643), 1,
      anon_sym_GT_GT,
    ACTIONS(5647), 1,
      anon_sym_AMP,
    ACTIONS(5649), 1,
      anon_sym_CARET,
    ACTIONS(5651), 1,
      anon_sym_PIPE,
    ACTIONS(5655), 1,
      anon_sym_PERCENT,
    ACTIONS(5657), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5665), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5667), 1,
      sym__ternary_qmark,
    ACTIONS(5951), 1,
      anon_sym_RBRACK,
    STATE(1642), 1,
      sym_type_arguments,
    STATE(1656), 1,
      sym_arguments,
    STATE(4822), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4737), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5635), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5637), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5645), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5653), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5661), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5663), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5659), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [104054] = 6,
    ACTIONS(4085), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4529), 2,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
    ACTIONS(4532), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3499), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3503), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [104108] = 31,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4033), 1,
      anon_sym_LBRACK,
    ACTIONS(4035), 1,
      anon_sym_DOT,
    ACTIONS(4701), 1,
      anon_sym_as,
    ACTIONS(4703), 1,
      anon_sym_BANG,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4739), 1,
      anon_sym_satisfies,
    ACTIONS(4760), 1,
      anon_sym_BQUOTE,
    ACTIONS(5812), 1,
      anon_sym_GT_GT,
    ACTIONS(5818), 1,
      anon_sym_PERCENT,
    ACTIONS(5820), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5822), 1,
      anon_sym_LT,
    ACTIONS(5858), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5860), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5862), 1,
      anon_sym_AMP,
    ACTIONS(5864), 1,
      anon_sym_CARET,
    ACTIONS(5866), 1,
      anon_sym_PIPE,
    ACTIONS(5872), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5874), 1,
      sym__ternary_qmark,
    STATE(1642), 1,
      sym_type_arguments,
    STATE(1656), 1,
      sym_arguments,
    STATE(4822), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4737), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5808), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5810), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5814), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5816), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5868), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5870), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5824), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [104212] = 31,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4033), 1,
      anon_sym_LBRACK,
    ACTIONS(4035), 1,
      anon_sym_DOT,
    ACTIONS(4701), 1,
      anon_sym_as,
    ACTIONS(4703), 1,
      anon_sym_BANG,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4739), 1,
      anon_sym_satisfies,
    ACTIONS(4772), 1,
      anon_sym_BQUOTE,
    ACTIONS(5812), 1,
      anon_sym_GT_GT,
    ACTIONS(5818), 1,
      anon_sym_PERCENT,
    ACTIONS(5820), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5822), 1,
      anon_sym_LT,
    ACTIONS(5858), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5860), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5862), 1,
      anon_sym_AMP,
    ACTIONS(5864), 1,
      anon_sym_CARET,
    ACTIONS(5866), 1,
      anon_sym_PIPE,
    ACTIONS(5872), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5874), 1,
      sym__ternary_qmark,
    STATE(1642), 1,
      sym_type_arguments,
    STATE(1656), 1,
      sym_arguments,
    STATE(4822), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4737), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5808), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5810), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5814), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5816), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5868), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5870), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5824), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [104316] = 4,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4545), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(5953), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5956), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [104366] = 31,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4033), 1,
      anon_sym_LBRACK,
    ACTIONS(4035), 1,
      anon_sym_DOT,
    ACTIONS(4701), 1,
      anon_sym_as,
    ACTIONS(4703), 1,
      anon_sym_BANG,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4739), 1,
      anon_sym_satisfies,
    ACTIONS(5598), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5600), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5602), 1,
      anon_sym_GT_GT,
    ACTIONS(5606), 1,
      anon_sym_AMP,
    ACTIONS(5608), 1,
      anon_sym_CARET,
    ACTIONS(5610), 1,
      anon_sym_PIPE,
    ACTIONS(5614), 1,
      anon_sym_PERCENT,
    ACTIONS(5616), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5618), 1,
      anon_sym_LT,
    ACTIONS(5626), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5628), 1,
      sym__ternary_qmark,
    ACTIONS(5959), 1,
      anon_sym_COLON,
    STATE(1642), 1,
      sym_type_arguments,
    STATE(1656), 1,
      sym_arguments,
    STATE(4822), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4737), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5594), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5596), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5604), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5612), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5622), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5624), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5620), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [104470] = 11,
    ACTIONS(1635), 1,
      anon_sym_DQUOTE,
    ACTIONS(1637), 1,
      anon_sym_SQUOTE,
    ACTIONS(3731), 1,
      anon_sym_override,
    ACTIONS(4595), 1,
      anon_sym_LBRACK,
    ACTIONS(5963), 1,
      anon_sym_readonly,
    STATE(2869), 1,
      sym_override_modifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5961), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3406), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3843), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(3705), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [104534] = 6,
    ACTIONS(4435), 1,
      anon_sym_EQ,
    ACTIONS(4669), 1,
      anon_sym_RBRACK,
    ACTIONS(4864), 1,
      anon_sym_COMMA,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4433), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4437), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [104588] = 8,
    ACTIONS(1635), 1,
      anon_sym_DQUOTE,
    ACTIONS(1637), 1,
      anon_sym_SQUOTE,
    ACTIONS(4595), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5965), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3397), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3843), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(3705), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [104645] = 8,
    ACTIONS(1635), 1,
      anon_sym_DQUOTE,
    ACTIONS(1637), 1,
      anon_sym_SQUOTE,
    ACTIONS(4595), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5967), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3433), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3843), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(3705), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [104702] = 30,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4033), 1,
      anon_sym_LBRACK,
    ACTIONS(4035), 1,
      anon_sym_DOT,
    ACTIONS(4701), 1,
      anon_sym_as,
    ACTIONS(4703), 1,
      anon_sym_BANG,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4739), 1,
      anon_sym_satisfies,
    ACTIONS(5812), 1,
      anon_sym_GT_GT,
    ACTIONS(5818), 1,
      anon_sym_PERCENT,
    ACTIONS(5820), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5822), 1,
      anon_sym_LT,
    ACTIONS(5858), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5860), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5862), 1,
      anon_sym_AMP,
    ACTIONS(5864), 1,
      anon_sym_CARET,
    ACTIONS(5866), 1,
      anon_sym_PIPE,
    ACTIONS(5872), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5874), 1,
      sym__ternary_qmark,
    STATE(1642), 1,
      sym_type_arguments,
    STATE(1656), 1,
      sym_arguments,
    STATE(4822), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4737), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5808), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5810), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5814), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5816), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5868), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5870), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5824), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [104803] = 11,
    ACTIONS(2338), 1,
      anon_sym_DQUOTE,
    ACTIONS(2340), 1,
      anon_sym_SQUOTE,
    ACTIONS(4679), 1,
      anon_sym_LBRACK,
    ACTIONS(5003), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2348), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2368), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(5949), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(3797), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3843), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2362), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [104866] = 8,
    ACTIONS(1635), 1,
      anon_sym_DQUOTE,
    ACTIONS(1637), 1,
      anon_sym_SQUOTE,
    ACTIONS(4595), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5969), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3435), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3843), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(3705), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [104923] = 9,
    ACTIONS(239), 1,
      anon_sym_COMMA,
    ACTIONS(4593), 1,
      anon_sym_EQ,
    ACTIONS(5076), 1,
      anon_sym_RBRACE,
    STATE(4835), 1,
      aux_sym_object_pattern_repeat1,
    STATE(4905), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3843), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(1986), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1984), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [104982] = 9,
    ACTIONS(239), 1,
      anon_sym_COMMA,
    ACTIONS(4593), 1,
      anon_sym_EQ,
    ACTIONS(5074), 1,
      anon_sym_RBRACE,
    STATE(4835), 1,
      aux_sym_object_pattern_repeat1,
    STATE(4905), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3843), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(1986), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1984), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [105041] = 9,
    ACTIONS(239), 1,
      anon_sym_COMMA,
    ACTIONS(4593), 1,
      anon_sym_EQ,
    ACTIONS(5076), 1,
      anon_sym_RBRACE,
    STATE(4835), 1,
      aux_sym_object_pattern_repeat1,
    STATE(4905), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3843), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(1990), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1988), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [105100] = 9,
    ACTIONS(239), 1,
      anon_sym_COMMA,
    ACTIONS(672), 1,
      anon_sym_RBRACE,
    ACTIONS(4593), 1,
      anon_sym_EQ,
    STATE(4824), 1,
      aux_sym_object_repeat1,
    STATE(4835), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3843), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(1986), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1984), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [105159] = 9,
    ACTIONS(239), 1,
      anon_sym_COMMA,
    ACTIONS(672), 1,
      anon_sym_RBRACE,
    ACTIONS(4593), 1,
      anon_sym_EQ,
    STATE(4824), 1,
      aux_sym_object_repeat1,
    STATE(4835), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3843), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(1990), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1988), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [105218] = 8,
    ACTIONS(1635), 1,
      anon_sym_DQUOTE,
    ACTIONS(1637), 1,
      anon_sym_SQUOTE,
    ACTIONS(4595), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5971), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3329), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3843), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(3705), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [105275] = 8,
    ACTIONS(1635), 1,
      anon_sym_DQUOTE,
    ACTIONS(1637), 1,
      anon_sym_SQUOTE,
    ACTIONS(4595), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5973), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3331), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3843), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(3705), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [105332] = 6,
    ACTIONS(3533), 1,
      anon_sym_EQ,
    ACTIONS(3696), 1,
      anon_sym_in,
    ACTIONS(3699), 1,
      anon_sym_of,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3499), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3503), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [105385] = 10,
    ACTIONS(2338), 1,
      anon_sym_DQUOTE,
    ACTIONS(2340), 1,
      anon_sym_SQUOTE,
    ACTIONS(4593), 1,
      anon_sym_EQ,
    ACTIONS(4679), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2348), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5726), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(3797), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3843), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2362), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [105446] = 8,
    ACTIONS(1635), 1,
      anon_sym_DQUOTE,
    ACTIONS(1637), 1,
      anon_sym_SQUOTE,
    ACTIONS(4595), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5975), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3324), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3843), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(3705), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [105503] = 9,
    ACTIONS(239), 1,
      anon_sym_COMMA,
    ACTIONS(4593), 1,
      anon_sym_EQ,
    ACTIONS(5074), 1,
      anon_sym_RBRACE,
    STATE(4835), 1,
      aux_sym_object_pattern_repeat1,
    STATE(4905), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3843), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(1990), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1988), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [105562] = 8,
    ACTIONS(1635), 1,
      anon_sym_DQUOTE,
    ACTIONS(1637), 1,
      anon_sym_SQUOTE,
    ACTIONS(4595), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5977), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3431), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3843), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(3705), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [105619] = 9,
    ACTIONS(239), 1,
      anon_sym_COMMA,
    ACTIONS(4593), 1,
      anon_sym_EQ,
    ACTIONS(5005), 1,
      anon_sym_RBRACE,
    STATE(4835), 1,
      aux_sym_object_pattern_repeat1,
    STATE(4905), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3843), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(1990), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1988), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [105678] = 4,
    ACTIONS(4921), 1,
      sym_regex_flags,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4917), 17,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_of,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_instanceof,
      anon_sym_satisfies,
    ACTIONS(4919), 20,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [105727] = 8,
    ACTIONS(1635), 1,
      anon_sym_DQUOTE,
    ACTIONS(1637), 1,
      anon_sym_SQUOTE,
    ACTIONS(4595), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5979), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3370), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3843), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(3705), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [105784] = 8,
    ACTIONS(1635), 1,
      anon_sym_DQUOTE,
    ACTIONS(1637), 1,
      anon_sym_SQUOTE,
    ACTIONS(4595), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5981), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3413), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3843), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(3705), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [105841] = 9,
    ACTIONS(239), 1,
      anon_sym_COMMA,
    ACTIONS(697), 1,
      anon_sym_RBRACE,
    ACTIONS(4593), 1,
      anon_sym_EQ,
    STATE(4835), 1,
      aux_sym_object_pattern_repeat1,
    STATE(4905), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3843), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(1986), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1984), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [105900] = 9,
    ACTIONS(239), 1,
      anon_sym_COMMA,
    ACTIONS(697), 1,
      anon_sym_RBRACE,
    ACTIONS(4593), 1,
      anon_sym_EQ,
    STATE(4835), 1,
      aux_sym_object_pattern_repeat1,
    STATE(4905), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3843), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(1990), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1988), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [105959] = 8,
    ACTIONS(1635), 1,
      anon_sym_DQUOTE,
    ACTIONS(1637), 1,
      anon_sym_SQUOTE,
    ACTIONS(4595), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5983), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3444), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3843), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(3705), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [106016] = 8,
    ACTIONS(1635), 1,
      anon_sym_DQUOTE,
    ACTIONS(1637), 1,
      anon_sym_SQUOTE,
    ACTIONS(4595), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5985), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3339), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3843), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(3705), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [106073] = 30,
    ACTIONS(4633), 1,
      anon_sym_LPAREN,
    ACTIONS(4635), 1,
      anon_sym_LBRACK,
    ACTIONS(4637), 1,
      anon_sym_DOT,
    ACTIONS(4701), 1,
      anon_sym_as,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4739), 1,
      anon_sym_satisfies,
    ACTIONS(4811), 1,
      anon_sym_BANG,
    ACTIONS(5812), 1,
      anon_sym_GT_GT,
    ACTIONS(5818), 1,
      anon_sym_PERCENT,
    ACTIONS(5820), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5822), 1,
      anon_sym_LT,
    ACTIONS(5858), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5860), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5862), 1,
      anon_sym_AMP,
    ACTIONS(5864), 1,
      anon_sym_CARET,
    ACTIONS(5866), 1,
      anon_sym_PIPE,
    ACTIONS(5872), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5874), 1,
      sym__ternary_qmark,
    STATE(2188), 1,
      sym_arguments,
    STATE(2720), 1,
      sym_type_arguments,
    STATE(4605), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4737), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5808), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5810), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5814), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5816), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5868), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5870), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5824), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [106174] = 8,
    ACTIONS(1635), 1,
      anon_sym_DQUOTE,
    ACTIONS(1637), 1,
      anon_sym_SQUOTE,
    ACTIONS(4595), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5987), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3405), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3843), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(3705), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [106231] = 12,
    ACTIONS(2338), 1,
      anon_sym_DQUOTE,
    ACTIONS(2340), 1,
      anon_sym_SQUOTE,
    ACTIONS(2364), 1,
      anon_sym_async,
    ACTIONS(4679), 1,
      anon_sym_LBRACK,
    ACTIONS(5003), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2348), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2368), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(5949), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(3797), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3843), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2362), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [106296] = 9,
    ACTIONS(239), 1,
      anon_sym_COMMA,
    ACTIONS(699), 1,
      anon_sym_RBRACE,
    ACTIONS(4593), 1,
      anon_sym_EQ,
    STATE(4835), 1,
      aux_sym_object_pattern_repeat1,
    STATE(4905), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3843), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(1986), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1984), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [106355] = 11,
    ACTIONS(2338), 1,
      anon_sym_DQUOTE,
    ACTIONS(2340), 1,
      anon_sym_SQUOTE,
    ACTIONS(4679), 1,
      anon_sym_LBRACK,
    ACTIONS(5278), 1,
      anon_sym_COMMA,
    ACTIONS(5708), 1,
      anon_sym_RBRACE,
    STATE(4940), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2348), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3797), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3843), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2362), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [106418] = 8,
    ACTIONS(1635), 1,
      anon_sym_DQUOTE,
    ACTIONS(1637), 1,
      anon_sym_SQUOTE,
    ACTIONS(4595), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5989), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3349), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3843), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(3705), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [106475] = 8,
    ACTIONS(1635), 1,
      anon_sym_DQUOTE,
    ACTIONS(1637), 1,
      anon_sym_SQUOTE,
    ACTIONS(4595), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5991), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3357), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3843), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(3705), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [106532] = 8,
    ACTIONS(1635), 1,
      anon_sym_DQUOTE,
    ACTIONS(1637), 1,
      anon_sym_SQUOTE,
    ACTIONS(4595), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5993), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3368), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3843), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(3705), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [106589] = 4,
    ACTIONS(3658), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3499), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3503), 24,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [106638] = 8,
    ACTIONS(1635), 1,
      anon_sym_DQUOTE,
    ACTIONS(1637), 1,
      anon_sym_SQUOTE,
    ACTIONS(4595), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5995), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3470), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3843), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(3705), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [106695] = 4,
    ACTIONS(3674), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3499), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3503), 24,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [106744] = 4,
    ACTIONS(3650), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3499), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3503), 24,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [106793] = 9,
    ACTIONS(239), 1,
      anon_sym_COMMA,
    ACTIONS(699), 1,
      anon_sym_RBRACE,
    ACTIONS(4593), 1,
      anon_sym_EQ,
    STATE(4835), 1,
      aux_sym_object_pattern_repeat1,
    STATE(4905), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3843), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(1990), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1988), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [106852] = 9,
    ACTIONS(239), 1,
      anon_sym_COMMA,
    ACTIONS(4593), 1,
      anon_sym_EQ,
    ACTIONS(5005), 1,
      anon_sym_RBRACE,
    STATE(4835), 1,
      aux_sym_object_pattern_repeat1,
    STATE(4905), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3843), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(1986), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1984), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [106911] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5999), 12,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(5997), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
      anon_sym_accessor,
  [106957] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6003), 12,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(6001), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
      anon_sym_accessor,
  [107003] = 4,
    ACTIONS(3785), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3499), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3503), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [107051] = 4,
    ACTIONS(6005), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1801), 11,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1803), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
      anon_sym_accessor,
  [107099] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6009), 12,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(6007), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
      anon_sym_accessor,
  [107145] = 4,
    ACTIONS(6011), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1801), 11,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1803), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
      anon_sym_accessor,
  [107193] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6015), 12,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(6013), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
      anon_sym_accessor,
  [107239] = 5,
    ACTIONS(6021), 1,
      anon_sym_SEMI,
    ACTIONS(6024), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6019), 10,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(6017), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
      anon_sym_accessor,
  [107289] = 4,
    ACTIONS(3763), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3499), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3503), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [107337] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6028), 12,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(6026), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
      anon_sym_accessor,
  [107383] = 4,
    ACTIONS(6030), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1703), 11,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1705), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
      anon_sym_accessor,
  [107431] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3672), 10,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_LT,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(3670), 27,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_DOT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
      anon_sym_accessor,
  [107477] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6003), 12,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(6001), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
      anon_sym_accessor,
  [107523] = 4,
    ACTIONS(3771), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3499), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3503), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [107571] = 4,
    ACTIONS(3789), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3499), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3503), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [107619] = 4,
    ACTIONS(3761), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3499), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3503), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [107667] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6028), 12,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(6026), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
      anon_sym_accessor,
  [107713] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6015), 12,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(6013), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
      anon_sym_accessor,
  [107759] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6034), 12,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(6032), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
      anon_sym_accessor,
  [107805] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6038), 12,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(6036), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
      anon_sym_accessor,
  [107851] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6003), 12,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(6001), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
      anon_sym_accessor,
  [107897] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6038), 12,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(6036), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
      anon_sym_accessor,
  [107943] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6028), 12,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(6026), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
      anon_sym_accessor,
  [107989] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6003), 12,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(6001), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
      anon_sym_accessor,
  [108035] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6003), 12,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(6001), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
      anon_sym_accessor,
  [108081] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5999), 12,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(5997), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
      anon_sym_accessor,
  [108127] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6009), 12,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(6007), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
      anon_sym_accessor,
  [108173] = 4,
    ACTIONS(3787), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3499), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3503), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [108221] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6042), 12,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(6040), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
      anon_sym_accessor,
  [108267] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6046), 12,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(6044), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
      anon_sym_accessor,
  [108313] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6038), 12,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(6036), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
      anon_sym_accessor,
  [108359] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6009), 12,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(6007), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
      anon_sym_accessor,
  [108405] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6050), 12,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(6048), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
      anon_sym_accessor,
  [108451] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6046), 12,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(6044), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
      anon_sym_accessor,
  [108497] = 5,
    ACTIONS(89), 1,
      anon_sym_BQUOTE,
    STATE(2254), 1,
      sym_template_string,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1889), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1891), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [108547] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6038), 12,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(6036), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
      anon_sym_accessor,
  [108593] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6046), 12,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(6044), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
      anon_sym_accessor,
  [108639] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6003), 12,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(6001), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
      anon_sym_accessor,
  [108685] = 9,
    ACTIONS(2338), 1,
      anon_sym_DQUOTE,
    ACTIONS(2340), 1,
      anon_sym_SQUOTE,
    ACTIONS(4679), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2348), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5949), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(3797), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3843), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2362), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [108743] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6015), 12,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(6013), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
      anon_sym_accessor,
  [108789] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6038), 12,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(6036), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
      anon_sym_accessor,
  [108835] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6054), 12,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(6052), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
      anon_sym_accessor,
  [108881] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1801), 12,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1803), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
      anon_sym_accessor,
  [108927] = 4,
    ACTIONS(6056), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1703), 11,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1705), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
      anon_sym_accessor,
  [108975] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6038), 12,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(6036), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
      anon_sym_accessor,
  [109021] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6060), 12,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(6058), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
      anon_sym_accessor,
  [109067] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6009), 12,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(6007), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
      anon_sym_accessor,
  [109113] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6009), 12,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(6007), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
      anon_sym_accessor,
  [109159] = 4,
    ACTIONS(3751), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3499), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3503), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [109207] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1843), 12,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1845), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
      anon_sym_accessor,
  [109253] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6046), 12,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(6044), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
      anon_sym_accessor,
  [109299] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6015), 12,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(6013), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
      anon_sym_accessor,
  [109345] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6028), 12,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(6026), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
      anon_sym_accessor,
  [109391] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6003), 12,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(6001), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
      anon_sym_accessor,
  [109437] = 4,
    ACTIONS(3791), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3499), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3503), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [109485] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6015), 12,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(6013), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
      anon_sym_accessor,
  [109531] = 8,
    ACTIONS(6062), 1,
      anon_sym_LPAREN,
    ACTIONS(6064), 1,
      anon_sym_DOT,
    ACTIONS(6066), 1,
      anon_sym_LT,
    STATE(2802), 1,
      sym_arguments,
    STATE(5459), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3583), 7,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(3581), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
      anon_sym_accessor,
  [109587] = 5,
    ACTIONS(6072), 1,
      anon_sym_SEMI,
    ACTIONS(6075), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6070), 10,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(6068), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
      anon_sym_accessor,
  [109637] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6046), 12,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(6044), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
      anon_sym_accessor,
  [109683] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6079), 12,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(6077), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
      anon_sym_accessor,
  [109729] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6038), 12,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(6036), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
      anon_sym_accessor,
  [109775] = 4,
    ACTIONS(3773), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3499), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3503), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [109823] = 4,
    ACTIONS(3779), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3499), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3503), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [109871] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6079), 12,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(6077), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
      anon_sym_accessor,
  [109917] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6028), 12,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(6026), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
      anon_sym_accessor,
  [109963] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6083), 12,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(6081), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
      anon_sym_accessor,
  [110009] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6087), 11,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(6085), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
      anon_sym_accessor,
  [110054] = 6,
    ACTIONS(4593), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5726), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(3843), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(1990), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1988), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [110105] = 5,
    ACTIONS(4633), 1,
      anon_sym_LPAREN,
    STATE(2350), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4429), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4431), 21,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [110154] = 7,
    ACTIONS(5278), 1,
      anon_sym_COMMA,
    ACTIONS(5708), 1,
      anon_sym_RBRACE,
    STATE(4940), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3843), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(1990), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1988), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [110207] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6091), 11,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(6089), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
      anon_sym_accessor,
  [110252] = 14,
    ACTIONS(2338), 1,
      anon_sym_DQUOTE,
    ACTIONS(2340), 1,
      anon_sym_SQUOTE,
    ACTIONS(2370), 1,
      anon_sym_override,
    ACTIONS(4679), 1,
      anon_sym_LBRACK,
    ACTIONS(6093), 1,
      anon_sym_STAR,
    ACTIONS(6095), 1,
      anon_sym_async,
    ACTIONS(6099), 1,
      anon_sym_readonly,
    STATE(2804), 1,
      sym_override_modifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6097), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6101), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3843), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(3798), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2362), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [110319] = 6,
    ACTIONS(4593), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5726), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(3843), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(1986), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1984), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [110370] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6105), 11,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(6103), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
      anon_sym_accessor,
  [110415] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1843), 11,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1845), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
      anon_sym_accessor,
  [110460] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1801), 11,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1803), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
      anon_sym_accessor,
  [110505] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6109), 11,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(6107), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
      anon_sym_accessor,
  [110550] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6087), 11,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(6085), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
      anon_sym_accessor,
  [110595] = 7,
    ACTIONS(5278), 1,
      anon_sym_COMMA,
    ACTIONS(5708), 1,
      anon_sym_RBRACE,
    STATE(4940), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3843), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(1986), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1984), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [110648] = 10,
    ACTIONS(2338), 1,
      anon_sym_DQUOTE,
    ACTIONS(2340), 1,
      anon_sym_SQUOTE,
    ACTIONS(4679), 1,
      anon_sym_LBRACK,
    ACTIONS(6093), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6097), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6101), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3843), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(3798), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2362), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [110706] = 17,
    ACTIONS(1635), 1,
      anon_sym_DQUOTE,
    ACTIONS(1637), 1,
      anon_sym_SQUOTE,
    ACTIONS(3731), 1,
      anon_sym_override,
    ACTIONS(4595), 1,
      anon_sym_LBRACK,
    ACTIONS(4649), 1,
      anon_sym_STAR,
    ACTIONS(4653), 1,
      anon_sym_async,
    ACTIONS(4789), 1,
      anon_sym_accessor,
    ACTIONS(6111), 1,
      anon_sym_static,
    ACTIONS(6113), 1,
      anon_sym_readonly,
    ACTIONS(6115), 1,
      anon_sym_declare,
    ACTIONS(6117), 1,
      anon_sym_abstract,
    STATE(2813), 1,
      sym_override_modifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4655), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4659), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3050), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3705), 16,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [110778] = 11,
    ACTIONS(2338), 1,
      anon_sym_DQUOTE,
    ACTIONS(2340), 1,
      anon_sym_SQUOTE,
    ACTIONS(4679), 1,
      anon_sym_LBRACK,
    ACTIONS(6119), 1,
      anon_sym_STAR,
    ACTIONS(6121), 1,
      anon_sym_async,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6123), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6125), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3843), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(3768), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2362), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [110838] = 9,
    ACTIONS(2338), 1,
      anon_sym_DQUOTE,
    ACTIONS(2340), 1,
      anon_sym_SQUOTE,
    ACTIONS(4679), 1,
      anon_sym_LBRACK,
    ACTIONS(6127), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6097), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3843), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(3798), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2362), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [110894] = 10,
    ACTIONS(2338), 1,
      anon_sym_DQUOTE,
    ACTIONS(2340), 1,
      anon_sym_SQUOTE,
    ACTIONS(4679), 1,
      anon_sym_LBRACK,
    ACTIONS(6129), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6131), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6133), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3843), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(3835), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2362), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [110952] = 11,
    ACTIONS(2338), 1,
      anon_sym_DQUOTE,
    ACTIONS(2340), 1,
      anon_sym_SQUOTE,
    ACTIONS(4679), 1,
      anon_sym_LBRACK,
    ACTIONS(6093), 1,
      anon_sym_STAR,
    ACTIONS(6095), 1,
      anon_sym_async,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6097), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6101), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3843), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(3798), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2362), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [111012] = 10,
    ACTIONS(2338), 1,
      anon_sym_DQUOTE,
    ACTIONS(2340), 1,
      anon_sym_SQUOTE,
    ACTIONS(4679), 1,
      anon_sym_LBRACK,
    ACTIONS(6119), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6123), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6125), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3843), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(3768), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2362), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [111070] = 5,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5949), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(3843), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(1986), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1984), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [111118] = 10,
    ACTIONS(2338), 1,
      anon_sym_DQUOTE,
    ACTIONS(2340), 1,
      anon_sym_SQUOTE,
    ACTIONS(4679), 1,
      anon_sym_LBRACK,
    ACTIONS(6135), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6137), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6139), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3843), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(3851), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2362), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [111176] = 5,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5949), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(3843), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(1990), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1988), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [111224] = 11,
    ACTIONS(2338), 1,
      anon_sym_DQUOTE,
    ACTIONS(2340), 1,
      anon_sym_SQUOTE,
    ACTIONS(4679), 1,
      anon_sym_LBRACK,
    ACTIONS(6135), 1,
      anon_sym_STAR,
    ACTIONS(6141), 1,
      anon_sym_async,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6137), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6139), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3843), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(3851), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2362), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [111284] = 17,
    ACTIONS(1635), 1,
      anon_sym_DQUOTE,
    ACTIONS(1637), 1,
      anon_sym_SQUOTE,
    ACTIONS(3731), 1,
      anon_sym_override,
    ACTIONS(4595), 1,
      anon_sym_LBRACK,
    ACTIONS(5096), 1,
      anon_sym_STAR,
    ACTIONS(5098), 1,
      anon_sym_async,
    ACTIONS(6145), 1,
      anon_sym_static,
    ACTIONS(6147), 1,
      anon_sym_readonly,
    ACTIONS(6149), 1,
      anon_sym_declare,
    ACTIONS(6151), 1,
      anon_sym_abstract,
    ACTIONS(6153), 1,
      anon_sym_accessor,
    STATE(2797), 1,
      sym_override_modifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5104), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(6143), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3058), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3705), 16,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [111356] = 8,
    ACTIONS(2338), 1,
      anon_sym_DQUOTE,
    ACTIONS(2340), 1,
      anon_sym_SQUOTE,
    ACTIONS(4679), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5580), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3843), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(3771), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2362), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [111409] = 8,
    ACTIONS(2338), 1,
      anon_sym_DQUOTE,
    ACTIONS(2340), 1,
      anon_sym_SQUOTE,
    ACTIONS(4679), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6155), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3843), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(3873), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2362), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [111462] = 8,
    ACTIONS(2338), 1,
      anon_sym_DQUOTE,
    ACTIONS(2340), 1,
      anon_sym_SQUOTE,
    ACTIONS(4679), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5363), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3843), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(3792), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2362), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [111515] = 13,
    ACTIONS(1635), 1,
      anon_sym_DQUOTE,
    ACTIONS(1637), 1,
      anon_sym_SQUOTE,
    ACTIONS(3731), 1,
      anon_sym_override,
    ACTIONS(4595), 1,
      anon_sym_LBRACK,
    ACTIONS(4856), 1,
      anon_sym_static,
    ACTIONS(4858), 1,
      anon_sym_readonly,
    ACTIONS(4860), 1,
      anon_sym_abstract,
    ACTIONS(4862), 1,
      anon_sym_accessor,
    STATE(2837), 1,
      sym_override_modifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4854), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3460), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3705), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [111578] = 8,
    ACTIONS(2338), 1,
      anon_sym_DQUOTE,
    ACTIONS(2340), 1,
      anon_sym_SQUOTE,
    ACTIONS(4679), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5423), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3843), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(3821), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2362), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [111631] = 6,
    ACTIONS(6157), 1,
      anon_sym_AT,
    STATE(2748), 1,
      aux_sym_export_statement_repeat1,
    STATE(2808), 1,
      sym_decorator,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3602), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3600), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
      anon_sym_accessor,
  [111680] = 8,
    ACTIONS(2338), 1,
      anon_sym_DQUOTE,
    ACTIONS(2340), 1,
      anon_sym_SQUOTE,
    ACTIONS(4679), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5395), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3843), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(3859), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2362), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [111733] = 8,
    ACTIONS(2338), 1,
      anon_sym_DQUOTE,
    ACTIONS(2340), 1,
      anon_sym_SQUOTE,
    ACTIONS(4679), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6160), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3843), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(3879), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2362), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [111786] = 8,
    ACTIONS(2338), 1,
      anon_sym_DQUOTE,
    ACTIONS(2340), 1,
      anon_sym_SQUOTE,
    ACTIONS(4679), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6162), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3843), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(3800), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2362), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [111839] = 8,
    ACTIONS(2338), 1,
      anon_sym_DQUOTE,
    ACTIONS(2340), 1,
      anon_sym_SQUOTE,
    ACTIONS(4679), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6123), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3843), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(3768), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2362), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [111892] = 8,
    ACTIONS(2338), 1,
      anon_sym_DQUOTE,
    ACTIONS(2340), 1,
      anon_sym_SQUOTE,
    ACTIONS(4679), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6164), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3843), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(3866), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2362), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [111945] = 8,
    ACTIONS(2338), 1,
      anon_sym_DQUOTE,
    ACTIONS(2340), 1,
      anon_sym_SQUOTE,
    ACTIONS(4679), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5450), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3843), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(3805), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2362), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [111998] = 8,
    ACTIONS(2338), 1,
      anon_sym_DQUOTE,
    ACTIONS(2340), 1,
      anon_sym_SQUOTE,
    ACTIONS(4679), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5466), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3843), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(3755), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2362), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [112051] = 8,
    ACTIONS(2338), 1,
      anon_sym_DQUOTE,
    ACTIONS(2340), 1,
      anon_sym_SQUOTE,
    ACTIONS(4679), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5474), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3843), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(3839), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2362), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [112104] = 8,
    ACTIONS(2338), 1,
      anon_sym_DQUOTE,
    ACTIONS(2340), 1,
      anon_sym_SQUOTE,
    ACTIONS(4679), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6166), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3843), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(3844), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2362), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [112157] = 8,
    ACTIONS(2338), 1,
      anon_sym_DQUOTE,
    ACTIONS(2340), 1,
      anon_sym_SQUOTE,
    ACTIONS(4679), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6137), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3843), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(3851), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2362), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [112210] = 8,
    ACTIONS(2338), 1,
      anon_sym_DQUOTE,
    ACTIONS(2340), 1,
      anon_sym_SQUOTE,
    ACTIONS(4679), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5502), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3843), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(3864), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2362), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [112263] = 8,
    ACTIONS(2338), 1,
      anon_sym_DQUOTE,
    ACTIONS(2340), 1,
      anon_sym_SQUOTE,
    ACTIONS(4679), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5700), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3843), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(3885), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2362), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [112316] = 13,
    ACTIONS(1635), 1,
      anon_sym_DQUOTE,
    ACTIONS(1637), 1,
      anon_sym_SQUOTE,
    ACTIONS(3731), 1,
      anon_sym_override,
    ACTIONS(4595), 1,
      anon_sym_LBRACK,
    ACTIONS(6170), 1,
      anon_sym_static,
    ACTIONS(6172), 1,
      anon_sym_readonly,
    ACTIONS(6174), 1,
      anon_sym_abstract,
    ACTIONS(6176), 1,
      anon_sym_accessor,
    STATE(2877), 1,
      sym_override_modifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6168), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3465), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3705), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [112379] = 8,
    ACTIONS(2338), 1,
      anon_sym_DQUOTE,
    ACTIONS(2340), 1,
      anon_sym_SQUOTE,
    ACTIONS(4679), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5520), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3843), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(3777), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2362), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [112432] = 8,
    ACTIONS(2338), 1,
      anon_sym_DQUOTE,
    ACTIONS(2340), 1,
      anon_sym_SQUOTE,
    ACTIONS(4679), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5298), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3843), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(3817), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2362), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [112485] = 8,
    ACTIONS(2338), 1,
      anon_sym_DQUOTE,
    ACTIONS(2340), 1,
      anon_sym_SQUOTE,
    ACTIONS(4679), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6097), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3843), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(3798), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2362), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [112538] = 8,
    ACTIONS(2338), 1,
      anon_sym_DQUOTE,
    ACTIONS(2340), 1,
      anon_sym_SQUOTE,
    ACTIONS(4679), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6131), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3843), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(3835), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2362), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [112591] = 8,
    ACTIONS(2338), 1,
      anon_sym_DQUOTE,
    ACTIONS(2340), 1,
      anon_sym_SQUOTE,
    ACTIONS(4679), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5556), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3843), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(3761), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2362), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [112644] = 8,
    ACTIONS(2338), 1,
      anon_sym_DQUOTE,
    ACTIONS(2340), 1,
      anon_sym_SQUOTE,
    ACTIONS(4679), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5444), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3843), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(3898), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2362), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [112697] = 8,
    ACTIONS(2338), 1,
      anon_sym_DQUOTE,
    ACTIONS(2340), 1,
      anon_sym_SQUOTE,
    ACTIONS(4679), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5415), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3843), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(3904), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2362), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [112750] = 8,
    ACTIONS(2338), 1,
      anon_sym_DQUOTE,
    ACTIONS(2340), 1,
      anon_sym_SQUOTE,
    ACTIONS(4679), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5240), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3843), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(3758), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2362), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [112803] = 8,
    ACTIONS(2338), 1,
      anon_sym_DQUOTE,
    ACTIONS(2340), 1,
      anon_sym_SQUOTE,
    ACTIONS(4679), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5381), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3843), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(3760), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2362), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [112856] = 8,
    ACTIONS(2338), 1,
      anon_sym_DQUOTE,
    ACTIONS(2340), 1,
      anon_sym_SQUOTE,
    ACTIONS(4679), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6178), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3843), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(3762), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2362), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [112909] = 8,
    ACTIONS(2338), 1,
      anon_sym_DQUOTE,
    ACTIONS(2340), 1,
      anon_sym_SQUOTE,
    ACTIONS(4679), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5458), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3843), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(3824), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2362), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [112962] = 14,
    ACTIONS(1635), 1,
      anon_sym_DQUOTE,
    ACTIONS(1637), 1,
      anon_sym_SQUOTE,
    ACTIONS(3731), 1,
      anon_sym_override,
    ACTIONS(4591), 1,
      anon_sym_STAR,
    ACTIONS(4595), 1,
      anon_sym_LBRACK,
    ACTIONS(4597), 1,
      anon_sym_async,
    ACTIONS(4601), 1,
      anon_sym_readonly,
    ACTIONS(6180), 1,
      anon_sym_static,
    STATE(2801), 1,
      sym_override_modifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4599), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4603), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3117), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3705), 17,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [113026] = 9,
    ACTIONS(1551), 1,
      anon_sym_DQUOTE,
    ACTIONS(1553), 1,
      anon_sym_SQUOTE,
    ACTIONS(4679), 1,
      anon_sym_LBRACK,
    ACTIONS(6182), 1,
      anon_sym_RBRACE,
    STATE(5183), 1,
      sym_enum_assignment,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6184), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4522), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2362), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [113080] = 9,
    ACTIONS(1551), 1,
      anon_sym_DQUOTE,
    ACTIONS(1553), 1,
      anon_sym_SQUOTE,
    ACTIONS(4679), 1,
      anon_sym_LBRACK,
    ACTIONS(6186), 1,
      anon_sym_RBRACE,
    STATE(5183), 1,
      sym_enum_assignment,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6184), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4522), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2362), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [113134] = 9,
    ACTIONS(1551), 1,
      anon_sym_DQUOTE,
    ACTIONS(1553), 1,
      anon_sym_SQUOTE,
    ACTIONS(4679), 1,
      anon_sym_LBRACK,
    ACTIONS(6188), 1,
      anon_sym_RBRACE,
    STATE(5183), 1,
      sym_enum_assignment,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6184), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4522), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2362), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [113188] = 9,
    ACTIONS(1551), 1,
      anon_sym_DQUOTE,
    ACTIONS(1553), 1,
      anon_sym_SQUOTE,
    ACTIONS(4679), 1,
      anon_sym_LBRACK,
    ACTIONS(6190), 1,
      anon_sym_RBRACE,
    STATE(5183), 1,
      sym_enum_assignment,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6184), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4522), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2362), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [113242] = 22,
    ACTIONS(99), 1,
      anon_sym_AT,
    ACTIONS(2290), 1,
      anon_sym_namespace,
    ACTIONS(2294), 1,
      anon_sym_import,
    ACTIONS(2296), 1,
      anon_sym_var,
    ACTIONS(2298), 1,
      anon_sym_let,
    ACTIONS(2300), 1,
      anon_sym_const,
    ACTIONS(2305), 1,
      anon_sym_class,
    ACTIONS(2307), 1,
      anon_sym_async,
    ACTIONS(2309), 1,
      anon_sym_function,
    ACTIONS(2314), 1,
      anon_sym_declare,
    ACTIONS(2316), 1,
      anon_sym_module,
    ACTIONS(2318), 1,
      anon_sym_abstract,
    ACTIONS(2320), 1,
      anon_sym_interface,
    ACTIONS(2322), 1,
      anon_sym_enum,
    ACTIONS(2352), 1,
      anon_sym_type,
    ACTIONS(6192), 1,
      anon_sym_default,
    STATE(824), 1,
      sym_internal_module,
    STATE(926), 1,
      sym_declaration,
    STATE(1297), 1,
      sym_decorator,
    STATE(4084), 1,
      aux_sym_export_statement_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(836), 13,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
      sym_function_signature,
      sym_ambient_declaration,
      sym_abstract_class_declaration,
      sym_module,
      sym_import_alias,
      sym_interface_declaration,
      sym_enum_declaration,
      sym_type_alias_declaration,
  [113322] = 9,
    ACTIONS(1551), 1,
      anon_sym_DQUOTE,
    ACTIONS(1553), 1,
      anon_sym_SQUOTE,
    ACTIONS(4679), 1,
      anon_sym_LBRACK,
    ACTIONS(6194), 1,
      anon_sym_RBRACE,
    STATE(5183), 1,
      sym_enum_assignment,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6184), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4522), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2362), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [113376] = 9,
    ACTIONS(1551), 1,
      anon_sym_DQUOTE,
    ACTIONS(1553), 1,
      anon_sym_SQUOTE,
    ACTIONS(4679), 1,
      anon_sym_LBRACK,
    ACTIONS(6196), 1,
      anon_sym_RBRACE,
    STATE(5183), 1,
      sym_enum_assignment,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6184), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4522), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2362), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [113430] = 14,
    ACTIONS(2338), 1,
      anon_sym_DQUOTE,
    ACTIONS(2340), 1,
      anon_sym_SQUOTE,
    ACTIONS(2364), 1,
      anon_sym_async,
    ACTIONS(2366), 1,
      anon_sym_readonly,
    ACTIONS(2370), 1,
      anon_sym_override,
    ACTIONS(4679), 1,
      anon_sym_LBRACK,
    ACTIONS(5003), 1,
      anon_sym_STAR,
    ACTIONS(6198), 1,
      anon_sym_static,
    STATE(2805), 1,
      sym_override_modifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2348), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2368), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3797), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2362), 17,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [113494] = 12,
    ACTIONS(1635), 1,
      anon_sym_DQUOTE,
    ACTIONS(1637), 1,
      anon_sym_SQUOTE,
    ACTIONS(3731), 1,
      anon_sym_override,
    ACTIONS(4595), 1,
      anon_sym_LBRACK,
    ACTIONS(5826), 1,
      anon_sym_readonly,
    ACTIONS(6200), 1,
      anon_sym_STAR,
    STATE(2817), 1,
      sym_override_modifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6202), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6204), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3072), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3705), 19,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [113554] = 12,
    ACTIONS(1635), 1,
      anon_sym_DQUOTE,
    ACTIONS(1637), 1,
      anon_sym_SQUOTE,
    ACTIONS(3731), 1,
      anon_sym_override,
    ACTIONS(4595), 1,
      anon_sym_LBRACK,
    ACTIONS(6206), 1,
      anon_sym_STAR,
    ACTIONS(6210), 1,
      anon_sym_readonly,
    STATE(2798), 1,
      sym_override_modifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6208), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6212), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3051), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3705), 19,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [113614] = 22,
    ACTIONS(99), 1,
      anon_sym_AT,
    ACTIONS(2392), 1,
      anon_sym_type,
    ACTIONS(2394), 1,
      anon_sym_namespace,
    ACTIONS(2396), 1,
      anon_sym_import,
    ACTIONS(2398), 1,
      anon_sym_var,
    ACTIONS(2400), 1,
      anon_sym_let,
    ACTIONS(2402), 1,
      anon_sym_const,
    ACTIONS(2404), 1,
      anon_sym_class,
    ACTIONS(2406), 1,
      anon_sym_async,
    ACTIONS(2408), 1,
      anon_sym_function,
    ACTIONS(2410), 1,
      anon_sym_declare,
    ACTIONS(2414), 1,
      anon_sym_abstract,
    ACTIONS(2418), 1,
      anon_sym_interface,
    ACTIONS(2420), 1,
      anon_sym_enum,
    ACTIONS(3845), 1,
      anon_sym_module,
    ACTIONS(6214), 1,
      anon_sym_default,
    STATE(1297), 1,
      sym_decorator,
    STATE(3916), 1,
      sym_internal_module,
    STATE(4062), 1,
      sym_declaration,
    STATE(4322), 1,
      aux_sym_export_statement_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(3912), 13,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
      sym_function_signature,
      sym_ambient_declaration,
      sym_abstract_class_declaration,
      sym_module,
      sym_import_alias,
      sym_interface_declaration,
      sym_enum_declaration,
      sym_type_alias_declaration,
  [113694] = 9,
    ACTIONS(1551), 1,
      anon_sym_DQUOTE,
    ACTIONS(1553), 1,
      anon_sym_SQUOTE,
    ACTIONS(4679), 1,
      anon_sym_LBRACK,
    ACTIONS(6216), 1,
      anon_sym_RBRACE,
    STATE(4673), 1,
      sym_enum_assignment,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6218), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3958), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2362), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [113748] = 22,
    ACTIONS(99), 1,
      anon_sym_AT,
    ACTIONS(2290), 1,
      anon_sym_namespace,
    ACTIONS(2294), 1,
      anon_sym_import,
    ACTIONS(2296), 1,
      anon_sym_var,
    ACTIONS(2298), 1,
      anon_sym_let,
    ACTIONS(2300), 1,
      anon_sym_const,
    ACTIONS(2305), 1,
      anon_sym_class,
    ACTIONS(2307), 1,
      anon_sym_async,
    ACTIONS(2309), 1,
      anon_sym_function,
    ACTIONS(2314), 1,
      anon_sym_declare,
    ACTIONS(2316), 1,
      anon_sym_module,
    ACTIONS(2318), 1,
      anon_sym_abstract,
    ACTIONS(2320), 1,
      anon_sym_interface,
    ACTIONS(2322), 1,
      anon_sym_enum,
    ACTIONS(2352), 1,
      anon_sym_type,
    ACTIONS(6220), 1,
      anon_sym_default,
    STATE(824), 1,
      sym_internal_module,
    STATE(926), 1,
      sym_declaration,
    STATE(1297), 1,
      sym_decorator,
    STATE(4084), 1,
      aux_sym_export_statement_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(836), 13,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
      sym_function_signature,
      sym_ambient_declaration,
      sym_abstract_class_declaration,
      sym_module,
      sym_import_alias,
      sym_interface_declaration,
      sym_enum_declaration,
      sym_type_alias_declaration,
  [113828] = 14,
    ACTIONS(1635), 1,
      anon_sym_DQUOTE,
    ACTIONS(1637), 1,
      anon_sym_SQUOTE,
    ACTIONS(3731), 1,
      anon_sym_override,
    ACTIONS(4595), 1,
      anon_sym_LBRACK,
    ACTIONS(5035), 1,
      anon_sym_STAR,
    ACTIONS(5037), 1,
      anon_sym_async,
    ACTIONS(5041), 1,
      anon_sym_readonly,
    ACTIONS(6222), 1,
      anon_sym_static,
    STATE(2807), 1,
      sym_override_modifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5039), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5043), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3108), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3705), 17,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [113892] = 9,
    ACTIONS(1551), 1,
      anon_sym_DQUOTE,
    ACTIONS(1553), 1,
      anon_sym_SQUOTE,
    ACTIONS(4679), 1,
      anon_sym_LBRACK,
    ACTIONS(6224), 1,
      anon_sym_RBRACE,
    STATE(4703), 1,
      sym_enum_assignment,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6226), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4142), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2362), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [113946] = 9,
    ACTIONS(1551), 1,
      anon_sym_DQUOTE,
    ACTIONS(1553), 1,
      anon_sym_SQUOTE,
    ACTIONS(4679), 1,
      anon_sym_LBRACK,
    ACTIONS(6228), 1,
      anon_sym_RBRACE,
    STATE(5183), 1,
      sym_enum_assignment,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6184), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4522), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2362), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [114000] = 9,
    ACTIONS(1551), 1,
      anon_sym_DQUOTE,
    ACTIONS(1553), 1,
      anon_sym_SQUOTE,
    ACTIONS(4679), 1,
      anon_sym_LBRACK,
    ACTIONS(6230), 1,
      anon_sym_RBRACE,
    STATE(5183), 1,
      sym_enum_assignment,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6184), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4522), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2362), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [114054] = 22,
    ACTIONS(99), 1,
      anon_sym_AT,
    ACTIONS(2290), 1,
      anon_sym_namespace,
    ACTIONS(2294), 1,
      anon_sym_import,
    ACTIONS(2296), 1,
      anon_sym_var,
    ACTIONS(2298), 1,
      anon_sym_let,
    ACTIONS(2300), 1,
      anon_sym_const,
    ACTIONS(2305), 1,
      anon_sym_class,
    ACTIONS(2307), 1,
      anon_sym_async,
    ACTIONS(2309), 1,
      anon_sym_function,
    ACTIONS(2314), 1,
      anon_sym_declare,
    ACTIONS(2318), 1,
      anon_sym_abstract,
    ACTIONS(2320), 1,
      anon_sym_interface,
    ACTIONS(2322), 1,
      anon_sym_enum,
    ACTIONS(2352), 1,
      anon_sym_type,
    ACTIONS(2354), 1,
      anon_sym_module,
    ACTIONS(2356), 1,
      anon_sym_global,
    STATE(824), 1,
      sym_internal_module,
    STATE(869), 1,
      sym_declaration,
    STATE(1297), 1,
      sym_decorator,
    STATE(4084), 1,
      aux_sym_export_statement_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(836), 13,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
      sym_function_signature,
      sym_ambient_declaration,
      sym_abstract_class_declaration,
      sym_module,
      sym_import_alias,
      sym_interface_declaration,
      sym_enum_declaration,
      sym_type_alias_declaration,
  [114134] = 22,
    ACTIONS(99), 1,
      anon_sym_AT,
    ACTIONS(2392), 1,
      anon_sym_type,
    ACTIONS(2394), 1,
      anon_sym_namespace,
    ACTIONS(2396), 1,
      anon_sym_import,
    ACTIONS(2398), 1,
      anon_sym_var,
    ACTIONS(2400), 1,
      anon_sym_let,
    ACTIONS(2402), 1,
      anon_sym_const,
    ACTIONS(2404), 1,
      anon_sym_class,
    ACTIONS(2406), 1,
      anon_sym_async,
    ACTIONS(2408), 1,
      anon_sym_function,
    ACTIONS(2410), 1,
      anon_sym_declare,
    ACTIONS(2412), 1,
      anon_sym_module,
    ACTIONS(2414), 1,
      anon_sym_abstract,
    ACTIONS(2416), 1,
      anon_sym_global,
    ACTIONS(2418), 1,
      anon_sym_interface,
    ACTIONS(2420), 1,
      anon_sym_enum,
    STATE(1297), 1,
      sym_decorator,
    STATE(3916), 1,
      sym_internal_module,
    STATE(3947), 1,
      sym_declaration,
    STATE(4322), 1,
      aux_sym_export_statement_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(3912), 13,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
      sym_function_signature,
      sym_ambient_declaration,
      sym_abstract_class_declaration,
      sym_module,
      sym_import_alias,
      sym_interface_declaration,
      sym_enum_declaration,
      sym_type_alias_declaration,
  [114214] = 11,
    ACTIONS(1635), 1,
      anon_sym_DQUOTE,
    ACTIONS(1637), 1,
      anon_sym_SQUOTE,
    ACTIONS(4595), 1,
      anon_sym_LBRACK,
    ACTIONS(5500), 1,
      anon_sym_STAR,
    ACTIONS(5506), 1,
      anon_sym_async,
    ACTIONS(6232), 1,
      anon_sym_readonly,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5508), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5510), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3070), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3705), 19,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [114271] = 11,
    ACTIONS(1635), 1,
      anon_sym_DQUOTE,
    ACTIONS(1637), 1,
      anon_sym_SQUOTE,
    ACTIONS(4591), 1,
      anon_sym_STAR,
    ACTIONS(4595), 1,
      anon_sym_LBRACK,
    ACTIONS(4597), 1,
      anon_sym_async,
    ACTIONS(4601), 1,
      anon_sym_readonly,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4599), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4603), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3117), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3705), 19,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [114328] = 11,
    ACTIONS(1635), 1,
      anon_sym_DQUOTE,
    ACTIONS(1637), 1,
      anon_sym_SQUOTE,
    ACTIONS(4595), 1,
      anon_sym_LBRACK,
    ACTIONS(5150), 1,
      anon_sym_STAR,
    ACTIONS(5152), 1,
      anon_sym_async,
    ACTIONS(6236), 1,
      anon_sym_readonly,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5158), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(6234), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3080), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3705), 19,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [114385] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3583), 7,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(3581), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
      anon_sym_accessor,
  [114426] = 11,
    ACTIONS(1635), 1,
      anon_sym_DQUOTE,
    ACTIONS(1637), 1,
      anon_sym_SQUOTE,
    ACTIONS(4595), 1,
      anon_sym_LBRACK,
    ACTIONS(5150), 1,
      anon_sym_STAR,
    ACTIONS(5152), 1,
      anon_sym_async,
    ACTIONS(6240), 1,
      anon_sym_readonly,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5158), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(6238), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3054), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3705), 19,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [114483] = 9,
    ACTIONS(2338), 1,
      anon_sym_DQUOTE,
    ACTIONS(2340), 1,
      anon_sym_SQUOTE,
    ACTIONS(4679), 1,
      anon_sym_LBRACK,
    ACTIONS(6200), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5710), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6242), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3799), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2362), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [114536] = 11,
    ACTIONS(1635), 1,
      anon_sym_DQUOTE,
    ACTIONS(1637), 1,
      anon_sym_SQUOTE,
    ACTIONS(4595), 1,
      anon_sym_LBRACK,
    ACTIONS(5518), 1,
      anon_sym_STAR,
    ACTIONS(5524), 1,
      anon_sym_async,
    ACTIONS(6244), 1,
      anon_sym_readonly,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5526), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5528), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3098), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3705), 19,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [114593] = 11,
    ACTIONS(1635), 1,
      anon_sym_DQUOTE,
    ACTIONS(1637), 1,
      anon_sym_SQUOTE,
    ACTIONS(4595), 1,
      anon_sym_LBRACK,
    ACTIONS(5035), 1,
      anon_sym_STAR,
    ACTIONS(5037), 1,
      anon_sym_async,
    ACTIONS(5041), 1,
      anon_sym_readonly,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5039), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5043), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3108), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3705), 19,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [114650] = 11,
    ACTIONS(1635), 1,
      anon_sym_DQUOTE,
    ACTIONS(1637), 1,
      anon_sym_SQUOTE,
    ACTIONS(4595), 1,
      anon_sym_LBRACK,
    ACTIONS(5164), 1,
      anon_sym_STAR,
    ACTIONS(5166), 1,
      anon_sym_async,
    ACTIONS(5170), 1,
      anon_sym_readonly,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5168), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5172), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3133), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3705), 19,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [114707] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3639), 7,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(3637), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
      anon_sym_accessor,
  [114748] = 4,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3843), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(1990), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1988), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [114791] = 11,
    ACTIONS(2338), 1,
      anon_sym_DQUOTE,
    ACTIONS(2340), 1,
      anon_sym_SQUOTE,
    ACTIONS(4679), 1,
      anon_sym_LBRACK,
    ACTIONS(6119), 1,
      anon_sym_STAR,
    ACTIONS(6121), 1,
      anon_sym_async,
    ACTIONS(6246), 1,
      anon_sym_readonly,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6123), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6125), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3768), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2362), 19,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [114848] = 11,
    ACTIONS(2338), 1,
      anon_sym_DQUOTE,
    ACTIONS(2340), 1,
      anon_sym_SQUOTE,
    ACTIONS(4679), 1,
      anon_sym_LBRACK,
    ACTIONS(6093), 1,
      anon_sym_STAR,
    ACTIONS(6095), 1,
      anon_sym_async,
    ACTIONS(6099), 1,
      anon_sym_readonly,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6097), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6101), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3798), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2362), 19,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [114905] = 11,
    ACTIONS(1635), 1,
      anon_sym_DQUOTE,
    ACTIONS(1637), 1,
      anon_sym_SQUOTE,
    ACTIONS(4595), 1,
      anon_sym_LBRACK,
    ACTIONS(5096), 1,
      anon_sym_STAR,
    ACTIONS(5098), 1,
      anon_sym_async,
    ACTIONS(6250), 1,
      anon_sym_readonly,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5104), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(6248), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3063), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3705), 19,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [114962] = 11,
    ACTIONS(1635), 1,
      anon_sym_DQUOTE,
    ACTIONS(1637), 1,
      anon_sym_SQUOTE,
    ACTIONS(4595), 1,
      anon_sym_LBRACK,
    ACTIONS(5121), 1,
      anon_sym_STAR,
    ACTIONS(5123), 1,
      anon_sym_async,
    ACTIONS(5127), 1,
      anon_sym_readonly,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5125), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5129), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3110), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3705), 19,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [115019] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3668), 7,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(3666), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
      anon_sym_accessor,
  [115060] = 11,
    ACTIONS(1635), 1,
      anon_sym_DQUOTE,
    ACTIONS(1637), 1,
      anon_sym_SQUOTE,
    ACTIONS(4595), 1,
      anon_sym_LBRACK,
    ACTIONS(5407), 1,
      anon_sym_STAR,
    ACTIONS(5409), 1,
      anon_sym_async,
    ACTIONS(6254), 1,
      anon_sym_readonly,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5413), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(6252), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3077), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3705), 19,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [115117] = 11,
    ACTIONS(1635), 1,
      anon_sym_DQUOTE,
    ACTIONS(1637), 1,
      anon_sym_SQUOTE,
    ACTIONS(4595), 1,
      anon_sym_LBRACK,
    ACTIONS(4649), 1,
      anon_sym_STAR,
    ACTIONS(4653), 1,
      anon_sym_async,
    ACTIONS(4657), 1,
      anon_sym_readonly,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4655), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4659), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3050), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3705), 19,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [115174] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3656), 7,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(3654), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
      anon_sym_accessor,
  [115215] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3593), 7,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(3591), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
      anon_sym_accessor,
  [115256] = 11,
    ACTIONS(1635), 1,
      anon_sym_DQUOTE,
    ACTIONS(1637), 1,
      anon_sym_SQUOTE,
    ACTIONS(4595), 1,
      anon_sym_LBRACK,
    ACTIONS(5086), 1,
      anon_sym_STAR,
    ACTIONS(5088), 1,
      anon_sym_async,
    ACTIONS(5092), 1,
      anon_sym_readonly,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5090), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5094), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3055), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3705), 19,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [115313] = 8,
    ACTIONS(1551), 1,
      anon_sym_DQUOTE,
    ACTIONS(1553), 1,
      anon_sym_SQUOTE,
    ACTIONS(4679), 1,
      anon_sym_LBRACK,
    STATE(5183), 1,
      sym_enum_assignment,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6184), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4522), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2362), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [115364] = 11,
    ACTIONS(1635), 1,
      anon_sym_DQUOTE,
    ACTIONS(1637), 1,
      anon_sym_SQUOTE,
    ACTIONS(4595), 1,
      anon_sym_LBRACK,
    ACTIONS(5244), 1,
      anon_sym_STAR,
    ACTIONS(5246), 1,
      anon_sym_async,
    ACTIONS(6256), 1,
      anon_sym_readonly,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5248), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5250), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3124), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3705), 19,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [115421] = 11,
    ACTIONS(2338), 1,
      anon_sym_DQUOTE,
    ACTIONS(2340), 1,
      anon_sym_SQUOTE,
    ACTIONS(2364), 1,
      anon_sym_async,
    ACTIONS(2366), 1,
      anon_sym_readonly,
    ACTIONS(4679), 1,
      anon_sym_LBRACK,
    ACTIONS(5003), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2348), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2368), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3797), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2362), 19,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [115478] = 9,
    ACTIONS(2338), 1,
      anon_sym_DQUOTE,
    ACTIONS(2340), 1,
      anon_sym_SQUOTE,
    ACTIONS(4679), 1,
      anon_sym_LBRACK,
    ACTIONS(6258), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5700), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6260), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3885), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2362), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [115531] = 7,
    ACTIONS(2338), 1,
      anon_sym_DQUOTE,
    ACTIONS(2340), 1,
      anon_sym_SQUOTE,
    ACTIONS(4679), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5298), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3817), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2362), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [115579] = 7,
    ACTIONS(2338), 1,
      anon_sym_DQUOTE,
    ACTIONS(2340), 1,
      anon_sym_SQUOTE,
    ACTIONS(4679), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6162), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3800), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2362), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [115627] = 7,
    ACTIONS(2338), 1,
      anon_sym_DQUOTE,
    ACTIONS(2340), 1,
      anon_sym_SQUOTE,
    ACTIONS(4679), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5423), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3821), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2362), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [115675] = 7,
    ACTIONS(1635), 1,
      anon_sym_DQUOTE,
    ACTIONS(1637), 1,
      anon_sym_SQUOTE,
    ACTIONS(4595), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6262), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3327), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3705), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [115723] = 7,
    ACTIONS(1635), 1,
      anon_sym_DQUOTE,
    ACTIONS(1637), 1,
      anon_sym_SQUOTE,
    ACTIONS(4595), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6264), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3446), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3705), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [115771] = 7,
    ACTIONS(2338), 1,
      anon_sym_DQUOTE,
    ACTIONS(2340), 1,
      anon_sym_SQUOTE,
    ACTIONS(4679), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4681), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3838), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2362), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [115819] = 7,
    ACTIONS(2338), 1,
      anon_sym_DQUOTE,
    ACTIONS(2340), 1,
      anon_sym_SQUOTE,
    ACTIONS(4679), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6123), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3768), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2362), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [115867] = 7,
    ACTIONS(2338), 1,
      anon_sym_DQUOTE,
    ACTIONS(2340), 1,
      anon_sym_SQUOTE,
    ACTIONS(4679), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6164), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3866), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2362), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [115915] = 7,
    ACTIONS(2338), 1,
      anon_sym_DQUOTE,
    ACTIONS(2340), 1,
      anon_sym_SQUOTE,
    ACTIONS(4679), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5450), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3805), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2362), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [115963] = 7,
    ACTIONS(2338), 1,
      anon_sym_DQUOTE,
    ACTIONS(2340), 1,
      anon_sym_SQUOTE,
    ACTIONS(4679), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5389), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3872), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2362), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [116011] = 7,
    ACTIONS(2338), 1,
      anon_sym_DQUOTE,
    ACTIONS(2340), 1,
      anon_sym_SQUOTE,
    ACTIONS(4679), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5458), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3824), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2362), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [116059] = 7,
    ACTIONS(1635), 1,
      anon_sym_DQUOTE,
    ACTIONS(1637), 1,
      anon_sym_SQUOTE,
    ACTIONS(4595), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6266), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3340), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3705), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [116107] = 7,
    ACTIONS(2338), 1,
      anon_sym_DQUOTE,
    ACTIONS(2340), 1,
      anon_sym_SQUOTE,
    ACTIONS(4679), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5466), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3755), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2362), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [116155] = 7,
    ACTIONS(2338), 1,
      anon_sym_DQUOTE,
    ACTIONS(2340), 1,
      anon_sym_SQUOTE,
    ACTIONS(4679), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5474), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3839), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2362), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [116203] = 8,
    ACTIONS(1635), 1,
      anon_sym_DQUOTE,
    ACTIONS(1637), 1,
      anon_sym_SQUOTE,
    ACTIONS(4595), 1,
      anon_sym_LBRACK,
    ACTIONS(6270), 1,
      anon_sym_readonly,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6268), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3326), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3705), 22,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [116253] = 7,
    ACTIONS(2338), 1,
      anon_sym_DQUOTE,
    ACTIONS(2340), 1,
      anon_sym_SQUOTE,
    ACTIONS(4679), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5580), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3771), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2362), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [116301] = 7,
    ACTIONS(2338), 1,
      anon_sym_DQUOTE,
    ACTIONS(2340), 1,
      anon_sym_SQUOTE,
    ACTIONS(4679), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6166), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3844), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2362), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [116349] = 7,
    ACTIONS(2338), 1,
      anon_sym_DQUOTE,
    ACTIONS(2340), 1,
      anon_sym_SQUOTE,
    ACTIONS(4679), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6137), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3851), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2362), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [116397] = 7,
    ACTIONS(2338), 1,
      anon_sym_DQUOTE,
    ACTIONS(2340), 1,
      anon_sym_SQUOTE,
    ACTIONS(4679), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5502), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3864), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2362), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [116445] = 8,
    ACTIONS(1635), 1,
      anon_sym_DQUOTE,
    ACTIONS(1637), 1,
      anon_sym_SQUOTE,
    ACTIONS(4595), 1,
      anon_sym_LBRACK,
    ACTIONS(5879), 1,
      anon_sym_readonly,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5712), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3393), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3705), 22,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [116495] = 7,
    ACTIONS(1635), 1,
      anon_sym_DQUOTE,
    ACTIONS(1637), 1,
      anon_sym_SQUOTE,
    ACTIONS(4595), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5712), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3393), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3705), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [116543] = 7,
    ACTIONS(2338), 1,
      anon_sym_DQUOTE,
    ACTIONS(2340), 1,
      anon_sym_SQUOTE,
    ACTIONS(4679), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2348), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3797), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2362), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [116591] = 7,
    ACTIONS(2338), 1,
      anon_sym_DQUOTE,
    ACTIONS(2340), 1,
      anon_sym_SQUOTE,
    ACTIONS(4679), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5385), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3765), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2362), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [116639] = 7,
    ACTIONS(2338), 1,
      anon_sym_DQUOTE,
    ACTIONS(2340), 1,
      anon_sym_SQUOTE,
    ACTIONS(4679), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5700), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3885), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2362), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [116687] = 7,
    ACTIONS(1635), 1,
      anon_sym_DQUOTE,
    ACTIONS(1637), 1,
      anon_sym_SQUOTE,
    ACTIONS(4595), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4854), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3460), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3705), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [116735] = 7,
    ACTIONS(1635), 1,
      anon_sym_DQUOTE,
    ACTIONS(1637), 1,
      anon_sym_SQUOTE,
    ACTIONS(4595), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6272), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3450), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3705), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [116783] = 8,
    ACTIONS(1635), 1,
      anon_sym_DQUOTE,
    ACTIONS(1637), 1,
      anon_sym_SQUOTE,
    ACTIONS(4595), 1,
      anon_sym_LBRACK,
    ACTIONS(6276), 1,
      anon_sym_readonly,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6274), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3459), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3705), 22,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [116833] = 7,
    ACTIONS(1635), 1,
      anon_sym_DQUOTE,
    ACTIONS(1637), 1,
      anon_sym_SQUOTE,
    ACTIONS(4595), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6278), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3461), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3705), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [116881] = 8,
    ACTIONS(1635), 1,
      anon_sym_DQUOTE,
    ACTIONS(1637), 1,
      anon_sym_SQUOTE,
    ACTIONS(4595), 1,
      anon_sym_LBRACK,
    ACTIONS(6282), 1,
      anon_sym_readonly,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6280), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3468), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3705), 22,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [116931] = 8,
    ACTIONS(1635), 1,
      anon_sym_DQUOTE,
    ACTIONS(1637), 1,
      anon_sym_SQUOTE,
    ACTIONS(4595), 1,
      anon_sym_LBRACK,
    ACTIONS(6286), 1,
      anon_sym_readonly,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6284), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3338), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3705), 22,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [116981] = 7,
    ACTIONS(1635), 1,
      anon_sym_DQUOTE,
    ACTIONS(1637), 1,
      anon_sym_SQUOTE,
    ACTIONS(4595), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6288), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3345), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3705), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [117029] = 7,
    ACTIONS(2338), 1,
      anon_sym_DQUOTE,
    ACTIONS(2340), 1,
      anon_sym_SQUOTE,
    ACTIONS(4679), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5710), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3799), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2362), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [117077] = 7,
    ACTIONS(2338), 1,
      anon_sym_DQUOTE,
    ACTIONS(2340), 1,
      anon_sym_SQUOTE,
    ACTIONS(4679), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6097), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3798), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2362), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [117125] = 7,
    ACTIONS(2338), 1,
      anon_sym_DQUOTE,
    ACTIONS(2340), 1,
      anon_sym_SQUOTE,
    ACTIONS(4679), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6131), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3835), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2362), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [117173] = 8,
    ACTIONS(1635), 1,
      anon_sym_DQUOTE,
    ACTIONS(1637), 1,
      anon_sym_SQUOTE,
    ACTIONS(4595), 1,
      anon_sym_LBRACK,
    ACTIONS(6292), 1,
      anon_sym_readonly,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6290), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3421), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3705), 22,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [117223] = 7,
    ACTIONS(2338), 1,
      anon_sym_DQUOTE,
    ACTIONS(2340), 1,
      anon_sym_SQUOTE,
    ACTIONS(4679), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5375), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3858), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2362), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [117271] = 7,
    ACTIONS(1635), 1,
      anon_sym_DQUOTE,
    ACTIONS(1637), 1,
      anon_sym_SQUOTE,
    ACTIONS(4595), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6294), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3427), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3705), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [117319] = 7,
    ACTIONS(2338), 1,
      anon_sym_DQUOTE,
    ACTIONS(2340), 1,
      anon_sym_SQUOTE,
    ACTIONS(4679), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5444), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3898), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2362), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [117367] = 7,
    ACTIONS(2338), 1,
      anon_sym_DQUOTE,
    ACTIONS(2340), 1,
      anon_sym_SQUOTE,
    ACTIONS(4679), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5556), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3761), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2362), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [117415] = 8,
    ACTIONS(1635), 1,
      anon_sym_DQUOTE,
    ACTIONS(1637), 1,
      anon_sym_SQUOTE,
    ACTIONS(4595), 1,
      anon_sym_LBRACK,
    ACTIONS(5826), 1,
      anon_sym_readonly,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4854), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3460), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3705), 22,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [117465] = 7,
    ACTIONS(2338), 1,
      anon_sym_DQUOTE,
    ACTIONS(2340), 1,
      anon_sym_SQUOTE,
    ACTIONS(4679), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5415), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3904), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2362), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [117513] = 7,
    ACTIONS(2338), 1,
      anon_sym_DQUOTE,
    ACTIONS(2340), 1,
      anon_sym_SQUOTE,
    ACTIONS(4679), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5363), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3792), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2362), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [117561] = 7,
    ACTIONS(2338), 1,
      anon_sym_DQUOTE,
    ACTIONS(2340), 1,
      anon_sym_SQUOTE,
    ACTIONS(4679), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5240), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3758), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2362), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [117609] = 7,
    ACTIONS(2338), 1,
      anon_sym_DQUOTE,
    ACTIONS(2340), 1,
      anon_sym_SQUOTE,
    ACTIONS(4679), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6160), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3879), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2362), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [117657] = 7,
    ACTIONS(2338), 1,
      anon_sym_DQUOTE,
    ACTIONS(2340), 1,
      anon_sym_SQUOTE,
    ACTIONS(4679), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5381), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3760), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2362), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [117705] = 7,
    ACTIONS(1635), 1,
      anon_sym_DQUOTE,
    ACTIONS(1637), 1,
      anon_sym_SQUOTE,
    ACTIONS(4595), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4781), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3411), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3705), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [117753] = 7,
    ACTIONS(2338), 1,
      anon_sym_DQUOTE,
    ACTIONS(2340), 1,
      anon_sym_SQUOTE,
    ACTIONS(4679), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6178), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3762), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2362), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [117801] = 8,
    ACTIONS(1635), 1,
      anon_sym_DQUOTE,
    ACTIONS(1637), 1,
      anon_sym_SQUOTE,
    ACTIONS(4595), 1,
      anon_sym_LBRACK,
    ACTIONS(6298), 1,
      anon_sym_readonly,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6296), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3416), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3705), 22,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [117851] = 8,
    ACTIONS(1635), 1,
      anon_sym_DQUOTE,
    ACTIONS(1637), 1,
      anon_sym_SQUOTE,
    ACTIONS(4595), 1,
      anon_sym_LBRACK,
    ACTIONS(6300), 1,
      anon_sym_readonly,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5975), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3324), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3705), 22,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [117901] = 7,
    ACTIONS(1635), 1,
      anon_sym_DQUOTE,
    ACTIONS(1637), 1,
      anon_sym_SQUOTE,
    ACTIONS(4595), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5975), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3324), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3705), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [117949] = 8,
    ACTIONS(1635), 1,
      anon_sym_DQUOTE,
    ACTIONS(1637), 1,
      anon_sym_SQUOTE,
    ACTIONS(4595), 1,
      anon_sym_LBRACK,
    ACTIONS(6304), 1,
      anon_sym_readonly,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6302), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3325), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3705), 22,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [117999] = 8,
    ACTIONS(1635), 1,
      anon_sym_DQUOTE,
    ACTIONS(1637), 1,
      anon_sym_SQUOTE,
    ACTIONS(4595), 1,
      anon_sym_LBRACK,
    ACTIONS(6308), 1,
      anon_sym_readonly,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6306), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3364), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3705), 22,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [118049] = 7,
    ACTIONS(1635), 1,
      anon_sym_DQUOTE,
    ACTIONS(1637), 1,
      anon_sym_SQUOTE,
    ACTIONS(4595), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6310), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3367), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3705), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [118097] = 7,
    ACTIONS(2338), 1,
      anon_sym_DQUOTE,
    ACTIONS(2340), 1,
      anon_sym_SQUOTE,
    ACTIONS(4679), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5395), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3859), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2362), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [118145] = 7,
    ACTIONS(2338), 1,
      anon_sym_DQUOTE,
    ACTIONS(2340), 1,
      anon_sym_SQUOTE,
    ACTIONS(4679), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6155), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3873), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2362), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [118193] = 8,
    ACTIONS(1635), 1,
      anon_sym_DQUOTE,
    ACTIONS(1637), 1,
      anon_sym_SQUOTE,
    ACTIONS(4595), 1,
      anon_sym_LBRACK,
    ACTIONS(6314), 1,
      anon_sym_readonly,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6312), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3400), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3705), 22,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [118243] = 7,
    ACTIONS(1635), 1,
      anon_sym_DQUOTE,
    ACTIONS(1637), 1,
      anon_sym_SQUOTE,
    ACTIONS(4595), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6316), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3403), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3705), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [118291] = 8,
    ACTIONS(1635), 1,
      anon_sym_DQUOTE,
    ACTIONS(1637), 1,
      anon_sym_SQUOTE,
    ACTIONS(4595), 1,
      anon_sym_LBRACK,
    ACTIONS(6320), 1,
      anon_sym_readonly,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6318), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3424), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3705), 22,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [118341] = 7,
    ACTIONS(1635), 1,
      anon_sym_DQUOTE,
    ACTIONS(1637), 1,
      anon_sym_SQUOTE,
    ACTIONS(4595), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6322), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3425), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3705), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [118389] = 8,
    ACTIONS(1635), 1,
      anon_sym_DQUOTE,
    ACTIONS(1637), 1,
      anon_sym_SQUOTE,
    ACTIONS(4595), 1,
      anon_sym_LBRACK,
    ACTIONS(6326), 1,
      anon_sym_readonly,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6324), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3430), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3705), 22,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [118439] = 7,
    ACTIONS(2338), 1,
      anon_sym_DQUOTE,
    ACTIONS(2340), 1,
      anon_sym_SQUOTE,
    ACTIONS(4679), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5520), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3777), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2362), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [118487] = 4,
    ACTIONS(6328), 1,
      sym_identifier,
    STATE(5637), 1,
      sym_mapped_type_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6330), 22,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [118522] = 9,
    ACTIONS(3535), 1,
      anon_sym_LPAREN,
    ACTIONS(6066), 1,
      anon_sym_LT,
    ACTIONS(6332), 1,
      anon_sym_DOT,
    ACTIONS(6334), 1,
      anon_sym_QMARK_DOT,
    STATE(2922), 1,
      sym_arguments,
    STATE(2966), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4057), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4059), 12,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [118563] = 9,
    ACTIONS(3535), 1,
      anon_sym_LPAREN,
    ACTIONS(3537), 1,
      anon_sym_DOT,
    ACTIONS(3539), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6066), 1,
      anon_sym_LT,
    STATE(2919), 1,
      sym_arguments,
    STATE(2954), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3517), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(3505), 12,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [118604] = 9,
    ACTIONS(3535), 1,
      anon_sym_LPAREN,
    ACTIONS(6066), 1,
      anon_sym_LT,
    ACTIONS(6336), 1,
      anon_sym_DOT,
    ACTIONS(6338), 1,
      anon_sym_QMARK_DOT,
    STATE(2935), 1,
      sym_arguments,
    STATE(2964), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4063), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4065), 12,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [118645] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4413), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4415), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [118673] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4417), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4419), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [118701] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4417), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4419), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [118729] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4131), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4133), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [118757] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4127), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4129), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [118785] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4131), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4133), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [118813] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4127), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4129), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [118841] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4145), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4147), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [118869] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4163), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4165), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [118897] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4145), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4147), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [118925] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4163), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4165), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [118953] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4278), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4280), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [118981] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4123), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4125), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [119009] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4296), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4298), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [119037] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4296), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4298), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [119065] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4258), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4260), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [119093] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4278), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4280), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [119121] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4413), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4415), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [119149] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4278), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4280), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [119177] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4288), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4290), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [119205] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4123), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4125), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [119233] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4288), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4290), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [119261] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4240), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4242), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [119289] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4244), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4246), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [119317] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4274), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4276), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [119345] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4244), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4246), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [119373] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4244), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4246), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [119401] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4258), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4260), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [119429] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4288), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4290), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [119457] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4296), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4298), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [119485] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4258), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4260), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [119513] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4387), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4389), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [119541] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4395), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4397), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [119569] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4123), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4125), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [119597] = 3,
    ACTIONS(1923), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1921), 17,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_with,
      anon_sym_assert,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [119624] = 3,
    ACTIONS(1927), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1925), 17,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_with,
      anon_sym_assert,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [119651] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4284), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4286), 15,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [119677] = 7,
    ACTIONS(4077), 1,
      anon_sym_EQ,
    ACTIONS(6066), 1,
      anon_sym_LT,
    ACTIONS(6340), 1,
      anon_sym_DOT,
    ACTIONS(6342), 1,
      anon_sym_is,
    STATE(2995), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3567), 12,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [119711] = 3,
    ACTIONS(4341), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4343), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [119737] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4381), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4383), 15,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [119763] = 3,
    ACTIONS(4349), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4351), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [119789] = 5,
    ACTIONS(6344), 1,
      anon_sym_DOT,
    ACTIONS(6346), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4399), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4401), 13,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [119819] = 3,
    ACTIONS(4353), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4355), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [119845] = 9,
    ACTIONS(3507), 1,
      anon_sym_LPAREN,
    ACTIONS(4057), 1,
      anon_sym_PIPE,
    ACTIONS(6348), 1,
      anon_sym_DOT,
    ACTIONS(6350), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6352), 1,
      anon_sym_LT,
    STATE(3125), 1,
      sym_arguments,
    STATE(3257), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4059), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [119883] = 5,
    ACTIONS(3537), 1,
      anon_sym_DOT,
    ACTIONS(3539), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3517), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(3505), 13,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [119913] = 15,
    ACTIONS(1635), 1,
      anon_sym_DQUOTE,
    ACTIONS(1637), 1,
      anon_sym_SQUOTE,
    ACTIONS(6354), 1,
      sym_identifier,
    ACTIONS(6356), 1,
      anon_sym_STAR,
    ACTIONS(6358), 1,
      anon_sym_type,
    ACTIONS(6360), 1,
      anon_sym_LBRACE,
    ACTIONS(6362), 1,
      anon_sym_typeof,
    ACTIONS(6366), 1,
      anon_sym_DOT,
    STATE(4137), 1,
      sym_string,
    STATE(4145), 1,
      sym_import_require_clause,
    STATE(5185), 1,
      sym_import_clause,
    STATE(5314), 1,
      sym__import_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(5825), 2,
      sym_namespace_import,
      sym_named_imports,
    ACTIONS(6364), 3,
      anon_sym_LPAREN,
      anon_sym_QMARK_DOT,
      anon_sym_LT,
  [119963] = 3,
    ACTIONS(3703), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3489), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [119989] = 4,
    ACTIONS(1893), 1,
      anon_sym_DOT,
    ACTIONS(4203), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4205), 15,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_extends,
  [120017] = 9,
    ACTIONS(3507), 1,
      anon_sym_LPAREN,
    ACTIONS(4063), 1,
      anon_sym_PIPE,
    ACTIONS(6352), 1,
      anon_sym_LT,
    ACTIONS(6368), 1,
      anon_sym_DOT,
    ACTIONS(6370), 1,
      anon_sym_QMARK_DOT,
    STATE(3106), 1,
      sym_arguments,
    STATE(3255), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4065), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [120055] = 4,
    ACTIONS(1897), 1,
      anon_sym_DOT,
    ACTIONS(4203), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4205), 15,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_extends,
  [120083] = 3,
    ACTIONS(3687), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3487), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [120109] = 6,
    ACTIONS(4077), 1,
      anon_sym_EQ,
    ACTIONS(6066), 1,
      anon_sym_LT,
    ACTIONS(6340), 1,
      anon_sym_DOT,
    STATE(2995), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3567), 13,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [120141] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4300), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4302), 15,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [120167] = 3,
    ACTIONS(4327), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4329), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [120193] = 9,
    ACTIONS(3507), 1,
      anon_sym_LPAREN,
    ACTIONS(3509), 1,
      anon_sym_DOT,
    ACTIONS(3513), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3517), 1,
      anon_sym_PIPE,
    ACTIONS(6352), 1,
      anon_sym_LT,
    STATE(3128), 1,
      sym_arguments,
    STATE(3248), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3505), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [120231] = 3,
    ACTIONS(4323), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4325), 15,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [120256] = 3,
    ACTIONS(1779), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1777), 15,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
      anon_sym_is,
  [120281] = 3,
    ACTIONS(4185), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4183), 15,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [120306] = 5,
    ACTIONS(4087), 1,
      anon_sym_EQ,
    ACTIONS(6066), 1,
      anon_sym_LT,
    STATE(2948), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4089), 13,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [120335] = 6,
    ACTIONS(3535), 1,
      anon_sym_LPAREN,
    ACTIONS(4117), 1,
      anon_sym_EQ,
    ACTIONS(6372), 1,
      anon_sym_DOT,
    STATE(2938), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4119), 12,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [120366] = 3,
    ACTIONS(4099), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4101), 15,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
      anon_sym_is,
  [120391] = 4,
    ACTIONS(4453), 1,
      anon_sym_EQ,
    ACTIONS(6374), 1,
      anon_sym_DOT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4455), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [120418] = 8,
    ACTIONS(1551), 1,
      anon_sym_DQUOTE,
    ACTIONS(1553), 1,
      anon_sym_SQUOTE,
    ACTIONS(6378), 1,
      sym_number,
    ACTIONS(6380), 1,
      anon_sym_unique,
    STATE(5813), 1,
      sym_string,
    STATE(5814), 1,
      sym_predefined_type,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6376), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [120452] = 3,
    ACTIONS(4296), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4298), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [120476] = 3,
    ACTIONS(4296), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4298), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [120500] = 3,
    ACTIONS(4308), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4310), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [120524] = 7,
    ACTIONS(1551), 1,
      anon_sym_DQUOTE,
    ACTIONS(1553), 1,
      anon_sym_SQUOTE,
    ACTIONS(6380), 1,
      anon_sym_unique,
    ACTIONS(6382), 1,
      sym_number,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(5747), 2,
      sym_string,
      sym_predefined_type,
    ACTIONS(6376), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [120556] = 8,
    ACTIONS(1551), 1,
      anon_sym_DQUOTE,
    ACTIONS(1553), 1,
      anon_sym_SQUOTE,
    ACTIONS(6380), 1,
      anon_sym_unique,
    ACTIONS(6384), 1,
      sym_number,
    STATE(5751), 1,
      sym_string,
    STATE(5755), 1,
      sym_predefined_type,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6376), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [120590] = 8,
    ACTIONS(1551), 1,
      anon_sym_DQUOTE,
    ACTIONS(1553), 1,
      anon_sym_SQUOTE,
    ACTIONS(6380), 1,
      anon_sym_unique,
    ACTIONS(6386), 1,
      sym_number,
    STATE(5763), 1,
      sym_string,
    STATE(5767), 1,
      sym_predefined_type,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6376), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [120624] = 8,
    ACTIONS(1551), 1,
      anon_sym_DQUOTE,
    ACTIONS(1553), 1,
      anon_sym_SQUOTE,
    ACTIONS(6380), 1,
      anon_sym_unique,
    ACTIONS(6388), 1,
      sym_number,
    STATE(5772), 1,
      sym_string,
    STATE(5773), 1,
      sym_predefined_type,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6376), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [120658] = 3,
    ACTIONS(4365), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4367), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [120682] = 3,
    ACTIONS(4292), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4294), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [120706] = 8,
    ACTIONS(6390), 1,
      anon_sym_LPAREN,
    ACTIONS(6392), 1,
      anon_sym_DOT,
    ACTIONS(6394), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6396), 1,
      anon_sym_LT,
    STATE(3227), 1,
      sym_arguments,
    STATE(3394), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3505), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [120740] = 8,
    ACTIONS(6390), 1,
      anon_sym_LPAREN,
    ACTIONS(6396), 1,
      anon_sym_LT,
    ACTIONS(6398), 1,
      anon_sym_DOT,
    ACTIONS(6400), 1,
      anon_sym_QMARK_DOT,
    STATE(3231), 1,
      sym_arguments,
    STATE(3415), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4065), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [120774] = 8,
    ACTIONS(6390), 1,
      anon_sym_LPAREN,
    ACTIONS(6396), 1,
      anon_sym_LT,
    ACTIONS(6402), 1,
      anon_sym_DOT,
    ACTIONS(6404), 1,
      anon_sym_QMARK_DOT,
    STATE(3221), 1,
      sym_arguments,
    STATE(3439), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4059), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [120808] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6406), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
  [120830] = 7,
    ACTIONS(1551), 1,
      anon_sym_DQUOTE,
    ACTIONS(1553), 1,
      anon_sym_SQUOTE,
    ACTIONS(6380), 1,
      anon_sym_unique,
    ACTIONS(6408), 1,
      sym_number,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(5794), 2,
      sym_string,
      sym_predefined_type,
    ACTIONS(6376), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [120862] = 8,
    ACTIONS(1551), 1,
      anon_sym_DQUOTE,
    ACTIONS(1553), 1,
      anon_sym_SQUOTE,
    ACTIONS(6380), 1,
      anon_sym_unique,
    ACTIONS(6410), 1,
      sym_number,
    STATE(5806), 1,
      sym_string,
    STATE(5807), 1,
      sym_predefined_type,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6376), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [120896] = 8,
    ACTIONS(1551), 1,
      anon_sym_DQUOTE,
    ACTIONS(1553), 1,
      anon_sym_SQUOTE,
    ACTIONS(6380), 1,
      anon_sym_unique,
    ACTIONS(6412), 1,
      sym_number,
    STATE(5822), 1,
      sym_string,
    STATE(5829), 1,
      sym_predefined_type,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6376), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [120930] = 5,
    ACTIONS(4230), 1,
      anon_sym_EQ,
    ACTIONS(6414), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4238), 3,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
    ACTIONS(4232), 10,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
  [120958] = 3,
    ACTIONS(4387), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4389), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [120982] = 3,
    ACTIONS(4345), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4347), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [121006] = 3,
    ACTIONS(4395), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4397), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [121030] = 3,
    ACTIONS(4391), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4393), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [121054] = 3,
    ACTIONS(4413), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4415), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [121078] = 3,
    ACTIONS(4417), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4419), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [121102] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6416), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
  [121124] = 3,
    ACTIONS(4413), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4415), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [121148] = 3,
    ACTIONS(4417), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4419), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [121172] = 3,
    ACTIONS(4131), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4133), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [121196] = 3,
    ACTIONS(4127), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4129), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [121220] = 3,
    ACTIONS(4236), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4238), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [121244] = 3,
    ACTIONS(4131), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4133), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [121268] = 3,
    ACTIONS(4127), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4129), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [121292] = 7,
    ACTIONS(1551), 1,
      anon_sym_DQUOTE,
    ACTIONS(1553), 1,
      anon_sym_SQUOTE,
    ACTIONS(6380), 1,
      anon_sym_unique,
    ACTIONS(6418), 1,
      sym_number,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(5664), 2,
      sym_string,
      sym_predefined_type,
    ACTIONS(6376), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [121324] = 8,
    ACTIONS(1551), 1,
      anon_sym_DQUOTE,
    ACTIONS(1553), 1,
      anon_sym_SQUOTE,
    ACTIONS(6380), 1,
      anon_sym_unique,
    ACTIONS(6420), 1,
      sym_number,
    STATE(5524), 1,
      sym_predefined_type,
    STATE(5862), 1,
      sym_string,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6376), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [121358] = 8,
    ACTIONS(1551), 1,
      anon_sym_DQUOTE,
    ACTIONS(1553), 1,
      anon_sym_SQUOTE,
    ACTIONS(6380), 1,
      anon_sym_unique,
    ACTIONS(6422), 1,
      sym_number,
    STATE(5533), 1,
      sym_string,
    STATE(5536), 1,
      sym_predefined_type,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6376), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [121392] = 8,
    ACTIONS(1551), 1,
      anon_sym_DQUOTE,
    ACTIONS(1553), 1,
      anon_sym_SQUOTE,
    ACTIONS(6380), 1,
      anon_sym_unique,
    ACTIONS(6424), 1,
      sym_number,
    STATE(5591), 1,
      sym_string,
    STATE(5598), 1,
      sym_predefined_type,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6376), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [121426] = 3,
    ACTIONS(4145), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4147), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [121450] = 3,
    ACTIONS(4163), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4165), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [121474] = 3,
    ACTIONS(4145), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4147), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [121498] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6426), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
  [121520] = 3,
    ACTIONS(4409), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4411), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [121544] = 3,
    ACTIONS(4163), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4165), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [121568] = 7,
    ACTIONS(1551), 1,
      anon_sym_DQUOTE,
    ACTIONS(1553), 1,
      anon_sym_SQUOTE,
    ACTIONS(6380), 1,
      anon_sym_unique,
    ACTIONS(6428), 1,
      sym_number,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(5778), 2,
      sym_string,
      sym_predefined_type,
    ACTIONS(6376), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [121600] = 8,
    ACTIONS(1551), 1,
      anon_sym_DQUOTE,
    ACTIONS(1553), 1,
      anon_sym_SQUOTE,
    ACTIONS(6380), 1,
      anon_sym_unique,
    ACTIONS(6430), 1,
      sym_number,
    STATE(5782), 1,
      sym_string,
    STATE(5789), 1,
      sym_predefined_type,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6376), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [121634] = 8,
    ACTIONS(1551), 1,
      anon_sym_DQUOTE,
    ACTIONS(1553), 1,
      anon_sym_SQUOTE,
    ACTIONS(6380), 1,
      anon_sym_unique,
    ACTIONS(6432), 1,
      sym_number,
    STATE(5793), 1,
      sym_string,
    STATE(5795), 1,
      sym_predefined_type,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6376), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [121668] = 8,
    ACTIONS(1551), 1,
      anon_sym_DQUOTE,
    ACTIONS(1553), 1,
      anon_sym_SQUOTE,
    ACTIONS(6380), 1,
      anon_sym_unique,
    ACTIONS(6434), 1,
      sym_number,
    STATE(5804), 1,
      sym_string,
    STATE(5805), 1,
      sym_predefined_type,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6376), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [121702] = 3,
    ACTIONS(4304), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4306), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [121726] = 7,
    ACTIONS(1551), 1,
      anon_sym_DQUOTE,
    ACTIONS(1553), 1,
      anon_sym_SQUOTE,
    ACTIONS(6380), 1,
      anon_sym_unique,
    ACTIONS(6436), 1,
      sym_number,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(5483), 2,
      sym_string,
      sym_predefined_type,
    ACTIONS(6376), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [121758] = 4,
    ACTIONS(4254), 1,
      anon_sym_EQ,
    ACTIONS(6414), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4256), 13,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [121784] = 8,
    ACTIONS(1551), 1,
      anon_sym_DQUOTE,
    ACTIONS(1553), 1,
      anon_sym_SQUOTE,
    ACTIONS(6380), 1,
      anon_sym_unique,
    ACTIONS(6438), 1,
      sym_number,
    STATE(5576), 1,
      sym_string,
    STATE(5627), 1,
      sym_predefined_type,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6376), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [121818] = 3,
    ACTIONS(4195), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4197), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [121842] = 8,
    ACTIONS(1551), 1,
      anon_sym_DQUOTE,
    ACTIONS(1553), 1,
      anon_sym_SQUOTE,
    ACTIONS(6380), 1,
      anon_sym_unique,
    ACTIONS(6440), 1,
      sym_number,
    STATE(5548), 1,
      sym_string,
    STATE(5575), 1,
      sym_predefined_type,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6376), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [121876] = 3,
    ACTIONS(4262), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4264), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [121900] = 3,
    ACTIONS(4266), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4268), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [121924] = 8,
    ACTIONS(1551), 1,
      anon_sym_DQUOTE,
    ACTIONS(1553), 1,
      anon_sym_SQUOTE,
    ACTIONS(6380), 1,
      anon_sym_unique,
    ACTIONS(6442), 1,
      sym_number,
    STATE(5647), 1,
      sym_string,
    STATE(5648), 1,
      sym_predefined_type,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6376), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [121958] = 3,
    ACTIONS(4171), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4173), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [121982] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6444), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
  [122004] = 3,
    ACTIONS(4187), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4189), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [122028] = 3,
    ACTIONS(4191), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4193), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [122052] = 3,
    ACTIONS(4222), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4224), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [122076] = 3,
    ACTIONS(4226), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4228), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [122100] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6446), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
  [122122] = 3,
    ACTIONS(4240), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4242), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [122146] = 3,
    ACTIONS(4244), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4246), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [122170] = 3,
    ACTIONS(4244), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4246), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [122194] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6448), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
  [122216] = 3,
    ACTIONS(4244), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4246), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [122240] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6450), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
  [122262] = 3,
    ACTIONS(4377), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4379), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [122286] = 4,
    ACTIONS(4236), 1,
      anon_sym_EQ,
    ACTIONS(6414), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4238), 13,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [122312] = 3,
    ACTIONS(4083), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4085), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [122336] = 3,
    ACTIONS(4149), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4151), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [122360] = 3,
    ACTIONS(4175), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4177), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [122384] = 3,
    ACTIONS(4087), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4089), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [122408] = 3,
    ACTIONS(4258), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4260), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [122432] = 3,
    ACTIONS(4199), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4201), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [122456] = 3,
    ACTIONS(4258), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4260), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [122480] = 3,
    ACTIONS(4258), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4260), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [122504] = 3,
    ACTIONS(4123), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4125), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [122528] = 3,
    ACTIONS(4123), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4125), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [122552] = 3,
    ACTIONS(4315), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4317), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [122576] = 3,
    ACTIONS(4123), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4125), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [122600] = 7,
    ACTIONS(4077), 1,
      anon_sym_PIPE,
    ACTIONS(6352), 1,
      anon_sym_LT,
    ACTIONS(6452), 1,
      anon_sym_DOT,
    ACTIONS(6454), 1,
      anon_sym_is,
    STATE(3251), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3567), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [122632] = 3,
    ACTIONS(4274), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4276), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [122656] = 3,
    ACTIONS(4135), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4137), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [122680] = 3,
    ACTIONS(4357), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4359), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [122704] = 3,
    ACTIONS(4449), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4451), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [122728] = 3,
    ACTIONS(4153), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4155), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [122752] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6456), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
  [122774] = 3,
    ACTIONS(4278), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4280), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [122798] = 3,
    ACTIONS(4369), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4371), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [122822] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6458), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
  [122844] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6460), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
  [122866] = 3,
    ACTIONS(4278), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4280), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [122890] = 3,
    ACTIONS(4278), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4280), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [122914] = 3,
    ACTIONS(4288), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4290), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [122938] = 3,
    ACTIONS(4167), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4169), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [122962] = 3,
    ACTIONS(4095), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4097), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [122986] = 3,
    ACTIONS(4288), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4290), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [123010] = 3,
    ACTIONS(4288), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4290), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [123034] = 3,
    ACTIONS(4296), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4298), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [123058] = 3,
    ACTIONS(4270), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4272), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [123082] = 13,
    ACTIONS(2570), 1,
      anon_sym_LT,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    ACTIONS(6466), 1,
      anon_sym_BANG,
    ACTIONS(6468), 1,
      anon_sym_LPAREN,
    ACTIONS(6470), 1,
      anon_sym_COLON,
    ACTIONS(6472), 1,
      anon_sym_QMARK,
    STATE(3895), 1,
      sym_formal_parameters,
    STATE(4313), 1,
      sym_type_annotation,
    STATE(4968), 1,
      sym__initializer,
    STATE(5324), 1,
      sym__call_signature,
    STATE(5348), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6464), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [123125] = 6,
    ACTIONS(215), 1,
      anon_sym_unique,
    STATE(3451), 1,
      sym_type_predicate,
    STATE(5662), 1,
      sym_predefined_type,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6474), 2,
      sym_identifier,
      sym_this,
    ACTIONS(217), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [123154] = 6,
    ACTIONS(215), 1,
      anon_sym_unique,
    STATE(1634), 1,
      sym_type_predicate,
    STATE(5721), 1,
      sym_predefined_type,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6476), 2,
      sym_identifier,
      sym_this,
    ACTIONS(217), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [123183] = 13,
    ACTIONS(2570), 1,
      anon_sym_LT,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    ACTIONS(6470), 1,
      anon_sym_COLON,
    ACTIONS(6480), 1,
      anon_sym_BANG,
    ACTIONS(6482), 1,
      anon_sym_LPAREN,
    ACTIONS(6484), 1,
      anon_sym_QMARK,
    STATE(3365), 1,
      sym_formal_parameters,
    STATE(3795), 1,
      sym__call_signature,
    STATE(4247), 1,
      sym_type_annotation,
    STATE(4833), 1,
      sym__initializer,
    STATE(5281), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6478), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [123226] = 13,
    ACTIONS(2570), 1,
      anon_sym_LT,
    ACTIONS(3288), 1,
      anon_sym_LPAREN,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    ACTIONS(6470), 1,
      anon_sym_COLON,
    ACTIONS(6480), 1,
      anon_sym_BANG,
    ACTIONS(6486), 1,
      anon_sym_QMARK,
    STATE(3307), 1,
      sym_formal_parameters,
    STATE(4247), 1,
      sym_type_annotation,
    STATE(4846), 1,
      sym__call_signature,
    STATE(4847), 1,
      sym__initializer,
    STATE(5222), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6478), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [123269] = 6,
    ACTIONS(215), 1,
      anon_sym_unique,
    STATE(1939), 1,
      sym_type_predicate,
    STATE(5853), 1,
      sym_predefined_type,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6488), 2,
      sym_identifier,
      sym_this,
    ACTIONS(217), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [123298] = 11,
    ACTIONS(2570), 1,
      anon_sym_LT,
    ACTIONS(3288), 1,
      anon_sym_LPAREN,
    ACTIONS(3837), 1,
      anon_sym_COMMA,
    ACTIONS(3909), 1,
      anon_sym_RBRACE,
    ACTIONS(4593), 1,
      anon_sym_EQ,
    STATE(3600), 1,
      sym_formal_parameters,
    STATE(4824), 1,
      aux_sym_object_repeat1,
    STATE(4835), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5138), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3843), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
  [123337] = 13,
    ACTIONS(2570), 1,
      anon_sym_LT,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    ACTIONS(6468), 1,
      anon_sym_LPAREN,
    ACTIONS(6470), 1,
      anon_sym_COLON,
    ACTIONS(6492), 1,
      anon_sym_BANG,
    ACTIONS(6494), 1,
      anon_sym_QMARK,
    STATE(3895), 1,
      sym_formal_parameters,
    STATE(4023), 1,
      sym_type_annotation,
    STATE(4999), 1,
      sym__initializer,
    STATE(5348), 1,
      sym_type_parameters,
    STATE(5360), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6490), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [123380] = 13,
    ACTIONS(2570), 1,
      anon_sym_LT,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    ACTIONS(6470), 1,
      anon_sym_COLON,
    ACTIONS(6482), 1,
      anon_sym_LPAREN,
    ACTIONS(6498), 1,
      anon_sym_BANG,
    ACTIONS(6500), 1,
      anon_sym_QMARK,
    STATE(3365), 1,
      sym_formal_parameters,
    STATE(3867), 1,
      sym__call_signature,
    STATE(4340), 1,
      sym_type_annotation,
    STATE(5013), 1,
      sym__initializer,
    STATE(5281), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6496), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [123423] = 13,
    ACTIONS(2570), 1,
      anon_sym_LT,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    ACTIONS(6468), 1,
      anon_sym_LPAREN,
    ACTIONS(6470), 1,
      anon_sym_COLON,
    ACTIONS(6502), 1,
      anon_sym_BANG,
    ACTIONS(6504), 1,
      anon_sym_QMARK,
    STATE(3895), 1,
      sym_formal_parameters,
    STATE(3992), 1,
      sym_type_annotation,
    STATE(4802), 1,
      sym__initializer,
    STATE(5155), 1,
      sym__call_signature,
    STATE(5348), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6490), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [123466] = 11,
    ACTIONS(2570), 1,
      anon_sym_LT,
    ACTIONS(3288), 1,
      anon_sym_LPAREN,
    ACTIONS(3837), 1,
      anon_sym_COMMA,
    ACTIONS(3930), 1,
      anon_sym_RBRACE,
    ACTIONS(4593), 1,
      anon_sym_EQ,
    STATE(3600), 1,
      sym_formal_parameters,
    STATE(4835), 1,
      aux_sym_object_pattern_repeat1,
    STATE(4905), 1,
      aux_sym_object_repeat1,
    STATE(5138), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3843), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
  [123505] = 13,
    ACTIONS(2570), 1,
      anon_sym_LT,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    ACTIONS(6468), 1,
      anon_sym_LPAREN,
    ACTIONS(6470), 1,
      anon_sym_COLON,
    ACTIONS(6508), 1,
      anon_sym_BANG,
    ACTIONS(6510), 1,
      anon_sym_QMARK,
    STATE(3895), 1,
      sym_formal_parameters,
    STATE(3935), 1,
      sym_type_annotation,
    STATE(5004), 1,
      sym__initializer,
    STATE(5286), 1,
      sym__call_signature,
    STATE(5348), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6506), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [123548] = 13,
    ACTIONS(2570), 1,
      anon_sym_LT,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    ACTIONS(6470), 1,
      anon_sym_COLON,
    ACTIONS(6482), 1,
      anon_sym_LPAREN,
    ACTIONS(6514), 1,
      anon_sym_BANG,
    ACTIONS(6516), 1,
      anon_sym_QMARK,
    STATE(3365), 1,
      sym_formal_parameters,
    STATE(3906), 1,
      sym__call_signature,
    STATE(3987), 1,
      sym_type_annotation,
    STATE(4774), 1,
      sym__initializer,
    STATE(5281), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6512), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [123591] = 4,
    ACTIONS(4083), 1,
      anon_sym_EQ,
    ACTIONS(6342), 1,
      anon_sym_is,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4085), 12,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [123616] = 6,
    ACTIONS(215), 1,
      anon_sym_unique,
    STATE(3042), 1,
      sym_type_predicate,
    STATE(5569), 1,
      sym_predefined_type,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6518), 2,
      sym_identifier,
      sym_this,
    ACTIONS(217), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [123645] = 4,
    ACTIONS(4087), 1,
      anon_sym_EQ,
    ACTIONS(6520), 1,
      anon_sym_is,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4089), 12,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [123670] = 13,
    ACTIONS(2570), 1,
      anon_sym_LT,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    ACTIONS(6468), 1,
      anon_sym_LPAREN,
    ACTIONS(6470), 1,
      anon_sym_COLON,
    ACTIONS(6522), 1,
      anon_sym_BANG,
    ACTIONS(6524), 1,
      anon_sym_QMARK,
    STATE(3895), 1,
      sym_formal_parameters,
    STATE(4082), 1,
      sym_type_annotation,
    STATE(4582), 1,
      sym__initializer,
    STATE(5299), 1,
      sym__call_signature,
    STATE(5348), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6506), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [123713] = 6,
    ACTIONS(215), 1,
      anon_sym_unique,
    STATE(3042), 1,
      sym_type_predicate,
    STATE(5715), 1,
      sym_predefined_type,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6526), 2,
      sym_identifier,
      sym_this,
    ACTIONS(217), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [123742] = 6,
    ACTIONS(215), 1,
      anon_sym_unique,
    STATE(3229), 1,
      sym_type_predicate,
    STATE(5698), 1,
      sym_predefined_type,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6528), 2,
      sym_identifier,
      sym_this,
    ACTIONS(217), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [123771] = 13,
    ACTIONS(2570), 1,
      anon_sym_LT,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    ACTIONS(6468), 1,
      anon_sym_LPAREN,
    ACTIONS(6470), 1,
      anon_sym_COLON,
    ACTIONS(6532), 1,
      anon_sym_BANG,
    ACTIONS(6534), 1,
      anon_sym_QMARK,
    STATE(3895), 1,
      sym_formal_parameters,
    STATE(3923), 1,
      sym_type_annotation,
    STATE(4735), 1,
      sym__initializer,
    STATE(5219), 1,
      sym__call_signature,
    STATE(5348), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6530), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [123814] = 13,
    ACTIONS(2570), 1,
      anon_sym_LT,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    ACTIONS(6468), 1,
      anon_sym_LPAREN,
    ACTIONS(6470), 1,
      anon_sym_COLON,
    ACTIONS(6538), 1,
      anon_sym_BANG,
    ACTIONS(6540), 1,
      anon_sym_QMARK,
    STATE(3895), 1,
      sym_formal_parameters,
    STATE(4268), 1,
      sym_type_annotation,
    STATE(4876), 1,
      sym__initializer,
    STATE(5273), 1,
      sym__call_signature,
    STATE(5348), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6536), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [123857] = 13,
    ACTIONS(2570), 1,
      anon_sym_LT,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    ACTIONS(6470), 1,
      anon_sym_COLON,
    ACTIONS(6482), 1,
      anon_sym_LPAREN,
    ACTIONS(6544), 1,
      anon_sym_BANG,
    ACTIONS(6546), 1,
      anon_sym_QMARK,
    STATE(3365), 1,
      sym_formal_parameters,
    STATE(3830), 1,
      sym__call_signature,
    STATE(4100), 1,
      sym_type_annotation,
    STATE(4636), 1,
      sym__initializer,
    STATE(5281), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6542), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [123900] = 11,
    ACTIONS(2570), 1,
      anon_sym_LT,
    ACTIONS(3288), 1,
      anon_sym_LPAREN,
    ACTIONS(3837), 1,
      anon_sym_COMMA,
    ACTIONS(3840), 1,
      anon_sym_RBRACE,
    ACTIONS(4593), 1,
      anon_sym_EQ,
    STATE(3600), 1,
      sym_formal_parameters,
    STATE(4835), 1,
      aux_sym_object_pattern_repeat1,
    STATE(4905), 1,
      aux_sym_object_repeat1,
    STATE(5138), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3843), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
  [123939] = 13,
    ACTIONS(2570), 1,
      anon_sym_LT,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    ACTIONS(6470), 1,
      anon_sym_COLON,
    ACTIONS(6482), 1,
      anon_sym_LPAREN,
    ACTIONS(6550), 1,
      anon_sym_BANG,
    ACTIONS(6552), 1,
      anon_sym_QMARK,
    STATE(3365), 1,
      sym_formal_parameters,
    STATE(3834), 1,
      sym__call_signature,
    STATE(4293), 1,
      sym_type_annotation,
    STATE(4920), 1,
      sym__initializer,
    STATE(5281), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6548), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [123982] = 13,
    ACTIONS(2570), 1,
      anon_sym_LT,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    ACTIONS(6468), 1,
      anon_sym_LPAREN,
    ACTIONS(6470), 1,
      anon_sym_COLON,
    ACTIONS(6554), 1,
      anon_sym_BANG,
    ACTIONS(6556), 1,
      anon_sym_QMARK,
    STATE(3895), 1,
      sym_formal_parameters,
    STATE(4121), 1,
      sym_type_annotation,
    STATE(4665), 1,
      sym__initializer,
    STATE(5234), 1,
      sym__call_signature,
    STATE(5348), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6464), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [124025] = 13,
    ACTIONS(2570), 1,
      anon_sym_LT,
    ACTIONS(3288), 1,
      anon_sym_LPAREN,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    ACTIONS(6470), 1,
      anon_sym_COLON,
    ACTIONS(6498), 1,
      anon_sym_BANG,
    ACTIONS(6558), 1,
      anon_sym_QMARK,
    STATE(3307), 1,
      sym_formal_parameters,
    STATE(4340), 1,
      sym_type_annotation,
    STATE(5092), 1,
      sym__call_signature,
    STATE(5095), 1,
      sym__initializer,
    STATE(5222), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6496), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [124068] = 6,
    ACTIONS(3507), 1,
      anon_sym_LPAREN,
    ACTIONS(4117), 1,
      anon_sym_PIPE,
    ACTIONS(6560), 1,
      anon_sym_DOT,
    STATE(3169), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4119), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [124097] = 13,
    ACTIONS(2570), 1,
      anon_sym_LT,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    ACTIONS(6468), 1,
      anon_sym_LPAREN,
    ACTIONS(6470), 1,
      anon_sym_COLON,
    ACTIONS(6562), 1,
      anon_sym_BANG,
    ACTIONS(6564), 1,
      anon_sym_QMARK,
    STATE(3895), 1,
      sym_formal_parameters,
    STATE(4259), 1,
      sym_type_annotation,
    STATE(4863), 1,
      sym__initializer,
    STATE(5215), 1,
      sym__call_signature,
    STATE(5348), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6464), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [124140] = 11,
    ACTIONS(2570), 1,
      anon_sym_LT,
    ACTIONS(3288), 1,
      anon_sym_LPAREN,
    ACTIONS(3837), 1,
      anon_sym_COMMA,
    ACTIONS(3850), 1,
      anon_sym_RBRACE,
    ACTIONS(4593), 1,
      anon_sym_EQ,
    STATE(3600), 1,
      sym_formal_parameters,
    STATE(4835), 1,
      aux_sym_object_pattern_repeat1,
    STATE(4905), 1,
      aux_sym_object_repeat1,
    STATE(5138), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3843), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
  [124179] = 13,
    ACTIONS(2570), 1,
      anon_sym_LT,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    ACTIONS(6468), 1,
      anon_sym_LPAREN,
    ACTIONS(6470), 1,
      anon_sym_COLON,
    ACTIONS(6566), 1,
      anon_sym_BANG,
    ACTIONS(6568), 1,
      anon_sym_QMARK,
    STATE(3895), 1,
      sym_formal_parameters,
    STATE(4373), 1,
      sym_type_annotation,
    STATE(5101), 1,
      sym__initializer,
    STATE(5348), 1,
      sym_type_parameters,
    STATE(5445), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6506), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [124222] = 13,
    ACTIONS(2570), 1,
      anon_sym_LT,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    ACTIONS(6468), 1,
      anon_sym_LPAREN,
    ACTIONS(6470), 1,
      anon_sym_COLON,
    ACTIONS(6570), 1,
      anon_sym_BANG,
    ACTIONS(6572), 1,
      anon_sym_QMARK,
    STATE(3895), 1,
      sym_formal_parameters,
    STATE(4270), 1,
      sym_type_annotation,
    STATE(4891), 1,
      sym__initializer,
    STATE(5245), 1,
      sym__call_signature,
    STATE(5348), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6464), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [124265] = 14,
    ACTIONS(1635), 1,
      anon_sym_DQUOTE,
    ACTIONS(1637), 1,
      anon_sym_SQUOTE,
    ACTIONS(6356), 1,
      anon_sym_STAR,
    ACTIONS(6360), 1,
      anon_sym_LBRACE,
    ACTIONS(6574), 1,
      sym_identifier,
    ACTIONS(6576), 1,
      anon_sym_type,
    ACTIONS(6578), 1,
      anon_sym_COMMA,
    ACTIONS(6580), 1,
      anon_sym_from,
    STATE(4332), 1,
      sym_string,
    STATE(4333), 1,
      sym_import_require_clause,
    STATE(5314), 1,
      sym__import_identifier,
    STATE(5370), 1,
      sym_import_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(5825), 2,
      sym_namespace_import,
      sym_named_imports,
  [124310] = 13,
    ACTIONS(2570), 1,
      anon_sym_LT,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    ACTIONS(6468), 1,
      anon_sym_LPAREN,
    ACTIONS(6470), 1,
      anon_sym_COLON,
    ACTIONS(6582), 1,
      anon_sym_BANG,
    ACTIONS(6584), 1,
      anon_sym_QMARK,
    STATE(3895), 1,
      sym_formal_parameters,
    STATE(3911), 1,
      sym_type_annotation,
    STATE(5102), 1,
      sym__initializer,
    STATE(5348), 1,
      sym_type_parameters,
    STATE(5432), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6490), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [124353] = 13,
    ACTIONS(2570), 1,
      anon_sym_LT,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    ACTIONS(6468), 1,
      anon_sym_LPAREN,
    ACTIONS(6470), 1,
      anon_sym_COLON,
    ACTIONS(6586), 1,
      anon_sym_BANG,
    ACTIONS(6588), 1,
      anon_sym_QMARK,
    STATE(3895), 1,
      sym_formal_parameters,
    STATE(4256), 1,
      sym_type_annotation,
    STATE(4831), 1,
      sym__initializer,
    STATE(5252), 1,
      sym__call_signature,
    STATE(5348), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6490), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [124396] = 11,
    ACTIONS(2570), 1,
      anon_sym_LT,
    ACTIONS(3288), 1,
      anon_sym_LPAREN,
    ACTIONS(3837), 1,
      anon_sym_COMMA,
    ACTIONS(3847), 1,
      anon_sym_RBRACE,
    ACTIONS(4593), 1,
      anon_sym_EQ,
    STATE(3600), 1,
      sym_formal_parameters,
    STATE(4835), 1,
      aux_sym_object_pattern_repeat1,
    STATE(4905), 1,
      aux_sym_object_repeat1,
    STATE(5138), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3843), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
  [124435] = 6,
    ACTIONS(4077), 1,
      anon_sym_PIPE,
    ACTIONS(6352), 1,
      anon_sym_LT,
    ACTIONS(6452), 1,
      anon_sym_DOT,
    STATE(3251), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3567), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [124464] = 4,
    ACTIONS(4095), 1,
      anon_sym_EQ,
    ACTIONS(6342), 1,
      anon_sym_is,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4097), 12,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [124489] = 13,
    ACTIONS(2570), 1,
      anon_sym_LT,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    ACTIONS(6468), 1,
      anon_sym_LPAREN,
    ACTIONS(6470), 1,
      anon_sym_COLON,
    ACTIONS(6590), 1,
      anon_sym_BANG,
    ACTIONS(6592), 1,
      anon_sym_QMARK,
    STATE(3895), 1,
      sym_formal_parameters,
    STATE(4377), 1,
      sym_type_annotation,
    STATE(5107), 1,
      sym__initializer,
    STATE(5348), 1,
      sym_type_parameters,
    STATE(5450), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6506), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [124532] = 13,
    ACTIONS(2570), 1,
      anon_sym_LT,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    ACTIONS(6468), 1,
      anon_sym_LPAREN,
    ACTIONS(6470), 1,
      anon_sym_COLON,
    ACTIONS(6594), 1,
      anon_sym_BANG,
    ACTIONS(6596), 1,
      anon_sym_QMARK,
    STATE(3895), 1,
      sym_formal_parameters,
    STATE(4027), 1,
      sym_type_annotation,
    STATE(5019), 1,
      sym__initializer,
    STATE(5348), 1,
      sym_type_parameters,
    STATE(5390), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6490), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [124575] = 13,
    ACTIONS(2570), 1,
      anon_sym_LT,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    ACTIONS(6468), 1,
      anon_sym_LPAREN,
    ACTIONS(6470), 1,
      anon_sym_COLON,
    ACTIONS(6598), 1,
      anon_sym_BANG,
    ACTIONS(6600), 1,
      anon_sym_QMARK,
    STATE(3895), 1,
      sym_formal_parameters,
    STATE(3995), 1,
      sym_type_annotation,
    STATE(4813), 1,
      sym__initializer,
    STATE(5169), 1,
      sym__call_signature,
    STATE(5348), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6490), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [124618] = 6,
    ACTIONS(215), 1,
      anon_sym_unique,
    STATE(3042), 1,
      sym_type_predicate,
    STATE(5687), 1,
      sym_predefined_type,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6602), 2,
      sym_identifier,
      sym_this,
    ACTIONS(217), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [124647] = 3,
    ACTIONS(4327), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4329), 12,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [124669] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4290), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [124689] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4290), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [124709] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4290), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [124729] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4298), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [124749] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4298), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [124769] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4298), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [124789] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4389), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [124809] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4397), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [124829] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4415), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [124849] = 10,
    ACTIONS(2570), 1,
      anon_sym_LT,
    ACTIONS(3288), 1,
      anon_sym_LPAREN,
    ACTIONS(6470), 1,
      anon_sym_COLON,
    ACTIONS(6606), 1,
      anon_sym_QMARK,
    STATE(3307), 1,
      sym_formal_parameters,
    STATE(4046), 1,
      sym__call_signature,
    STATE(4047), 1,
      sym_type_annotation,
    STATE(5222), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6604), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [124885] = 11,
    ACTIONS(6066), 1,
      anon_sym_LT,
    ACTIONS(6340), 1,
      anon_sym_DOT,
    ACTIONS(6608), 1,
      anon_sym_EQ,
    ACTIONS(6613), 1,
      anon_sym_COLON,
    ACTIONS(6615), 1,
      anon_sym_extends,
    STATE(2995), 1,
      sym_type_arguments,
    STATE(4432), 1,
      sym_constraint,
    STATE(5334), 1,
      sym_default_type,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6610), 2,
      anon_sym_COMMA,
      anon_sym_GT,
    ACTIONS(3567), 3,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
  [124923] = 6,
    ACTIONS(6396), 1,
      anon_sym_LT,
    ACTIONS(6618), 1,
      anon_sym_DOT,
    ACTIONS(6620), 1,
      anon_sym_is,
    STATE(3404), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3567), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [124951] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4419), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [124971] = 6,
    ACTIONS(4210), 1,
      anon_sym_EQ,
    ACTIONS(6622), 1,
      anon_sym_AMP,
    ACTIONS(6624), 1,
      anon_sym_PIPE,
    ACTIONS(6626), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4212), 9,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
  [124999] = 3,
    ACTIONS(3212), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3214), 12,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [125021] = 4,
    ACTIONS(1897), 1,
      anon_sym_DOT,
    ACTIONS(4203), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4205), 11,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [125045] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4147), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [125065] = 3,
    ACTIONS(4300), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4302), 12,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [125087] = 10,
    ACTIONS(2570), 1,
      anon_sym_LT,
    ACTIONS(3288), 1,
      anon_sym_LPAREN,
    ACTIONS(6470), 1,
      anon_sym_COLON,
    ACTIONS(6630), 1,
      anon_sym_QMARK,
    STATE(3307), 1,
      sym_formal_parameters,
    STATE(4337), 1,
      sym__call_signature,
    STATE(4338), 1,
      sym_type_annotation,
    STATE(5222), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6628), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [125123] = 10,
    ACTIONS(2570), 1,
      anon_sym_LT,
    ACTIONS(3288), 1,
      anon_sym_LPAREN,
    ACTIONS(6470), 1,
      anon_sym_COLON,
    ACTIONS(6634), 1,
      anon_sym_QMARK,
    STATE(3307), 1,
      sym_formal_parameters,
    STATE(4277), 1,
      sym__call_signature,
    STATE(4279), 1,
      sym_type_annotation,
    STATE(5222), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6632), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [125159] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4415), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [125179] = 10,
    ACTIONS(2570), 1,
      anon_sym_LT,
    ACTIONS(3288), 1,
      anon_sym_LPAREN,
    ACTIONS(6470), 1,
      anon_sym_COLON,
    ACTIONS(6638), 1,
      anon_sym_QMARK,
    STATE(3307), 1,
      sym_formal_parameters,
    STATE(3946), 1,
      sym__call_signature,
    STATE(3991), 1,
      sym_type_annotation,
    STATE(5222), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6636), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [125215] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4419), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [125235] = 6,
    ACTIONS(4218), 1,
      anon_sym_EQ,
    ACTIONS(6622), 1,
      anon_sym_AMP,
    ACTIONS(6624), 1,
      anon_sym_PIPE,
    ACTIONS(6626), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4220), 9,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
  [125263] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4133), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [125283] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4129), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [125303] = 3,
    ACTIONS(4341), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4343), 12,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [125325] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4246), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [125345] = 10,
    ACTIONS(2570), 1,
      anon_sym_LT,
    ACTIONS(3288), 1,
      anon_sym_LPAREN,
    ACTIONS(6470), 1,
      anon_sym_COLON,
    ACTIONS(6640), 1,
      anon_sym_QMARK,
    STATE(3307), 1,
      sym_formal_parameters,
    STATE(3638), 1,
      sym__call_signature,
    STATE(4279), 1,
      sym_type_annotation,
    STATE(5222), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6632), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [125381] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4246), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [125401] = 3,
    ACTIONS(4349), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4351), 12,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [125423] = 3,
    ACTIONS(4353), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4355), 12,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [125445] = 6,
    ACTIONS(4315), 1,
      anon_sym_EQ,
    ACTIONS(6622), 1,
      anon_sym_AMP,
    ACTIONS(6624), 1,
      anon_sym_PIPE,
    ACTIONS(6626), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4317), 9,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
  [125473] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4246), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [125493] = 5,
    ACTIONS(4399), 1,
      anon_sym_PIPE,
    ACTIONS(6642), 1,
      anon_sym_DOT,
    ACTIONS(6644), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4401), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [125519] = 10,
    ACTIONS(2570), 1,
      anon_sym_LT,
    ACTIONS(3288), 1,
      anon_sym_LPAREN,
    ACTIONS(6470), 1,
      anon_sym_COLON,
    ACTIONS(6646), 1,
      anon_sym_QMARK,
    STATE(3307), 1,
      sym_formal_parameters,
    STATE(3683), 1,
      sym__call_signature,
    STATE(4047), 1,
      sym_type_annotation,
    STATE(5222), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6604), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [125555] = 3,
    ACTIONS(4381), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4383), 12,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [125577] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4133), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [125597] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4129), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [125617] = 3,
    ACTIONS(4284), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4286), 12,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [125639] = 4,
    ACTIONS(4361), 1,
      anon_sym_EQ,
    ACTIONS(6622), 1,
      anon_sym_AMP,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4363), 11,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_PIPE,
      anon_sym_extends,
  [125663] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4165), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [125683] = 5,
    ACTIONS(4087), 1,
      anon_sym_PIPE,
    ACTIONS(6352), 1,
      anon_sym_LT,
    STATE(3239), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4089), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [125709] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4260), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [125729] = 10,
    ACTIONS(2570), 1,
      anon_sym_LT,
    ACTIONS(3288), 1,
      anon_sym_LPAREN,
    ACTIONS(6470), 1,
      anon_sym_COLON,
    ACTIONS(6648), 1,
      anon_sym_QMARK,
    STATE(3307), 1,
      sym_formal_parameters,
    STATE(3670), 1,
      sym__call_signature,
    STATE(3991), 1,
      sym_type_annotation,
    STATE(5222), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6636), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [125765] = 3,
    ACTIONS(3216), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3218), 12,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [125787] = 10,
    ACTIONS(2570), 1,
      anon_sym_LT,
    ACTIONS(3288), 1,
      anon_sym_LPAREN,
    ACTIONS(6470), 1,
      anon_sym_COLON,
    ACTIONS(6652), 1,
      anon_sym_QMARK,
    STATE(3307), 1,
      sym_formal_parameters,
    STATE(4051), 1,
      sym__call_signature,
    STATE(4052), 1,
      sym_type_annotation,
    STATE(5222), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6650), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [125823] = 4,
    ACTIONS(1893), 1,
      anon_sym_DOT,
    ACTIONS(4203), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4205), 11,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [125847] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4260), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [125867] = 6,
    ACTIONS(4421), 1,
      anon_sym_EQ,
    ACTIONS(6622), 1,
      anon_sym_AMP,
    ACTIONS(6624), 1,
      anon_sym_PIPE,
    ACTIONS(6626), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4423), 9,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
  [125895] = 6,
    ACTIONS(4425), 1,
      anon_sym_EQ,
    ACTIONS(6622), 1,
      anon_sym_AMP,
    ACTIONS(6624), 1,
      anon_sym_PIPE,
    ACTIONS(6626), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4427), 9,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
  [125923] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4260), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [125943] = 3,
    ACTIONS(3687), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3487), 12,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [125965] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4125), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [125985] = 3,
    ACTIONS(3208), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3210), 12,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [126007] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4125), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [126027] = 4,
    ACTIONS(4157), 1,
      anon_sym_EQ,
    ACTIONS(6622), 1,
      anon_sym_AMP,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4159), 11,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_PIPE,
      anon_sym_extends,
  [126051] = 3,
    ACTIONS(3703), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3489), 12,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [126073] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4125), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [126093] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4165), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [126113] = 6,
    ACTIONS(4226), 1,
      anon_sym_EQ,
    ACTIONS(6622), 1,
      anon_sym_AMP,
    ACTIONS(6624), 1,
      anon_sym_PIPE,
    ACTIONS(6626), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4228), 9,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
  [126141] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4242), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [126161] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4276), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [126181] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4280), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [126201] = 4,
    ACTIONS(4248), 1,
      anon_sym_EQ,
    ACTIONS(6654), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4250), 11,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
  [126225] = 5,
    ACTIONS(3509), 1,
      anon_sym_DOT,
    ACTIONS(3513), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3517), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3505), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [126251] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4280), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [126271] = 10,
    ACTIONS(2570), 1,
      anon_sym_LT,
    ACTIONS(3288), 1,
      anon_sym_LPAREN,
    ACTIONS(6656), 1,
      anon_sym_COLON,
    ACTIONS(6658), 1,
      anon_sym_QMARK,
    STATE(3307), 1,
      sym_formal_parameters,
    STATE(3613), 1,
      sym__call_signature,
    STATE(4052), 1,
      sym_type_annotation,
    STATE(5222), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6650), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [126307] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4280), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [126327] = 10,
    ACTIONS(2570), 1,
      anon_sym_LT,
    ACTIONS(3288), 1,
      anon_sym_LPAREN,
    ACTIONS(6470), 1,
      anon_sym_COLON,
    ACTIONS(6660), 1,
      anon_sym_QMARK,
    STATE(3307), 1,
      sym_formal_parameters,
    STATE(3690), 1,
      sym__call_signature,
    STATE(4338), 1,
      sym_type_annotation,
    STATE(5222), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6628), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [126363] = 6,
    ACTIONS(4319), 1,
      anon_sym_EQ,
    ACTIONS(6622), 1,
      anon_sym_AMP,
    ACTIONS(6624), 1,
      anon_sym_PIPE,
    ACTIONS(6626), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4321), 9,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
  [126391] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4147), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [126411] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1921), 12,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_extends,
  [126430] = 9,
    ACTIONS(2570), 1,
      anon_sym_LT,
    ACTIONS(3288), 1,
      anon_sym_LPAREN,
    ACTIONS(6470), 1,
      anon_sym_COLON,
    STATE(3307), 1,
      sym_formal_parameters,
    STATE(3693), 1,
      sym__call_signature,
    STATE(4106), 1,
      sym_type_annotation,
    STATE(5222), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6662), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [126463] = 9,
    ACTIONS(2570), 1,
      anon_sym_LT,
    ACTIONS(3288), 1,
      anon_sym_LPAREN,
    ACTIONS(6470), 1,
      anon_sym_COLON,
    STATE(3307), 1,
      sym_formal_parameters,
    STATE(3682), 1,
      sym__call_signature,
    STATE(4043), 1,
      sym_type_annotation,
    STATE(5222), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6664), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [126496] = 3,
    ACTIONS(4185), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4183), 11,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [126517] = 11,
    ACTIONS(2570), 1,
      anon_sym_LT,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    ACTIONS(6470), 1,
      anon_sym_COLON,
    ACTIONS(6482), 1,
      anon_sym_LPAREN,
    STATE(3365), 1,
      sym_formal_parameters,
    STATE(3869), 1,
      sym__call_signature,
    STATE(4341), 1,
      sym_type_annotation,
    STATE(5026), 1,
      sym__initializer,
    STATE(5281), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6666), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [126554] = 9,
    ACTIONS(2570), 1,
      anon_sym_LT,
    ACTIONS(3288), 1,
      anon_sym_LPAREN,
    ACTIONS(6470), 1,
      anon_sym_COLON,
    STATE(3307), 1,
      sym_formal_parameters,
    STATE(4042), 1,
      sym__call_signature,
    STATE(4043), 1,
      sym_type_annotation,
    STATE(5222), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6664), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [126587] = 9,
    ACTIONS(2570), 1,
      anon_sym_LT,
    ACTIONS(3288), 1,
      anon_sym_LPAREN,
    ACTIONS(6470), 1,
      anon_sym_COLON,
    STATE(3307), 1,
      sym_formal_parameters,
    STATE(3671), 1,
      sym__call_signature,
    STATE(4026), 1,
      sym_type_annotation,
    STATE(5222), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6668), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [126620] = 3,
    ACTIONS(3316), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3318), 11,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [126641] = 3,
    ACTIONS(4323), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4325), 11,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [126662] = 11,
    ACTIONS(2570), 1,
      anon_sym_LT,
    ACTIONS(3288), 1,
      anon_sym_LPAREN,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    ACTIONS(6470), 1,
      anon_sym_COLON,
    STATE(3307), 1,
      sym_formal_parameters,
    STATE(4341), 1,
      sym_type_annotation,
    STATE(5059), 1,
      sym__call_signature,
    STATE(5078), 1,
      sym__initializer,
    STATE(5222), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6666), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [126699] = 8,
    ACTIONS(3537), 1,
      anon_sym_DOT,
    ACTIONS(3539), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6670), 1,
      anon_sym_LPAREN,
    ACTIONS(6672), 1,
      anon_sym_LT,
    STATE(2919), 1,
      sym_arguments,
    STATE(2954), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3505), 6,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [126730] = 8,
    ACTIONS(6336), 1,
      anon_sym_DOT,
    ACTIONS(6338), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6670), 1,
      anon_sym_LPAREN,
    ACTIONS(6672), 1,
      anon_sym_LT,
    STATE(2935), 1,
      sym_arguments,
    STATE(2964), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4065), 6,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [126761] = 12,
    ACTIONS(1635), 1,
      anon_sym_DQUOTE,
    ACTIONS(1637), 1,
      anon_sym_SQUOTE,
    ACTIONS(6356), 1,
      anon_sym_STAR,
    ACTIONS(6360), 1,
      anon_sym_LBRACE,
    ACTIONS(6574), 1,
      sym_identifier,
    ACTIONS(6576), 1,
      anon_sym_type,
    STATE(4332), 1,
      sym_string,
    STATE(4333), 1,
      sym_import_require_clause,
    STATE(5314), 1,
      sym__import_identifier,
    STATE(5370), 1,
      sym_import_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(5825), 2,
      sym_namespace_import,
      sym_named_imports,
  [126800] = 8,
    ACTIONS(6332), 1,
      anon_sym_DOT,
    ACTIONS(6334), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6670), 1,
      anon_sym_LPAREN,
    ACTIONS(6672), 1,
      anon_sym_LT,
    STATE(2922), 1,
      sym_arguments,
    STATE(2966), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4059), 6,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [126831] = 4,
    ACTIONS(4083), 1,
      anon_sym_PIPE,
    ACTIONS(6454), 1,
      anon_sym_is,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4085), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [126854] = 11,
    ACTIONS(2570), 1,
      anon_sym_LT,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    ACTIONS(6470), 1,
      anon_sym_COLON,
    ACTIONS(6482), 1,
      anon_sym_LPAREN,
    STATE(3365), 1,
      sym_formal_parameters,
    STATE(3880), 1,
      sym__call_signature,
    STATE(4354), 1,
      sym_type_annotation,
    STATE(5044), 1,
      sym__initializer,
    STATE(5281), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6674), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [126891] = 11,
    ACTIONS(2570), 1,
      anon_sym_LT,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    ACTIONS(6468), 1,
      anon_sym_LPAREN,
    ACTIONS(6470), 1,
      anon_sym_COLON,
    STATE(3895), 1,
      sym_formal_parameters,
    STATE(4044), 1,
      sym_type_annotation,
    STATE(5121), 1,
      sym__initializer,
    STATE(5348), 1,
      sym_type_parameters,
    STATE(5423), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6676), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [126928] = 11,
    ACTIONS(2570), 1,
      anon_sym_LT,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    ACTIONS(6468), 1,
      anon_sym_LPAREN,
    ACTIONS(6470), 1,
      anon_sym_COLON,
    STATE(3895), 1,
      sym_formal_parameters,
    STATE(4358), 1,
      sym_type_annotation,
    STATE(5050), 1,
      sym__initializer,
    STATE(5348), 1,
      sym_type_parameters,
    STATE(5429), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6678), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [126965] = 11,
    ACTIONS(2570), 1,
      anon_sym_LT,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    ACTIONS(6470), 1,
      anon_sym_COLON,
    ACTIONS(6482), 1,
      anon_sym_LPAREN,
    STATE(3365), 1,
      sym_formal_parameters,
    STATE(3803), 1,
      sym__call_signature,
    STATE(4254), 1,
      sym_type_annotation,
    STATE(4852), 1,
      sym__initializer,
    STATE(5281), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6680), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [127002] = 9,
    ACTIONS(2570), 1,
      anon_sym_LT,
    ACTIONS(3288), 1,
      anon_sym_LPAREN,
    ACTIONS(6470), 1,
      anon_sym_COLON,
    STATE(3307), 1,
      sym_formal_parameters,
    STATE(3994), 1,
      sym__call_signature,
    STATE(4026), 1,
      sym_type_annotation,
    STATE(5222), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6668), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [127035] = 11,
    ACTIONS(2570), 1,
      anon_sym_LT,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    ACTIONS(6468), 1,
      anon_sym_LPAREN,
    ACTIONS(6470), 1,
      anon_sym_COLON,
    STATE(3895), 1,
      sym_formal_parameters,
    STATE(3909), 1,
      sym_type_annotation,
    STATE(4560), 1,
      sym__initializer,
    STATE(5348), 1,
      sym_type_parameters,
    STATE(5359), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6678), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [127072] = 3,
    ACTIONS(3398), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3400), 11,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [127093] = 11,
    ACTIONS(2570), 1,
      anon_sym_LT,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    ACTIONS(6468), 1,
      anon_sym_LPAREN,
    ACTIONS(6470), 1,
      anon_sym_COLON,
    STATE(3895), 1,
      sym_formal_parameters,
    STATE(3925), 1,
      sym_type_annotation,
    STATE(4791), 1,
      sym__initializer,
    STATE(5141), 1,
      sym__call_signature,
    STATE(5348), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6678), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [127130] = 4,
    ACTIONS(4087), 1,
      anon_sym_PIPE,
    ACTIONS(6682), 1,
      anon_sym_is,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4089), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [127153] = 8,
    ACTIONS(2570), 1,
      anon_sym_LT,
    ACTIONS(3288), 1,
      anon_sym_LPAREN,
    ACTIONS(4593), 1,
      anon_sym_EQ,
    STATE(3600), 1,
      sym_formal_parameters,
    STATE(5138), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4071), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(3843), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
  [127184] = 4,
    ACTIONS(4095), 1,
      anon_sym_PIPE,
    ACTIONS(6454), 1,
      anon_sym_is,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4097), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [127207] = 9,
    ACTIONS(2570), 1,
      anon_sym_LT,
    ACTIONS(3288), 1,
      anon_sym_LPAREN,
    ACTIONS(6470), 1,
      anon_sym_COLON,
    STATE(3307), 1,
      sym_formal_parameters,
    STATE(4326), 1,
      sym__call_signature,
    STATE(4328), 1,
      sym_type_annotation,
    STATE(5222), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6684), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [127240] = 9,
    ACTIONS(2570), 1,
      anon_sym_LT,
    ACTIONS(3288), 1,
      anon_sym_LPAREN,
    ACTIONS(6470), 1,
      anon_sym_COLON,
    STATE(3307), 1,
      sym_formal_parameters,
    STATE(3640), 1,
      sym__call_signature,
    STATE(4284), 1,
      sym_type_annotation,
    STATE(5222), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6686), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [127273] = 11,
    ACTIONS(2570), 1,
      anon_sym_LT,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    ACTIONS(6468), 1,
      anon_sym_LPAREN,
    ACTIONS(6470), 1,
      anon_sym_COLON,
    STATE(3895), 1,
      sym_formal_parameters,
    STATE(4287), 1,
      sym_type_annotation,
    STATE(4909), 1,
      sym__initializer,
    STATE(5266), 1,
      sym__call_signature,
    STATE(5348), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6688), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [127310] = 3,
    ACTIONS(3392), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3394), 11,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [127331] = 11,
    ACTIONS(2570), 1,
      anon_sym_LT,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    ACTIONS(6468), 1,
      anon_sym_LPAREN,
    ACTIONS(6470), 1,
      anon_sym_COLON,
    STATE(3895), 1,
      sym_formal_parameters,
    STATE(4316), 1,
      sym_type_annotation,
    STATE(4975), 1,
      sym__initializer,
    STATE(5336), 1,
      sym__call_signature,
    STATE(5348), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6688), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [127368] = 11,
    ACTIONS(2570), 1,
      anon_sym_LT,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    ACTIONS(6468), 1,
      anon_sym_LPAREN,
    ACTIONS(6470), 1,
      anon_sym_COLON,
    STATE(3895), 1,
      sym_formal_parameters,
    STATE(4086), 1,
      sym_type_annotation,
    STATE(4590), 1,
      sym__initializer,
    STATE(5311), 1,
      sym__call_signature,
    STATE(5348), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6678), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [127405] = 11,
    ACTIONS(2570), 1,
      anon_sym_LT,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    ACTIONS(6468), 1,
      anon_sym_LPAREN,
    ACTIONS(6470), 1,
      anon_sym_COLON,
    STATE(3895), 1,
      sym_formal_parameters,
    STATE(4016), 1,
      sym_type_annotation,
    STATE(4918), 1,
      sym__initializer,
    STATE(5257), 1,
      sym__call_signature,
    STATE(5348), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6690), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [127442] = 9,
    ACTIONS(2570), 1,
      anon_sym_LT,
    ACTIONS(3288), 1,
      anon_sym_LPAREN,
    ACTIONS(6470), 1,
      anon_sym_COLON,
    STATE(3307), 1,
      sym_formal_parameters,
    STATE(4283), 1,
      sym__call_signature,
    STATE(4284), 1,
      sym_type_annotation,
    STATE(5222), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6686), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [127475] = 9,
    ACTIONS(2570), 1,
      anon_sym_LT,
    ACTIONS(3288), 1,
      anon_sym_LPAREN,
    ACTIONS(6470), 1,
      anon_sym_COLON,
    STATE(3307), 1,
      sym_formal_parameters,
    STATE(4105), 1,
      sym__call_signature,
    STATE(4106), 1,
      sym_type_annotation,
    STATE(5222), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6662), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [127508] = 9,
    ACTIONS(2570), 1,
      anon_sym_LT,
    ACTIONS(3288), 1,
      anon_sym_LPAREN,
    ACTIONS(6470), 1,
      anon_sym_COLON,
    STATE(3307), 1,
      sym_formal_parameters,
    STATE(3689), 1,
      sym__call_signature,
    STATE(4328), 1,
      sym_type_annotation,
    STATE(5222), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6684), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [127541] = 11,
    ACTIONS(2570), 1,
      anon_sym_LT,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    ACTIONS(6470), 1,
      anon_sym_COLON,
    ACTIONS(6482), 1,
      anon_sym_LPAREN,
    STATE(3365), 1,
      sym_formal_parameters,
    STATE(3818), 1,
      sym__call_signature,
    STATE(4096), 1,
      sym_type_annotation,
    STATE(4624), 1,
      sym__initializer,
    STATE(5281), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6692), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [127578] = 7,
    ACTIONS(3837), 1,
      anon_sym_COMMA,
    ACTIONS(3847), 1,
      anon_sym_RBRACE,
    ACTIONS(4593), 1,
      anon_sym_EQ,
    STATE(4835), 1,
      aux_sym_object_pattern_repeat1,
    STATE(4905), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3843), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
  [127607] = 11,
    ACTIONS(2570), 1,
      anon_sym_LT,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    ACTIONS(6470), 1,
      anon_sym_COLON,
    ACTIONS(6482), 1,
      anon_sym_LPAREN,
    STATE(3365), 1,
      sym_formal_parameters,
    STATE(3772), 1,
      sym__call_signature,
    STATE(4206), 1,
      sym_type_annotation,
    STATE(4793), 1,
      sym__initializer,
    STATE(5281), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6694), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [127644] = 5,
    ACTIONS(6390), 1,
      anon_sym_LPAREN,
    ACTIONS(6696), 1,
      anon_sym_DOT,
    STATE(3297), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4119), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [127669] = 11,
    ACTIONS(2570), 1,
      anon_sym_LT,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    ACTIONS(6468), 1,
      anon_sym_LPAREN,
    ACTIONS(6470), 1,
      anon_sym_COLON,
    STATE(3895), 1,
      sym_formal_parameters,
    STATE(4118), 1,
      sym_type_annotation,
    STATE(4660), 1,
      sym__initializer,
    STATE(5205), 1,
      sym__call_signature,
    STATE(5348), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6688), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [127706] = 11,
    ACTIONS(2570), 1,
      anon_sym_LT,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    ACTIONS(6468), 1,
      anon_sym_LPAREN,
    ACTIONS(6470), 1,
      anon_sym_COLON,
    STATE(3895), 1,
      sym_formal_parameters,
    STATE(4123), 1,
      sym_type_annotation,
    STATE(4672), 1,
      sym__initializer,
    STATE(5246), 1,
      sym__call_signature,
    STATE(5348), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6688), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [127743] = 11,
    ACTIONS(2570), 1,
      anon_sym_LT,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    ACTIONS(6468), 1,
      anon_sym_LPAREN,
    ACTIONS(6470), 1,
      anon_sym_COLON,
    STATE(3895), 1,
      sym_formal_parameters,
    STATE(4318), 1,
      sym_type_annotation,
    STATE(4984), 1,
      sym__initializer,
    STATE(5343), 1,
      sym__call_signature,
    STATE(5348), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6688), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [127780] = 7,
    ACTIONS(3837), 1,
      anon_sym_COMMA,
    ACTIONS(3909), 1,
      anon_sym_RBRACE,
    ACTIONS(4593), 1,
      anon_sym_EQ,
    STATE(4824), 1,
      aux_sym_object_repeat1,
    STATE(4835), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3843), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
  [127809] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1925), 12,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_extends,
  [127828] = 11,
    ACTIONS(2570), 1,
      anon_sym_LT,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    ACTIONS(6468), 1,
      anon_sym_LPAREN,
    ACTIONS(6470), 1,
      anon_sym_COLON,
    STATE(3895), 1,
      sym_formal_parameters,
    STATE(4033), 1,
      sym_type_annotation,
    STATE(5117), 1,
      sym__initializer,
    STATE(5348), 1,
      sym_type_parameters,
    STATE(5412), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6690), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [127865] = 8,
    ACTIONS(3550), 1,
      anon_sym_COLON,
    ACTIONS(6066), 1,
      anon_sym_LT,
    ACTIONS(6340), 1,
      anon_sym_DOT,
    ACTIONS(6698), 1,
      anon_sym_QMARK,
    STATE(2995), 1,
      sym_type_arguments,
    STATE(5200), 1,
      sym_type_annotation,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3567), 6,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [127896] = 3,
    ACTIONS(1779), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1777), 11,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_is,
      anon_sym_PIPE_RBRACE,
  [127917] = 4,
    ACTIONS(4453), 1,
      anon_sym_PIPE,
    ACTIONS(6701), 1,
      anon_sym_DOT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4455), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [127940] = 7,
    ACTIONS(3837), 1,
      anon_sym_COMMA,
    ACTIONS(3850), 1,
      anon_sym_RBRACE,
    ACTIONS(4593), 1,
      anon_sym_EQ,
    STATE(4835), 1,
      aux_sym_object_pattern_repeat1,
    STATE(4905), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3843), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
  [127969] = 7,
    ACTIONS(3837), 1,
      anon_sym_COMMA,
    ACTIONS(3840), 1,
      anon_sym_RBRACE,
    ACTIONS(4593), 1,
      anon_sym_EQ,
    STATE(4835), 1,
      aux_sym_object_pattern_repeat1,
    STATE(4905), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3843), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
  [127998] = 7,
    ACTIONS(3837), 1,
      anon_sym_COMMA,
    ACTIONS(3930), 1,
      anon_sym_RBRACE,
    ACTIONS(4593), 1,
      anon_sym_EQ,
    STATE(4835), 1,
      aux_sym_object_pattern_repeat1,
    STATE(4905), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3843), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
  [128027] = 3,
    ACTIONS(4099), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4101), 11,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_is,
      anon_sym_PIPE_RBRACE,
  [128048] = 11,
    ACTIONS(2570), 1,
      anon_sym_LT,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    ACTIONS(6468), 1,
      anon_sym_LPAREN,
    ACTIONS(6470), 1,
      anon_sym_COLON,
    STATE(3895), 1,
      sym_formal_parameters,
    STATE(4253), 1,
      sym_type_annotation,
    STATE(4844), 1,
      sym__initializer,
    STATE(5197), 1,
      sym__call_signature,
    STATE(5348), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6703), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [128085] = 11,
    ACTIONS(2570), 1,
      anon_sym_LT,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    ACTIONS(6468), 1,
      anon_sym_LPAREN,
    ACTIONS(6470), 1,
      anon_sym_COLON,
    STATE(3895), 1,
      sym_formal_parameters,
    STATE(4267), 1,
      sym_type_annotation,
    STATE(4877), 1,
      sym__initializer,
    STATE(5228), 1,
      sym__call_signature,
    STATE(5348), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6688), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [128122] = 11,
    ACTIONS(2570), 1,
      anon_sym_LT,
    ACTIONS(3288), 1,
      anon_sym_LPAREN,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    ACTIONS(6470), 1,
      anon_sym_COLON,
    STATE(3307), 1,
      sym_formal_parameters,
    STATE(4206), 1,
      sym_type_annotation,
    STATE(5014), 1,
      sym__call_signature,
    STATE(5025), 1,
      sym__initializer,
    STATE(5222), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6694), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [128159] = 5,
    ACTIONS(6396), 1,
      anon_sym_LT,
    ACTIONS(6618), 1,
      anon_sym_DOT,
    STATE(3404), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3567), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [128184] = 11,
    ACTIONS(2570), 1,
      anon_sym_LT,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    ACTIONS(6468), 1,
      anon_sym_LPAREN,
    ACTIONS(6470), 1,
      anon_sym_COLON,
    STATE(3895), 1,
      sym_formal_parameters,
    STATE(3976), 1,
      sym_type_annotation,
    STATE(4581), 1,
      sym__initializer,
    STATE(5175), 1,
      sym__call_signature,
    STATE(5348), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6690), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [128221] = 11,
    ACTIONS(2570), 1,
      anon_sym_LT,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    ACTIONS(6468), 1,
      anon_sym_LPAREN,
    ACTIONS(6470), 1,
      anon_sym_COLON,
    STATE(3895), 1,
      sym_formal_parameters,
    STATE(3918), 1,
      sym_type_annotation,
    STATE(4642), 1,
      sym__initializer,
    STATE(5348), 1,
      sym_type_parameters,
    STATE(5468), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6690), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [128258] = 4,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    STATE(1671), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4294), 10,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [128281] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4383), 11,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [128299] = 3,
    ACTIONS(4409), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4411), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [128319] = 3,
    ACTIONS(4304), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4306), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [128339] = 5,
    ACTIONS(6705), 1,
      anon_sym_AMP,
    ACTIONS(6707), 1,
      anon_sym_PIPE,
    ACTIONS(6709), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4321), 8,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_PIPE_RBRACE,
  [128363] = 3,
    ACTIONS(4357), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4359), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [128383] = 4,
    ACTIONS(4361), 1,
      anon_sym_PIPE,
    ACTIONS(6705), 1,
      anon_sym_AMP,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4363), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [128405] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4286), 11,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [128423] = 3,
    ACTIONS(4369), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4371), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [128443] = 3,
    ACTIONS(4095), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4097), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [128463] = 3,
    ACTIONS(1893), 1,
      anon_sym_DOT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4205), 10,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [128483] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4302), 11,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [128501] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3218), 11,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [128519] = 3,
    ACTIONS(4153), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4155), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [128539] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3487), 11,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [128557] = 5,
    ACTIONS(6705), 1,
      anon_sym_AMP,
    ACTIONS(6707), 1,
      anon_sym_PIPE,
    ACTIONS(6709), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4423), 8,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_PIPE_RBRACE,
  [128581] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3843), 11,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
  [128599] = 3,
    ACTIONS(2382), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2380), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [128619] = 4,
    ACTIONS(4157), 1,
      anon_sym_PIPE,
    ACTIONS(6705), 1,
      anon_sym_AMP,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4159), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [128641] = 3,
    ACTIONS(4308), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4310), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [128661] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3210), 11,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [128679] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3489), 11,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [128697] = 3,
    ACTIONS(4167), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4169), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [128717] = 3,
    ACTIONS(1897), 1,
      anon_sym_DOT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4205), 10,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [128737] = 3,
    ACTIONS(2378), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2376), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [128757] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4329), 11,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [128775] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4343), 11,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [128793] = 3,
    ACTIONS(4171), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4173), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [128813] = 3,
    ACTIONS(4292), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4294), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [128833] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4351), 11,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [128851] = 6,
    ACTIONS(6066), 1,
      anon_sym_LT,
    ACTIONS(6340), 1,
      anon_sym_DOT,
    ACTIONS(6711), 1,
      anon_sym_is,
    STATE(2995), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3567), 7,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [128877] = 3,
    ACTIONS(4195), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4197), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [128897] = 4,
    ACTIONS(6396), 1,
      anon_sym_LT,
    STATE(3354), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4089), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [128919] = 6,
    ACTIONS(2570), 1,
      anon_sym_LT,
    ACTIONS(3288), 1,
      anon_sym_LPAREN,
    STATE(3600), 1,
      sym_formal_parameters,
    STATE(5138), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3843), 7,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
  [128945] = 5,
    ACTIONS(6705), 1,
      anon_sym_AMP,
    ACTIONS(6707), 1,
      anon_sym_PIPE,
    ACTIONS(6709), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4212), 8,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_PIPE_RBRACE,
  [128969] = 3,
    ACTIONS(4345), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4347), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [128989] = 5,
    ACTIONS(4236), 1,
      anon_sym_PIPE,
    ACTIONS(6713), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4238), 2,
      anon_sym_AMP,
      anon_sym_extends,
    ACTIONS(4232), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [129013] = 3,
    ACTIONS(4391), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4393), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [129033] = 4,
    ACTIONS(4248), 1,
      anon_sym_PIPE,
    ACTIONS(6715), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4250), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE_RBRACE,
  [129055] = 3,
    ACTIONS(4149), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4151), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [129075] = 3,
    ACTIONS(4187), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4189), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [129095] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3214), 11,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [129113] = 3,
    ACTIONS(4191), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4193), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [129133] = 3,
    ACTIONS(4175), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4177), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [129153] = 4,
    ACTIONS(4254), 1,
      anon_sym_PIPE,
    ACTIONS(6713), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4256), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [129175] = 3,
    ACTIONS(4365), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4367), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [129195] = 3,
    ACTIONS(4262), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4264), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [129215] = 3,
    ACTIONS(4266), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4268), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [129235] = 3,
    ACTIONS(4377), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4379), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [129255] = 3,
    ACTIONS(4083), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4085), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [129275] = 5,
    ACTIONS(6705), 1,
      anon_sym_AMP,
    ACTIONS(6707), 1,
      anon_sym_PIPE,
    ACTIONS(6709), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4427), 8,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_PIPE_RBRACE,
  [129299] = 3,
    ACTIONS(4270), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4272), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [129319] = 3,
    ACTIONS(4236), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4238), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [129339] = 4,
    ACTIONS(4236), 1,
      anon_sym_PIPE,
    ACTIONS(6713), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4238), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [129361] = 3,
    ACTIONS(4087), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4089), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [129381] = 3,
    ACTIONS(4449), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4451), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [129401] = 3,
    ACTIONS(4199), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4201), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [129421] = 5,
    ACTIONS(6705), 1,
      anon_sym_AMP,
    ACTIONS(6707), 1,
      anon_sym_PIPE,
    ACTIONS(6709), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4220), 8,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_PIPE_RBRACE,
  [129445] = 11,
    ACTIONS(2338), 1,
      anon_sym_DQUOTE,
    ACTIONS(2340), 1,
      anon_sym_SQUOTE,
    ACTIONS(6717), 1,
      sym_identifier,
    ACTIONS(6719), 1,
      anon_sym_type,
    ACTIONS(6721), 1,
      anon_sym_COMMA,
    ACTIONS(6723), 1,
      anon_sym_RBRACE,
    ACTIONS(6725), 1,
      anon_sym_typeof,
    STATE(4987), 1,
      sym_import_specifier,
    STATE(5424), 1,
      sym__import_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(5670), 2,
      sym__module_export_name,
      sym_string,
  [129481] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5255), 11,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
  [129499] = 3,
    ACTIONS(4222), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4224), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [129519] = 3,
    ACTIONS(2390), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2388), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [129539] = 5,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4292), 1,
      anon_sym_PIPE,
    STATE(1671), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4294), 8,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [129563] = 3,
    ACTIONS(4315), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4317), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [129583] = 3,
    ACTIONS(2386), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2384), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [129603] = 3,
    ACTIONS(4226), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4228), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [129623] = 5,
    ACTIONS(6705), 1,
      anon_sym_AMP,
    ACTIONS(6707), 1,
      anon_sym_PIPE,
    ACTIONS(6709), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4317), 8,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_PIPE_RBRACE,
  [129647] = 4,
    ACTIONS(6392), 1,
      anon_sym_DOT,
    ACTIONS(6394), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3505), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [129669] = 3,
    ACTIONS(4135), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4137), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [129689] = 5,
    ACTIONS(6705), 1,
      anon_sym_AMP,
    ACTIONS(6707), 1,
      anon_sym_PIPE,
    ACTIONS(6709), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4228), 8,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_PIPE_RBRACE,
  [129713] = 4,
    ACTIONS(6727), 1,
      anon_sym_DOT,
    ACTIONS(6729), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4401), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [129735] = 3,
    ACTIONS(2374), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2372), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [129755] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4355), 11,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [129773] = 11,
    ACTIONS(2570), 1,
      anon_sym_LT,
    ACTIONS(6731), 1,
      sym_identifier,
    ACTIONS(6733), 1,
      anon_sym_LBRACE,
    ACTIONS(6735), 1,
      anon_sym_extends,
    ACTIONS(6737), 1,
      anon_sym_implements,
    STATE(2172), 1,
      sym_class_body,
    STATE(3659), 1,
      sym_type_parameters,
    STATE(4758), 1,
      sym_extends_clause,
    STATE(5211), 1,
      sym_class_heritage,
    STATE(5777), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [129808] = 11,
    ACTIONS(2570), 1,
      anon_sym_LT,
    ACTIONS(6733), 1,
      anon_sym_LBRACE,
    ACTIONS(6735), 1,
      anon_sym_extends,
    ACTIONS(6737), 1,
      anon_sym_implements,
    ACTIONS(6739), 1,
      sym_identifier,
    STATE(2127), 1,
      sym_class_body,
    STATE(3518), 1,
      sym_type_parameters,
    STATE(4758), 1,
      sym_extends_clause,
    STATE(5255), 1,
      sym_class_heritage,
    STATE(5777), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [129843] = 3,
    ACTIONS(6741), 1,
      anon_sym_DOT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4455), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [129862] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4101), 10,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
      anon_sym_is,
  [129879] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4325), 10,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [129896] = 9,
    ACTIONS(2338), 1,
      anon_sym_DQUOTE,
    ACTIONS(2340), 1,
      anon_sym_SQUOTE,
    ACTIONS(6717), 1,
      sym_identifier,
    ACTIONS(6743), 1,
      anon_sym_type,
    ACTIONS(6745), 1,
      anon_sym_as,
    STATE(5179), 1,
      sym__import_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6578), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(5490), 2,
      sym__module_export_name,
      sym_string,
  [129927] = 4,
    ACTIONS(4593), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4071), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(3843), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
  [129948] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4183), 10,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [129965] = 4,
    ACTIONS(6749), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(3854), 3,
      sym_type_annotation,
      sym_asserts_annotation,
      sym_type_predicate_annotation,
    ACTIONS(6747), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [129986] = 11,
    ACTIONS(2570), 1,
      anon_sym_LT,
    ACTIONS(6733), 1,
      anon_sym_LBRACE,
    ACTIONS(6735), 1,
      anon_sym_extends,
    ACTIONS(6737), 1,
      anon_sym_implements,
    ACTIONS(6751), 1,
      sym_identifier,
    STATE(2127), 1,
      sym_class_body,
    STATE(3518), 1,
      sym_type_parameters,
    STATE(4758), 1,
      sym_extends_clause,
    STATE(5255), 1,
      sym_class_heritage,
    STATE(5777), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [130021] = 10,
    ACTIONS(2338), 1,
      anon_sym_DQUOTE,
    ACTIONS(2340), 1,
      anon_sym_SQUOTE,
    ACTIONS(6717), 1,
      sym_identifier,
    ACTIONS(6719), 1,
      anon_sym_type,
    ACTIONS(6725), 1,
      anon_sym_typeof,
    ACTIONS(6753), 1,
      anon_sym_RBRACE,
    STATE(5142), 1,
      sym_import_specifier,
    STATE(5424), 1,
      sym__import_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(5670), 2,
      sym__module_export_name,
      sym_string,
  [130054] = 11,
    ACTIONS(2570), 1,
      anon_sym_LT,
    ACTIONS(6735), 1,
      anon_sym_extends,
    ACTIONS(6737), 1,
      anon_sym_implements,
    ACTIONS(6755), 1,
      sym_identifier,
    ACTIONS(6757), 1,
      anon_sym_LBRACE,
    STATE(2609), 1,
      sym_class_body,
    STATE(3546), 1,
      sym_type_parameters,
    STATE(4758), 1,
      sym_extends_clause,
    STATE(5428), 1,
      sym_class_heritage,
    STATE(5777), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [130089] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1777), 10,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
      anon_sym_is,
  [130106] = 3,
    ACTIONS(6620), 1,
      anon_sym_is,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4085), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [130125] = 4,
    ACTIONS(6749), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(3836), 3,
      sym_type_annotation,
      sym_asserts_annotation,
      sym_type_predicate_annotation,
    ACTIONS(6759), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [130146] = 8,
    ACTIONS(6470), 1,
      anon_sym_COLON,
    ACTIONS(6761), 1,
      anon_sym_EQ,
    ACTIONS(6765), 1,
      anon_sym_BANG,
    STATE(4056), 1,
      sym_type_annotation,
    STATE(4221), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6767), 2,
      anon_sym_in,
      anon_sym_of,
    ACTIONS(6763), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [130175] = 9,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    ACTIONS(6470), 1,
      anon_sym_COLON,
    ACTIONS(6765), 1,
      anon_sym_BANG,
    ACTIONS(6769), 1,
      sym__automatic_semicolon,
    STATE(4056), 1,
      sym_type_annotation,
    STATE(4552), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6763), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(6767), 2,
      anon_sym_in,
      anon_sym_of,
  [130206] = 11,
    ACTIONS(2570), 1,
      anon_sym_LT,
    ACTIONS(6735), 1,
      anon_sym_extends,
    ACTIONS(6737), 1,
      anon_sym_implements,
    ACTIONS(6757), 1,
      anon_sym_LBRACE,
    ACTIONS(6772), 1,
      sym_identifier,
    STATE(1654), 1,
      sym_class_body,
    STATE(3545), 1,
      sym_type_parameters,
    STATE(4758), 1,
      sym_extends_clause,
    STATE(5213), 1,
      sym_class_heritage,
    STATE(5777), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [130241] = 9,
    ACTIONS(2338), 1,
      anon_sym_DQUOTE,
    ACTIONS(2340), 1,
      anon_sym_SQUOTE,
    ACTIONS(6774), 1,
      sym_identifier,
    ACTIONS(6778), 1,
      anon_sym_COMMA,
    ACTIONS(6780), 1,
      anon_sym_RBRACE,
    STATE(4767), 1,
      sym_export_specifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6776), 2,
      anon_sym_type,
      anon_sym_typeof,
    STATE(4769), 2,
      sym__module_export_name,
      sym_string,
  [130272] = 5,
    ACTIONS(6705), 1,
      anon_sym_AMP,
    ACTIONS(6707), 1,
      anon_sym_PIPE,
    ACTIONS(6709), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6782), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [130295] = 11,
    ACTIONS(2570), 1,
      anon_sym_LT,
    ACTIONS(6733), 1,
      anon_sym_LBRACE,
    ACTIONS(6735), 1,
      anon_sym_extends,
    ACTIONS(6737), 1,
      anon_sym_implements,
    ACTIONS(6784), 1,
      sym_identifier,
    STATE(2127), 1,
      sym_class_body,
    STATE(3518), 1,
      sym_type_parameters,
    STATE(4758), 1,
      sym_extends_clause,
    STATE(5255), 1,
      sym_class_heritage,
    STATE(5777), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [130330] = 11,
    ACTIONS(2570), 1,
      anon_sym_LT,
    ACTIONS(6733), 1,
      anon_sym_LBRACE,
    ACTIONS(6735), 1,
      anon_sym_extends,
    ACTIONS(6737), 1,
      anon_sym_implements,
    ACTIONS(6786), 1,
      sym_identifier,
    STATE(2172), 1,
      sym_class_body,
    STATE(3659), 1,
      sym_type_parameters,
    STATE(4758), 1,
      sym_extends_clause,
    STATE(5211), 1,
      sym_class_heritage,
    STATE(5777), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [130365] = 5,
    ACTIONS(6062), 1,
      anon_sym_LPAREN,
    ACTIONS(6372), 1,
      anon_sym_DOT,
    STATE(2938), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4119), 7,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [130388] = 3,
    ACTIONS(6620), 1,
      anon_sym_is,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4097), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [130407] = 6,
    ACTIONS(6340), 1,
      anon_sym_DOT,
    ACTIONS(6672), 1,
      anon_sym_LT,
    ACTIONS(6788), 1,
      anon_sym_is,
    STATE(2995), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3567), 6,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [130432] = 3,
    ACTIONS(6790), 1,
      anon_sym_is,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4089), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [130451] = 11,
    ACTIONS(2570), 1,
      anon_sym_LT,
    ACTIONS(6733), 1,
      anon_sym_LBRACE,
    ACTIONS(6735), 1,
      anon_sym_extends,
    ACTIONS(6737), 1,
      anon_sym_implements,
    ACTIONS(6792), 1,
      sym_identifier,
    STATE(2172), 1,
      sym_class_body,
    STATE(3659), 1,
      sym_type_parameters,
    STATE(4758), 1,
      sym_extends_clause,
    STATE(5211), 1,
      sym_class_heritage,
    STATE(5777), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [130486] = 11,
    ACTIONS(2570), 1,
      anon_sym_LT,
    ACTIONS(6735), 1,
      anon_sym_extends,
    ACTIONS(6737), 1,
      anon_sym_implements,
    ACTIONS(6757), 1,
      anon_sym_LBRACE,
    ACTIONS(6794), 1,
      sym_identifier,
    STATE(1675), 1,
      sym_class_body,
    STATE(3561), 1,
      sym_type_parameters,
    STATE(4758), 1,
      sym_extends_clause,
    STATE(5282), 1,
      sym_class_heritage,
    STATE(5777), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [130521] = 11,
    ACTIONS(2570), 1,
      anon_sym_LT,
    ACTIONS(6733), 1,
      anon_sym_LBRACE,
    ACTIONS(6735), 1,
      anon_sym_extends,
    ACTIONS(6737), 1,
      anon_sym_implements,
    ACTIONS(6796), 1,
      sym_identifier,
    STATE(2127), 1,
      sym_class_body,
    STATE(3518), 1,
      sym_type_parameters,
    STATE(4758), 1,
      sym_extends_clause,
    STATE(5255), 1,
      sym_class_heritage,
    STATE(5777), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [130556] = 10,
    ACTIONS(2338), 1,
      anon_sym_DQUOTE,
    ACTIONS(2340), 1,
      anon_sym_SQUOTE,
    ACTIONS(6717), 1,
      sym_identifier,
    ACTIONS(6719), 1,
      anon_sym_type,
    ACTIONS(6725), 1,
      anon_sym_typeof,
    ACTIONS(6798), 1,
      anon_sym_RBRACE,
    STATE(5142), 1,
      sym_import_specifier,
    STATE(5424), 1,
      sym__import_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(5670), 2,
      sym__module_export_name,
      sym_string,
  [130589] = 11,
    ACTIONS(2570), 1,
      anon_sym_LT,
    ACTIONS(6733), 1,
      anon_sym_LBRACE,
    ACTIONS(6735), 1,
      anon_sym_extends,
    ACTIONS(6737), 1,
      anon_sym_implements,
    ACTIONS(6800), 1,
      sym_identifier,
    STATE(2172), 1,
      sym_class_body,
    STATE(3659), 1,
      sym_type_parameters,
    STATE(4758), 1,
      sym_extends_clause,
    STATE(5211), 1,
      sym_class_heritage,
    STATE(5777), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [130624] = 7,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    ACTIONS(6470), 1,
      anon_sym_COLON,
    STATE(4100), 1,
      sym_type_annotation,
    STATE(4626), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6544), 2,
      anon_sym_BANG,
      anon_sym_QMARK,
    ACTIONS(6542), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [130650] = 8,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    ACTIONS(6470), 1,
      anon_sym_COLON,
    ACTIONS(6802), 1,
      anon_sym_BANG,
    ACTIONS(6804), 1,
      anon_sym_QMARK,
    STATE(4294), 1,
      sym_type_annotation,
    STATE(4927), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6464), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [130678] = 8,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    ACTIONS(6470), 1,
      anon_sym_COLON,
    ACTIONS(6806), 1,
      anon_sym_BANG,
    ACTIONS(6808), 1,
      anon_sym_QMARK,
    STATE(3993), 1,
      sym_type_annotation,
    STATE(4801), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6530), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [130706] = 8,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    ACTIONS(6470), 1,
      anon_sym_COLON,
    ACTIONS(6810), 1,
      anon_sym_BANG,
    ACTIONS(6812), 1,
      anon_sym_QMARK,
    STATE(4002), 1,
      sym_type_annotation,
    STATE(4828), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6530), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [130734] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2376), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [130750] = 8,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    ACTIONS(6470), 1,
      anon_sym_COLON,
    ACTIONS(6814), 1,
      anon_sym_BANG,
    ACTIONS(6816), 1,
      anon_sym_QMARK,
    STATE(4013), 1,
      sym_type_annotation,
    STATE(4889), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6530), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [130778] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6818), 9,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [130794] = 8,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    ACTIONS(6470), 1,
      anon_sym_COLON,
    ACTIONS(6820), 1,
      anon_sym_BANG,
    ACTIONS(6822), 1,
      anon_sym_QMARK,
    STATE(4053), 1,
      sym_type_annotation,
    STATE(4532), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6530), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [130822] = 5,
    ACTIONS(6824), 1,
      anon_sym_AMP,
    ACTIONS(6826), 1,
      anon_sym_PIPE,
    ACTIONS(6828), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4423), 6,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
  [130844] = 3,
    ACTIONS(3398), 1,
      anon_sym_LBRACE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3400), 8,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
      anon_sym_LBRACE_PIPE,
  [130862] = 5,
    ACTIONS(6372), 1,
      anon_sym_DOT,
    ACTIONS(6670), 1,
      anon_sym_LPAREN,
    STATE(2938), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4119), 6,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [130884] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6830), 9,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [130900] = 4,
    ACTIONS(6832), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4238), 3,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
    ACTIONS(4232), 5,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [130920] = 5,
    ACTIONS(6824), 1,
      anon_sym_AMP,
    ACTIONS(6826), 1,
      anon_sym_PIPE,
    ACTIONS(6828), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4427), 6,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
  [130942] = 8,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    ACTIONS(6470), 1,
      anon_sym_COLON,
    ACTIONS(6834), 1,
      anon_sym_BANG,
    ACTIONS(6836), 1,
      anon_sym_QMARK,
    STATE(4008), 1,
      sym_type_annotation,
    STATE(4869), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6490), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [130970] = 8,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    ACTIONS(6470), 1,
      anon_sym_COLON,
    ACTIONS(6838), 1,
      anon_sym_BANG,
    ACTIONS(6840), 1,
      anon_sym_QMARK,
    STATE(4304), 1,
      sym_type_annotation,
    STATE(4946), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6464), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [130998] = 8,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    ACTIONS(6470), 1,
      anon_sym_COLON,
    ACTIONS(6842), 1,
      anon_sym_BANG,
    ACTIONS(6844), 1,
      anon_sym_QMARK,
    STATE(4295), 1,
      sym_type_annotation,
    STATE(4931), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6464), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [131026] = 8,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    ACTIONS(6470), 1,
      anon_sym_COLON,
    ACTIONS(6846), 1,
      anon_sym_BANG,
    ACTIONS(6848), 1,
      anon_sym_QMARK,
    STATE(4005), 1,
      sym_type_annotation,
    STATE(4838), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6490), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [131054] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4264), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [131070] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4359), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [131086] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4268), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [131102] = 8,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    ACTIONS(6470), 1,
      anon_sym_COLON,
    ACTIONS(6850), 1,
      anon_sym_BANG,
    ACTIONS(6852), 1,
      anon_sym_QMARK,
    STATE(4009), 1,
      sym_type_annotation,
    STATE(4875), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6490), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [131130] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4272), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [131146] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2388), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [131162] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6854), 9,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [131178] = 8,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    ACTIONS(6470), 1,
      anon_sym_COLON,
    ACTIONS(6856), 1,
      anon_sym_BANG,
    ACTIONS(6858), 1,
      anon_sym_QMARK,
    STATE(4362), 1,
      sym_type_annotation,
    STATE(5066), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6530), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [131206] = 3,
    ACTIONS(6824), 1,
      anon_sym_AMP,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4363), 8,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_PIPE,
      anon_sym_extends,
  [131224] = 7,
    ACTIONS(239), 1,
      anon_sym_COMMA,
    ACTIONS(4593), 1,
      anon_sym_EQ,
    ACTIONS(5005), 1,
      anon_sym_RBRACE,
    STATE(4835), 1,
      aux_sym_object_pattern_repeat1,
    STATE(4905), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3843), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
  [131250] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4371), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [131266] = 7,
    ACTIONS(239), 1,
      anon_sym_COMMA,
    ACTIONS(672), 1,
      anon_sym_RBRACE,
    ACTIONS(4593), 1,
      anon_sym_EQ,
    STATE(4824), 1,
      aux_sym_object_repeat1,
    STATE(4835), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3843), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
  [131292] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4310), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [131308] = 9,
    ACTIONS(2338), 1,
      anon_sym_DQUOTE,
    ACTIONS(2340), 1,
      anon_sym_SQUOTE,
    ACTIONS(6717), 1,
      sym_identifier,
    ACTIONS(6719), 1,
      anon_sym_type,
    ACTIONS(6725), 1,
      anon_sym_typeof,
    STATE(5142), 1,
      sym_import_specifier,
    STATE(5424), 1,
      sym__import_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(5670), 2,
      sym__module_export_name,
      sym_string,
  [131338] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2380), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [131354] = 8,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    ACTIONS(6470), 1,
      anon_sym_COLON,
    ACTIONS(6860), 1,
      anon_sym_BANG,
    ACTIONS(6862), 1,
      anon_sym_QMARK,
    STATE(4370), 1,
      sym_type_annotation,
    STATE(5088), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6530), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [131382] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4306), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [131398] = 5,
    ACTIONS(6824), 1,
      anon_sym_AMP,
    ACTIONS(6826), 1,
      anon_sym_PIPE,
    ACTIONS(6828), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4321), 6,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
  [131420] = 7,
    ACTIONS(239), 1,
      anon_sym_COMMA,
    ACTIONS(699), 1,
      anon_sym_RBRACE,
    ACTIONS(4593), 1,
      anon_sym_EQ,
    STATE(4835), 1,
      aux_sym_object_pattern_repeat1,
    STATE(4905), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3843), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
  [131446] = 10,
    ACTIONS(2570), 1,
      anon_sym_LT,
    ACTIONS(6733), 1,
      anon_sym_LBRACE,
    ACTIONS(6864), 1,
      anon_sym_extends,
    ACTIONS(6866), 1,
      anon_sym_implements,
    STATE(2141), 1,
      sym_class_body,
    STATE(3533), 1,
      sym_type_parameters,
    STATE(4758), 1,
      sym_extends_clause,
    STATE(5434), 1,
      sym_class_heritage,
    STATE(5777), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [131478] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1921), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [131494] = 10,
    ACTIONS(2570), 1,
      anon_sym_LT,
    ACTIONS(6864), 1,
      anon_sym_extends,
    ACTIONS(6866), 1,
      anon_sym_implements,
    ACTIONS(6868), 1,
      anon_sym_LBRACE,
    STATE(3562), 1,
      sym_type_parameters,
    STATE(4068), 1,
      sym_class_body,
    STATE(4758), 1,
      sym_extends_clause,
    STATE(5313), 1,
      sym_class_heritage,
    STATE(5777), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [131526] = 8,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    ACTIONS(6470), 1,
      anon_sym_COLON,
    ACTIONS(6870), 1,
      anon_sym_BANG,
    ACTIONS(6872), 1,
      anon_sym_QMARK,
    STATE(4375), 1,
      sym_type_annotation,
    STATE(5104), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6530), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [131554] = 4,
    ACTIONS(6874), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(3961), 3,
      sym_type_annotation,
      sym_asserts_annotation,
      sym_type_predicate_annotation,
    ACTIONS(6759), 5,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [131574] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4367), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [131590] = 8,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    ACTIONS(6470), 1,
      anon_sym_COLON,
    ACTIONS(6876), 1,
      anon_sym_BANG,
    ACTIONS(6878), 1,
      anon_sym_QMARK,
    STATE(4380), 1,
      sym_type_annotation,
    STATE(5113), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6530), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [131618] = 8,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    ACTIONS(6470), 1,
      anon_sym_COLON,
    ACTIONS(6880), 1,
      anon_sym_BANG,
    ACTIONS(6882), 1,
      anon_sym_QMARK,
    STATE(4384), 1,
      sym_type_annotation,
    STATE(5126), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6530), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [131646] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4379), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [131662] = 8,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    ACTIONS(6470), 1,
      anon_sym_COLON,
    ACTIONS(6884), 1,
      anon_sym_BANG,
    ACTIONS(6886), 1,
      anon_sym_QMARK,
    STATE(4041), 1,
      sym_type_annotation,
    STATE(5127), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6530), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [131690] = 3,
    ACTIONS(6888), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4250), 8,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
  [131708] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1925), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [131724] = 5,
    ACTIONS(6340), 1,
      anon_sym_DOT,
    ACTIONS(6672), 1,
      anon_sym_LT,
    STATE(2995), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3567), 6,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [131746] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4085), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [131762] = 6,
    ACTIONS(6622), 1,
      anon_sym_AMP,
    ACTIONS(6624), 1,
      anon_sym_PIPE,
    ACTIONS(6626), 1,
      anon_sym_extends,
    ACTIONS(6890), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6782), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_EQ_GT,
  [131786] = 10,
    ACTIONS(2570), 1,
      anon_sym_LT,
    ACTIONS(6864), 1,
      anon_sym_extends,
    ACTIONS(6866), 1,
      anon_sym_implements,
    ACTIONS(6868), 1,
      anon_sym_LBRACE,
    STATE(3569), 1,
      sym_type_parameters,
    STATE(4124), 1,
      sym_class_body,
    STATE(4758), 1,
      sym_extends_clause,
    STATE(5232), 1,
      sym_class_heritage,
    STATE(5777), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [131818] = 8,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    ACTIONS(6470), 1,
      anon_sym_COLON,
    ACTIONS(6892), 1,
      anon_sym_BANG,
    ACTIONS(6894), 1,
      anon_sym_QMARK,
    STATE(4288), 1,
      sym_type_annotation,
    STATE(4917), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6464), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [131846] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3318), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [131862] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6896), 9,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [131878] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4151), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [131894] = 10,
    ACTIONS(2570), 1,
      anon_sym_LT,
    ACTIONS(6864), 1,
      anon_sym_extends,
    ACTIONS(6866), 1,
      anon_sym_implements,
    ACTIONS(6898), 1,
      anon_sym_LBRACE,
    STATE(218), 1,
      sym_class_body,
    STATE(3639), 1,
      sym_type_parameters,
    STATE(4758), 1,
      sym_extends_clause,
    STATE(5363), 1,
      sym_class_heritage,
    STATE(5777), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [131926] = 10,
    ACTIONS(2570), 1,
      anon_sym_LT,
    ACTIONS(6757), 1,
      anon_sym_LBRACE,
    ACTIONS(6864), 1,
      anon_sym_extends,
    ACTIONS(6866), 1,
      anon_sym_implements,
    STATE(1678), 1,
      sym_class_body,
    STATE(3563), 1,
      sym_type_parameters,
    STATE(4758), 1,
      sym_extends_clause,
    STATE(5431), 1,
      sym_class_heritage,
    STATE(5777), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [131958] = 4,
    ACTIONS(6874), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(4061), 3,
      sym_type_annotation,
      sym_asserts_annotation,
      sym_type_predicate_annotation,
    ACTIONS(6747), 5,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [131978] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4238), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [131994] = 3,
    ACTIONS(6832), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4238), 8,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [132012] = 10,
    ACTIONS(2570), 1,
      anon_sym_LT,
    ACTIONS(6864), 1,
      anon_sym_extends,
    ACTIONS(6866), 1,
      anon_sym_implements,
    ACTIONS(6900), 1,
      anon_sym_LBRACE,
    STATE(812), 1,
      sym_class_body,
    STATE(3721), 1,
      sym_type_parameters,
    STATE(4758), 1,
      sym_extends_clause,
    STATE(5321), 1,
      sym_class_heritage,
    STATE(5777), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [132044] = 3,
    ACTIONS(3316), 1,
      anon_sym_LBRACE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3318), 8,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
      anon_sym_LBRACE_PIPE,
  [132062] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4089), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [132078] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4451), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [132094] = 8,
    ACTIONS(2338), 1,
      anon_sym_DQUOTE,
    ACTIONS(2340), 1,
      anon_sym_SQUOTE,
    ACTIONS(6774), 1,
      sym_identifier,
    ACTIONS(6902), 1,
      anon_sym_RBRACE,
    STATE(5430), 1,
      sym_export_specifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6776), 2,
      anon_sym_type,
      anon_sym_typeof,
    STATE(4769), 2,
      sym__module_export_name,
      sym_string,
  [132122] = 10,
    ACTIONS(2570), 1,
      anon_sym_LT,
    ACTIONS(6733), 1,
      anon_sym_LBRACE,
    ACTIONS(6864), 1,
      anon_sym_extends,
    ACTIONS(6866), 1,
      anon_sym_implements,
    STATE(2118), 1,
      sym_class_body,
    STATE(3573), 1,
      sym_type_parameters,
    STATE(4758), 1,
      sym_extends_clause,
    STATE(5270), 1,
      sym_class_heritage,
    STATE(5777), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [132154] = 10,
    ACTIONS(2570), 1,
      anon_sym_LT,
    ACTIONS(6864), 1,
      anon_sym_extends,
    ACTIONS(6866), 1,
      anon_sym_implements,
    ACTIONS(6868), 1,
      anon_sym_LBRACE,
    STATE(3574), 1,
      sym_type_parameters,
    STATE(4154), 1,
      sym_class_body,
    STATE(4758), 1,
      sym_extends_clause,
    STATE(5284), 1,
      sym_class_heritage,
    STATE(5777), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [132186] = 7,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    ACTIONS(6470), 1,
      anon_sym_COLON,
    STATE(4293), 1,
      sym_type_annotation,
    STATE(4977), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6550), 2,
      anon_sym_BANG,
      anon_sym_QMARK,
    ACTIONS(6548), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [132212] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4294), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [132228] = 10,
    ACTIONS(2570), 1,
      anon_sym_LT,
    ACTIONS(6757), 1,
      anon_sym_LBRACE,
    ACTIONS(6864), 1,
      anon_sym_extends,
    ACTIONS(6866), 1,
      anon_sym_implements,
    STATE(1696), 1,
      sym_class_body,
    STATE(3575), 1,
      sym_type_parameters,
    STATE(4758), 1,
      sym_extends_clause,
    STATE(5300), 1,
      sym_class_heritage,
    STATE(5777), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [132260] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3400), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [132276] = 8,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    ACTIONS(6470), 1,
      anon_sym_COLON,
    ACTIONS(6904), 1,
      anon_sym_BANG,
    ACTIONS(6906), 1,
      anon_sym_QMARK,
    STATE(4386), 1,
      sym_type_annotation,
    STATE(4710), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6464), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [132304] = 8,
    ACTIONS(2338), 1,
      anon_sym_DQUOTE,
    ACTIONS(2340), 1,
      anon_sym_SQUOTE,
    ACTIONS(6774), 1,
      sym_identifier,
    ACTIONS(6908), 1,
      anon_sym_RBRACE,
    STATE(5430), 1,
      sym_export_specifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6776), 2,
      anon_sym_type,
      anon_sym_typeof,
    STATE(4769), 2,
      sym__module_export_name,
      sym_string,
  [132332] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3394), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [132348] = 8,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    ACTIONS(6470), 1,
      anon_sym_COLON,
    ACTIONS(6910), 1,
      anon_sym_BANG,
    ACTIONS(6912), 1,
      anon_sym_QMARK,
    STATE(4162), 1,
      sym_type_annotation,
    STATE(4722), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6464), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [132376] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4177), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [132392] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4201), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [132408] = 8,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    ACTIONS(6470), 1,
      anon_sym_COLON,
    ACTIONS(6914), 1,
      anon_sym_BANG,
    ACTIONS(6916), 1,
      anon_sym_QMARK,
    STATE(4174), 1,
      sym_type_annotation,
    STATE(4734), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6464), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [132436] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4197), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [132452] = 8,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    ACTIONS(6470), 1,
      anon_sym_COLON,
    ACTIONS(6918), 1,
      anon_sym_BANG,
    ACTIONS(6920), 1,
      anon_sym_QMARK,
    STATE(3953), 1,
      sym_type_annotation,
    STATE(4628), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6530), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [132480] = 8,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    ACTIONS(6470), 1,
      anon_sym_COLON,
    ACTIONS(6922), 1,
      anon_sym_BANG,
    ACTIONS(6924), 1,
      anon_sym_QMARK,
    STATE(4205), 1,
      sym_type_annotation,
    STATE(4770), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6464), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [132508] = 7,
    ACTIONS(239), 1,
      anon_sym_COMMA,
    ACTIONS(4593), 1,
      anon_sym_EQ,
    ACTIONS(5074), 1,
      anon_sym_RBRACE,
    STATE(4835), 1,
      aux_sym_object_pattern_repeat1,
    STATE(4905), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3843), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
  [132534] = 10,
    ACTIONS(2570), 1,
      anon_sym_LT,
    ACTIONS(6864), 1,
      anon_sym_extends,
    ACTIONS(6866), 1,
      anon_sym_implements,
    ACTIONS(6868), 1,
      anon_sym_LBRACE,
    STATE(3576), 1,
      sym_type_parameters,
    STATE(4213), 1,
      sym_class_body,
    STATE(4758), 1,
      sym_extends_clause,
    STATE(5395), 1,
      sym_class_heritage,
    STATE(5777), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [132566] = 8,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    ACTIONS(6470), 1,
      anon_sym_COLON,
    ACTIONS(6926), 1,
      anon_sym_BANG,
    ACTIONS(6928), 1,
      anon_sym_QMARK,
    STATE(4218), 1,
      sym_type_annotation,
    STATE(4792), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6464), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [132594] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6930), 9,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [132610] = 7,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    ACTIONS(6470), 1,
      anon_sym_COLON,
    STATE(4247), 1,
      sym_type_annotation,
    STATE(4841), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6480), 2,
      anon_sym_BANG,
      anon_sym_QMARK,
    ACTIONS(6478), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [132636] = 5,
    ACTIONS(6824), 1,
      anon_sym_AMP,
    ACTIONS(6826), 1,
      anon_sym_PIPE,
    ACTIONS(6828), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4212), 6,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
  [132658] = 8,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    ACTIONS(6470), 1,
      anon_sym_COLON,
    ACTIONS(6934), 1,
      anon_sym_BANG,
    ACTIONS(6936), 1,
      anon_sym_QMARK,
    STATE(4185), 1,
      sym_type_annotation,
    STATE(4751), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6932), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [132686] = 7,
    ACTIONS(239), 1,
      anon_sym_COMMA,
    ACTIONS(4593), 1,
      anon_sym_EQ,
    ACTIONS(5076), 1,
      anon_sym_RBRACE,
    STATE(4835), 1,
      aux_sym_object_pattern_repeat1,
    STATE(4905), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3843), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
  [132712] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4347), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [132728] = 8,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    ACTIONS(6470), 1,
      anon_sym_COLON,
    ACTIONS(6938), 1,
      anon_sym_BANG,
    ACTIONS(6940), 1,
      anon_sym_QMARK,
    STATE(4301), 1,
      sym_type_annotation,
    STATE(4943), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6464), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [132756] = 8,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    ACTIONS(6470), 1,
      anon_sym_COLON,
    ACTIONS(6942), 1,
      anon_sym_BANG,
    ACTIONS(6944), 1,
      anon_sym_QMARK,
    STATE(4292), 1,
      sym_type_annotation,
    STATE(4923), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6464), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [132784] = 8,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    ACTIONS(6470), 1,
      anon_sym_COLON,
    ACTIONS(6946), 1,
      anon_sym_BANG,
    ACTIONS(6948), 1,
      anon_sym_QMARK,
    STATE(4379), 1,
      sym_type_annotation,
    STATE(5115), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6506), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [132812] = 10,
    ACTIONS(2570), 1,
      anon_sym_LT,
    ACTIONS(6733), 1,
      anon_sym_LBRACE,
    ACTIONS(6864), 1,
      anon_sym_extends,
    ACTIONS(6866), 1,
      anon_sym_implements,
    STATE(2288), 1,
      sym_class_body,
    STATE(3598), 1,
      sym_type_parameters,
    STATE(4758), 1,
      sym_extends_clause,
    STATE(5414), 1,
      sym_class_heritage,
    STATE(5777), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [132844] = 10,
    ACTIONS(2570), 1,
      anon_sym_LT,
    ACTIONS(6733), 1,
      anon_sym_LBRACE,
    ACTIONS(6864), 1,
      anon_sym_extends,
    ACTIONS(6866), 1,
      anon_sym_implements,
    STATE(2269), 1,
      sym_class_body,
    STATE(3592), 1,
      sym_type_parameters,
    STATE(4758), 1,
      sym_extends_clause,
    STATE(5302), 1,
      sym_class_heritage,
    STATE(5777), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [132876] = 8,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    ACTIONS(6470), 1,
      anon_sym_COLON,
    ACTIONS(6950), 1,
      anon_sym_BANG,
    ACTIONS(6952), 1,
      anon_sym_QMARK,
    STATE(4385), 1,
      sym_type_annotation,
    STATE(5131), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6506), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [132904] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4189), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [132920] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4193), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [132936] = 8,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    ACTIONS(6470), 1,
      anon_sym_COLON,
    ACTIONS(6954), 1,
      anon_sym_BANG,
    ACTIONS(6956), 1,
      anon_sym_QMARK,
    STATE(4219), 1,
      sym_type_annotation,
    STATE(4796), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6464), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [132964] = 8,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    ACTIONS(6470), 1,
      anon_sym_COLON,
    ACTIONS(6958), 1,
      anon_sym_BANG,
    ACTIONS(6960), 1,
      anon_sym_QMARK,
    STATE(4225), 1,
      sym_type_annotation,
    STATE(4804), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6464), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [132992] = 5,
    ACTIONS(6824), 1,
      anon_sym_AMP,
    ACTIONS(6826), 1,
      anon_sym_PIPE,
    ACTIONS(6828), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4220), 6,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
  [133014] = 8,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    ACTIONS(6470), 1,
      anon_sym_COLON,
    ACTIONS(6962), 1,
      anon_sym_BANG,
    ACTIONS(6964), 1,
      anon_sym_QMARK,
    STATE(4156), 1,
      sym_type_annotation,
    STATE(5135), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6506), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [133042] = 7,
    ACTIONS(239), 1,
      anon_sym_COMMA,
    ACTIONS(697), 1,
      anon_sym_RBRACE,
    ACTIONS(4593), 1,
      anon_sym_EQ,
    STATE(4835), 1,
      aux_sym_object_pattern_repeat1,
    STATE(4905), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3843), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
  [133068] = 3,
    ACTIONS(3392), 1,
      anon_sym_LBRACE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3394), 8,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
      anon_sym_LBRACE_PIPE,
  [133086] = 8,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    ACTIONS(6470), 1,
      anon_sym_COLON,
    ACTIONS(6966), 1,
      anon_sym_BANG,
    ACTIONS(6968), 1,
      anon_sym_QMARK,
    STATE(4239), 1,
      sym_type_annotation,
    STATE(4819), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6464), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [133114] = 8,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    ACTIONS(6470), 1,
      anon_sym_COLON,
    ACTIONS(6970), 1,
      anon_sym_BANG,
    ACTIONS(6972), 1,
      anon_sym_QMARK,
    STATE(4240), 1,
      sym_type_annotation,
    STATE(4827), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6464), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [133142] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4224), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [133158] = 8,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    ACTIONS(6470), 1,
      anon_sym_COLON,
    ACTIONS(6974), 1,
      anon_sym_BANG,
    ACTIONS(6976), 1,
      anon_sym_QMARK,
    STATE(3966), 1,
      sym_type_annotation,
    STATE(4682), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6490), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [133186] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4228), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [133202] = 7,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    ACTIONS(6470), 1,
      anon_sym_COLON,
    STATE(4356), 1,
      sym_type_annotation,
    STATE(5040), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6980), 2,
      anon_sym_BANG,
      anon_sym_QMARK,
    ACTIONS(6978), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [133228] = 10,
    ACTIONS(2570), 1,
      anon_sym_LT,
    ACTIONS(6864), 1,
      anon_sym_extends,
    ACTIONS(6866), 1,
      anon_sym_implements,
    ACTIONS(6898), 1,
      anon_sym_LBRACE,
    STATE(228), 1,
      sym_class_body,
    STATE(3587), 1,
      sym_type_parameters,
    STATE(4758), 1,
      sym_extends_clause,
    STATE(5187), 1,
      sym_class_heritage,
    STATE(5777), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [133260] = 3,
    ACTIONS(6832), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4256), 8,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [133278] = 7,
    ACTIONS(6470), 1,
      anon_sym_COLON,
    ACTIONS(6761), 1,
      anon_sym_EQ,
    STATE(4056), 1,
      sym_type_annotation,
    STATE(4222), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6767), 2,
      anon_sym_in,
      anon_sym_of,
    ACTIONS(6763), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [133304] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4393), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [133320] = 8,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    ACTIONS(6470), 1,
      anon_sym_COLON,
    ACTIONS(6769), 1,
      sym__automatic_semicolon,
    STATE(4056), 1,
      sym_type_annotation,
    STATE(4589), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6763), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(6767), 2,
      anon_sym_in,
      anon_sym_of,
  [133348] = 7,
    ACTIONS(3535), 1,
      anon_sym_LPAREN,
    ACTIONS(6066), 1,
      anon_sym_LT,
    ACTIONS(6982), 1,
      anon_sym_DOT,
    STATE(1266), 1,
      sym_arguments,
    STATE(5452), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3583), 4,
      anon_sym_export,
      anon_sym_class,
      anon_sym_AT,
      anon_sym_abstract,
  [133374] = 5,
    ACTIONS(6824), 1,
      anon_sym_AMP,
    ACTIONS(6826), 1,
      anon_sym_PIPE,
    ACTIONS(6828), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4228), 6,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
  [133396] = 10,
    ACTIONS(2570), 1,
      anon_sym_LT,
    ACTIONS(6864), 1,
      anon_sym_extends,
    ACTIONS(6866), 1,
      anon_sym_implements,
    ACTIONS(6868), 1,
      anon_sym_LBRACE,
    STATE(783), 1,
      sym_class_body,
    STATE(3657), 1,
      sym_type_parameters,
    STATE(4758), 1,
      sym_extends_clause,
    STATE(5446), 1,
      sym_class_heritage,
    STATE(5777), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [133428] = 8,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    ACTIONS(6470), 1,
      anon_sym_COLON,
    ACTIONS(6984), 1,
      anon_sym_BANG,
    ACTIONS(6986), 1,
      anon_sym_QMARK,
    STATE(4269), 1,
      sym_type_annotation,
    STATE(4890), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6932), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [133456] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2372), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [133472] = 8,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    ACTIONS(6470), 1,
      anon_sym_COLON,
    ACTIONS(6988), 1,
      anon_sym_BANG,
    ACTIONS(6990), 1,
      anon_sym_QMARK,
    STATE(4276), 1,
      sym_type_annotation,
    STATE(4899), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6464), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [133500] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4317), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [133516] = 10,
    ACTIONS(2570), 1,
      anon_sym_LT,
    ACTIONS(6733), 1,
      anon_sym_LBRACE,
    ACTIONS(6864), 1,
      anon_sym_extends,
    ACTIONS(6866), 1,
      anon_sym_implements,
    STATE(2344), 1,
      sym_class_body,
    STATE(3553), 1,
      sym_type_parameters,
    STATE(4758), 1,
      sym_extends_clause,
    STATE(5369), 1,
      sym_class_heritage,
    STATE(5777), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [133548] = 5,
    ACTIONS(6824), 1,
      anon_sym_AMP,
    ACTIONS(6826), 1,
      anon_sym_PIPE,
    ACTIONS(6828), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4317), 6,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
  [133570] = 8,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    ACTIONS(6470), 1,
      anon_sym_COLON,
    ACTIONS(6992), 1,
      anon_sym_BANG,
    ACTIONS(6994), 1,
      anon_sym_QMARK,
    STATE(3913), 1,
      sym_type_annotation,
    STATE(4727), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6490), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [133598] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4097), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [133614] = 10,
    ACTIONS(2570), 1,
      anon_sym_LT,
    ACTIONS(6733), 1,
      anon_sym_LBRACE,
    ACTIONS(6864), 1,
      anon_sym_extends,
    ACTIONS(6866), 1,
      anon_sym_implements,
    STATE(2294), 1,
      sym_class_body,
    STATE(3660), 1,
      sym_type_parameters,
    STATE(4758), 1,
      sym_extends_clause,
    STATE(5473), 1,
      sym_class_heritage,
    STATE(5777), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [133646] = 10,
    ACTIONS(2570), 1,
      anon_sym_LT,
    ACTIONS(6864), 1,
      anon_sym_extends,
    ACTIONS(6866), 1,
      anon_sym_implements,
    ACTIONS(6900), 1,
      anon_sym_LBRACE,
    STATE(847), 1,
      sym_class_body,
    STATE(3628), 1,
      sym_type_parameters,
    STATE(4758), 1,
      sym_extends_clause,
    STATE(5287), 1,
      sym_class_heritage,
    STATE(5777), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [133678] = 8,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    ACTIONS(6470), 1,
      anon_sym_COLON,
    ACTIONS(6996), 1,
      anon_sym_BANG,
    ACTIONS(6998), 1,
      anon_sym_QMARK,
    STATE(3929), 1,
      sym_type_annotation,
    STATE(4892), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6490), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [133706] = 10,
    ACTIONS(2570), 1,
      anon_sym_LT,
    ACTIONS(6864), 1,
      anon_sym_extends,
    ACTIONS(6866), 1,
      anon_sym_implements,
    ACTIONS(6868), 1,
      anon_sym_LBRACE,
    STATE(780), 1,
      sym_class_body,
    STATE(3521), 1,
      sym_type_parameters,
    STATE(4758), 1,
      sym_extends_clause,
    STATE(5269), 1,
      sym_class_heritage,
    STATE(5777), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [133738] = 8,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    ACTIONS(6470), 1,
      anon_sym_COLON,
    ACTIONS(7000), 1,
      anon_sym_BANG,
    ACTIONS(7002), 1,
      anon_sym_QMARK,
    STATE(3934), 1,
      sym_type_annotation,
    STATE(5128), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6490), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [133766] = 10,
    ACTIONS(2570), 1,
      anon_sym_LT,
    ACTIONS(6757), 1,
      anon_sym_LBRACE,
    ACTIONS(6864), 1,
      anon_sym_extends,
    ACTIONS(6866), 1,
      anon_sym_implements,
    STATE(2540), 1,
      sym_class_body,
    STATE(3672), 1,
      sym_type_parameters,
    STATE(4758), 1,
      sym_extends_clause,
    STATE(5167), 1,
      sym_class_heritage,
    STATE(5777), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [133798] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2384), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [133814] = 8,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    ACTIONS(6470), 1,
      anon_sym_COLON,
    ACTIONS(7004), 1,
      anon_sym_BANG,
    ACTIONS(7006), 1,
      anon_sym_QMARK,
    STATE(3939), 1,
      sym_type_annotation,
    STATE(4543), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6490), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [133842] = 7,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    ACTIONS(6470), 1,
      anon_sym_COLON,
    STATE(4340), 1,
      sym_type_annotation,
    STATE(5036), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6498), 2,
      anon_sym_BANG,
      anon_sym_QMARK,
    ACTIONS(6496), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [133868] = 8,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    ACTIONS(6470), 1,
      anon_sym_COLON,
    ACTIONS(7008), 1,
      anon_sym_BANG,
    ACTIONS(7010), 1,
      anon_sym_QMARK,
    STATE(3941), 1,
      sym_type_annotation,
    STATE(4565), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6490), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [133896] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4411), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [133912] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4137), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [133928] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4155), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [133944] = 8,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    ACTIONS(6470), 1,
      anon_sym_COLON,
    ACTIONS(7012), 1,
      anon_sym_BANG,
    ACTIONS(7014), 1,
      anon_sym_QMARK,
    STATE(3955), 1,
      sym_type_annotation,
    STATE(4633), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6490), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [133972] = 3,
    ACTIONS(6824), 1,
      anon_sym_AMP,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4159), 8,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_PIPE,
      anon_sym_extends,
  [133990] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4169), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [134006] = 8,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    ACTIONS(6470), 1,
      anon_sym_COLON,
    ACTIONS(7016), 1,
      anon_sym_BANG,
    ACTIONS(7018), 1,
      anon_sym_QMARK,
    STATE(3959), 1,
      sym_type_annotation,
    STATE(4658), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6490), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [134034] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4173), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [134050] = 8,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    ACTIONS(6470), 1,
      anon_sym_COLON,
    ACTIONS(7020), 1,
      anon_sym_BANG,
    ACTIONS(7022), 1,
      anon_sym_QMARK,
    STATE(4181), 1,
      sym_type_annotation,
    STATE(4744), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6464), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [134078] = 9,
    ACTIONS(1545), 1,
      anon_sym_import,
    ACTIONS(7024), 1,
      sym_identifier,
    ACTIONS(7026), 1,
      sym_this,
    STATE(2924), 1,
      sym__type_query_call_expression,
    STATE(2985), 1,
      sym__type_query_instantiation_expression,
    STATE(3172), 1,
      sym__type_query_member_expression,
    STATE(3174), 1,
      sym__type_query_subscript_expression,
    STATE(4519), 1,
      sym_import,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [134107] = 7,
    ACTIONS(2338), 1,
      anon_sym_DQUOTE,
    ACTIONS(2340), 1,
      anon_sym_SQUOTE,
    ACTIONS(6774), 1,
      sym_identifier,
    STATE(5430), 1,
      sym_export_specifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6776), 2,
      anon_sym_type,
      anon_sym_typeof,
    STATE(4769), 2,
      sym__module_export_name,
      sym_string,
  [134132] = 6,
    ACTIONS(6470), 1,
      anon_sym_COLON,
    ACTIONS(7028), 1,
      anon_sym_DASH_QMARK_COLON,
    ACTIONS(7030), 1,
      anon_sym_PLUS_QMARK_COLON,
    ACTIONS(7032), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(4090), 4,
      sym_omitting_type_annotation,
      sym_adding_type_annotation,
      sym_opting_type_annotation,
      sym_type_annotation,
  [134155] = 9,
    ACTIONS(1545), 1,
      anon_sym_import,
    ACTIONS(7034), 1,
      sym_identifier,
    ACTIONS(7036), 1,
      sym_this,
    STATE(2926), 1,
      sym__type_query_subscript_expression,
    STATE(2931), 1,
      sym__type_query_member_expression,
    STATE(3123), 1,
      sym__type_query_call_expression,
    STATE(3222), 1,
      sym__type_query_instantiation_expression,
    STATE(4408), 1,
      sym_import,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [134184] = 7,
    ACTIONS(3424), 1,
      sym_identifier,
    ACTIONS(3426), 1,
      anon_sym_LBRACE,
    ACTIONS(3428), 1,
      anon_sym_LBRACK,
    ACTIONS(7038), 1,
      anon_sym_enum,
    STATE(4464), 1,
      sym_variable_declarator,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(3673), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
  [134209] = 6,
    ACTIONS(6470), 1,
      anon_sym_COLON,
    ACTIONS(7028), 1,
      anon_sym_DASH_QMARK_COLON,
    ACTIONS(7030), 1,
      anon_sym_PLUS_QMARK_COLON,
    ACTIONS(7032), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(4094), 4,
      sym_omitting_type_annotation,
      sym_adding_type_annotation,
      sym_opting_type_annotation,
      sym_type_annotation,
  [134232] = 5,
    ACTIONS(7040), 1,
      anon_sym_LBRACE,
    ACTIONS(7042), 1,
      anon_sym_DOT,
    STATE(4075), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1717), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [134253] = 5,
    ACTIONS(6705), 1,
      anon_sym_AMP,
    ACTIONS(6707), 1,
      anon_sym_PIPE,
    ACTIONS(6709), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7044), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [134274] = 9,
    ACTIONS(1545), 1,
      anon_sym_import,
    ACTIONS(7026), 1,
      sym_this,
    ACTIONS(7046), 1,
      sym_identifier,
    STATE(2880), 1,
      sym__type_query_subscript_expression,
    STATE(2882), 1,
      sym__type_query_member_expression,
    STATE(2924), 1,
      sym__type_query_call_expression,
    STATE(2985), 1,
      sym__type_query_instantiation_expression,
    STATE(4433), 1,
      sym_import,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [134303] = 4,
    ACTIONS(4633), 1,
      anon_sym_LPAREN,
    STATE(2350), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4294), 6,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [134322] = 5,
    ACTIONS(6705), 1,
      anon_sym_AMP,
    ACTIONS(6707), 1,
      anon_sym_PIPE,
    ACTIONS(6709), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7048), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [134343] = 6,
    ACTIONS(6470), 1,
      anon_sym_COLON,
    ACTIONS(7028), 1,
      anon_sym_DASH_QMARK_COLON,
    ACTIONS(7030), 1,
      anon_sym_PLUS_QMARK_COLON,
    ACTIONS(7032), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(4352), 4,
      sym_omitting_type_annotation,
      sym_adding_type_annotation,
      sym_opting_type_annotation,
      sym_type_annotation,
  [134366] = 7,
    ACTIONS(7050), 1,
      sym_escape_sequence,
    ACTIONS(7052), 1,
      anon_sym_BQUOTE,
    ACTIONS(7054), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7056), 1,
      sym__template_chars,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(3901), 2,
      sym_template_substitution,
      aux_sym_template_string_repeat1,
    STATE(4306), 2,
      sym_template_type,
      aux_sym_template_literal_type_repeat1,
  [134391] = 5,
    ACTIONS(7040), 1,
      anon_sym_LBRACE,
    ACTIONS(7058), 1,
      anon_sym_DOT,
    STATE(4075), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1717), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [134412] = 6,
    ACTIONS(6470), 1,
      anon_sym_COLON,
    ACTIONS(7028), 1,
      anon_sym_DASH_QMARK_COLON,
    ACTIONS(7030), 1,
      anon_sym_PLUS_QMARK_COLON,
    ACTIONS(7032), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(4353), 4,
      sym_omitting_type_annotation,
      sym_adding_type_annotation,
      sym_opting_type_annotation,
      sym_type_annotation,
  [134435] = 3,
    ACTIONS(6711), 1,
      anon_sym_is,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4097), 7,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [134452] = 6,
    ACTIONS(6470), 1,
      anon_sym_COLON,
    ACTIONS(7028), 1,
      anon_sym_DASH_QMARK_COLON,
    ACTIONS(7030), 1,
      anon_sym_PLUS_QMARK_COLON,
    ACTIONS(7032), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(4111), 4,
      sym_omitting_type_annotation,
      sym_adding_type_annotation,
      sym_opting_type_annotation,
      sym_type_annotation,
  [134475] = 7,
    ACTIONS(7050), 1,
      sym_escape_sequence,
    ACTIONS(7054), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7056), 1,
      sym__template_chars,
    ACTIONS(7060), 1,
      anon_sym_BQUOTE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(3901), 2,
      sym_template_substitution,
      aux_sym_template_string_repeat1,
    STATE(4306), 2,
      sym_template_type,
      aux_sym_template_literal_type_repeat1,
  [134500] = 7,
    ACTIONS(7054), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7056), 1,
      sym__template_chars,
    ACTIONS(7062), 1,
      sym_escape_sequence,
    ACTIONS(7064), 1,
      anon_sym_BQUOTE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(3789), 2,
      sym_template_substitution,
      aux_sym_template_string_repeat1,
    STATE(4306), 2,
      sym_template_type,
      aux_sym_template_literal_type_repeat1,
  [134525] = 7,
    ACTIONS(7054), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7056), 1,
      sym__template_chars,
    ACTIONS(7062), 1,
      sym_escape_sequence,
    ACTIONS(7066), 1,
      anon_sym_BQUOTE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(3789), 2,
      sym_template_substitution,
      aux_sym_template_string_repeat1,
    STATE(4306), 2,
      sym_template_type,
      aux_sym_template_literal_type_repeat1,
  [134550] = 7,
    ACTIONS(7054), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7056), 1,
      sym__template_chars,
    ACTIONS(7062), 1,
      sym_escape_sequence,
    ACTIONS(7068), 1,
      anon_sym_BQUOTE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(3789), 2,
      sym_template_substitution,
      aux_sym_template_string_repeat1,
    STATE(4306), 2,
      sym_template_type,
      aux_sym_template_literal_type_repeat1,
  [134575] = 9,
    ACTIONS(1545), 1,
      anon_sym_import,
    ACTIONS(7070), 1,
      sym_identifier,
    ACTIONS(7072), 1,
      sym_this,
    STATE(1737), 1,
      sym__type_query_member_expression,
    STATE(1739), 1,
      sym__type_query_subscript_expression,
    STATE(1978), 1,
      sym__type_query_call_expression,
    STATE(1979), 1,
      sym__type_query_instantiation_expression,
    STATE(4413), 1,
      sym_import,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [134604] = 6,
    ACTIONS(6470), 1,
      anon_sym_COLON,
    ACTIONS(7028), 1,
      anon_sym_DASH_QMARK_COLON,
    ACTIONS(7030), 1,
      anon_sym_PLUS_QMARK_COLON,
    ACTIONS(7032), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(4109), 4,
      sym_omitting_type_annotation,
      sym_adding_type_annotation,
      sym_opting_type_annotation,
      sym_type_annotation,
  [134627] = 4,
    ACTIONS(6672), 1,
      anon_sym_LT,
    STATE(2948), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4089), 6,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [134646] = 7,
    ACTIONS(7054), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7056), 1,
      sym__template_chars,
    ACTIONS(7062), 1,
      sym_escape_sequence,
    ACTIONS(7074), 1,
      anon_sym_BQUOTE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(3789), 2,
      sym_template_substitution,
      aux_sym_template_string_repeat1,
    STATE(4021), 2,
      sym_template_type,
      aux_sym_template_literal_type_repeat1,
  [134671] = 3,
    ACTIONS(7076), 1,
      anon_sym_is,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4089), 7,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [134688] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3210), 8,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [134703] = 6,
    ACTIONS(6470), 1,
      anon_sym_COLON,
    ACTIONS(7028), 1,
      anon_sym_DASH_QMARK_COLON,
    ACTIONS(7030), 1,
      anon_sym_PLUS_QMARK_COLON,
    ACTIONS(7032), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(4311), 4,
      sym_omitting_type_annotation,
      sym_adding_type_annotation,
      sym_opting_type_annotation,
      sym_type_annotation,
  [134726] = 6,
    ACTIONS(6470), 1,
      anon_sym_COLON,
    ACTIONS(7028), 1,
      anon_sym_DASH_QMARK_COLON,
    ACTIONS(7030), 1,
      anon_sym_PLUS_QMARK_COLON,
    ACTIONS(7032), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(4334), 4,
      sym_omitting_type_annotation,
      sym_adding_type_annotation,
      sym_opting_type_annotation,
      sym_type_annotation,
  [134749] = 7,
    ACTIONS(7054), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7056), 1,
      sym__template_chars,
    ACTIONS(7062), 1,
      sym_escape_sequence,
    ACTIONS(7078), 1,
      anon_sym_BQUOTE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(3789), 2,
      sym_template_substitution,
      aux_sym_template_string_repeat1,
    STATE(4306), 2,
      sym_template_type,
      aux_sym_template_literal_type_repeat1,
  [134774] = 5,
    ACTIONS(6824), 1,
      anon_sym_AMP,
    ACTIONS(6826), 1,
      anon_sym_PIPE,
    ACTIONS(6828), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6782), 5,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [134795] = 5,
    ACTIONS(6705), 1,
      anon_sym_AMP,
    ACTIONS(6707), 1,
      anon_sym_PIPE,
    ACTIONS(6709), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7080), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [134816] = 7,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    ACTIONS(6470), 1,
      anon_sym_COLON,
    ACTIONS(6765), 1,
      anon_sym_BANG,
    STATE(4056), 1,
      sym_type_annotation,
    STATE(4552), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6763), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [134841] = 9,
    ACTIONS(1545), 1,
      anon_sym_import,
    ACTIONS(7082), 1,
      sym_identifier,
    ACTIONS(7084), 1,
      sym_this,
    STATE(2956), 1,
      sym__type_query_member_expression,
    STATE(2957), 1,
      sym__type_query_subscript_expression,
    STATE(3290), 1,
      sym__type_query_call_expression,
    STATE(3462), 1,
      sym__type_query_instantiation_expression,
    STATE(4465), 1,
      sym_import,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [134870] = 7,
    ACTIONS(3424), 1,
      sym_identifier,
    ACTIONS(3426), 1,
      anon_sym_LBRACE,
    ACTIONS(3428), 1,
      anon_sym_LBRACK,
    ACTIONS(7086), 1,
      anon_sym_enum,
    STATE(4422), 1,
      sym_variable_declarator,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(3673), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
  [134895] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3214), 8,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [134910] = 7,
    ACTIONS(7054), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7056), 1,
      sym__template_chars,
    ACTIONS(7062), 1,
      sym_escape_sequence,
    ACTIONS(7088), 1,
      anon_sym_BQUOTE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(3789), 2,
      sym_template_substitution,
      aux_sym_template_string_repeat1,
    STATE(4306), 2,
      sym_template_type,
      aux_sym_template_literal_type_repeat1,
  [134935] = 6,
    ACTIONS(6470), 1,
      anon_sym_COLON,
    ACTIONS(7028), 1,
      anon_sym_DASH_QMARK_COLON,
    ACTIONS(7030), 1,
      anon_sym_PLUS_QMARK_COLON,
    ACTIONS(7032), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(4087), 4,
      sym_omitting_type_annotation,
      sym_adding_type_annotation,
      sym_opting_type_annotation,
      sym_type_annotation,
  [134958] = 9,
    ACTIONS(1545), 1,
      anon_sym_import,
    ACTIONS(7090), 1,
      sym_identifier,
    ACTIONS(7092), 1,
      sym_this,
    STATE(1505), 1,
      sym__type_query_subscript_expression,
    STATE(1506), 1,
      sym__type_query_member_expression,
    STATE(1631), 1,
      sym__type_query_call_expression,
    STATE(1633), 1,
      sym__type_query_instantiation_expression,
    STATE(4520), 1,
      sym_import,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [134987] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3218), 8,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [135002] = 3,
    ACTIONS(6711), 1,
      anon_sym_is,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4085), 7,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [135019] = 8,
    ACTIONS(219), 1,
      anon_sym_LBRACE_PIPE,
    ACTIONS(1541), 1,
      anon_sym_LBRACE,
    ACTIONS(7094), 1,
      anon_sym_LT,
    ACTIONS(7096), 1,
      anon_sym_extends,
    STATE(903), 1,
      sym_object_type,
    STATE(4378), 1,
      sym_type_parameters,
    STATE(5110), 1,
      sym_extends_type_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [135045] = 8,
    ACTIONS(4633), 1,
      anon_sym_LPAREN,
    ACTIONS(4637), 1,
      anon_sym_DOT,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6066), 1,
      anon_sym_LT,
    STATE(2188), 1,
      sym_arguments,
    STATE(5326), 1,
      sym_optional_chain,
    STATE(5332), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [135071] = 4,
    ACTIONS(4087), 1,
      anon_sym_extends,
    ACTIONS(7098), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4089), 5,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
  [135089] = 6,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    ACTIONS(6470), 1,
      anon_sym_COLON,
    STATE(4220), 1,
      sym_type_annotation,
    STATE(4798), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6703), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [135111] = 6,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    ACTIONS(6470), 1,
      anon_sym_COLON,
    STATE(4224), 1,
      sym_type_annotation,
    STATE(4800), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6703), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [135133] = 6,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    ACTIONS(6470), 1,
      anon_sym_COLON,
    STATE(4249), 1,
      sym_type_annotation,
    STATE(4836), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6703), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [135155] = 8,
    ACTIONS(6733), 1,
      anon_sym_LBRACE,
    ACTIONS(6864), 1,
      anon_sym_extends,
    ACTIONS(6866), 1,
      anon_sym_implements,
    STATE(2279), 1,
      sym_class_body,
    STATE(4758), 1,
      sym_extends_clause,
    STATE(5393), 1,
      sym_class_heritage,
    STATE(5777), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [135181] = 6,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    ACTIONS(6470), 1,
      anon_sym_COLON,
    STATE(4265), 1,
      sym_type_annotation,
    STATE(4872), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6703), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [135203] = 6,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    ACTIONS(6470), 1,
      anon_sym_COLON,
    STATE(4266), 1,
      sym_type_annotation,
    STATE(4874), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6703), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [135225] = 8,
    ACTIONS(6864), 1,
      anon_sym_extends,
    ACTIONS(6866), 1,
      anon_sym_implements,
    ACTIONS(6868), 1,
      anon_sym_LBRACE,
    STATE(779), 1,
      sym_class_body,
    STATE(4758), 1,
      sym_extends_clause,
    STATE(5436), 1,
      sym_class_heritage,
    STATE(5777), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [135251] = 6,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    ACTIONS(6470), 1,
      anon_sym_COLON,
    STATE(4273), 1,
      sym_type_annotation,
    STATE(4893), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6703), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [135273] = 6,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    ACTIONS(6470), 1,
      anon_sym_COLON,
    STATE(4275), 1,
      sym_type_annotation,
    STATE(4896), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6703), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [135295] = 6,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    ACTIONS(6470), 1,
      anon_sym_COLON,
    STATE(4278), 1,
      sym_type_annotation,
    STATE(4900), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6703), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [135317] = 6,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    ACTIONS(6470), 1,
      anon_sym_COLON,
    STATE(4282), 1,
      sym_type_annotation,
    STATE(4903), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6703), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [135339] = 6,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    ACTIONS(6470), 1,
      anon_sym_COLON,
    STATE(4290), 1,
      sym_type_annotation,
    STATE(4919), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6703), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [135361] = 6,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    ACTIONS(6470), 1,
      anon_sym_COLON,
    STATE(4291), 1,
      sym_type_annotation,
    STATE(4921), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6703), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [135383] = 8,
    ACTIONS(2570), 1,
      anon_sym_LT,
    ACTIONS(6468), 1,
      anon_sym_LPAREN,
    ACTIONS(7100), 1,
      anon_sym_COLON,
    ACTIONS(7102), 1,
      anon_sym_QMARK,
    STATE(3895), 1,
      sym_formal_parameters,
    STATE(5348), 1,
      sym_type_parameters,
    STATE(5477), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [135409] = 6,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    ACTIONS(6470), 1,
      anon_sym_COLON,
    STATE(4300), 1,
      sym_type_annotation,
    STATE(4936), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6703), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [135431] = 4,
    ACTIONS(7040), 1,
      anon_sym_LBRACE,
    STATE(4075), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1717), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [135449] = 6,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    ACTIONS(6470), 1,
      anon_sym_COLON,
    STATE(4310), 1,
      sym_type_annotation,
    STATE(4962), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6703), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [135471] = 6,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    ACTIONS(6470), 1,
      anon_sym_COLON,
    STATE(4122), 1,
      sym_type_annotation,
    STATE(4671), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6688), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [135493] = 8,
    ACTIONS(6733), 1,
      anon_sym_LBRACE,
    ACTIONS(6864), 1,
      anon_sym_extends,
    ACTIONS(6866), 1,
      anon_sym_implements,
    STATE(2292), 1,
      sym_class_body,
    STATE(4758), 1,
      sym_extends_clause,
    STATE(5463), 1,
      sym_class_heritage,
    STATE(5777), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [135519] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1893), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_PIPE_RBRACE,
  [135533] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1897), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_PIPE_RBRACE,
  [135547] = 6,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    ACTIONS(6470), 1,
      anon_sym_COLON,
    STATE(4351), 1,
      sym_type_annotation,
    STATE(5031), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7104), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [135569] = 6,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    ACTIONS(6470), 1,
      anon_sym_COLON,
    STATE(4355), 1,
      sym_type_annotation,
    STATE(5039), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7104), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [135591] = 6,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    ACTIONS(6470), 1,
      anon_sym_COLON,
    STATE(4374), 1,
      sym_type_annotation,
    STATE(5103), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7104), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [135613] = 6,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    ACTIONS(6470), 1,
      anon_sym_COLON,
    STATE(4376), 1,
      sym_type_annotation,
    STATE(5105), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7104), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [135635] = 6,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    ACTIONS(6470), 1,
      anon_sym_COLON,
    STATE(4131), 1,
      sym_type_annotation,
    STATE(4681), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6688), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [135657] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4868), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_of,
      anon_sym_COLON,
  [135671] = 8,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4035), 1,
      anon_sym_DOT,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6066), 1,
      anon_sym_LT,
    STATE(1656), 1,
      sym_arguments,
    STATE(5172), 1,
      sym_optional_chain,
    STATE(5174), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [135697] = 6,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    ACTIONS(6470), 1,
      anon_sym_COLON,
    STATE(4134), 1,
      sym_type_annotation,
    STATE(4689), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6688), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [135719] = 8,
    ACTIONS(1551), 1,
      anon_sym_DQUOTE,
    ACTIONS(1553), 1,
      anon_sym_SQUOTE,
    ACTIONS(7106), 1,
      sym_identifier,
    ACTIONS(7108), 1,
      anon_sym_DOT,
    STATE(764), 1,
      sym_nested_identifier,
    STATE(785), 1,
      sym_string,
    STATE(930), 1,
      sym__module,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [135745] = 8,
    ACTIONS(6757), 1,
      anon_sym_LBRACE,
    ACTIONS(6864), 1,
      anon_sym_extends,
    ACTIONS(6866), 1,
      anon_sym_implements,
    STATE(1666), 1,
      sym_class_body,
    STATE(4758), 1,
      sym_extends_clause,
    STATE(5396), 1,
      sym_class_heritage,
    STATE(5777), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [135771] = 8,
    ACTIONS(6757), 1,
      anon_sym_LBRACE,
    ACTIONS(6864), 1,
      anon_sym_extends,
    ACTIONS(6866), 1,
      anon_sym_implements,
    STATE(2542), 1,
      sym_class_body,
    STATE(4758), 1,
      sym_extends_clause,
    STATE(5171), 1,
      sym_class_heritage,
    STATE(5777), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [135797] = 6,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    ACTIONS(6470), 1,
      anon_sym_COLON,
    STATE(4157), 1,
      sym_type_annotation,
    STATE(4711), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6688), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [135819] = 8,
    ACTIONS(1635), 1,
      anon_sym_DQUOTE,
    ACTIONS(1637), 1,
      anon_sym_SQUOTE,
    ACTIONS(7110), 1,
      sym_identifier,
    ACTIONS(7112), 1,
      anon_sym_DOT,
    STATE(3484), 1,
      sym_nested_identifier,
    STATE(3530), 1,
      sym_string,
    STATE(3949), 1,
      sym__module,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [135845] = 8,
    ACTIONS(1047), 1,
      anon_sym_LBRACE_PIPE,
    ACTIONS(1627), 1,
      anon_sym_LBRACE,
    ACTIONS(7094), 1,
      anon_sym_LT,
    ACTIONS(7096), 1,
      anon_sym_extends,
    STATE(3940), 1,
      sym_type_parameters,
    STATE(4035), 1,
      sym_object_type,
    STATE(4562), 1,
      sym_extends_type_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [135871] = 6,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    ACTIONS(6470), 1,
      anon_sym_COLON,
    STATE(4158), 1,
      sym_type_annotation,
    STATE(4712), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6688), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [135893] = 6,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(6066), 1,
      anon_sym_LT,
    STATE(1673), 1,
      sym_arguments,
    STATE(5253), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7114), 3,
      anon_sym_LBRACK,
      sym_identifier,
      sym_private_property_identifier,
  [135915] = 8,
    ACTIONS(2570), 1,
      anon_sym_LT,
    ACTIONS(6468), 1,
      anon_sym_LPAREN,
    ACTIONS(7102), 1,
      anon_sym_QMARK,
    ACTIONS(7116), 1,
      anon_sym_COLON,
    STATE(3895), 1,
      sym_formal_parameters,
    STATE(5348), 1,
      sym_type_parameters,
    STATE(5477), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [135941] = 8,
    ACTIONS(6733), 1,
      anon_sym_LBRACE,
    ACTIONS(6864), 1,
      anon_sym_extends,
    ACTIONS(6866), 1,
      anon_sym_implements,
    STATE(2244), 1,
      sym_class_body,
    STATE(4758), 1,
      sym_extends_clause,
    STATE(5460), 1,
      sym_class_heritage,
    STATE(5777), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [135967] = 6,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    ACTIONS(6470), 1,
      anon_sym_COLON,
    STATE(4175), 1,
      sym_type_annotation,
    STATE(4736), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6688), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [135989] = 6,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    ACTIONS(6470), 1,
      anon_sym_COLON,
    STATE(4176), 1,
      sym_type_annotation,
    STATE(4737), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6688), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [136011] = 6,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    ACTIONS(6470), 1,
      anon_sym_COLON,
    STATE(4182), 1,
      sym_type_annotation,
    STATE(4745), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6688), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [136033] = 8,
    ACTIONS(4633), 1,
      anon_sym_LPAREN,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6066), 1,
      anon_sym_LT,
    ACTIONS(7118), 1,
      anon_sym_DOT,
    STATE(1984), 1,
      sym_arguments,
    STATE(5326), 1,
      sym_optional_chain,
    STATE(5332), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [136059] = 6,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    ACTIONS(6470), 1,
      anon_sym_COLON,
    STATE(4183), 1,
      sym_type_annotation,
    STATE(4746), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6688), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [136081] = 6,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    ACTIONS(6470), 1,
      anon_sym_COLON,
    STATE(4186), 1,
      sym_type_annotation,
    STATE(4749), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6688), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [136103] = 6,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    ACTIONS(6470), 1,
      anon_sym_COLON,
    STATE(4190), 1,
      sym_type_annotation,
    STATE(4754), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6688), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [136125] = 8,
    ACTIONS(6757), 1,
      anon_sym_LBRACE,
    ACTIONS(6864), 1,
      anon_sym_extends,
    ACTIONS(6866), 1,
      anon_sym_implements,
    STATE(1692), 1,
      sym_class_body,
    STATE(4758), 1,
      sym_extends_clause,
    STATE(5272), 1,
      sym_class_heritage,
    STATE(5777), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [136151] = 8,
    ACTIONS(6864), 1,
      anon_sym_extends,
    ACTIONS(6866), 1,
      anon_sym_implements,
    ACTIONS(6868), 1,
      anon_sym_LBRACE,
    STATE(4153), 1,
      sym_class_body,
    STATE(4758), 1,
      sym_extends_clause,
    STATE(5277), 1,
      sym_class_heritage,
    STATE(5777), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [136177] = 8,
    ACTIONS(6757), 1,
      anon_sym_LBRACE,
    ACTIONS(6864), 1,
      anon_sym_extends,
    ACTIONS(6866), 1,
      anon_sym_implements,
    STATE(1694), 1,
      sym_class_body,
    STATE(4758), 1,
      sym_extends_clause,
    STATE(5294), 1,
      sym_class_heritage,
    STATE(5777), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [136203] = 6,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    ACTIONS(6470), 1,
      anon_sym_COLON,
    STATE(4232), 1,
      sym_type_annotation,
    STATE(4814), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6688), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [136225] = 6,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    ACTIONS(6470), 1,
      anon_sym_COLON,
    STATE(4234), 1,
      sym_type_annotation,
    STATE(4815), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6688), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [136247] = 8,
    ACTIONS(4633), 1,
      anon_sym_LPAREN,
    ACTIONS(4637), 1,
      anon_sym_DOT,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6066), 1,
      anon_sym_LT,
    STATE(2031), 1,
      sym_arguments,
    STATE(3480), 1,
      sym_type_arguments,
    STATE(5326), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [136273] = 6,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    ACTIONS(6470), 1,
      anon_sym_COLON,
    STATE(4246), 1,
      sym_type_annotation,
    STATE(4829), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6688), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [136295] = 6,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    ACTIONS(6470), 1,
      anon_sym_COLON,
    STATE(4252), 1,
      sym_type_annotation,
    STATE(4839), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6688), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [136317] = 8,
    ACTIONS(6864), 1,
      anon_sym_extends,
    ACTIONS(6866), 1,
      anon_sym_implements,
    ACTIONS(6868), 1,
      anon_sym_LBRACE,
    STATE(4200), 1,
      sym_class_body,
    STATE(4758), 1,
      sym_extends_clause,
    STATE(5374), 1,
      sym_class_heritage,
    STATE(5777), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [136343] = 6,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    ACTIONS(6470), 1,
      anon_sym_COLON,
    STATE(4255), 1,
      sym_type_annotation,
    STATE(4843), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6688), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [136365] = 3,
    ACTIONS(6788), 1,
      anon_sym_is,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4097), 6,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [136381] = 6,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    ACTIONS(6470), 1,
      anon_sym_COLON,
    STATE(4258), 1,
      sym_type_annotation,
    STATE(4854), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6688), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [136403] = 8,
    ACTIONS(6733), 1,
      anon_sym_LBRACE,
    ACTIONS(6864), 1,
      anon_sym_extends,
    ACTIONS(6866), 1,
      anon_sym_implements,
    STATE(2217), 1,
      sym_class_body,
    STATE(4758), 1,
      sym_extends_clause,
    STATE(5394), 1,
      sym_class_heritage,
    STATE(5777), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [136429] = 8,
    ACTIONS(6864), 1,
      anon_sym_extends,
    ACTIONS(6866), 1,
      anon_sym_implements,
    ACTIONS(6868), 1,
      anon_sym_LBRACE,
    STATE(4216), 1,
      sym_class_body,
    STATE(4758), 1,
      sym_extends_clause,
    STATE(5410), 1,
      sym_class_heritage,
    STATE(5777), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [136455] = 8,
    ACTIONS(6757), 1,
      anon_sym_LBRACE,
    ACTIONS(6864), 1,
      anon_sym_extends,
    ACTIONS(6866), 1,
      anon_sym_implements,
    STATE(1703), 1,
      sym_class_body,
    STATE(4758), 1,
      sym_extends_clause,
    STATE(5426), 1,
      sym_class_heritage,
    STATE(5777), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [136481] = 8,
    ACTIONS(6864), 1,
      anon_sym_extends,
    ACTIONS(6866), 1,
      anon_sym_implements,
    ACTIONS(6868), 1,
      anon_sym_LBRACE,
    STATE(4250), 1,
      sym_class_body,
    STATE(4758), 1,
      sym_extends_clause,
    STATE(5447), 1,
      sym_class_heritage,
    STATE(5777), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [136507] = 6,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    ACTIONS(6470), 1,
      anon_sym_COLON,
    STATE(4254), 1,
      sym_type_annotation,
    STATE(4849), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6680), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [136529] = 6,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    ACTIONS(6470), 1,
      anon_sym_COLON,
    STATE(4264), 1,
      sym_type_annotation,
    STATE(4865), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6688), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [136551] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6830), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_of,
      anon_sym_COLON,
  [136565] = 6,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    ACTIONS(6470), 1,
      anon_sym_COLON,
    STATE(4285), 1,
      sym_type_annotation,
    STATE(4907), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6688), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [136587] = 6,
    ACTIONS(6608), 1,
      anon_sym_EQ,
    STATE(4432), 1,
      sym_constraint,
    STATE(5334), 1,
      sym_default_type,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6613), 2,
      anon_sym_COLON,
      anon_sym_extends,
    ACTIONS(7120), 2,
      anon_sym_COMMA,
      anon_sym_GT,
  [136609] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4870), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_of,
      anon_sym_COLON,
  [136623] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6896), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_of,
      anon_sym_COLON,
  [136637] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4864), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_of,
      anon_sym_COLON,
  [136651] = 6,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    ACTIONS(6470), 1,
      anon_sym_COLON,
    STATE(4296), 1,
      sym_type_annotation,
    STATE(4932), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6688), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [136673] = 6,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    ACTIONS(6470), 1,
      anon_sym_COLON,
    STATE(4297), 1,
      sym_type_annotation,
    STATE(4934), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6688), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [136695] = 8,
    ACTIONS(6864), 1,
      anon_sym_extends,
    ACTIONS(6866), 1,
      anon_sym_implements,
    ACTIONS(6898), 1,
      anon_sym_LBRACE,
    STATE(230), 1,
      sym_class_body,
    STATE(4758), 1,
      sym_extends_clause,
    STATE(5244), 1,
      sym_class_heritage,
    STATE(5777), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [136721] = 6,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    ACTIONS(6470), 1,
      anon_sym_COLON,
    STATE(4305), 1,
      sym_type_annotation,
    STATE(4949), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6688), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [136743] = 6,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    ACTIONS(6470), 1,
      anon_sym_COLON,
    STATE(4307), 1,
      sym_type_annotation,
    STATE(4950), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6688), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [136765] = 6,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    ACTIONS(6470), 1,
      anon_sym_COLON,
    STATE(4308), 1,
      sym_type_annotation,
    STATE(4954), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6688), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [136787] = 6,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    ACTIONS(6470), 1,
      anon_sym_COLON,
    STATE(4309), 1,
      sym_type_annotation,
    STATE(4955), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6688), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [136809] = 8,
    ACTIONS(6733), 1,
      anon_sym_LBRACE,
    ACTIONS(6864), 1,
      anon_sym_extends,
    ACTIONS(6866), 1,
      anon_sym_implements,
    STATE(2277), 1,
      sym_class_body,
    STATE(4758), 1,
      sym_extends_clause,
    STATE(5364), 1,
      sym_class_heritage,
    STATE(5777), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [136835] = 8,
    ACTIONS(2570), 1,
      anon_sym_LT,
    ACTIONS(6468), 1,
      anon_sym_LPAREN,
    ACTIONS(7122), 1,
      sym_identifier,
    ACTIONS(7124), 1,
      anon_sym_STAR,
    STATE(3895), 1,
      sym_formal_parameters,
    STATE(5306), 1,
      sym__call_signature,
    STATE(5348), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [136861] = 8,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6066), 1,
      anon_sym_LT,
    ACTIONS(7126), 1,
      anon_sym_DOT,
    STATE(2438), 1,
      sym_arguments,
    STATE(5172), 1,
      sym_optional_chain,
    STATE(5174), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [136887] = 6,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    ACTIONS(6470), 1,
      anon_sym_COLON,
    STATE(4315), 1,
      sym_type_annotation,
    STATE(4973), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6688), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [136909] = 6,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    ACTIONS(6470), 1,
      anon_sym_COLON,
    STATE(4317), 1,
      sym_type_annotation,
    STATE(4981), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6688), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [136931] = 8,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4035), 1,
      anon_sym_DOT,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6066), 1,
      anon_sym_LT,
    STATE(2444), 1,
      sym_arguments,
    STATE(3220), 1,
      sym_type_arguments,
    STATE(5172), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [136957] = 8,
    ACTIONS(6733), 1,
      anon_sym_LBRACE,
    ACTIONS(6864), 1,
      anon_sym_extends,
    ACTIONS(6866), 1,
      anon_sym_implements,
    STATE(2311), 1,
      sym_class_body,
    STATE(4758), 1,
      sym_extends_clause,
    STATE(5438), 1,
      sym_class_heritage,
    STATE(5777), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [136983] = 4,
    ACTIONS(6470), 1,
      anon_sym_COLON,
    STATE(4048), 1,
      sym_type_annotation,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7128), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [137001] = 4,
    ACTIONS(6470), 1,
      anon_sym_COLON,
    STATE(4274), 1,
      sym_type_annotation,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7130), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [137019] = 6,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    ACTIONS(6470), 1,
      anon_sym_COLON,
    STATE(4010), 1,
      sym_type_annotation,
    STATE(4895), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6690), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [137041] = 6,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    ACTIONS(6470), 1,
      anon_sym_COLON,
    STATE(4030), 1,
      sym_type_annotation,
    STATE(5024), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6690), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [137063] = 8,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6066), 1,
      anon_sym_LT,
    ACTIONS(7132), 1,
      anon_sym_DOT,
    STATE(2153), 1,
      sym_arguments,
    STATE(5172), 1,
      sym_optional_chain,
    STATE(5174), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [137089] = 8,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4035), 1,
      anon_sym_DOT,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6066), 1,
      anon_sym_LT,
    STATE(2154), 1,
      sym_arguments,
    STATE(3220), 1,
      sym_type_arguments,
    STATE(5172), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [137115] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3613), 7,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [137129] = 6,
    ACTIONS(3426), 1,
      anon_sym_LBRACE,
    ACTIONS(3428), 1,
      anon_sym_LBRACK,
    ACTIONS(7134), 1,
      sym_identifier,
    STATE(4697), 1,
      sym_variable_declarator,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(3673), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
  [137151] = 6,
    ACTIONS(3426), 1,
      anon_sym_LBRACE,
    ACTIONS(3428), 1,
      anon_sym_LBRACK,
    ACTIONS(7136), 1,
      sym_identifier,
    STATE(4443), 1,
      sym_variable_declarator,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(3438), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
  [137173] = 6,
    ACTIONS(3426), 1,
      anon_sym_LBRACE,
    ACTIONS(3428), 1,
      anon_sym_LBRACK,
    ACTIONS(7138), 1,
      sym_identifier,
    STATE(4464), 1,
      sym_variable_declarator,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(3440), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
  [137195] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6818), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_of,
      anon_sym_COLON,
  [137209] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6854), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_of,
      anon_sym_COLON,
  [137223] = 7,
    ACTIONS(3550), 1,
      anon_sym_COLON,
    ACTIONS(7140), 1,
      anon_sym_EQ,
    ACTIONS(7144), 1,
      anon_sym_QMARK,
    STATE(4427), 1,
      sym_type_annotation,
    STATE(5263), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7142), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [137247] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6930), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_of,
      anon_sym_COLON,
  [137261] = 4,
    ACTIONS(2482), 1,
      anon_sym_LBRACE,
    STATE(5365), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7146), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [137279] = 8,
    ACTIONS(4633), 1,
      anon_sym_LPAREN,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6066), 1,
      anon_sym_LT,
    ACTIONS(7148), 1,
      anon_sym_DOT,
    STATE(2516), 1,
      sym_arguments,
    STATE(5326), 1,
      sym_optional_chain,
    STATE(5332), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [137305] = 8,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4035), 1,
      anon_sym_DOT,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6066), 1,
      anon_sym_LT,
    STATE(1622), 1,
      sym_arguments,
    STATE(3220), 1,
      sym_type_arguments,
    STATE(5172), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [137331] = 8,
    ACTIONS(4633), 1,
      anon_sym_LPAREN,
    ACTIONS(4637), 1,
      anon_sym_DOT,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6066), 1,
      anon_sym_LT,
    STATE(2468), 1,
      sym_arguments,
    STATE(3480), 1,
      sym_type_arguments,
    STATE(5326), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [137357] = 6,
    ACTIONS(4633), 1,
      anon_sym_LPAREN,
    ACTIONS(6066), 1,
      anon_sym_LT,
    STATE(2120), 1,
      sym_arguments,
    STATE(5251), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7114), 3,
      anon_sym_LBRACK,
      sym_identifier,
      sym_private_property_identifier,
  [137379] = 6,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    ACTIONS(6470), 1,
      anon_sym_COLON,
    STATE(4354), 1,
      sym_type_annotation,
    STATE(5035), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6674), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [137401] = 7,
    ACTIONS(2338), 1,
      anon_sym_DQUOTE,
    ACTIONS(2340), 1,
      anon_sym_SQUOTE,
    ACTIONS(6717), 1,
      sym_identifier,
    ACTIONS(6743), 1,
      anon_sym_type,
    STATE(5179), 1,
      sym__import_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(5490), 2,
      sym__module_export_name,
      sym_string,
  [137425] = 8,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6066), 1,
      anon_sym_LT,
    ACTIONS(7150), 1,
      anon_sym_DOT,
    STATE(2534), 1,
      sym_arguments,
    STATE(5172), 1,
      sym_optional_chain,
    STATE(5174), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [137451] = 6,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    ACTIONS(6470), 1,
      anon_sym_COLON,
    STATE(3980), 1,
      sym_type_annotation,
    STATE(4743), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6690), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [137473] = 8,
    ACTIONS(4633), 1,
      anon_sym_LPAREN,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6066), 1,
      anon_sym_LT,
    ACTIONS(7152), 1,
      anon_sym_DOT,
    STATE(1951), 1,
      sym_arguments,
    STATE(5172), 1,
      sym_optional_chain,
    STATE(5174), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [137499] = 8,
    ACTIONS(4035), 1,
      anon_sym_DOT,
    ACTIONS(4633), 1,
      anon_sym_LPAREN,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6352), 1,
      anon_sym_LT,
    STATE(1952), 1,
      sym_arguments,
    STATE(3282), 1,
      sym_type_arguments,
    STATE(5172), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [137525] = 6,
    ACTIONS(3426), 1,
      anon_sym_LBRACE,
    ACTIONS(3428), 1,
      anon_sym_LBRACK,
    ACTIONS(7134), 1,
      sym_identifier,
    STATE(4517), 1,
      sym_variable_declarator,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(3673), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
  [137547] = 6,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    ACTIONS(6470), 1,
      anon_sym_COLON,
    STATE(4357), 1,
      sym_type_annotation,
    STATE(5048), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6678), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [137569] = 6,
    ACTIONS(3426), 1,
      anon_sym_LBRACE,
    ACTIONS(3428), 1,
      anon_sym_LBRACK,
    ACTIONS(7134), 1,
      sym_identifier,
    STATE(4422), 1,
      sym_variable_declarator,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(3673), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
  [137591] = 8,
    ACTIONS(2570), 1,
      anon_sym_LT,
    ACTIONS(6468), 1,
      anon_sym_LPAREN,
    ACTIONS(7154), 1,
      sym_identifier,
    ACTIONS(7156), 1,
      anon_sym_STAR,
    STATE(3895), 1,
      sym_formal_parameters,
    STATE(5267), 1,
      sym__call_signature,
    STATE(5348), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [137617] = 8,
    ACTIONS(6864), 1,
      anon_sym_extends,
    ACTIONS(6866), 1,
      anon_sym_implements,
    ACTIONS(6900), 1,
      anon_sym_LBRACE,
    STATE(808), 1,
      sym_class_body,
    STATE(4758), 1,
      sym_extends_clause,
    STATE(5301), 1,
      sym_class_heritage,
    STATE(5777), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [137643] = 8,
    ACTIONS(6672), 1,
      anon_sym_LT,
    ACTIONS(7158), 1,
      anon_sym_LBRACE,
    ACTIONS(7160), 1,
      anon_sym_COMMA,
    ACTIONS(7162), 1,
      anon_sym_DOT,
    ACTIONS(7164), 1,
      anon_sym_LBRACE_PIPE,
    STATE(4419), 1,
      aux_sym_extends_type_clause_repeat1,
    STATE(4944), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [137669] = 8,
    ACTIONS(2570), 1,
      anon_sym_LT,
    ACTIONS(6468), 1,
      anon_sym_LPAREN,
    ACTIONS(7166), 1,
      sym_identifier,
    ACTIONS(7168), 1,
      anon_sym_STAR,
    STATE(3895), 1,
      sym_formal_parameters,
    STATE(5348), 1,
      sym_type_parameters,
    STATE(5402), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [137695] = 6,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    ACTIONS(6470), 1,
      anon_sym_COLON,
    STATE(4359), 1,
      sym_type_annotation,
    STATE(5057), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6678), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [137717] = 6,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    ACTIONS(6470), 1,
      anon_sym_COLON,
    STATE(4361), 1,
      sym_type_annotation,
    STATE(5060), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6678), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [137739] = 6,
    ACTIONS(3426), 1,
      anon_sym_LBRACE,
    ACTIONS(3428), 1,
      anon_sym_LBRACK,
    ACTIONS(7134), 1,
      sym_identifier,
    STATE(4443), 1,
      sym_variable_declarator,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(3673), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
  [137761] = 8,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6066), 1,
      anon_sym_LT,
    ACTIONS(7170), 1,
      anon_sym_DOT,
    STATE(1545), 1,
      sym_arguments,
    STATE(5172), 1,
      sym_optional_chain,
    STATE(5174), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [137787] = 6,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    ACTIONS(6470), 1,
      anon_sym_COLON,
    STATE(4363), 1,
      sym_type_annotation,
    STATE(5067), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6678), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [137809] = 4,
    ACTIONS(2482), 1,
      anon_sym_LBRACE,
    STATE(5453), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7172), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [137827] = 6,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    ACTIONS(6470), 1,
      anon_sym_COLON,
    STATE(4364), 1,
      sym_type_annotation,
    STATE(5068), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6678), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [137849] = 4,
    ACTIONS(2482), 1,
      anon_sym_LBRACE,
    STATE(5164), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7172), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [137867] = 8,
    ACTIONS(6864), 1,
      anon_sym_extends,
    ACTIONS(6866), 1,
      anon_sym_implements,
    ACTIONS(6898), 1,
      anon_sym_LBRACE,
    STATE(232), 1,
      sym_class_body,
    STATE(4758), 1,
      sym_extends_clause,
    STATE(5320), 1,
      sym_class_heritage,
    STATE(5777), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [137893] = 4,
    ACTIONS(2482), 1,
      anon_sym_LBRACE,
    STATE(5461), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7174), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [137911] = 3,
    ACTIONS(6788), 1,
      anon_sym_is,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4085), 6,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [137927] = 6,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    ACTIONS(6470), 1,
      anon_sym_COLON,
    STATE(4365), 1,
      sym_type_annotation,
    STATE(5070), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6678), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [137949] = 3,
    ACTIONS(7176), 1,
      anon_sym_is,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4089), 6,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [137965] = 6,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    ACTIONS(6470), 1,
      anon_sym_COLON,
    STATE(4366), 1,
      sym_type_annotation,
    STATE(5071), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6678), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [137987] = 5,
    ACTIONS(7178), 1,
      anon_sym_AMP,
    ACTIONS(7180), 1,
      anon_sym_PIPE,
    ACTIONS(7182), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4317), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [138007] = 3,
    ACTIONS(7178), 1,
      anon_sym_AMP,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4363), 6,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [138023] = 6,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    ACTIONS(6470), 1,
      anon_sym_COLON,
    STATE(4368), 1,
      sym_type_annotation,
    STATE(5075), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6678), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [138045] = 6,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    ACTIONS(6470), 1,
      anon_sym_COLON,
    STATE(4369), 1,
      sym_type_annotation,
    STATE(5077), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6678), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [138067] = 5,
    ACTIONS(7178), 1,
      anon_sym_AMP,
    ACTIONS(7180), 1,
      anon_sym_PIPE,
    ACTIONS(7182), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4220), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [138087] = 5,
    ACTIONS(7178), 1,
      anon_sym_AMP,
    ACTIONS(7180), 1,
      anon_sym_PIPE,
    ACTIONS(7182), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4228), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [138107] = 5,
    ACTIONS(7178), 1,
      anon_sym_AMP,
    ACTIONS(7180), 1,
      anon_sym_PIPE,
    ACTIONS(7182), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4423), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [138127] = 5,
    ACTIONS(7178), 1,
      anon_sym_AMP,
    ACTIONS(7180), 1,
      anon_sym_PIPE,
    ACTIONS(7182), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4427), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [138147] = 6,
    ACTIONS(6608), 1,
      anon_sym_EQ,
    STATE(4452), 1,
      sym_constraint,
    STATE(5241), 1,
      sym_default_type,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6613), 2,
      anon_sym_COLON,
      anon_sym_extends,
    ACTIONS(7184), 2,
      anon_sym_COMMA,
      anon_sym_GT,
  [138169] = 6,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    ACTIONS(6470), 1,
      anon_sym_COLON,
    STATE(4371), 1,
      sym_type_annotation,
    STATE(5090), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6678), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [138191] = 6,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    ACTIONS(6470), 1,
      anon_sym_COLON,
    STATE(4372), 1,
      sym_type_annotation,
    STATE(5096), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6678), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [138213] = 5,
    ACTIONS(7178), 1,
      anon_sym_AMP,
    ACTIONS(7180), 1,
      anon_sym_PIPE,
    ACTIONS(7182), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4321), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [138233] = 8,
    ACTIONS(6864), 1,
      anon_sym_extends,
    ACTIONS(6866), 1,
      anon_sym_implements,
    ACTIONS(6868), 1,
      anon_sym_LBRACE,
    STATE(794), 1,
      sym_class_body,
    STATE(4758), 1,
      sym_extends_clause,
    STATE(5327), 1,
      sym_class_heritage,
    STATE(5777), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [138259] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5255), 7,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
  [138273] = 8,
    ACTIONS(6733), 1,
      anon_sym_LBRACE,
    ACTIONS(6864), 1,
      anon_sym_extends,
    ACTIONS(6866), 1,
      anon_sym_implements,
    STATE(2114), 1,
      sym_class_body,
    STATE(4758), 1,
      sym_extends_clause,
    STATE(5256), 1,
      sym_class_heritage,
    STATE(5777), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [138299] = 8,
    ACTIONS(6733), 1,
      anon_sym_LBRACE,
    ACTIONS(6864), 1,
      anon_sym_extends,
    ACTIONS(6866), 1,
      anon_sym_implements,
    STATE(2333), 1,
      sym_class_body,
    STATE(4758), 1,
      sym_extends_clause,
    STATE(5338), 1,
      sym_class_heritage,
    STATE(5777), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [138325] = 6,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    ACTIONS(6470), 1,
      anon_sym_COLON,
    STATE(4381), 1,
      sym_type_annotation,
    STATE(5118), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6678), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [138347] = 6,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    ACTIONS(6470), 1,
      anon_sym_COLON,
    STATE(4382), 1,
      sym_type_annotation,
    STATE(5120), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6678), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [138369] = 5,
    ACTIONS(5278), 1,
      anon_sym_COMMA,
    ACTIONS(5708), 1,
      anon_sym_RBRACE,
    STATE(4940), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3843), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
  [138389] = 6,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    ACTIONS(6470), 1,
      anon_sym_COLON,
    STATE(4020), 1,
      sym_type_annotation,
    STATE(4868), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6678), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [138411] = 6,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    ACTIONS(6470), 1,
      anon_sym_COLON,
    STATE(4031), 1,
      sym_type_annotation,
    STATE(4761), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6678), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [138433] = 6,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    ACTIONS(6470), 1,
      anon_sym_COLON,
    STATE(3986), 1,
      sym_type_annotation,
    STATE(4614), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6678), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [138455] = 6,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    ACTIONS(6470), 1,
      anon_sym_COLON,
    STATE(4001), 1,
      sym_type_annotation,
    STATE(4811), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6678), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [138477] = 4,
    ACTIONS(2482), 1,
      anon_sym_LBRACE,
    STATE(5328), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7186), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [138495] = 4,
    ACTIONS(2482), 1,
      anon_sym_LBRACE,
    STATE(5330), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7188), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [138513] = 4,
    ACTIONS(2482), 1,
      anon_sym_LBRACE,
    STATE(5203), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7188), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [138531] = 4,
    ACTIONS(2482), 1,
      anon_sym_LBRACE,
    STATE(5206), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7186), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [138549] = 8,
    ACTIONS(6757), 1,
      anon_sym_LBRACE,
    ACTIONS(6864), 1,
      anon_sym_extends,
    ACTIONS(6866), 1,
      anon_sym_implements,
    STATE(2584), 1,
      sym_class_body,
    STATE(4758), 1,
      sym_extends_clause,
    STATE(5355), 1,
      sym_class_heritage,
    STATE(5777), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [138575] = 6,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    ACTIONS(6470), 1,
      anon_sym_COLON,
    STATE(4056), 1,
      sym_type_annotation,
    STATE(4589), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6763), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [138597] = 6,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    ACTIONS(6470), 1,
      anon_sym_COLON,
    STATE(4104), 1,
      sym_type_annotation,
    STATE(4620), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6678), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [138619] = 6,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    ACTIONS(6470), 1,
      anon_sym_COLON,
    STATE(4120), 1,
      sym_type_annotation,
    STATE(4647), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6678), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [138641] = 6,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    ACTIONS(6470), 1,
      anon_sym_COLON,
    STATE(4148), 1,
      sym_type_annotation,
    STATE(4684), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6678), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [138663] = 6,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    ACTIONS(6470), 1,
      anon_sym_COLON,
    STATE(4180), 1,
      sym_type_annotation,
    STATE(4706), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6678), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [138685] = 6,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    ACTIONS(6470), 1,
      anon_sym_COLON,
    STATE(4341), 1,
      sym_type_annotation,
    STATE(5015), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6666), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [138707] = 8,
    ACTIONS(2570), 1,
      anon_sym_LT,
    ACTIONS(6468), 1,
      anon_sym_LPAREN,
    ACTIONS(7190), 1,
      sym_identifier,
    ACTIONS(7192), 1,
      anon_sym_STAR,
    STATE(3895), 1,
      sym_formal_parameters,
    STATE(5306), 1,
      sym__call_signature,
    STATE(5348), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [138733] = 4,
    ACTIONS(2482), 1,
      anon_sym_LBRACE,
    STATE(5202), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7194), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [138751] = 4,
    ACTIONS(2482), 1,
      anon_sym_LBRACE,
    STATE(5208), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7196), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [138769] = 4,
    ACTIONS(2482), 1,
      anon_sym_LBRACE,
    STATE(5230), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7194), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [138787] = 4,
    ACTIONS(2482), 1,
      anon_sym_LBRACE,
    STATE(5231), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7196), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [138805] = 6,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    ACTIONS(6470), 1,
      anon_sym_COLON,
    STATE(4343), 1,
      sym_type_annotation,
    STATE(5017), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6678), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [138827] = 8,
    ACTIONS(2570), 1,
      anon_sym_LT,
    ACTIONS(6468), 1,
      anon_sym_LPAREN,
    ACTIONS(7198), 1,
      sym_identifier,
    ACTIONS(7200), 1,
      anon_sym_STAR,
    STATE(3895), 1,
      sym_formal_parameters,
    STATE(5298), 1,
      sym__call_signature,
    STATE(5348), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [138853] = 4,
    ACTIONS(2482), 1,
      anon_sym_LBRACE,
    STATE(5216), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7202), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [138871] = 4,
    ACTIONS(2482), 1,
      anon_sym_LBRACE,
    STATE(5224), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7204), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [138889] = 6,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    ACTIONS(6470), 1,
      anon_sym_COLON,
    STATE(4147), 1,
      sym_type_annotation,
    STATE(4837), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6676), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [138911] = 4,
    ACTIONS(2482), 1,
      anon_sym_LBRACE,
    STATE(5236), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7202), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [138929] = 4,
    ACTIONS(2482), 1,
      anon_sym_LBRACE,
    STATE(5237), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7204), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [138947] = 4,
    ACTIONS(2482), 1,
      anon_sym_LBRACE,
    STATE(5398), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7206), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [138965] = 4,
    ACTIONS(2482), 1,
      anon_sym_LBRACE,
    STATE(5401), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7208), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [138983] = 4,
    ACTIONS(2482), 1,
      anon_sym_LBRACE,
    STATE(5243), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7206), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [139001] = 4,
    ACTIONS(2482), 1,
      anon_sym_LBRACE,
    STATE(5180), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7210), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [139019] = 4,
    ACTIONS(4593), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5726), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(3843), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
  [139037] = 4,
    ACTIONS(2482), 1,
      anon_sym_LBRACE,
    STATE(5182), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7212), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [139055] = 6,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    ACTIONS(6470), 1,
      anon_sym_COLON,
    STATE(3924), 1,
      sym_type_annotation,
    STATE(4776), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6678), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [139077] = 4,
    ACTIONS(2482), 1,
      anon_sym_LBRACE,
    STATE(5385), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7214), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [139095] = 4,
    ACTIONS(6470), 1,
      anon_sym_COLON,
    STATE(3919), 1,
      sym_type_annotation,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7216), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [139113] = 6,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    ACTIONS(6470), 1,
      anon_sym_COLON,
    STATE(3931), 1,
      sym_type_annotation,
    STATE(4850), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6678), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [139135] = 6,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    ACTIONS(6470), 1,
      anon_sym_COLON,
    STATE(3933), 1,
      sym_type_annotation,
    STATE(5037), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6678), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [139157] = 8,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6066), 1,
      anon_sym_LT,
    ACTIONS(7126), 1,
      anon_sym_DOT,
    STATE(1545), 1,
      sym_arguments,
    STATE(5172), 1,
      sym_optional_chain,
    STATE(5174), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [139183] = 4,
    ACTIONS(6470), 1,
      anon_sym_COLON,
    STATE(4045), 1,
      sym_type_annotation,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7218), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [139201] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7220), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_PIPE_RBRACE,
  [139215] = 6,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    ACTIONS(6470), 1,
      anon_sym_COLON,
    STATE(4096), 1,
      sym_type_annotation,
    STATE(4621), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6692), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [139237] = 6,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    ACTIONS(6470), 1,
      anon_sym_COLON,
    STATE(3954), 1,
      sym_type_annotation,
    STATE(4630), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6678), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [139259] = 6,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    ACTIONS(6470), 1,
      anon_sym_COLON,
    STATE(3962), 1,
      sym_type_annotation,
    STATE(4656), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6678), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [139281] = 6,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    ACTIONS(6470), 1,
      anon_sym_COLON,
    STATE(4004), 1,
      sym_type_annotation,
    STATE(4830), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6678), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [139303] = 6,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    ACTIONS(6470), 1,
      anon_sym_COLON,
    STATE(4006), 1,
      sym_type_annotation,
    STATE(4840), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6678), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [139325] = 6,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    ACTIONS(6470), 1,
      anon_sym_COLON,
    STATE(4019), 1,
      sym_type_annotation,
    STATE(4928), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6678), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [139347] = 6,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    ACTIONS(6470), 1,
      anon_sym_COLON,
    STATE(4022), 1,
      sym_type_annotation,
    STATE(4957), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6678), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [139369] = 6,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    ACTIONS(6470), 1,
      anon_sym_COLON,
    STATE(4025), 1,
      sym_type_annotation,
    STATE(5005), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6678), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [139391] = 6,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    ACTIONS(6470), 1,
      anon_sym_COLON,
    STATE(4029), 1,
      sym_type_annotation,
    STATE(5006), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6678), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [139413] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7222), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_PIPE_RBRACE,
  [139427] = 6,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    ACTIONS(6470), 1,
      anon_sym_COLON,
    STATE(4055), 1,
      sym_type_annotation,
    STATE(4540), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6678), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [139449] = 6,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    ACTIONS(6470), 1,
      anon_sym_COLON,
    STATE(4059), 1,
      sym_type_annotation,
    STATE(4555), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6678), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [139471] = 6,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    ACTIONS(6470), 1,
      anon_sym_COLON,
    STATE(4063), 1,
      sym_type_annotation,
    STATE(4561), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6678), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [139493] = 6,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    ACTIONS(6470), 1,
      anon_sym_COLON,
    STATE(4073), 1,
      sym_type_annotation,
    STATE(4570), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6678), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [139515] = 6,
    ACTIONS(3426), 1,
      anon_sym_LBRACE,
    ACTIONS(3428), 1,
      anon_sym_LBRACK,
    ACTIONS(7134), 1,
      sym_identifier,
    STATE(4464), 1,
      sym_variable_declarator,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(3673), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
  [139537] = 6,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    ACTIONS(6470), 1,
      anon_sym_COLON,
    STATE(4081), 1,
      sym_type_annotation,
    STATE(4586), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6678), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [139559] = 8,
    ACTIONS(6864), 1,
      anon_sym_extends,
    ACTIONS(6866), 1,
      anon_sym_implements,
    ACTIONS(6900), 1,
      anon_sym_LBRACE,
    STATE(850), 1,
      sym_class_body,
    STATE(4758), 1,
      sym_extends_clause,
    STATE(5189), 1,
      sym_class_heritage,
    STATE(5777), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [139585] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7224), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_PIPE_RBRACE,
  [139599] = 8,
    ACTIONS(2570), 1,
      anon_sym_LT,
    ACTIONS(6468), 1,
      anon_sym_LPAREN,
    ACTIONS(7226), 1,
      sym_identifier,
    ACTIONS(7228), 1,
      anon_sym_STAR,
    STATE(3895), 1,
      sym_formal_parameters,
    STATE(5298), 1,
      sym__call_signature,
    STATE(5348), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [139625] = 8,
    ACTIONS(2570), 1,
      anon_sym_LT,
    ACTIONS(6468), 1,
      anon_sym_LPAREN,
    ACTIONS(7230), 1,
      sym_identifier,
    ACTIONS(7232), 1,
      anon_sym_STAR,
    STATE(3895), 1,
      sym_formal_parameters,
    STATE(5306), 1,
      sym__call_signature,
    STATE(5348), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [139651] = 8,
    ACTIONS(2570), 1,
      anon_sym_LT,
    ACTIONS(6468), 1,
      anon_sym_LPAREN,
    ACTIONS(7234), 1,
      sym_identifier,
    ACTIONS(7236), 1,
      anon_sym_STAR,
    STATE(3895), 1,
      sym_formal_parameters,
    STATE(5298), 1,
      sym__call_signature,
    STATE(5348), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [139677] = 6,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    ACTIONS(6470), 1,
      anon_sym_COLON,
    STATE(4206), 1,
      sym_type_annotation,
    STATE(4777), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6694), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [139699] = 3,
    ACTIONS(7238), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3623), 6,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [139715] = 3,
    ACTIONS(7178), 1,
      anon_sym_AMP,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4159), 6,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [139731] = 5,
    ACTIONS(7178), 1,
      anon_sym_AMP,
    ACTIONS(7180), 1,
      anon_sym_PIPE,
    ACTIONS(7182), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4212), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [139751] = 3,
    ACTIONS(7240), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4250), 6,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
  [139767] = 6,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    ACTIONS(6470), 1,
      anon_sym_COLON,
    STATE(4113), 1,
      sym_type_annotation,
    STATE(4646), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6688), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [139789] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7242), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_PIPE_RBRACE,
  [139803] = 6,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    ACTIONS(6470), 1,
      anon_sym_COLON,
    STATE(4117), 1,
      sym_type_annotation,
    STATE(4652), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7244), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [139825] = 6,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    ACTIONS(6470), 1,
      anon_sym_COLON,
    STATE(4149), 1,
      sym_type_annotation,
    STATE(4701), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6703), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [139847] = 6,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    ACTIONS(6470), 1,
      anon_sym_COLON,
    STATE(4159), 1,
      sym_type_annotation,
    STATE(4708), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6703), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [139869] = 6,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    ACTIONS(6470), 1,
      anon_sym_COLON,
    STATE(4163), 1,
      sym_type_annotation,
    STATE(4726), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6703), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [139891] = 6,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    ACTIONS(6470), 1,
      anon_sym_COLON,
    STATE(4167), 1,
      sym_type_annotation,
    STATE(4731), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6703), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [139913] = 8,
    ACTIONS(2570), 1,
      anon_sym_LT,
    ACTIONS(6468), 1,
      anon_sym_LPAREN,
    ACTIONS(7246), 1,
      sym_identifier,
    ACTIONS(7248), 1,
      anon_sym_STAR,
    STATE(3895), 1,
      sym_formal_parameters,
    STATE(5306), 1,
      sym__call_signature,
    STATE(5348), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [139939] = 3,
    ACTIONS(7250), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3613), 6,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [139955] = 8,
    ACTIONS(2570), 1,
      anon_sym_LT,
    ACTIONS(6468), 1,
      anon_sym_LPAREN,
    ACTIONS(7253), 1,
      sym_identifier,
    ACTIONS(7255), 1,
      anon_sym_STAR,
    STATE(3895), 1,
      sym_formal_parameters,
    STATE(5298), 1,
      sym__call_signature,
    STATE(5348), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [139981] = 6,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    ACTIONS(6470), 1,
      anon_sym_COLON,
    STATE(3917), 1,
      sym_type_annotation,
    STATE(4742), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6690), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [140003] = 6,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    ACTIONS(6470), 1,
      anon_sym_COLON,
    STATE(4187), 1,
      sym_type_annotation,
    STATE(4752), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6703), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [140025] = 6,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    ACTIONS(6470), 1,
      anon_sym_COLON,
    STATE(4189), 1,
      sym_type_annotation,
    STATE(4753), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6703), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [140047] = 6,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    ACTIONS(6470), 1,
      anon_sym_COLON,
    STATE(3914), 1,
      sym_type_annotation,
    STATE(5033), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6690), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [140069] = 6,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    ACTIONS(6470), 1,
      anon_sym_COLON,
    STATE(4195), 1,
      sym_type_annotation,
    STATE(4760), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6703), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [140091] = 6,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    ACTIONS(6470), 1,
      anon_sym_COLON,
    STATE(4196), 1,
      sym_type_annotation,
    STATE(4762), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6703), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [140113] = 6,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    ACTIONS(6470), 1,
      anon_sym_COLON,
    STATE(3942), 1,
      sym_type_annotation,
    STATE(4568), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6690), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [140135] = 6,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    ACTIONS(6470), 1,
      anon_sym_COLON,
    STATE(3943), 1,
      sym_type_annotation,
    STATE(4569), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6690), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [140157] = 6,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    ACTIONS(6470), 1,
      anon_sym_COLON,
    STATE(4210), 1,
      sym_type_annotation,
    STATE(4780), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6703), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [140179] = 6,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    ACTIONS(6470), 1,
      anon_sym_COLON,
    STATE(4211), 1,
      sym_type_annotation,
    STATE(4785), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6703), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [140201] = 6,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    ACTIONS(6470), 1,
      anon_sym_COLON,
    STATE(3972), 1,
      sym_type_annotation,
    STATE(4709), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6690), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [140223] = 6,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    ACTIONS(6470), 1,
      anon_sym_COLON,
    STATE(3975), 1,
      sym_type_annotation,
    STATE(4713), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6690), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [140245] = 6,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    ACTIONS(6470), 1,
      anon_sym_COLON,
    STATE(3979), 1,
      sym_type_annotation,
    STATE(4732), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6690), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [140267] = 8,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(4035), 1,
      anon_sym_DOT,
    ACTIONS(4707), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6066), 1,
      anon_sym_LT,
    STATE(2539), 1,
      sym_arguments,
    STATE(3220), 1,
      sym_type_arguments,
    STATE(5172), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [140293] = 7,
    ACTIONS(2570), 1,
      anon_sym_LT,
    ACTIONS(3288), 1,
      anon_sym_LPAREN,
    ACTIONS(7257), 1,
      anon_sym_QMARK,
    STATE(3307), 1,
      sym_formal_parameters,
    STATE(3687), 1,
      sym__call_signature,
    STATE(5222), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [140316] = 4,
    STATE(3766), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3783), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(7259), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [140333] = 5,
    ACTIONS(3282), 1,
      anon_sym_LBRACE,
    ACTIONS(7261), 1,
      sym_identifier,
    ACTIONS(7263), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(4444), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
  [140352] = 7,
    ACTIONS(2570), 1,
      anon_sym_LT,
    ACTIONS(6468), 1,
      anon_sym_LPAREN,
    ACTIONS(7265), 1,
      anon_sym_QMARK,
    STATE(3895), 1,
      sym_formal_parameters,
    STATE(5348), 1,
      sym_type_parameters,
    STATE(5456), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [140375] = 4,
    STATE(3829), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3783), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(7259), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [140392] = 7,
    ACTIONS(2570), 1,
      anon_sym_LT,
    ACTIONS(6468), 1,
      anon_sym_LPAREN,
    ACTIONS(7267), 1,
      anon_sym_QMARK,
    STATE(3895), 1,
      sym_formal_parameters,
    STATE(5348), 1,
      sym_type_parameters,
    STATE(5474), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [140415] = 7,
    ACTIONS(2570), 1,
      anon_sym_LT,
    ACTIONS(6482), 1,
      anon_sym_LPAREN,
    ACTIONS(7269), 1,
      anon_sym_QMARK,
    STATE(3365), 1,
      sym_formal_parameters,
    STATE(3816), 1,
      sym__call_signature,
    STATE(5281), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [140438] = 7,
    ACTIONS(2570), 1,
      anon_sym_LT,
    ACTIONS(6468), 1,
      anon_sym_LPAREN,
    ACTIONS(7271), 1,
      anon_sym_QMARK,
    STATE(3895), 1,
      sym_formal_parameters,
    STATE(5145), 1,
      sym__call_signature,
    STATE(5348), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [140461] = 4,
    STATE(3806), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3769), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(7273), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [140478] = 4,
    STATE(3829), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3769), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(7273), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [140495] = 7,
    ACTIONS(2570), 1,
      anon_sym_LT,
    ACTIONS(3288), 1,
      anon_sym_LPAREN,
    ACTIONS(7275), 1,
      anon_sym_QMARK,
    STATE(3307), 1,
      sym_formal_parameters,
    STATE(4272), 1,
      sym__call_signature,
    STATE(5222), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [140518] = 4,
    STATE(3829), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3753), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(7277), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [140535] = 4,
    STATE(3820), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3759), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(7279), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [140552] = 7,
    ACTIONS(2570), 1,
      anon_sym_LT,
    ACTIONS(6468), 1,
      anon_sym_LPAREN,
    ACTIONS(7281), 1,
      anon_sym_QMARK,
    STATE(3895), 1,
      sym_formal_parameters,
    STATE(5331), 1,
      sym__call_signature,
    STATE(5348), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [140575] = 5,
    ACTIONS(7283), 1,
      anon_sym_default,
    ACTIONS(7285), 1,
      anon_sym_RBRACE,
    ACTIONS(7287), 1,
      anon_sym_case,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(3903), 3,
      sym_switch_case,
      sym_switch_default,
      aux_sym_switch_body_repeat1,
  [140594] = 4,
    ACTIONS(5302), 1,
      anon_sym_COMMA,
    STATE(3774), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7289), 4,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [140611] = 7,
    ACTIONS(2570), 1,
      anon_sym_LT,
    ACTIONS(3288), 1,
      anon_sym_LPAREN,
    ACTIONS(7291), 1,
      anon_sym_QMARK,
    STATE(3307), 1,
      sym_formal_parameters,
    STATE(4325), 1,
      sym__call_signature,
    STATE(5222), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [140634] = 4,
    ACTIONS(7293), 1,
      anon_sym_LBRACE,
    STATE(2705), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7194), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [140651] = 5,
    ACTIONS(3426), 1,
      anon_sym_LBRACE,
    ACTIONS(3428), 1,
      anon_sym_LBRACK,
    ACTIONS(7295), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(4808), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
  [140670] = 4,
    ACTIONS(7297), 1,
      anon_sym_COMMA,
    STATE(3774), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4866), 4,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [140687] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5949), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(3843), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
  [140702] = 4,
    ACTIONS(7293), 1,
      anon_sym_LBRACE,
    STATE(2717), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7212), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [140719] = 7,
    ACTIONS(2570), 1,
      anon_sym_LT,
    ACTIONS(3288), 1,
      anon_sym_LPAREN,
    ACTIONS(7300), 1,
      anon_sym_QMARK,
    STATE(3307), 1,
      sym_formal_parameters,
    STATE(4040), 1,
      sym__call_signature,
    STATE(5222), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [140742] = 4,
    STATE(3829), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3759), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(7279), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [140759] = 7,
    ACTIONS(6622), 1,
      anon_sym_AMP,
    ACTIONS(6624), 1,
      anon_sym_PIPE,
    ACTIONS(6626), 1,
      anon_sym_extends,
    ACTIONS(7302), 1,
      anon_sym_COMMA,
    ACTIONS(7304), 1,
      anon_sym_GT,
    STATE(4545), 1,
      aux_sym_implements_clause_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [140782] = 4,
    STATE(3784), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7308), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(7306), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [140799] = 5,
    ACTIONS(7310), 1,
      anon_sym_default,
    ACTIONS(7313), 1,
      anon_sym_RBRACE,
    ACTIONS(7315), 1,
      anon_sym_case,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(3781), 3,
      sym_switch_case,
      sym_switch_default,
      aux_sym_switch_body_repeat1,
  [140818] = 5,
    ACTIONS(7318), 1,
      anon_sym_AMP,
    ACTIONS(7320), 1,
      anon_sym_PIPE,
    ACTIONS(7322), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4317), 3,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
  [140837] = 4,
    STATE(3787), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3755), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(7324), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [140854] = 4,
    STATE(3829), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3755), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(7324), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [140871] = 3,
    ACTIONS(7318), 1,
      anon_sym_AMP,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4363), 5,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_PIPE,
      anon_sym_extends,
  [140886] = 7,
    ACTIONS(2570), 1,
      anon_sym_LT,
    ACTIONS(6468), 1,
      anon_sym_LPAREN,
    ACTIONS(7326), 1,
      sym_identifier,
    STATE(3895), 1,
      sym_formal_parameters,
    STATE(5265), 1,
      sym__call_signature,
    STATE(5348), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [140909] = 4,
    STATE(3829), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3767), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(7328), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [140926] = 7,
    ACTIONS(6622), 1,
      anon_sym_AMP,
    ACTIONS(6624), 1,
      anon_sym_PIPE,
    ACTIONS(6626), 1,
      anon_sym_extends,
    ACTIONS(7330), 1,
      anon_sym_COMMA,
    ACTIONS(7332), 1,
      anon_sym_GT,
    STATE(4537), 1,
      aux_sym_implements_clause_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [140949] = 5,
    ACTIONS(7336), 1,
      anon_sym_BQUOTE,
    ACTIONS(7338), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7334), 2,
      sym__template_chars,
      sym_escape_sequence,
    STATE(3892), 2,
      sym_template_substitution,
      aux_sym_template_string_repeat1,
  [140968] = 4,
    ACTIONS(7293), 1,
      anon_sym_LBRACE,
    STATE(2691), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7172), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [140985] = 7,
    ACTIONS(1551), 1,
      anon_sym_DQUOTE,
    ACTIONS(1553), 1,
      anon_sym_SQUOTE,
    ACTIONS(7106), 1,
      sym_identifier,
    STATE(764), 1,
      sym_nested_identifier,
    STATE(785), 1,
      sym_string,
    STATE(930), 1,
      sym__module,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [141008] = 7,
    ACTIONS(2570), 1,
      anon_sym_LT,
    ACTIONS(6482), 1,
      anon_sym_LPAREN,
    ACTIONS(7340), 1,
      anon_sym_QMARK,
    STATE(3365), 1,
      sym_formal_parameters,
    STATE(3863), 1,
      sym__call_signature,
    STATE(5281), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [141031] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2372), 6,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [141044] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2376), 6,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [141057] = 4,
    ACTIONS(7293), 1,
      anon_sym_LBRACE,
    STATE(2658), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7172), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [141074] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3843), 6,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
  [141087] = 7,
    ACTIONS(2570), 1,
      anon_sym_LT,
    ACTIONS(6468), 1,
      anon_sym_LPAREN,
    ACTIONS(7342), 1,
      anon_sym_QMARK,
    STATE(3895), 1,
      sym_formal_parameters,
    STATE(5194), 1,
      sym__call_signature,
    STATE(5348), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [141110] = 7,
    ACTIONS(2570), 1,
      anon_sym_LT,
    ACTIONS(6468), 1,
      anon_sym_LPAREN,
    ACTIONS(7344), 1,
      anon_sym_QMARK,
    STATE(3895), 1,
      sym_formal_parameters,
    STATE(5348), 1,
      sym_type_parameters,
    STATE(5457), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [141133] = 7,
    ACTIONS(2570), 1,
      anon_sym_LT,
    ACTIONS(3288), 1,
      anon_sym_LPAREN,
    ACTIONS(7346), 1,
      anon_sym_QMARK,
    STATE(3307), 1,
      sym_formal_parameters,
    STATE(5058), 1,
      sym__call_signature,
    STATE(5222), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [141156] = 7,
    ACTIONS(2570), 1,
      anon_sym_LT,
    ACTIONS(6468), 1,
      anon_sym_LPAREN,
    ACTIONS(7348), 1,
      anon_sym_QMARK,
    STATE(3895), 1,
      sym_formal_parameters,
    STATE(5348), 1,
      sym_type_parameters,
    STATE(5403), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [141179] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2380), 6,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [141192] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7224), 6,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON,
  [141205] = 4,
    ACTIONS(7293), 1,
      anon_sym_LBRACE,
    STATE(2697), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7174), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [141222] = 7,
    ACTIONS(6622), 1,
      anon_sym_AMP,
    ACTIONS(6624), 1,
      anon_sym_PIPE,
    ACTIONS(6626), 1,
      anon_sym_extends,
    ACTIONS(7350), 1,
      anon_sym_COMMA,
    ACTIONS(7352), 1,
      anon_sym_GT,
    STATE(4594), 1,
      aux_sym_implements_clause_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [141245] = 7,
    ACTIONS(2570), 1,
      anon_sym_LT,
    ACTIONS(3288), 1,
      anon_sym_LPAREN,
    ACTIONS(7354), 1,
      anon_sym_QMARK,
    STATE(3307), 1,
      sym_formal_parameters,
    STATE(3669), 1,
      sym__call_signature,
    STATE(5222), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [141268] = 4,
    STATE(3829), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3777), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(7356), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [141285] = 4,
    STATE(3811), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7360), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(7358), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [141302] = 5,
    ACTIONS(7318), 1,
      anon_sym_AMP,
    ACTIONS(7320), 1,
      anon_sym_PIPE,
    ACTIONS(7322), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4220), 3,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
  [141321] = 4,
    STATE(3813), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3757), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(7362), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [141338] = 5,
    ACTIONS(7318), 1,
      anon_sym_AMP,
    ACTIONS(7320), 1,
      anon_sym_PIPE,
    ACTIONS(7322), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4228), 3,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
  [141357] = 4,
    STATE(3829), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3757), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(7362), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [141374] = 5,
    ACTIONS(7318), 1,
      anon_sym_AMP,
    ACTIONS(7320), 1,
      anon_sym_PIPE,
    ACTIONS(7322), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4423), 3,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
  [141393] = 4,
    STATE(3829), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3765), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(7364), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [141410] = 5,
    ACTIONS(7318), 1,
      anon_sym_AMP,
    ACTIONS(7320), 1,
      anon_sym_PIPE,
    ACTIONS(7322), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4427), 3,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
  [141429] = 4,
    ACTIONS(7293), 1,
      anon_sym_LBRACE,
    STATE(2656), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7202), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [141446] = 4,
    ACTIONS(7293), 1,
      anon_sym_LBRACE,
    STATE(2715), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7204), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [141463] = 7,
    ACTIONS(2570), 1,
      anon_sym_LT,
    ACTIONS(6482), 1,
      anon_sym_LPAREN,
    ACTIONS(7366), 1,
      anon_sym_QMARK,
    STATE(3365), 1,
      sym_formal_parameters,
    STATE(3875), 1,
      sym__call_signature,
    STATE(5281), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [141486] = 4,
    ACTIONS(7293), 1,
      anon_sym_LBRACE,
    STATE(2683), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7202), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [141503] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2384), 6,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [141516] = 4,
    STATE(3829), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3799), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(7368), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [141533] = 7,
    ACTIONS(2570), 1,
      anon_sym_LT,
    ACTIONS(3288), 1,
      anon_sym_LPAREN,
    ACTIONS(7370), 1,
      anon_sym_QMARK,
    STATE(3307), 1,
      sym_formal_parameters,
    STATE(4108), 1,
      sym__call_signature,
    STATE(5222), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [141556] = 4,
    STATE(3778), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7374), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(7372), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [141573] = 7,
    ACTIONS(6622), 1,
      anon_sym_AMP,
    ACTIONS(6624), 1,
      anon_sym_PIPE,
    ACTIONS(6626), 1,
      anon_sym_extends,
    ACTIONS(7376), 1,
      anon_sym_COMMA,
    ACTIONS(7378), 1,
      anon_sym_GT,
    STATE(4635), 1,
      aux_sym_implements_clause_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [141596] = 7,
    ACTIONS(2570), 1,
      anon_sym_LT,
    ACTIONS(3288), 1,
      anon_sym_LPAREN,
    ACTIONS(7380), 1,
      anon_sym_QMARK,
    STATE(3307), 1,
      sym_formal_parameters,
    STATE(3681), 1,
      sym__call_signature,
    STATE(5222), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [141619] = 7,
    ACTIONS(2570), 1,
      anon_sym_LT,
    ACTIONS(6468), 1,
      anon_sym_LPAREN,
    ACTIONS(7382), 1,
      sym_identifier,
    STATE(3895), 1,
      sym_formal_parameters,
    STATE(5348), 1,
      sym_type_parameters,
    STATE(5455), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [141642] = 4,
    STATE(3833), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7386), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(7384), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [141659] = 4,
    ACTIONS(7293), 1,
      anon_sym_LBRACE,
    STATE(2689), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7194), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [141676] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7220), 6,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON,
  [141689] = 4,
    STATE(3829), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7391), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(7388), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [141706] = 4,
    ACTIONS(7293), 1,
      anon_sym_LBRACE,
    STATE(2711), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7204), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [141723] = 4,
    STATE(3837), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3793), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(7393), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [141740] = 6,
    ACTIONS(7178), 1,
      anon_sym_AMP,
    ACTIONS(7180), 1,
      anon_sym_PIPE,
    ACTIONS(7182), 1,
      anon_sym_extends,
    ACTIONS(7397), 1,
      anon_sym_QMARK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7395), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [141761] = 4,
    STATE(3829), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3793), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(7393), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [141778] = 4,
    ACTIONS(7293), 1,
      anon_sym_LBRACE,
    STATE(2716), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7196), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [141795] = 7,
    ACTIONS(2570), 1,
      anon_sym_LT,
    ACTIONS(6468), 1,
      anon_sym_LPAREN,
    ACTIONS(7399), 1,
      anon_sym_QMARK,
    STATE(3895), 1,
      sym_formal_parameters,
    STATE(5235), 1,
      sym__call_signature,
    STATE(5348), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [141818] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7401), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [141831] = 4,
    STATE(3829), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3795), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(7403), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [141848] = 7,
    ACTIONS(2570), 1,
      anon_sym_LT,
    ACTIONS(3288), 1,
      anon_sym_LPAREN,
    ACTIONS(7405), 1,
      anon_sym_QMARK,
    STATE(3307), 1,
      sym_formal_parameters,
    STATE(3636), 1,
      sym__call_signature,
    STATE(5222), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [141871] = 7,
    ACTIONS(2570), 1,
      anon_sym_LT,
    ACTIONS(3288), 1,
      anon_sym_LPAREN,
    ACTIONS(7407), 1,
      anon_sym_QMARK,
    STATE(3307), 1,
      sym_formal_parameters,
    STATE(3692), 1,
      sym__call_signature,
    STATE(5222), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [141894] = 4,
    ACTIONS(7409), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6747), 2,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
    STATE(5441), 3,
      sym_type_annotation,
      sym_asserts_annotation,
      sym_type_predicate_annotation,
  [141911] = 5,
    ACTIONS(7318), 1,
      anon_sym_AMP,
    ACTIONS(7320), 1,
      anon_sym_PIPE,
    ACTIONS(7322), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4321), 3,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
  [141930] = 5,
    ACTIONS(6622), 1,
      anon_sym_AMP,
    ACTIONS(6624), 1,
      anon_sym_PIPE,
    ACTIONS(6626), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7411), 3,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_GT,
  [141949] = 7,
    ACTIONS(1551), 1,
      anon_sym_DQUOTE,
    ACTIONS(1553), 1,
      anon_sym_SQUOTE,
    ACTIONS(7106), 1,
      sym_identifier,
    STATE(764), 1,
      sym_nested_identifier,
    STATE(785), 1,
      sym_string,
    STATE(885), 1,
      sym__module,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [141972] = 7,
    ACTIONS(2570), 1,
      anon_sym_LT,
    ACTIONS(3288), 1,
      anon_sym_LPAREN,
    ACTIONS(7413), 1,
      anon_sym_QMARK,
    STATE(3307), 1,
      sym_formal_parameters,
    STATE(3696), 1,
      sym__call_signature,
    STATE(5222), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [141995] = 7,
    ACTIONS(99), 1,
      anon_sym_AT,
    ACTIONS(7415), 1,
      anon_sym_export,
    ACTIONS(7417), 1,
      anon_sym_class,
    ACTIONS(7419), 1,
      anon_sym_abstract,
    STATE(1297), 1,
      sym_decorator,
    STATE(3849), 1,
      aux_sym_export_statement_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [142018] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2388), 6,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [142031] = 5,
    ACTIONS(6622), 1,
      anon_sym_AMP,
    ACTIONS(6624), 1,
      anon_sym_PIPE,
    ACTIONS(6626), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7421), 3,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_GT,
  [142050] = 5,
    ACTIONS(3282), 1,
      anon_sym_LBRACE,
    ACTIONS(7263), 1,
      anon_sym_LBRACK,
    ACTIONS(7423), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(4820), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
  [142069] = 5,
    ACTIONS(7425), 1,
      anon_sym_AT,
    STATE(1297), 1,
      sym_decorator,
    STATE(3849), 1,
      aux_sym_export_statement_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3602), 3,
      anon_sym_export,
      anon_sym_class,
      anon_sym_abstract,
  [142088] = 4,
    ACTIONS(7293), 1,
      anon_sym_LBRACE,
    STATE(2693), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7214), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [142105] = 7,
    ACTIONS(2570), 1,
      anon_sym_LT,
    ACTIONS(6468), 1,
      anon_sym_LPAREN,
    ACTIONS(7428), 1,
      anon_sym_QMARK,
    STATE(3895), 1,
      sym_formal_parameters,
    STATE(5316), 1,
      sym__call_signature,
    STATE(5348), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [142128] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7430), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [142141] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7432), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [142154] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7434), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [142167] = 4,
    STATE(3764), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7438), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(7436), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [142184] = 7,
    ACTIONS(6672), 1,
      anon_sym_LT,
    ACTIONS(7160), 1,
      anon_sym_COMMA,
    ACTIONS(7440), 1,
      anon_sym_LBRACE,
    ACTIONS(7442), 1,
      anon_sym_LBRACE_PIPE,
    STATE(4420), 1,
      aux_sym_extends_type_clause_repeat1,
    STATE(4945), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [142207] = 7,
    ACTIONS(2570), 1,
      anon_sym_LT,
    ACTIONS(6468), 1,
      anon_sym_LPAREN,
    ACTIONS(7444), 1,
      sym_identifier,
    STATE(3895), 1,
      sym_formal_parameters,
    STATE(5348), 1,
      sym_type_parameters,
    STATE(5455), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [142230] = 7,
    ACTIONS(2570), 1,
      anon_sym_LT,
    ACTIONS(6468), 1,
      anon_sym_LPAREN,
    ACTIONS(7446), 1,
      anon_sym_QMARK,
    STATE(3895), 1,
      sym_formal_parameters,
    STATE(5348), 1,
      sym_type_parameters,
    STATE(5422), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [142253] = 7,
    ACTIONS(2570), 1,
      anon_sym_LT,
    ACTIONS(3288), 1,
      anon_sym_LPAREN,
    ACTIONS(7448), 1,
      anon_sym_QMARK,
    STATE(3307), 1,
      sym_formal_parameters,
    STATE(4103), 1,
      sym__call_signature,
    STATE(5222), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [142276] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7222), 6,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON,
  [142289] = 7,
    ACTIONS(2570), 1,
      anon_sym_LT,
    ACTIONS(6468), 1,
      anon_sym_LPAREN,
    ACTIONS(7450), 1,
      sym_identifier,
    STATE(3895), 1,
      sym_formal_parameters,
    STATE(5348), 1,
      sym_type_parameters,
    STATE(5455), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [142312] = 4,
    ACTIONS(7293), 1,
      anon_sym_LBRACE,
    STATE(2702), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7186), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [142329] = 4,
    ACTIONS(7293), 1,
      anon_sym_LBRACE,
    STATE(2712), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7188), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [142346] = 7,
    ACTIONS(2570), 1,
      anon_sym_LT,
    ACTIONS(6482), 1,
      anon_sym_LPAREN,
    ACTIONS(7452), 1,
      anon_sym_QMARK,
    STATE(3365), 1,
      sym_formal_parameters,
    STATE(3882), 1,
      sym__call_signature,
    STATE(5281), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [142369] = 7,
    ACTIONS(2570), 1,
      anon_sym_LT,
    ACTIONS(6468), 1,
      anon_sym_LPAREN,
    ACTIONS(7454), 1,
      sym_identifier,
    STATE(3895), 1,
      sym_formal_parameters,
    STATE(5348), 1,
      sym_type_parameters,
    STATE(5408), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [142392] = 7,
    ACTIONS(2570), 1,
      anon_sym_LT,
    ACTIONS(3288), 1,
      anon_sym_LPAREN,
    ACTIONS(7456), 1,
      anon_sym_QMARK,
    STATE(3307), 1,
      sym_formal_parameters,
    STATE(4339), 1,
      sym__call_signature,
    STATE(5222), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [142415] = 4,
    ACTIONS(7293), 1,
      anon_sym_LBRACE,
    STATE(2696), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7188), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [142432] = 7,
    ACTIONS(2570), 1,
      anon_sym_LT,
    ACTIONS(6468), 1,
      anon_sym_LPAREN,
    ACTIONS(7458), 1,
      sym_identifier,
    STATE(3895), 1,
      sym_formal_parameters,
    STATE(5265), 1,
      sym__call_signature,
    STATE(5348), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [142455] = 4,
    ACTIONS(7293), 1,
      anon_sym_LBRACE,
    STATE(2688), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7186), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [142472] = 5,
    ACTIONS(7338), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7460), 1,
      anon_sym_BQUOTE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7062), 2,
      sym__template_chars,
      sym_escape_sequence,
    STATE(3789), 2,
      sym_template_substitution,
      aux_sym_template_string_repeat1,
  [142491] = 7,
    ACTIONS(99), 1,
      anon_sym_AT,
    ACTIONS(7419), 1,
      anon_sym_abstract,
    ACTIONS(7462), 1,
      anon_sym_export,
    ACTIONS(7464), 1,
      anon_sym_class,
    STATE(1297), 1,
      sym_decorator,
    STATE(3849), 1,
      aux_sym_export_statement_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [142514] = 7,
    ACTIONS(2570), 1,
      anon_sym_LT,
    ACTIONS(6482), 1,
      anon_sym_LPAREN,
    ACTIONS(7466), 1,
      anon_sym_QMARK,
    STATE(3365), 1,
      sym_formal_parameters,
    STATE(3790), 1,
      sym__call_signature,
    STATE(5281), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [142537] = 7,
    ACTIONS(2570), 1,
      anon_sym_LT,
    ACTIONS(3288), 1,
      anon_sym_LPAREN,
    ACTIONS(7468), 1,
      anon_sym_QMARK,
    STATE(3307), 1,
      sym_formal_parameters,
    STATE(4643), 1,
      sym__call_signature,
    STATE(5222), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [142560] = 4,
    ACTIONS(7293), 1,
      anon_sym_LBRACE,
    STATE(2652), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7206), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [142577] = 4,
    ACTIONS(7293), 1,
      anon_sym_LBRACE,
    STATE(2680), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7208), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [142594] = 5,
    ACTIONS(7338), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7470), 1,
      anon_sym_BQUOTE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7050), 2,
      sym__template_chars,
      sym_escape_sequence,
    STATE(3901), 2,
      sym_template_substitution,
      aux_sym_template_string_repeat1,
  [142613] = 3,
    ACTIONS(7318), 1,
      anon_sym_AMP,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4159), 5,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_PIPE,
      anon_sym_extends,
  [142628] = 5,
    ACTIONS(7318), 1,
      anon_sym_AMP,
    ACTIONS(7320), 1,
      anon_sym_PIPE,
    ACTIONS(7322), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4212), 3,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
  [142647] = 7,
    ACTIONS(2570), 1,
      anon_sym_LT,
    ACTIONS(6482), 1,
      anon_sym_LPAREN,
    ACTIONS(7472), 1,
      anon_sym_QMARK,
    STATE(3365), 1,
      sym_formal_parameters,
    STATE(3776), 1,
      sym__call_signature,
    STATE(5281), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [142670] = 4,
    ACTIONS(7293), 1,
      anon_sym_LBRACE,
    STATE(2677), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7206), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [142687] = 3,
    ACTIONS(7474), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4250), 5,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
  [142702] = 4,
    ACTIONS(7293), 1,
      anon_sym_LBRACE,
    STATE(2704), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7196), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [142719] = 7,
    ACTIONS(6622), 1,
      anon_sym_AMP,
    ACTIONS(6624), 1,
      anon_sym_PIPE,
    ACTIONS(6626), 1,
      anon_sym_extends,
    ACTIONS(7476), 1,
      anon_sym_COMMA,
    ACTIONS(7478), 1,
      anon_sym_GT,
    STATE(5056), 1,
      aux_sym_implements_clause_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [142742] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7242), 6,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON,
  [142755] = 7,
    ACTIONS(2570), 1,
      anon_sym_LT,
    ACTIONS(3288), 1,
      anon_sym_LPAREN,
    ACTIONS(7480), 1,
      anon_sym_QMARK,
    STATE(3307), 1,
      sym_formal_parameters,
    STATE(5009), 1,
      sym__call_signature,
    STATE(5222), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [142778] = 4,
    ACTIONS(7293), 1,
      anon_sym_LBRACE,
    STATE(2684), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7210), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [142795] = 7,
    ACTIONS(3535), 1,
      anon_sym_LPAREN,
    ACTIONS(6066), 1,
      anon_sym_LT,
    ACTIONS(6982), 1,
      anon_sym_DOT,
    ACTIONS(7482), 1,
      anon_sym_RPAREN,
    STATE(1266), 1,
      sym_arguments,
    STATE(5452), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [142818] = 7,
    ACTIONS(6622), 1,
      anon_sym_AMP,
    ACTIONS(6624), 1,
      anon_sym_PIPE,
    ACTIONS(6626), 1,
      anon_sym_extends,
    ACTIONS(7484), 1,
      anon_sym_LBRACE,
    ACTIONS(7486), 1,
      anon_sym_COMMA,
    STATE(4897), 1,
      aux_sym_implements_clause_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [142841] = 7,
    ACTIONS(2570), 1,
      anon_sym_LT,
    ACTIONS(6468), 1,
      anon_sym_LPAREN,
    ACTIONS(7488), 1,
      sym_identifier,
    STATE(3895), 1,
      sym_formal_parameters,
    STATE(5348), 1,
      sym_type_parameters,
    STATE(5455), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [142864] = 7,
    ACTIONS(1635), 1,
      anon_sym_DQUOTE,
    ACTIONS(1637), 1,
      anon_sym_SQUOTE,
    ACTIONS(7110), 1,
      sym_identifier,
    STATE(3484), 1,
      sym_nested_identifier,
    STATE(3530), 1,
      sym_string,
    STATE(4049), 1,
      sym__module,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [142887] = 7,
    ACTIONS(2570), 1,
      anon_sym_LT,
    ACTIONS(6468), 1,
      anon_sym_LPAREN,
    ACTIONS(7490), 1,
      sym_identifier,
    STATE(3895), 1,
      sym_formal_parameters,
    STATE(5265), 1,
      sym__call_signature,
    STATE(5348), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [142910] = 5,
    ACTIONS(7495), 1,
      anon_sym_BQUOTE,
    ACTIONS(7497), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7492), 2,
      sym__template_chars,
      sym_escape_sequence,
    STATE(3892), 2,
      sym_template_substitution,
      aux_sym_template_string_repeat1,
  [142929] = 7,
    ACTIONS(1635), 1,
      anon_sym_DQUOTE,
    ACTIONS(1637), 1,
      anon_sym_SQUOTE,
    ACTIONS(7110), 1,
      sym_identifier,
    STATE(3484), 1,
      sym_nested_identifier,
    STATE(3530), 1,
      sym_string,
    STATE(3949), 1,
      sym__module,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [142952] = 6,
    ACTIONS(6672), 1,
      anon_sym_LT,
    ACTIONS(7162), 1,
      anon_sym_DOT,
    ACTIONS(7500), 1,
      anon_sym_LBRACE,
    STATE(4944), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7502), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE_PIPE,
  [142973] = 4,
    ACTIONS(7409), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6759), 2,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
    STATE(5192), 3,
      sym_type_annotation,
      sym_asserts_annotation,
      sym_type_predicate_annotation,
  [142990] = 7,
    ACTIONS(3535), 1,
      anon_sym_LPAREN,
    ACTIONS(6066), 1,
      anon_sym_LT,
    ACTIONS(6982), 1,
      anon_sym_DOT,
    ACTIONS(7504), 1,
      anon_sym_RPAREN,
    STATE(1266), 1,
      sym_arguments,
    STATE(5452), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [143013] = 7,
    ACTIONS(2570), 1,
      anon_sym_LT,
    ACTIONS(6468), 1,
      anon_sym_LPAREN,
    ACTIONS(7506), 1,
      sym_identifier,
    STATE(3895), 1,
      sym_formal_parameters,
    STATE(5265), 1,
      sym__call_signature,
    STATE(5348), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [143036] = 7,
    ACTIONS(2570), 1,
      anon_sym_LT,
    ACTIONS(6468), 1,
      anon_sym_LPAREN,
    ACTIONS(7508), 1,
      anon_sym_QMARK,
    STATE(3895), 1,
      sym_formal_parameters,
    STATE(5291), 1,
      sym__call_signature,
    STATE(5348), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [143059] = 7,
    ACTIONS(2570), 1,
      anon_sym_LT,
    ACTIONS(6468), 1,
      anon_sym_LPAREN,
    ACTIONS(7510), 1,
      sym_identifier,
    STATE(3895), 1,
      sym_formal_parameters,
    STATE(5348), 1,
      sym_type_parameters,
    STATE(5462), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [143082] = 7,
    ACTIONS(6622), 1,
      anon_sym_AMP,
    ACTIONS(6624), 1,
      anon_sym_PIPE,
    ACTIONS(6626), 1,
      anon_sym_extends,
    ACTIONS(7512), 1,
      anon_sym_COMMA,
    ACTIONS(7514), 1,
      anon_sym_GT,
    STATE(4991), 1,
      aux_sym_implements_clause_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [143105] = 5,
    ACTIONS(7338), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7516), 1,
      anon_sym_BQUOTE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7334), 2,
      sym__template_chars,
      sym_escape_sequence,
    STATE(3892), 2,
      sym_template_substitution,
      aux_sym_template_string_repeat1,
  [143124] = 4,
    STATE(3759), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7520), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(7518), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [143141] = 5,
    ACTIONS(7283), 1,
      anon_sym_default,
    ACTIONS(7287), 1,
      anon_sym_case,
    ACTIONS(7522), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(3781), 3,
      sym_switch_case,
      sym_switch_default,
      aux_sym_switch_body_repeat1,
  [143160] = 7,
    ACTIONS(2570), 1,
      anon_sym_LT,
    ACTIONS(6468), 1,
      anon_sym_LPAREN,
    ACTIONS(7524), 1,
      anon_sym_QMARK,
    STATE(3895), 1,
      sym_formal_parameters,
    STATE(5348), 1,
      sym_type_parameters,
    STATE(5418), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [143183] = 6,
    ACTIONS(3550), 1,
      anon_sym_COLON,
    ACTIONS(7140), 1,
      anon_sym_EQ,
    STATE(4402), 1,
      sym_type_annotation,
    STATE(5350), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7526), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [143204] = 4,
    ACTIONS(7293), 1,
      anon_sym_LBRACE,
    STATE(2670), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7146), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [143221] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2820), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [143233] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7214), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [143245] = 4,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    STATE(4832), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7528), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [143261] = 5,
    ACTIONS(7530), 1,
      sym_identifier,
    ACTIONS(7532), 1,
      anon_sym_LPAREN,
    STATE(1247), 1,
      sym_decorator_member_expression,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1284), 2,
      sym_decorator_call_expression,
      sym_decorator_parenthesized_expression,
  [143279] = 4,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    STATE(4662), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7534), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [143295] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1885), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [143307] = 4,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    STATE(4690), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7534), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [143323] = 4,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    STATE(4691), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7536), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [143339] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2928), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [143351] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1885), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [143363] = 4,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    STATE(4663), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7536), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [143379] = 4,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    STATE(4699), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7536), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [143395] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7538), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [143407] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5312), 5,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
  [143419] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5228), 5,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
  [143431] = 5,
    ACTIONS(7540), 1,
      anon_sym_BQUOTE,
    ACTIONS(7542), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7544), 1,
      sym__template_chars,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(3938), 2,
      sym_template_type,
      aux_sym_template_literal_type_repeat1,
  [143449] = 4,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    STATE(4848), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7546), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [143465] = 4,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    STATE(4851), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7528), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [143481] = 4,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    STATE(4861), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7528), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [143497] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5316), 5,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
  [143509] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5316), 5,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
  [143521] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5316), 5,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
  [143533] = 4,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    STATE(4714), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7534), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [143549] = 6,
    ACTIONS(3843), 1,
      anon_sym_COLON,
    ACTIONS(4593), 1,
      anon_sym_EQ,
    ACTIONS(5080), 1,
      anon_sym_COMMA,
    ACTIONS(7548), 1,
      anon_sym_RBRACE,
    STATE(4835), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [143569] = 4,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    STATE(4866), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7528), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [143585] = 6,
    ACTIONS(4335), 1,
      anon_sym_LBRACE,
    ACTIONS(7550), 1,
      anon_sym_SEMI,
    ACTIONS(7552), 1,
      sym__automatic_semicolon,
    ACTIONS(7554), 1,
      sym__function_signature_automatic_semicolon,
    STATE(2263), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [143605] = 4,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    STATE(4871), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7528), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [143621] = 4,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    STATE(4739), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7534), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [143637] = 4,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    STATE(4951), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7556), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [143653] = 5,
    ACTIONS(7542), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7558), 1,
      anon_sym_BQUOTE,
    ACTIONS(7560), 1,
      sym__template_chars,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(4306), 2,
      sym_template_type,
      aux_sym_template_literal_type_repeat1,
  [143671] = 4,
    ACTIONS(7409), 1,
      anon_sym_COLON,
    ACTIONS(7562), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(5192), 3,
      sym_type_annotation,
      sym_asserts_annotation,
      sym_type_predicate_annotation,
  [143687] = 5,
    ACTIONS(7542), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7565), 1,
      anon_sym_BQUOTE,
    ACTIONS(7567), 1,
      sym__template_chars,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(4115), 2,
      sym_template_type,
      aux_sym_template_literal_type_repeat1,
  [143705] = 4,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    STATE(4748), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7534), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [143721] = 6,
    ACTIONS(1047), 1,
      anon_sym_LBRACE_PIPE,
    ACTIONS(1627), 1,
      anon_sym_LBRACE,
    ACTIONS(7096), 1,
      anon_sym_extends,
    STATE(4127), 1,
      sym_object_type,
    STATE(4670), 1,
      sym_extends_type_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [143741] = 4,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    STATE(4755), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7534), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [143757] = 4,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    STATE(4756), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7536), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [143773] = 4,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    STATE(4759), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7536), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [143789] = 5,
    ACTIONS(7571), 1,
      anon_sym_SEMI,
    ACTIONS(7573), 1,
      sym__automatic_semicolon,
    STATE(5377), 1,
      sym_import_attribute,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7569), 2,
      anon_sym_with,
      anon_sym_assert,
  [143807] = 5,
    ACTIONS(6705), 1,
      anon_sym_AMP,
    ACTIONS(6709), 1,
      anon_sym_extends,
    ACTIONS(7577), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7575), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [143825] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7188), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [143837] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2756), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [143849] = 6,
    ACTIONS(7040), 1,
      anon_sym_LBRACE,
    ACTIONS(7579), 1,
      anon_sym_SEMI,
    ACTIONS(7581), 1,
      sym__automatic_semicolon,
    ACTIONS(7583), 1,
      sym__function_signature_automatic_semicolon,
    STATE(3964), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [143869] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2952), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [143881] = 5,
    ACTIONS(6705), 1,
      anon_sym_AMP,
    ACTIONS(6709), 1,
      anon_sym_extends,
    ACTIONS(7577), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7585), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [143899] = 5,
    ACTIONS(6672), 1,
      anon_sym_LT,
    ACTIONS(7587), 1,
      anon_sym_LBRACE,
    STATE(4945), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7589), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE_PIPE,
  [143917] = 6,
    ACTIONS(4335), 1,
      anon_sym_LBRACE,
    ACTIONS(7591), 1,
      anon_sym_SEMI,
    ACTIONS(7593), 1,
      sym__automatic_semicolon,
    ACTIONS(7595), 1,
      sym__function_signature_automatic_semicolon,
    STATE(2132), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [143937] = 4,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    STATE(4881), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7546), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [143953] = 4,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    STATE(4882), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7528), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [143969] = 4,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    STATE(4816), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7534), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [143985] = 4,
    ACTIONS(7409), 1,
      anon_sym_COLON,
    ACTIONS(7597), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(5192), 3,
      sym_type_annotation,
      sym_asserts_annotation,
      sym_type_predicate_annotation,
  [144001] = 4,
    ACTIONS(7409), 1,
      anon_sym_COLON,
    ACTIONS(7600), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(5441), 3,
      sym_type_annotation,
      sym_asserts_annotation,
      sym_type_predicate_annotation,
  [144017] = 6,
    ACTIONS(7603), 1,
      anon_sym_EQ,
    ACTIONS(7605), 1,
      anon_sym_COMMA,
    ACTIONS(7607), 1,
      anon_sym_RBRACE,
    STATE(4728), 1,
      aux_sym_enum_body_repeat1,
    STATE(5309), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [144037] = 4,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    STATE(4842), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7534), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [144053] = 5,
    ACTIONS(1551), 1,
      anon_sym_DQUOTE,
    ACTIONS(1553), 1,
      anon_sym_SQUOTE,
    ACTIONS(7609), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(5435), 2,
      sym__module_export_name,
      sym_string,
  [144071] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7401), 5,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [144083] = 4,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    STATE(4883), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7528), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [144099] = 6,
    ACTIONS(7040), 1,
      anon_sym_LBRACE,
    ACTIONS(7611), 1,
      anon_sym_SEMI,
    ACTIONS(7613), 1,
      sym__automatic_semicolon,
    ACTIONS(7615), 1,
      sym__function_signature_automatic_semicolon,
    STATE(3977), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [144119] = 3,
    ACTIONS(5454), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1875), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [144133] = 5,
    ACTIONS(6705), 1,
      anon_sym_AMP,
    ACTIONS(6709), 1,
      anon_sym_extends,
    ACTIONS(7577), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7617), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [144151] = 4,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    STATE(4856), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7534), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [144167] = 6,
    ACTIONS(2570), 1,
      anon_sym_LT,
    ACTIONS(3288), 1,
      anon_sym_LPAREN,
    STATE(3307), 1,
      sym_formal_parameters,
    STATE(3668), 1,
      sym__call_signature,
    STATE(5222), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [144187] = 6,
    ACTIONS(2570), 1,
      anon_sym_LT,
    ACTIONS(6482), 1,
      anon_sym_LPAREN,
    STATE(3365), 1,
      sym_formal_parameters,
    STATE(4193), 1,
      sym__call_signature,
    STATE(5281), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [144207] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2948), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [144219] = 6,
    ACTIONS(2570), 1,
      anon_sym_LT,
    ACTIONS(6468), 1,
      anon_sym_LPAREN,
    STATE(3895), 1,
      sym_formal_parameters,
    STATE(5348), 1,
      sym_type_parameters,
    STATE(5444), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [144239] = 4,
    ACTIONS(7409), 1,
      anon_sym_COLON,
    ACTIONS(7619), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(5441), 3,
      sym_type_annotation,
      sym_asserts_annotation,
      sym_type_predicate_annotation,
  [144255] = 4,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    STATE(4857), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7536), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [144271] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2784), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [144283] = 6,
    ACTIONS(7040), 1,
      anon_sym_LBRACE,
    ACTIONS(7550), 1,
      anon_sym_SEMI,
    ACTIONS(7552), 1,
      sym__automatic_semicolon,
    ACTIONS(7554), 1,
      sym__function_signature_automatic_semicolon,
    STATE(781), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [144303] = 4,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    STATE(4858), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7536), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [144319] = 4,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    STATE(4664), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7536), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [144335] = 3,
    ACTIONS(5478), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1781), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [144349] = 3,
    ACTIONS(5480), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1791), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [144363] = 4,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    STATE(4859), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7536), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [144379] = 4,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    STATE(4860), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7536), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [144395] = 6,
    ACTIONS(2570), 1,
      anon_sym_LT,
    ACTIONS(3288), 1,
      anon_sym_LPAREN,
    STATE(3307), 1,
      sym_formal_parameters,
    STATE(3680), 1,
      sym__call_signature,
    STATE(5222), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [144415] = 5,
    ACTIONS(6705), 1,
      anon_sym_AMP,
    ACTIONS(6709), 1,
      anon_sym_extends,
    ACTIONS(7577), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7622), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [144433] = 3,
    ACTIONS(5514), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1851), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [144447] = 5,
    ACTIONS(6705), 1,
      anon_sym_AMP,
    ACTIONS(6709), 1,
      anon_sym_extends,
    ACTIONS(7577), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7624), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [144465] = 6,
    ACTIONS(2570), 1,
      anon_sym_LT,
    ACTIONS(3288), 1,
      anon_sym_LPAREN,
    STATE(3307), 1,
      sym_formal_parameters,
    STATE(3686), 1,
      sym__call_signature,
    STATE(5222), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [144485] = 4,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    STATE(4795), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7528), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [144501] = 4,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    STATE(4853), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7626), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [144517] = 6,
    ACTIONS(2570), 1,
      anon_sym_LT,
    ACTIONS(3288), 1,
      anon_sym_LPAREN,
    STATE(3307), 1,
      sym_formal_parameters,
    STATE(3691), 1,
      sym__call_signature,
    STATE(5222), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [144537] = 6,
    ACTIONS(2570), 1,
      anon_sym_LT,
    ACTIONS(3288), 1,
      anon_sym_LPAREN,
    STATE(3307), 1,
      sym_formal_parameters,
    STATE(3694), 1,
      sym__call_signature,
    STATE(5222), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [144557] = 6,
    ACTIONS(2570), 1,
      anon_sym_LT,
    ACTIONS(3288), 1,
      anon_sym_LPAREN,
    STATE(3307), 1,
      sym_formal_parameters,
    STATE(3698), 1,
      sym__call_signature,
    STATE(5222), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [144577] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7628), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [144589] = 4,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    STATE(4884), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7534), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [144605] = 4,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    STATE(4898), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7546), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [144621] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7186), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [144633] = 4,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    STATE(4911), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7534), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [144649] = 6,
    ACTIONS(3843), 1,
      anon_sym_COLON,
    ACTIONS(4593), 1,
      anon_sym_EQ,
    ACTIONS(5080), 1,
      anon_sym_COMMA,
    ACTIONS(7630), 1,
      anon_sym_RBRACE,
    STATE(4906), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [144669] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4870), 5,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_of,
      anon_sym_COLON,
  [144681] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4864), 5,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_of,
      anon_sym_COLON,
  [144693] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2720), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [144705] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2724), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [144717] = 4,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    STATE(4797), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7528), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [144733] = 4,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    STATE(4912), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7546), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [144749] = 6,
    ACTIONS(2570), 1,
      anon_sym_LT,
    ACTIONS(6468), 1,
      anon_sym_LPAREN,
    STATE(3895), 1,
      sym_formal_parameters,
    STATE(5348), 1,
      sym_type_parameters,
    STATE(5449), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [144769] = 4,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    STATE(4913), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7528), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [144785] = 4,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    STATE(4938), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7534), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [144801] = 4,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    STATE(4914), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7528), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [144817] = 5,
    ACTIONS(7632), 1,
      sym_identifier,
    ACTIONS(7634), 1,
      anon_sym_LPAREN,
    STATE(2708), 1,
      sym_decorator_member_expression,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(2796), 2,
      sym_decorator_call_expression,
      sym_decorator_parenthesized_expression,
  [144835] = 4,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    STATE(4953), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7534), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [144851] = 4,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    STATE(4958), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7534), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [144867] = 4,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    STATE(4959), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7536), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [144883] = 6,
    ACTIONS(2570), 1,
      anon_sym_LT,
    ACTIONS(6468), 1,
      anon_sym_LPAREN,
    STATE(3895), 1,
      sym_formal_parameters,
    STATE(5242), 1,
      sym__call_signature,
    STATE(5348), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [144903] = 6,
    ACTIONS(1721), 1,
      anon_sym_LBRACE,
    ACTIONS(7591), 1,
      anon_sym_SEMI,
    ACTIONS(7593), 1,
      sym__automatic_semicolon,
    ACTIONS(7595), 1,
      sym__function_signature_automatic_semicolon,
    STATE(223), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [144923] = 4,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    STATE(4924), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7546), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [144939] = 5,
    ACTIONS(7542), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7636), 1,
      anon_sym_BQUOTE,
    ACTIONS(7638), 1,
      sym__template_chars,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(4021), 2,
      sym_template_type,
      aux_sym_template_literal_type_repeat1,
  [144957] = 6,
    ACTIONS(2570), 1,
      anon_sym_LT,
    ACTIONS(6482), 1,
      anon_sym_LPAREN,
    STATE(3365), 1,
      sym_formal_parameters,
    STATE(4012), 1,
      sym__call_signature,
    STATE(5281), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [144977] = 4,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    STATE(4960), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7536), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [144993] = 6,
    ACTIONS(2570), 1,
      anon_sym_LT,
    ACTIONS(6468), 1,
      anon_sym_LPAREN,
    STATE(3895), 1,
      sym_formal_parameters,
    STATE(5218), 1,
      sym__call_signature,
    STATE(5348), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [145013] = 6,
    ACTIONS(4335), 1,
      anon_sym_LBRACE,
    ACTIONS(7579), 1,
      anon_sym_SEMI,
    ACTIONS(7581), 1,
      sym__automatic_semicolon,
    ACTIONS(7583), 1,
      sym__function_signature_automatic_semicolon,
    STATE(2278), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [145033] = 4,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    STATE(4925), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7528), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [145049] = 4,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    STATE(4790), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7528), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [145065] = 5,
    ACTIONS(7542), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7567), 1,
      sym__template_chars,
    ACTIONS(7640), 1,
      anon_sym_BQUOTE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(4115), 2,
      sym_template_type,
      aux_sym_template_literal_type_repeat1,
  [145083] = 4,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    STATE(4929), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7528), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [145099] = 4,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    STATE(4979), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7534), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [145115] = 6,
    ACTIONS(4335), 1,
      anon_sym_LBRACE,
    ACTIONS(7611), 1,
      anon_sym_SEMI,
    ACTIONS(7613), 1,
      sym__automatic_semicolon,
    ACTIONS(7615), 1,
      sym__function_signature_automatic_semicolon,
    STATE(2290), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [145135] = 4,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    STATE(4930), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7528), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [145151] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7642), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [145163] = 4,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    STATE(4989), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7534), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [145179] = 5,
    ACTIONS(7532), 1,
      anon_sym_LPAREN,
    ACTIONS(7644), 1,
      sym_identifier,
    STATE(3441), 1,
      sym_decorator_member_expression,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1284), 2,
      sym_decorator_call_expression,
      sym_decorator_parenthesized_expression,
  [145197] = 4,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    STATE(4933), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7528), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [145213] = 4,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    STATE(4992), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7536), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [145229] = 4,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    STATE(4794), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7528), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [145245] = 6,
    ACTIONS(2570), 1,
      anon_sym_LT,
    ACTIONS(6468), 1,
      anon_sym_LPAREN,
    STATE(3895), 1,
      sym_formal_parameters,
    STATE(5307), 1,
      sym__call_signature,
    STATE(5348), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [145265] = 4,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    STATE(4993), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7536), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [145281] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2812), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [145293] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2860), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [145305] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2884), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [145317] = 6,
    ACTIONS(1721), 1,
      anon_sym_LBRACE,
    ACTIONS(7550), 1,
      anon_sym_SEMI,
    ACTIONS(7552), 1,
      sym__automatic_semicolon,
    ACTIONS(7554), 1,
      sym__function_signature_automatic_semicolon,
    STATE(238), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [145337] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7194), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [145349] = 6,
    ACTIONS(2570), 1,
      anon_sym_LT,
    ACTIONS(3288), 1,
      anon_sym_LPAREN,
    STATE(3307), 1,
      sym_formal_parameters,
    STATE(4323), 1,
      sym__call_signature,
    STATE(5222), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [145369] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7196), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [145381] = 4,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    STATE(4805), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7546), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [145397] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7194), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [145409] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7646), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [145421] = 4,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    STATE(4782), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7648), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [145437] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7650), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [145449] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7196), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [145461] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7652), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [145473] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7654), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [145485] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1763), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [145497] = 5,
    ACTIONS(7542), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7656), 1,
      anon_sym_BQUOTE,
    ACTIONS(7658), 1,
      sym__template_chars,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(4054), 2,
      sym_template_type,
      aux_sym_template_literal_type_repeat1,
  [145515] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7146), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [145527] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7660), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [145539] = 4,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    STATE(4966), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7546), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [145555] = 5,
    ACTIONS(7542), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7567), 1,
      sym__template_chars,
    ACTIONS(7662), 1,
      anon_sym_BQUOTE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(4115), 2,
      sym_template_type,
      aux_sym_template_literal_type_repeat1,
  [145573] = 4,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    STATE(4972), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7528), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [145589] = 4,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    STATE(4597), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7664), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [145605] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5015), 5,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
  [145617] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7430), 5,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [145629] = 4,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    STATE(4980), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7528), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [145645] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7432), 5,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [145657] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7434), 5,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [145669] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2940), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [145681] = 4,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    STATE(4982), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7528), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [145697] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2544), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [145709] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2544), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [145721] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2548), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [145733] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2552), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [145745] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1811), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [145757] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2544), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [145769] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2544), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [145781] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2544), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [145793] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2544), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [145805] = 4,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    STATE(4985), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7528), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [145821] = 6,
    ACTIONS(2570), 1,
      anon_sym_LT,
    ACTIONS(6468), 1,
      anon_sym_LPAREN,
    STATE(3895), 1,
      sym_formal_parameters,
    STATE(5348), 1,
      sym_type_parameters,
    STATE(5399), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [145841] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1861), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [145853] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4868), 5,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_of,
      anon_sym_COLON,
  [145865] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2640), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [145877] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2652), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [145889] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2664), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [145901] = 5,
    ACTIONS(7542), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7666), 1,
      anon_sym_BQUOTE,
    ACTIONS(7668), 1,
      sym__template_chars,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(4083), 2,
      sym_template_type,
      aux_sym_template_literal_type_repeat1,
  [145919] = 4,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    STATE(4986), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7528), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [145935] = 4,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    STATE(5124), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7556), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [145951] = 5,
    ACTIONS(7542), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7567), 1,
      sym__template_chars,
    ACTIONS(7670), 1,
      anon_sym_BQUOTE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(4115), 2,
      sym_template_type,
      aux_sym_template_literal_type_repeat1,
  [145969] = 6,
    ACTIONS(99), 1,
      anon_sym_AT,
    ACTIONS(7419), 1,
      anon_sym_abstract,
    ACTIONS(7672), 1,
      anon_sym_class,
    STATE(1297), 1,
      sym_decorator,
    STATE(3849), 1,
      aux_sym_export_statement_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [145989] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5139), 5,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
  [146001] = 4,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    STATE(5002), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7528), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [146017] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7674), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [146029] = 6,
    ACTIONS(2570), 1,
      anon_sym_LT,
    ACTIONS(3288), 1,
      anon_sym_LPAREN,
    STATE(3307), 1,
      sym_formal_parameters,
    STATE(4038), 1,
      sym__call_signature,
    STATE(5222), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [146049] = 4,
    ACTIONS(3550), 1,
      anon_sym_COLON,
    STATE(5200), 1,
      sym_type_annotation,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3613), 3,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [146065] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7676), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [146077] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2856), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [146089] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2856), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [146101] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2856), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [146113] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7678), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [146125] = 6,
    ACTIONS(2570), 1,
      anon_sym_LT,
    ACTIONS(6482), 1,
      anon_sym_LPAREN,
    STATE(3365), 1,
      sym_formal_parameters,
    STATE(3874), 1,
      sym__call_signature,
    STATE(5281), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [146145] = 4,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    STATE(5032), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7680), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [146161] = 3,
    ACTIONS(7682), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3613), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
  [146175] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7206), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [146187] = 6,
    ACTIONS(2570), 1,
      anon_sym_LT,
    ACTIONS(3288), 1,
      anon_sym_LPAREN,
    STATE(3307), 1,
      sym_formal_parameters,
    STATE(4330), 1,
      sym__call_signature,
    STATE(5222), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [146207] = 4,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    STATE(5038), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7685), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [146223] = 4,
    ACTIONS(7409), 1,
      anon_sym_COLON,
    ACTIONS(7687), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(5192), 3,
      sym_type_annotation,
      sym_asserts_annotation,
      sym_type_predicate_annotation,
  [146239] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7690), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [146251] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7208), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [146263] = 4,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    STATE(4806), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7528), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [146279] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7206), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [146291] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7692), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [146303] = 4,
    ACTIONS(7409), 1,
      anon_sym_COLON,
    ACTIONS(7694), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(5441), 3,
      sym_type_annotation,
      sym_asserts_annotation,
      sym_type_predicate_annotation,
  [146319] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7188), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [146331] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7697), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [146343] = 6,
    ACTIONS(2570), 1,
      anon_sym_LT,
    ACTIONS(3288), 1,
      anon_sym_LPAREN,
    STATE(3307), 1,
      sym_formal_parameters,
    STATE(5045), 1,
      sym__call_signature,
    STATE(5222), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [146363] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7699), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [146375] = 5,
    ACTIONS(6622), 1,
      anon_sym_AMP,
    ACTIONS(6624), 1,
      anon_sym_PIPE,
    ACTIONS(6626), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7701), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [146393] = 4,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    STATE(5046), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7703), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [146409] = 4,
    ACTIONS(6414), 1,
      anon_sym_LBRACK,
    ACTIONS(7705), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4238), 3,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [146425] = 5,
    ACTIONS(7707), 1,
      anon_sym_BQUOTE,
    ACTIONS(7709), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7712), 1,
      sym__template_chars,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(4115), 2,
      sym_template_type,
      aux_sym_template_literal_type_repeat1,
  [146443] = 5,
    ACTIONS(6622), 1,
      anon_sym_AMP,
    ACTIONS(6624), 1,
      anon_sym_PIPE,
    ACTIONS(6626), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7715), 2,
      anon_sym_COMMA,
      anon_sym_GT,
  [146461] = 4,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    STATE(5018), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7717), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [146477] = 4,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    STATE(5047), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7703), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [146493] = 6,
    ACTIONS(2570), 1,
      anon_sym_LT,
    ACTIONS(6482), 1,
      anon_sym_LPAREN,
    STATE(3365), 1,
      sym_formal_parameters,
    STATE(3850), 1,
      sym__call_signature,
    STATE(5281), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [146513] = 4,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    STATE(4812), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7528), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [146529] = 4,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    STATE(5051), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7719), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [146545] = 4,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    STATE(5052), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7703), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [146561] = 4,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    STATE(5053), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7703), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [146577] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2672), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [146589] = 6,
    ACTIONS(2570), 1,
      anon_sym_LT,
    ACTIONS(6482), 1,
      anon_sym_LPAREN,
    STATE(3365), 1,
      sym_formal_parameters,
    STATE(3932), 1,
      sym__call_signature,
    STATE(5281), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [146609] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2688), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [146621] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2748), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [146633] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2752), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [146645] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7721), 5,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_extends,
      anon_sym_implements,
  [146657] = 5,
    ACTIONS(1551), 1,
      anon_sym_DQUOTE,
    ACTIONS(1553), 1,
      anon_sym_SQUOTE,
    ACTIONS(7723), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(5672), 2,
      sym__module_export_name,
      sym_string,
  [146675] = 4,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    STATE(5054), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7703), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [146691] = 6,
    ACTIONS(2570), 1,
      anon_sym_LT,
    ACTIONS(6468), 1,
      anon_sym_LPAREN,
    STATE(3895), 1,
      sym_formal_parameters,
    STATE(5348), 1,
      sym_type_parameters,
    STATE(5467), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [146711] = 6,
    ACTIONS(2570), 1,
      anon_sym_LT,
    ACTIONS(6468), 1,
      anon_sym_LPAREN,
    STATE(3895), 1,
      sym_formal_parameters,
    STATE(5348), 1,
      sym_type_parameters,
    STATE(5471), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [146731] = 4,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    STATE(5055), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7703), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [146747] = 6,
    ACTIONS(99), 1,
      anon_sym_AT,
    ACTIONS(7417), 1,
      anon_sym_class,
    ACTIONS(7419), 1,
      anon_sym_abstract,
    STATE(1297), 1,
      sym_decorator,
    STATE(3849), 1,
      aux_sym_export_statement_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [146767] = 6,
    ACTIONS(2570), 1,
      anon_sym_LT,
    ACTIONS(6482), 1,
      anon_sym_LPAREN,
    STATE(3365), 1,
      sym_formal_parameters,
    STATE(3948), 1,
      sym__call_signature,
    STATE(5281), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [146787] = 4,
    STATE(5153), 1,
      sym_import_attribute,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7569), 2,
      anon_sym_with,
      anon_sym_assert,
    ACTIONS(7725), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [146803] = 6,
    ACTIONS(2570), 1,
      anon_sym_LT,
    ACTIONS(6482), 1,
      anon_sym_LPAREN,
    STATE(3365), 1,
      sym_formal_parameters,
    STATE(3815), 1,
      sym__call_signature,
    STATE(5281), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [146823] = 6,
    ACTIONS(2570), 1,
      anon_sym_LT,
    ACTIONS(6468), 1,
      anon_sym_LPAREN,
    STATE(3895), 1,
      sym_formal_parameters,
    STATE(5348), 1,
      sym_type_parameters,
    STATE(5440), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [146843] = 4,
    ACTIONS(6366), 1,
      anon_sym_DOT,
    ACTIONS(7727), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6364), 3,
      anon_sym_LPAREN,
      anon_sym_QMARK_DOT,
      anon_sym_LT,
  [146859] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2968), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [146871] = 6,
    ACTIONS(7603), 1,
      anon_sym_EQ,
    ACTIONS(7729), 1,
      anon_sym_COMMA,
    ACTIONS(7731), 1,
      anon_sym_RBRACE,
    STATE(4952), 1,
      aux_sym_enum_body_repeat1,
    STATE(5309), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [146891] = 6,
    ACTIONS(2570), 1,
      anon_sym_LT,
    ACTIONS(6482), 1,
      anon_sym_LPAREN,
    STATE(3365), 1,
      sym_formal_parameters,
    STATE(3952), 1,
      sym__call_signature,
    STATE(5281), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [146911] = 6,
    ACTIONS(2570), 1,
      anon_sym_LT,
    ACTIONS(6468), 1,
      anon_sym_LPAREN,
    STATE(3895), 1,
      sym_formal_parameters,
    STATE(5147), 1,
      sym__call_signature,
    STATE(5348), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [146931] = 4,
    STATE(5173), 1,
      sym_import_attribute,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7569), 2,
      anon_sym_with,
      anon_sym_assert,
    ACTIONS(7733), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [146947] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2820), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [146959] = 4,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    STATE(4763), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7648), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [146975] = 4,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    STATE(4818), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7528), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [146991] = 4,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    STATE(5021), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7735), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [147007] = 5,
    ACTIONS(7737), 1,
      anon_sym_SEMI,
    ACTIONS(7739), 1,
      sym__automatic_semicolon,
    STATE(5475), 1,
      sym_import_attribute,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7569), 2,
      anon_sym_with,
      anon_sym_assert,
  [147025] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2844), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [147037] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1753), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [147049] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1823), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [147061] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1743), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [147073] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2864), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [147085] = 4,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    STATE(4747), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7556), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [147101] = 4,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    STATE(5062), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7703), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [147117] = 4,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    STATE(5063), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7703), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [147133] = 4,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    STATE(5023), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7735), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [147149] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2896), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [147161] = 6,
    ACTIONS(99), 1,
      anon_sym_AT,
    ACTIONS(7419), 1,
      anon_sym_abstract,
    ACTIONS(7464), 1,
      anon_sym_class,
    STATE(1297), 1,
      sym_decorator,
    STATE(3849), 1,
      aux_sym_export_statement_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [147181] = 4,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    STATE(5069), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7719), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [147197] = 4,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    STATE(5027), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7735), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [147213] = 6,
    ACTIONS(2570), 1,
      anon_sym_LT,
    ACTIONS(6482), 1,
      anon_sym_LPAREN,
    STATE(3365), 1,
      sym_formal_parameters,
    STATE(3963), 1,
      sym__call_signature,
    STATE(5281), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [147233] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2704), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [147245] = 6,
    ACTIONS(2570), 1,
      anon_sym_LT,
    ACTIONS(6468), 1,
      anon_sym_LPAREN,
    STATE(3895), 1,
      sym_formal_parameters,
    STATE(5290), 1,
      sym__call_signature,
    STATE(5348), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [147265] = 4,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    STATE(5030), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7735), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [147281] = 6,
    ACTIONS(2570), 1,
      anon_sym_LT,
    ACTIONS(6468), 1,
      anon_sym_LPAREN,
    STATE(3895), 1,
      sym_formal_parameters,
    STATE(5295), 1,
      sym__call_signature,
    STATE(5348), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [147301] = 6,
    ACTIONS(2570), 1,
      anon_sym_LT,
    ACTIONS(6468), 1,
      anon_sym_LPAREN,
    STATE(3895), 1,
      sym_formal_parameters,
    STATE(5296), 1,
      sym__call_signature,
    STATE(5348), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [147321] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2704), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [147333] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2704), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [147345] = 6,
    ACTIONS(2570), 1,
      anon_sym_LT,
    ACTIONS(6468), 1,
      anon_sym_LPAREN,
    STATE(3895), 1,
      sym_formal_parameters,
    STATE(5317), 1,
      sym__call_signature,
    STATE(5348), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [147365] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2692), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [147377] = 4,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    STATE(5072), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7719), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [147393] = 4,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    STATE(5073), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7703), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [147409] = 4,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    STATE(5074), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7703), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [147425] = 5,
    ACTIONS(1551), 1,
      anon_sym_DQUOTE,
    ACTIONS(1553), 1,
      anon_sym_SQUOTE,
    ACTIONS(7741), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(5323), 2,
      sym__module_export_name,
      sym_string,
  [147443] = 6,
    ACTIONS(2570), 1,
      anon_sym_LT,
    ACTIONS(6468), 1,
      anon_sym_LPAREN,
    STATE(3895), 1,
      sym_formal_parameters,
    STATE(5348), 1,
      sym_type_parameters,
    STATE(5413), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [147463] = 6,
    ACTIONS(2570), 1,
      anon_sym_LT,
    ACTIONS(6468), 1,
      anon_sym_LPAREN,
    STATE(3895), 1,
      sym_formal_parameters,
    STATE(5348), 1,
      sym_type_parameters,
    STATE(5421), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [147483] = 4,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    STATE(4821), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7528), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [147499] = 4,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    STATE(5079), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7719), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [147515] = 4,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    STATE(5080), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7703), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [147531] = 4,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    STATE(5081), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7703), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [147547] = 5,
    ACTIONS(2338), 1,
      anon_sym_DQUOTE,
    ACTIONS(2340), 1,
      anon_sym_SQUOTE,
    ACTIONS(7743), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(4654), 2,
      sym__module_export_name,
      sym_string,
  [147565] = 4,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    STATE(5042), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7745), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [147581] = 4,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    STATE(5082), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7703), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [147597] = 4,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    STATE(5043), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7735), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [147613] = 6,
    ACTIONS(2570), 1,
      anon_sym_LT,
    ACTIONS(6468), 1,
      anon_sym_LPAREN,
    STATE(3895), 1,
      sym_formal_parameters,
    STATE(5348), 1,
      sym_type_parameters,
    STATE(5454), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [147633] = 4,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    STATE(5064), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7735), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [147649] = 4,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    STATE(5083), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7703), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [147665] = 6,
    ACTIONS(2570), 1,
      anon_sym_LT,
    ACTIONS(6468), 1,
      anon_sym_LPAREN,
    STATE(3895), 1,
      sym_formal_parameters,
    STATE(5325), 1,
      sym__call_signature,
    STATE(5348), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [147685] = 6,
    ACTIONS(2570), 1,
      anon_sym_LT,
    ACTIONS(6468), 1,
      anon_sym_LPAREN,
    STATE(3895), 1,
      sym_formal_parameters,
    STATE(5348), 1,
      sym_type_parameters,
    STATE(5472), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [147705] = 6,
    ACTIONS(7040), 1,
      anon_sym_LBRACE,
    ACTIONS(7591), 1,
      anon_sym_SEMI,
    ACTIONS(7593), 1,
      sym__automatic_semicolon,
    ACTIONS(7595), 1,
      sym__function_signature_automatic_semicolon,
    STATE(776), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [147725] = 6,
    ACTIONS(2570), 1,
      anon_sym_LT,
    ACTIONS(6468), 1,
      anon_sym_LPAREN,
    STATE(3895), 1,
      sym_formal_parameters,
    STATE(5143), 1,
      sym__call_signature,
    STATE(5348), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [147745] = 4,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    STATE(5065), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7735), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [147761] = 4,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    STATE(5084), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7735), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [147777] = 6,
    ACTIONS(2570), 1,
      anon_sym_LT,
    ACTIONS(6468), 1,
      anon_sym_LPAREN,
    STATE(3895), 1,
      sym_formal_parameters,
    STATE(5146), 1,
      sym__call_signature,
    STATE(5348), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [147797] = 5,
    ACTIONS(6705), 1,
      anon_sym_AMP,
    ACTIONS(6709), 1,
      anon_sym_extends,
    ACTIONS(7577), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7747), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [147815] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2964), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [147827] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2540), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [147839] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2772), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [147851] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2728), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [147863] = 6,
    ACTIONS(2570), 1,
      anon_sym_LT,
    ACTIONS(6468), 1,
      anon_sym_LPAREN,
    STATE(3895), 1,
      sym_formal_parameters,
    STATE(5329), 1,
      sym__call_signature,
    STATE(5348), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [147883] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2608), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [147895] = 4,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    STATE(5098), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7719), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [147911] = 4,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    STATE(4619), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7749), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [147927] = 6,
    ACTIONS(2570), 1,
      anon_sym_LT,
    ACTIONS(6468), 1,
      anon_sym_LPAREN,
    STATE(3895), 1,
      sym_formal_parameters,
    STATE(5335), 1,
      sym__call_signature,
    STATE(5348), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [147947] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2776), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [147959] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2776), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [147971] = 4,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    STATE(5085), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7735), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [147987] = 4,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    STATE(5086), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7735), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [148003] = 6,
    ACTIONS(2570), 1,
      anon_sym_LT,
    ACTIONS(6482), 1,
      anon_sym_LPAREN,
    STATE(3365), 1,
      sym_formal_parameters,
    STATE(3974), 1,
      sym__call_signature,
    STATE(5281), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [148023] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2556), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [148035] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1767), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [148047] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1733), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [148059] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1833), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [148071] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2944), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [148083] = 4,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    STATE(5122), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7719), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [148099] = 4,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    STATE(4608), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7719), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [148115] = 4,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    STATE(5089), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7735), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [148131] = 4,
    ACTIONS(7753), 1,
      anon_sym_in,
    ACTIONS(7755), 1,
      anon_sym_of,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7751), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [148147] = 4,
    ACTIONS(7757), 1,
      anon_sym_in,
    ACTIONS(7759), 1,
      anon_sym_of,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7751), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [148163] = 6,
    ACTIONS(2570), 1,
      anon_sym_LT,
    ACTIONS(6482), 1,
      anon_sym_LPAREN,
    STATE(3365), 1,
      sym_formal_parameters,
    STATE(4018), 1,
      sym__call_signature,
    STATE(5281), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [148183] = 4,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    STATE(5093), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7735), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [148199] = 4,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    STATE(4864), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7719), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [148215] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5494), 5,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
  [148227] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2796), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [148239] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2804), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [148251] = 6,
    ACTIONS(99), 1,
      anon_sym_AT,
    ACTIONS(7761), 1,
      anon_sym_class,
    ACTIONS(7763), 1,
      anon_sym_abstract,
    STATE(1297), 1,
      sym_decorator,
    STATE(3849), 1,
      aux_sym_export_statement_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [148271] = 6,
    ACTIONS(2570), 1,
      anon_sym_LT,
    ACTIONS(6482), 1,
      anon_sym_LPAREN,
    STATE(3365), 1,
      sym_formal_parameters,
    STATE(4024), 1,
      sym__call_signature,
    STATE(5281), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [148291] = 6,
    ACTIONS(2570), 1,
      anon_sym_LT,
    ACTIONS(6468), 1,
      anon_sym_LPAREN,
    STATE(3895), 1,
      sym_formal_parameters,
    STATE(5348), 1,
      sym_type_parameters,
    STATE(5367), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [148311] = 4,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    STATE(4870), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7703), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [148327] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5498), 5,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
  [148339] = 4,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    STATE(4873), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7703), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [148355] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5498), 5,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
  [148367] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5498), 5,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
  [148379] = 6,
    ACTIONS(2570), 1,
      anon_sym_LT,
    ACTIONS(6468), 1,
      anon_sym_LPAREN,
    STATE(3895), 1,
      sym_formal_parameters,
    STATE(5348), 1,
      sym_type_parameters,
    STATE(5420), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [148399] = 6,
    ACTIONS(2570), 1,
      anon_sym_LT,
    ACTIONS(6482), 1,
      anon_sym_LPAREN,
    STATE(3365), 1,
      sym_formal_parameters,
    STATE(3862), 1,
      sym__call_signature,
    STATE(5281), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [148419] = 4,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    STATE(4669), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7719), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [148435] = 4,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    STATE(4886), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7719), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [148451] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2832), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [148463] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2836), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [148475] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2848), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [148487] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2872), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [148499] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2920), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [148511] = 4,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    STATE(4887), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7703), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [148527] = 4,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    STATE(5028), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7765), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [148543] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2888), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [148555] = 4,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    STATE(5094), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7735), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [148571] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2684), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [148583] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1865), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [148595] = 4,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    STATE(4978), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7703), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [148611] = 4,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    STATE(5097), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7735), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [148627] = 4,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    STATE(5087), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7767), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [148643] = 4,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    STATE(5003), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7703), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [148659] = 4,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    STATE(4678), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7534), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [148675] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2740), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [148687] = 4,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    STATE(5012), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7703), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [148703] = 4,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    STATE(4634), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7719), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [148719] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2808), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [148731] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2824), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [148743] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2828), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [148755] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2852), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [148767] = 4,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    STATE(4698), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7703), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [148783] = 4,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    STATE(5099), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7735), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [148799] = 4,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    STATE(5100), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7735), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [148815] = 4,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    STATE(5137), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7703), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [148831] = 4,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    STATE(4533), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7769), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [148847] = 4,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    STATE(5108), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7745), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [148863] = 4,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    STATE(4823), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7719), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [148879] = 6,
    ACTIONS(2570), 1,
      anon_sym_LT,
    ACTIONS(3288), 1,
      anon_sym_LPAREN,
    STATE(3307), 1,
      sym_formal_parameters,
    STATE(4289), 1,
      sym__call_signature,
    STATE(5222), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [148899] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7172), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [148911] = 4,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    STATE(5111), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7735), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [148927] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7771), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [148939] = 4,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    STATE(5112), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7735), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [148955] = 4,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    STATE(4867), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7719), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [148971] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7172), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [148983] = 4,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    STATE(5114), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7735), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [148999] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7773), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [149011] = 4,
    ACTIONS(7409), 1,
      anon_sym_COLON,
    ACTIONS(7775), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(5192), 3,
      sym_type_annotation,
      sym_asserts_annotation,
      sym_type_predicate_annotation,
  [149027] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7391), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [149039] = 4,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    STATE(5123), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7735), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [149055] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7174), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [149067] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7778), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [149079] = 4,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    STATE(4531), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7703), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [149095] = 6,
    ACTIONS(2570), 1,
      anon_sym_LT,
    ACTIONS(6482), 1,
      anon_sym_LPAREN,
    STATE(3365), 1,
      sym_formal_parameters,
    STATE(4037), 1,
      sym__call_signature,
    STATE(5281), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [149115] = 4,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    STATE(4591), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7703), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [149131] = 4,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    STATE(4716), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7719), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [149147] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7186), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [149159] = 4,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    STATE(5125), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7735), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [149175] = 4,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    STATE(5129), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7735), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [149191] = 4,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    STATE(4855), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7719), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [149207] = 4,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    STATE(4625), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7780), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [149223] = 4,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    STATE(4996), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7719), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [149239] = 4,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    STATE(5041), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7719), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [149255] = 4,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    STATE(5049), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7703), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [149271] = 4,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    STATE(5076), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7703), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [149287] = 4,
    ACTIONS(7409), 1,
      anon_sym_COLON,
    ACTIONS(7782), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(5441), 3,
      sym_type_annotation,
      sym_asserts_annotation,
      sym_type_predicate_annotation,
  [149303] = 3,
    ACTIONS(4837), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5565), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
  [149317] = 4,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    STATE(5130), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7735), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [149333] = 4,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    STATE(4559), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7719), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [149349] = 3,
    ACTIONS(7785), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3623), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [149363] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7787), 5,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_extends,
      anon_sym_implements,
  [149375] = 4,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    STATE(4572), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7719), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [149391] = 4,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    STATE(4573), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7703), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [149407] = 5,
    ACTIONS(7542), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7567), 1,
      sym__template_chars,
    ACTIONS(7789), 1,
      anon_sym_BQUOTE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(4115), 2,
      sym_template_type,
      aux_sym_template_literal_type_repeat1,
  [149425] = 4,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    STATE(4576), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7703), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [149441] = 4,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    STATE(4583), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7703), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [149457] = 4,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    STATE(4585), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7703), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [149473] = 4,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    STATE(5133), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7735), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [149489] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7791), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [149501] = 6,
    ACTIONS(2570), 1,
      anon_sym_LT,
    ACTIONS(6468), 1,
      anon_sym_LPAREN,
    STATE(3895), 1,
      sym_formal_parameters,
    STATE(5150), 1,
      sym__call_signature,
    STATE(5348), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [149521] = 4,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    STATE(4599), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7719), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [149537] = 6,
    ACTIONS(2570), 1,
      anon_sym_LT,
    ACTIONS(6468), 1,
      anon_sym_LPAREN,
    STATE(3895), 1,
      sym_formal_parameters,
    STATE(5207), 1,
      sym__call_signature,
    STATE(5348), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [149557] = 4,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    STATE(4604), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7703), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [149573] = 4,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    STATE(4616), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7703), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [149589] = 4,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    STATE(4618), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7703), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [149605] = 4,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    STATE(4623), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7703), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [149621] = 4,
    ACTIONS(1893), 1,
      anon_sym_DOT,
    ACTIONS(4203), 1,
      anon_sym_LBRACE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4205), 3,
      anon_sym_COMMA,
      anon_sym_LT,
      anon_sym_LBRACE_PIPE,
  [149637] = 6,
    ACTIONS(2570), 1,
      anon_sym_LT,
    ACTIONS(6468), 1,
      anon_sym_LPAREN,
    STATE(3895), 1,
      sym_formal_parameters,
    STATE(5308), 1,
      sym__call_signature,
    STATE(5348), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [149657] = 4,
    ACTIONS(1897), 1,
      anon_sym_DOT,
    ACTIONS(4203), 1,
      anon_sym_LBRACE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4205), 3,
      anon_sym_COMMA,
      anon_sym_LT,
      anon_sym_LBRACE_PIPE,
  [149673] = 6,
    ACTIONS(99), 1,
      anon_sym_AT,
    ACTIONS(7763), 1,
      anon_sym_abstract,
    ACTIONS(7793), 1,
      anon_sym_class,
    STATE(1297), 1,
      sym_decorator,
    STATE(3849), 1,
      aux_sym_export_statement_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [149693] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7202), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [149705] = 6,
    ACTIONS(2570), 1,
      anon_sym_LT,
    ACTIONS(3288), 1,
      anon_sym_LPAREN,
    STATE(3307), 1,
      sym_formal_parameters,
    STATE(4098), 1,
      sym__call_signature,
    STATE(5222), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [149725] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7204), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [149737] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7202), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [149749] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5548), 5,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
  [149761] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7795), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [149773] = 6,
    ACTIONS(2570), 1,
      anon_sym_LT,
    ACTIONS(3288), 1,
      anon_sym_LPAREN,
    STATE(3307), 1,
      sym_formal_parameters,
    STATE(4631), 1,
      sym__call_signature,
    STATE(5222), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [149793] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7210), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [149805] = 6,
    ACTIONS(7318), 1,
      anon_sym_AMP,
    ACTIONS(7320), 1,
      anon_sym_PIPE,
    ACTIONS(7322), 1,
      anon_sym_extends,
    ACTIONS(7797), 1,
      anon_sym_as,
    ACTIONS(7799), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [149825] = 4,
    STATE(5419), 1,
      sym_import_attribute,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7569), 2,
      anon_sym_with,
      anon_sym_assert,
    ACTIONS(7801), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [149841] = 4,
    STATE(5448), 1,
      sym_import_attribute,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7569), 2,
      anon_sym_with,
      anon_sym_assert,
    ACTIONS(7803), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [149857] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7805), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [149869] = 6,
    ACTIONS(2570), 1,
      anon_sym_LT,
    ACTIONS(6482), 1,
      anon_sym_LPAREN,
    STATE(3365), 1,
      sym_formal_parameters,
    STATE(3827), 1,
      sym__call_signature,
    STATE(5281), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [149889] = 6,
    ACTIONS(2570), 1,
      anon_sym_LT,
    ACTIONS(3288), 1,
      anon_sym_LPAREN,
    STATE(3307), 1,
      sym_formal_parameters,
    STATE(3908), 1,
      sym__call_signature,
    STATE(5222), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [149909] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7204), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [149921] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7807), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [149933] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7212), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [149945] = 4,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    STATE(4862), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7809), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [149961] = 4,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    STATE(4880), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7811), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [149977] = 4,
    ACTIONS(7409), 1,
      anon_sym_COLON,
    ACTIONS(7813), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(5192), 3,
      sym_type_annotation,
      sym_asserts_annotation,
      sym_type_predicate_annotation,
  [149993] = 4,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    STATE(4826), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7528), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [150009] = 6,
    ACTIONS(2570), 1,
      anon_sym_LT,
    ACTIONS(6468), 1,
      anon_sym_LPAREN,
    STATE(3895), 1,
      sym_formal_parameters,
    STATE(5181), 1,
      sym__call_signature,
    STATE(5348), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [150029] = 6,
    ACTIONS(2570), 1,
      anon_sym_LT,
    ACTIONS(6468), 1,
      anon_sym_LPAREN,
    STATE(3895), 1,
      sym_formal_parameters,
    STATE(5348), 1,
      sym_type_parameters,
    STATE(5425), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [150049] = 4,
    ACTIONS(7409), 1,
      anon_sym_COLON,
    ACTIONS(7816), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(5192), 3,
      sym_type_annotation,
      sym_asserts_annotation,
      sym_type_predicate_annotation,
  [150065] = 4,
    ACTIONS(7409), 1,
      anon_sym_COLON,
    ACTIONS(7819), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(5441), 3,
      sym_type_annotation,
      sym_asserts_annotation,
      sym_type_predicate_annotation,
  [150081] = 6,
    ACTIONS(2570), 1,
      anon_sym_LT,
    ACTIONS(6468), 1,
      anon_sym_LPAREN,
    STATE(3895), 1,
      sym_formal_parameters,
    STATE(5348), 1,
      sym_type_parameters,
    STATE(5437), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [150101] = 6,
    ACTIONS(2570), 1,
      anon_sym_LT,
    ACTIONS(6482), 1,
      anon_sym_LPAREN,
    STATE(3365), 1,
      sym_formal_parameters,
    STATE(3886), 1,
      sym__call_signature,
    STATE(5281), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [150121] = 4,
    ACTIONS(7409), 1,
      anon_sym_COLON,
    ACTIONS(7822), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(5441), 3,
      sym_type_annotation,
      sym_asserts_annotation,
      sym_type_predicate_annotation,
  [150137] = 4,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    STATE(4530), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7825), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [150153] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7827), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [150165] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7829), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [150177] = 4,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    STATE(4650), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7831), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [150193] = 4,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    STATE(5109), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7825), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [150209] = 4,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    STATE(4659), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7833), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [150225] = 4,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    STATE(4674), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7528), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [150241] = 4,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    STATE(4688), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7528), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [150257] = 4,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    STATE(4693), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7528), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [150273] = 6,
    ACTIONS(2570), 1,
      anon_sym_LT,
    ACTIONS(3288), 1,
      anon_sym_LPAREN,
    STATE(3307), 1,
      sym_formal_parameters,
    STATE(5001), 1,
      sym__call_signature,
    STATE(5222), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [150293] = 4,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    STATE(4694), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7528), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [150309] = 4,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    STATE(4715), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7546), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [150325] = 4,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    STATE(4717), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7528), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [150341] = 4,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    STATE(4718), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7528), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [150357] = 4,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    STATE(4719), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7528), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [150373] = 4,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    STATE(4721), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7528), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [150389] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7835), 5,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_extends,
      anon_sym_implements,
  [150401] = 4,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    STATE(4723), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7528), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [150417] = 4,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    STATE(4725), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7528), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [150433] = 4,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    STATE(4733), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7546), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [150449] = 4,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    STATE(4738), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7528), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [150465] = 4,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    STATE(4740), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7528), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [150481] = 4,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    STATE(4598), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7556), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [150497] = 4,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    STATE(4538), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7825), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [150513] = 4,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    STATE(4757), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7546), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [150529] = 4,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    STATE(4575), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7825), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [150545] = 4,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    STATE(4702), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7556), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [150561] = 6,
    ACTIONS(219), 1,
      anon_sym_LBRACE_PIPE,
    ACTIONS(1541), 1,
      anon_sym_LBRACE,
    ACTIONS(7096), 1,
      anon_sym_extends,
    STATE(867), 1,
      sym_object_type,
    STATE(4692), 1,
      sym_extends_type_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [150581] = 4,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    STATE(4574), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7556), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [150597] = 4,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    STATE(4764), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7546), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [150613] = 4,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    STATE(4768), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7528), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [150629] = 4,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    STATE(4773), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7528), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [150645] = 4,
    ACTIONS(6366), 1,
      anon_sym_DOT,
    ACTIONS(7837), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6364), 3,
      anon_sym_LPAREN,
      anon_sym_QMARK_DOT,
      anon_sym_LT,
  [150661] = 4,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    STATE(4786), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7546), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [150677] = 4,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    STATE(4729), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7556), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [150693] = 4,
    ACTIONS(6462), 1,
      anon_sym_EQ,
    STATE(5061), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7719), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [150709] = 4,
    ACTIONS(7839), 1,
      anon_sym_from,
    STATE(5151), 1,
      sym__from_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7841), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [150724] = 5,
    ACTIONS(6622), 1,
      anon_sym_AMP,
    ACTIONS(6624), 1,
      anon_sym_PIPE,
    ACTIONS(6626), 1,
      anon_sym_extends,
    ACTIONS(7843), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [150741] = 5,
    ACTIONS(2570), 1,
      anon_sym_LT,
    ACTIONS(6468), 1,
      anon_sym_LPAREN,
    STATE(5261), 1,
      sym_type_parameters,
    STATE(5709), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [150758] = 5,
    ACTIONS(6622), 1,
      anon_sym_AMP,
    ACTIONS(6624), 1,
      anon_sym_PIPE,
    ACTIONS(6626), 1,
      anon_sym_extends,
    ACTIONS(7845), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [150775] = 4,
    ACTIONS(7847), 1,
      anon_sym_COMMA,
    STATE(4425), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7849), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [150790] = 4,
    ACTIONS(7847), 1,
      anon_sym_COMMA,
    STATE(4425), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7851), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [150805] = 5,
    ACTIONS(6622), 1,
      anon_sym_AMP,
    ACTIONS(6624), 1,
      anon_sym_PIPE,
    ACTIONS(6626), 1,
      anon_sym_extends,
    ACTIONS(7853), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [150822] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(7855), 1,
      anon_sym_SQUOTE,
    STATE(4436), 1,
      aux_sym_string_repeat2,
    ACTIONS(7857), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [150839] = 4,
    ACTIONS(3843), 1,
      anon_sym_COLON,
    ACTIONS(4593), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7859), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [150854] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(7861), 1,
      anon_sym_DQUOTE,
    STATE(4399), 1,
      aux_sym_string_repeat1,
    ACTIONS(7863), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [150871] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(7861), 1,
      anon_sym_SQUOTE,
    STATE(4400), 1,
      aux_sym_string_repeat2,
    ACTIONS(7865), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [150888] = 5,
    ACTIONS(6622), 1,
      anon_sym_AMP,
    ACTIONS(6624), 1,
      anon_sym_PIPE,
    ACTIONS(6626), 1,
      anon_sym_extends,
    ACTIONS(7867), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [150905] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(7869), 1,
      anon_sym_DQUOTE,
    STATE(4431), 1,
      aux_sym_string_repeat1,
    ACTIONS(7871), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [150922] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(7869), 1,
      anon_sym_SQUOTE,
    STATE(4436), 1,
      aux_sym_string_repeat2,
    ACTIONS(7857), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [150939] = 4,
    ACTIONS(7847), 1,
      anon_sym_COMMA,
    STATE(4425), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7873), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [150954] = 4,
    ACTIONS(7140), 1,
      anon_sym_EQ,
    STATE(5166), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7875), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [150969] = 3,
    ACTIONS(6127), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3843), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
  [150982] = 5,
    ACTIONS(6622), 1,
      anon_sym_AMP,
    ACTIONS(6624), 1,
      anon_sym_PIPE,
    ACTIONS(6626), 1,
      anon_sym_extends,
    ACTIONS(7877), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [150999] = 3,
    ACTIONS(7879), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3843), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
  [151012] = 3,
    ACTIONS(7705), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4238), 3,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [151025] = 5,
    ACTIONS(99), 1,
      anon_sym_AT,
    ACTIONS(7881), 1,
      anon_sym_export,
    STATE(1297), 1,
      sym_decorator,
    STATE(3849), 1,
      aux_sym_export_statement_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [151042] = 5,
    ACTIONS(3507), 1,
      anon_sym_LPAREN,
    ACTIONS(6352), 1,
      anon_sym_LT,
    STATE(3128), 1,
      sym_arguments,
    STATE(3248), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [151059] = 5,
    ACTIONS(6622), 1,
      anon_sym_AMP,
    ACTIONS(6624), 1,
      anon_sym_PIPE,
    ACTIONS(6626), 1,
      anon_sym_extends,
    ACTIONS(7883), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [151076] = 5,
    ACTIONS(6622), 1,
      anon_sym_AMP,
    ACTIONS(6624), 1,
      anon_sym_PIPE,
    ACTIONS(6626), 1,
      anon_sym_extends,
    ACTIONS(7885), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [151093] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(7887), 1,
      anon_sym_SQUOTE,
    STATE(4394), 1,
      aux_sym_string_repeat2,
    ACTIONS(7889), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [151110] = 4,
    ACTIONS(7847), 1,
      anon_sym_COMMA,
    STATE(4425), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7891), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [151125] = 5,
    ACTIONS(4633), 1,
      anon_sym_LPAREN,
    ACTIONS(7893), 1,
      anon_sym_LT,
    STATE(1966), 1,
      sym_arguments,
    STATE(1967), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [151142] = 5,
    ACTIONS(6622), 1,
      anon_sym_AMP,
    ACTIONS(6624), 1,
      anon_sym_PIPE,
    ACTIONS(6626), 1,
      anon_sym_extends,
    ACTIONS(7895), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [151159] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7897), 4,
      sym__automatic_semicolon,
      anon_sym_with,
      anon_sym_assert,
      anon_sym_SEMI,
  [151170] = 4,
    ACTIONS(6356), 1,
      anon_sym_STAR,
    ACTIONS(6360), 1,
      anon_sym_LBRACE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(5547), 2,
      sym_namespace_import,
      sym_named_imports,
  [151185] = 3,
    ACTIONS(7899), 1,
      anon_sym_DOT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6364), 3,
      anon_sym_LPAREN,
      anon_sym_QMARK_DOT,
      anon_sym_LT,
  [151198] = 5,
    ACTIONS(7901), 1,
      sym_identifier,
    STATE(3951), 1,
      sym_nested_type_identifier,
    STATE(4612), 1,
      sym_generic_type,
    STATE(5633), 1,
      sym_nested_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [151215] = 5,
    ACTIONS(7160), 1,
      anon_sym_COMMA,
    ACTIONS(7903), 1,
      anon_sym_LBRACE,
    ACTIONS(7905), 1,
      anon_sym_LBRACE_PIPE,
    STATE(4440), 1,
      aux_sym_extends_type_clause_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [151232] = 5,
    ACTIONS(7160), 1,
      anon_sym_COMMA,
    ACTIONS(7907), 1,
      anon_sym_LBRACE,
    ACTIONS(7909), 1,
      anon_sym_LBRACE_PIPE,
    STATE(4440), 1,
      aux_sym_extends_type_clause_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [151249] = 5,
    ACTIONS(7160), 1,
      anon_sym_COMMA,
    ACTIONS(7907), 1,
      anon_sym_LBRACE,
    ACTIONS(7909), 1,
      anon_sym_LBRACE_PIPE,
    STATE(4440), 1,
      aux_sym_extends_type_clause_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [151266] = 4,
    ACTIONS(7847), 1,
      anon_sym_COMMA,
    STATE(4401), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7911), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [151281] = 5,
    ACTIONS(99), 1,
      anon_sym_AT,
    ACTIONS(7913), 1,
      anon_sym_class,
    STATE(1297), 1,
      sym_decorator,
    STATE(3849), 1,
      aux_sym_export_statement_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [151298] = 5,
    ACTIONS(7178), 1,
      anon_sym_AMP,
    ACTIONS(7180), 1,
      anon_sym_PIPE,
    ACTIONS(7182), 1,
      anon_sym_extends,
    ACTIONS(7915), 1,
      anon_sym_QMARK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [151315] = 4,
    ACTIONS(7917), 1,
      anon_sym_COMMA,
    STATE(4425), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7920), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [151330] = 5,
    ACTIONS(6622), 1,
      anon_sym_AMP,
    ACTIONS(6624), 1,
      anon_sym_PIPE,
    ACTIONS(6626), 1,
      anon_sym_extends,
    ACTIONS(7922), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [151347] = 4,
    ACTIONS(7140), 1,
      anon_sym_EQ,
    STATE(5405), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7924), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [151362] = 5,
    ACTIONS(1909), 1,
      anon_sym_COMMA,
    ACTIONS(7926), 1,
      anon_sym_EQ,
    ACTIONS(7928), 1,
      anon_sym_RBRACK,
    STATE(5000), 1,
      aux_sym_array_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [151379] = 5,
    ACTIONS(2570), 1,
      anon_sym_LT,
    ACTIONS(6468), 1,
      anon_sym_LPAREN,
    STATE(5337), 1,
      sym_type_parameters,
    STATE(5661), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [151396] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(7930), 1,
      anon_sym_DQUOTE,
    STATE(4431), 1,
      aux_sym_string_repeat1,
    ACTIONS(7871), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [151413] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(7932), 1,
      anon_sym_DQUOTE,
    STATE(4431), 1,
      aux_sym_string_repeat1,
    ACTIONS(7934), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [151430] = 4,
    ACTIONS(6608), 1,
      anon_sym_EQ,
    STATE(5227), 1,
      sym_default_type,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7937), 2,
      anon_sym_COMMA,
      anon_sym_GT,
  [151445] = 5,
    ACTIONS(3535), 1,
      anon_sym_LPAREN,
    ACTIONS(6066), 1,
      anon_sym_LT,
    STATE(2919), 1,
      sym_arguments,
    STATE(2954), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [151462] = 4,
    ACTIONS(7939), 1,
      anon_sym_COMMA,
    STATE(4434), 1,
      aux_sym_implements_clause_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7421), 2,
      anon_sym_LBRACE,
      anon_sym_GT,
  [151477] = 5,
    ACTIONS(6622), 1,
      anon_sym_AMP,
    ACTIONS(6624), 1,
      anon_sym_PIPE,
    ACTIONS(6626), 1,
      anon_sym_extends,
    ACTIONS(7942), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [151494] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(7944), 1,
      anon_sym_SQUOTE,
    STATE(4436), 1,
      aux_sym_string_repeat2,
    ACTIONS(7946), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [151511] = 5,
    ACTIONS(7949), 1,
      sym_identifier,
    ACTIONS(7951), 1,
      anon_sym_const,
    ACTIONS(7953), 1,
      anon_sym_GT,
    STATE(5280), 1,
      sym_type_parameter,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [151528] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7955), 4,
      sym__template_chars,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_LBRACE,
  [151539] = 5,
    ACTIONS(2570), 1,
      anon_sym_LT,
    ACTIONS(6468), 1,
      anon_sym_LPAREN,
    STATE(5229), 1,
      sym_type_parameters,
    STATE(5511), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [151556] = 5,
    ACTIONS(7957), 1,
      anon_sym_LBRACE,
    ACTIONS(7959), 1,
      anon_sym_COMMA,
    ACTIONS(7962), 1,
      anon_sym_LBRACE_PIPE,
    STATE(4440), 1,
      aux_sym_extends_type_clause_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [151573] = 5,
    ACTIONS(6622), 1,
      anon_sym_AMP,
    ACTIONS(6624), 1,
      anon_sym_PIPE,
    ACTIONS(6626), 1,
      anon_sym_extends,
    ACTIONS(7964), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [151590] = 5,
    ACTIONS(2570), 1,
      anon_sym_LT,
    ACTIONS(6468), 1,
      anon_sym_LPAREN,
    STATE(5176), 1,
      sym_type_parameters,
    STATE(5534), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [151607] = 4,
    ACTIONS(7847), 1,
      anon_sym_COMMA,
    STATE(4412), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7966), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [151622] = 4,
    ACTIONS(7968), 1,
      anon_sym_EQ,
    STATE(5351), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6767), 2,
      anon_sym_in,
      anon_sym_of,
  [151637] = 5,
    ACTIONS(6622), 1,
      anon_sym_AMP,
    ACTIONS(6624), 1,
      anon_sym_PIPE,
    ACTIONS(6626), 1,
      anon_sym_extends,
    ACTIONS(7970), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [151654] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(7930), 1,
      anon_sym_SQUOTE,
    STATE(4436), 1,
      aux_sym_string_repeat2,
    ACTIONS(7857), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [151671] = 5,
    ACTIONS(7160), 1,
      anon_sym_COMMA,
    ACTIONS(7440), 1,
      anon_sym_LBRACE,
    ACTIONS(7442), 1,
      anon_sym_LBRACE_PIPE,
    STATE(4421), 1,
      aux_sym_extends_type_clause_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [151688] = 3,
    ACTIONS(7972), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3613), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
  [151701] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(7975), 1,
      anon_sym_DQUOTE,
    STATE(4457), 1,
      aux_sym_string_repeat1,
    ACTIONS(7977), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [151718] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(7975), 1,
      anon_sym_SQUOTE,
    STATE(4458), 1,
      aux_sym_string_repeat2,
    ACTIONS(7979), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [151735] = 5,
    ACTIONS(6622), 1,
      anon_sym_AMP,
    ACTIONS(6624), 1,
      anon_sym_PIPE,
    ACTIONS(6626), 1,
      anon_sym_extends,
    ACTIONS(7981), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [151752] = 4,
    ACTIONS(6608), 1,
      anon_sym_EQ,
    STATE(5276), 1,
      sym_default_type,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7983), 2,
      anon_sym_COMMA,
      anon_sym_GT,
  [151767] = 5,
    ACTIONS(6622), 1,
      anon_sym_AMP,
    ACTIONS(6624), 1,
      anon_sym_PIPE,
    ACTIONS(6626), 1,
      anon_sym_extends,
    ACTIONS(7985), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [151784] = 5,
    ACTIONS(6622), 1,
      anon_sym_AMP,
    ACTIONS(6624), 1,
      anon_sym_PIPE,
    ACTIONS(6626), 1,
      anon_sym_extends,
    ACTIONS(7987), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [151801] = 5,
    ACTIONS(2570), 1,
      anon_sym_LT,
    ACTIONS(6468), 1,
      anon_sym_LPAREN,
    STATE(5392), 1,
      sym_type_parameters,
    STATE(5542), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [151818] = 5,
    ACTIONS(7949), 1,
      sym_identifier,
    ACTIONS(7951), 1,
      anon_sym_const,
    ACTIONS(7989), 1,
      anon_sym_GT,
    STATE(5280), 1,
      sym_type_parameter,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [151835] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(7991), 1,
      anon_sym_DQUOTE,
    STATE(4431), 1,
      aux_sym_string_repeat1,
    ACTIONS(7871), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [151852] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(7991), 1,
      anon_sym_SQUOTE,
    STATE(4436), 1,
      aux_sym_string_repeat2,
    ACTIONS(7857), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [151869] = 5,
    ACTIONS(2570), 1,
      anon_sym_LT,
    ACTIONS(6468), 1,
      anon_sym_LPAREN,
    STATE(5260), 1,
      sym_type_parameters,
    STATE(5554), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [151886] = 5,
    ACTIONS(2570), 1,
      anon_sym_LT,
    ACTIONS(6468), 1,
      anon_sym_LPAREN,
    STATE(5178), 1,
      sym_type_parameters,
    STATE(5690), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [151903] = 4,
    ACTIONS(7995), 1,
      anon_sym_COMMA,
    STATE(4482), 1,
      aux_sym_extends_clause_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7993), 2,
      anon_sym_LBRACE,
      anon_sym_implements,
  [151918] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(7997), 1,
      anon_sym_DQUOTE,
    STATE(4430), 1,
      aux_sym_string_repeat1,
    ACTIONS(7999), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [151935] = 4,
    ACTIONS(8001), 1,
      anon_sym_COMMA,
    STATE(4463), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4866), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [151950] = 4,
    ACTIONS(7847), 1,
      anon_sym_COMMA,
    STATE(4391), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8004), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [151965] = 5,
    ACTIONS(6390), 1,
      anon_sym_LPAREN,
    ACTIONS(6396), 1,
      anon_sym_LT,
    STATE(3227), 1,
      sym_arguments,
    STATE(3394), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [151982] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8006), 1,
      anon_sym_DQUOTE,
    STATE(4486), 1,
      aux_sym_string_repeat1,
    ACTIONS(8008), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [151999] = 5,
    ACTIONS(2570), 1,
      anon_sym_LT,
    ACTIONS(6468), 1,
      anon_sym_LPAREN,
    STATE(5409), 1,
      sym_type_parameters,
    STATE(5697), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [152016] = 5,
    ACTIONS(6622), 1,
      anon_sym_AMP,
    ACTIONS(6624), 1,
      anon_sym_PIPE,
    ACTIONS(6626), 1,
      anon_sym_extends,
    ACTIONS(8010), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [152033] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8006), 1,
      anon_sym_SQUOTE,
    STATE(4491), 1,
      aux_sym_string_repeat2,
    ACTIONS(8012), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [152050] = 4,
    ACTIONS(7839), 1,
      anon_sym_from,
    STATE(5310), 1,
      sym__from_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5119), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [152065] = 5,
    ACTIONS(6622), 1,
      anon_sym_AMP,
    ACTIONS(6624), 1,
      anon_sym_PIPE,
    ACTIONS(6626), 1,
      anon_sym_extends,
    ACTIONS(8014), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [152082] = 5,
    ACTIONS(7178), 1,
      anon_sym_AMP,
    ACTIONS(7180), 1,
      anon_sym_PIPE,
    ACTIONS(7182), 1,
      anon_sym_extends,
    ACTIONS(8016), 1,
      anon_sym_QMARK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [152099] = 5,
    ACTIONS(2570), 1,
      anon_sym_LT,
    ACTIONS(6468), 1,
      anon_sym_LPAREN,
    STATE(5417), 1,
      sym_type_parameters,
    STATE(5684), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [152116] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(7887), 1,
      anon_sym_DQUOTE,
    STATE(4492), 1,
      aux_sym_string_repeat1,
    ACTIONS(8018), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [152133] = 5,
    ACTIONS(6622), 1,
      anon_sym_AMP,
    ACTIONS(6624), 1,
      anon_sym_PIPE,
    ACTIONS(6626), 1,
      anon_sym_extends,
    ACTIONS(8020), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [152150] = 5,
    ACTIONS(6622), 1,
      anon_sym_AMP,
    ACTIONS(6624), 1,
      anon_sym_PIPE,
    ACTIONS(6626), 1,
      anon_sym_extends,
    ACTIONS(8022), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [152167] = 5,
    ACTIONS(6622), 1,
      anon_sym_AMP,
    ACTIONS(6624), 1,
      anon_sym_PIPE,
    ACTIONS(6626), 1,
      anon_sym_extends,
    ACTIONS(8024), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [152184] = 5,
    ACTIONS(6622), 1,
      anon_sym_AMP,
    ACTIONS(6624), 1,
      anon_sym_PIPE,
    ACTIONS(6626), 1,
      anon_sym_extends,
    ACTIONS(8026), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [152201] = 4,
    ACTIONS(5048), 1,
      anon_sym_COMMA,
    STATE(4463), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7289), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [152216] = 3,
    ACTIONS(6366), 1,
      anon_sym_DOT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6364), 3,
      anon_sym_LPAREN,
      anon_sym_QMARK_DOT,
      anon_sym_LT,
  [152229] = 5,
    ACTIONS(6622), 1,
      anon_sym_AMP,
    ACTIONS(6624), 1,
      anon_sym_PIPE,
    ACTIONS(6626), 1,
      anon_sym_extends,
    ACTIONS(8028), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [152246] = 4,
    ACTIONS(7995), 1,
      anon_sym_COMMA,
    STATE(4502), 1,
      aux_sym_extends_clause_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8030), 2,
      anon_sym_LBRACE,
      anon_sym_implements,
  [152261] = 5,
    ACTIONS(7949), 1,
      sym_identifier,
    ACTIONS(7951), 1,
      anon_sym_const,
    ACTIONS(8032), 1,
      anon_sym_GT,
    STATE(5280), 1,
      sym_type_parameter,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [152278] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8034), 4,
      sym__automatic_semicolon,
      anon_sym_with,
      anon_sym_assert,
      anon_sym_SEMI,
  [152289] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6075), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [152300] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8036), 1,
      anon_sym_DQUOTE,
    STATE(4431), 1,
      aux_sym_string_repeat1,
    ACTIONS(7871), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [152317] = 5,
    ACTIONS(6622), 1,
      anon_sym_AMP,
    ACTIONS(6624), 1,
      anon_sym_PIPE,
    ACTIONS(6626), 1,
      anon_sym_extends,
    ACTIONS(8038), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [152334] = 5,
    ACTIONS(7949), 1,
      sym_identifier,
    ACTIONS(7951), 1,
      anon_sym_const,
    ACTIONS(8040), 1,
      anon_sym_GT,
    STATE(5280), 1,
      sym_type_parameter,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [152351] = 5,
    ACTIONS(6622), 1,
      anon_sym_AMP,
    ACTIONS(6624), 1,
      anon_sym_PIPE,
    ACTIONS(6626), 1,
      anon_sym_extends,
    ACTIONS(8042), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [152368] = 5,
    ACTIONS(2570), 1,
      anon_sym_LT,
    ACTIONS(6468), 1,
      anon_sym_LPAREN,
    STATE(5223), 1,
      sym_type_parameters,
    STATE(5614), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [152385] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8036), 1,
      anon_sym_SQUOTE,
    STATE(4436), 1,
      aux_sym_string_repeat2,
    ACTIONS(7857), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [152402] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(7855), 1,
      anon_sym_DQUOTE,
    STATE(4431), 1,
      aux_sym_string_repeat1,
    ACTIONS(7871), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [152419] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8044), 1,
      anon_sym_DQUOTE,
    STATE(4497), 1,
      aux_sym_string_repeat1,
    ACTIONS(8046), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [152436] = 5,
    ACTIONS(2570), 1,
      anon_sym_LT,
    ACTIONS(6468), 1,
      anon_sym_LPAREN,
    STATE(5225), 1,
      sym_type_parameters,
    STATE(5838), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [152453] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8044), 1,
      anon_sym_SQUOTE,
    STATE(4498), 1,
      aux_sym_string_repeat2,
    ACTIONS(8048), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [152470] = 5,
    ACTIONS(2570), 1,
      anon_sym_LT,
    ACTIONS(3288), 1,
      anon_sym_LPAREN,
    STATE(3703), 1,
      sym_formal_parameters,
    STATE(5259), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [152487] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8050), 1,
      anon_sym_DQUOTE,
    STATE(4431), 1,
      aux_sym_string_repeat1,
    ACTIONS(7871), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [152504] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8050), 1,
      anon_sym_SQUOTE,
    STATE(4436), 1,
      aux_sym_string_repeat2,
    ACTIONS(7857), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [152521] = 5,
    ACTIONS(99), 1,
      anon_sym_AT,
    ACTIONS(8052), 1,
      anon_sym_class,
    STATE(1297), 1,
      sym_decorator,
    STATE(3849), 1,
      aux_sym_export_statement_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [152538] = 5,
    ACTIONS(7178), 1,
      anon_sym_AMP,
    ACTIONS(7180), 1,
      anon_sym_PIPE,
    ACTIONS(7182), 1,
      anon_sym_extends,
    ACTIONS(8054), 1,
      anon_sym_QMARK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [152555] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8056), 1,
      anon_sym_DQUOTE,
    STATE(4506), 1,
      aux_sym_string_repeat1,
    ACTIONS(8058), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [152572] = 4,
    ACTIONS(8062), 1,
      anon_sym_COMMA,
    STATE(4502), 1,
      aux_sym_extends_clause_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8060), 2,
      anon_sym_LBRACE,
      anon_sym_implements,
  [152587] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8056), 1,
      anon_sym_SQUOTE,
    STATE(4510), 1,
      aux_sym_string_repeat2,
    ACTIONS(8065), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [152604] = 3,
    ACTIONS(8067), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8069), 3,
      sym__template_chars,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_LBRACE,
  [152617] = 5,
    ACTIONS(7178), 1,
      anon_sym_AMP,
    ACTIONS(7180), 1,
      anon_sym_PIPE,
    ACTIONS(7182), 1,
      anon_sym_extends,
    ACTIONS(8072), 1,
      anon_sym_QMARK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [152634] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8074), 1,
      anon_sym_DQUOTE,
    STATE(4431), 1,
      aux_sym_string_repeat1,
    ACTIONS(7871), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [152651] = 5,
    ACTIONS(7178), 1,
      anon_sym_AMP,
    ACTIONS(7180), 1,
      anon_sym_PIPE,
    ACTIONS(7182), 1,
      anon_sym_extends,
    ACTIONS(8076), 1,
      anon_sym_QMARK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [152668] = 5,
    ACTIONS(8078), 1,
      sym_identifier,
    STATE(3856), 1,
      sym_nested_type_identifier,
    STATE(4447), 1,
      sym_generic_type,
    STATE(5633), 1,
      sym_nested_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [152685] = 4,
    ACTIONS(7839), 1,
      anon_sym_from,
    STATE(5177), 1,
      sym__from_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5064), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [152700] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8074), 1,
      anon_sym_SQUOTE,
    STATE(4436), 1,
      aux_sym_string_repeat2,
    ACTIONS(7857), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [152717] = 5,
    ACTIONS(1909), 1,
      anon_sym_COMMA,
    ACTIONS(7926), 1,
      anon_sym_EQ,
    ACTIONS(8080), 1,
      anon_sym_RBRACK,
    STATE(4578), 1,
      aux_sym_array_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [152734] = 5,
    ACTIONS(2570), 1,
      anon_sym_LT,
    ACTIONS(6468), 1,
      anon_sym_LPAREN,
    STATE(5278), 1,
      sym_type_parameters,
    STATE(5699), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [152751] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(7997), 1,
      anon_sym_SQUOTE,
    STATE(4446), 1,
      aux_sym_string_repeat2,
    ACTIONS(8082), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [152768] = 5,
    ACTIONS(2570), 1,
      anon_sym_LT,
    ACTIONS(6468), 1,
      anon_sym_LPAREN,
    STATE(5466), 1,
      sym_type_parameters,
    STATE(5659), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [152785] = 4,
    ACTIONS(7839), 1,
      anon_sym_from,
    STATE(5249), 1,
      sym__from_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8084), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [152800] = 5,
    ACTIONS(2570), 1,
      anon_sym_LT,
    ACTIONS(6468), 1,
      anon_sym_LPAREN,
    STATE(5470), 1,
      sym_type_parameters,
    STATE(5683), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [152817] = 4,
    ACTIONS(7847), 1,
      anon_sym_COMMA,
    STATE(4392), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8086), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [152832] = 5,
    ACTIONS(7178), 1,
      anon_sym_AMP,
    ACTIONS(7180), 1,
      anon_sym_PIPE,
    ACTIONS(7182), 1,
      anon_sym_extends,
    ACTIONS(8088), 1,
      anon_sym_QMARK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [152849] = 5,
    ACTIONS(6670), 1,
      anon_sym_LPAREN,
    ACTIONS(6672), 1,
      anon_sym_LT,
    STATE(2919), 1,
      sym_arguments,
    STATE(2954), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [152866] = 5,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(8090), 1,
      anon_sym_LT,
    STATE(1580), 1,
      sym_arguments,
    STATE(1587), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [152883] = 5,
    ACTIONS(7178), 1,
      anon_sym_AMP,
    ACTIONS(7180), 1,
      anon_sym_PIPE,
    ACTIONS(7182), 1,
      anon_sym_extends,
    ACTIONS(8092), 1,
      anon_sym_QMARK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [152900] = 4,
    ACTIONS(7603), 1,
      anon_sym_EQ,
    STATE(5309), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8094), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [152915] = 4,
    ACTIONS(2482), 1,
      anon_sym_LBRACE,
    ACTIONS(8096), 1,
      anon_sym_LPAREN,
    STATE(786), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [152929] = 4,
    ACTIONS(7949), 1,
      sym_identifier,
    ACTIONS(7951), 1,
      anon_sym_const,
    STATE(4720), 1,
      sym_type_parameter,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [152943] = 4,
    ACTIONS(2570), 1,
      anon_sym_LT,
    ACTIONS(8098), 1,
      anon_sym_EQ,
    STATE(5632), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [152957] = 4,
    ACTIONS(5278), 1,
      anon_sym_COMMA,
    ACTIONS(8100), 1,
      anon_sym_RBRACE,
    STATE(4970), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [152971] = 4,
    ACTIONS(8102), 1,
      anon_sym_COMMA,
    ACTIONS(8104), 1,
      anon_sym_RBRACK,
    STATE(4644), 1,
      aux_sym_tuple_type_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [152985] = 4,
    ACTIONS(5080), 1,
      anon_sym_COMMA,
    ACTIONS(8106), 1,
      anon_sym_RBRACE,
    STATE(4971), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [152999] = 4,
    ACTIONS(5011), 1,
      anon_sym_extends,
    ACTIONS(8108), 1,
      anon_sym_AMP,
    ACTIONS(8110), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [153013] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8112), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [153023] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8114), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [153033] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8116), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [153043] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8118), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [153053] = 3,
    ACTIONS(7926), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8120), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [153065] = 4,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    ACTIONS(8122), 1,
      anon_sym_DOT,
    STATE(1581), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [153079] = 3,
    ACTIONS(8124), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8126), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [153091] = 4,
    ACTIONS(3234), 1,
      anon_sym_GT,
    ACTIONS(8128), 1,
      anon_sym_COMMA,
    STATE(4434), 1,
      aux_sym_implements_clause_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [153105] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8112), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [153115] = 4,
    ACTIONS(8130), 1,
      sym_identifier,
    ACTIONS(8132), 1,
      anon_sym_LBRACK,
    ACTIONS(8134), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [153129] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8136), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [153139] = 4,
    ACTIONS(7989), 1,
      anon_sym_GT,
    ACTIONS(8138), 1,
      anon_sym_COMMA,
    STATE(4685), 1,
      aux_sym_type_parameters_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [153153] = 4,
    ACTIONS(8140), 1,
      anon_sym_COMMA,
    ACTIONS(8142), 1,
      anon_sym_RBRACK,
    STATE(4556), 1,
      aux_sym_tuple_type_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [153167] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8144), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [153177] = 4,
    ACTIONS(4216), 1,
      anon_sym_extends,
    ACTIONS(8146), 1,
      anon_sym_AMP,
    ACTIONS(8148), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [153191] = 4,
    ACTIONS(3254), 1,
      anon_sym_GT,
    ACTIONS(8150), 1,
      anon_sym_COMMA,
    STATE(4434), 1,
      aux_sym_implements_clause_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [153205] = 4,
    ACTIONS(4866), 1,
      anon_sym_RPAREN,
    ACTIONS(8152), 1,
      anon_sym_COMMA,
    STATE(4546), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [153219] = 4,
    ACTIONS(1976), 1,
      anon_sym_COMMA,
    ACTIONS(5427), 1,
      anon_sym_RPAREN,
    STATE(4557), 1,
      aux_sym_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [153233] = 4,
    ACTIONS(1976), 1,
      anon_sym_COMMA,
    ACTIONS(5427), 1,
      anon_sym_RPAREN,
    STATE(4700), 1,
      aux_sym_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [153247] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5692), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [153257] = 4,
    ACTIONS(8155), 1,
      sym_identifier,
    ACTIONS(8157), 1,
      anon_sym_LBRACK,
    ACTIONS(8159), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [153271] = 4,
    ACTIONS(8161), 1,
      anon_sym_COMMA,
    ACTIONS(8163), 1,
      anon_sym_RPAREN,
    STATE(4894), 1,
      aux_sym_formal_parameters_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [153285] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7751), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [153295] = 3,
    ACTIONS(7926), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8165), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [153307] = 4,
    ACTIONS(1976), 1,
      anon_sym_COMMA,
    ACTIONS(5560), 1,
      anon_sym_RPAREN,
    STATE(4700), 1,
      aux_sym_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [153321] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8136), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [153331] = 4,
    ACTIONS(2990), 1,
      anon_sym_RBRACK,
    ACTIONS(8167), 1,
      anon_sym_COMMA,
    STATE(4939), 1,
      aux_sym_tuple_type_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [153345] = 4,
    ACTIONS(1976), 1,
      anon_sym_COMMA,
    ACTIONS(8169), 1,
      anon_sym_RPAREN,
    STATE(4700), 1,
      aux_sym_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [153359] = 4,
    ACTIONS(8171), 1,
      sym_identifier,
    ACTIONS(8173), 1,
      anon_sym_LBRACK,
    ACTIONS(8175), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [153373] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8177), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [153383] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8136), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [153393] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8136), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [153403] = 4,
    ACTIONS(1047), 1,
      anon_sym_LBRACE_PIPE,
    ACTIONS(1627), 1,
      anon_sym_LBRACE,
    STATE(4126), 1,
      sym_object_type,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [153417] = 4,
    ACTIONS(1976), 1,
      anon_sym_COMMA,
    ACTIONS(5356), 1,
      anon_sym_RPAREN,
    STATE(4676), 1,
      aux_sym_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [153431] = 4,
    ACTIONS(1976), 1,
      anon_sym_COMMA,
    ACTIONS(5356), 1,
      anon_sym_RPAREN,
    STATE(4700), 1,
      aux_sym_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [153445] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8144), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [153455] = 4,
    ACTIONS(5222), 1,
      anon_sym_COMMA,
    ACTIONS(8179), 1,
      anon_sym_RBRACK,
    STATE(4580), 1,
      aux_sym_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [153469] = 4,
    ACTIONS(5080), 1,
      anon_sym_COMMA,
    ACTIONS(8181), 1,
      anon_sym_RBRACE,
    STATE(4961), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [153483] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8183), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [153493] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8183), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [153503] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8136), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [153513] = 4,
    ACTIONS(1976), 1,
      anon_sym_COMMA,
    ACTIONS(5560), 1,
      anon_sym_RPAREN,
    STATE(4705), 1,
      aux_sym_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [153527] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8177), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [153537] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8114), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [153547] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8185), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [153557] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8112), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [153567] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8114), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [153577] = 4,
    ACTIONS(8187), 1,
      sym_identifier,
    ACTIONS(8189), 1,
      anon_sym_LBRACK,
    ACTIONS(8191), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [153591] = 4,
    ACTIONS(1909), 1,
      anon_sym_COMMA,
    ACTIONS(8193), 1,
      anon_sym_RBRACK,
    STATE(4609), 1,
      aux_sym_array_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [153605] = 4,
    ACTIONS(5222), 1,
      anon_sym_COMMA,
    ACTIONS(5262), 1,
      anon_sym_RBRACK,
    STATE(4580), 1,
      aux_sym_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [153619] = 4,
    ACTIONS(5692), 1,
      anon_sym_RBRACK,
    ACTIONS(8195), 1,
      anon_sym_COMMA,
    STATE(4580), 1,
      aux_sym_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [153633] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8183), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [153643] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8198), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [153653] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8114), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [153663] = 4,
    ACTIONS(6390), 1,
      anon_sym_LPAREN,
    ACTIONS(8200), 1,
      anon_sym_DOT,
    STATE(3300), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [153677] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8114), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [153687] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8136), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [153697] = 4,
    ACTIONS(8202), 1,
      anon_sym_COMMA,
    ACTIONS(8204), 1,
      anon_sym_RPAREN,
    STATE(4964), 1,
      aux_sym_formal_parameters_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [153711] = 3,
    ACTIONS(7785), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3699), 2,
      anon_sym_in,
      anon_sym_of,
  [153723] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7751), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [153733] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8136), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [153743] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8114), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [153753] = 4,
    ACTIONS(8206), 1,
      anon_sym_COMMA,
    ACTIONS(8208), 1,
      anon_sym_RBRACK,
    STATE(4606), 1,
      aux_sym_tuple_type_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [153767] = 4,
    ACTIONS(6824), 1,
      anon_sym_AMP,
    ACTIONS(6826), 1,
      anon_sym_PIPE,
    ACTIONS(6828), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [153781] = 4,
    ACTIONS(3252), 1,
      anon_sym_GT,
    ACTIONS(8210), 1,
      anon_sym_COMMA,
    STATE(4434), 1,
      aux_sym_implements_clause_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [153795] = 4,
    ACTIONS(1976), 1,
      anon_sym_COMMA,
    ACTIONS(5429), 1,
      anon_sym_RPAREN,
    STATE(4607), 1,
      aux_sym_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [153809] = 4,
    ACTIONS(1976), 1,
      anon_sym_COMMA,
    ACTIONS(5429), 1,
      anon_sym_RPAREN,
    STATE(4700), 1,
      aux_sym_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [153823] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8212), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [153833] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8185), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [153843] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8177), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [153853] = 4,
    ACTIONS(8214), 1,
      sym_identifier,
    ACTIONS(8216), 1,
      anon_sym_LBRACK,
    ACTIONS(8218), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [153867] = 4,
    ACTIONS(8220), 1,
      sym_identifier,
    ACTIONS(8222), 1,
      anon_sym_LBRACK,
    ACTIONS(8224), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [153881] = 4,
    ACTIONS(8226), 1,
      sym_identifier,
    ACTIONS(8228), 1,
      anon_sym_LBRACK,
    ACTIONS(8230), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [153895] = 4,
    ACTIONS(8232), 1,
      sym_identifier,
    ACTIONS(8234), 1,
      anon_sym_LBRACK,
    ACTIONS(8236), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [153909] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8114), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [153919] = 4,
    ACTIONS(8238), 1,
      sym_identifier,
    ACTIONS(8240), 1,
      anon_sym_LBRACK,
    ACTIONS(8242), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [153933] = 4,
    ACTIONS(2978), 1,
      anon_sym_RBRACK,
    ACTIONS(8244), 1,
      anon_sym_COMMA,
    STATE(4939), 1,
      aux_sym_tuple_type_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [153947] = 4,
    ACTIONS(1976), 1,
      anon_sym_COMMA,
    ACTIONS(8246), 1,
      anon_sym_RPAREN,
    STATE(4700), 1,
      aux_sym_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [153961] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8177), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [153971] = 4,
    ACTIONS(8165), 1,
      anon_sym_RBRACK,
    ACTIONS(8248), 1,
      anon_sym_COMMA,
    STATE(4609), 1,
      aux_sym_array_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [153985] = 3,
    ACTIONS(7042), 1,
      anon_sym_DOT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8251), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [153997] = 3,
    ACTIONS(7058), 1,
      anon_sym_DOT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8251), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [154009] = 3,
    ACTIONS(7587), 1,
      anon_sym_LBRACE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7589), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE_PIPE,
  [154021] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8253), 1,
      sym__glimmer_template_content,
    ACTIONS(8256), 1,
      sym_glimmer_closing_tag,
    STATE(4613), 1,
      aux_sym_glimmer_template_repeat1,
  [154037] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8136), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [154047] = 4,
    ACTIONS(1909), 1,
      anon_sym_COMMA,
    ACTIONS(8080), 1,
      anon_sym_RBRACK,
    STATE(4609), 1,
      aux_sym_array_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [154061] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8114), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [154071] = 4,
    ACTIONS(1909), 1,
      anon_sym_COMMA,
    ACTIONS(7928), 1,
      anon_sym_RBRACK,
    STATE(5000), 1,
      aux_sym_array_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [154085] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8114), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [154095] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8258), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [154105] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8136), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [154115] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8260), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [154125] = 4,
    ACTIONS(5222), 1,
      anon_sym_COMMA,
    ACTIONS(5308), 1,
      anon_sym_RBRACK,
    STATE(4994), 1,
      aux_sym_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [154139] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8114), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [154149] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8260), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [154159] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8262), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [154169] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8264), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [154179] = 4,
    ACTIONS(5222), 1,
      anon_sym_COMMA,
    ACTIONS(5308), 1,
      anon_sym_RBRACK,
    STATE(4580), 1,
      aux_sym_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [154193] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8116), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [154203] = 4,
    ACTIONS(1909), 1,
      anon_sym_COMMA,
    ACTIONS(7928), 1,
      anon_sym_RBRACK,
    STATE(4609), 1,
      aux_sym_array_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [154217] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8136), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [154227] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8266), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [154237] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8268), 1,
      sym__glimmer_template_content,
    ACTIONS(8270), 1,
      sym_glimmer_closing_tag,
    STATE(4613), 1,
      aux_sym_glimmer_template_repeat1,
  [154253] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8144), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [154263] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8177), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [154273] = 4,
    ACTIONS(3242), 1,
      anon_sym_GT,
    ACTIONS(8272), 1,
      anon_sym_COMMA,
    STATE(4434), 1,
      aux_sym_implements_clause_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [154287] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8264), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [154297] = 4,
    ACTIONS(1976), 1,
      anon_sym_COMMA,
    ACTIONS(5431), 1,
      anon_sym_RPAREN,
    STATE(4640), 1,
      aux_sym_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [154311] = 4,
    ACTIONS(1976), 1,
      anon_sym_COMMA,
    ACTIONS(5431), 1,
      anon_sym_RPAREN,
    STATE(4700), 1,
      aux_sym_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [154325] = 3,
    ACTIONS(8274), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8276), 2,
      anon_sym_COMMA,
      anon_sym_from,
  [154337] = 4,
    ACTIONS(1976), 1,
      anon_sym_COMMA,
    ACTIONS(8278), 1,
      anon_sym_RPAREN,
    STATE(4700), 1,
      aux_sym_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [154351] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7224), 3,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
  [154361] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8183), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [154371] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8280), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [154381] = 4,
    ACTIONS(2986), 1,
      anon_sym_RBRACK,
    ACTIONS(8282), 1,
      anon_sym_COMMA,
    STATE(4939), 1,
      aux_sym_tuple_type_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [154395] = 4,
    ACTIONS(4879), 1,
      anon_sym_COMMA,
    ACTIONS(7289), 1,
      anon_sym_RPAREN,
    STATE(4546), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [154409] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8284), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [154419] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8136), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [154429] = 4,
    ACTIONS(1976), 1,
      anon_sym_COMMA,
    ACTIONS(5433), 1,
      anon_sym_RPAREN,
    STATE(4651), 1,
      aux_sym_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [154443] = 4,
    ACTIONS(1976), 1,
      anon_sym_COMMA,
    ACTIONS(5433), 1,
      anon_sym_RPAREN,
    STATE(4700), 1,
      aux_sym_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [154457] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8286), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [154467] = 4,
    ACTIONS(1976), 1,
      anon_sym_COMMA,
    ACTIONS(8288), 1,
      anon_sym_RPAREN,
    STATE(4700), 1,
      aux_sym_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [154481] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8290), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [154491] = 4,
    ACTIONS(2988), 1,
      anon_sym_RBRACK,
    ACTIONS(8292), 1,
      anon_sym_COMMA,
    STATE(4939), 1,
      aux_sym_tuple_type_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [154505] = 3,
    ACTIONS(8294), 1,
      anon_sym_as,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8296), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [154517] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8298), 3,
      sym__automatic_semicolon,
      anon_sym_from,
      anon_sym_SEMI,
  [154527] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8136), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [154537] = 4,
    ACTIONS(5278), 1,
      anon_sym_COMMA,
    ACTIONS(8300), 1,
      anon_sym_RBRACE,
    STATE(4970), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [154551] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8144), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [154561] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8302), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [154571] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8284), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [154581] = 4,
    ACTIONS(8304), 1,
      anon_sym_LPAREN,
    ACTIONS(8306), 1,
      anon_sym_await,
    STATE(34), 1,
      sym__for_header,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [154595] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8308), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [154605] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8310), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [154615] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8310), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [154625] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8312), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [154635] = 4,
    ACTIONS(6908), 1,
      anon_sym_RBRACE,
    ACTIONS(8314), 1,
      anon_sym_COMMA,
    STATE(4750), 1,
      aux_sym_export_clause_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [154649] = 4,
    ACTIONS(7839), 1,
      anon_sym_from,
    ACTIONS(8316), 1,
      anon_sym_as,
    STATE(5198), 1,
      sym__from_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [154663] = 4,
    ACTIONS(2292), 1,
      anon_sym_LBRACE,
    ACTIONS(8318), 1,
      sym_identifier,
    STATE(4470), 1,
      sym_export_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [154677] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8177), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [154687] = 4,
    ACTIONS(1047), 1,
      anon_sym_LBRACE_PIPE,
    ACTIONS(1627), 1,
      anon_sym_LBRACE,
    STATE(4201), 1,
      sym_object_type,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [154701] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8284), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [154711] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8284), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [154721] = 4,
    ACTIONS(8320), 1,
      anon_sym_COMMA,
    ACTIONS(8322), 1,
      anon_sym_RBRACE,
    STATE(4730), 1,
      aux_sym_enum_body_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [154735] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8324), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [154745] = 3,
    ACTIONS(8326), 1,
      anon_sym_LBRACE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7721), 2,
      anon_sym_extends,
      anon_sym_LBRACE_PIPE,
  [154757] = 4,
    ACTIONS(1976), 1,
      anon_sym_COMMA,
    ACTIONS(8328), 1,
      anon_sym_RPAREN,
    STATE(4700), 1,
      aux_sym_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [154771] = 3,
    ACTIONS(8330), 1,
      anon_sym_as,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8276), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [154783] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8308), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [154793] = 4,
    ACTIONS(7949), 1,
      sym_identifier,
    ACTIONS(7951), 1,
      anon_sym_const,
    STATE(4778), 1,
      sym_type_parameter,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [154807] = 4,
    ACTIONS(6062), 1,
      anon_sym_LPAREN,
    ACTIONS(8332), 1,
      anon_sym_DOT,
    STATE(2940), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [154821] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8284), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [154831] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8144), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [154841] = 4,
    ACTIONS(8334), 1,
      sym_identifier,
    STATE(3887), 1,
      sym_decorator_member_expression,
    STATE(5691), 1,
      sym_decorator_call_expression,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [154855] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8136), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [154865] = 4,
    ACTIONS(8336), 1,
      anon_sym_COMMA,
    ACTIONS(8339), 1,
      anon_sym_GT,
    STATE(4685), 1,
      aux_sym_type_parameters_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [154879] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6364), 3,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LT,
  [154889] = 4,
    ACTIONS(1635), 1,
      anon_sym_DQUOTE,
    ACTIONS(1637), 1,
      anon_sym_SQUOTE,
    STATE(4415), 1,
      sym_string,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [154903] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8324), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [154913] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8284), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [154923] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8308), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [154933] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8310), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [154943] = 4,
    ACTIONS(219), 1,
      anon_sym_LBRACE_PIPE,
    ACTIONS(1541), 1,
      anon_sym_LBRACE,
    STATE(873), 1,
      sym_object_type,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [154957] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8324), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [154967] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8324), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [154977] = 4,
    ACTIONS(8341), 1,
      anon_sym_COMMA,
    ACTIONS(8344), 1,
      anon_sym_RPAREN,
    STATE(4695), 1,
      aux_sym_formal_parameters_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [154991] = 4,
    ACTIONS(2512), 1,
      anon_sym_while,
    ACTIONS(8346), 1,
      anon_sym_else,
    STATE(856), 1,
      sym_else_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [155005] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7920), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [155015] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8114), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [155025] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8310), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [155035] = 4,
    ACTIONS(5692), 1,
      anon_sym_RPAREN,
    ACTIONS(8348), 1,
      anon_sym_COMMA,
    STATE(4700), 1,
      aux_sym_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [155049] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8351), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [155059] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8185), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [155069] = 4,
    ACTIONS(8353), 1,
      anon_sym_COMMA,
    ACTIONS(8355), 1,
      anon_sym_RBRACE,
    STATE(4956), 1,
      aux_sym_enum_body_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [155083] = 4,
    ACTIONS(5278), 1,
      anon_sym_COMMA,
    ACTIONS(8300), 1,
      anon_sym_RBRACE,
    STATE(4965), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [155097] = 4,
    ACTIONS(1976), 1,
      anon_sym_COMMA,
    ACTIONS(8357), 1,
      anon_sym_RPAREN,
    STATE(4700), 1,
      aux_sym_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [155111] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8136), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [155121] = 4,
    ACTIONS(7318), 1,
      anon_sym_AMP,
    ACTIONS(7320), 1,
      anon_sym_PIPE,
    ACTIONS(7322), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [155135] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8351), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [155145] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8183), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [155155] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8312), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [155165] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8284), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [155175] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8284), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [155185] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8183), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [155195] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8308), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [155205] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8359), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [155215] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8177), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [155225] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8324), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [155235] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8324), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [155245] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8324), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [155255] = 4,
    ACTIONS(8361), 1,
      anon_sym_COMMA,
    ACTIONS(8363), 1,
      anon_sym_GT,
    STATE(5091), 1,
      aux_sym_type_parameters_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [155269] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8324), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [155279] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8312), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [155289] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8324), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [155299] = 4,
    ACTIONS(8365), 1,
      anon_sym_LPAREN,
    ACTIONS(8367), 1,
      anon_sym_await,
    STATE(36), 1,
      sym__for_header,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [155313] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8324), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [155323] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8351), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [155333] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8144), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [155343] = 4,
    ACTIONS(8369), 1,
      anon_sym_COMMA,
    ACTIONS(8371), 1,
      anon_sym_RBRACE,
    STATE(4807), 1,
      aux_sym_enum_body_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [155357] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8185), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [155367] = 4,
    ACTIONS(8373), 1,
      anon_sym_COMMA,
    ACTIONS(8375), 1,
      anon_sym_RBRACE,
    STATE(4807), 1,
      aux_sym_enum_body_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [155381] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8351), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [155391] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8183), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [155401] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8359), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [155411] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8312), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [155421] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8116), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [155431] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8284), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [155441] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8284), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [155451] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8324), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [155461] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8308), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [155471] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8324), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [155481] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8377), 3,
      sym__automatic_semicolon,
      anon_sym_from,
      anon_sym_SEMI,
  [155491] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8183), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [155501] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8183), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [155511] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8312), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [155521] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8284), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [155531] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8284), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [155541] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8185), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [155551] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8308), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [155561] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8284), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [155571] = 4,
    ACTIONS(8379), 1,
      anon_sym_COMMA,
    ACTIONS(8382), 1,
      anon_sym_RBRACE,
    STATE(4750), 1,
      aux_sym_export_clause_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [155585] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8384), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [155595] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8351), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [155605] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8351), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [155615] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8284), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [155625] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8308), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [155635] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8310), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [155645] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8359), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [155655] = 4,
    ACTIONS(6866), 1,
      anon_sym_implements,
    ACTIONS(8386), 1,
      anon_sym_LBRACE,
    STATE(5624), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [155669] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8310), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [155679] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8351), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [155689] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8136), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [155699] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8351), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [155709] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8388), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [155719] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8359), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [155729] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6075), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [155739] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8390), 3,
      sym__automatic_semicolon,
      anon_sym_from,
      anon_sym_SEMI,
  [155749] = 4,
    ACTIONS(8392), 1,
      anon_sym_COMMA,
    ACTIONS(8394), 1,
      anon_sym_RBRACE,
    STATE(4666), 1,
      aux_sym_export_clause_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [155763] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8324), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [155773] = 3,
    ACTIONS(8396), 1,
      anon_sym_as,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8398), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [155785] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8312), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [155795] = 3,
    ACTIONS(8400), 1,
      anon_sym_LBRACE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7787), 2,
      anon_sym_extends,
      anon_sym_LBRACE_PIPE,
  [155807] = 4,
    ACTIONS(4633), 1,
      anon_sym_LPAREN,
    ACTIONS(8402), 1,
      anon_sym_DOT,
    STATE(2046), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [155821] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8324), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [155831] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8404), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [155841] = 3,
    ACTIONS(8406), 1,
      anon_sym_as,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6578), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [155853] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8136), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [155863] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8408), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [155873] = 4,
    ACTIONS(8410), 1,
      anon_sym_COMMA,
    ACTIONS(8412), 1,
      anon_sym_GT,
    STATE(4541), 1,
      aux_sym_type_parameters_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [155887] = 4,
    ACTIONS(6576), 1,
      anon_sym_type,
    ACTIONS(8414), 1,
      sym_identifier,
    STATE(5139), 1,
      sym__import_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [155901] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8351), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [155911] = 4,
    ACTIONS(7839), 1,
      anon_sym_from,
    ACTIONS(8316), 1,
      anon_sym_as,
    STATE(5288), 1,
      sym__from_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [155925] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8388), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [155935] = 4,
    ACTIONS(6576), 1,
      anon_sym_type,
    ACTIONS(8416), 1,
      sym_identifier,
    STATE(5339), 1,
      sym__import_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [155949] = 4,
    ACTIONS(6576), 1,
      anon_sym_type,
    ACTIONS(8418), 1,
      sym_identifier,
    STATE(5340), 1,
      sym__import_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [155963] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8351), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [155973] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8359), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [155983] = 4,
    ACTIONS(8420), 1,
      anon_sym_COMMA,
    ACTIONS(8423), 1,
      anon_sym_RBRACE,
    STATE(4787), 1,
      aux_sym_named_imports_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [155997] = 4,
    ACTIONS(3535), 1,
      anon_sym_LPAREN,
    ACTIONS(8332), 1,
      anon_sym_DOT,
    STATE(2940), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [156011] = 4,
    ACTIONS(1551), 1,
      anon_sym_DQUOTE,
    ACTIONS(1553), 1,
      anon_sym_SQUOTE,
    STATE(5562), 1,
      sym_string,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [156025] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8324), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [156035] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8136), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [156045] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8312), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [156055] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8408), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [156065] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8324), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [156075] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8324), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [156085] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8312), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [156095] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8324), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [156105] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8351), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [156115] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8425), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [156125] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8351), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [156135] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8116), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [156145] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8144), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [156155] = 4,
    ACTIONS(6670), 1,
      anon_sym_LPAREN,
    ACTIONS(8332), 1,
      anon_sym_DOT,
    STATE(2940), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [156169] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8312), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [156179] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8359), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [156189] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8324), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [156199] = 4,
    ACTIONS(8427), 1,
      anon_sym_COMMA,
    ACTIONS(8430), 1,
      anon_sym_RBRACE,
    STATE(4807), 1,
      aux_sym_enum_body_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [156213] = 3,
    ACTIONS(8432), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6767), 2,
      anon_sym_in,
      anon_sym_of,
  [156225] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7242), 3,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
  [156235] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7222), 3,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
  [156245] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8136), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [156255] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8324), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [156265] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8144), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [156275] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8284), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [156285] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8284), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [156295] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8308), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [156305] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8268), 1,
      sym__glimmer_template_content,
    ACTIONS(8434), 1,
      sym_glimmer_closing_tag,
    STATE(4613), 1,
      aux_sym_glimmer_template_repeat1,
  [156321] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8324), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [156331] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8312), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [156341] = 4,
    ACTIONS(3550), 1,
      anon_sym_COLON,
    ACTIONS(8436), 1,
      anon_sym_RPAREN,
    STATE(5606), 1,
      sym_type_annotation,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [156355] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8324), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [156365] = 4,
    ACTIONS(8438), 1,
      sym_identifier,
    ACTIONS(8440), 1,
      anon_sym_LBRACK,
    ACTIONS(8442), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [156379] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8177), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [156389] = 4,
    ACTIONS(5278), 1,
      anon_sym_COMMA,
    ACTIONS(8444), 1,
      anon_sym_RBRACE,
    STATE(4970), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [156403] = 4,
    ACTIONS(6576), 1,
      anon_sym_type,
    ACTIONS(8446), 1,
      sym_identifier,
    STATE(5140), 1,
      sym__import_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [156417] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8324), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [156427] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8312), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [156437] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8116), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [156447] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8284), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [156457] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8136), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [156467] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8144), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [156477] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8324), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [156487] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8448), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [156497] = 3,
    ACTIONS(8450), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8452), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [156509] = 4,
    ACTIONS(5080), 1,
      anon_sym_COMMA,
    ACTIONS(8454), 1,
      anon_sym_RBRACE,
    STATE(4971), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [156523] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8351), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [156533] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8456), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [156543] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8144), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [156553] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8284), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [156563] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8136), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [156573] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8448), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [156583] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8308), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [156593] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8284), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [156603] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8351), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [156613] = 4,
    ACTIONS(6753), 1,
      anon_sym_RBRACE,
    ACTIONS(8458), 1,
      anon_sym_COMMA,
    STATE(4787), 1,
      aux_sym_named_imports_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [156627] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8460), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [156637] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8448), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [156647] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8359), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [156657] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8462), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [156667] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8136), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [156677] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8324), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [156687] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8462), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [156697] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8464), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [156707] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8284), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [156717] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8177), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [156727] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8308), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [156737] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8310), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [156747] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8310), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [156757] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8310), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [156767] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8310), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [156777] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8324), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [156787] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8466), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [156797] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8312), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [156807] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8177), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [156817] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8284), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [156827] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8324), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [156837] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8177), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [156847] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8136), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [156857] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8144), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [156867] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8114), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [156877] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8324), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [156887] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8351), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [156897] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8114), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [156907] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8351), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [156917] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8144), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [156927] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8468), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [156937] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8284), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [156947] = 4,
    ACTIONS(5080), 1,
      anon_sym_COMMA,
    ACTIONS(8181), 1,
      anon_sym_RBRACE,
    STATE(4971), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [156961] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8470), 1,
      sym__glimmer_template_content,
    ACTIONS(8472), 1,
      sym_glimmer_closing_tag,
    STATE(4817), 1,
      aux_sym_glimmer_template_repeat1,
  [156977] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8474), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [156987] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8359), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [156997] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8324), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [157007] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8324), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [157017] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8308), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [157027] = 3,
    ACTIONS(7042), 1,
      anon_sym_DOT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8476), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [157039] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8177), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [157049] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8114), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [157059] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8478), 3,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_implements,
  [157069] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8116), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [157079] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8384), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [157089] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8312), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [157099] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8144), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [157109] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8351), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [157119] = 4,
    ACTIONS(1679), 1,
      anon_sym_RPAREN,
    ACTIONS(8480), 1,
      anon_sym_COMMA,
    STATE(4695), 1,
      aux_sym_formal_parameters_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [157133] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8183), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [157143] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8351), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [157153] = 4,
    ACTIONS(7486), 1,
      anon_sym_COMMA,
    ACTIONS(8482), 1,
      anon_sym_LBRACE,
    STATE(4434), 1,
      aux_sym_implements_clause_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [157167] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8359), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [157177] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8312), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [157187] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8351), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [157197] = 4,
    ACTIONS(5278), 1,
      anon_sym_COMMA,
    ACTIONS(8484), 1,
      anon_sym_RBRACE,
    STATE(4941), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [157211] = 4,
    ACTIONS(5278), 1,
      anon_sym_COMMA,
    ACTIONS(8484), 1,
      anon_sym_RBRACE,
    STATE(4970), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [157225] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8351), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [157235] = 4,
    ACTIONS(8486), 1,
      anon_sym_COMMA,
    ACTIONS(8488), 1,
      anon_sym_RPAREN,
    STATE(4947), 1,
      aux_sym_formal_parameters_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [157249] = 4,
    ACTIONS(5278), 1,
      anon_sym_COMMA,
    ACTIONS(8490), 1,
      anon_sym_RBRACE,
    STATE(4970), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [157263] = 4,
    ACTIONS(5080), 1,
      anon_sym_COMMA,
    ACTIONS(8492), 1,
      anon_sym_RBRACE,
    STATE(4971), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [157277] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8284), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [157287] = 4,
    ACTIONS(5080), 1,
      anon_sym_COMMA,
    ACTIONS(8494), 1,
      anon_sym_RBRACE,
    STATE(4971), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [157301] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8284), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [157311] = 4,
    ACTIONS(5278), 1,
      anon_sym_COMMA,
    ACTIONS(8496), 1,
      anon_sym_RBRACE,
    STATE(4970), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [157325] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8308), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [157335] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8359), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [157345] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8324), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [157355] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8324), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [157365] = 4,
    ACTIONS(8498), 1,
      anon_sym_COMMA,
    ACTIONS(8500), 1,
      anon_sym_RBRACK,
    STATE(4653), 1,
      aux_sym_tuple_type_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [157379] = 3,
    ACTIONS(7058), 1,
      anon_sym_DOT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8476), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [157391] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8312), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [157401] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8183), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [157411] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8351), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [157421] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8502), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [157431] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8351), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [157441] = 4,
    ACTIONS(2292), 1,
      anon_sym_LBRACE,
    ACTIONS(8504), 1,
      sym_identifier,
    STATE(4509), 1,
      sym_export_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [157455] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8312), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [157465] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8359), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [157475] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8324), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [157485] = 4,
    ACTIONS(3507), 1,
      anon_sym_LPAREN,
    ACTIONS(8506), 1,
      anon_sym_DOT,
    STATE(3164), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [157499] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8312), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [157509] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8136), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [157519] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8324), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [157529] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8324), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [157539] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8312), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [157549] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8284), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [157559] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8324), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [157569] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8284), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [157579] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8508), 1,
      sym__glimmer_template_content,
    ACTIONS(8510), 1,
      sym_glimmer_closing_tag,
    STATE(4632), 1,
      aux_sym_glimmer_template_repeat1,
  [157595] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8351), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [157605] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7220), 3,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
  [157615] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8308), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [157625] = 4,
    ACTIONS(8512), 1,
      anon_sym_COMMA,
    ACTIONS(8515), 1,
      anon_sym_RBRACK,
    STATE(4939), 1,
      aux_sym_tuple_type_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [157639] = 4,
    ACTIONS(5278), 1,
      anon_sym_COMMA,
    ACTIONS(8517), 1,
      anon_sym_RBRACE,
    STATE(4970), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [157653] = 4,
    ACTIONS(5278), 1,
      anon_sym_COMMA,
    ACTIONS(8519), 1,
      anon_sym_RBRACE,
    STATE(4970), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [157667] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8521), 3,
      sym__template_chars,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_LBRACE,
  [157677] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8312), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [157687] = 3,
    ACTIONS(4195), 1,
      anon_sym_LBRACE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4197), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE_PIPE,
  [157699] = 3,
    ACTIONS(4308), 1,
      anon_sym_LBRACE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4310), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE_PIPE,
  [157711] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8312), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [157721] = 4,
    ACTIONS(1687), 1,
      anon_sym_RPAREN,
    ACTIONS(8523), 1,
      anon_sym_COMMA,
    STATE(4695), 1,
      aux_sym_formal_parameters_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [157735] = 4,
    ACTIONS(7949), 1,
      sym_identifier,
    ACTIONS(7951), 1,
      anon_sym_const,
    STATE(5280), 1,
      sym_type_parameter,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [157749] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8284), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [157759] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8284), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [157769] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8185), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [157779] = 4,
    ACTIONS(8525), 1,
      anon_sym_COMMA,
    ACTIONS(8527), 1,
      anon_sym_RBRACE,
    STATE(4807), 1,
      aux_sym_enum_body_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [157793] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8308), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [157803] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8284), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [157813] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8284), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [157823] = 4,
    ACTIONS(8529), 1,
      anon_sym_COMMA,
    ACTIONS(8531), 1,
      anon_sym_RBRACE,
    STATE(4807), 1,
      aux_sym_enum_body_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [157837] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8136), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [157847] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8308), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [157857] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8310), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [157867] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8310), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [157877] = 4,
    ACTIONS(5080), 1,
      anon_sym_COMMA,
    ACTIONS(8533), 1,
      anon_sym_RBRACE,
    STATE(4971), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [157891] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8351), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [157901] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7114), 3,
      anon_sym_LBRACK,
      sym_identifier,
      sym_private_property_identifier,
  [157911] = 4,
    ACTIONS(1681), 1,
      anon_sym_RPAREN,
    ACTIONS(8535), 1,
      anon_sym_COMMA,
    STATE(4695), 1,
      aux_sym_formal_parameters_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [157925] = 4,
    ACTIONS(5278), 1,
      anon_sym_COMMA,
    ACTIONS(8537), 1,
      anon_sym_RBRACE,
    STATE(4970), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [157939] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8359), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [157949] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8539), 3,
      sym__automatic_semicolon,
      anon_sym_from,
      anon_sym_SEMI,
  [157959] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8312), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [157969] = 4,
    ACTIONS(8541), 1,
      anon_sym_COMMA,
    ACTIONS(8543), 1,
      anon_sym_RBRACK,
    STATE(5029), 1,
      aux_sym_tuple_type_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [157983] = 4,
    ACTIONS(8545), 1,
      anon_sym_COMMA,
    ACTIONS(8548), 1,
      anon_sym_RBRACE,
    STATE(4970), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [157997] = 4,
    ACTIONS(8550), 1,
      anon_sym_COMMA,
    ACTIONS(8553), 1,
      anon_sym_RBRACE,
    STATE(4971), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [158011] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8324), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158021] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8284), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158031] = 4,
    ACTIONS(8555), 1,
      sym_identifier,
    ACTIONS(8557), 1,
      anon_sym_require,
    STATE(4916), 1,
      sym_nested_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [158045] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8284), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158055] = 4,
    ACTIONS(6705), 1,
      anon_sym_AMP,
    ACTIONS(6709), 1,
      anon_sym_extends,
    ACTIONS(7577), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [158069] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8502), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158079] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8114), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158089] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8308), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158099] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8324), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158109] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8284), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158119] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8324), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158129] = 4,
    ACTIONS(6622), 1,
      anon_sym_AMP,
    ACTIONS(6624), 1,
      anon_sym_PIPE,
    ACTIONS(6626), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [158143] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8284), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158153] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8324), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158163] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8324), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158173] = 4,
    ACTIONS(8559), 1,
      anon_sym_COMMA,
    ACTIONS(8561), 1,
      anon_sym_RBRACE,
    STATE(4845), 1,
      aux_sym_named_imports_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [158187] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6578), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_from,
  [158197] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8308), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158207] = 3,
    ACTIONS(8563), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8276), 2,
      anon_sym_COMMA,
      anon_sym_from,
  [158219] = 4,
    ACTIONS(3224), 1,
      anon_sym_GT,
    ACTIONS(8565), 1,
      anon_sym_COMMA,
    STATE(4434), 1,
      aux_sym_implements_clause_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [158233] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8310), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158243] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8310), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158253] = 4,
    ACTIONS(5222), 1,
      anon_sym_COMMA,
    ACTIONS(8567), 1,
      anon_sym_RBRACK,
    STATE(4580), 1,
      aux_sym_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [158267] = 4,
    ACTIONS(2570), 1,
      anon_sym_LT,
    ACTIONS(8569), 1,
      anon_sym_EQ,
    STATE(5640), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [158281] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8177), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158291] = 4,
    ACTIONS(1976), 1,
      anon_sym_COMMA,
    ACTIONS(5421), 1,
      anon_sym_RPAREN,
    STATE(5034), 1,
      aux_sym_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [158305] = 4,
    ACTIONS(1976), 1,
      anon_sym_COMMA,
    ACTIONS(5421), 1,
      anon_sym_RPAREN,
    STATE(4700), 1,
      aux_sym_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [158319] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8144), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158329] = 4,
    ACTIONS(1909), 1,
      anon_sym_COMMA,
    ACTIONS(8571), 1,
      anon_sym_RBRACK,
    STATE(4609), 1,
      aux_sym_array_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [158343] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8573), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158353] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8324), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158363] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8114), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158373] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8198), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158383] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8136), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158393] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8136), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158403] = 4,
    ACTIONS(8575), 1,
      sym_identifier,
    ACTIONS(8577), 1,
      anon_sym_LBRACK,
    ACTIONS(8579), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [158417] = 4,
    ACTIONS(8581), 1,
      sym_identifier,
    ACTIONS(8583), 1,
      anon_sym_LBRACK,
    ACTIONS(8585), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [158431] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8587), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158441] = 4,
    ACTIONS(8589), 1,
      sym_identifier,
    ACTIONS(8591), 1,
      anon_sym_LBRACK,
    ACTIONS(8593), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [158455] = 4,
    ACTIONS(8595), 1,
      sym_identifier,
    ACTIONS(8597), 1,
      anon_sym_LBRACK,
    ACTIONS(8599), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [158469] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8114), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158479] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8601), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158489] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8573), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158499] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8603), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158509] = 3,
    ACTIONS(7238), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3699), 2,
      anon_sym_in,
      anon_sym_of,
  [158521] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8136), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158531] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8605), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158541] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8144), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158551] = 4,
    ACTIONS(1909), 1,
      anon_sym_COMMA,
    ACTIONS(8080), 1,
      anon_sym_RBRACK,
    STATE(4578), 1,
      aux_sym_array_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [158565] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8607), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158575] = 4,
    ACTIONS(7178), 1,
      anon_sym_AMP,
    ACTIONS(7180), 1,
      anon_sym_PIPE,
    ACTIONS(7182), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [158589] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8607), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158599] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8183), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158609] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8408), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158619] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8603), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158629] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8607), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158639] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8609), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158649] = 4,
    ACTIONS(2972), 1,
      anon_sym_RBRACK,
    ACTIONS(8611), 1,
      anon_sym_COMMA,
    STATE(4939), 1,
      aux_sym_tuple_type_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [158663] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8607), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158673] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8613), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158683] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8615), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158693] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8183), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158703] = 4,
    ACTIONS(1976), 1,
      anon_sym_COMMA,
    ACTIONS(8617), 1,
      anon_sym_RPAREN,
    STATE(4700), 1,
      aux_sym_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [158717] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8619), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158727] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8601), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158737] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8136), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158747] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8621), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158757] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8613), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158767] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8623), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158777] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8177), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158787] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8625), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158797] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8607), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158807] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8619), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158817] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8627), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158827] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8114), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158837] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8114), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158847] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8136), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158857] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8114), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158867] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8136), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158877] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8177), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158887] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8114), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158897] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8114), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158907] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8114), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158917] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8114), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158927] = 4,
    ACTIONS(3226), 1,
      anon_sym_GT,
    ACTIONS(8629), 1,
      anon_sym_COMMA,
    STATE(4434), 1,
      aux_sym_implements_clause_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [158941] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8136), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158951] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8631), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158961] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8633), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158971] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8136), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158981] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8177), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158991] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8114), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [159001] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8114), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [159011] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8607), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [159021] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8607), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [159031] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8116), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [159041] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8136), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [159051] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8136), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [159061] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8177), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [159071] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8136), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [159081] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8136), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [159091] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8177), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [159101] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8114), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [159111] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8114), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [159121] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8136), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [159131] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8114), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [159141] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8136), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [159151] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8603), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [159161] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8177), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [159171] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8114), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [159181] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8114), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [159191] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8114), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [159201] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8114), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [159211] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8607), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [159221] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8607), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [159231] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8607), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [159241] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8635), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [159251] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8116), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [159261] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8607), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [159271] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8136), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [159281] = 4,
    ACTIONS(8040), 1,
      anon_sym_GT,
    ACTIONS(8637), 1,
      anon_sym_COMMA,
    STATE(4685), 1,
      aux_sym_type_parameters_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [159295] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8631), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [159305] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8607), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [159315] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8607), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [159325] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8601), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [159335] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8136), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [159345] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8607), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [159355] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8177), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [159365] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8607), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [159375] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8607), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [159385] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8198), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [159395] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8144), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [159405] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8613), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [159415] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8116), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [159425] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8613), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [159435] = 3,
    ACTIONS(8639), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3613), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [159447] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8198), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [159457] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8625), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [159467] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8112), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [159477] = 4,
    ACTIONS(219), 1,
      anon_sym_LBRACE_PIPE,
    ACTIONS(1541), 1,
      anon_sym_LBRACE,
    STATE(851), 1,
      sym_object_type,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [159491] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8607), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [159501] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8607), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [159511] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8116), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [159521] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8607), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [159531] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8198), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [159541] = 3,
    ACTIONS(8642), 1,
      anon_sym_LBRACE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7835), 2,
      anon_sym_extends,
      anon_sym_LBRACE_PIPE,
  [159553] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8183), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [159563] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8136), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [159573] = 4,
    ACTIONS(5222), 1,
      anon_sym_COMMA,
    ACTIONS(5262), 1,
      anon_sym_RBRACK,
    STATE(4566), 1,
      aux_sym_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [159587] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8136), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [159597] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8456), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [159607] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8177), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [159617] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8607), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [159627] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8185), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [159637] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8607), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [159647] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8116), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [159657] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8116), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [159667] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8144), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [159677] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8607), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [159687] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8607), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [159697] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8198), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [159707] = 4,
    ACTIONS(8644), 1,
      sym_identifier,
    STATE(3896), 1,
      sym_decorator_member_expression,
    STATE(5821), 1,
      sym_decorator_call_expression,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [159721] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8607), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [159731] = 4,
    ACTIONS(5080), 1,
      anon_sym_COMMA,
    ACTIONS(8106), 1,
      anon_sym_RBRACE,
    STATE(4908), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [159745] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8198), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [159755] = 4,
    ACTIONS(5278), 1,
      anon_sym_COMMA,
    ACTIONS(8100), 1,
      anon_sym_RBRACE,
    STATE(4910), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [159769] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8114), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [159779] = 3,
    ACTIONS(3288), 1,
      anon_sym_LPAREN,
    STATE(3699), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [159790] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8646), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [159799] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8648), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [159808] = 3,
    ACTIONS(7293), 1,
      anon_sym_LBRACE,
    STATE(2698), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [159819] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8423), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [159828] = 3,
    ACTIONS(7293), 1,
      anon_sym_LBRACE,
    STATE(2684), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [159839] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1711), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [159848] = 3,
    ACTIONS(7293), 1,
      anon_sym_LBRACE,
    STATE(2717), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [159859] = 3,
    ACTIONS(7293), 1,
      anon_sym_LBRACE,
    STATE(2693), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [159870] = 3,
    ACTIONS(4335), 1,
      anon_sym_LBRACE,
    STATE(2133), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [159881] = 3,
    ACTIONS(8650), 1,
      anon_sym_SEMI,
    ACTIONS(8652), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [159892] = 3,
    ACTIONS(7040), 1,
      anon_sym_LBRACE,
    STATE(4034), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [159903] = 3,
    ACTIONS(2482), 1,
      anon_sym_LBRACE,
    STATE(5461), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [159914] = 3,
    ACTIONS(8654), 1,
      anon_sym_SEMI,
    ACTIONS(8656), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [159925] = 3,
    ACTIONS(6468), 1,
      anon_sym_LPAREN,
    STATE(4298), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [159936] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8658), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [159945] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8660), 2,
      anon_sym_in,
      anon_sym_of,
  [159954] = 3,
    ACTIONS(7293), 1,
      anon_sym_LBRACE,
    STATE(2687), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [159965] = 3,
    ACTIONS(8662), 1,
      sym_identifier,
    ACTIONS(8664), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [159976] = 3,
    ACTIONS(8666), 1,
      anon_sym_LBRACE,
    STATE(4036), 1,
      sym_enum_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [159987] = 3,
    ACTIONS(8668), 1,
      sym_identifier,
    ACTIONS(8670), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [159998] = 3,
    ACTIONS(8672), 1,
      sym_identifier,
    ACTIONS(8674), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [160009] = 3,
    ACTIONS(6468), 1,
      anon_sym_LPAREN,
    STATE(5597), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [160020] = 3,
    ACTIONS(8676), 1,
      sym_identifier,
    ACTIONS(8678), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [160031] = 3,
    ACTIONS(4651), 1,
      anon_sym_LBRACE,
    STATE(2728), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [160042] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5050), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [160051] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6015), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [160060] = 3,
    ACTIONS(8680), 1,
      sym_identifier,
    ACTIONS(8682), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [160071] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8684), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [160080] = 3,
    ACTIONS(6757), 1,
      anon_sym_LBRACE,
    STATE(2583), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [160091] = 3,
    ACTIONS(8686), 1,
      sym_identifier,
    ACTIONS(8688), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [160102] = 3,
    ACTIONS(7293), 1,
      anon_sym_LBRACE,
    STATE(2671), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [160113] = 3,
    ACTIONS(8690), 1,
      anon_sym_LBRACE,
    STATE(5443), 1,
      sym_object,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [160124] = 3,
    ACTIONS(6757), 1,
      anon_sym_LBRACE,
    STATE(2585), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [160135] = 3,
    ACTIONS(8438), 1,
      sym_identifier,
    ACTIONS(8442), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [160146] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7803), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [160155] = 3,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    STATE(1671), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [160166] = 3,
    ACTIONS(7293), 1,
      anon_sym_LBRACE,
    STATE(2688), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [160177] = 3,
    ACTIONS(6468), 1,
      anon_sym_LPAREN,
    STATE(5688), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [160188] = 3,
    ACTIONS(8692), 1,
      anon_sym_SEMI,
    ACTIONS(8694), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [160199] = 3,
    ACTIONS(6468), 1,
      anon_sym_LPAREN,
    STATE(5765), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [160210] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8696), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [160219] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6050), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [160228] = 3,
    ACTIONS(2482), 1,
      anon_sym_LBRACE,
    STATE(5385), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [160239] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6083), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [160248] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8698), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [160257] = 3,
    ACTIONS(8700), 1,
      sym_identifier,
    ACTIONS(8702), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [160268] = 3,
    ACTIONS(7839), 1,
      anon_sym_from,
    STATE(3944), 1,
      sym__from_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [160279] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8704), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [160288] = 3,
    ACTIONS(6898), 1,
      anon_sym_LBRACE,
    STATE(219), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [160299] = 3,
    ACTIONS(8706), 1,
      anon_sym_LPAREN,
    STATE(796), 1,
      sym_parenthesized_expression,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [160310] = 3,
    ACTIONS(6900), 1,
      anon_sym_LBRACE,
    STATE(899), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [160321] = 3,
    ACTIONS(8708), 1,
      sym_identifier,
    ACTIONS(8710), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [160332] = 3,
    ACTIONS(8712), 1,
      sym_identifier,
    ACTIONS(8714), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [160343] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7401), 2,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
  [160352] = 3,
    ACTIONS(6470), 1,
      anon_sym_COLON,
    STATE(4799), 1,
      sym_type_annotation,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [160363] = 3,
    ACTIONS(2482), 1,
      anon_sym_LBRACE,
    STATE(5453), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [160374] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8716), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [160383] = 3,
    ACTIONS(8718), 1,
      sym_identifier,
    ACTIONS(8720), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [160394] = 3,
    ACTIONS(7293), 1,
      anon_sym_LBRACE,
    STATE(2677), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [160405] = 3,
    ACTIONS(8722), 1,
      anon_sym_SEMI,
    ACTIONS(8724), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [160416] = 3,
    ACTIONS(3550), 1,
      anon_sym_COLON,
    STATE(5292), 1,
      sym_type_annotation,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [160427] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8726), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [160436] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8728), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [160445] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6003), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [160454] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6038), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [160463] = 3,
    ACTIONS(8730), 1,
      sym_identifier,
    ACTIONS(8732), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [160474] = 3,
    ACTIONS(7293), 1,
      anon_sym_LBRACE,
    STATE(2705), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [160485] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6046), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [160494] = 3,
    ACTIONS(2482), 1,
      anon_sym_LBRACE,
    STATE(5216), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [160505] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6028), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [160514] = 3,
    ACTIONS(8734), 1,
      anon_sym_LBRACE,
    STATE(911), 1,
      sym_enum_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [160525] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8120), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [160534] = 3,
    ACTIONS(6733), 1,
      anon_sym_LBRACE,
    STATE(2356), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [160545] = 3,
    ACTIONS(8130), 1,
      sym_identifier,
    ACTIONS(8134), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [160556] = 3,
    ACTIONS(6757), 1,
      anon_sym_LBRACE,
    STATE(1665), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [160567] = 3,
    ACTIONS(8736), 1,
      anon_sym_LPAREN,
    STATE(32), 1,
      sym_parenthesized_expression,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [160578] = 3,
    ACTIONS(7293), 1,
      anon_sym_LBRACE,
    STATE(2661), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [160589] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6009), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [160598] = 3,
    ACTIONS(8736), 1,
      anon_sym_LPAREN,
    STATE(33), 1,
      sym_parenthesized_expression,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [160609] = 3,
    ACTIONS(2482), 1,
      anon_sym_LBRACE,
    STATE(5398), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [160620] = 3,
    ACTIONS(7293), 1,
      anon_sym_LBRACE,
    STATE(2711), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [160631] = 3,
    ACTIONS(6468), 1,
      anon_sym_LPAREN,
    STATE(5510), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [160642] = 3,
    ACTIONS(8736), 1,
      anon_sym_LPAREN,
    STATE(35), 1,
      sym_parenthesized_expression,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [160653] = 3,
    ACTIONS(3288), 1,
      anon_sym_LPAREN,
    STATE(3301), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [160664] = 3,
    ACTIONS(6468), 1,
      anon_sym_LPAREN,
    STATE(5820), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [160675] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6079), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [160684] = 3,
    ACTIONS(6468), 1,
      anon_sym_LPAREN,
    STATE(5500), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [160695] = 3,
    ACTIONS(2482), 1,
      anon_sym_LBRACE,
    STATE(820), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [160706] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8738), 2,
      anon_sym_COMMA,
      anon_sym_GT,
  [160715] = 3,
    ACTIONS(7293), 1,
      anon_sym_LBRACE,
    STATE(2664), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [160726] = 3,
    ACTIONS(6468), 1,
      anon_sym_LPAREN,
    STATE(5869), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [160737] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6003), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [160746] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6028), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [160755] = 3,
    ACTIONS(6868), 1,
      anon_sym_LBRACE,
    STATE(4199), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [160766] = 3,
    ACTIONS(8734), 1,
      anon_sym_LBRACE,
    STATE(845), 1,
      sym_enum_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [160777] = 3,
    ACTIONS(7293), 1,
      anon_sym_LBRACE,
    STATE(2716), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [160788] = 3,
    ACTIONS(2482), 1,
      anon_sym_LBRACE,
    STATE(5401), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [160799] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6009), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [160808] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6079), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [160817] = 3,
    ACTIONS(7839), 1,
      anon_sym_from,
    STATE(5148), 1,
      sym__from_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [160828] = 3,
    ACTIONS(8740), 1,
      anon_sym_LBRACE,
    STATE(862), 1,
      sym_switch_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [160839] = 3,
    ACTIONS(7839), 1,
      anon_sym_from,
    STATE(5248), 1,
      sym__from_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [160850] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8742), 2,
      anon_sym_COMMA,
      anon_sym_GT,
  [160859] = 3,
    ACTIONS(1721), 1,
      anon_sym_LBRACE,
    STATE(235), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [160870] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5999), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [160879] = 3,
    ACTIONS(6898), 1,
      anon_sym_LBRACE,
    STATE(221), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [160890] = 3,
    ACTIONS(7293), 1,
      anon_sym_LBRACE,
    STATE(2668), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [160901] = 3,
    ACTIONS(7293), 1,
      anon_sym_LBRACE,
    STATE(2653), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [160912] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8553), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [160921] = 3,
    ACTIONS(8744), 1,
      anon_sym_SEMI,
    ACTIONS(8746), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [160932] = 3,
    ACTIONS(8748), 1,
      anon_sym_SEMI,
    ACTIONS(8750), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [160943] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8548), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [160952] = 3,
    ACTIONS(4633), 1,
      anon_sym_LPAREN,
    STATE(2266), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [160963] = 3,
    ACTIONS(7293), 1,
      anon_sym_LBRACE,
    STATE(2673), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [160974] = 3,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    STATE(1690), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [160985] = 3,
    ACTIONS(8752), 1,
      anon_sym_LPAREN,
    STATE(37), 1,
      sym__for_header,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [160996] = 3,
    ACTIONS(6733), 1,
      anon_sym_LBRACE,
    STATE(2273), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [161007] = 3,
    ACTIONS(6733), 1,
      anon_sym_LBRACE,
    STATE(2234), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [161018] = 3,
    ACTIONS(7293), 1,
      anon_sym_LBRACE,
    STATE(2685), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [161029] = 3,
    ACTIONS(6468), 1,
      anon_sym_LPAREN,
    STATE(5605), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [161040] = 3,
    ACTIONS(3288), 1,
      anon_sym_LPAREN,
    STATE(3599), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [161051] = 3,
    ACTIONS(6468), 1,
      anon_sym_LPAREN,
    STATE(5706), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [161062] = 3,
    ACTIONS(6468), 1,
      anon_sym_LPAREN,
    STATE(5774), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [161073] = 3,
    ACTIONS(6468), 1,
      anon_sym_LPAREN,
    STATE(4107), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [161084] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8754), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [161093] = 3,
    ACTIONS(8756), 1,
      sym_identifier,
    STATE(4916), 1,
      sym_nested_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [161104] = 3,
    ACTIONS(4335), 1,
      anon_sym_LBRACE,
    STATE(2315), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [161115] = 3,
    ACTIONS(7293), 1,
      anon_sym_LBRACE,
    STATE(2672), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [161126] = 3,
    ACTIONS(4331), 1,
      anon_sym_LBRACE,
    STATE(1667), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [161137] = 3,
    ACTIONS(3550), 1,
      anon_sym_COLON,
    STATE(5200), 1,
      sym_type_annotation,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [161148] = 3,
    ACTIONS(6868), 1,
      anon_sym_LBRACE,
    STATE(777), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [161159] = 3,
    ACTIONS(6733), 1,
      anon_sym_LBRACE,
    STATE(2216), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [161170] = 3,
    ACTIONS(6468), 1,
      anon_sym_LPAREN,
    STATE(5756), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [161181] = 3,
    ACTIONS(6757), 1,
      anon_sym_LBRACE,
    STATE(1698), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [161192] = 3,
    ACTIONS(7293), 1,
      anon_sym_LBRACE,
    STATE(2670), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [161203] = 3,
    ACTIONS(8758), 1,
      sym_identifier,
    ACTIONS(8760), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [161214] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7430), 2,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
  [161223] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8762), 2,
      anon_sym_COMMA,
      anon_sym_GT,
  [161232] = 3,
    ACTIONS(6868), 1,
      anon_sym_LBRACE,
    STATE(4214), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [161243] = 3,
    ACTIONS(6468), 1,
      anon_sym_LPAREN,
    STATE(5831), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [161254] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4487), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [161263] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8339), 2,
      anon_sym_COMMA,
      anon_sym_GT,
  [161272] = 3,
    ACTIONS(6482), 1,
      anon_sym_LPAREN,
    STATE(3383), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [161283] = 3,
    ACTIONS(6757), 1,
      anon_sym_LBRACE,
    STATE(1723), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [161294] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8344), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [161303] = 3,
    ACTIONS(6868), 1,
      anon_sym_LBRACE,
    STATE(4215), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [161314] = 3,
    ACTIONS(8752), 1,
      anon_sym_LPAREN,
    STATE(62), 1,
      sym__for_header,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [161325] = 3,
    ACTIONS(7293), 1,
      anon_sym_LBRACE,
    STATE(2669), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [161336] = 3,
    ACTIONS(6900), 1,
      anon_sym_LBRACE,
    STATE(933), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [161347] = 3,
    ACTIONS(8764), 1,
      anon_sym_SEMI,
    ACTIONS(8766), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [161358] = 3,
    ACTIONS(8768), 1,
      sym_identifier,
    ACTIONS(8770), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [161369] = 3,
    ACTIONS(7293), 1,
      anon_sym_LBRACE,
    STATE(2702), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [161380] = 3,
    ACTIONS(7293), 1,
      anon_sym_LBRACE,
    STATE(2712), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [161391] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8772), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [161400] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8515), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [161409] = 3,
    ACTIONS(6757), 1,
      anon_sym_LBRACE,
    STATE(1699), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [161420] = 3,
    ACTIONS(4331), 1,
      anon_sym_LBRACE,
    STATE(1700), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [161431] = 3,
    ACTIONS(4331), 1,
      anon_sym_LBRACE,
    STATE(1701), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [161442] = 3,
    ACTIONS(8774), 1,
      sym_identifier,
    ACTIONS(8776), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [161453] = 3,
    ACTIONS(4335), 1,
      anon_sym_LBRACE,
    STATE(2237), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [161464] = 3,
    ACTIONS(7293), 1,
      anon_sym_LBRACE,
    STATE(2707), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [161475] = 3,
    ACTIONS(6757), 1,
      anon_sym_LBRACE,
    STATE(1702), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [161486] = 3,
    ACTIONS(6900), 1,
      anon_sym_LBRACE,
    STATE(893), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [161497] = 3,
    ACTIONS(6733), 1,
      anon_sym_LBRACE,
    STATE(2276), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [161508] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8778), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [161517] = 3,
    ACTIONS(8666), 1,
      anon_sym_LBRACE,
    STATE(4079), 1,
      sym_enum_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [161528] = 3,
    ACTIONS(8780), 1,
      sym_identifier,
    ACTIONS(8782), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [161539] = 3,
    ACTIONS(4335), 1,
      anon_sym_LBRACE,
    STATE(2160), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [161550] = 3,
    ACTIONS(1721), 1,
      anon_sym_LBRACE,
    STATE(224), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [161561] = 3,
    ACTIONS(4335), 1,
      anon_sym_LBRACE,
    STATE(2293), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [161572] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8784), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [161581] = 3,
    ACTIONS(8786), 1,
      anon_sym_SEMI,
    ACTIONS(8788), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [161592] = 3,
    ACTIONS(7293), 1,
      anon_sym_LBRACE,
    STATE(2699), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [161603] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8790), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [161612] = 3,
    ACTIONS(6868), 1,
      anon_sym_LBRACE,
    STATE(4152), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [161623] = 3,
    ACTIONS(8792), 1,
      anon_sym_COMMA,
    ACTIONS(8794), 1,
      anon_sym_from,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [161634] = 3,
    ACTIONS(8796), 1,
      sym_identifier,
    ACTIONS(8798), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [161645] = 3,
    ACTIONS(2482), 1,
      anon_sym_LBRACE,
    STATE(5224), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [161656] = 3,
    ACTIONS(4335), 1,
      anon_sym_LBRACE,
    STATE(2223), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [161667] = 3,
    ACTIONS(8800), 1,
      sym_identifier,
    ACTIONS(8802), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [161678] = 3,
    ACTIONS(8804), 1,
      sym_identifier,
    ACTIONS(8806), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [161689] = 3,
    ACTIONS(6898), 1,
      anon_sym_LBRACE,
    STATE(237), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [161700] = 3,
    ACTIONS(6900), 1,
      anon_sym_LBRACE,
    STATE(912), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [161711] = 3,
    ACTIONS(8736), 1,
      anon_sym_LPAREN,
    STATE(49), 1,
      sym_parenthesized_expression,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [161722] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8808), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [161731] = 3,
    ACTIONS(7293), 1,
      anon_sym_LBRACE,
    STATE(2674), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [161742] = 3,
    ACTIONS(7040), 1,
      anon_sym_LBRACE,
    STATE(797), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [161753] = 3,
    ACTIONS(8238), 1,
      sym_identifier,
    ACTIONS(8242), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [161764] = 3,
    ACTIONS(6868), 1,
      anon_sym_LBRACE,
    STATE(795), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [161775] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6046), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [161784] = 3,
    ACTIONS(2482), 1,
      anon_sym_LBRACE,
    STATE(5202), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [161795] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6038), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [161804] = 3,
    ACTIONS(2482), 1,
      anon_sym_LBRACE,
    STATE(5208), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [161815] = 3,
    ACTIONS(4633), 1,
      anon_sym_LPAREN,
    STATE(2350), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [161826] = 3,
    ACTIONS(6468), 1,
      anon_sym_LPAREN,
    STATE(3957), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [161837] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8810), 2,
      anon_sym_COMMA,
      anon_sym_GT,
  [161846] = 3,
    ACTIONS(4335), 1,
      anon_sym_LBRACE,
    STATE(2125), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [161857] = 3,
    ACTIONS(7293), 1,
      anon_sym_LBRACE,
    STATE(2675), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [161868] = 3,
    ACTIONS(6468), 1,
      anon_sym_LPAREN,
    STATE(5660), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [161879] = 3,
    ACTIONS(6733), 1,
      anon_sym_LBRACE,
    STATE(2131), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [161890] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8812), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [161899] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8814), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [161908] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4625), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [161917] = 3,
    ACTIONS(8816), 1,
      sym_identifier,
    ACTIONS(8818), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [161928] = 3,
    ACTIONS(7293), 1,
      anon_sym_LBRACE,
    STATE(2676), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [161939] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4549), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [161948] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4553), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [161957] = 3,
    ACTIONS(8820), 1,
      sym_identifier,
    ACTIONS(8822), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [161968] = 3,
    ACTIONS(8824), 1,
      sym_identifier,
    ACTIONS(8826), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [161979] = 3,
    ACTIONS(6468), 1,
      anon_sym_LPAREN,
    STATE(3840), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [161990] = 3,
    ACTIONS(8828), 1,
      sym_identifier,
    ACTIONS(8830), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [162001] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8832), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [162010] = 3,
    ACTIONS(7753), 1,
      anon_sym_in,
    ACTIONS(7755), 1,
      anon_sym_of,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [162021] = 3,
    ACTIONS(8834), 1,
      sym_identifier,
    ACTIONS(8836), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [162032] = 3,
    ACTIONS(8838), 1,
      sym_identifier,
    ACTIONS(8840), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [162043] = 3,
    ACTIONS(8842), 1,
      sym_identifier,
    ACTIONS(8844), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [162054] = 3,
    ACTIONS(6757), 1,
      anon_sym_LBRACE,
    STATE(2599), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [162065] = 3,
    ACTIONS(2482), 1,
      anon_sym_LBRACE,
    STATE(740), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [162076] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8165), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [162085] = 3,
    ACTIONS(8736), 1,
      anon_sym_LPAREN,
    STATE(55), 1,
      sym_parenthesized_expression,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [162096] = 3,
    ACTIONS(7293), 1,
      anon_sym_LBRACE,
    STATE(2678), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [162107] = 3,
    ACTIONS(7293), 1,
      anon_sym_LBRACE,
    STATE(2692), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [162118] = 3,
    ACTIONS(2482), 1,
      anon_sym_LBRACE,
    STATE(802), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [162129] = 3,
    ACTIONS(2482), 1,
      anon_sym_LBRACE,
    STATE(774), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [162140] = 3,
    ACTIONS(6898), 1,
      anon_sym_LBRACE,
    STATE(217), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [162151] = 3,
    ACTIONS(6733), 1,
      anon_sym_LBRACE,
    STATE(2289), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [162162] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6034), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [162171] = 3,
    ACTIONS(2482), 1,
      anon_sym_LBRACE,
    STATE(887), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [162182] = 3,
    ACTIONS(4335), 1,
      anon_sym_LBRACE,
    STATE(2295), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [162193] = 3,
    ACTIONS(8846), 1,
      sym_identifier,
    ACTIONS(8848), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [162204] = 3,
    ACTIONS(6733), 1,
      anon_sym_LBRACE,
    STATE(2243), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [162215] = 3,
    ACTIONS(7839), 1,
      anon_sym_from,
    STATE(4150), 1,
      sym__from_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [162226] = 3,
    ACTIONS(8850), 1,
      sym_identifier,
    ACTIONS(8852), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [162237] = 3,
    ACTIONS(8854), 1,
      sym_identifier,
    ACTIONS(8856), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [162248] = 3,
    ACTIONS(8575), 1,
      sym_identifier,
    ACTIONS(8579), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [162259] = 3,
    ACTIONS(6868), 1,
      anon_sym_LBRACE,
    STATE(4241), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [162270] = 3,
    ACTIONS(8858), 1,
      sym_identifier,
    ACTIONS(8860), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [162281] = 3,
    ACTIONS(8862), 1,
      sym_identifier,
    ACTIONS(8864), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [162292] = 3,
    ACTIONS(8866), 1,
      anon_sym_SEMI,
    ACTIONS(8868), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [162303] = 3,
    ACTIONS(6468), 1,
      anon_sym_LPAREN,
    STATE(5570), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [162314] = 3,
    ACTIONS(8214), 1,
      sym_identifier,
    ACTIONS(8218), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [162325] = 3,
    ACTIONS(8870), 1,
      anon_sym_in,
    ACTIONS(8872), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [162336] = 3,
    ACTIONS(8874), 1,
      sym_identifier,
    ACTIONS(8876), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [162347] = 3,
    ACTIONS(8878), 1,
      sym_identifier,
    ACTIONS(8880), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [162358] = 3,
    ACTIONS(8882), 1,
      sym_identifier,
    ACTIONS(8884), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [162369] = 3,
    ACTIONS(8886), 1,
      sym_identifier,
    ACTIONS(8888), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [162380] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6054), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [162389] = 3,
    ACTIONS(8890), 1,
      sym_identifier,
    STATE(4611), 1,
      sym_nested_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [162400] = 3,
    ACTIONS(8892), 1,
      sym_identifier,
    ACTIONS(8894), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [162411] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7432), 2,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
  [162420] = 3,
    ACTIONS(8896), 1,
      sym_identifier,
    ACTIONS(8898), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [162431] = 3,
    ACTIONS(7293), 1,
      anon_sym_LBRACE,
    STATE(2682), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [162442] = 3,
    ACTIONS(8900), 1,
      sym_identifier,
    ACTIONS(8902), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [162453] = 3,
    ACTIONS(6468), 1,
      anon_sym_LPAREN,
    STATE(5696), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [162464] = 3,
    ACTIONS(6733), 1,
      anon_sym_LBRACE,
    STATE(2327), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [162475] = 3,
    ACTIONS(6733), 1,
      anon_sym_LBRACE,
    STATE(2232), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [162486] = 3,
    ACTIONS(6868), 1,
      anon_sym_LBRACE,
    STATE(4248), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [162497] = 3,
    ACTIONS(6757), 1,
      anon_sym_LBRACE,
    STATE(1681), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [162508] = 3,
    ACTIONS(8904), 1,
      sym_identifier,
    ACTIONS(8906), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [162519] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5999), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [162528] = 3,
    ACTIONS(2482), 1,
      anon_sym_LBRACE,
    STATE(5180), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [162539] = 3,
    ACTIONS(8908), 1,
      sym_identifier,
    ACTIONS(8910), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [162550] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6042), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [162559] = 3,
    ACTIONS(4331), 1,
      anon_sym_LBRACE,
    STATE(1683), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [162570] = 3,
    ACTIONS(2482), 1,
      anon_sym_LBRACE,
    STATE(5182), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [162581] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8912), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [162590] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8914), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [162599] = 3,
    ACTIONS(8916), 1,
      sym_identifier,
    ACTIONS(8918), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [162610] = 3,
    ACTIONS(8920), 1,
      sym_identifier,
    ACTIONS(8922), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [162621] = 3,
    ACTIONS(4331), 1,
      anon_sym_LBRACE,
    STATE(1686), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [162632] = 3,
    ACTIONS(6468), 1,
      anon_sym_LPAREN,
    STATE(5745), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [162643] = 3,
    ACTIONS(6868), 1,
      anon_sym_LBRACE,
    STATE(4251), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [162654] = 3,
    ACTIONS(6468), 1,
      anon_sym_LPAREN,
    STATE(3971), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [162665] = 3,
    ACTIONS(7293), 1,
      anon_sym_LBRACE,
    STATE(2681), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [162676] = 3,
    ACTIONS(7293), 1,
      anon_sym_LBRACE,
    STATE(2689), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [162687] = 3,
    ACTIONS(6733), 1,
      anon_sym_LBRACE,
    STATE(2306), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [162698] = 3,
    ACTIONS(8924), 1,
      sym_identifier,
    ACTIONS(8926), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [162709] = 3,
    ACTIONS(8736), 1,
      anon_sym_LPAREN,
    STATE(65), 1,
      sym_parenthesized_expression,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [162720] = 3,
    ACTIONS(6468), 1,
      anon_sym_LPAREN,
    STATE(5596), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [162731] = 3,
    ACTIONS(7293), 1,
      anon_sym_LBRACE,
    STATE(2704), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [162742] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8928), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [162751] = 3,
    ACTIONS(4335), 1,
      anon_sym_LBRACE,
    STATE(2312), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [162762] = 3,
    ACTIONS(4331), 1,
      anon_sym_LBRACE,
    STATE(1704), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [162773] = 3,
    ACTIONS(7293), 1,
      anon_sym_LBRACE,
    STATE(2691), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [162784] = 3,
    ACTIONS(7293), 1,
      anon_sym_LBRACE,
    STATE(2697), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [162795] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8930), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [162804] = 3,
    ACTIONS(7040), 1,
      anon_sym_LBRACE,
    STATE(3978), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [162815] = 3,
    ACTIONS(6757), 1,
      anon_sym_LBRACE,
    STATE(1705), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [162826] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5057), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [162835] = 3,
    ACTIONS(6757), 1,
      anon_sym_LBRACE,
    STATE(2541), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [162846] = 3,
    ACTIONS(7293), 1,
      anon_sym_LBRACE,
    STATE(2683), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [162857] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8382), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [162866] = 3,
    ACTIONS(6757), 1,
      anon_sym_LBRACE,
    STATE(1693), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [162877] = 3,
    ACTIONS(7293), 1,
      anon_sym_LBRACE,
    STATE(2696), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [162888] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5055), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [162897] = 3,
    ACTIONS(6733), 1,
      anon_sym_LBRACE,
    STATE(2291), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [162908] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8932), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [162917] = 3,
    ACTIONS(6868), 1,
      anon_sym_LBRACE,
    STATE(778), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [162928] = 3,
    ACTIONS(7040), 1,
      anon_sym_LBRACE,
    STATE(3983), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [162939] = 3,
    ACTIONS(6733), 1,
      anon_sym_LBRACE,
    STATE(2313), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [162950] = 3,
    ACTIONS(8934), 1,
      sym_identifier,
    ACTIONS(8936), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [162961] = 3,
    ACTIONS(4331), 1,
      anon_sym_LBRACE,
    STATE(1695), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [162972] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7434), 2,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
  [162981] = 3,
    ACTIONS(6468), 1,
      anon_sym_LPAREN,
    STATE(5737), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [162992] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8938), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [163001] = 3,
    ACTIONS(7040), 1,
      anon_sym_LBRACE,
    STATE(803), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [163012] = 3,
    ACTIONS(7293), 1,
      anon_sym_LBRACE,
    STATE(2658), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [163023] = 3,
    ACTIONS(6868), 1,
      anon_sym_LBRACE,
    STATE(787), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [163034] = 3,
    ACTIONS(6868), 1,
      anon_sym_LBRACE,
    STATE(4263), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [163045] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8940), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [163054] = 3,
    ACTIONS(2482), 1,
      anon_sym_LBRACE,
    STATE(5328), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [163065] = 3,
    ACTIONS(7293), 1,
      anon_sym_LBRACE,
    STATE(2703), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [163076] = 3,
    ACTIONS(8736), 1,
      anon_sym_LPAREN,
    STATE(5239), 1,
      sym_parenthesized_expression,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [163087] = 3,
    ACTIONS(3535), 1,
      anon_sym_LPAREN,
    STATE(1253), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [163098] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6015), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [163107] = 3,
    ACTIONS(7293), 1,
      anon_sym_LBRACE,
    STATE(2656), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [163118] = 3,
    ACTIONS(4335), 1,
      anon_sym_LBRACE,
    STATE(2240), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [163129] = 3,
    ACTIONS(7293), 1,
      anon_sym_LBRACE,
    STATE(2715), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [163140] = 3,
    ACTIONS(2482), 1,
      anon_sym_LBRACE,
    STATE(5330), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [163151] = 3,
    ACTIONS(8942), 1,
      sym_identifier,
    ACTIONS(8944), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [163162] = 3,
    ACTIONS(6062), 1,
      anon_sym_LPAREN,
    STATE(2812), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [163173] = 3,
    ACTIONS(6733), 1,
      anon_sym_LBRACE,
    STATE(2129), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [163184] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6060), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [163193] = 3,
    ACTIONS(4331), 1,
      anon_sym_LBRACE,
    STATE(1697), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [163204] = 3,
    ACTIONS(6733), 1,
      anon_sym_LBRACE,
    STATE(2329), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [163215] = 3,
    ACTIONS(6468), 1,
      anon_sym_LPAREN,
    STATE(5666), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [163226] = 3,
    ACTIONS(6468), 1,
      anon_sym_LPAREN,
    STATE(4347), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [163237] = 3,
    ACTIONS(6468), 1,
      anon_sym_LPAREN,
    STATE(5682), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [163248] = 3,
    ACTIONS(4335), 1,
      anon_sym_LBRACE,
    STATE(2330), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [163259] = 3,
    ACTIONS(7293), 1,
      anon_sym_LBRACE,
    STATE(2710), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [163270] = 3,
    ACTIONS(6468), 1,
      anon_sym_LPAREN,
    STATE(4350), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [163281] = 3,
    ACTIONS(6468), 1,
      anon_sym_LPAREN,
    STATE(5694), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [163292] = 3,
    ACTIONS(4335), 1,
      anon_sym_LBRACE,
    STATE(2331), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [163303] = 3,
    ACTIONS(7293), 1,
      anon_sym_LBRACE,
    STATE(2652), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [163314] = 3,
    ACTIONS(6733), 1,
      anon_sym_LBRACE,
    STATE(2332), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [163325] = 3,
    ACTIONS(7293), 1,
      anon_sym_LBRACE,
    STATE(2680), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [163336] = 3,
    ACTIONS(8946), 1,
      anon_sym_SEMI,
    ACTIONS(8948), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [163347] = 3,
    ACTIONS(8950), 1,
      sym_identifier,
    ACTIONS(8952), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [163358] = 3,
    ACTIONS(2482), 1,
      anon_sym_LBRACE,
    STATE(5365), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [163369] = 2,
    ACTIONS(8954), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [163377] = 2,
    ACTIONS(8956), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [163385] = 2,
    ACTIONS(8958), 1,
      sym_number,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [163393] = 2,
    ACTIONS(8960), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [163401] = 2,
    ACTIONS(7238), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [163409] = 2,
    ACTIONS(8962), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [163417] = 2,
    ACTIONS(8964), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [163425] = 2,
    ACTIONS(8966), 1,
      anon_sym_function,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [163433] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8968), 1,
      sym_regex_pattern,
  [163443] = 2,
    ACTIONS(5482), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [163451] = 2,
    ACTIONS(5659), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [163459] = 2,
    ACTIONS(8970), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [163467] = 2,
    ACTIONS(8972), 1,
      anon_sym_as,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [163475] = 2,
    ACTIONS(8974), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [163483] = 2,
    ACTIONS(8976), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [163491] = 2,
    ACTIONS(8978), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [163499] = 2,
    ACTIONS(8980), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [163507] = 2,
    ACTIONS(8982), 1,
      anon_sym_DOT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [163515] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8984), 1,
      sym_regex_pattern,
  [163525] = 2,
    ACTIONS(8986), 1,
      anon_sym_from,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [163533] = 2,
    ACTIONS(8988), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [163541] = 2,
    ACTIONS(8990), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [163549] = 2,
    ACTIONS(8992), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [163557] = 2,
    ACTIONS(8994), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [163565] = 2,
    ACTIONS(8996), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [163573] = 2,
    ACTIONS(8998), 1,
      anon_sym_while,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [163581] = 2,
    ACTIONS(9000), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [163589] = 2,
    ACTIONS(9002), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [163597] = 2,
    ACTIONS(9004), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [163605] = 2,
    ACTIONS(5419), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [163613] = 2,
    ACTIONS(9006), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [163621] = 2,
    ACTIONS(9008), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [163629] = 2,
    ACTIONS(9010), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [163637] = 2,
    ACTIONS(9012), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [163645] = 2,
    ACTIONS(9014), 1,
      anon_sym_from,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [163653] = 2,
    ACTIONS(5484), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [163661] = 2,
    ACTIONS(9016), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [163669] = 2,
    ACTIONS(8208), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [163677] = 2,
    ACTIONS(9018), 1,
      anon_sym_target,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [163685] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9020), 1,
      sym_regex_pattern,
  [163695] = 2,
    ACTIONS(9022), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [163703] = 2,
    ACTIONS(9024), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [163711] = 2,
    ACTIONS(9026), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [163719] = 2,
    ACTIONS(9028), 1,
      anon_sym_require,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [163727] = 2,
    ACTIONS(9030), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [163735] = 2,
    ACTIONS(8543), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [163743] = 2,
    ACTIONS(9032), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [163751] = 2,
    ACTIONS(9034), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [163759] = 2,
    ACTIONS(9036), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [163767] = 2,
    ACTIONS(5448), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [163775] = 2,
    ACTIONS(9038), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [163783] = 2,
    ACTIONS(9040), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [163791] = 2,
    ACTIONS(9042), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [163799] = 2,
    ACTIONS(9044), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [163807] = 2,
    ACTIONS(9046), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [163815] = 2,
    ACTIONS(9048), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [163823] = 2,
    ACTIONS(9050), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [163831] = 2,
    ACTIONS(8104), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [163839] = 2,
    ACTIONS(9052), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [163847] = 2,
    ACTIONS(9054), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [163855] = 2,
    ACTIONS(8142), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [163863] = 2,
    ACTIONS(9056), 1,
      anon_sym_from,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [163871] = 2,
    ACTIONS(5783), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [163879] = 2,
    ACTIONS(9058), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [163887] = 2,
    ACTIONS(9060), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [163895] = 2,
    ACTIONS(9062), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [163903] = 2,
    ACTIONS(9064), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [163911] = 2,
    ACTIONS(9066), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [163919] = 2,
    ACTIONS(9068), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [163927] = 2,
    ACTIONS(9070), 1,
      anon_sym_from,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [163935] = 2,
    ACTIONS(9072), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [163943] = 2,
    ACTIONS(9074), 1,
      anon_sym_from,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [163951] = 2,
    ACTIONS(9076), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [163959] = 2,
    ACTIONS(9078), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [163967] = 2,
    ACTIONS(9080), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [163975] = 2,
    ACTIONS(9082), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [163983] = 2,
    ACTIONS(9084), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [163991] = 2,
    ACTIONS(9086), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [163999] = 2,
    ACTIONS(4979), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [164007] = 2,
    ACTIONS(9088), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [164015] = 2,
    ACTIONS(9090), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [164023] = 2,
    ACTIONS(9092), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [164031] = 2,
    ACTIONS(9094), 1,
      anon_sym_from,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [164039] = 2,
    ACTIONS(9096), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [164047] = 2,
    ACTIONS(9098), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [164055] = 2,
    ACTIONS(9100), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [164063] = 2,
    ACTIONS(4729), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [164071] = 2,
    ACTIONS(9102), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [164079] = 2,
    ACTIONS(9104), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [164087] = 2,
    ACTIONS(9106), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [164095] = 2,
    ACTIONS(5540), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [164103] = 2,
    ACTIONS(6520), 1,
      anon_sym_is,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [164111] = 2,
    ACTIONS(9108), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [164119] = 2,
    ACTIONS(9110), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [164127] = 2,
    ACTIONS(9112), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [164135] = 2,
    ACTIONS(9114), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [164143] = 2,
    ACTIONS(9116), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [164151] = 2,
    ACTIONS(9118), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [164159] = 2,
    ACTIONS(9120), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [164167] = 2,
    ACTIONS(9122), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [164175] = 2,
    ACTIONS(9124), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [164183] = 2,
    ACTIONS(5542), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [164191] = 2,
    ACTIONS(5272), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [164199] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9126), 1,
      anon_sym_SLASH2,
  [164209] = 2,
    ACTIONS(5544), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [164217] = 2,
    ACTIONS(9128), 1,
      anon_sym_DOT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [164225] = 2,
    ACTIONS(9130), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [164233] = 2,
    ACTIONS(8504), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [164241] = 2,
    ACTIONS(5344), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [164249] = 2,
    ACTIONS(9132), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [164257] = 2,
    ACTIONS(9134), 1,
      anon_sym_class,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [164265] = 2,
    ACTIONS(9136), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [164273] = 2,
    ACTIONS(9138), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [164281] = 2,
    ACTIONS(9140), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [164289] = 2,
    ACTIONS(9142), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [164297] = 2,
    ACTIONS(9144), 1,
      anon_sym_namespace,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [164305] = 2,
    ACTIONS(9146), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [164313] = 2,
    ACTIONS(9148), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [164321] = 2,
    ACTIONS(9150), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [164329] = 2,
    ACTIONS(9152), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [164337] = 2,
    ACTIONS(9154), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [164345] = 2,
    ACTIONS(9156), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [164353] = 2,
    ACTIONS(5486), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [164361] = 2,
    ACTIONS(9158), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [164369] = 2,
    ACTIONS(5200), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [164377] = 2,
    ACTIONS(9160), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [164385] = 2,
    ACTIONS(7879), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [164393] = 2,
    ACTIONS(9162), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [164401] = 2,
    ACTIONS(9164), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [164409] = 2,
    ACTIONS(9166), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [164417] = 2,
    ACTIONS(9168), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [164425] = 2,
    ACTIONS(9170), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [164433] = 2,
    ACTIONS(9172), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [164441] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9174), 1,
      anon_sym_SLASH2,
  [164451] = 2,
    ACTIONS(9176), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [164459] = 2,
    ACTIONS(9178), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [164467] = 2,
    ACTIONS(9180), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [164475] = 2,
    ACTIONS(9182), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [164483] = 2,
    ACTIONS(9184), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [164491] = 2,
    ACTIONS(9186), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [164499] = 2,
    ACTIONS(9188), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [164507] = 2,
    ACTIONS(9190), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [164515] = 2,
    ACTIONS(9192), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [164523] = 2,
    ACTIONS(9194), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [164531] = 2,
    ACTIONS(9196), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [164539] = 2,
    ACTIONS(9198), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [164547] = 2,
    ACTIONS(9200), 1,
      anon_sym_LBRACE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [164555] = 2,
    ACTIONS(5488), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [164563] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9202), 1,
      sym_regex_pattern,
  [164573] = 2,
    ACTIONS(9204), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [164581] = 2,
    ACTIONS(9206), 1,
      anon_sym_new,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [164589] = 2,
    ACTIONS(9208), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [164597] = 2,
    ACTIONS(9210), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [164605] = 2,
    ACTIONS(9212), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [164613] = 2,
    ACTIONS(9214), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [164621] = 2,
    ACTIONS(9216), 1,
      anon_sym_DOT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [164629] = 2,
    ACTIONS(8318), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [164637] = 2,
    ACTIONS(9218), 1,
      anon_sym_class,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [164645] = 2,
    ACTIONS(9220), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [164653] = 2,
    ACTIONS(9222), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [164661] = 2,
    ACTIONS(9224), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [164669] = 2,
    ACTIONS(5367), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [164677] = 2,
    ACTIONS(9226), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [164685] = 2,
    ACTIONS(9228), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [164693] = 2,
    ACTIONS(5304), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [164701] = 2,
    ACTIONS(9230), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [164709] = 2,
    ACTIONS(9232), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [164717] = 2,
    ACTIONS(9234), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [164725] = 2,
    ACTIONS(4881), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [164733] = 2,
    ACTIONS(9236), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [164741] = 2,
    ACTIONS(9238), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [164749] = 2,
    ACTIONS(9240), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [164757] = 2,
    ACTIONS(9242), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [164765] = 2,
    ACTIONS(9244), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [164773] = 2,
    ACTIONS(9246), 1,
      anon_sym_as,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [164781] = 2,
    ACTIONS(9248), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [164789] = 2,
    ACTIONS(8500), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [164797] = 2,
    ACTIONS(9250), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [164805] = 2,
    ACTIONS(5490), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [164813] = 2,
    ACTIONS(9252), 1,
      anon_sym_new,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [164821] = 2,
    ACTIONS(9254), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [164829] = 2,
    ACTIONS(9256), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [164837] = 2,
    ACTIONS(9258), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [164845] = 2,
    ACTIONS(9260), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [164853] = 2,
    ACTIONS(6790), 1,
      anon_sym_is,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [164861] = 2,
    ACTIONS(9262), 1,
      anon_sym_class,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [164869] = 2,
    ACTIONS(9264), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [164877] = 2,
    ACTIONS(9266), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [164885] = 2,
    ACTIONS(9268), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [164893] = 2,
    ACTIONS(9270), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [164901] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9272), 1,
      anon_sym_SLASH2,
  [164911] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9274), 1,
      anon_sym_SLASH2,
  [164921] = 2,
    ACTIONS(9276), 1,
      anon_sym_as,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [164929] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9278), 1,
      sym_regex_pattern,
  [164939] = 2,
    ACTIONS(9280), 1,
      anon_sym_from,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [164947] = 2,
    ACTIONS(9282), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [164955] = 2,
    ACTIONS(9284), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [164963] = 2,
    ACTIONS(9286), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [164971] = 2,
    ACTIONS(5550), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [164979] = 2,
    ACTIONS(9288), 1,
      anon_sym_DOT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [164987] = 2,
    ACTIONS(9290), 1,
      sym_number,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [164995] = 2,
    ACTIONS(9292), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165003] = 2,
    ACTIONS(9294), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165011] = 2,
    ACTIONS(9296), 1,
      sym_number,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165019] = 2,
    ACTIONS(9298), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165027] = 2,
    ACTIONS(9300), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165035] = 2,
    ACTIONS(9302), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165043] = 2,
    ACTIONS(9304), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165051] = 2,
    ACTIONS(9306), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165059] = 2,
    ACTIONS(7076), 1,
      anon_sym_is,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165067] = 2,
    ACTIONS(9308), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165075] = 2,
    ACTIONS(9310), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165083] = 2,
    ACTIONS(9312), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165091] = 2,
    ACTIONS(7482), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165099] = 2,
    ACTIONS(5552), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165107] = 2,
    ACTIONS(9314), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165115] = 2,
    ACTIONS(9316), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165123] = 2,
    ACTIONS(9318), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165131] = 2,
    ACTIONS(9320), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165139] = 2,
    ACTIONS(9322), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165147] = 2,
    ACTIONS(6682), 1,
      anon_sym_is,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165155] = 2,
    ACTIONS(9324), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165163] = 2,
    ACTIONS(9326), 1,
      anon_sym_target,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165171] = 2,
    ACTIONS(9326), 1,
      anon_sym_meta,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165179] = 2,
    ACTIONS(9328), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165187] = 2,
    ACTIONS(8561), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165195] = 2,
    ACTIONS(9330), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165203] = 2,
    ACTIONS(9332), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165211] = 2,
    ACTIONS(9334), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165219] = 2,
    ACTIONS(9336), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165227] = 2,
    ACTIONS(9338), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165235] = 2,
    ACTIONS(9340), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165243] = 2,
    ACTIONS(7785), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165251] = 2,
    ACTIONS(9342), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165259] = 2,
    ACTIONS(9344), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165267] = 2,
    ACTIONS(9346), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165275] = 2,
    ACTIONS(9348), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165283] = 2,
    ACTIONS(7176), 1,
      anon_sym_is,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165291] = 2,
    ACTIONS(5274), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165299] = 2,
    ACTIONS(9350), 1,
      sym_number,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165307] = 2,
    ACTIONS(9352), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165315] = 2,
    ACTIONS(9354), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165323] = 2,
    ACTIONS(9356), 1,
      anon_sym_readonly,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165331] = 2,
    ACTIONS(4091), 1,
      anon_sym_is,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165339] = 2,
    ACTIONS(9358), 1,
      sym_number,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165347] = 2,
    ACTIONS(9360), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165355] = 2,
    ACTIONS(5456), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165363] = 2,
    ACTIONS(9362), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165371] = 2,
    ACTIONS(9364), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165379] = 2,
    ACTIONS(5620), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165387] = 2,
    ACTIONS(9366), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165395] = 2,
    ACTIONS(5361), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165403] = 2,
    ACTIONS(9368), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165411] = 2,
    ACTIONS(9370), 1,
      ts_builtin_sym_end,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165419] = 2,
    ACTIONS(9372), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165427] = 2,
    ACTIONS(9374), 1,
      anon_sym_symbol,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165435] = 2,
    ACTIONS(9376), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165443] = 2,
    ACTIONS(9378), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165451] = 2,
    ACTIONS(9380), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165459] = 2,
    ACTIONS(9382), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165467] = 2,
    ACTIONS(9384), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165475] = 2,
    ACTIONS(9386), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165483] = 2,
    ACTIONS(9388), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165491] = 2,
    ACTIONS(9390), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165499] = 2,
    ACTIONS(9392), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165507] = 2,
    ACTIONS(9394), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165515] = 2,
    ACTIONS(9396), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165523] = 2,
    ACTIONS(9398), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165531] = 2,
    ACTIONS(9400), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165539] = 2,
    ACTIONS(9402), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165547] = 2,
    ACTIONS(9404), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165555] = 2,
    ACTIONS(9406), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165563] = 2,
    ACTIONS(9408), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165571] = 2,
    ACTIONS(9410), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165579] = 2,
    ACTIONS(9412), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165587] = 2,
    ACTIONS(9414), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165595] = 2,
    ACTIONS(9416), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165603] = 2,
    ACTIONS(9418), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165611] = 2,
    ACTIONS(9420), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165619] = 2,
    ACTIONS(9422), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165627] = 2,
    ACTIONS(9424), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165635] = 2,
    ACTIONS(9426), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165643] = 2,
    ACTIONS(9428), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165651] = 2,
    ACTIONS(9430), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165659] = 2,
    ACTIONS(5462), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165667] = 2,
    ACTIONS(9432), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165675] = 2,
    ACTIONS(5464), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165683] = 2,
    ACTIONS(9434), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165691] = 2,
    ACTIONS(8394), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165699] = 2,
    ACTIONS(9436), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165707] = 2,
    ACTIONS(9438), 1,
      anon_sym_symbol,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165715] = 2,
    ACTIONS(9440), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165723] = 2,
    ACTIONS(9442), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165731] = 2,
    ACTIONS(9444), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165739] = 2,
    ACTIONS(9446), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165747] = 2,
    ACTIONS(9448), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165755] = 2,
    ACTIONS(9450), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165763] = 2,
    ACTIONS(9452), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165771] = 2,
    ACTIONS(5470), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165779] = 2,
    ACTIONS(8386), 1,
      anon_sym_LBRACE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165787] = 2,
    ACTIONS(9454), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165795] = 2,
    ACTIONS(9456), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165803] = 2,
    ACTIONS(4959), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165811] = 2,
    ACTIONS(9458), 1,
      anon_sym_new,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165819] = 2,
    ACTIONS(9460), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165827] = 2,
    ACTIONS(9462), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165835] = 2,
    ACTIONS(9464), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165843] = 2,
    ACTIONS(9466), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165851] = 2,
    ACTIONS(9468), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165859] = 2,
    ACTIONS(9470), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165867] = 2,
    ACTIONS(9472), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165875] = 2,
    ACTIONS(9474), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165883] = 2,
    ACTIONS(9476), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165891] = 2,
    ACTIONS(9478), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165899] = 2,
    ACTIONS(9480), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165907] = 2,
    ACTIONS(9482), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165915] = 2,
    ACTIONS(9484), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165923] = 2,
    ACTIONS(9486), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165931] = 2,
    ACTIONS(5532), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165939] = 2,
    ACTIONS(9488), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165947] = 2,
    ACTIONS(9490), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165955] = 2,
    ACTIONS(9492), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165963] = 2,
    ACTIONS(9494), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165971] = 2,
    ACTIONS(9496), 1,
      anon_sym_new,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165979] = 2,
    ACTIONS(9498), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165987] = 2,
    ACTIONS(9500), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165995] = 2,
    ACTIONS(9502), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [166003] = 2,
    ACTIONS(9504), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [166011] = 2,
    ACTIONS(9506), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [166019] = 2,
    ACTIONS(9508), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [166027] = 2,
    ACTIONS(9510), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [166035] = 2,
    ACTIONS(9512), 1,
      anon_sym_symbol,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [166043] = 2,
    ACTIONS(9514), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [166051] = 2,
    ACTIONS(9516), 1,
      anon_sym_DOT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [166059] = 2,
    ACTIONS(5824), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [166067] = 2,
    ACTIONS(9518), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [166075] = 2,
    ACTIONS(9520), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [166083] = 2,
    ACTIONS(9522), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [166091] = 2,
    ACTIONS(9524), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [166099] = 2,
    ACTIONS(9526), 1,
      anon_sym_new,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [166107] = 2,
    ACTIONS(9528), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [166115] = 2,
    ACTIONS(9530), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [166123] = 2,
    ACTIONS(9532), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [166131] = 2,
    ACTIONS(7504), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [166139] = 2,
    ACTIONS(9534), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [166147] = 2,
    ACTIONS(9536), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [166155] = 2,
    ACTIONS(9538), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [166163] = 2,
    ACTIONS(8794), 1,
      anon_sym_from,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [166171] = 2,
    ACTIONS(9540), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [166179] = 2,
    ACTIONS(9542), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [166187] = 2,
    ACTIONS(9544), 1,
      anon_sym_new,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [166195] = 2,
    ACTIONS(9546), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [166203] = 2,
    ACTIONS(9548), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [166211] = 2,
    ACTIONS(9550), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [166219] = 2,
    ACTIONS(9552), 1,
      anon_sym_symbol,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [166227] = 2,
    ACTIONS(4837), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [166235] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9554), 1,
      anon_sym_SLASH2,
  [166245] = 2,
    ACTIONS(9556), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [166253] = 2,
    ACTIONS(9558), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [166261] = 2,
    ACTIONS(9560), 1,
      anon_sym_namespace,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [166269] = 2,
    ACTIONS(9562), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [166277] = 2,
    ACTIONS(9564), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [166285] = 2,
    ACTIONS(9566), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [166293] = 2,
    ACTIONS(9568), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [166301] = 2,
    ACTIONS(9570), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [166309] = 2,
    ACTIONS(9572), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [166317] = 2,
    ACTIONS(9574), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [166325] = 2,
    ACTIONS(9576), 1,
      anon_sym_symbol,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [166333] = 2,
    ACTIONS(9578), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [166341] = 2,
    ACTIONS(9018), 1,
      anon_sym_meta,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [166349] = 2,
    ACTIONS(6127), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [166357] = 2,
    ACTIONS(9580), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [166365] = 2,
    ACTIONS(7837), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [166373] = 2,
    ACTIONS(9582), 1,
      anon_sym_function,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [166381] = 2,
    ACTIONS(4907), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [166389] = 2,
    ACTIONS(4875), 1,
      anon_sym_is,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [166397] = 2,
    ACTIONS(9584), 1,
      anon_sym_new,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [166405] = 2,
    ACTIONS(9586), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [166413] = 2,
    ACTIONS(9588), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [166421] = 2,
    ACTIONS(9590), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [166429] = 2,
    ACTIONS(4931), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [166437] = 2,
    ACTIONS(9592), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [166445] = 2,
    ACTIONS(5578), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [166453] = 2,
    ACTIONS(5592), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [166461] = 2,
    ACTIONS(9594), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [166469] = 2,
    ACTIONS(9596), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [166477] = 2,
    ACTIONS(9598), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [166485] = 2,
    ACTIONS(9600), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [166493] = 2,
    ACTIONS(9602), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [166501] = 2,
    ACTIONS(9604), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [166509] = 2,
    ACTIONS(9606), 1,
      anon_sym_DOT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [166517] = 2,
    ACTIONS(9608), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [166525] = 2,
    ACTIONS(9610), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [166533] = 2,
    ACTIONS(9612), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [166541] = 2,
    ACTIONS(7727), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [166549] = 2,
    ACTIONS(9614), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [166557] = 2,
    ACTIONS(9616), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [166565] = 2,
    ACTIONS(9618), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [166573] = 2,
    ACTIONS(9620), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [166581] = 2,
    ACTIONS(9622), 1,
      anon_sym_new,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [166589] = 2,
    ACTIONS(9624), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [166597] = 2,
    ACTIONS(9626), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [166605] = 2,
    ACTIONS(4926), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [166613] = 2,
    ACTIONS(9628), 1,
      anon_sym_class,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
};

static const uint32_t ts_small_parse_table_map[] = {
  [SMALL_STATE(1193)] = 0,
  [SMALL_STATE(1194)] = 93,
  [SMALL_STATE(1195)] = 164,
  [SMALL_STATE(1196)] = 259,
  [SMALL_STATE(1197)] = 352,
  [SMALL_STATE(1198)] = 443,
  [SMALL_STATE(1199)] = 514,
  [SMALL_STATE(1200)] = 585,
  [SMALL_STATE(1201)] = 674,
  [SMALL_STATE(1202)] = 763,
  [SMALL_STATE(1203)] = 834,
  [SMALL_STATE(1204)] = 925,
  [SMALL_STATE(1205)] = 996,
  [SMALL_STATE(1206)] = 1069,
  [SMALL_STATE(1207)] = 1142,
  [SMALL_STATE(1208)] = 1231,
  [SMALL_STATE(1209)] = 1324,
  [SMALL_STATE(1210)] = 1417,
  [SMALL_STATE(1211)] = 1488,
  [SMALL_STATE(1212)] = 1577,
  [SMALL_STATE(1213)] = 1648,
  [SMALL_STATE(1214)] = 1740,
  [SMALL_STATE(1215)] = 1830,
  [SMALL_STATE(1216)] = 1920,
  [SMALL_STATE(1217)] = 1990,
  [SMALL_STATE(1218)] = 2080,
  [SMALL_STATE(1219)] = 2166,
  [SMALL_STATE(1220)] = 2254,
  [SMALL_STATE(1221)] = 2342,
  [SMALL_STATE(1222)] = 2412,
  [SMALL_STATE(1223)] = 2500,
  [SMALL_STATE(1224)] = 2586,
  [SMALL_STATE(1225)] = 2674,
  [SMALL_STATE(1226)] = 2762,
  [SMALL_STATE(1227)] = 2852,
  [SMALL_STATE(1228)] = 2942,
  [SMALL_STATE(1229)] = 3016,
  [SMALL_STATE(1230)] = 3106,
  [SMALL_STATE(1231)] = 3198,
  [SMALL_STATE(1232)] = 3290,
  [SMALL_STATE(1233)] = 3380,
  [SMALL_STATE(1234)] = 3470,
  [SMALL_STATE(1235)] = 3557,
  [SMALL_STATE(1236)] = 3652,
  [SMALL_STATE(1237)] = 3739,
  [SMALL_STATE(1238)] = 3830,
  [SMALL_STATE(1239)] = 3917,
  [SMALL_STATE(1240)] = 4004,
  [SMALL_STATE(1241)] = 4091,
  [SMALL_STATE(1242)] = 4178,
  [SMALL_STATE(1243)] = 4269,
  [SMALL_STATE(1244)] = 4358,
  [SMALL_STATE(1245)] = 4447,
  [SMALL_STATE(1246)] = 4538,
  [SMALL_STATE(1247)] = 4625,
  [SMALL_STATE(1248)] = 4704,
  [SMALL_STATE(1249)] = 4782,
  [SMALL_STATE(1250)] = 4872,
  [SMALL_STATE(1251)] = 4958,
  [SMALL_STATE(1252)] = 5044,
  [SMALL_STATE(1253)] = 5130,
  [SMALL_STATE(1254)] = 5198,
  [SMALL_STATE(1255)] = 5284,
  [SMALL_STATE(1256)] = 5362,
  [SMALL_STATE(1257)] = 5448,
  [SMALL_STATE(1258)] = 5524,
  [SMALL_STATE(1259)] = 5610,
  [SMALL_STATE(1260)] = 5688,
  [SMALL_STATE(1261)] = 5778,
  [SMALL_STATE(1262)] = 5864,
  [SMALL_STATE(1263)] = 5938,
  [SMALL_STATE(1264)] = 6016,
  [SMALL_STATE(1265)] = 6096,
  [SMALL_STATE(1266)] = 6186,
  [SMALL_STATE(1267)] = 6254,
  [SMALL_STATE(1268)] = 6340,
  [SMALL_STATE(1269)] = 6432,
  [SMALL_STATE(1270)] = 6522,
  [SMALL_STATE(1271)] = 6608,
  [SMALL_STATE(1272)] = 6694,
  [SMALL_STATE(1273)] = 6786,
  [SMALL_STATE(1274)] = 6872,
  [SMALL_STATE(1275)] = 6958,
  [SMALL_STATE(1276)] = 7044,
  [SMALL_STATE(1277)] = 7130,
  [SMALL_STATE(1278)] = 7220,
  [SMALL_STATE(1279)] = 7300,
  [SMALL_STATE(1280)] = 7389,
  [SMALL_STATE(1281)] = 7476,
  [SMALL_STATE(1282)] = 7551,
  [SMALL_STATE(1283)] = 7628,
  [SMALL_STATE(1284)] = 7697,
  [SMALL_STATE(1285)] = 7764,
  [SMALL_STATE(1286)] = 7849,
  [SMALL_STATE(1287)] = 7916,
  [SMALL_STATE(1288)] = 7985,
  [SMALL_STATE(1289)] = 8074,
  [SMALL_STATE(1290)] = 8147,
  [SMALL_STATE(1291)] = 8216,
  [SMALL_STATE(1292)] = 8299,
  [SMALL_STATE(1293)] = 8384,
  [SMALL_STATE(1294)] = 8473,
  [SMALL_STATE(1295)] = 8552,
  [SMALL_STATE(1296)] = 8625,
  [SMALL_STATE(1297)] = 8694,
  [SMALL_STATE(1298)] = 8761,
  [SMALL_STATE(1299)] = 8846,
  [SMALL_STATE(1300)] = 8913,
  [SMALL_STATE(1301)] = 8996,
  [SMALL_STATE(1302)] = 9085,
  [SMALL_STATE(1303)] = 9160,
  [SMALL_STATE(1304)] = 9239,
  [SMALL_STATE(1305)] = 9328,
  [SMALL_STATE(1306)] = 9401,
  [SMALL_STATE(1307)] = 9474,
  [SMALL_STATE(1308)] = 9563,
  [SMALL_STATE(1309)] = 9640,
  [SMALL_STATE(1310)] = 9718,
  [SMALL_STATE(1311)] = 9786,
  [SMALL_STATE(1312)] = 9852,
  [SMALL_STATE(1313)] = 9930,
  [SMALL_STATE(1314)] = 10012,
  [SMALL_STATE(1315)] = 10088,
  [SMALL_STATE(1316)] = 10168,
  [SMALL_STATE(1317)] = 10246,
  [SMALL_STATE(1318)] = 10312,
  [SMALL_STATE(1319)] = 10386,
  [SMALL_STATE(1320)] = 10452,
  [SMALL_STATE(1321)] = 10528,
  [SMALL_STATE(1322)] = 10602,
  [SMALL_STATE(1323)] = 10676,
  [SMALL_STATE(1324)] = 10748,
  [SMALL_STATE(1325)] = 10818,
  [SMALL_STATE(1326)] = 10888,
  [SMALL_STATE(1327)] = 10968,
  [SMALL_STATE(1328)] = 11042,
  [SMALL_STATE(1329)] = 11118,
  [SMALL_STATE(1330)] = 11184,
  [SMALL_STATE(1331)] = 11256,
  [SMALL_STATE(1332)] = 11328,
  [SMALL_STATE(1333)] = 11394,
  [SMALL_STATE(1334)] = 11460,
  [SMALL_STATE(1335)] = 11532,
  [SMALL_STATE(1336)] = 11598,
  [SMALL_STATE(1337)] = 11666,
  [SMALL_STATE(1338)] = 11750,
  [SMALL_STATE(1339)] = 11838,
  [SMALL_STATE(1340)] = 11904,
  [SMALL_STATE(1341)] = 11988,
  [SMALL_STATE(1342)] = 12060,
  [SMALL_STATE(1343)] = 12126,
  [SMALL_STATE(1344)] = 12198,
  [SMALL_STATE(1345)] = 12286,
  [SMALL_STATE(1346)] = 12358,
  [SMALL_STATE(1347)] = 12442,
  [SMALL_STATE(1348)] = 12514,
  [SMALL_STATE(1349)] = 12598,
  [SMALL_STATE(1350)] = 12671,
  [SMALL_STATE(1351)] = 12738,
  [SMALL_STATE(1352)] = 12811,
  [SMALL_STATE(1353)] = 12882,
  [SMALL_STATE(1354)] = 12951,
  [SMALL_STATE(1355)] = 13020,
  [SMALL_STATE(1356)] = 13099,
  [SMALL_STATE(1357)] = 13172,
  [SMALL_STATE(1358)] = 13245,
  [SMALL_STATE(1359)] = 13316,
  [SMALL_STATE(1360)] = 13393,
  [SMALL_STATE(1361)] = 13468,
  [SMALL_STATE(1362)] = 13539,
  [SMALL_STATE(1363)] = 13616,
  [SMALL_STATE(1364)] = 13689,
  [SMALL_STATE(1365)] = 13758,
  [SMALL_STATE(1366)] = 13825,
  [SMALL_STATE(1367)] = 13896,
  [SMALL_STATE(1368)] = 13967,
  [SMALL_STATE(1369)] = 14044,
  [SMALL_STATE(1370)] = 14119,
  [SMALL_STATE(1371)] = 14192,
  [SMALL_STATE(1372)] = 14269,
  [SMALL_STATE(1373)] = 14352,
  [SMALL_STATE(1374)] = 14423,
  [SMALL_STATE(1375)] = 14494,
  [SMALL_STATE(1376)] = 14567,
  [SMALL_STATE(1377)] = 14644,
  [SMALL_STATE(1378)] = 14715,
  [SMALL_STATE(1379)] = 14784,
  [SMALL_STATE(1380)] = 14904,
  [SMALL_STATE(1381)] = 14974,
  [SMALL_STATE(1382)] = 15042,
  [SMALL_STATE(1383)] = 15118,
  [SMALL_STATE(1384)] = 15190,
  [SMALL_STATE(1385)] = 15264,
  [SMALL_STATE(1386)] = 15330,
  [SMALL_STATE(1387)] = 15402,
  [SMALL_STATE(1388)] = 15522,
  [SMALL_STATE(1389)] = 15642,
  [SMALL_STATE(1390)] = 15762,
  [SMALL_STATE(1391)] = 15828,
  [SMALL_STATE(1392)] = 15896,
  [SMALL_STATE(1393)] = 15966,
  [SMALL_STATE(1394)] = 16040,
  [SMALL_STATE(1395)] = 16112,
  [SMALL_STATE(1396)] = 16186,
  [SMALL_STATE(1397)] = 16306,
  [SMALL_STATE(1398)] = 16380,
  [SMALL_STATE(1399)] = 16450,
  [SMALL_STATE(1400)] = 16520,
  [SMALL_STATE(1401)] = 16590,
  [SMALL_STATE(1402)] = 16710,
  [SMALL_STATE(1403)] = 16779,
  [SMALL_STATE(1404)] = 16848,
  [SMALL_STATE(1405)] = 16917,
  [SMALL_STATE(1406)] = 16986,
  [SMALL_STATE(1407)] = 17059,
  [SMALL_STATE(1408)] = 17128,
  [SMALL_STATE(1409)] = 17197,
  [SMALL_STATE(1410)] = 17266,
  [SMALL_STATE(1411)] = 17335,
  [SMALL_STATE(1412)] = 17406,
  [SMALL_STATE(1413)] = 17477,
  [SMALL_STATE(1414)] = 17546,
  [SMALL_STATE(1415)] = 17615,
  [SMALL_STATE(1416)] = 17684,
  [SMALL_STATE(1417)] = 17753,
  [SMALL_STATE(1418)] = 17820,
  [SMALL_STATE(1419)] = 17893,
  [SMALL_STATE(1420)] = 18009,
  [SMALL_STATE(1421)] = 18077,
  [SMALL_STATE(1422)] = 18145,
  [SMALL_STATE(1423)] = 18261,
  [SMALL_STATE(1424)] = 18329,
  [SMALL_STATE(1425)] = 18445,
  [SMALL_STATE(1426)] = 18561,
  [SMALL_STATE(1427)] = 18629,
  [SMALL_STATE(1428)] = 18697,
  [SMALL_STATE(1429)] = 18813,
  [SMALL_STATE(1430)] = 18929,
  [SMALL_STATE(1431)] = 18997,
  [SMALL_STATE(1432)] = 19065,
  [SMALL_STATE(1433)] = 19133,
  [SMALL_STATE(1434)] = 19249,
  [SMALL_STATE(1435)] = 19317,
  [SMALL_STATE(1436)] = 19433,
  [SMALL_STATE(1437)] = 19549,
  [SMALL_STATE(1438)] = 19617,
  [SMALL_STATE(1439)] = 19685,
  [SMALL_STATE(1440)] = 19753,
  [SMALL_STATE(1441)] = 19869,
  [SMALL_STATE(1442)] = 19985,
  [SMALL_STATE(1443)] = 20053,
  [SMALL_STATE(1444)] = 20121,
  [SMALL_STATE(1445)] = 20237,
  [SMALL_STATE(1446)] = 20353,
  [SMALL_STATE(1447)] = 20421,
  [SMALL_STATE(1448)] = 20489,
  [SMALL_STATE(1449)] = 20557,
  [SMALL_STATE(1450)] = 20627,
  [SMALL_STATE(1451)] = 20695,
  [SMALL_STATE(1452)] = 20763,
  [SMALL_STATE(1453)] = 20831,
  [SMALL_STATE(1454)] = 20899,
  [SMALL_STATE(1455)] = 20967,
  [SMALL_STATE(1456)] = 21083,
  [SMALL_STATE(1457)] = 21199,
  [SMALL_STATE(1458)] = 21265,
  [SMALL_STATE(1459)] = 21381,
  [SMALL_STATE(1460)] = 21447,
  [SMALL_STATE(1461)] = 21515,
  [SMALL_STATE(1462)] = 21581,
  [SMALL_STATE(1463)] = 21697,
  [SMALL_STATE(1464)] = 21813,
  [SMALL_STATE(1465)] = 21878,
  [SMALL_STATE(1466)] = 21943,
  [SMALL_STATE(1467)] = 22008,
  [SMALL_STATE(1468)] = 22073,
  [SMALL_STATE(1469)] = 22138,
  [SMALL_STATE(1470)] = 22203,
  [SMALL_STATE(1471)] = 22268,
  [SMALL_STATE(1472)] = 22333,
  [SMALL_STATE(1473)] = 22398,
  [SMALL_STATE(1474)] = 22463,
  [SMALL_STATE(1475)] = 22575,
  [SMALL_STATE(1476)] = 22687,
  [SMALL_STATE(1477)] = 22799,
  [SMALL_STATE(1478)] = 22911,
  [SMALL_STATE(1479)] = 23023,
  [SMALL_STATE(1480)] = 23135,
  [SMALL_STATE(1481)] = 23247,
  [SMALL_STATE(1482)] = 23358,
  [SMALL_STATE(1483)] = 23477,
  [SMALL_STATE(1484)] = 23596,
  [SMALL_STATE(1485)] = 23715,
  [SMALL_STATE(1486)] = 23826,
  [SMALL_STATE(1487)] = 23945,
  [SMALL_STATE(1488)] = 24056,
  [SMALL_STATE(1489)] = 24167,
  [SMALL_STATE(1490)] = 24278,
  [SMALL_STATE(1491)] = 24389,
  [SMALL_STATE(1492)] = 24500,
  [SMALL_STATE(1493)] = 24611,
  [SMALL_STATE(1494)] = 24730,
  [SMALL_STATE(1495)] = 24841,
  [SMALL_STATE(1496)] = 24952,
  [SMALL_STATE(1497)] = 25063,
  [SMALL_STATE(1498)] = 25165,
  [SMALL_STATE(1499)] = 25267,
  [SMALL_STATE(1500)] = 25369,
  [SMALL_STATE(1501)] = 25471,
  [SMALL_STATE(1502)] = 25573,
  [SMALL_STATE(1503)] = 25651,
  [SMALL_STATE(1504)] = 25753,
  [SMALL_STATE(1505)] = 25810,
  [SMALL_STATE(1506)] = 25877,
  [SMALL_STATE(1507)] = 25944,
  [SMALL_STATE(1508)] = 26053,
  [SMALL_STATE(1509)] = 26164,
  [SMALL_STATE(1510)] = 26231,
  [SMALL_STATE(1511)] = 26296,
  [SMALL_STATE(1512)] = 26353,
  [SMALL_STATE(1513)] = 26421,
  [SMALL_STATE(1514)] = 26479,
  [SMALL_STATE(1515)] = 26537,
  [SMALL_STATE(1516)] = 26597,
  [SMALL_STATE(1517)] = 26653,
  [SMALL_STATE(1518)] = 26715,
  [SMALL_STATE(1519)] = 26771,
  [SMALL_STATE(1520)] = 26829,
  [SMALL_STATE(1521)] = 26885,
  [SMALL_STATE(1522)] = 26945,
  [SMALL_STATE(1523)] = 27001,
  [SMALL_STATE(1524)] = 27095,
  [SMALL_STATE(1525)] = 27151,
  [SMALL_STATE(1526)] = 27207,
  [SMALL_STATE(1527)] = 27269,
  [SMALL_STATE(1528)] = 27325,
  [SMALL_STATE(1529)] = 27380,
  [SMALL_STATE(1530)] = 27435,
  [SMALL_STATE(1531)] = 27490,
  [SMALL_STATE(1532)] = 27545,
  [SMALL_STATE(1533)] = 27608,
  [SMALL_STATE(1534)] = 27663,
  [SMALL_STATE(1535)] = 27718,
  [SMALL_STATE(1536)] = 27773,
  [SMALL_STATE(1537)] = 27828,
  [SMALL_STATE(1538)] = 27885,
  [SMALL_STATE(1539)] = 27940,
  [SMALL_STATE(1540)] = 27995,
  [SMALL_STATE(1541)] = 28050,
  [SMALL_STATE(1542)] = 28105,
  [SMALL_STATE(1543)] = 28160,
  [SMALL_STATE(1544)] = 28215,
  [SMALL_STATE(1545)] = 28270,
  [SMALL_STATE(1546)] = 28329,
  [SMALL_STATE(1547)] = 28384,
  [SMALL_STATE(1548)] = 28439,
  [SMALL_STATE(1549)] = 28494,
  [SMALL_STATE(1550)] = 28549,
  [SMALL_STATE(1551)] = 28604,
  [SMALL_STATE(1552)] = 28661,
  [SMALL_STATE(1553)] = 28722,
  [SMALL_STATE(1554)] = 28783,
  [SMALL_STATE(1555)] = 28838,
  [SMALL_STATE(1556)] = 28893,
  [SMALL_STATE(1557)] = 28954,
  [SMALL_STATE(1558)] = 29009,
  [SMALL_STATE(1559)] = 29070,
  [SMALL_STATE(1560)] = 29125,
  [SMALL_STATE(1561)] = 29180,
  [SMALL_STATE(1562)] = 29235,
  [SMALL_STATE(1563)] = 29292,
  [SMALL_STATE(1564)] = 29349,
  [SMALL_STATE(1565)] = 29404,
  [SMALL_STATE(1566)] = 29459,
  [SMALL_STATE(1567)] = 29514,
  [SMALL_STATE(1568)] = 29569,
  [SMALL_STATE(1569)] = 29624,
  [SMALL_STATE(1570)] = 29679,
  [SMALL_STATE(1571)] = 29734,
  [SMALL_STATE(1572)] = 29789,
  [SMALL_STATE(1573)] = 29844,
  [SMALL_STATE(1574)] = 29899,
  [SMALL_STATE(1575)] = 29954,
  [SMALL_STATE(1576)] = 30009,
  [SMALL_STATE(1577)] = 30064,
  [SMALL_STATE(1578)] = 30119,
  [SMALL_STATE(1579)] = 30174,
  [SMALL_STATE(1580)] = 30231,
  [SMALL_STATE(1581)] = 30286,
  [SMALL_STATE(1582)] = 30341,
  [SMALL_STATE(1583)] = 30396,
  [SMALL_STATE(1584)] = 30451,
  [SMALL_STATE(1585)] = 30506,
  [SMALL_STATE(1586)] = 30561,
  [SMALL_STATE(1587)] = 30616,
  [SMALL_STATE(1588)] = 30671,
  [SMALL_STATE(1589)] = 30728,
  [SMALL_STATE(1590)] = 30783,
  [SMALL_STATE(1591)] = 30838,
  [SMALL_STATE(1592)] = 30893,
  [SMALL_STATE(1593)] = 30952,
  [SMALL_STATE(1594)] = 31007,
  [SMALL_STATE(1595)] = 31062,
  [SMALL_STATE(1596)] = 31119,
  [SMALL_STATE(1597)] = 31174,
  [SMALL_STATE(1598)] = 31231,
  [SMALL_STATE(1599)] = 31286,
  [SMALL_STATE(1600)] = 31347,
  [SMALL_STATE(1601)] = 31402,
  [SMALL_STATE(1602)] = 31463,
  [SMALL_STATE(1603)] = 31518,
  [SMALL_STATE(1604)] = 31579,
  [SMALL_STATE(1605)] = 31640,
  [SMALL_STATE(1606)] = 31701,
  [SMALL_STATE(1607)] = 31760,
  [SMALL_STATE(1608)] = 31815,
  [SMALL_STATE(1609)] = 31870,
  [SMALL_STATE(1610)] = 31927,
  [SMALL_STATE(1611)] = 31982,
  [SMALL_STATE(1612)] = 32037,
  [SMALL_STATE(1613)] = 32092,
  [SMALL_STATE(1614)] = 32149,
  [SMALL_STATE(1615)] = 32204,
  [SMALL_STATE(1616)] = 32259,
  [SMALL_STATE(1617)] = 32314,
  [SMALL_STATE(1618)] = 32375,
  [SMALL_STATE(1619)] = 32432,
  [SMALL_STATE(1620)] = 32487,
  [SMALL_STATE(1621)] = 32542,
  [SMALL_STATE(1622)] = 32601,
  [SMALL_STATE(1623)] = 32660,
  [SMALL_STATE(1624)] = 32715,
  [SMALL_STATE(1625)] = 32776,
  [SMALL_STATE(1626)] = 32831,
  [SMALL_STATE(1627)] = 32890,
  [SMALL_STATE(1628)] = 32945,
  [SMALL_STATE(1629)] = 33000,
  [SMALL_STATE(1630)] = 33055,
  [SMALL_STATE(1631)] = 33110,
  [SMALL_STATE(1632)] = 33167,
  [SMALL_STATE(1633)] = 33224,
  [SMALL_STATE(1634)] = 33279,
  [SMALL_STATE(1635)] = 33334,
  [SMALL_STATE(1636)] = 33389,
  [SMALL_STATE(1637)] = 33444,
  [SMALL_STATE(1638)] = 33505,
  [SMALL_STATE(1639)] = 33560,
  [SMALL_STATE(1640)] = 33621,
  [SMALL_STATE(1641)] = 33676,
  [SMALL_STATE(1642)] = 33737,
  [SMALL_STATE(1643)] = 33796,
  [SMALL_STATE(1644)] = 33859,
  [SMALL_STATE(1645)] = 33914,
  [SMALL_STATE(1646)] = 33977,
  [SMALL_STATE(1647)] = 34036,
  [SMALL_STATE(1648)] = 34091,
  [SMALL_STATE(1649)] = 34148,
  [SMALL_STATE(1650)] = 34203,
  [SMALL_STATE(1651)] = 34258,
  [SMALL_STATE(1652)] = 34318,
  [SMALL_STATE(1653)] = 34372,
  [SMALL_STATE(1654)] = 34426,
  [SMALL_STATE(1655)] = 34480,
  [SMALL_STATE(1656)] = 34534,
  [SMALL_STATE(1657)] = 34588,
  [SMALL_STATE(1658)] = 34642,
  [SMALL_STATE(1659)] = 34696,
  [SMALL_STATE(1660)] = 34750,
  [SMALL_STATE(1661)] = 34804,
  [SMALL_STATE(1662)] = 34858,
  [SMALL_STATE(1663)] = 34912,
  [SMALL_STATE(1664)] = 34966,
  [SMALL_STATE(1665)] = 35020,
  [SMALL_STATE(1666)] = 35074,
  [SMALL_STATE(1667)] = 35128,
  [SMALL_STATE(1668)] = 35182,
  [SMALL_STATE(1669)] = 35236,
  [SMALL_STATE(1670)] = 35290,
  [SMALL_STATE(1671)] = 35344,
  [SMALL_STATE(1672)] = 35398,
  [SMALL_STATE(1673)] = 35458,
  [SMALL_STATE(1674)] = 35512,
  [SMALL_STATE(1675)] = 35566,
  [SMALL_STATE(1676)] = 35620,
  [SMALL_STATE(1677)] = 35674,
  [SMALL_STATE(1678)] = 35728,
  [SMALL_STATE(1679)] = 35782,
  [SMALL_STATE(1680)] = 35836,
  [SMALL_STATE(1681)] = 35890,
  [SMALL_STATE(1682)] = 35944,
  [SMALL_STATE(1683)] = 35998,
  [SMALL_STATE(1684)] = 36052,
  [SMALL_STATE(1685)] = 36106,
  [SMALL_STATE(1686)] = 36160,
  [SMALL_STATE(1687)] = 36214,
  [SMALL_STATE(1688)] = 36268,
  [SMALL_STATE(1689)] = 36322,
  [SMALL_STATE(1690)] = 36408,
  [SMALL_STATE(1691)] = 36462,
  [SMALL_STATE(1692)] = 36516,
  [SMALL_STATE(1693)] = 36570,
  [SMALL_STATE(1694)] = 36624,
  [SMALL_STATE(1695)] = 36678,
  [SMALL_STATE(1696)] = 36732,
  [SMALL_STATE(1697)] = 36786,
  [SMALL_STATE(1698)] = 36840,
  [SMALL_STATE(1699)] = 36894,
  [SMALL_STATE(1700)] = 36948,
  [SMALL_STATE(1701)] = 37002,
  [SMALL_STATE(1702)] = 37056,
  [SMALL_STATE(1703)] = 37110,
  [SMALL_STATE(1704)] = 37164,
  [SMALL_STATE(1705)] = 37218,
  [SMALL_STATE(1706)] = 37272,
  [SMALL_STATE(1707)] = 37328,
  [SMALL_STATE(1708)] = 37384,
  [SMALL_STATE(1709)] = 37440,
  [SMALL_STATE(1710)] = 37500,
  [SMALL_STATE(1711)] = 37554,
  [SMALL_STATE(1712)] = 37608,
  [SMALL_STATE(1713)] = 37682,
  [SMALL_STATE(1714)] = 37736,
  [SMALL_STATE(1715)] = 37790,
  [SMALL_STATE(1716)] = 37844,
  [SMALL_STATE(1717)] = 37898,
  [SMALL_STATE(1718)] = 37952,
  [SMALL_STATE(1719)] = 38006,
  [SMALL_STATE(1720)] = 38092,
  [SMALL_STATE(1721)] = 38178,
  [SMALL_STATE(1722)] = 38264,
  [SMALL_STATE(1723)] = 38350,
  [SMALL_STATE(1724)] = 38404,
  [SMALL_STATE(1725)] = 38483,
  [SMALL_STATE(1726)] = 38564,
  [SMALL_STATE(1727)] = 38619,
  [SMALL_STATE(1728)] = 38676,
  [SMALL_STATE(1729)] = 38729,
  [SMALL_STATE(1730)] = 38786,
  [SMALL_STATE(1731)] = 38841,
  [SMALL_STATE(1732)] = 38898,
  [SMALL_STATE(1733)] = 38961,
  [SMALL_STATE(1734)] = 39038,
  [SMALL_STATE(1735)] = 39099,
  [SMALL_STATE(1736)] = 39152,
  [SMALL_STATE(1737)] = 39231,
  [SMALL_STATE(1738)] = 39294,
  [SMALL_STATE(1739)] = 39371,
  [SMALL_STATE(1740)] = 39434,
  [SMALL_STATE(1741)] = 39513,
  [SMALL_STATE(1742)] = 39576,
  [SMALL_STATE(1743)] = 39685,
  [SMALL_STATE(1744)] = 39794,
  [SMALL_STATE(1745)] = 39903,
  [SMALL_STATE(1746)] = 40012,
  [SMALL_STATE(1747)] = 40121,
  [SMALL_STATE(1748)] = 40204,
  [SMALL_STATE(1749)] = 40277,
  [SMALL_STATE(1750)] = 40374,
  [SMALL_STATE(1751)] = 40473,
  [SMALL_STATE(1752)] = 40552,
  [SMALL_STATE(1753)] = 40605,
  [SMALL_STATE(1754)] = 40698,
  [SMALL_STATE(1755)] = 40793,
  [SMALL_STATE(1756)] = 40870,
  [SMALL_STATE(1757)] = 40949,
  [SMALL_STATE(1758)] = 41036,
  [SMALL_STATE(1759)] = 41137,
  [SMALL_STATE(1760)] = 41246,
  [SMALL_STATE(1761)] = 41355,
  [SMALL_STATE(1762)] = 41464,
  [SMALL_STATE(1763)] = 41573,
  [SMALL_STATE(1764)] = 41682,
  [SMALL_STATE(1765)] = 41791,
  [SMALL_STATE(1766)] = 41900,
  [SMALL_STATE(1767)] = 41979,
  [SMALL_STATE(1768)] = 42088,
  [SMALL_STATE(1769)] = 42141,
  [SMALL_STATE(1770)] = 42218,
  [SMALL_STATE(1771)] = 42271,
  [SMALL_STATE(1772)] = 42340,
  [SMALL_STATE(1773)] = 42417,
  [SMALL_STATE(1774)] = 42496,
  [SMALL_STATE(1775)] = 42575,
  [SMALL_STATE(1776)] = 42652,
  [SMALL_STATE(1777)] = 42705,
  [SMALL_STATE(1778)] = 42784,
  [SMALL_STATE(1779)] = 42855,
  [SMALL_STATE(1780)] = 42932,
  [SMALL_STATE(1781)] = 43041,
  [SMALL_STATE(1782)] = 43132,
  [SMALL_STATE(1783)] = 43240,
  [SMALL_STATE(1784)] = 43316,
  [SMALL_STATE(1785)] = 43424,
  [SMALL_STATE(1786)] = 43496,
  [SMALL_STATE(1787)] = 43570,
  [SMALL_STATE(1788)] = 43630,
  [SMALL_STATE(1789)] = 43682,
  [SMALL_STATE(1790)] = 43790,
  [SMALL_STATE(1791)] = 43848,
  [SMALL_STATE(1792)] = 43920,
  [SMALL_STATE(1793)] = 44028,
  [SMALL_STATE(1794)] = 44084,
  [SMALL_STATE(1795)] = 44192,
  [SMALL_STATE(1796)] = 44300,
  [SMALL_STATE(1797)] = 44382,
  [SMALL_STATE(1798)] = 44442,
  [SMALL_STATE(1799)] = 44498,
  [SMALL_STATE(1800)] = 44556,
  [SMALL_STATE(1801)] = 44612,
  [SMALL_STATE(1802)] = 44664,
  [SMALL_STATE(1803)] = 44736,
  [SMALL_STATE(1804)] = 44796,
  [SMALL_STATE(1805)] = 44892,
  [SMALL_STATE(1806)] = 44990,
  [SMALL_STATE(1807)] = 45068,
  [SMALL_STATE(1808)] = 45158,
  [SMALL_STATE(1809)] = 45250,
  [SMALL_STATE(1810)] = 45344,
  [SMALL_STATE(1811)] = 45420,
  [SMALL_STATE(1812)] = 45498,
  [SMALL_STATE(1813)] = 45584,
  [SMALL_STATE(1814)] = 45642,
  [SMALL_STATE(1815)] = 45696,
  [SMALL_STATE(1816)] = 45750,
  [SMALL_STATE(1817)] = 45858,
  [SMALL_STATE(1818)] = 45974,
  [SMALL_STATE(1819)] = 46082,
  [SMALL_STATE(1820)] = 46190,
  [SMALL_STATE(1821)] = 46298,
  [SMALL_STATE(1822)] = 46406,
  [SMALL_STATE(1823)] = 46458,
  [SMALL_STATE(1824)] = 46514,
  [SMALL_STATE(1825)] = 46568,
  [SMALL_STATE(1826)] = 46640,
  [SMALL_STATE(1827)] = 46710,
  [SMALL_STATE(1828)] = 46826,
  [SMALL_STATE(1829)] = 46926,
  [SMALL_STATE(1830)] = 47034,
  [SMALL_STATE(1831)] = 47102,
  [SMALL_STATE(1832)] = 47174,
  [SMALL_STATE(1833)] = 47228,
  [SMALL_STATE(1834)] = 47292,
  [SMALL_STATE(1835)] = 47408,
  [SMALL_STATE(1836)] = 47480,
  [SMALL_STATE(1837)] = 47542,
  [SMALL_STATE(1838)] = 47604,
  [SMALL_STATE(1839)] = 47712,
  [SMALL_STATE(1840)] = 47820,
  [SMALL_STATE(1841)] = 47928,
  [SMALL_STATE(1842)] = 47980,
  [SMALL_STATE(1843)] = 48088,
  [SMALL_STATE(1844)] = 48196,
  [SMALL_STATE(1845)] = 48278,
  [SMALL_STATE(1846)] = 48350,
  [SMALL_STATE(1847)] = 48446,
  [SMALL_STATE(1848)] = 48544,
  [SMALL_STATE(1849)] = 48622,
  [SMALL_STATE(1850)] = 48712,
  [SMALL_STATE(1851)] = 48804,
  [SMALL_STATE(1852)] = 48898,
  [SMALL_STATE(1853)] = 48974,
  [SMALL_STATE(1854)] = 49052,
  [SMALL_STATE(1855)] = 49138,
  [SMALL_STATE(1856)] = 49238,
  [SMALL_STATE(1857)] = 49346,
  [SMALL_STATE(1858)] = 49454,
  [SMALL_STATE(1859)] = 49562,
  [SMALL_STATE(1860)] = 49670,
  [SMALL_STATE(1861)] = 49778,
  [SMALL_STATE(1862)] = 49886,
  [SMALL_STATE(1863)] = 49994,
  [SMALL_STATE(1864)] = 50102,
  [SMALL_STATE(1865)] = 50164,
  [SMALL_STATE(1866)] = 50232,
  [SMALL_STATE(1867)] = 50348,
  [SMALL_STATE(1868)] = 50406,
  [SMALL_STATE(1869)] = 50466,
  [SMALL_STATE(1870)] = 50574,
  [SMALL_STATE(1871)] = 50682,
  [SMALL_STATE(1872)] = 50756,
  [SMALL_STATE(1873)] = 50834,
  [SMALL_STATE(1874)] = 50886,
  [SMALL_STATE(1875)] = 50994,
  [SMALL_STATE(1876)] = 51064,
  [SMALL_STATE(1877)] = 51140,
  [SMALL_STATE(1878)] = 51248,
  [SMALL_STATE(1879)] = 51310,
  [SMALL_STATE(1880)] = 51393,
  [SMALL_STATE(1881)] = 51444,
  [SMALL_STATE(1882)] = 51495,
  [SMALL_STATE(1883)] = 51552,
  [SMALL_STATE(1884)] = 51603,
  [SMALL_STATE(1885)] = 51658,
  [SMALL_STATE(1886)] = 51721,
  [SMALL_STATE(1887)] = 51784,
  [SMALL_STATE(1888)] = 51891,
  [SMALL_STATE(1889)] = 51998,
  [SMALL_STATE(1890)] = 52073,
  [SMALL_STATE(1891)] = 52180,
  [SMALL_STATE(1892)] = 52263,
  [SMALL_STATE(1893)] = 52344,
  [SMALL_STATE(1894)] = 52399,
  [SMALL_STATE(1895)] = 52506,
  [SMALL_STATE(1896)] = 52577,
  [SMALL_STATE(1897)] = 52686,
  [SMALL_STATE(1898)] = 52781,
  [SMALL_STATE(1899)] = 52878,
  [SMALL_STATE(1900)] = 52955,
  [SMALL_STATE(1901)] = 53044,
  [SMALL_STATE(1902)] = 53135,
  [SMALL_STATE(1903)] = 53228,
  [SMALL_STATE(1904)] = 53303,
  [SMALL_STATE(1905)] = 53380,
  [SMALL_STATE(1906)] = 53433,
  [SMALL_STATE(1907)] = 53518,
  [SMALL_STATE(1908)] = 53571,
  [SMALL_STATE(1909)] = 53670,
  [SMALL_STATE(1910)] = 53721,
  [SMALL_STATE(1911)] = 53774,
  [SMALL_STATE(1912)] = 53827,
  [SMALL_STATE(1913)] = 53884,
  [SMALL_STATE(1914)] = 53991,
  [SMALL_STATE(1915)] = 54098,
  [SMALL_STATE(1916)] = 54149,
  [SMALL_STATE(1917)] = 54222,
  [SMALL_STATE(1918)] = 54305,
  [SMALL_STATE(1919)] = 54356,
  [SMALL_STATE(1920)] = 54463,
  [SMALL_STATE(1921)] = 54530,
  [SMALL_STATE(1922)] = 54587,
  [SMALL_STATE(1923)] = 54646,
  [SMALL_STATE(1924)] = 54757,
  [SMALL_STATE(1925)] = 54826,
  [SMALL_STATE(1926)] = 54883,
  [SMALL_STATE(1927)] = 54994,
  [SMALL_STATE(1928)] = 55101,
  [SMALL_STATE(1929)] = 55170,
  [SMALL_STATE(1930)] = 55221,
  [SMALL_STATE(1931)] = 55328,
  [SMALL_STATE(1932)] = 55385,
  [SMALL_STATE(1933)] = 55438,
  [SMALL_STATE(1934)] = 55545,
  [SMALL_STATE(1935)] = 55604,
  [SMALL_STATE(1936)] = 55663,
  [SMALL_STATE(1937)] = 55722,
  [SMALL_STATE(1938)] = 55777,
  [SMALL_STATE(1939)] = 55828,
  [SMALL_STATE(1940)] = 55879,
  [SMALL_STATE(1941)] = 55990,
  [SMALL_STATE(1942)] = 56041,
  [SMALL_STATE(1943)] = 56098,
  [SMALL_STATE(1944)] = 56155,
  [SMALL_STATE(1945)] = 56266,
  [SMALL_STATE(1946)] = 56377,
  [SMALL_STATE(1947)] = 56488,
  [SMALL_STATE(1948)] = 56599,
  [SMALL_STATE(1949)] = 56682,
  [SMALL_STATE(1950)] = 56745,
  [SMALL_STATE(1951)] = 56808,
  [SMALL_STATE(1952)] = 56861,
  [SMALL_STATE(1953)] = 56914,
  [SMALL_STATE(1954)] = 56997,
  [SMALL_STATE(1955)] = 57062,
  [SMALL_STATE(1956)] = 57127,
  [SMALL_STATE(1957)] = 57184,
  [SMALL_STATE(1958)] = 57241,
  [SMALL_STATE(1959)] = 57298,
  [SMALL_STATE(1960)] = 57405,
  [SMALL_STATE(1961)] = 57512,
  [SMALL_STATE(1962)] = 57565,
  [SMALL_STATE(1963)] = 57618,
  [SMALL_STATE(1964)] = 57673,
  [SMALL_STATE(1965)] = 57746,
  [SMALL_STATE(1966)] = 57797,
  [SMALL_STATE(1967)] = 57848,
  [SMALL_STATE(1968)] = 57899,
  [SMALL_STATE(1969)] = 57950,
  [SMALL_STATE(1970)] = 58001,
  [SMALL_STATE(1971)] = 58074,
  [SMALL_STATE(1972)] = 58143,
  [SMALL_STATE(1973)] = 58194,
  [SMALL_STATE(1974)] = 58245,
  [SMALL_STATE(1975)] = 58298,
  [SMALL_STATE(1976)] = 58359,
  [SMALL_STATE(1977)] = 58410,
  [SMALL_STATE(1978)] = 58483,
  [SMALL_STATE(1979)] = 58536,
  [SMALL_STATE(1980)] = 58587,
  [SMALL_STATE(1981)] = 58646,
  [SMALL_STATE(1982)] = 58703,
  [SMALL_STATE(1983)] = 58758,
  [SMALL_STATE(1984)] = 58815,
  [SMALL_STATE(1985)] = 58868,
  [SMALL_STATE(1986)] = 58919,
  [SMALL_STATE(1987)] = 58970,
  [SMALL_STATE(1988)] = 59021,
  [SMALL_STATE(1989)] = 59074,
  [SMALL_STATE(1990)] = 59125,
  [SMALL_STATE(1991)] = 59176,
  [SMALL_STATE(1992)] = 59229,
  [SMALL_STATE(1993)] = 59280,
  [SMALL_STATE(1994)] = 59337,
  [SMALL_STATE(1995)] = 59388,
  [SMALL_STATE(1996)] = 59457,
  [SMALL_STATE(1997)] = 59508,
  [SMALL_STATE(1998)] = 59559,
  [SMALL_STATE(1999)] = 59610,
  [SMALL_STATE(2000)] = 59661,
  [SMALL_STATE(2001)] = 59712,
  [SMALL_STATE(2002)] = 59765,
  [SMALL_STATE(2003)] = 59816,
  [SMALL_STATE(2004)] = 59879,
  [SMALL_STATE(2005)] = 59942,
  [SMALL_STATE(2006)] = 59993,
  [SMALL_STATE(2007)] = 60044,
  [SMALL_STATE(2008)] = 60153,
  [SMALL_STATE(2009)] = 60204,
  [SMALL_STATE(2010)] = 60255,
  [SMALL_STATE(2011)] = 60306,
  [SMALL_STATE(2012)] = 60357,
  [SMALL_STATE(2013)] = 60408,
  [SMALL_STATE(2014)] = 60459,
  [SMALL_STATE(2015)] = 60510,
  [SMALL_STATE(2016)] = 60561,
  [SMALL_STATE(2017)] = 60634,
  [SMALL_STATE(2018)] = 60685,
  [SMALL_STATE(2019)] = 60736,
  [SMALL_STATE(2020)] = 60787,
  [SMALL_STATE(2021)] = 60838,
  [SMALL_STATE(2022)] = 60901,
  [SMALL_STATE(2023)] = 60952,
  [SMALL_STATE(2024)] = 61003,
  [SMALL_STATE(2025)] = 61054,
  [SMALL_STATE(2026)] = 61105,
  [SMALL_STATE(2027)] = 61168,
  [SMALL_STATE(2028)] = 61223,
  [SMALL_STATE(2029)] = 61286,
  [SMALL_STATE(2030)] = 61337,
  [SMALL_STATE(2031)] = 61388,
  [SMALL_STATE(2032)] = 61441,
  [SMALL_STATE(2033)] = 61492,
  [SMALL_STATE(2034)] = 61543,
  [SMALL_STATE(2035)] = 61600,
  [SMALL_STATE(2036)] = 61651,
  [SMALL_STATE(2037)] = 61702,
  [SMALL_STATE(2038)] = 61753,
  [SMALL_STATE(2039)] = 61826,
  [SMALL_STATE(2040)] = 61883,
  [SMALL_STATE(2041)] = 61990,
  [SMALL_STATE(2042)] = 62047,
  [SMALL_STATE(2043)] = 62104,
  [SMALL_STATE(2044)] = 62157,
  [SMALL_STATE(2045)] = 62210,
  [SMALL_STATE(2046)] = 62317,
  [SMALL_STATE(2047)] = 62368,
  [SMALL_STATE(2048)] = 62419,
  [SMALL_STATE(2049)] = 62478,
  [SMALL_STATE(2050)] = 62529,
  [SMALL_STATE(2051)] = 62580,
  [SMALL_STATE(2052)] = 62631,
  [SMALL_STATE(2053)] = 62682,
  [SMALL_STATE(2054)] = 62733,
  [SMALL_STATE(2055)] = 62784,
  [SMALL_STATE(2056)] = 62835,
  [SMALL_STATE(2057)] = 62886,
  [SMALL_STATE(2058)] = 62937,
  [SMALL_STATE(2059)] = 62988,
  [SMALL_STATE(2060)] = 63039,
  [SMALL_STATE(2061)] = 63090,
  [SMALL_STATE(2062)] = 63141,
  [SMALL_STATE(2063)] = 63192,
  [SMALL_STATE(2064)] = 63243,
  [SMALL_STATE(2065)] = 63294,
  [SMALL_STATE(2066)] = 63345,
  [SMALL_STATE(2067)] = 63398,
  [SMALL_STATE(2068)] = 63471,
  [SMALL_STATE(2069)] = 63540,
  [SMALL_STATE(2070)] = 63591,
  [SMALL_STATE(2071)] = 63660,
  [SMALL_STATE(2072)] = 63711,
  [SMALL_STATE(2073)] = 63782,
  [SMALL_STATE(2074)] = 63855,
  [SMALL_STATE(2075)] = 63906,
  [SMALL_STATE(2076)] = 63957,
  [SMALL_STATE(2077)] = 64010,
  [SMALL_STATE(2078)] = 64093,
  [SMALL_STATE(2079)] = 64144,
  [SMALL_STATE(2080)] = 64195,
  [SMALL_STATE(2081)] = 64246,
  [SMALL_STATE(2082)] = 64297,
  [SMALL_STATE(2083)] = 64358,
  [SMALL_STATE(2084)] = 64465,
  [SMALL_STATE(2085)] = 64572,
  [SMALL_STATE(2086)] = 64679,
  [SMALL_STATE(2087)] = 64786,
  [SMALL_STATE(2088)] = 64893,
  [SMALL_STATE(2089)] = 64974,
  [SMALL_STATE(2090)] = 65045,
  [SMALL_STATE(2091)] = 65140,
  [SMALL_STATE(2092)] = 65237,
  [SMALL_STATE(2093)] = 65314,
  [SMALL_STATE(2094)] = 65403,
  [SMALL_STATE(2095)] = 65494,
  [SMALL_STATE(2096)] = 65587,
  [SMALL_STATE(2097)] = 65662,
  [SMALL_STATE(2098)] = 65739,
  [SMALL_STATE(2099)] = 65824,
  [SMALL_STATE(2100)] = 65923,
  [SMALL_STATE(2101)] = 66030,
  [SMALL_STATE(2102)] = 66137,
  [SMALL_STATE(2103)] = 66244,
  [SMALL_STATE(2104)] = 66351,
  [SMALL_STATE(2105)] = 66458,
  [SMALL_STATE(2106)] = 66565,
  [SMALL_STATE(2107)] = 66672,
  [SMALL_STATE(2108)] = 66779,
  [SMALL_STATE(2109)] = 66848,
  [SMALL_STATE(2110)] = 66923,
  [SMALL_STATE(2111)] = 67030,
  [SMALL_STATE(2112)] = 67097,
  [SMALL_STATE(2113)] = 67150,
  [SMALL_STATE(2114)] = 67260,
  [SMALL_STATE(2115)] = 67310,
  [SMALL_STATE(2116)] = 67360,
  [SMALL_STATE(2117)] = 67414,
  [SMALL_STATE(2118)] = 67464,
  [SMALL_STATE(2119)] = 67518,
  [SMALL_STATE(2120)] = 67584,
  [SMALL_STATE(2121)] = 67634,
  [SMALL_STATE(2122)] = 67684,
  [SMALL_STATE(2123)] = 67748,
  [SMALL_STATE(2124)] = 67814,
  [SMALL_STATE(2125)] = 67870,
  [SMALL_STATE(2126)] = 67920,
  [SMALL_STATE(2127)] = 67976,
  [SMALL_STATE(2128)] = 68026,
  [SMALL_STATE(2129)] = 68080,
  [SMALL_STATE(2130)] = 68134,
  [SMALL_STATE(2131)] = 68184,
  [SMALL_STATE(2132)] = 68234,
  [SMALL_STATE(2133)] = 68288,
  [SMALL_STATE(2134)] = 68342,
  [SMALL_STATE(2135)] = 68392,
  [SMALL_STATE(2136)] = 68450,
  [SMALL_STATE(2137)] = 68560,
  [SMALL_STATE(2138)] = 68610,
  [SMALL_STATE(2139)] = 68684,
  [SMALL_STATE(2140)] = 68794,
  [SMALL_STATE(2141)] = 68870,
  [SMALL_STATE(2142)] = 68920,
  [SMALL_STATE(2143)] = 68976,
  [SMALL_STATE(2144)] = 69086,
  [SMALL_STATE(2145)] = 69196,
  [SMALL_STATE(2146)] = 69252,
  [SMALL_STATE(2147)] = 69362,
  [SMALL_STATE(2148)] = 69472,
  [SMALL_STATE(2149)] = 69546,
  [SMALL_STATE(2150)] = 69656,
  [SMALL_STATE(2151)] = 69732,
  [SMALL_STATE(2152)] = 69794,
  [SMALL_STATE(2153)] = 69856,
  [SMALL_STATE(2154)] = 69908,
  [SMALL_STATE(2155)] = 69960,
  [SMALL_STATE(2156)] = 70046,
  [SMALL_STATE(2157)] = 70108,
  [SMALL_STATE(2158)] = 70170,
  [SMALL_STATE(2159)] = 70230,
  [SMALL_STATE(2160)] = 70290,
  [SMALL_STATE(2161)] = 70340,
  [SMALL_STATE(2162)] = 70398,
  [SMALL_STATE(2163)] = 70456,
  [SMALL_STATE(2164)] = 70518,
  [SMALL_STATE(2165)] = 70580,
  [SMALL_STATE(2166)] = 70642,
  [SMALL_STATE(2167)] = 70704,
  [SMALL_STATE(2168)] = 70754,
  [SMALL_STATE(2169)] = 70816,
  [SMALL_STATE(2170)] = 70878,
  [SMALL_STATE(2171)] = 70984,
  [SMALL_STATE(2172)] = 71034,
  [SMALL_STATE(2173)] = 71084,
  [SMALL_STATE(2174)] = 71134,
  [SMALL_STATE(2175)] = 71198,
  [SMALL_STATE(2176)] = 71308,
  [SMALL_STATE(2177)] = 71360,
  [SMALL_STATE(2178)] = 71470,
  [SMALL_STATE(2179)] = 71524,
  [SMALL_STATE(2180)] = 71578,
  [SMALL_STATE(2181)] = 71632,
  [SMALL_STATE(2182)] = 71692,
  [SMALL_STATE(2183)] = 71746,
  [SMALL_STATE(2184)] = 71852,
  [SMALL_STATE(2185)] = 71958,
  [SMALL_STATE(2186)] = 72064,
  [SMALL_STATE(2187)] = 72114,
  [SMALL_STATE(2188)] = 72220,
  [SMALL_STATE(2189)] = 72270,
  [SMALL_STATE(2190)] = 72376,
  [SMALL_STATE(2191)] = 72482,
  [SMALL_STATE(2192)] = 72562,
  [SMALL_STATE(2193)] = 72672,
  [SMALL_STATE(2194)] = 72742,
  [SMALL_STATE(2195)] = 72852,
  [SMALL_STATE(2196)] = 72946,
  [SMALL_STATE(2197)] = 73042,
  [SMALL_STATE(2198)] = 73118,
  [SMALL_STATE(2199)] = 73206,
  [SMALL_STATE(2200)] = 73296,
  [SMALL_STATE(2201)] = 73388,
  [SMALL_STATE(2202)] = 73462,
  [SMALL_STATE(2203)] = 73538,
  [SMALL_STATE(2204)] = 73622,
  [SMALL_STATE(2205)] = 73720,
  [SMALL_STATE(2206)] = 73826,
  [SMALL_STATE(2207)] = 73932,
  [SMALL_STATE(2208)] = 74038,
  [SMALL_STATE(2209)] = 74144,
  [SMALL_STATE(2210)] = 74250,
  [SMALL_STATE(2211)] = 74356,
  [SMALL_STATE(2212)] = 74462,
  [SMALL_STATE(2213)] = 74526,
  [SMALL_STATE(2214)] = 74592,
  [SMALL_STATE(2215)] = 74702,
  [SMALL_STATE(2216)] = 74808,
  [SMALL_STATE(2217)] = 74862,
  [SMALL_STATE(2218)] = 74916,
  [SMALL_STATE(2219)] = 74982,
  [SMALL_STATE(2220)] = 75046,
  [SMALL_STATE(2221)] = 75110,
  [SMALL_STATE(2222)] = 75168,
  [SMALL_STATE(2223)] = 75218,
  [SMALL_STATE(2224)] = 75272,
  [SMALL_STATE(2225)] = 75336,
  [SMALL_STATE(2226)] = 75386,
  [SMALL_STATE(2227)] = 75450,
  [SMALL_STATE(2228)] = 75514,
  [SMALL_STATE(2229)] = 75580,
  [SMALL_STATE(2230)] = 75646,
  [SMALL_STATE(2231)] = 75712,
  [SMALL_STATE(2232)] = 75776,
  [SMALL_STATE(2233)] = 75830,
  [SMALL_STATE(2234)] = 75940,
  [SMALL_STATE(2235)] = 75990,
  [SMALL_STATE(2236)] = 76040,
  [SMALL_STATE(2237)] = 76094,
  [SMALL_STATE(2238)] = 76144,
  [SMALL_STATE(2239)] = 76194,
  [SMALL_STATE(2240)] = 76244,
  [SMALL_STATE(2241)] = 76294,
  [SMALL_STATE(2242)] = 76404,
  [SMALL_STATE(2243)] = 76454,
  [SMALL_STATE(2244)] = 76508,
  [SMALL_STATE(2245)] = 76562,
  [SMALL_STATE(2246)] = 76612,
  [SMALL_STATE(2247)] = 76676,
  [SMALL_STATE(2248)] = 76742,
  [SMALL_STATE(2249)] = 76852,
  [SMALL_STATE(2250)] = 76910,
  [SMALL_STATE(2251)] = 76968,
  [SMALL_STATE(2252)] = 77078,
  [SMALL_STATE(2253)] = 77132,
  [SMALL_STATE(2254)] = 77190,
  [SMALL_STATE(2255)] = 77240,
  [SMALL_STATE(2256)] = 77298,
  [SMALL_STATE(2257)] = 77408,
  [SMALL_STATE(2258)] = 77468,
  [SMALL_STATE(2259)] = 77578,
  [SMALL_STATE(2260)] = 77646,
  [SMALL_STATE(2261)] = 77720,
  [SMALL_STATE(2262)] = 77826,
  [SMALL_STATE(2263)] = 77892,
  [SMALL_STATE(2264)] = 77946,
  [SMALL_STATE(2265)] = 78010,
  [SMALL_STATE(2266)] = 78120,
  [SMALL_STATE(2267)] = 78170,
  [SMALL_STATE(2268)] = 78244,
  [SMALL_STATE(2269)] = 78320,
  [SMALL_STATE(2270)] = 78372,
  [SMALL_STATE(2271)] = 78432,
  [SMALL_STATE(2272)] = 78488,
  [SMALL_STATE(2273)] = 78562,
  [SMALL_STATE(2274)] = 78612,
  [SMALL_STATE(2275)] = 78676,
  [SMALL_STATE(2276)] = 78752,
  [SMALL_STATE(2277)] = 78804,
  [SMALL_STATE(2278)] = 78856,
  [SMALL_STATE(2279)] = 78910,
  [SMALL_STATE(2280)] = 78960,
  [SMALL_STATE(2281)] = 79068,
  [SMALL_STATE(2282)] = 79178,
  [SMALL_STATE(2283)] = 79242,
  [SMALL_STATE(2284)] = 79352,
  [SMALL_STATE(2285)] = 79462,
  [SMALL_STATE(2286)] = 79526,
  [SMALL_STATE(2287)] = 79636,
  [SMALL_STATE(2288)] = 79700,
  [SMALL_STATE(2289)] = 79752,
  [SMALL_STATE(2290)] = 79804,
  [SMALL_STATE(2291)] = 79858,
  [SMALL_STATE(2292)] = 79908,
  [SMALL_STATE(2293)] = 79958,
  [SMALL_STATE(2294)] = 80008,
  [SMALL_STATE(2295)] = 80058,
  [SMALL_STATE(2296)] = 80112,
  [SMALL_STATE(2297)] = 80162,
  [SMALL_STATE(2298)] = 80272,
  [SMALL_STATE(2299)] = 80382,
  [SMALL_STATE(2300)] = 80492,
  [SMALL_STATE(2301)] = 80602,
  [SMALL_STATE(2302)] = 80712,
  [SMALL_STATE(2303)] = 80766,
  [SMALL_STATE(2304)] = 80820,
  [SMALL_STATE(2305)] = 80874,
  [SMALL_STATE(2306)] = 80928,
  [SMALL_STATE(2307)] = 80980,
  [SMALL_STATE(2308)] = 81044,
  [SMALL_STATE(2309)] = 81110,
  [SMALL_STATE(2310)] = 81168,
  [SMALL_STATE(2311)] = 81234,
  [SMALL_STATE(2312)] = 81286,
  [SMALL_STATE(2313)] = 81340,
  [SMALL_STATE(2314)] = 81392,
  [SMALL_STATE(2315)] = 81458,
  [SMALL_STATE(2316)] = 81508,
  [SMALL_STATE(2317)] = 81572,
  [SMALL_STATE(2318)] = 81638,
  [SMALL_STATE(2319)] = 81704,
  [SMALL_STATE(2320)] = 81814,
  [SMALL_STATE(2321)] = 81864,
  [SMALL_STATE(2322)] = 81928,
  [SMALL_STATE(2323)] = 81994,
  [SMALL_STATE(2324)] = 82100,
  [SMALL_STATE(2325)] = 82168,
  [SMALL_STATE(2326)] = 82218,
  [SMALL_STATE(2327)] = 82268,
  [SMALL_STATE(2328)] = 82318,
  [SMALL_STATE(2329)] = 82372,
  [SMALL_STATE(2330)] = 82422,
  [SMALL_STATE(2331)] = 82472,
  [SMALL_STATE(2332)] = 82522,
  [SMALL_STATE(2333)] = 82572,
  [SMALL_STATE(2334)] = 82622,
  [SMALL_STATE(2335)] = 82696,
  [SMALL_STATE(2336)] = 82772,
  [SMALL_STATE(2337)] = 82882,
  [SMALL_STATE(2338)] = 82992,
  [SMALL_STATE(2339)] = 83102,
  [SMALL_STATE(2340)] = 83156,
  [SMALL_STATE(2341)] = 83208,
  [SMALL_STATE(2342)] = 83318,
  [SMALL_STATE(2343)] = 83428,
  [SMALL_STATE(2344)] = 83492,
  [SMALL_STATE(2345)] = 83546,
  [SMALL_STATE(2346)] = 83620,
  [SMALL_STATE(2347)] = 83696,
  [SMALL_STATE(2348)] = 83806,
  [SMALL_STATE(2349)] = 83858,
  [SMALL_STATE(2350)] = 83916,
  [SMALL_STATE(2351)] = 83966,
  [SMALL_STATE(2352)] = 84022,
  [SMALL_STATE(2353)] = 84128,
  [SMALL_STATE(2354)] = 84190,
  [SMALL_STATE(2355)] = 84296,
  [SMALL_STATE(2356)] = 84406,
  [SMALL_STATE(2357)] = 84456,
  [SMALL_STATE(2358)] = 84520,
  [SMALL_STATE(2359)] = 84586,
  [SMALL_STATE(2360)] = 84638,
  [SMALL_STATE(2361)] = 84704,
  [SMALL_STATE(2362)] = 84814,
  [SMALL_STATE(2363)] = 84864,
  [SMALL_STATE(2364)] = 84969,
  [SMALL_STATE(2365)] = 85028,
  [SMALL_STATE(2366)] = 85133,
  [SMALL_STATE(2367)] = 85238,
  [SMALL_STATE(2368)] = 85343,
  [SMALL_STATE(2369)] = 85448,
  [SMALL_STATE(2370)] = 85553,
  [SMALL_STATE(2371)] = 85632,
  [SMALL_STATE(2372)] = 85701,
  [SMALL_STATE(2373)] = 85794,
  [SMALL_STATE(2374)] = 85889,
  [SMALL_STATE(2375)] = 85964,
  [SMALL_STATE(2376)] = 86051,
  [SMALL_STATE(2377)] = 86140,
  [SMALL_STATE(2378)] = 86231,
  [SMALL_STATE(2379)] = 86304,
  [SMALL_STATE(2380)] = 86379,
  [SMALL_STATE(2381)] = 86462,
  [SMALL_STATE(2382)] = 86559,
  [SMALL_STATE(2383)] = 86664,
  [SMALL_STATE(2384)] = 86769,
  [SMALL_STATE(2385)] = 86874,
  [SMALL_STATE(2386)] = 86979,
  [SMALL_STATE(2387)] = 87084,
  [SMALL_STATE(2388)] = 87189,
  [SMALL_STATE(2389)] = 87294,
  [SMALL_STATE(2390)] = 87347,
  [SMALL_STATE(2391)] = 87398,
  [SMALL_STATE(2392)] = 87457,
  [SMALL_STATE(2393)] = 87562,
  [SMALL_STATE(2394)] = 87667,
  [SMALL_STATE(2395)] = 87772,
  [SMALL_STATE(2396)] = 87877,
  [SMALL_STATE(2397)] = 87982,
  [SMALL_STATE(2398)] = 88061,
  [SMALL_STATE(2399)] = 88130,
  [SMALL_STATE(2400)] = 88223,
  [SMALL_STATE(2401)] = 88318,
  [SMALL_STATE(2402)] = 88393,
  [SMALL_STATE(2403)] = 88480,
  [SMALL_STATE(2404)] = 88569,
  [SMALL_STATE(2405)] = 88660,
  [SMALL_STATE(2406)] = 88733,
  [SMALL_STATE(2407)] = 88808,
  [SMALL_STATE(2408)] = 88891,
  [SMALL_STATE(2409)] = 88988,
  [SMALL_STATE(2410)] = 89093,
  [SMALL_STATE(2411)] = 89198,
  [SMALL_STATE(2412)] = 89303,
  [SMALL_STATE(2413)] = 89408,
  [SMALL_STATE(2414)] = 89513,
  [SMALL_STATE(2415)] = 89618,
  [SMALL_STATE(2416)] = 89723,
  [SMALL_STATE(2417)] = 89828,
  [SMALL_STATE(2418)] = 89933,
  [SMALL_STATE(2419)] = 89992,
  [SMALL_STATE(2420)] = 90061,
  [SMALL_STATE(2421)] = 90120,
  [SMALL_STATE(2422)] = 90209,
  [SMALL_STATE(2423)] = 90314,
  [SMALL_STATE(2424)] = 90419,
  [SMALL_STATE(2425)] = 90474,
  [SMALL_STATE(2426)] = 90529,
  [SMALL_STATE(2427)] = 90588,
  [SMALL_STATE(2428)] = 90639,
  [SMALL_STATE(2429)] = 90744,
  [SMALL_STATE(2430)] = 90803,
  [SMALL_STATE(2431)] = 90872,
  [SMALL_STATE(2432)] = 90927,
  [SMALL_STATE(2433)] = 90978,
  [SMALL_STATE(2434)] = 91083,
  [SMALL_STATE(2435)] = 91190,
  [SMALL_STATE(2436)] = 91245,
  [SMALL_STATE(2437)] = 91314,
  [SMALL_STATE(2438)] = 91373,
  [SMALL_STATE(2439)] = 91424,
  [SMALL_STATE(2440)] = 91529,
  [SMALL_STATE(2441)] = 91634,
  [SMALL_STATE(2442)] = 91739,
  [SMALL_STATE(2443)] = 91846,
  [SMALL_STATE(2444)] = 91905,
  [SMALL_STATE(2445)] = 91956,
  [SMALL_STATE(2446)] = 92033,
  [SMALL_STATE(2447)] = 92092,
  [SMALL_STATE(2448)] = 92151,
  [SMALL_STATE(2449)] = 92210,
  [SMALL_STATE(2450)] = 92265,
  [SMALL_STATE(2451)] = 92332,
  [SMALL_STATE(2452)] = 92389,
  [SMALL_STATE(2453)] = 92494,
  [SMALL_STATE(2454)] = 92559,
  [SMALL_STATE(2455)] = 92614,
  [SMALL_STATE(2456)] = 92673,
  [SMALL_STATE(2457)] = 92748,
  [SMALL_STATE(2458)] = 92853,
  [SMALL_STATE(2459)] = 92920,
  [SMALL_STATE(2460)] = 92993,
  [SMALL_STATE(2461)] = 93098,
  [SMALL_STATE(2462)] = 93163,
  [SMALL_STATE(2463)] = 93222,
  [SMALL_STATE(2464)] = 93277,
  [SMALL_STATE(2465)] = 93334,
  [SMALL_STATE(2466)] = 93387,
  [SMALL_STATE(2467)] = 93444,
  [SMALL_STATE(2468)] = 93503,
  [SMALL_STATE(2469)] = 93554,
  [SMALL_STATE(2470)] = 93635,
  [SMALL_STATE(2471)] = 93686,
  [SMALL_STATE(2472)] = 93755,
  [SMALL_STATE(2473)] = 93860,
  [SMALL_STATE(2474)] = 93919,
  [SMALL_STATE(2475)] = 93978,
  [SMALL_STATE(2476)] = 94033,
  [SMALL_STATE(2477)] = 94092,
  [SMALL_STATE(2478)] = 94161,
  [SMALL_STATE(2479)] = 94220,
  [SMALL_STATE(2480)] = 94279,
  [SMALL_STATE(2481)] = 94332,
  [SMALL_STATE(2482)] = 94391,
  [SMALL_STATE(2483)] = 94448,
  [SMALL_STATE(2484)] = 94517,
  [SMALL_STATE(2485)] = 94576,
  [SMALL_STATE(2486)] = 94635,
  [SMALL_STATE(2487)] = 94740,
  [SMALL_STATE(2488)] = 94797,
  [SMALL_STATE(2489)] = 94856,
  [SMALL_STATE(2490)] = 94961,
  [SMALL_STATE(2491)] = 95020,
  [SMALL_STATE(2492)] = 95125,
  [SMALL_STATE(2493)] = 95230,
  [SMALL_STATE(2494)] = 95335,
  [SMALL_STATE(2495)] = 95440,
  [SMALL_STATE(2496)] = 95545,
  [SMALL_STATE(2497)] = 95624,
  [SMALL_STATE(2498)] = 95693,
  [SMALL_STATE(2499)] = 95786,
  [SMALL_STATE(2500)] = 95881,
  [SMALL_STATE(2501)] = 95956,
  [SMALL_STATE(2502)] = 96043,
  [SMALL_STATE(2503)] = 96132,
  [SMALL_STATE(2504)] = 96223,
  [SMALL_STATE(2505)] = 96296,
  [SMALL_STATE(2506)] = 96371,
  [SMALL_STATE(2507)] = 96454,
  [SMALL_STATE(2508)] = 96551,
  [SMALL_STATE(2509)] = 96656,
  [SMALL_STATE(2510)] = 96761,
  [SMALL_STATE(2511)] = 96866,
  [SMALL_STATE(2512)] = 96971,
  [SMALL_STATE(2513)] = 97076,
  [SMALL_STATE(2514)] = 97181,
  [SMALL_STATE(2515)] = 97286,
  [SMALL_STATE(2516)] = 97391,
  [SMALL_STATE(2517)] = 97442,
  [SMALL_STATE(2518)] = 97493,
  [SMALL_STATE(2519)] = 97560,
  [SMALL_STATE(2520)] = 97633,
  [SMALL_STATE(2521)] = 97738,
  [SMALL_STATE(2522)] = 97803,
  [SMALL_STATE(2523)] = 97862,
  [SMALL_STATE(2524)] = 97921,
  [SMALL_STATE(2525)] = 97978,
  [SMALL_STATE(2526)] = 98035,
  [SMALL_STATE(2527)] = 98086,
  [SMALL_STATE(2528)] = 98143,
  [SMALL_STATE(2529)] = 98216,
  [SMALL_STATE(2530)] = 98298,
  [SMALL_STATE(2531)] = 98362,
  [SMALL_STATE(2532)] = 98422,
  [SMALL_STATE(2533)] = 98482,
  [SMALL_STATE(2534)] = 98536,
  [SMALL_STATE(2535)] = 98586,
  [SMALL_STATE(2536)] = 98640,
  [SMALL_STATE(2537)] = 98708,
  [SMALL_STATE(2538)] = 98778,
  [SMALL_STATE(2539)] = 98882,
  [SMALL_STATE(2540)] = 98932,
  [SMALL_STATE(2541)] = 98982,
  [SMALL_STATE(2542)] = 99032,
  [SMALL_STATE(2543)] = 99082,
  [SMALL_STATE(2544)] = 99148,
  [SMALL_STATE(2545)] = 99220,
  [SMALL_STATE(2546)] = 99324,
  [SMALL_STATE(2547)] = 99388,
  [SMALL_STATE(2548)] = 99442,
  [SMALL_STATE(2549)] = 99506,
  [SMALL_STATE(2550)] = 99566,
  [SMALL_STATE(2551)] = 99624,
  [SMALL_STATE(2552)] = 99688,
  [SMALL_STATE(2553)] = 99748,
  [SMALL_STATE(2554)] = 99852,
  [SMALL_STATE(2555)] = 99956,
  [SMALL_STATE(2556)] = 100060,
  [SMALL_STATE(2557)] = 100164,
  [SMALL_STATE(2558)] = 100268,
  [SMALL_STATE(2559)] = 100372,
  [SMALL_STATE(2560)] = 100438,
  [SMALL_STATE(2561)] = 100516,
  [SMALL_STATE(2562)] = 100584,
  [SMALL_STATE(2563)] = 100652,
  [SMALL_STATE(2564)] = 100744,
  [SMALL_STATE(2565)] = 100798,
  [SMALL_STATE(2566)] = 100902,
  [SMALL_STATE(2567)] = 100996,
  [SMALL_STATE(2568)] = 101070,
  [SMALL_STATE(2569)] = 101156,
  [SMALL_STATE(2570)] = 101244,
  [SMALL_STATE(2571)] = 101334,
  [SMALL_STATE(2572)] = 101406,
  [SMALL_STATE(2573)] = 101510,
  [SMALL_STATE(2574)] = 101570,
  [SMALL_STATE(2575)] = 101624,
  [SMALL_STATE(2576)] = 101728,
  [SMALL_STATE(2577)] = 101782,
  [SMALL_STATE(2578)] = 101856,
  [SMALL_STATE(2579)] = 101952,
  [SMALL_STATE(2580)] = 102056,
  [SMALL_STATE(2581)] = 102160,
  [SMALL_STATE(2582)] = 102264,
  [SMALL_STATE(2583)] = 102314,
  [SMALL_STATE(2584)] = 102364,
  [SMALL_STATE(2585)] = 102414,
  [SMALL_STATE(2586)] = 102464,
  [SMALL_STATE(2587)] = 102568,
  [SMALL_STATE(2588)] = 102622,
  [SMALL_STATE(2589)] = 102726,
  [SMALL_STATE(2590)] = 102830,
  [SMALL_STATE(2591)] = 102894,
  [SMALL_STATE(2592)] = 102948,
  [SMALL_STATE(2593)] = 102996,
  [SMALL_STATE(2594)] = 103102,
  [SMALL_STATE(2595)] = 103206,
  [SMALL_STATE(2596)] = 103310,
  [SMALL_STATE(2597)] = 103414,
  [SMALL_STATE(2598)] = 103468,
  [SMALL_STATE(2599)] = 103572,
  [SMALL_STATE(2600)] = 103622,
  [SMALL_STATE(2601)] = 103726,
  [SMALL_STATE(2602)] = 103798,
  [SMALL_STATE(2603)] = 103846,
  [SMALL_STATE(2604)] = 103902,
  [SMALL_STATE(2605)] = 103950,
  [SMALL_STATE(2606)] = 104054,
  [SMALL_STATE(2607)] = 104108,
  [SMALL_STATE(2608)] = 104212,
  [SMALL_STATE(2609)] = 104316,
  [SMALL_STATE(2610)] = 104366,
  [SMALL_STATE(2611)] = 104470,
  [SMALL_STATE(2612)] = 104534,
  [SMALL_STATE(2613)] = 104588,
  [SMALL_STATE(2614)] = 104645,
  [SMALL_STATE(2615)] = 104702,
  [SMALL_STATE(2616)] = 104803,
  [SMALL_STATE(2617)] = 104866,
  [SMALL_STATE(2618)] = 104923,
  [SMALL_STATE(2619)] = 104982,
  [SMALL_STATE(2620)] = 105041,
  [SMALL_STATE(2621)] = 105100,
  [SMALL_STATE(2622)] = 105159,
  [SMALL_STATE(2623)] = 105218,
  [SMALL_STATE(2624)] = 105275,
  [SMALL_STATE(2625)] = 105332,
  [SMALL_STATE(2626)] = 105385,
  [SMALL_STATE(2627)] = 105446,
  [SMALL_STATE(2628)] = 105503,
  [SMALL_STATE(2629)] = 105562,
  [SMALL_STATE(2630)] = 105619,
  [SMALL_STATE(2631)] = 105678,
  [SMALL_STATE(2632)] = 105727,
  [SMALL_STATE(2633)] = 105784,
  [SMALL_STATE(2634)] = 105841,
  [SMALL_STATE(2635)] = 105900,
  [SMALL_STATE(2636)] = 105959,
  [SMALL_STATE(2637)] = 106016,
  [SMALL_STATE(2638)] = 106073,
  [SMALL_STATE(2639)] = 106174,
  [SMALL_STATE(2640)] = 106231,
  [SMALL_STATE(2641)] = 106296,
  [SMALL_STATE(2642)] = 106355,
  [SMALL_STATE(2643)] = 106418,
  [SMALL_STATE(2644)] = 106475,
  [SMALL_STATE(2645)] = 106532,
  [SMALL_STATE(2646)] = 106589,
  [SMALL_STATE(2647)] = 106638,
  [SMALL_STATE(2648)] = 106695,
  [SMALL_STATE(2649)] = 106744,
  [SMALL_STATE(2650)] = 106793,
  [SMALL_STATE(2651)] = 106852,
  [SMALL_STATE(2652)] = 106911,
  [SMALL_STATE(2653)] = 106957,
  [SMALL_STATE(2654)] = 107003,
  [SMALL_STATE(2655)] = 107051,
  [SMALL_STATE(2656)] = 107099,
  [SMALL_STATE(2657)] = 107145,
  [SMALL_STATE(2658)] = 107193,
  [SMALL_STATE(2659)] = 107239,
  [SMALL_STATE(2660)] = 107289,
  [SMALL_STATE(2661)] = 107337,
  [SMALL_STATE(2662)] = 107383,
  [SMALL_STATE(2663)] = 107431,
  [SMALL_STATE(2664)] = 107477,
  [SMALL_STATE(2665)] = 107523,
  [SMALL_STATE(2666)] = 107571,
  [SMALL_STATE(2667)] = 107619,
  [SMALL_STATE(2668)] = 107667,
  [SMALL_STATE(2669)] = 107713,
  [SMALL_STATE(2670)] = 107759,
  [SMALL_STATE(2671)] = 107805,
  [SMALL_STATE(2672)] = 107851,
  [SMALL_STATE(2673)] = 107897,
  [SMALL_STATE(2674)] = 107943,
  [SMALL_STATE(2675)] = 107989,
  [SMALL_STATE(2676)] = 108035,
  [SMALL_STATE(2677)] = 108081,
  [SMALL_STATE(2678)] = 108127,
  [SMALL_STATE(2679)] = 108173,
  [SMALL_STATE(2680)] = 108221,
  [SMALL_STATE(2681)] = 108267,
  [SMALL_STATE(2682)] = 108313,
  [SMALL_STATE(2683)] = 108359,
  [SMALL_STATE(2684)] = 108405,
  [SMALL_STATE(2685)] = 108451,
  [SMALL_STATE(2686)] = 108497,
  [SMALL_STATE(2687)] = 108547,
  [SMALL_STATE(2688)] = 108593,
  [SMALL_STATE(2689)] = 108639,
  [SMALL_STATE(2690)] = 108685,
  [SMALL_STATE(2691)] = 108743,
  [SMALL_STATE(2692)] = 108789,
  [SMALL_STATE(2693)] = 108835,
  [SMALL_STATE(2694)] = 108881,
  [SMALL_STATE(2695)] = 108927,
  [SMALL_STATE(2696)] = 108975,
  [SMALL_STATE(2697)] = 109021,
  [SMALL_STATE(2698)] = 109067,
  [SMALL_STATE(2699)] = 109113,
  [SMALL_STATE(2700)] = 109159,
  [SMALL_STATE(2701)] = 109207,
  [SMALL_STATE(2702)] = 109253,
  [SMALL_STATE(2703)] = 109299,
  [SMALL_STATE(2704)] = 109345,
  [SMALL_STATE(2705)] = 109391,
  [SMALL_STATE(2706)] = 109437,
  [SMALL_STATE(2707)] = 109485,
  [SMALL_STATE(2708)] = 109531,
  [SMALL_STATE(2709)] = 109587,
  [SMALL_STATE(2710)] = 109637,
  [SMALL_STATE(2711)] = 109683,
  [SMALL_STATE(2712)] = 109729,
  [SMALL_STATE(2713)] = 109775,
  [SMALL_STATE(2714)] = 109823,
  [SMALL_STATE(2715)] = 109871,
  [SMALL_STATE(2716)] = 109917,
  [SMALL_STATE(2717)] = 109963,
  [SMALL_STATE(2718)] = 110009,
  [SMALL_STATE(2719)] = 110054,
  [SMALL_STATE(2720)] = 110105,
  [SMALL_STATE(2721)] = 110154,
  [SMALL_STATE(2722)] = 110207,
  [SMALL_STATE(2723)] = 110252,
  [SMALL_STATE(2724)] = 110319,
  [SMALL_STATE(2725)] = 110370,
  [SMALL_STATE(2726)] = 110415,
  [SMALL_STATE(2727)] = 110460,
  [SMALL_STATE(2728)] = 110505,
  [SMALL_STATE(2729)] = 110550,
  [SMALL_STATE(2730)] = 110595,
  [SMALL_STATE(2731)] = 110648,
  [SMALL_STATE(2732)] = 110706,
  [SMALL_STATE(2733)] = 110778,
  [SMALL_STATE(2734)] = 110838,
  [SMALL_STATE(2735)] = 110894,
  [SMALL_STATE(2736)] = 110952,
  [SMALL_STATE(2737)] = 111012,
  [SMALL_STATE(2738)] = 111070,
  [SMALL_STATE(2739)] = 111118,
  [SMALL_STATE(2740)] = 111176,
  [SMALL_STATE(2741)] = 111224,
  [SMALL_STATE(2742)] = 111284,
  [SMALL_STATE(2743)] = 111356,
  [SMALL_STATE(2744)] = 111409,
  [SMALL_STATE(2745)] = 111462,
  [SMALL_STATE(2746)] = 111515,
  [SMALL_STATE(2747)] = 111578,
  [SMALL_STATE(2748)] = 111631,
  [SMALL_STATE(2749)] = 111680,
  [SMALL_STATE(2750)] = 111733,
  [SMALL_STATE(2751)] = 111786,
  [SMALL_STATE(2752)] = 111839,
  [SMALL_STATE(2753)] = 111892,
  [SMALL_STATE(2754)] = 111945,
  [SMALL_STATE(2755)] = 111998,
  [SMALL_STATE(2756)] = 112051,
  [SMALL_STATE(2757)] = 112104,
  [SMALL_STATE(2758)] = 112157,
  [SMALL_STATE(2759)] = 112210,
  [SMALL_STATE(2760)] = 112263,
  [SMALL_STATE(2761)] = 112316,
  [SMALL_STATE(2762)] = 112379,
  [SMALL_STATE(2763)] = 112432,
  [SMALL_STATE(2764)] = 112485,
  [SMALL_STATE(2765)] = 112538,
  [SMALL_STATE(2766)] = 112591,
  [SMALL_STATE(2767)] = 112644,
  [SMALL_STATE(2768)] = 112697,
  [SMALL_STATE(2769)] = 112750,
  [SMALL_STATE(2770)] = 112803,
  [SMALL_STATE(2771)] = 112856,
  [SMALL_STATE(2772)] = 112909,
  [SMALL_STATE(2773)] = 112962,
  [SMALL_STATE(2774)] = 113026,
  [SMALL_STATE(2775)] = 113080,
  [SMALL_STATE(2776)] = 113134,
  [SMALL_STATE(2777)] = 113188,
  [SMALL_STATE(2778)] = 113242,
  [SMALL_STATE(2779)] = 113322,
  [SMALL_STATE(2780)] = 113376,
  [SMALL_STATE(2781)] = 113430,
  [SMALL_STATE(2782)] = 113494,
  [SMALL_STATE(2783)] = 113554,
  [SMALL_STATE(2784)] = 113614,
  [SMALL_STATE(2785)] = 113694,
  [SMALL_STATE(2786)] = 113748,
  [SMALL_STATE(2787)] = 113828,
  [SMALL_STATE(2788)] = 113892,
  [SMALL_STATE(2789)] = 113946,
  [SMALL_STATE(2790)] = 114000,
  [SMALL_STATE(2791)] = 114054,
  [SMALL_STATE(2792)] = 114134,
  [SMALL_STATE(2793)] = 114214,
  [SMALL_STATE(2794)] = 114271,
  [SMALL_STATE(2795)] = 114328,
  [SMALL_STATE(2796)] = 114385,
  [SMALL_STATE(2797)] = 114426,
  [SMALL_STATE(2798)] = 114483,
  [SMALL_STATE(2799)] = 114536,
  [SMALL_STATE(2800)] = 114593,
  [SMALL_STATE(2801)] = 114650,
  [SMALL_STATE(2802)] = 114707,
  [SMALL_STATE(2803)] = 114748,
  [SMALL_STATE(2804)] = 114791,
  [SMALL_STATE(2805)] = 114848,
  [SMALL_STATE(2806)] = 114905,
  [SMALL_STATE(2807)] = 114962,
  [SMALL_STATE(2808)] = 115019,
  [SMALL_STATE(2809)] = 115060,
  [SMALL_STATE(2810)] = 115117,
  [SMALL_STATE(2811)] = 115174,
  [SMALL_STATE(2812)] = 115215,
  [SMALL_STATE(2813)] = 115256,
  [SMALL_STATE(2814)] = 115313,
  [SMALL_STATE(2815)] = 115364,
  [SMALL_STATE(2816)] = 115421,
  [SMALL_STATE(2817)] = 115478,
  [SMALL_STATE(2818)] = 115531,
  [SMALL_STATE(2819)] = 115579,
  [SMALL_STATE(2820)] = 115627,
  [SMALL_STATE(2821)] = 115675,
  [SMALL_STATE(2822)] = 115723,
  [SMALL_STATE(2823)] = 115771,
  [SMALL_STATE(2824)] = 115819,
  [SMALL_STATE(2825)] = 115867,
  [SMALL_STATE(2826)] = 115915,
  [SMALL_STATE(2827)] = 115963,
  [SMALL_STATE(2828)] = 116011,
  [SMALL_STATE(2829)] = 116059,
  [SMALL_STATE(2830)] = 116107,
  [SMALL_STATE(2831)] = 116155,
  [SMALL_STATE(2832)] = 116203,
  [SMALL_STATE(2833)] = 116253,
  [SMALL_STATE(2834)] = 116301,
  [SMALL_STATE(2835)] = 116349,
  [SMALL_STATE(2836)] = 116397,
  [SMALL_STATE(2837)] = 116445,
  [SMALL_STATE(2838)] = 116495,
  [SMALL_STATE(2839)] = 116543,
  [SMALL_STATE(2840)] = 116591,
  [SMALL_STATE(2841)] = 116639,
  [SMALL_STATE(2842)] = 116687,
  [SMALL_STATE(2843)] = 116735,
  [SMALL_STATE(2844)] = 116783,
  [SMALL_STATE(2845)] = 116833,
  [SMALL_STATE(2846)] = 116881,
  [SMALL_STATE(2847)] = 116931,
  [SMALL_STATE(2848)] = 116981,
  [SMALL_STATE(2849)] = 117029,
  [SMALL_STATE(2850)] = 117077,
  [SMALL_STATE(2851)] = 117125,
  [SMALL_STATE(2852)] = 117173,
  [SMALL_STATE(2853)] = 117223,
  [SMALL_STATE(2854)] = 117271,
  [SMALL_STATE(2855)] = 117319,
  [SMALL_STATE(2856)] = 117367,
  [SMALL_STATE(2857)] = 117415,
  [SMALL_STATE(2858)] = 117465,
  [SMALL_STATE(2859)] = 117513,
  [SMALL_STATE(2860)] = 117561,
  [SMALL_STATE(2861)] = 117609,
  [SMALL_STATE(2862)] = 117657,
  [SMALL_STATE(2863)] = 117705,
  [SMALL_STATE(2864)] = 117753,
  [SMALL_STATE(2865)] = 117801,
  [SMALL_STATE(2866)] = 117851,
  [SMALL_STATE(2867)] = 117901,
  [SMALL_STATE(2868)] = 117949,
  [SMALL_STATE(2869)] = 117999,
  [SMALL_STATE(2870)] = 118049,
  [SMALL_STATE(2871)] = 118097,
  [SMALL_STATE(2872)] = 118145,
  [SMALL_STATE(2873)] = 118193,
  [SMALL_STATE(2874)] = 118243,
  [SMALL_STATE(2875)] = 118291,
  [SMALL_STATE(2876)] = 118341,
  [SMALL_STATE(2877)] = 118389,
  [SMALL_STATE(2878)] = 118439,
  [SMALL_STATE(2879)] = 118487,
  [SMALL_STATE(2880)] = 118522,
  [SMALL_STATE(2881)] = 118563,
  [SMALL_STATE(2882)] = 118604,
  [SMALL_STATE(2883)] = 118645,
  [SMALL_STATE(2884)] = 118673,
  [SMALL_STATE(2885)] = 118701,
  [SMALL_STATE(2886)] = 118729,
  [SMALL_STATE(2887)] = 118757,
  [SMALL_STATE(2888)] = 118785,
  [SMALL_STATE(2889)] = 118813,
  [SMALL_STATE(2890)] = 118841,
  [SMALL_STATE(2891)] = 118869,
  [SMALL_STATE(2892)] = 118897,
  [SMALL_STATE(2893)] = 118925,
  [SMALL_STATE(2894)] = 118953,
  [SMALL_STATE(2895)] = 118981,
  [SMALL_STATE(2896)] = 119009,
  [SMALL_STATE(2897)] = 119037,
  [SMALL_STATE(2898)] = 119065,
  [SMALL_STATE(2899)] = 119093,
  [SMALL_STATE(2900)] = 119121,
  [SMALL_STATE(2901)] = 119149,
  [SMALL_STATE(2902)] = 119177,
  [SMALL_STATE(2903)] = 119205,
  [SMALL_STATE(2904)] = 119233,
  [SMALL_STATE(2905)] = 119261,
  [SMALL_STATE(2906)] = 119289,
  [SMALL_STATE(2907)] = 119317,
  [SMALL_STATE(2908)] = 119345,
  [SMALL_STATE(2909)] = 119373,
  [SMALL_STATE(2910)] = 119401,
  [SMALL_STATE(2911)] = 119429,
  [SMALL_STATE(2912)] = 119457,
  [SMALL_STATE(2913)] = 119485,
  [SMALL_STATE(2914)] = 119513,
  [SMALL_STATE(2915)] = 119541,
  [SMALL_STATE(2916)] = 119569,
  [SMALL_STATE(2917)] = 119597,
  [SMALL_STATE(2918)] = 119624,
  [SMALL_STATE(2919)] = 119651,
  [SMALL_STATE(2920)] = 119677,
  [SMALL_STATE(2921)] = 119711,
  [SMALL_STATE(2922)] = 119737,
  [SMALL_STATE(2923)] = 119763,
  [SMALL_STATE(2924)] = 119789,
  [SMALL_STATE(2925)] = 119819,
  [SMALL_STATE(2926)] = 119845,
  [SMALL_STATE(2927)] = 119883,
  [SMALL_STATE(2928)] = 119913,
  [SMALL_STATE(2929)] = 119963,
  [SMALL_STATE(2930)] = 119989,
  [SMALL_STATE(2931)] = 120017,
  [SMALL_STATE(2932)] = 120055,
  [SMALL_STATE(2933)] = 120083,
  [SMALL_STATE(2934)] = 120109,
  [SMALL_STATE(2935)] = 120141,
  [SMALL_STATE(2936)] = 120167,
  [SMALL_STATE(2937)] = 120193,
  [SMALL_STATE(2938)] = 120231,
  [SMALL_STATE(2939)] = 120256,
  [SMALL_STATE(2940)] = 120281,
  [SMALL_STATE(2941)] = 120306,
  [SMALL_STATE(2942)] = 120335,
  [SMALL_STATE(2943)] = 120366,
  [SMALL_STATE(2944)] = 120391,
  [SMALL_STATE(2945)] = 120418,
  [SMALL_STATE(2946)] = 120452,
  [SMALL_STATE(2947)] = 120476,
  [SMALL_STATE(2948)] = 120500,
  [SMALL_STATE(2949)] = 120524,
  [SMALL_STATE(2950)] = 120556,
  [SMALL_STATE(2951)] = 120590,
  [SMALL_STATE(2952)] = 120624,
  [SMALL_STATE(2953)] = 120658,
  [SMALL_STATE(2954)] = 120682,
  [SMALL_STATE(2955)] = 120706,
  [SMALL_STATE(2956)] = 120740,
  [SMALL_STATE(2957)] = 120774,
  [SMALL_STATE(2958)] = 120808,
  [SMALL_STATE(2959)] = 120830,
  [SMALL_STATE(2960)] = 120862,
  [SMALL_STATE(2961)] = 120896,
  [SMALL_STATE(2962)] = 120930,
  [SMALL_STATE(2963)] = 120958,
  [SMALL_STATE(2964)] = 120982,
  [SMALL_STATE(2965)] = 121006,
  [SMALL_STATE(2966)] = 121030,
  [SMALL_STATE(2967)] = 121054,
  [SMALL_STATE(2968)] = 121078,
  [SMALL_STATE(2969)] = 121102,
  [SMALL_STATE(2970)] = 121124,
  [SMALL_STATE(2971)] = 121148,
  [SMALL_STATE(2972)] = 121172,
  [SMALL_STATE(2973)] = 121196,
  [SMALL_STATE(2974)] = 121220,
  [SMALL_STATE(2975)] = 121244,
  [SMALL_STATE(2976)] = 121268,
  [SMALL_STATE(2977)] = 121292,
  [SMALL_STATE(2978)] = 121324,
  [SMALL_STATE(2979)] = 121358,
  [SMALL_STATE(2980)] = 121392,
  [SMALL_STATE(2981)] = 121426,
  [SMALL_STATE(2982)] = 121450,
  [SMALL_STATE(2983)] = 121474,
  [SMALL_STATE(2984)] = 121498,
  [SMALL_STATE(2985)] = 121520,
  [SMALL_STATE(2986)] = 121544,
  [SMALL_STATE(2987)] = 121568,
  [SMALL_STATE(2988)] = 121600,
  [SMALL_STATE(2989)] = 121634,
  [SMALL_STATE(2990)] = 121668,
  [SMALL_STATE(2991)] = 121702,
  [SMALL_STATE(2992)] = 121726,
  [SMALL_STATE(2993)] = 121758,
  [SMALL_STATE(2994)] = 121784,
  [SMALL_STATE(2995)] = 121818,
  [SMALL_STATE(2996)] = 121842,
  [SMALL_STATE(2997)] = 121876,
  [SMALL_STATE(2998)] = 121900,
  [SMALL_STATE(2999)] = 121924,
  [SMALL_STATE(3000)] = 121958,
  [SMALL_STATE(3001)] = 121982,
  [SMALL_STATE(3002)] = 122004,
  [SMALL_STATE(3003)] = 122028,
  [SMALL_STATE(3004)] = 122052,
  [SMALL_STATE(3005)] = 122076,
  [SMALL_STATE(3006)] = 122100,
  [SMALL_STATE(3007)] = 122122,
  [SMALL_STATE(3008)] = 122146,
  [SMALL_STATE(3009)] = 122170,
  [SMALL_STATE(3010)] = 122194,
  [SMALL_STATE(3011)] = 122216,
  [SMALL_STATE(3012)] = 122240,
  [SMALL_STATE(3013)] = 122262,
  [SMALL_STATE(3014)] = 122286,
  [SMALL_STATE(3015)] = 122312,
  [SMALL_STATE(3016)] = 122336,
  [SMALL_STATE(3017)] = 122360,
  [SMALL_STATE(3018)] = 122384,
  [SMALL_STATE(3019)] = 122408,
  [SMALL_STATE(3020)] = 122432,
  [SMALL_STATE(3021)] = 122456,
  [SMALL_STATE(3022)] = 122480,
  [SMALL_STATE(3023)] = 122504,
  [SMALL_STATE(3024)] = 122528,
  [SMALL_STATE(3025)] = 122552,
  [SMALL_STATE(3026)] = 122576,
  [SMALL_STATE(3027)] = 122600,
  [SMALL_STATE(3028)] = 122632,
  [SMALL_STATE(3029)] = 122656,
  [SMALL_STATE(3030)] = 122680,
  [SMALL_STATE(3031)] = 122704,
  [SMALL_STATE(3032)] = 122728,
  [SMALL_STATE(3033)] = 122752,
  [SMALL_STATE(3034)] = 122774,
  [SMALL_STATE(3035)] = 122798,
  [SMALL_STATE(3036)] = 122822,
  [SMALL_STATE(3037)] = 122844,
  [SMALL_STATE(3038)] = 122866,
  [SMALL_STATE(3039)] = 122890,
  [SMALL_STATE(3040)] = 122914,
  [SMALL_STATE(3041)] = 122938,
  [SMALL_STATE(3042)] = 122962,
  [SMALL_STATE(3043)] = 122986,
  [SMALL_STATE(3044)] = 123010,
  [SMALL_STATE(3045)] = 123034,
  [SMALL_STATE(3046)] = 123058,
  [SMALL_STATE(3047)] = 123082,
  [SMALL_STATE(3048)] = 123125,
  [SMALL_STATE(3049)] = 123154,
  [SMALL_STATE(3050)] = 123183,
  [SMALL_STATE(3051)] = 123226,
  [SMALL_STATE(3052)] = 123269,
  [SMALL_STATE(3053)] = 123298,
  [SMALL_STATE(3054)] = 123337,
  [SMALL_STATE(3055)] = 123380,
  [SMALL_STATE(3056)] = 123423,
  [SMALL_STATE(3057)] = 123466,
  [SMALL_STATE(3058)] = 123505,
  [SMALL_STATE(3059)] = 123548,
  [SMALL_STATE(3060)] = 123591,
  [SMALL_STATE(3061)] = 123616,
  [SMALL_STATE(3062)] = 123645,
  [SMALL_STATE(3063)] = 123670,
  [SMALL_STATE(3064)] = 123713,
  [SMALL_STATE(3065)] = 123742,
  [SMALL_STATE(3066)] = 123771,
  [SMALL_STATE(3067)] = 123814,
  [SMALL_STATE(3068)] = 123857,
  [SMALL_STATE(3069)] = 123900,
  [SMALL_STATE(3070)] = 123939,
  [SMALL_STATE(3071)] = 123982,
  [SMALL_STATE(3072)] = 124025,
  [SMALL_STATE(3073)] = 124068,
  [SMALL_STATE(3074)] = 124097,
  [SMALL_STATE(3075)] = 124140,
  [SMALL_STATE(3076)] = 124179,
  [SMALL_STATE(3077)] = 124222,
  [SMALL_STATE(3078)] = 124265,
  [SMALL_STATE(3079)] = 124310,
  [SMALL_STATE(3080)] = 124353,
  [SMALL_STATE(3081)] = 124396,
  [SMALL_STATE(3082)] = 124435,
  [SMALL_STATE(3083)] = 124464,
  [SMALL_STATE(3084)] = 124489,
  [SMALL_STATE(3085)] = 124532,
  [SMALL_STATE(3086)] = 124575,
  [SMALL_STATE(3087)] = 124618,
  [SMALL_STATE(3088)] = 124647,
  [SMALL_STATE(3089)] = 124669,
  [SMALL_STATE(3090)] = 124689,
  [SMALL_STATE(3091)] = 124709,
  [SMALL_STATE(3092)] = 124729,
  [SMALL_STATE(3093)] = 124749,
  [SMALL_STATE(3094)] = 124769,
  [SMALL_STATE(3095)] = 124789,
  [SMALL_STATE(3096)] = 124809,
  [SMALL_STATE(3097)] = 124829,
  [SMALL_STATE(3098)] = 124849,
  [SMALL_STATE(3099)] = 124885,
  [SMALL_STATE(3100)] = 124923,
  [SMALL_STATE(3101)] = 124951,
  [SMALL_STATE(3102)] = 124971,
  [SMALL_STATE(3103)] = 124999,
  [SMALL_STATE(3104)] = 125021,
  [SMALL_STATE(3105)] = 125045,
  [SMALL_STATE(3106)] = 125065,
  [SMALL_STATE(3107)] = 125087,
  [SMALL_STATE(3108)] = 125123,
  [SMALL_STATE(3109)] = 125159,
  [SMALL_STATE(3110)] = 125179,
  [SMALL_STATE(3111)] = 125215,
  [SMALL_STATE(3112)] = 125235,
  [SMALL_STATE(3113)] = 125263,
  [SMALL_STATE(3114)] = 125283,
  [SMALL_STATE(3115)] = 125303,
  [SMALL_STATE(3116)] = 125325,
  [SMALL_STATE(3117)] = 125345,
  [SMALL_STATE(3118)] = 125381,
  [SMALL_STATE(3119)] = 125401,
  [SMALL_STATE(3120)] = 125423,
  [SMALL_STATE(3121)] = 125445,
  [SMALL_STATE(3122)] = 125473,
  [SMALL_STATE(3123)] = 125493,
  [SMALL_STATE(3124)] = 125519,
  [SMALL_STATE(3125)] = 125555,
  [SMALL_STATE(3126)] = 125577,
  [SMALL_STATE(3127)] = 125597,
  [SMALL_STATE(3128)] = 125617,
  [SMALL_STATE(3129)] = 125639,
  [SMALL_STATE(3130)] = 125663,
  [SMALL_STATE(3131)] = 125683,
  [SMALL_STATE(3132)] = 125709,
  [SMALL_STATE(3133)] = 125729,
  [SMALL_STATE(3134)] = 125765,
  [SMALL_STATE(3135)] = 125787,
  [SMALL_STATE(3136)] = 125823,
  [SMALL_STATE(3137)] = 125847,
  [SMALL_STATE(3138)] = 125867,
  [SMALL_STATE(3139)] = 125895,
  [SMALL_STATE(3140)] = 125923,
  [SMALL_STATE(3141)] = 125943,
  [SMALL_STATE(3142)] = 125965,
  [SMALL_STATE(3143)] = 125985,
  [SMALL_STATE(3144)] = 126007,
  [SMALL_STATE(3145)] = 126027,
  [SMALL_STATE(3146)] = 126051,
  [SMALL_STATE(3147)] = 126073,
  [SMALL_STATE(3148)] = 126093,
  [SMALL_STATE(3149)] = 126113,
  [SMALL_STATE(3150)] = 126141,
  [SMALL_STATE(3151)] = 126161,
  [SMALL_STATE(3152)] = 126181,
  [SMALL_STATE(3153)] = 126201,
  [SMALL_STATE(3154)] = 126225,
  [SMALL_STATE(3155)] = 126251,
  [SMALL_STATE(3156)] = 126271,
  [SMALL_STATE(3157)] = 126307,
  [SMALL_STATE(3158)] = 126327,
  [SMALL_STATE(3159)] = 126363,
  [SMALL_STATE(3160)] = 126391,
  [SMALL_STATE(3161)] = 126411,
  [SMALL_STATE(3162)] = 126430,
  [SMALL_STATE(3163)] = 126463,
  [SMALL_STATE(3164)] = 126496,
  [SMALL_STATE(3165)] = 126517,
  [SMALL_STATE(3166)] = 126554,
  [SMALL_STATE(3167)] = 126587,
  [SMALL_STATE(3168)] = 126620,
  [SMALL_STATE(3169)] = 126641,
  [SMALL_STATE(3170)] = 126662,
  [SMALL_STATE(3171)] = 126699,
  [SMALL_STATE(3172)] = 126730,
  [SMALL_STATE(3173)] = 126761,
  [SMALL_STATE(3174)] = 126800,
  [SMALL_STATE(3175)] = 126831,
  [SMALL_STATE(3176)] = 126854,
  [SMALL_STATE(3177)] = 126891,
  [SMALL_STATE(3178)] = 126928,
  [SMALL_STATE(3179)] = 126965,
  [SMALL_STATE(3180)] = 127002,
  [SMALL_STATE(3181)] = 127035,
  [SMALL_STATE(3182)] = 127072,
  [SMALL_STATE(3183)] = 127093,
  [SMALL_STATE(3184)] = 127130,
  [SMALL_STATE(3185)] = 127153,
  [SMALL_STATE(3186)] = 127184,
  [SMALL_STATE(3187)] = 127207,
  [SMALL_STATE(3188)] = 127240,
  [SMALL_STATE(3189)] = 127273,
  [SMALL_STATE(3190)] = 127310,
  [SMALL_STATE(3191)] = 127331,
  [SMALL_STATE(3192)] = 127368,
  [SMALL_STATE(3193)] = 127405,
  [SMALL_STATE(3194)] = 127442,
  [SMALL_STATE(3195)] = 127475,
  [SMALL_STATE(3196)] = 127508,
  [SMALL_STATE(3197)] = 127541,
  [SMALL_STATE(3198)] = 127578,
  [SMALL_STATE(3199)] = 127607,
  [SMALL_STATE(3200)] = 127644,
  [SMALL_STATE(3201)] = 127669,
  [SMALL_STATE(3202)] = 127706,
  [SMALL_STATE(3203)] = 127743,
  [SMALL_STATE(3204)] = 127780,
  [SMALL_STATE(3205)] = 127809,
  [SMALL_STATE(3206)] = 127828,
  [SMALL_STATE(3207)] = 127865,
  [SMALL_STATE(3208)] = 127896,
  [SMALL_STATE(3209)] = 127917,
  [SMALL_STATE(3210)] = 127940,
  [SMALL_STATE(3211)] = 127969,
  [SMALL_STATE(3212)] = 127998,
  [SMALL_STATE(3213)] = 128027,
  [SMALL_STATE(3214)] = 128048,
  [SMALL_STATE(3215)] = 128085,
  [SMALL_STATE(3216)] = 128122,
  [SMALL_STATE(3217)] = 128159,
  [SMALL_STATE(3218)] = 128184,
  [SMALL_STATE(3219)] = 128221,
  [SMALL_STATE(3220)] = 128258,
  [SMALL_STATE(3221)] = 128281,
  [SMALL_STATE(3222)] = 128299,
  [SMALL_STATE(3223)] = 128319,
  [SMALL_STATE(3224)] = 128339,
  [SMALL_STATE(3225)] = 128363,
  [SMALL_STATE(3226)] = 128383,
  [SMALL_STATE(3227)] = 128405,
  [SMALL_STATE(3228)] = 128423,
  [SMALL_STATE(3229)] = 128443,
  [SMALL_STATE(3230)] = 128463,
  [SMALL_STATE(3231)] = 128483,
  [SMALL_STATE(3232)] = 128501,
  [SMALL_STATE(3233)] = 128519,
  [SMALL_STATE(3234)] = 128539,
  [SMALL_STATE(3235)] = 128557,
  [SMALL_STATE(3236)] = 128581,
  [SMALL_STATE(3237)] = 128599,
  [SMALL_STATE(3238)] = 128619,
  [SMALL_STATE(3239)] = 128641,
  [SMALL_STATE(3240)] = 128661,
  [SMALL_STATE(3241)] = 128679,
  [SMALL_STATE(3242)] = 128697,
  [SMALL_STATE(3243)] = 128717,
  [SMALL_STATE(3244)] = 128737,
  [SMALL_STATE(3245)] = 128757,
  [SMALL_STATE(3246)] = 128775,
  [SMALL_STATE(3247)] = 128793,
  [SMALL_STATE(3248)] = 128813,
  [SMALL_STATE(3249)] = 128833,
  [SMALL_STATE(3250)] = 128851,
  [SMALL_STATE(3251)] = 128877,
  [SMALL_STATE(3252)] = 128897,
  [SMALL_STATE(3253)] = 128919,
  [SMALL_STATE(3254)] = 128945,
  [SMALL_STATE(3255)] = 128969,
  [SMALL_STATE(3256)] = 128989,
  [SMALL_STATE(3257)] = 129013,
  [SMALL_STATE(3258)] = 129033,
  [SMALL_STATE(3259)] = 129055,
  [SMALL_STATE(3260)] = 129075,
  [SMALL_STATE(3261)] = 129095,
  [SMALL_STATE(3262)] = 129113,
  [SMALL_STATE(3263)] = 129133,
  [SMALL_STATE(3264)] = 129153,
  [SMALL_STATE(3265)] = 129175,
  [SMALL_STATE(3266)] = 129195,
  [SMALL_STATE(3267)] = 129215,
  [SMALL_STATE(3268)] = 129235,
  [SMALL_STATE(3269)] = 129255,
  [SMALL_STATE(3270)] = 129275,
  [SMALL_STATE(3271)] = 129299,
  [SMALL_STATE(3272)] = 129319,
  [SMALL_STATE(3273)] = 129339,
  [SMALL_STATE(3274)] = 129361,
  [SMALL_STATE(3275)] = 129381,
  [SMALL_STATE(3276)] = 129401,
  [SMALL_STATE(3277)] = 129421,
  [SMALL_STATE(3278)] = 129445,
  [SMALL_STATE(3279)] = 129481,
  [SMALL_STATE(3280)] = 129499,
  [SMALL_STATE(3281)] = 129519,
  [SMALL_STATE(3282)] = 129539,
  [SMALL_STATE(3283)] = 129563,
  [SMALL_STATE(3284)] = 129583,
  [SMALL_STATE(3285)] = 129603,
  [SMALL_STATE(3286)] = 129623,
  [SMALL_STATE(3287)] = 129647,
  [SMALL_STATE(3288)] = 129669,
  [SMALL_STATE(3289)] = 129689,
  [SMALL_STATE(3290)] = 129713,
  [SMALL_STATE(3291)] = 129735,
  [SMALL_STATE(3292)] = 129755,
  [SMALL_STATE(3293)] = 129773,
  [SMALL_STATE(3294)] = 129808,
  [SMALL_STATE(3295)] = 129843,
  [SMALL_STATE(3296)] = 129862,
  [SMALL_STATE(3297)] = 129879,
  [SMALL_STATE(3298)] = 129896,
  [SMALL_STATE(3299)] = 129927,
  [SMALL_STATE(3300)] = 129948,
  [SMALL_STATE(3301)] = 129965,
  [SMALL_STATE(3302)] = 129986,
  [SMALL_STATE(3303)] = 130021,
  [SMALL_STATE(3304)] = 130054,
  [SMALL_STATE(3305)] = 130089,
  [SMALL_STATE(3306)] = 130106,
  [SMALL_STATE(3307)] = 130125,
  [SMALL_STATE(3308)] = 130146,
  [SMALL_STATE(3309)] = 130175,
  [SMALL_STATE(3310)] = 130206,
  [SMALL_STATE(3311)] = 130241,
  [SMALL_STATE(3312)] = 130272,
  [SMALL_STATE(3313)] = 130295,
  [SMALL_STATE(3314)] = 130330,
  [SMALL_STATE(3315)] = 130365,
  [SMALL_STATE(3316)] = 130388,
  [SMALL_STATE(3317)] = 130407,
  [SMALL_STATE(3318)] = 130432,
  [SMALL_STATE(3319)] = 130451,
  [SMALL_STATE(3320)] = 130486,
  [SMALL_STATE(3321)] = 130521,
  [SMALL_STATE(3322)] = 130556,
  [SMALL_STATE(3323)] = 130589,
  [SMALL_STATE(3324)] = 130624,
  [SMALL_STATE(3325)] = 130650,
  [SMALL_STATE(3326)] = 130678,
  [SMALL_STATE(3327)] = 130706,
  [SMALL_STATE(3328)] = 130734,
  [SMALL_STATE(3329)] = 130750,
  [SMALL_STATE(3330)] = 130778,
  [SMALL_STATE(3331)] = 130794,
  [SMALL_STATE(3332)] = 130822,
  [SMALL_STATE(3333)] = 130844,
  [SMALL_STATE(3334)] = 130862,
  [SMALL_STATE(3335)] = 130884,
  [SMALL_STATE(3336)] = 130900,
  [SMALL_STATE(3337)] = 130920,
  [SMALL_STATE(3338)] = 130942,
  [SMALL_STATE(3339)] = 130970,
  [SMALL_STATE(3340)] = 130998,
  [SMALL_STATE(3341)] = 131026,
  [SMALL_STATE(3342)] = 131054,
  [SMALL_STATE(3343)] = 131070,
  [SMALL_STATE(3344)] = 131086,
  [SMALL_STATE(3345)] = 131102,
  [SMALL_STATE(3346)] = 131130,
  [SMALL_STATE(3347)] = 131146,
  [SMALL_STATE(3348)] = 131162,
  [SMALL_STATE(3349)] = 131178,
  [SMALL_STATE(3350)] = 131206,
  [SMALL_STATE(3351)] = 131224,
  [SMALL_STATE(3352)] = 131250,
  [SMALL_STATE(3353)] = 131266,
  [SMALL_STATE(3354)] = 131292,
  [SMALL_STATE(3355)] = 131308,
  [SMALL_STATE(3356)] = 131338,
  [SMALL_STATE(3357)] = 131354,
  [SMALL_STATE(3358)] = 131382,
  [SMALL_STATE(3359)] = 131398,
  [SMALL_STATE(3360)] = 131420,
  [SMALL_STATE(3361)] = 131446,
  [SMALL_STATE(3362)] = 131478,
  [SMALL_STATE(3363)] = 131494,
  [SMALL_STATE(3364)] = 131526,
  [SMALL_STATE(3365)] = 131554,
  [SMALL_STATE(3366)] = 131574,
  [SMALL_STATE(3367)] = 131590,
  [SMALL_STATE(3368)] = 131618,
  [SMALL_STATE(3369)] = 131646,
  [SMALL_STATE(3370)] = 131662,
  [SMALL_STATE(3371)] = 131690,
  [SMALL_STATE(3372)] = 131708,
  [SMALL_STATE(3373)] = 131724,
  [SMALL_STATE(3374)] = 131746,
  [SMALL_STATE(3375)] = 131762,
  [SMALL_STATE(3376)] = 131786,
  [SMALL_STATE(3377)] = 131818,
  [SMALL_STATE(3378)] = 131846,
  [SMALL_STATE(3379)] = 131862,
  [SMALL_STATE(3380)] = 131878,
  [SMALL_STATE(3381)] = 131894,
  [SMALL_STATE(3382)] = 131926,
  [SMALL_STATE(3383)] = 131958,
  [SMALL_STATE(3384)] = 131978,
  [SMALL_STATE(3385)] = 131994,
  [SMALL_STATE(3386)] = 132012,
  [SMALL_STATE(3387)] = 132044,
  [SMALL_STATE(3388)] = 132062,
  [SMALL_STATE(3389)] = 132078,
  [SMALL_STATE(3390)] = 132094,
  [SMALL_STATE(3391)] = 132122,
  [SMALL_STATE(3392)] = 132154,
  [SMALL_STATE(3393)] = 132186,
  [SMALL_STATE(3394)] = 132212,
  [SMALL_STATE(3395)] = 132228,
  [SMALL_STATE(3396)] = 132260,
  [SMALL_STATE(3397)] = 132276,
  [SMALL_STATE(3398)] = 132304,
  [SMALL_STATE(3399)] = 132332,
  [SMALL_STATE(3400)] = 132348,
  [SMALL_STATE(3401)] = 132376,
  [SMALL_STATE(3402)] = 132392,
  [SMALL_STATE(3403)] = 132408,
  [SMALL_STATE(3404)] = 132436,
  [SMALL_STATE(3405)] = 132452,
  [SMALL_STATE(3406)] = 132480,
  [SMALL_STATE(3407)] = 132508,
  [SMALL_STATE(3408)] = 132534,
  [SMALL_STATE(3409)] = 132566,
  [SMALL_STATE(3410)] = 132594,
  [SMALL_STATE(3411)] = 132610,
  [SMALL_STATE(3412)] = 132636,
  [SMALL_STATE(3413)] = 132658,
  [SMALL_STATE(3414)] = 132686,
  [SMALL_STATE(3415)] = 132712,
  [SMALL_STATE(3416)] = 132728,
  [SMALL_STATE(3417)] = 132756,
  [SMALL_STATE(3418)] = 132784,
  [SMALL_STATE(3419)] = 132812,
  [SMALL_STATE(3420)] = 132844,
  [SMALL_STATE(3421)] = 132876,
  [SMALL_STATE(3422)] = 132904,
  [SMALL_STATE(3423)] = 132920,
  [SMALL_STATE(3424)] = 132936,
  [SMALL_STATE(3425)] = 132964,
  [SMALL_STATE(3426)] = 132992,
  [SMALL_STATE(3427)] = 133014,
  [SMALL_STATE(3428)] = 133042,
  [SMALL_STATE(3429)] = 133068,
  [SMALL_STATE(3430)] = 133086,
  [SMALL_STATE(3431)] = 133114,
  [SMALL_STATE(3432)] = 133142,
  [SMALL_STATE(3433)] = 133158,
  [SMALL_STATE(3434)] = 133186,
  [SMALL_STATE(3435)] = 133202,
  [SMALL_STATE(3436)] = 133228,
  [SMALL_STATE(3437)] = 133260,
  [SMALL_STATE(3438)] = 133278,
  [SMALL_STATE(3439)] = 133304,
  [SMALL_STATE(3440)] = 133320,
  [SMALL_STATE(3441)] = 133348,
  [SMALL_STATE(3442)] = 133374,
  [SMALL_STATE(3443)] = 133396,
  [SMALL_STATE(3444)] = 133428,
  [SMALL_STATE(3445)] = 133456,
  [SMALL_STATE(3446)] = 133472,
  [SMALL_STATE(3447)] = 133500,
  [SMALL_STATE(3448)] = 133516,
  [SMALL_STATE(3449)] = 133548,
  [SMALL_STATE(3450)] = 133570,
  [SMALL_STATE(3451)] = 133598,
  [SMALL_STATE(3452)] = 133614,
  [SMALL_STATE(3453)] = 133646,
  [SMALL_STATE(3454)] = 133678,
  [SMALL_STATE(3455)] = 133706,
  [SMALL_STATE(3456)] = 133738,
  [SMALL_STATE(3457)] = 133766,
  [SMALL_STATE(3458)] = 133798,
  [SMALL_STATE(3459)] = 133814,
  [SMALL_STATE(3460)] = 133842,
  [SMALL_STATE(3461)] = 133868,
  [SMALL_STATE(3462)] = 133896,
  [SMALL_STATE(3463)] = 133912,
  [SMALL_STATE(3464)] = 133928,
  [SMALL_STATE(3465)] = 133944,
  [SMALL_STATE(3466)] = 133972,
  [SMALL_STATE(3467)] = 133990,
  [SMALL_STATE(3468)] = 134006,
  [SMALL_STATE(3469)] = 134034,
  [SMALL_STATE(3470)] = 134050,
  [SMALL_STATE(3471)] = 134078,
  [SMALL_STATE(3472)] = 134107,
  [SMALL_STATE(3473)] = 134132,
  [SMALL_STATE(3474)] = 134155,
  [SMALL_STATE(3475)] = 134184,
  [SMALL_STATE(3476)] = 134209,
  [SMALL_STATE(3477)] = 134232,
  [SMALL_STATE(3478)] = 134253,
  [SMALL_STATE(3479)] = 134274,
  [SMALL_STATE(3480)] = 134303,
  [SMALL_STATE(3481)] = 134322,
  [SMALL_STATE(3482)] = 134343,
  [SMALL_STATE(3483)] = 134366,
  [SMALL_STATE(3484)] = 134391,
  [SMALL_STATE(3485)] = 134412,
  [SMALL_STATE(3486)] = 134435,
  [SMALL_STATE(3487)] = 134452,
  [SMALL_STATE(3488)] = 134475,
  [SMALL_STATE(3489)] = 134500,
  [SMALL_STATE(3490)] = 134525,
  [SMALL_STATE(3491)] = 134550,
  [SMALL_STATE(3492)] = 134575,
  [SMALL_STATE(3493)] = 134604,
  [SMALL_STATE(3494)] = 134627,
  [SMALL_STATE(3495)] = 134646,
  [SMALL_STATE(3496)] = 134671,
  [SMALL_STATE(3497)] = 134688,
  [SMALL_STATE(3498)] = 134703,
  [SMALL_STATE(3499)] = 134726,
  [SMALL_STATE(3500)] = 134749,
  [SMALL_STATE(3501)] = 134774,
  [SMALL_STATE(3502)] = 134795,
  [SMALL_STATE(3503)] = 134816,
  [SMALL_STATE(3504)] = 134841,
  [SMALL_STATE(3505)] = 134870,
  [SMALL_STATE(3506)] = 134895,
  [SMALL_STATE(3507)] = 134910,
  [SMALL_STATE(3508)] = 134935,
  [SMALL_STATE(3509)] = 134958,
  [SMALL_STATE(3510)] = 134987,
  [SMALL_STATE(3511)] = 135002,
  [SMALL_STATE(3512)] = 135019,
  [SMALL_STATE(3513)] = 135045,
  [SMALL_STATE(3514)] = 135071,
  [SMALL_STATE(3515)] = 135089,
  [SMALL_STATE(3516)] = 135111,
  [SMALL_STATE(3517)] = 135133,
  [SMALL_STATE(3518)] = 135155,
  [SMALL_STATE(3519)] = 135181,
  [SMALL_STATE(3520)] = 135203,
  [SMALL_STATE(3521)] = 135225,
  [SMALL_STATE(3522)] = 135251,
  [SMALL_STATE(3523)] = 135273,
  [SMALL_STATE(3524)] = 135295,
  [SMALL_STATE(3525)] = 135317,
  [SMALL_STATE(3526)] = 135339,
  [SMALL_STATE(3527)] = 135361,
  [SMALL_STATE(3528)] = 135383,
  [SMALL_STATE(3529)] = 135409,
  [SMALL_STATE(3530)] = 135431,
  [SMALL_STATE(3531)] = 135449,
  [SMALL_STATE(3532)] = 135471,
  [SMALL_STATE(3533)] = 135493,
  [SMALL_STATE(3534)] = 135519,
  [SMALL_STATE(3535)] = 135533,
  [SMALL_STATE(3536)] = 135547,
  [SMALL_STATE(3537)] = 135569,
  [SMALL_STATE(3538)] = 135591,
  [SMALL_STATE(3539)] = 135613,
  [SMALL_STATE(3540)] = 135635,
  [SMALL_STATE(3541)] = 135657,
  [SMALL_STATE(3542)] = 135671,
  [SMALL_STATE(3543)] = 135697,
  [SMALL_STATE(3544)] = 135719,
  [SMALL_STATE(3545)] = 135745,
  [SMALL_STATE(3546)] = 135771,
  [SMALL_STATE(3547)] = 135797,
  [SMALL_STATE(3548)] = 135819,
  [SMALL_STATE(3549)] = 135845,
  [SMALL_STATE(3550)] = 135871,
  [SMALL_STATE(3551)] = 135893,
  [SMALL_STATE(3552)] = 135915,
  [SMALL_STATE(3553)] = 135941,
  [SMALL_STATE(3554)] = 135967,
  [SMALL_STATE(3555)] = 135989,
  [SMALL_STATE(3556)] = 136011,
  [SMALL_STATE(3557)] = 136033,
  [SMALL_STATE(3558)] = 136059,
  [SMALL_STATE(3559)] = 136081,
  [SMALL_STATE(3560)] = 136103,
  [SMALL_STATE(3561)] = 136125,
  [SMALL_STATE(3562)] = 136151,
  [SMALL_STATE(3563)] = 136177,
  [SMALL_STATE(3564)] = 136203,
  [SMALL_STATE(3565)] = 136225,
  [SMALL_STATE(3566)] = 136247,
  [SMALL_STATE(3567)] = 136273,
  [SMALL_STATE(3568)] = 136295,
  [SMALL_STATE(3569)] = 136317,
  [SMALL_STATE(3570)] = 136343,
  [SMALL_STATE(3571)] = 136365,
  [SMALL_STATE(3572)] = 136381,
  [SMALL_STATE(3573)] = 136403,
  [SMALL_STATE(3574)] = 136429,
  [SMALL_STATE(3575)] = 136455,
  [SMALL_STATE(3576)] = 136481,
  [SMALL_STATE(3577)] = 136507,
  [SMALL_STATE(3578)] = 136529,
  [SMALL_STATE(3579)] = 136551,
  [SMALL_STATE(3580)] = 136565,
  [SMALL_STATE(3581)] = 136587,
  [SMALL_STATE(3582)] = 136609,
  [SMALL_STATE(3583)] = 136623,
  [SMALL_STATE(3584)] = 136637,
  [SMALL_STATE(3585)] = 136651,
  [SMALL_STATE(3586)] = 136673,
  [SMALL_STATE(3587)] = 136695,
  [SMALL_STATE(3588)] = 136721,
  [SMALL_STATE(3589)] = 136743,
  [SMALL_STATE(3590)] = 136765,
  [SMALL_STATE(3591)] = 136787,
  [SMALL_STATE(3592)] = 136809,
  [SMALL_STATE(3593)] = 136835,
  [SMALL_STATE(3594)] = 136861,
  [SMALL_STATE(3595)] = 136887,
  [SMALL_STATE(3596)] = 136909,
  [SMALL_STATE(3597)] = 136931,
  [SMALL_STATE(3598)] = 136957,
  [SMALL_STATE(3599)] = 136983,
  [SMALL_STATE(3600)] = 137001,
  [SMALL_STATE(3601)] = 137019,
  [SMALL_STATE(3602)] = 137041,
  [SMALL_STATE(3603)] = 137063,
  [SMALL_STATE(3604)] = 137089,
  [SMALL_STATE(3605)] = 137115,
  [SMALL_STATE(3606)] = 137129,
  [SMALL_STATE(3607)] = 137151,
  [SMALL_STATE(3608)] = 137173,
  [SMALL_STATE(3609)] = 137195,
  [SMALL_STATE(3610)] = 137209,
  [SMALL_STATE(3611)] = 137223,
  [SMALL_STATE(3612)] = 137247,
  [SMALL_STATE(3613)] = 137261,
  [SMALL_STATE(3614)] = 137279,
  [SMALL_STATE(3615)] = 137305,
  [SMALL_STATE(3616)] = 137331,
  [SMALL_STATE(3617)] = 137357,
  [SMALL_STATE(3618)] = 137379,
  [SMALL_STATE(3619)] = 137401,
  [SMALL_STATE(3620)] = 137425,
  [SMALL_STATE(3621)] = 137451,
  [SMALL_STATE(3622)] = 137473,
  [SMALL_STATE(3623)] = 137499,
  [SMALL_STATE(3624)] = 137525,
  [SMALL_STATE(3625)] = 137547,
  [SMALL_STATE(3626)] = 137569,
  [SMALL_STATE(3627)] = 137591,
  [SMALL_STATE(3628)] = 137617,
  [SMALL_STATE(3629)] = 137643,
  [SMALL_STATE(3630)] = 137669,
  [SMALL_STATE(3631)] = 137695,
  [SMALL_STATE(3632)] = 137717,
  [SMALL_STATE(3633)] = 137739,
  [SMALL_STATE(3634)] = 137761,
  [SMALL_STATE(3635)] = 137787,
  [SMALL_STATE(3636)] = 137809,
  [SMALL_STATE(3637)] = 137827,
  [SMALL_STATE(3638)] = 137849,
  [SMALL_STATE(3639)] = 137867,
  [SMALL_STATE(3640)] = 137893,
  [SMALL_STATE(3641)] = 137911,
  [SMALL_STATE(3642)] = 137927,
  [SMALL_STATE(3643)] = 137949,
  [SMALL_STATE(3644)] = 137965,
  [SMALL_STATE(3645)] = 137987,
  [SMALL_STATE(3646)] = 138007,
  [SMALL_STATE(3647)] = 138023,
  [SMALL_STATE(3648)] = 138045,
  [SMALL_STATE(3649)] = 138067,
  [SMALL_STATE(3650)] = 138087,
  [SMALL_STATE(3651)] = 138107,
  [SMALL_STATE(3652)] = 138127,
  [SMALL_STATE(3653)] = 138147,
  [SMALL_STATE(3654)] = 138169,
  [SMALL_STATE(3655)] = 138191,
  [SMALL_STATE(3656)] = 138213,
  [SMALL_STATE(3657)] = 138233,
  [SMALL_STATE(3658)] = 138259,
  [SMALL_STATE(3659)] = 138273,
  [SMALL_STATE(3660)] = 138299,
  [SMALL_STATE(3661)] = 138325,
  [SMALL_STATE(3662)] = 138347,
  [SMALL_STATE(3663)] = 138369,
  [SMALL_STATE(3664)] = 138389,
  [SMALL_STATE(3665)] = 138411,
  [SMALL_STATE(3666)] = 138433,
  [SMALL_STATE(3667)] = 138455,
  [SMALL_STATE(3668)] = 138477,
  [SMALL_STATE(3669)] = 138495,
  [SMALL_STATE(3670)] = 138513,
  [SMALL_STATE(3671)] = 138531,
  [SMALL_STATE(3672)] = 138549,
  [SMALL_STATE(3673)] = 138575,
  [SMALL_STATE(3674)] = 138597,
  [SMALL_STATE(3675)] = 138619,
  [SMALL_STATE(3676)] = 138641,
  [SMALL_STATE(3677)] = 138663,
  [SMALL_STATE(3678)] = 138685,
  [SMALL_STATE(3679)] = 138707,
  [SMALL_STATE(3680)] = 138733,
  [SMALL_STATE(3681)] = 138751,
  [SMALL_STATE(3682)] = 138769,
  [SMALL_STATE(3683)] = 138787,
  [SMALL_STATE(3684)] = 138805,
  [SMALL_STATE(3685)] = 138827,
  [SMALL_STATE(3686)] = 138853,
  [SMALL_STATE(3687)] = 138871,
  [SMALL_STATE(3688)] = 138889,
  [SMALL_STATE(3689)] = 138911,
  [SMALL_STATE(3690)] = 138929,
  [SMALL_STATE(3691)] = 138947,
  [SMALL_STATE(3692)] = 138965,
  [SMALL_STATE(3693)] = 138983,
  [SMALL_STATE(3694)] = 139001,
  [SMALL_STATE(3695)] = 139019,
  [SMALL_STATE(3696)] = 139037,
  [SMALL_STATE(3697)] = 139055,
  [SMALL_STATE(3698)] = 139077,
  [SMALL_STATE(3699)] = 139095,
  [SMALL_STATE(3700)] = 139113,
  [SMALL_STATE(3701)] = 139135,
  [SMALL_STATE(3702)] = 139157,
  [SMALL_STATE(3703)] = 139183,
  [SMALL_STATE(3704)] = 139201,
  [SMALL_STATE(3705)] = 139215,
  [SMALL_STATE(3706)] = 139237,
  [SMALL_STATE(3707)] = 139259,
  [SMALL_STATE(3708)] = 139281,
  [SMALL_STATE(3709)] = 139303,
  [SMALL_STATE(3710)] = 139325,
  [SMALL_STATE(3711)] = 139347,
  [SMALL_STATE(3712)] = 139369,
  [SMALL_STATE(3713)] = 139391,
  [SMALL_STATE(3714)] = 139413,
  [SMALL_STATE(3715)] = 139427,
  [SMALL_STATE(3716)] = 139449,
  [SMALL_STATE(3717)] = 139471,
  [SMALL_STATE(3718)] = 139493,
  [SMALL_STATE(3719)] = 139515,
  [SMALL_STATE(3720)] = 139537,
  [SMALL_STATE(3721)] = 139559,
  [SMALL_STATE(3722)] = 139585,
  [SMALL_STATE(3723)] = 139599,
  [SMALL_STATE(3724)] = 139625,
  [SMALL_STATE(3725)] = 139651,
  [SMALL_STATE(3726)] = 139677,
  [SMALL_STATE(3727)] = 139699,
  [SMALL_STATE(3728)] = 139715,
  [SMALL_STATE(3729)] = 139731,
  [SMALL_STATE(3730)] = 139751,
  [SMALL_STATE(3731)] = 139767,
  [SMALL_STATE(3732)] = 139789,
  [SMALL_STATE(3733)] = 139803,
  [SMALL_STATE(3734)] = 139825,
  [SMALL_STATE(3735)] = 139847,
  [SMALL_STATE(3736)] = 139869,
  [SMALL_STATE(3737)] = 139891,
  [SMALL_STATE(3738)] = 139913,
  [SMALL_STATE(3739)] = 139939,
  [SMALL_STATE(3740)] = 139955,
  [SMALL_STATE(3741)] = 139981,
  [SMALL_STATE(3742)] = 140003,
  [SMALL_STATE(3743)] = 140025,
  [SMALL_STATE(3744)] = 140047,
  [SMALL_STATE(3745)] = 140069,
  [SMALL_STATE(3746)] = 140091,
  [SMALL_STATE(3747)] = 140113,
  [SMALL_STATE(3748)] = 140135,
  [SMALL_STATE(3749)] = 140157,
  [SMALL_STATE(3750)] = 140179,
  [SMALL_STATE(3751)] = 140201,
  [SMALL_STATE(3752)] = 140223,
  [SMALL_STATE(3753)] = 140245,
  [SMALL_STATE(3754)] = 140267,
  [SMALL_STATE(3755)] = 140293,
  [SMALL_STATE(3756)] = 140316,
  [SMALL_STATE(3757)] = 140333,
  [SMALL_STATE(3758)] = 140352,
  [SMALL_STATE(3759)] = 140375,
  [SMALL_STATE(3760)] = 140392,
  [SMALL_STATE(3761)] = 140415,
  [SMALL_STATE(3762)] = 140438,
  [SMALL_STATE(3763)] = 140461,
  [SMALL_STATE(3764)] = 140478,
  [SMALL_STATE(3765)] = 140495,
  [SMALL_STATE(3766)] = 140518,
  [SMALL_STATE(3767)] = 140535,
  [SMALL_STATE(3768)] = 140552,
  [SMALL_STATE(3769)] = 140575,
  [SMALL_STATE(3770)] = 140594,
  [SMALL_STATE(3771)] = 140611,
  [SMALL_STATE(3772)] = 140634,
  [SMALL_STATE(3773)] = 140651,
  [SMALL_STATE(3774)] = 140670,
  [SMALL_STATE(3775)] = 140687,
  [SMALL_STATE(3776)] = 140702,
  [SMALL_STATE(3777)] = 140719,
  [SMALL_STATE(3778)] = 140742,
  [SMALL_STATE(3779)] = 140759,
  [SMALL_STATE(3780)] = 140782,
  [SMALL_STATE(3781)] = 140799,
  [SMALL_STATE(3782)] = 140818,
  [SMALL_STATE(3783)] = 140837,
  [SMALL_STATE(3784)] = 140854,
  [SMALL_STATE(3785)] = 140871,
  [SMALL_STATE(3786)] = 140886,
  [SMALL_STATE(3787)] = 140909,
  [SMALL_STATE(3788)] = 140926,
  [SMALL_STATE(3789)] = 140949,
  [SMALL_STATE(3790)] = 140968,
  [SMALL_STATE(3791)] = 140985,
  [SMALL_STATE(3792)] = 141008,
  [SMALL_STATE(3793)] = 141031,
  [SMALL_STATE(3794)] = 141044,
  [SMALL_STATE(3795)] = 141057,
  [SMALL_STATE(3796)] = 141074,
  [SMALL_STATE(3797)] = 141087,
  [SMALL_STATE(3798)] = 141110,
  [SMALL_STATE(3799)] = 141133,
  [SMALL_STATE(3800)] = 141156,
  [SMALL_STATE(3801)] = 141179,
  [SMALL_STATE(3802)] = 141192,
  [SMALL_STATE(3803)] = 141205,
  [SMALL_STATE(3804)] = 141222,
  [SMALL_STATE(3805)] = 141245,
  [SMALL_STATE(3806)] = 141268,
  [SMALL_STATE(3807)] = 141285,
  [SMALL_STATE(3808)] = 141302,
  [SMALL_STATE(3809)] = 141321,
  [SMALL_STATE(3810)] = 141338,
  [SMALL_STATE(3811)] = 141357,
  [SMALL_STATE(3812)] = 141374,
  [SMALL_STATE(3813)] = 141393,
  [SMALL_STATE(3814)] = 141410,
  [SMALL_STATE(3815)] = 141429,
  [SMALL_STATE(3816)] = 141446,
  [SMALL_STATE(3817)] = 141463,
  [SMALL_STATE(3818)] = 141486,
  [SMALL_STATE(3819)] = 141503,
  [SMALL_STATE(3820)] = 141516,
  [SMALL_STATE(3821)] = 141533,
  [SMALL_STATE(3822)] = 141556,
  [SMALL_STATE(3823)] = 141573,
  [SMALL_STATE(3824)] = 141596,
  [SMALL_STATE(3825)] = 141619,
  [SMALL_STATE(3826)] = 141642,
  [SMALL_STATE(3827)] = 141659,
  [SMALL_STATE(3828)] = 141676,
  [SMALL_STATE(3829)] = 141689,
  [SMALL_STATE(3830)] = 141706,
  [SMALL_STATE(3831)] = 141723,
  [SMALL_STATE(3832)] = 141740,
  [SMALL_STATE(3833)] = 141761,
  [SMALL_STATE(3834)] = 141778,
  [SMALL_STATE(3835)] = 141795,
  [SMALL_STATE(3836)] = 141818,
  [SMALL_STATE(3837)] = 141831,
  [SMALL_STATE(3838)] = 141848,
  [SMALL_STATE(3839)] = 141871,
  [SMALL_STATE(3840)] = 141894,
  [SMALL_STATE(3841)] = 141911,
  [SMALL_STATE(3842)] = 141930,
  [SMALL_STATE(3843)] = 141949,
  [SMALL_STATE(3844)] = 141972,
  [SMALL_STATE(3845)] = 141995,
  [SMALL_STATE(3846)] = 142018,
  [SMALL_STATE(3847)] = 142031,
  [SMALL_STATE(3848)] = 142050,
  [SMALL_STATE(3849)] = 142069,
  [SMALL_STATE(3850)] = 142088,
  [SMALL_STATE(3851)] = 142105,
  [SMALL_STATE(3852)] = 142128,
  [SMALL_STATE(3853)] = 142141,
  [SMALL_STATE(3854)] = 142154,
  [SMALL_STATE(3855)] = 142167,
  [SMALL_STATE(3856)] = 142184,
  [SMALL_STATE(3857)] = 142207,
  [SMALL_STATE(3858)] = 142230,
  [SMALL_STATE(3859)] = 142253,
  [SMALL_STATE(3860)] = 142276,
  [SMALL_STATE(3861)] = 142289,
  [SMALL_STATE(3862)] = 142312,
  [SMALL_STATE(3863)] = 142329,
  [SMALL_STATE(3864)] = 142346,
  [SMALL_STATE(3865)] = 142369,
  [SMALL_STATE(3866)] = 142392,
  [SMALL_STATE(3867)] = 142415,
  [SMALL_STATE(3868)] = 142432,
  [SMALL_STATE(3869)] = 142455,
  [SMALL_STATE(3870)] = 142472,
  [SMALL_STATE(3871)] = 142491,
  [SMALL_STATE(3872)] = 142514,
  [SMALL_STATE(3873)] = 142537,
  [SMALL_STATE(3874)] = 142560,
  [SMALL_STATE(3875)] = 142577,
  [SMALL_STATE(3876)] = 142594,
  [SMALL_STATE(3877)] = 142613,
  [SMALL_STATE(3878)] = 142628,
  [SMALL_STATE(3879)] = 142647,
  [SMALL_STATE(3880)] = 142670,
  [SMALL_STATE(3881)] = 142687,
  [SMALL_STATE(3882)] = 142702,
  [SMALL_STATE(3883)] = 142719,
  [SMALL_STATE(3884)] = 142742,
  [SMALL_STATE(3885)] = 142755,
  [SMALL_STATE(3886)] = 142778,
  [SMALL_STATE(3887)] = 142795,
  [SMALL_STATE(3888)] = 142818,
  [SMALL_STATE(3889)] = 142841,
  [SMALL_STATE(3890)] = 142864,
  [SMALL_STATE(3891)] = 142887,
  [SMALL_STATE(3892)] = 142910,
  [SMALL_STATE(3893)] = 142929,
  [SMALL_STATE(3894)] = 142952,
  [SMALL_STATE(3895)] = 142973,
  [SMALL_STATE(3896)] = 142990,
  [SMALL_STATE(3897)] = 143013,
  [SMALL_STATE(3898)] = 143036,
  [SMALL_STATE(3899)] = 143059,
  [SMALL_STATE(3900)] = 143082,
  [SMALL_STATE(3901)] = 143105,
  [SMALL_STATE(3902)] = 143124,
  [SMALL_STATE(3903)] = 143141,
  [SMALL_STATE(3904)] = 143160,
  [SMALL_STATE(3905)] = 143183,
  [SMALL_STATE(3906)] = 143204,
  [SMALL_STATE(3907)] = 143221,
  [SMALL_STATE(3908)] = 143233,
  [SMALL_STATE(3909)] = 143245,
  [SMALL_STATE(3910)] = 143261,
  [SMALL_STATE(3911)] = 143279,
  [SMALL_STATE(3912)] = 143295,
  [SMALL_STATE(3913)] = 143307,
  [SMALL_STATE(3914)] = 143323,
  [SMALL_STATE(3915)] = 143339,
  [SMALL_STATE(3916)] = 143351,
  [SMALL_STATE(3917)] = 143363,
  [SMALL_STATE(3918)] = 143379,
  [SMALL_STATE(3919)] = 143395,
  [SMALL_STATE(3920)] = 143407,
  [SMALL_STATE(3921)] = 143419,
  [SMALL_STATE(3922)] = 143431,
  [SMALL_STATE(3923)] = 143449,
  [SMALL_STATE(3924)] = 143465,
  [SMALL_STATE(3925)] = 143481,
  [SMALL_STATE(3926)] = 143497,
  [SMALL_STATE(3927)] = 143509,
  [SMALL_STATE(3928)] = 143521,
  [SMALL_STATE(3929)] = 143533,
  [SMALL_STATE(3930)] = 143549,
  [SMALL_STATE(3931)] = 143569,
  [SMALL_STATE(3932)] = 143585,
  [SMALL_STATE(3933)] = 143605,
  [SMALL_STATE(3934)] = 143621,
  [SMALL_STATE(3935)] = 143637,
  [SMALL_STATE(3936)] = 143653,
  [SMALL_STATE(3937)] = 143671,
  [SMALL_STATE(3938)] = 143687,
  [SMALL_STATE(3939)] = 143705,
  [SMALL_STATE(3940)] = 143721,
  [SMALL_STATE(3941)] = 143741,
  [SMALL_STATE(3942)] = 143757,
  [SMALL_STATE(3943)] = 143773,
  [SMALL_STATE(3944)] = 143789,
  [SMALL_STATE(3945)] = 143807,
  [SMALL_STATE(3946)] = 143825,
  [SMALL_STATE(3947)] = 143837,
  [SMALL_STATE(3948)] = 143849,
  [SMALL_STATE(3949)] = 143869,
  [SMALL_STATE(3950)] = 143881,
  [SMALL_STATE(3951)] = 143899,
  [SMALL_STATE(3952)] = 143917,
  [SMALL_STATE(3953)] = 143937,
  [SMALL_STATE(3954)] = 143953,
  [SMALL_STATE(3955)] = 143969,
  [SMALL_STATE(3956)] = 143985,
  [SMALL_STATE(3957)] = 144001,
  [SMALL_STATE(3958)] = 144017,
  [SMALL_STATE(3959)] = 144037,
  [SMALL_STATE(3960)] = 144053,
  [SMALL_STATE(3961)] = 144071,
  [SMALL_STATE(3962)] = 144083,
  [SMALL_STATE(3963)] = 144099,
  [SMALL_STATE(3964)] = 144119,
  [SMALL_STATE(3965)] = 144133,
  [SMALL_STATE(3966)] = 144151,
  [SMALL_STATE(3967)] = 144167,
  [SMALL_STATE(3968)] = 144187,
  [SMALL_STATE(3969)] = 144207,
  [SMALL_STATE(3970)] = 144219,
  [SMALL_STATE(3971)] = 144239,
  [SMALL_STATE(3972)] = 144255,
  [SMALL_STATE(3973)] = 144271,
  [SMALL_STATE(3974)] = 144283,
  [SMALL_STATE(3975)] = 144303,
  [SMALL_STATE(3976)] = 144319,
  [SMALL_STATE(3977)] = 144335,
  [SMALL_STATE(3978)] = 144349,
  [SMALL_STATE(3979)] = 144363,
  [SMALL_STATE(3980)] = 144379,
  [SMALL_STATE(3981)] = 144395,
  [SMALL_STATE(3982)] = 144415,
  [SMALL_STATE(3983)] = 144433,
  [SMALL_STATE(3984)] = 144447,
  [SMALL_STATE(3985)] = 144465,
  [SMALL_STATE(3986)] = 144485,
  [SMALL_STATE(3987)] = 144501,
  [SMALL_STATE(3988)] = 144517,
  [SMALL_STATE(3989)] = 144537,
  [SMALL_STATE(3990)] = 144557,
  [SMALL_STATE(3991)] = 144577,
  [SMALL_STATE(3992)] = 144589,
  [SMALL_STATE(3993)] = 144605,
  [SMALL_STATE(3994)] = 144621,
  [SMALL_STATE(3995)] = 144633,
  [SMALL_STATE(3996)] = 144649,
  [SMALL_STATE(3997)] = 144669,
  [SMALL_STATE(3998)] = 144681,
  [SMALL_STATE(3999)] = 144693,
  [SMALL_STATE(4000)] = 144705,
  [SMALL_STATE(4001)] = 144717,
  [SMALL_STATE(4002)] = 144733,
  [SMALL_STATE(4003)] = 144749,
  [SMALL_STATE(4004)] = 144769,
  [SMALL_STATE(4005)] = 144785,
  [SMALL_STATE(4006)] = 144801,
  [SMALL_STATE(4007)] = 144817,
  [SMALL_STATE(4008)] = 144835,
  [SMALL_STATE(4009)] = 144851,
  [SMALL_STATE(4010)] = 144867,
  [SMALL_STATE(4011)] = 144883,
  [SMALL_STATE(4012)] = 144903,
  [SMALL_STATE(4013)] = 144923,
  [SMALL_STATE(4014)] = 144939,
  [SMALL_STATE(4015)] = 144957,
  [SMALL_STATE(4016)] = 144977,
  [SMALL_STATE(4017)] = 144993,
  [SMALL_STATE(4018)] = 145013,
  [SMALL_STATE(4019)] = 145033,
  [SMALL_STATE(4020)] = 145049,
  [SMALL_STATE(4021)] = 145065,
  [SMALL_STATE(4022)] = 145083,
  [SMALL_STATE(4023)] = 145099,
  [SMALL_STATE(4024)] = 145115,
  [SMALL_STATE(4025)] = 145135,
  [SMALL_STATE(4026)] = 145151,
  [SMALL_STATE(4027)] = 145163,
  [SMALL_STATE(4028)] = 145179,
  [SMALL_STATE(4029)] = 145197,
  [SMALL_STATE(4030)] = 145213,
  [SMALL_STATE(4031)] = 145229,
  [SMALL_STATE(4032)] = 145245,
  [SMALL_STATE(4033)] = 145265,
  [SMALL_STATE(4034)] = 145281,
  [SMALL_STATE(4035)] = 145293,
  [SMALL_STATE(4036)] = 145305,
  [SMALL_STATE(4037)] = 145317,
  [SMALL_STATE(4038)] = 145337,
  [SMALL_STATE(4039)] = 145349,
  [SMALL_STATE(4040)] = 145369,
  [SMALL_STATE(4041)] = 145381,
  [SMALL_STATE(4042)] = 145397,
  [SMALL_STATE(4043)] = 145409,
  [SMALL_STATE(4044)] = 145421,
  [SMALL_STATE(4045)] = 145437,
  [SMALL_STATE(4046)] = 145449,
  [SMALL_STATE(4047)] = 145461,
  [SMALL_STATE(4048)] = 145473,
  [SMALL_STATE(4049)] = 145485,
  [SMALL_STATE(4050)] = 145497,
  [SMALL_STATE(4051)] = 145515,
  [SMALL_STATE(4052)] = 145527,
  [SMALL_STATE(4053)] = 145539,
  [SMALL_STATE(4054)] = 145555,
  [SMALL_STATE(4055)] = 145573,
  [SMALL_STATE(4056)] = 145589,
  [SMALL_STATE(4057)] = 145605,
  [SMALL_STATE(4058)] = 145617,
  [SMALL_STATE(4059)] = 145629,
  [SMALL_STATE(4060)] = 145645,
  [SMALL_STATE(4061)] = 145657,
  [SMALL_STATE(4062)] = 145669,
  [SMALL_STATE(4063)] = 145681,
  [SMALL_STATE(4064)] = 145697,
  [SMALL_STATE(4065)] = 145709,
  [SMALL_STATE(4066)] = 145721,
  [SMALL_STATE(4067)] = 145733,
  [SMALL_STATE(4068)] = 145745,
  [SMALL_STATE(4069)] = 145757,
  [SMALL_STATE(4070)] = 145769,
  [SMALL_STATE(4071)] = 145781,
  [SMALL_STATE(4072)] = 145793,
  [SMALL_STATE(4073)] = 145805,
  [SMALL_STATE(4074)] = 145821,
  [SMALL_STATE(4075)] = 145841,
  [SMALL_STATE(4076)] = 145853,
  [SMALL_STATE(4077)] = 145865,
  [SMALL_STATE(4078)] = 145877,
  [SMALL_STATE(4079)] = 145889,
  [SMALL_STATE(4080)] = 145901,
  [SMALL_STATE(4081)] = 145919,
  [SMALL_STATE(4082)] = 145935,
  [SMALL_STATE(4083)] = 145951,
  [SMALL_STATE(4084)] = 145969,
  [SMALL_STATE(4085)] = 145989,
  [SMALL_STATE(4086)] = 146001,
  [SMALL_STATE(4087)] = 146017,
  [SMALL_STATE(4088)] = 146029,
  [SMALL_STATE(4089)] = 146049,
  [SMALL_STATE(4090)] = 146065,
  [SMALL_STATE(4091)] = 146077,
  [SMALL_STATE(4092)] = 146089,
  [SMALL_STATE(4093)] = 146101,
  [SMALL_STATE(4094)] = 146113,
  [SMALL_STATE(4095)] = 146125,
  [SMALL_STATE(4096)] = 146145,
  [SMALL_STATE(4097)] = 146161,
  [SMALL_STATE(4098)] = 146175,
  [SMALL_STATE(4099)] = 146187,
  [SMALL_STATE(4100)] = 146207,
  [SMALL_STATE(4101)] = 146223,
  [SMALL_STATE(4102)] = 146239,
  [SMALL_STATE(4103)] = 146251,
  [SMALL_STATE(4104)] = 146263,
  [SMALL_STATE(4105)] = 146279,
  [SMALL_STATE(4106)] = 146291,
  [SMALL_STATE(4107)] = 146303,
  [SMALL_STATE(4108)] = 146319,
  [SMALL_STATE(4109)] = 146331,
  [SMALL_STATE(4110)] = 146343,
  [SMALL_STATE(4111)] = 146363,
  [SMALL_STATE(4112)] = 146375,
  [SMALL_STATE(4113)] = 146393,
  [SMALL_STATE(4114)] = 146409,
  [SMALL_STATE(4115)] = 146425,
  [SMALL_STATE(4116)] = 146443,
  [SMALL_STATE(4117)] = 146461,
  [SMALL_STATE(4118)] = 146477,
  [SMALL_STATE(4119)] = 146493,
  [SMALL_STATE(4120)] = 146513,
  [SMALL_STATE(4121)] = 146529,
  [SMALL_STATE(4122)] = 146545,
  [SMALL_STATE(4123)] = 146561,
  [SMALL_STATE(4124)] = 146577,
  [SMALL_STATE(4125)] = 146589,
  [SMALL_STATE(4126)] = 146609,
  [SMALL_STATE(4127)] = 146621,
  [SMALL_STATE(4128)] = 146633,
  [SMALL_STATE(4129)] = 146645,
  [SMALL_STATE(4130)] = 146657,
  [SMALL_STATE(4131)] = 146675,
  [SMALL_STATE(4132)] = 146691,
  [SMALL_STATE(4133)] = 146711,
  [SMALL_STATE(4134)] = 146731,
  [SMALL_STATE(4135)] = 146747,
  [SMALL_STATE(4136)] = 146767,
  [SMALL_STATE(4137)] = 146787,
  [SMALL_STATE(4138)] = 146803,
  [SMALL_STATE(4139)] = 146823,
  [SMALL_STATE(4140)] = 146843,
  [SMALL_STATE(4141)] = 146859,
  [SMALL_STATE(4142)] = 146871,
  [SMALL_STATE(4143)] = 146891,
  [SMALL_STATE(4144)] = 146911,
  [SMALL_STATE(4145)] = 146931,
  [SMALL_STATE(4146)] = 146947,
  [SMALL_STATE(4147)] = 146959,
  [SMALL_STATE(4148)] = 146975,
  [SMALL_STATE(4149)] = 146991,
  [SMALL_STATE(4150)] = 147007,
  [SMALL_STATE(4151)] = 147025,
  [SMALL_STATE(4152)] = 147037,
  [SMALL_STATE(4153)] = 147049,
  [SMALL_STATE(4154)] = 147061,
  [SMALL_STATE(4155)] = 147073,
  [SMALL_STATE(4156)] = 147085,
  [SMALL_STATE(4157)] = 147101,
  [SMALL_STATE(4158)] = 147117,
  [SMALL_STATE(4159)] = 147133,
  [SMALL_STATE(4160)] = 147149,
  [SMALL_STATE(4161)] = 147161,
  [SMALL_STATE(4162)] = 147181,
  [SMALL_STATE(4163)] = 147197,
  [SMALL_STATE(4164)] = 147213,
  [SMALL_STATE(4165)] = 147233,
  [SMALL_STATE(4166)] = 147245,
  [SMALL_STATE(4167)] = 147265,
  [SMALL_STATE(4168)] = 147281,
  [SMALL_STATE(4169)] = 147301,
  [SMALL_STATE(4170)] = 147321,
  [SMALL_STATE(4171)] = 147333,
  [SMALL_STATE(4172)] = 147345,
  [SMALL_STATE(4173)] = 147365,
  [SMALL_STATE(4174)] = 147377,
  [SMALL_STATE(4175)] = 147393,
  [SMALL_STATE(4176)] = 147409,
  [SMALL_STATE(4177)] = 147425,
  [SMALL_STATE(4178)] = 147443,
  [SMALL_STATE(4179)] = 147463,
  [SMALL_STATE(4180)] = 147483,
  [SMALL_STATE(4181)] = 147499,
  [SMALL_STATE(4182)] = 147515,
  [SMALL_STATE(4183)] = 147531,
  [SMALL_STATE(4184)] = 147547,
  [SMALL_STATE(4185)] = 147565,
  [SMALL_STATE(4186)] = 147581,
  [SMALL_STATE(4187)] = 147597,
  [SMALL_STATE(4188)] = 147613,
  [SMALL_STATE(4189)] = 147633,
  [SMALL_STATE(4190)] = 147649,
  [SMALL_STATE(4191)] = 147665,
  [SMALL_STATE(4192)] = 147685,
  [SMALL_STATE(4193)] = 147705,
  [SMALL_STATE(4194)] = 147725,
  [SMALL_STATE(4195)] = 147745,
  [SMALL_STATE(4196)] = 147761,
  [SMALL_STATE(4197)] = 147777,
  [SMALL_STATE(4198)] = 147797,
  [SMALL_STATE(4199)] = 147815,
  [SMALL_STATE(4200)] = 147827,
  [SMALL_STATE(4201)] = 147839,
  [SMALL_STATE(4202)] = 147851,
  [SMALL_STATE(4203)] = 147863,
  [SMALL_STATE(4204)] = 147883,
  [SMALL_STATE(4205)] = 147895,
  [SMALL_STATE(4206)] = 147911,
  [SMALL_STATE(4207)] = 147927,
  [SMALL_STATE(4208)] = 147947,
  [SMALL_STATE(4209)] = 147959,
  [SMALL_STATE(4210)] = 147971,
  [SMALL_STATE(4211)] = 147987,
  [SMALL_STATE(4212)] = 148003,
  [SMALL_STATE(4213)] = 148023,
  [SMALL_STATE(4214)] = 148035,
  [SMALL_STATE(4215)] = 148047,
  [SMALL_STATE(4216)] = 148059,
  [SMALL_STATE(4217)] = 148071,
  [SMALL_STATE(4218)] = 148083,
  [SMALL_STATE(4219)] = 148099,
  [SMALL_STATE(4220)] = 148115,
  [SMALL_STATE(4221)] = 148131,
  [SMALL_STATE(4222)] = 148147,
  [SMALL_STATE(4223)] = 148163,
  [SMALL_STATE(4224)] = 148183,
  [SMALL_STATE(4225)] = 148199,
  [SMALL_STATE(4226)] = 148215,
  [SMALL_STATE(4227)] = 148227,
  [SMALL_STATE(4228)] = 148239,
  [SMALL_STATE(4229)] = 148251,
  [SMALL_STATE(4230)] = 148271,
  [SMALL_STATE(4231)] = 148291,
  [SMALL_STATE(4232)] = 148311,
  [SMALL_STATE(4233)] = 148327,
  [SMALL_STATE(4234)] = 148339,
  [SMALL_STATE(4235)] = 148355,
  [SMALL_STATE(4236)] = 148367,
  [SMALL_STATE(4237)] = 148379,
  [SMALL_STATE(4238)] = 148399,
  [SMALL_STATE(4239)] = 148419,
  [SMALL_STATE(4240)] = 148435,
  [SMALL_STATE(4241)] = 148451,
  [SMALL_STATE(4242)] = 148463,
  [SMALL_STATE(4243)] = 148475,
  [SMALL_STATE(4244)] = 148487,
  [SMALL_STATE(4245)] = 148499,
  [SMALL_STATE(4246)] = 148511,
  [SMALL_STATE(4247)] = 148527,
  [SMALL_STATE(4248)] = 148543,
  [SMALL_STATE(4249)] = 148555,
  [SMALL_STATE(4250)] = 148571,
  [SMALL_STATE(4251)] = 148583,
  [SMALL_STATE(4252)] = 148595,
  [SMALL_STATE(4253)] = 148611,
  [SMALL_STATE(4254)] = 148627,
  [SMALL_STATE(4255)] = 148643,
  [SMALL_STATE(4256)] = 148659,
  [SMALL_STATE(4257)] = 148675,
  [SMALL_STATE(4258)] = 148687,
  [SMALL_STATE(4259)] = 148703,
  [SMALL_STATE(4260)] = 148719,
  [SMALL_STATE(4261)] = 148731,
  [SMALL_STATE(4262)] = 148743,
  [SMALL_STATE(4263)] = 148755,
  [SMALL_STATE(4264)] = 148767,
  [SMALL_STATE(4265)] = 148783,
  [SMALL_STATE(4266)] = 148799,
  [SMALL_STATE(4267)] = 148815,
  [SMALL_STATE(4268)] = 148831,
  [SMALL_STATE(4269)] = 148847,
  [SMALL_STATE(4270)] = 148863,
  [SMALL_STATE(4271)] = 148879,
  [SMALL_STATE(4272)] = 148899,
  [SMALL_STATE(4273)] = 148911,
  [SMALL_STATE(4274)] = 148927,
  [SMALL_STATE(4275)] = 148939,
  [SMALL_STATE(4276)] = 148955,
  [SMALL_STATE(4277)] = 148971,
  [SMALL_STATE(4278)] = 148983,
  [SMALL_STATE(4279)] = 148999,
  [SMALL_STATE(4280)] = 149011,
  [SMALL_STATE(4281)] = 149027,
  [SMALL_STATE(4282)] = 149039,
  [SMALL_STATE(4283)] = 149055,
  [SMALL_STATE(4284)] = 149067,
  [SMALL_STATE(4285)] = 149079,
  [SMALL_STATE(4286)] = 149095,
  [SMALL_STATE(4287)] = 149115,
  [SMALL_STATE(4288)] = 149131,
  [SMALL_STATE(4289)] = 149147,
  [SMALL_STATE(4290)] = 149159,
  [SMALL_STATE(4291)] = 149175,
  [SMALL_STATE(4292)] = 149191,
  [SMALL_STATE(4293)] = 149207,
  [SMALL_STATE(4294)] = 149223,
  [SMALL_STATE(4295)] = 149239,
  [SMALL_STATE(4296)] = 149255,
  [SMALL_STATE(4297)] = 149271,
  [SMALL_STATE(4298)] = 149287,
  [SMALL_STATE(4299)] = 149303,
  [SMALL_STATE(4300)] = 149317,
  [SMALL_STATE(4301)] = 149333,
  [SMALL_STATE(4302)] = 149349,
  [SMALL_STATE(4303)] = 149363,
  [SMALL_STATE(4304)] = 149375,
  [SMALL_STATE(4305)] = 149391,
  [SMALL_STATE(4306)] = 149407,
  [SMALL_STATE(4307)] = 149425,
  [SMALL_STATE(4308)] = 149441,
  [SMALL_STATE(4309)] = 149457,
  [SMALL_STATE(4310)] = 149473,
  [SMALL_STATE(4311)] = 149489,
  [SMALL_STATE(4312)] = 149501,
  [SMALL_STATE(4313)] = 149521,
  [SMALL_STATE(4314)] = 149537,
  [SMALL_STATE(4315)] = 149557,
  [SMALL_STATE(4316)] = 149573,
  [SMALL_STATE(4317)] = 149589,
  [SMALL_STATE(4318)] = 149605,
  [SMALL_STATE(4319)] = 149621,
  [SMALL_STATE(4320)] = 149637,
  [SMALL_STATE(4321)] = 149657,
  [SMALL_STATE(4322)] = 149673,
  [SMALL_STATE(4323)] = 149693,
  [SMALL_STATE(4324)] = 149705,
  [SMALL_STATE(4325)] = 149725,
  [SMALL_STATE(4326)] = 149737,
  [SMALL_STATE(4327)] = 149749,
  [SMALL_STATE(4328)] = 149761,
  [SMALL_STATE(4329)] = 149773,
  [SMALL_STATE(4330)] = 149793,
  [SMALL_STATE(4331)] = 149805,
  [SMALL_STATE(4332)] = 149825,
  [SMALL_STATE(4333)] = 149841,
  [SMALL_STATE(4334)] = 149857,
  [SMALL_STATE(4335)] = 149869,
  [SMALL_STATE(4336)] = 149889,
  [SMALL_STATE(4337)] = 149909,
  [SMALL_STATE(4338)] = 149921,
  [SMALL_STATE(4339)] = 149933,
  [SMALL_STATE(4340)] = 149945,
  [SMALL_STATE(4341)] = 149961,
  [SMALL_STATE(4342)] = 149977,
  [SMALL_STATE(4343)] = 149993,
  [SMALL_STATE(4344)] = 150009,
  [SMALL_STATE(4345)] = 150029,
  [SMALL_STATE(4346)] = 150049,
  [SMALL_STATE(4347)] = 150065,
  [SMALL_STATE(4348)] = 150081,
  [SMALL_STATE(4349)] = 150101,
  [SMALL_STATE(4350)] = 150121,
  [SMALL_STATE(4351)] = 150137,
  [SMALL_STATE(4352)] = 150153,
  [SMALL_STATE(4353)] = 150165,
  [SMALL_STATE(4354)] = 150177,
  [SMALL_STATE(4355)] = 150193,
  [SMALL_STATE(4356)] = 150209,
  [SMALL_STATE(4357)] = 150225,
  [SMALL_STATE(4358)] = 150241,
  [SMALL_STATE(4359)] = 150257,
  [SMALL_STATE(4360)] = 150273,
  [SMALL_STATE(4361)] = 150293,
  [SMALL_STATE(4362)] = 150309,
  [SMALL_STATE(4363)] = 150325,
  [SMALL_STATE(4364)] = 150341,
  [SMALL_STATE(4365)] = 150357,
  [SMALL_STATE(4366)] = 150373,
  [SMALL_STATE(4367)] = 150389,
  [SMALL_STATE(4368)] = 150401,
  [SMALL_STATE(4369)] = 150417,
  [SMALL_STATE(4370)] = 150433,
  [SMALL_STATE(4371)] = 150449,
  [SMALL_STATE(4372)] = 150465,
  [SMALL_STATE(4373)] = 150481,
  [SMALL_STATE(4374)] = 150497,
  [SMALL_STATE(4375)] = 150513,
  [SMALL_STATE(4376)] = 150529,
  [SMALL_STATE(4377)] = 150545,
  [SMALL_STATE(4378)] = 150561,
  [SMALL_STATE(4379)] = 150581,
  [SMALL_STATE(4380)] = 150597,
  [SMALL_STATE(4381)] = 150613,
  [SMALL_STATE(4382)] = 150629,
  [SMALL_STATE(4383)] = 150645,
  [SMALL_STATE(4384)] = 150661,
  [SMALL_STATE(4385)] = 150677,
  [SMALL_STATE(4386)] = 150693,
  [SMALL_STATE(4387)] = 150709,
  [SMALL_STATE(4388)] = 150724,
  [SMALL_STATE(4389)] = 150741,
  [SMALL_STATE(4390)] = 150758,
  [SMALL_STATE(4391)] = 150775,
  [SMALL_STATE(4392)] = 150790,
  [SMALL_STATE(4393)] = 150805,
  [SMALL_STATE(4394)] = 150822,
  [SMALL_STATE(4395)] = 150839,
  [SMALL_STATE(4396)] = 150854,
  [SMALL_STATE(4397)] = 150871,
  [SMALL_STATE(4398)] = 150888,
  [SMALL_STATE(4399)] = 150905,
  [SMALL_STATE(4400)] = 150922,
  [SMALL_STATE(4401)] = 150939,
  [SMALL_STATE(4402)] = 150954,
  [SMALL_STATE(4403)] = 150969,
  [SMALL_STATE(4404)] = 150982,
  [SMALL_STATE(4405)] = 150999,
  [SMALL_STATE(4406)] = 151012,
  [SMALL_STATE(4407)] = 151025,
  [SMALL_STATE(4408)] = 151042,
  [SMALL_STATE(4409)] = 151059,
  [SMALL_STATE(4410)] = 151076,
  [SMALL_STATE(4411)] = 151093,
  [SMALL_STATE(4412)] = 151110,
  [SMALL_STATE(4413)] = 151125,
  [SMALL_STATE(4414)] = 151142,
  [SMALL_STATE(4415)] = 151159,
  [SMALL_STATE(4416)] = 151170,
  [SMALL_STATE(4417)] = 151185,
  [SMALL_STATE(4418)] = 151198,
  [SMALL_STATE(4419)] = 151215,
  [SMALL_STATE(4420)] = 151232,
  [SMALL_STATE(4421)] = 151249,
  [SMALL_STATE(4422)] = 151266,
  [SMALL_STATE(4423)] = 151281,
  [SMALL_STATE(4424)] = 151298,
  [SMALL_STATE(4425)] = 151315,
  [SMALL_STATE(4426)] = 151330,
  [SMALL_STATE(4427)] = 151347,
  [SMALL_STATE(4428)] = 151362,
  [SMALL_STATE(4429)] = 151379,
  [SMALL_STATE(4430)] = 151396,
  [SMALL_STATE(4431)] = 151413,
  [SMALL_STATE(4432)] = 151430,
  [SMALL_STATE(4433)] = 151445,
  [SMALL_STATE(4434)] = 151462,
  [SMALL_STATE(4435)] = 151477,
  [SMALL_STATE(4436)] = 151494,
  [SMALL_STATE(4437)] = 151511,
  [SMALL_STATE(4438)] = 151528,
  [SMALL_STATE(4439)] = 151539,
  [SMALL_STATE(4440)] = 151556,
  [SMALL_STATE(4441)] = 151573,
  [SMALL_STATE(4442)] = 151590,
  [SMALL_STATE(4443)] = 151607,
  [SMALL_STATE(4444)] = 151622,
  [SMALL_STATE(4445)] = 151637,
  [SMALL_STATE(4446)] = 151654,
  [SMALL_STATE(4447)] = 151671,
  [SMALL_STATE(4448)] = 151688,
  [SMALL_STATE(4449)] = 151701,
  [SMALL_STATE(4450)] = 151718,
  [SMALL_STATE(4451)] = 151735,
  [SMALL_STATE(4452)] = 151752,
  [SMALL_STATE(4453)] = 151767,
  [SMALL_STATE(4454)] = 151784,
  [SMALL_STATE(4455)] = 151801,
  [SMALL_STATE(4456)] = 151818,
  [SMALL_STATE(4457)] = 151835,
  [SMALL_STATE(4458)] = 151852,
  [SMALL_STATE(4459)] = 151869,
  [SMALL_STATE(4460)] = 151886,
  [SMALL_STATE(4461)] = 151903,
  [SMALL_STATE(4462)] = 151918,
  [SMALL_STATE(4463)] = 151935,
  [SMALL_STATE(4464)] = 151950,
  [SMALL_STATE(4465)] = 151965,
  [SMALL_STATE(4466)] = 151982,
  [SMALL_STATE(4467)] = 151999,
  [SMALL_STATE(4468)] = 152016,
  [SMALL_STATE(4469)] = 152033,
  [SMALL_STATE(4470)] = 152050,
  [SMALL_STATE(4471)] = 152065,
  [SMALL_STATE(4472)] = 152082,
  [SMALL_STATE(4473)] = 152099,
  [SMALL_STATE(4474)] = 152116,
  [SMALL_STATE(4475)] = 152133,
  [SMALL_STATE(4476)] = 152150,
  [SMALL_STATE(4477)] = 152167,
  [SMALL_STATE(4478)] = 152184,
  [SMALL_STATE(4479)] = 152201,
  [SMALL_STATE(4480)] = 152216,
  [SMALL_STATE(4481)] = 152229,
  [SMALL_STATE(4482)] = 152246,
  [SMALL_STATE(4483)] = 152261,
  [SMALL_STATE(4484)] = 152278,
  [SMALL_STATE(4485)] = 152289,
  [SMALL_STATE(4486)] = 152300,
  [SMALL_STATE(4487)] = 152317,
  [SMALL_STATE(4488)] = 152334,
  [SMALL_STATE(4489)] = 152351,
  [SMALL_STATE(4490)] = 152368,
  [SMALL_STATE(4491)] = 152385,
  [SMALL_STATE(4492)] = 152402,
  [SMALL_STATE(4493)] = 152419,
  [SMALL_STATE(4494)] = 152436,
  [SMALL_STATE(4495)] = 152453,
  [SMALL_STATE(4496)] = 152470,
  [SMALL_STATE(4497)] = 152487,
  [SMALL_STATE(4498)] = 152504,
  [SMALL_STATE(4499)] = 152521,
  [SMALL_STATE(4500)] = 152538,
  [SMALL_STATE(4501)] = 152555,
  [SMALL_STATE(4502)] = 152572,
  [SMALL_STATE(4503)] = 152587,
  [SMALL_STATE(4504)] = 152604,
  [SMALL_STATE(4505)] = 152617,
  [SMALL_STATE(4506)] = 152634,
  [SMALL_STATE(4507)] = 152651,
  [SMALL_STATE(4508)] = 152668,
  [SMALL_STATE(4509)] = 152685,
  [SMALL_STATE(4510)] = 152700,
  [SMALL_STATE(4511)] = 152717,
  [SMALL_STATE(4512)] = 152734,
  [SMALL_STATE(4513)] = 152751,
  [SMALL_STATE(4514)] = 152768,
  [SMALL_STATE(4515)] = 152785,
  [SMALL_STATE(4516)] = 152800,
  [SMALL_STATE(4517)] = 152817,
  [SMALL_STATE(4518)] = 152832,
  [SMALL_STATE(4519)] = 152849,
  [SMALL_STATE(4520)] = 152866,
  [SMALL_STATE(4521)] = 152883,
  [SMALL_STATE(4522)] = 152900,
  [SMALL_STATE(4523)] = 152915,
  [SMALL_STATE(4524)] = 152929,
  [SMALL_STATE(4525)] = 152943,
  [SMALL_STATE(4526)] = 152957,
  [SMALL_STATE(4527)] = 152971,
  [SMALL_STATE(4528)] = 152985,
  [SMALL_STATE(4529)] = 152999,
  [SMALL_STATE(4530)] = 153013,
  [SMALL_STATE(4531)] = 153023,
  [SMALL_STATE(4532)] = 153033,
  [SMALL_STATE(4533)] = 153043,
  [SMALL_STATE(4534)] = 153053,
  [SMALL_STATE(4535)] = 153065,
  [SMALL_STATE(4536)] = 153079,
  [SMALL_STATE(4537)] = 153091,
  [SMALL_STATE(4538)] = 153105,
  [SMALL_STATE(4539)] = 153115,
  [SMALL_STATE(4540)] = 153129,
  [SMALL_STATE(4541)] = 153139,
  [SMALL_STATE(4542)] = 153153,
  [SMALL_STATE(4543)] = 153167,
  [SMALL_STATE(4544)] = 153177,
  [SMALL_STATE(4545)] = 153191,
  [SMALL_STATE(4546)] = 153205,
  [SMALL_STATE(4547)] = 153219,
  [SMALL_STATE(4548)] = 153233,
  [SMALL_STATE(4549)] = 153247,
  [SMALL_STATE(4550)] = 153257,
  [SMALL_STATE(4551)] = 153271,
  [SMALL_STATE(4552)] = 153285,
  [SMALL_STATE(4553)] = 153295,
  [SMALL_STATE(4554)] = 153307,
  [SMALL_STATE(4555)] = 153321,
  [SMALL_STATE(4556)] = 153331,
  [SMALL_STATE(4557)] = 153345,
  [SMALL_STATE(4558)] = 153359,
  [SMALL_STATE(4559)] = 153373,
  [SMALL_STATE(4560)] = 153383,
  [SMALL_STATE(4561)] = 153393,
  [SMALL_STATE(4562)] = 153403,
  [SMALL_STATE(4563)] = 153417,
  [SMALL_STATE(4564)] = 153431,
  [SMALL_STATE(4565)] = 153445,
  [SMALL_STATE(4566)] = 153455,
  [SMALL_STATE(4567)] = 153469,
  [SMALL_STATE(4568)] = 153483,
  [SMALL_STATE(4569)] = 153493,
  [SMALL_STATE(4570)] = 153503,
  [SMALL_STATE(4571)] = 153513,
  [SMALL_STATE(4572)] = 153527,
  [SMALL_STATE(4573)] = 153537,
  [SMALL_STATE(4574)] = 153547,
  [SMALL_STATE(4575)] = 153557,
  [SMALL_STATE(4576)] = 153567,
  [SMALL_STATE(4577)] = 153577,
  [SMALL_STATE(4578)] = 153591,
  [SMALL_STATE(4579)] = 153605,
  [SMALL_STATE(4580)] = 153619,
  [SMALL_STATE(4581)] = 153633,
  [SMALL_STATE(4582)] = 153643,
  [SMALL_STATE(4583)] = 153653,
  [SMALL_STATE(4584)] = 153663,
  [SMALL_STATE(4585)] = 153677,
  [SMALL_STATE(4586)] = 153687,
  [SMALL_STATE(4587)] = 153697,
  [SMALL_STATE(4588)] = 153711,
  [SMALL_STATE(4589)] = 153723,
  [SMALL_STATE(4590)] = 153733,
  [SMALL_STATE(4591)] = 153743,
  [SMALL_STATE(4592)] = 153753,
  [SMALL_STATE(4593)] = 153767,
  [SMALL_STATE(4594)] = 153781,
  [SMALL_STATE(4595)] = 153795,
  [SMALL_STATE(4596)] = 153809,
  [SMALL_STATE(4597)] = 153823,
  [SMALL_STATE(4598)] = 153833,
  [SMALL_STATE(4599)] = 153843,
  [SMALL_STATE(4600)] = 153853,
  [SMALL_STATE(4601)] = 153867,
  [SMALL_STATE(4602)] = 153881,
  [SMALL_STATE(4603)] = 153895,
  [SMALL_STATE(4604)] = 153909,
  [SMALL_STATE(4605)] = 153919,
  [SMALL_STATE(4606)] = 153933,
  [SMALL_STATE(4607)] = 153947,
  [SMALL_STATE(4608)] = 153961,
  [SMALL_STATE(4609)] = 153971,
  [SMALL_STATE(4610)] = 153985,
  [SMALL_STATE(4611)] = 153997,
  [SMALL_STATE(4612)] = 154009,
  [SMALL_STATE(4613)] = 154021,
  [SMALL_STATE(4614)] = 154037,
  [SMALL_STATE(4615)] = 154047,
  [SMALL_STATE(4616)] = 154061,
  [SMALL_STATE(4617)] = 154071,
  [SMALL_STATE(4618)] = 154085,
  [SMALL_STATE(4619)] = 154095,
  [SMALL_STATE(4620)] = 154105,
  [SMALL_STATE(4621)] = 154115,
  [SMALL_STATE(4622)] = 154125,
  [SMALL_STATE(4623)] = 154139,
  [SMALL_STATE(4624)] = 154149,
  [SMALL_STATE(4625)] = 154159,
  [SMALL_STATE(4626)] = 154169,
  [SMALL_STATE(4627)] = 154179,
  [SMALL_STATE(4628)] = 154193,
  [SMALL_STATE(4629)] = 154203,
  [SMALL_STATE(4630)] = 154217,
  [SMALL_STATE(4631)] = 154227,
  [SMALL_STATE(4632)] = 154237,
  [SMALL_STATE(4633)] = 154253,
  [SMALL_STATE(4634)] = 154263,
  [SMALL_STATE(4635)] = 154273,
  [SMALL_STATE(4636)] = 154287,
  [SMALL_STATE(4637)] = 154297,
  [SMALL_STATE(4638)] = 154311,
  [SMALL_STATE(4639)] = 154325,
  [SMALL_STATE(4640)] = 154337,
  [SMALL_STATE(4641)] = 154351,
  [SMALL_STATE(4642)] = 154361,
  [SMALL_STATE(4643)] = 154371,
  [SMALL_STATE(4644)] = 154381,
  [SMALL_STATE(4645)] = 154395,
  [SMALL_STATE(4646)] = 154409,
  [SMALL_STATE(4647)] = 154419,
  [SMALL_STATE(4648)] = 154429,
  [SMALL_STATE(4649)] = 154443,
  [SMALL_STATE(4650)] = 154457,
  [SMALL_STATE(4651)] = 154467,
  [SMALL_STATE(4652)] = 154481,
  [SMALL_STATE(4653)] = 154491,
  [SMALL_STATE(4654)] = 154505,
  [SMALL_STATE(4655)] = 154517,
  [SMALL_STATE(4656)] = 154527,
  [SMALL_STATE(4657)] = 154537,
  [SMALL_STATE(4658)] = 154551,
  [SMALL_STATE(4659)] = 154561,
  [SMALL_STATE(4660)] = 154571,
  [SMALL_STATE(4661)] = 154581,
  [SMALL_STATE(4662)] = 154595,
  [SMALL_STATE(4663)] = 154605,
  [SMALL_STATE(4664)] = 154615,
  [SMALL_STATE(4665)] = 154625,
  [SMALL_STATE(4666)] = 154635,
  [SMALL_STATE(4667)] = 154649,
  [SMALL_STATE(4668)] = 154663,
  [SMALL_STATE(4669)] = 154677,
  [SMALL_STATE(4670)] = 154687,
  [SMALL_STATE(4671)] = 154701,
  [SMALL_STATE(4672)] = 154711,
  [SMALL_STATE(4673)] = 154721,
  [SMALL_STATE(4674)] = 154735,
  [SMALL_STATE(4675)] = 154745,
  [SMALL_STATE(4676)] = 154757,
  [SMALL_STATE(4677)] = 154771,
  [SMALL_STATE(4678)] = 154783,
  [SMALL_STATE(4679)] = 154793,
  [SMALL_STATE(4680)] = 154807,
  [SMALL_STATE(4681)] = 154821,
  [SMALL_STATE(4682)] = 154831,
  [SMALL_STATE(4683)] = 154841,
  [SMALL_STATE(4684)] = 154855,
  [SMALL_STATE(4685)] = 154865,
  [SMALL_STATE(4686)] = 154879,
  [SMALL_STATE(4687)] = 154889,
  [SMALL_STATE(4688)] = 154903,
  [SMALL_STATE(4689)] = 154913,
  [SMALL_STATE(4690)] = 154923,
  [SMALL_STATE(4691)] = 154933,
  [SMALL_STATE(4692)] = 154943,
  [SMALL_STATE(4693)] = 154957,
  [SMALL_STATE(4694)] = 154967,
  [SMALL_STATE(4695)] = 154977,
  [SMALL_STATE(4696)] = 154991,
  [SMALL_STATE(4697)] = 155005,
  [SMALL_STATE(4698)] = 155015,
  [SMALL_STATE(4699)] = 155025,
  [SMALL_STATE(4700)] = 155035,
  [SMALL_STATE(4701)] = 155049,
  [SMALL_STATE(4702)] = 155059,
  [SMALL_STATE(4703)] = 155069,
  [SMALL_STATE(4704)] = 155083,
  [SMALL_STATE(4705)] = 155097,
  [SMALL_STATE(4706)] = 155111,
  [SMALL_STATE(4707)] = 155121,
  [SMALL_STATE(4708)] = 155135,
  [SMALL_STATE(4709)] = 155145,
  [SMALL_STATE(4710)] = 155155,
  [SMALL_STATE(4711)] = 155165,
  [SMALL_STATE(4712)] = 155175,
  [SMALL_STATE(4713)] = 155185,
  [SMALL_STATE(4714)] = 155195,
  [SMALL_STATE(4715)] = 155205,
  [SMALL_STATE(4716)] = 155215,
  [SMALL_STATE(4717)] = 155225,
  [SMALL_STATE(4718)] = 155235,
  [SMALL_STATE(4719)] = 155245,
  [SMALL_STATE(4720)] = 155255,
  [SMALL_STATE(4721)] = 155269,
  [SMALL_STATE(4722)] = 155279,
  [SMALL_STATE(4723)] = 155289,
  [SMALL_STATE(4724)] = 155299,
  [SMALL_STATE(4725)] = 155313,
  [SMALL_STATE(4726)] = 155323,
  [SMALL_STATE(4727)] = 155333,
  [SMALL_STATE(4728)] = 155343,
  [SMALL_STATE(4729)] = 155357,
  [SMALL_STATE(4730)] = 155367,
  [SMALL_STATE(4731)] = 155381,
  [SMALL_STATE(4732)] = 155391,
  [SMALL_STATE(4733)] = 155401,
  [SMALL_STATE(4734)] = 155411,
  [SMALL_STATE(4735)] = 155421,
  [SMALL_STATE(4736)] = 155431,
  [SMALL_STATE(4737)] = 155441,
  [SMALL_STATE(4738)] = 155451,
  [SMALL_STATE(4739)] = 155461,
  [SMALL_STATE(4740)] = 155471,
  [SMALL_STATE(4741)] = 155481,
  [SMALL_STATE(4742)] = 155491,
  [SMALL_STATE(4743)] = 155501,
  [SMALL_STATE(4744)] = 155511,
  [SMALL_STATE(4745)] = 155521,
  [SMALL_STATE(4746)] = 155531,
  [SMALL_STATE(4747)] = 155541,
  [SMALL_STATE(4748)] = 155551,
  [SMALL_STATE(4749)] = 155561,
  [SMALL_STATE(4750)] = 155571,
  [SMALL_STATE(4751)] = 155585,
  [SMALL_STATE(4752)] = 155595,
  [SMALL_STATE(4753)] = 155605,
  [SMALL_STATE(4754)] = 155615,
  [SMALL_STATE(4755)] = 155625,
  [SMALL_STATE(4756)] = 155635,
  [SMALL_STATE(4757)] = 155645,
  [SMALL_STATE(4758)] = 155655,
  [SMALL_STATE(4759)] = 155669,
  [SMALL_STATE(4760)] = 155679,
  [SMALL_STATE(4761)] = 155689,
  [SMALL_STATE(4762)] = 155699,
  [SMALL_STATE(4763)] = 155709,
  [SMALL_STATE(4764)] = 155719,
  [SMALL_STATE(4765)] = 155729,
  [SMALL_STATE(4766)] = 155739,
  [SMALL_STATE(4767)] = 155749,
  [SMALL_STATE(4768)] = 155763,
  [SMALL_STATE(4769)] = 155773,
  [SMALL_STATE(4770)] = 155785,
  [SMALL_STATE(4771)] = 155795,
  [SMALL_STATE(4772)] = 155807,
  [SMALL_STATE(4773)] = 155821,
  [SMALL_STATE(4774)] = 155831,
  [SMALL_STATE(4775)] = 155841,
  [SMALL_STATE(4776)] = 155853,
  [SMALL_STATE(4777)] = 155863,
  [SMALL_STATE(4778)] = 155873,
  [SMALL_STATE(4779)] = 155887,
  [SMALL_STATE(4780)] = 155901,
  [SMALL_STATE(4781)] = 155911,
  [SMALL_STATE(4782)] = 155925,
  [SMALL_STATE(4783)] = 155935,
  [SMALL_STATE(4784)] = 155949,
  [SMALL_STATE(4785)] = 155963,
  [SMALL_STATE(4786)] = 155973,
  [SMALL_STATE(4787)] = 155983,
  [SMALL_STATE(4788)] = 155997,
  [SMALL_STATE(4789)] = 156011,
  [SMALL_STATE(4790)] = 156025,
  [SMALL_STATE(4791)] = 156035,
  [SMALL_STATE(4792)] = 156045,
  [SMALL_STATE(4793)] = 156055,
  [SMALL_STATE(4794)] = 156065,
  [SMALL_STATE(4795)] = 156075,
  [SMALL_STATE(4796)] = 156085,
  [SMALL_STATE(4797)] = 156095,
  [SMALL_STATE(4798)] = 156105,
  [SMALL_STATE(4799)] = 156115,
  [SMALL_STATE(4800)] = 156125,
  [SMALL_STATE(4801)] = 156135,
  [SMALL_STATE(4802)] = 156145,
  [SMALL_STATE(4803)] = 156155,
  [SMALL_STATE(4804)] = 156169,
  [SMALL_STATE(4805)] = 156179,
  [SMALL_STATE(4806)] = 156189,
  [SMALL_STATE(4807)] = 156199,
  [SMALL_STATE(4808)] = 156213,
  [SMALL_STATE(4809)] = 156225,
  [SMALL_STATE(4810)] = 156235,
  [SMALL_STATE(4811)] = 156245,
  [SMALL_STATE(4812)] = 156255,
  [SMALL_STATE(4813)] = 156265,
  [SMALL_STATE(4814)] = 156275,
  [SMALL_STATE(4815)] = 156285,
  [SMALL_STATE(4816)] = 156295,
  [SMALL_STATE(4817)] = 156305,
  [SMALL_STATE(4818)] = 156321,
  [SMALL_STATE(4819)] = 156331,
  [SMALL_STATE(4820)] = 156341,
  [SMALL_STATE(4821)] = 156355,
  [SMALL_STATE(4822)] = 156365,
  [SMALL_STATE(4823)] = 156379,
  [SMALL_STATE(4824)] = 156389,
  [SMALL_STATE(4825)] = 156403,
  [SMALL_STATE(4826)] = 156417,
  [SMALL_STATE(4827)] = 156427,
  [SMALL_STATE(4828)] = 156437,
  [SMALL_STATE(4829)] = 156447,
  [SMALL_STATE(4830)] = 156457,
  [SMALL_STATE(4831)] = 156467,
  [SMALL_STATE(4832)] = 156477,
  [SMALL_STATE(4833)] = 156487,
  [SMALL_STATE(4834)] = 156497,
  [SMALL_STATE(4835)] = 156509,
  [SMALL_STATE(4836)] = 156523,
  [SMALL_STATE(4837)] = 156533,
  [SMALL_STATE(4838)] = 156543,
  [SMALL_STATE(4839)] = 156553,
  [SMALL_STATE(4840)] = 156563,
  [SMALL_STATE(4841)] = 156573,
  [SMALL_STATE(4842)] = 156583,
  [SMALL_STATE(4843)] = 156593,
  [SMALL_STATE(4844)] = 156603,
  [SMALL_STATE(4845)] = 156613,
  [SMALL_STATE(4846)] = 156627,
  [SMALL_STATE(4847)] = 156637,
  [SMALL_STATE(4848)] = 156647,
  [SMALL_STATE(4849)] = 156657,
  [SMALL_STATE(4850)] = 156667,
  [SMALL_STATE(4851)] = 156677,
  [SMALL_STATE(4852)] = 156687,
  [SMALL_STATE(4853)] = 156697,
  [SMALL_STATE(4854)] = 156707,
  [SMALL_STATE(4855)] = 156717,
  [SMALL_STATE(4856)] = 156727,
  [SMALL_STATE(4857)] = 156737,
  [SMALL_STATE(4858)] = 156747,
  [SMALL_STATE(4859)] = 156757,
  [SMALL_STATE(4860)] = 156767,
  [SMALL_STATE(4861)] = 156777,
  [SMALL_STATE(4862)] = 156787,
  [SMALL_STATE(4863)] = 156797,
  [SMALL_STATE(4864)] = 156807,
  [SMALL_STATE(4865)] = 156817,
  [SMALL_STATE(4866)] = 156827,
  [SMALL_STATE(4867)] = 156837,
  [SMALL_STATE(4868)] = 156847,
  [SMALL_STATE(4869)] = 156857,
  [SMALL_STATE(4870)] = 156867,
  [SMALL_STATE(4871)] = 156877,
  [SMALL_STATE(4872)] = 156887,
  [SMALL_STATE(4873)] = 156897,
  [SMALL_STATE(4874)] = 156907,
  [SMALL_STATE(4875)] = 156917,
  [SMALL_STATE(4876)] = 156927,
  [SMALL_STATE(4877)] = 156937,
  [SMALL_STATE(4878)] = 156947,
  [SMALL_STATE(4879)] = 156961,
  [SMALL_STATE(4880)] = 156977,
  [SMALL_STATE(4881)] = 156987,
  [SMALL_STATE(4882)] = 156997,
  [SMALL_STATE(4883)] = 157007,
  [SMALL_STATE(4884)] = 157017,
  [SMALL_STATE(4885)] = 157027,
  [SMALL_STATE(4886)] = 157039,
  [SMALL_STATE(4887)] = 157049,
  [SMALL_STATE(4888)] = 157059,
  [SMALL_STATE(4889)] = 157069,
  [SMALL_STATE(4890)] = 157079,
  [SMALL_STATE(4891)] = 157089,
  [SMALL_STATE(4892)] = 157099,
  [SMALL_STATE(4893)] = 157109,
  [SMALL_STATE(4894)] = 157119,
  [SMALL_STATE(4895)] = 157133,
  [SMALL_STATE(4896)] = 157143,
  [SMALL_STATE(4897)] = 157153,
  [SMALL_STATE(4898)] = 157167,
  [SMALL_STATE(4899)] = 157177,
  [SMALL_STATE(4900)] = 157187,
  [SMALL_STATE(4901)] = 157197,
  [SMALL_STATE(4902)] = 157211,
  [SMALL_STATE(4903)] = 157225,
  [SMALL_STATE(4904)] = 157235,
  [SMALL_STATE(4905)] = 157249,
  [SMALL_STATE(4906)] = 157263,
  [SMALL_STATE(4907)] = 157277,
  [SMALL_STATE(4908)] = 157287,
  [SMALL_STATE(4909)] = 157301,
  [SMALL_STATE(4910)] = 157311,
  [SMALL_STATE(4911)] = 157325,
  [SMALL_STATE(4912)] = 157335,
  [SMALL_STATE(4913)] = 157345,
  [SMALL_STATE(4914)] = 157355,
  [SMALL_STATE(4915)] = 157365,
  [SMALL_STATE(4916)] = 157379,
  [SMALL_STATE(4917)] = 157391,
  [SMALL_STATE(4918)] = 157401,
  [SMALL_STATE(4919)] = 157411,
  [SMALL_STATE(4920)] = 157421,
  [SMALL_STATE(4921)] = 157431,
  [SMALL_STATE(4922)] = 157441,
  [SMALL_STATE(4923)] = 157455,
  [SMALL_STATE(4924)] = 157465,
  [SMALL_STATE(4925)] = 157475,
  [SMALL_STATE(4926)] = 157485,
  [SMALL_STATE(4927)] = 157499,
  [SMALL_STATE(4928)] = 157509,
  [SMALL_STATE(4929)] = 157519,
  [SMALL_STATE(4930)] = 157529,
  [SMALL_STATE(4931)] = 157539,
  [SMALL_STATE(4932)] = 157549,
  [SMALL_STATE(4933)] = 157559,
  [SMALL_STATE(4934)] = 157569,
  [SMALL_STATE(4935)] = 157579,
  [SMALL_STATE(4936)] = 157595,
  [SMALL_STATE(4937)] = 157605,
  [SMALL_STATE(4938)] = 157615,
  [SMALL_STATE(4939)] = 157625,
  [SMALL_STATE(4940)] = 157639,
  [SMALL_STATE(4941)] = 157653,
  [SMALL_STATE(4942)] = 157667,
  [SMALL_STATE(4943)] = 157677,
  [SMALL_STATE(4944)] = 157687,
  [SMALL_STATE(4945)] = 157699,
  [SMALL_STATE(4946)] = 157711,
  [SMALL_STATE(4947)] = 157721,
  [SMALL_STATE(4948)] = 157735,
  [SMALL_STATE(4949)] = 157749,
  [SMALL_STATE(4950)] = 157759,
  [SMALL_STATE(4951)] = 157769,
  [SMALL_STATE(4952)] = 157779,
  [SMALL_STATE(4953)] = 157793,
  [SMALL_STATE(4954)] = 157803,
  [SMALL_STATE(4955)] = 157813,
  [SMALL_STATE(4956)] = 157823,
  [SMALL_STATE(4957)] = 157837,
  [SMALL_STATE(4958)] = 157847,
  [SMALL_STATE(4959)] = 157857,
  [SMALL_STATE(4960)] = 157867,
  [SMALL_STATE(4961)] = 157877,
  [SMALL_STATE(4962)] = 157891,
  [SMALL_STATE(4963)] = 157901,
  [SMALL_STATE(4964)] = 157911,
  [SMALL_STATE(4965)] = 157925,
  [SMALL_STATE(4966)] = 157939,
  [SMALL_STATE(4967)] = 157949,
  [SMALL_STATE(4968)] = 157959,
  [SMALL_STATE(4969)] = 157969,
  [SMALL_STATE(4970)] = 157983,
  [SMALL_STATE(4971)] = 157997,
  [SMALL_STATE(4972)] = 158011,
  [SMALL_STATE(4973)] = 158021,
  [SMALL_STATE(4974)] = 158031,
  [SMALL_STATE(4975)] = 158045,
  [SMALL_STATE(4976)] = 158055,
  [SMALL_STATE(4977)] = 158069,
  [SMALL_STATE(4978)] = 158079,
  [SMALL_STATE(4979)] = 158089,
  [SMALL_STATE(4980)] = 158099,
  [SMALL_STATE(4981)] = 158109,
  [SMALL_STATE(4982)] = 158119,
  [SMALL_STATE(4983)] = 158129,
  [SMALL_STATE(4984)] = 158143,
  [SMALL_STATE(4985)] = 158153,
  [SMALL_STATE(4986)] = 158163,
  [SMALL_STATE(4987)] = 158173,
  [SMALL_STATE(4988)] = 158187,
  [SMALL_STATE(4989)] = 158197,
  [SMALL_STATE(4990)] = 158207,
  [SMALL_STATE(4991)] = 158219,
  [SMALL_STATE(4992)] = 158233,
  [SMALL_STATE(4993)] = 158243,
  [SMALL_STATE(4994)] = 158253,
  [SMALL_STATE(4995)] = 158267,
  [SMALL_STATE(4996)] = 158281,
  [SMALL_STATE(4997)] = 158291,
  [SMALL_STATE(4998)] = 158305,
  [SMALL_STATE(4999)] = 158319,
  [SMALL_STATE(5000)] = 158329,
  [SMALL_STATE(5001)] = 158343,
  [SMALL_STATE(5002)] = 158353,
  [SMALL_STATE(5003)] = 158363,
  [SMALL_STATE(5004)] = 158373,
  [SMALL_STATE(5005)] = 158383,
  [SMALL_STATE(5006)] = 158393,
  [SMALL_STATE(5007)] = 158403,
  [SMALL_STATE(5008)] = 158417,
  [SMALL_STATE(5009)] = 158431,
  [SMALL_STATE(5010)] = 158441,
  [SMALL_STATE(5011)] = 158455,
  [SMALL_STATE(5012)] = 158469,
  [SMALL_STATE(5013)] = 158479,
  [SMALL_STATE(5014)] = 158489,
  [SMALL_STATE(5015)] = 158499,
  [SMALL_STATE(5016)] = 158509,
  [SMALL_STATE(5017)] = 158521,
  [SMALL_STATE(5018)] = 158531,
  [SMALL_STATE(5019)] = 158541,
  [SMALL_STATE(5020)] = 158551,
  [SMALL_STATE(5021)] = 158565,
  [SMALL_STATE(5022)] = 158575,
  [SMALL_STATE(5023)] = 158589,
  [SMALL_STATE(5024)] = 158599,
  [SMALL_STATE(5025)] = 158609,
  [SMALL_STATE(5026)] = 158619,
  [SMALL_STATE(5027)] = 158629,
  [SMALL_STATE(5028)] = 158639,
  [SMALL_STATE(5029)] = 158649,
  [SMALL_STATE(5030)] = 158663,
  [SMALL_STATE(5031)] = 158673,
  [SMALL_STATE(5032)] = 158683,
  [SMALL_STATE(5033)] = 158693,
  [SMALL_STATE(5034)] = 158703,
  [SMALL_STATE(5035)] = 158717,
  [SMALL_STATE(5036)] = 158727,
  [SMALL_STATE(5037)] = 158737,
  [SMALL_STATE(5038)] = 158747,
  [SMALL_STATE(5039)] = 158757,
  [SMALL_STATE(5040)] = 158767,
  [SMALL_STATE(5041)] = 158777,
  [SMALL_STATE(5042)] = 158787,
  [SMALL_STATE(5043)] = 158797,
  [SMALL_STATE(5044)] = 158807,
  [SMALL_STATE(5045)] = 158817,
  [SMALL_STATE(5046)] = 158827,
  [SMALL_STATE(5047)] = 158837,
  [SMALL_STATE(5048)] = 158847,
  [SMALL_STATE(5049)] = 158857,
  [SMALL_STATE(5050)] = 158867,
  [SMALL_STATE(5051)] = 158877,
  [SMALL_STATE(5052)] = 158887,
  [SMALL_STATE(5053)] = 158897,
  [SMALL_STATE(5054)] = 158907,
  [SMALL_STATE(5055)] = 158917,
  [SMALL_STATE(5056)] = 158927,
  [SMALL_STATE(5057)] = 158941,
  [SMALL_STATE(5058)] = 158951,
  [SMALL_STATE(5059)] = 158961,
  [SMALL_STATE(5060)] = 158971,
  [SMALL_STATE(5061)] = 158981,
  [SMALL_STATE(5062)] = 158991,
  [SMALL_STATE(5063)] = 159001,
  [SMALL_STATE(5064)] = 159011,
  [SMALL_STATE(5065)] = 159021,
  [SMALL_STATE(5066)] = 159031,
  [SMALL_STATE(5067)] = 159041,
  [SMALL_STATE(5068)] = 159051,
  [SMALL_STATE(5069)] = 159061,
  [SMALL_STATE(5070)] = 159071,
  [SMALL_STATE(5071)] = 159081,
  [SMALL_STATE(5072)] = 159091,
  [SMALL_STATE(5073)] = 159101,
  [SMALL_STATE(5074)] = 159111,
  [SMALL_STATE(5075)] = 159121,
  [SMALL_STATE(5076)] = 159131,
  [SMALL_STATE(5077)] = 159141,
  [SMALL_STATE(5078)] = 159151,
  [SMALL_STATE(5079)] = 159161,
  [SMALL_STATE(5080)] = 159171,
  [SMALL_STATE(5081)] = 159181,
  [SMALL_STATE(5082)] = 159191,
  [SMALL_STATE(5083)] = 159201,
  [SMALL_STATE(5084)] = 159211,
  [SMALL_STATE(5085)] = 159221,
  [SMALL_STATE(5086)] = 159231,
  [SMALL_STATE(5087)] = 159241,
  [SMALL_STATE(5088)] = 159251,
  [SMALL_STATE(5089)] = 159261,
  [SMALL_STATE(5090)] = 159271,
  [SMALL_STATE(5091)] = 159281,
  [SMALL_STATE(5092)] = 159295,
  [SMALL_STATE(5093)] = 159305,
  [SMALL_STATE(5094)] = 159315,
  [SMALL_STATE(5095)] = 159325,
  [SMALL_STATE(5096)] = 159335,
  [SMALL_STATE(5097)] = 159345,
  [SMALL_STATE(5098)] = 159355,
  [SMALL_STATE(5099)] = 159365,
  [SMALL_STATE(5100)] = 159375,
  [SMALL_STATE(5101)] = 159385,
  [SMALL_STATE(5102)] = 159395,
  [SMALL_STATE(5103)] = 159405,
  [SMALL_STATE(5104)] = 159415,
  [SMALL_STATE(5105)] = 159425,
  [SMALL_STATE(5106)] = 159435,
  [SMALL_STATE(5107)] = 159447,
  [SMALL_STATE(5108)] = 159457,
  [SMALL_STATE(5109)] = 159467,
  [SMALL_STATE(5110)] = 159477,
  [SMALL_STATE(5111)] = 159491,
  [SMALL_STATE(5112)] = 159501,
  [SMALL_STATE(5113)] = 159511,
  [SMALL_STATE(5114)] = 159521,
  [SMALL_STATE(5115)] = 159531,
  [SMALL_STATE(5116)] = 159541,
  [SMALL_STATE(5117)] = 159553,
  [SMALL_STATE(5118)] = 159563,
  [SMALL_STATE(5119)] = 159573,
  [SMALL_STATE(5120)] = 159587,
  [SMALL_STATE(5121)] = 159597,
  [SMALL_STATE(5122)] = 159607,
  [SMALL_STATE(5123)] = 159617,
  [SMALL_STATE(5124)] = 159627,
  [SMALL_STATE(5125)] = 159637,
  [SMALL_STATE(5126)] = 159647,
  [SMALL_STATE(5127)] = 159657,
  [SMALL_STATE(5128)] = 159667,
  [SMALL_STATE(5129)] = 159677,
  [SMALL_STATE(5130)] = 159687,
  [SMALL_STATE(5131)] = 159697,
  [SMALL_STATE(5132)] = 159707,
  [SMALL_STATE(5133)] = 159721,
  [SMALL_STATE(5134)] = 159731,
  [SMALL_STATE(5135)] = 159745,
  [SMALL_STATE(5136)] = 159755,
  [SMALL_STATE(5137)] = 159769,
  [SMALL_STATE(5138)] = 159779,
  [SMALL_STATE(5139)] = 159790,
  [SMALL_STATE(5140)] = 159799,
  [SMALL_STATE(5141)] = 159808,
  [SMALL_STATE(5142)] = 159819,
  [SMALL_STATE(5143)] = 159828,
  [SMALL_STATE(5144)] = 159839,
  [SMALL_STATE(5145)] = 159848,
  [SMALL_STATE(5146)] = 159859,
  [SMALL_STATE(5147)] = 159870,
  [SMALL_STATE(5148)] = 159881,
  [SMALL_STATE(5149)] = 159892,
  [SMALL_STATE(5150)] = 159903,
  [SMALL_STATE(5151)] = 159914,
  [SMALL_STATE(5152)] = 159925,
  [SMALL_STATE(5153)] = 159936,
  [SMALL_STATE(5154)] = 159945,
  [SMALL_STATE(5155)] = 159954,
  [SMALL_STATE(5156)] = 159965,
  [SMALL_STATE(5157)] = 159976,
  [SMALL_STATE(5158)] = 159987,
  [SMALL_STATE(5159)] = 159998,
  [SMALL_STATE(5160)] = 160009,
  [SMALL_STATE(5161)] = 160020,
  [SMALL_STATE(5162)] = 160031,
  [SMALL_STATE(5163)] = 160042,
  [SMALL_STATE(5164)] = 160051,
  [SMALL_STATE(5165)] = 160060,
  [SMALL_STATE(5166)] = 160071,
  [SMALL_STATE(5167)] = 160080,
  [SMALL_STATE(5168)] = 160091,
  [SMALL_STATE(5169)] = 160102,
  [SMALL_STATE(5170)] = 160113,
  [SMALL_STATE(5171)] = 160124,
  [SMALL_STATE(5172)] = 160135,
  [SMALL_STATE(5173)] = 160146,
  [SMALL_STATE(5174)] = 160155,
  [SMALL_STATE(5175)] = 160166,
  [SMALL_STATE(5176)] = 160177,
  [SMALL_STATE(5177)] = 160188,
  [SMALL_STATE(5178)] = 160199,
  [SMALL_STATE(5179)] = 160210,
  [SMALL_STATE(5180)] = 160219,
  [SMALL_STATE(5181)] = 160228,
  [SMALL_STATE(5182)] = 160239,
  [SMALL_STATE(5183)] = 160248,
  [SMALL_STATE(5184)] = 160257,
  [SMALL_STATE(5185)] = 160268,
  [SMALL_STATE(5186)] = 160279,
  [SMALL_STATE(5187)] = 160288,
  [SMALL_STATE(5188)] = 160299,
  [SMALL_STATE(5189)] = 160310,
  [SMALL_STATE(5190)] = 160321,
  [SMALL_STATE(5191)] = 160332,
  [SMALL_STATE(5192)] = 160343,
  [SMALL_STATE(5193)] = 160352,
  [SMALL_STATE(5194)] = 160363,
  [SMALL_STATE(5195)] = 160374,
  [SMALL_STATE(5196)] = 160383,
  [SMALL_STATE(5197)] = 160394,
  [SMALL_STATE(5198)] = 160405,
  [SMALL_STATE(5199)] = 160416,
  [SMALL_STATE(5200)] = 160427,
  [SMALL_STATE(5201)] = 160436,
  [SMALL_STATE(5202)] = 160445,
  [SMALL_STATE(5203)] = 160454,
  [SMALL_STATE(5204)] = 160463,
  [SMALL_STATE(5205)] = 160474,
  [SMALL_STATE(5206)] = 160485,
  [SMALL_STATE(5207)] = 160494,
  [SMALL_STATE(5208)] = 160505,
  [SMALL_STATE(5209)] = 160514,
  [SMALL_STATE(5210)] = 160525,
  [SMALL_STATE(5211)] = 160534,
  [SMALL_STATE(5212)] = 160545,
  [SMALL_STATE(5213)] = 160556,
  [SMALL_STATE(5214)] = 160567,
  [SMALL_STATE(5215)] = 160578,
  [SMALL_STATE(5216)] = 160589,
  [SMALL_STATE(5217)] = 160598,
  [SMALL_STATE(5218)] = 160609,
  [SMALL_STATE(5219)] = 160620,
  [SMALL_STATE(5220)] = 160631,
  [SMALL_STATE(5221)] = 160642,
  [SMALL_STATE(5222)] = 160653,
  [SMALL_STATE(5223)] = 160664,
  [SMALL_STATE(5224)] = 160675,
  [SMALL_STATE(5225)] = 160684,
  [SMALL_STATE(5226)] = 160695,
  [SMALL_STATE(5227)] = 160706,
  [SMALL_STATE(5228)] = 160715,
  [SMALL_STATE(5229)] = 160726,
  [SMALL_STATE(5230)] = 160737,
  [SMALL_STATE(5231)] = 160746,
  [SMALL_STATE(5232)] = 160755,
  [SMALL_STATE(5233)] = 160766,
  [SMALL_STATE(5234)] = 160777,
  [SMALL_STATE(5235)] = 160788,
  [SMALL_STATE(5236)] = 160799,
  [SMALL_STATE(5237)] = 160808,
  [SMALL_STATE(5238)] = 160817,
  [SMALL_STATE(5239)] = 160828,
  [SMALL_STATE(5240)] = 160839,
  [SMALL_STATE(5241)] = 160850,
  [SMALL_STATE(5242)] = 160859,
  [SMALL_STATE(5243)] = 160870,
  [SMALL_STATE(5244)] = 160879,
  [SMALL_STATE(5245)] = 160890,
  [SMALL_STATE(5246)] = 160901,
  [SMALL_STATE(5247)] = 160912,
  [SMALL_STATE(5248)] = 160921,
  [SMALL_STATE(5249)] = 160932,
  [SMALL_STATE(5250)] = 160943,
  [SMALL_STATE(5251)] = 160952,
  [SMALL_STATE(5252)] = 160963,
  [SMALL_STATE(5253)] = 160974,
  [SMALL_STATE(5254)] = 160985,
  [SMALL_STATE(5255)] = 160996,
  [SMALL_STATE(5256)] = 161007,
  [SMALL_STATE(5257)] = 161018,
  [SMALL_STATE(5258)] = 161029,
  [SMALL_STATE(5259)] = 161040,
  [SMALL_STATE(5260)] = 161051,
  [SMALL_STATE(5261)] = 161062,
  [SMALL_STATE(5262)] = 161073,
  [SMALL_STATE(5263)] = 161084,
  [SMALL_STATE(5264)] = 161093,
  [SMALL_STATE(5265)] = 161104,
  [SMALL_STATE(5266)] = 161115,
  [SMALL_STATE(5267)] = 161126,
  [SMALL_STATE(5268)] = 161137,
  [SMALL_STATE(5269)] = 161148,
  [SMALL_STATE(5270)] = 161159,
  [SMALL_STATE(5271)] = 161170,
  [SMALL_STATE(5272)] = 161181,
  [SMALL_STATE(5273)] = 161192,
  [SMALL_STATE(5274)] = 161203,
  [SMALL_STATE(5275)] = 161214,
  [SMALL_STATE(5276)] = 161223,
  [SMALL_STATE(5277)] = 161232,
  [SMALL_STATE(5278)] = 161243,
  [SMALL_STATE(5279)] = 161254,
  [SMALL_STATE(5280)] = 161263,
  [SMALL_STATE(5281)] = 161272,
  [SMALL_STATE(5282)] = 161283,
  [SMALL_STATE(5283)] = 161294,
  [SMALL_STATE(5284)] = 161303,
  [SMALL_STATE(5285)] = 161314,
  [SMALL_STATE(5286)] = 161325,
  [SMALL_STATE(5287)] = 161336,
  [SMALL_STATE(5288)] = 161347,
  [SMALL_STATE(5289)] = 161358,
  [SMALL_STATE(5290)] = 161369,
  [SMALL_STATE(5291)] = 161380,
  [SMALL_STATE(5292)] = 161391,
  [SMALL_STATE(5293)] = 161400,
  [SMALL_STATE(5294)] = 161409,
  [SMALL_STATE(5295)] = 161420,
  [SMALL_STATE(5296)] = 161431,
  [SMALL_STATE(5297)] = 161442,
  [SMALL_STATE(5298)] = 161453,
  [SMALL_STATE(5299)] = 161464,
  [SMALL_STATE(5300)] = 161475,
  [SMALL_STATE(5301)] = 161486,
  [SMALL_STATE(5302)] = 161497,
  [SMALL_STATE(5303)] = 161508,
  [SMALL_STATE(5304)] = 161517,
  [SMALL_STATE(5305)] = 161528,
  [SMALL_STATE(5306)] = 161539,
  [SMALL_STATE(5307)] = 161550,
  [SMALL_STATE(5308)] = 161561,
  [SMALL_STATE(5309)] = 161572,
  [SMALL_STATE(5310)] = 161581,
  [SMALL_STATE(5311)] = 161592,
  [SMALL_STATE(5312)] = 161603,
  [SMALL_STATE(5313)] = 161612,
  [SMALL_STATE(5314)] = 161623,
  [SMALL_STATE(5315)] = 161634,
  [SMALL_STATE(5316)] = 161645,
  [SMALL_STATE(5317)] = 161656,
  [SMALL_STATE(5318)] = 161667,
  [SMALL_STATE(5319)] = 161678,
  [SMALL_STATE(5320)] = 161689,
  [SMALL_STATE(5321)] = 161700,
  [SMALL_STATE(5322)] = 161711,
  [SMALL_STATE(5323)] = 161722,
  [SMALL_STATE(5324)] = 161731,
  [SMALL_STATE(5325)] = 161742,
  [SMALL_STATE(5326)] = 161753,
  [SMALL_STATE(5327)] = 161764,
  [SMALL_STATE(5328)] = 161775,
  [SMALL_STATE(5329)] = 161784,
  [SMALL_STATE(5330)] = 161795,
  [SMALL_STATE(5331)] = 161804,
  [SMALL_STATE(5332)] = 161815,
  [SMALL_STATE(5333)] = 161826,
  [SMALL_STATE(5334)] = 161837,
  [SMALL_STATE(5335)] = 161846,
  [SMALL_STATE(5336)] = 161857,
  [SMALL_STATE(5337)] = 161868,
  [SMALL_STATE(5338)] = 161879,
  [SMALL_STATE(5339)] = 161890,
  [SMALL_STATE(5340)] = 161899,
  [SMALL_STATE(5341)] = 161908,
  [SMALL_STATE(5342)] = 161917,
  [SMALL_STATE(5343)] = 161928,
  [SMALL_STATE(5344)] = 161939,
  [SMALL_STATE(5345)] = 161948,
  [SMALL_STATE(5346)] = 161957,
  [SMALL_STATE(5347)] = 161968,
  [SMALL_STATE(5348)] = 161979,
  [SMALL_STATE(5349)] = 161990,
  [SMALL_STATE(5350)] = 162001,
  [SMALL_STATE(5351)] = 162010,
  [SMALL_STATE(5352)] = 162021,
  [SMALL_STATE(5353)] = 162032,
  [SMALL_STATE(5354)] = 162043,
  [SMALL_STATE(5355)] = 162054,
  [SMALL_STATE(5356)] = 162065,
  [SMALL_STATE(5357)] = 162076,
  [SMALL_STATE(5358)] = 162085,
  [SMALL_STATE(5359)] = 162096,
  [SMALL_STATE(5360)] = 162107,
  [SMALL_STATE(5361)] = 162118,
  [SMALL_STATE(5362)] = 162129,
  [SMALL_STATE(5363)] = 162140,
  [SMALL_STATE(5364)] = 162151,
  [SMALL_STATE(5365)] = 162162,
  [SMALL_STATE(5366)] = 162171,
  [SMALL_STATE(5367)] = 162182,
  [SMALL_STATE(5368)] = 162193,
  [SMALL_STATE(5369)] = 162204,
  [SMALL_STATE(5370)] = 162215,
  [SMALL_STATE(5371)] = 162226,
  [SMALL_STATE(5372)] = 162237,
  [SMALL_STATE(5373)] = 162248,
  [SMALL_STATE(5374)] = 162259,
  [SMALL_STATE(5375)] = 162270,
  [SMALL_STATE(5376)] = 162281,
  [SMALL_STATE(5377)] = 162292,
  [SMALL_STATE(5378)] = 162303,
  [SMALL_STATE(5379)] = 162314,
  [SMALL_STATE(5380)] = 162325,
  [SMALL_STATE(5381)] = 162336,
  [SMALL_STATE(5382)] = 162347,
  [SMALL_STATE(5383)] = 162358,
  [SMALL_STATE(5384)] = 162369,
  [SMALL_STATE(5385)] = 162380,
  [SMALL_STATE(5386)] = 162389,
  [SMALL_STATE(5387)] = 162400,
  [SMALL_STATE(5388)] = 162411,
  [SMALL_STATE(5389)] = 162420,
  [SMALL_STATE(5390)] = 162431,
  [SMALL_STATE(5391)] = 162442,
  [SMALL_STATE(5392)] = 162453,
  [SMALL_STATE(5393)] = 162464,
  [SMALL_STATE(5394)] = 162475,
  [SMALL_STATE(5395)] = 162486,
  [SMALL_STATE(5396)] = 162497,
  [SMALL_STATE(5397)] = 162508,
  [SMALL_STATE(5398)] = 162519,
  [SMALL_STATE(5399)] = 162528,
  [SMALL_STATE(5400)] = 162539,
  [SMALL_STATE(5401)] = 162550,
  [SMALL_STATE(5402)] = 162559,
  [SMALL_STATE(5403)] = 162570,
  [SMALL_STATE(5404)] = 162581,
  [SMALL_STATE(5405)] = 162590,
  [SMALL_STATE(5406)] = 162599,
  [SMALL_STATE(5407)] = 162610,
  [SMALL_STATE(5408)] = 162621,
  [SMALL_STATE(5409)] = 162632,
  [SMALL_STATE(5410)] = 162643,
  [SMALL_STATE(5411)] = 162654,
  [SMALL_STATE(5412)] = 162665,
  [SMALL_STATE(5413)] = 162676,
  [SMALL_STATE(5414)] = 162687,
  [SMALL_STATE(5415)] = 162698,
  [SMALL_STATE(5416)] = 162709,
  [SMALL_STATE(5417)] = 162720,
  [SMALL_STATE(5418)] = 162731,
  [SMALL_STATE(5419)] = 162742,
  [SMALL_STATE(5420)] = 162751,
  [SMALL_STATE(5421)] = 162762,
  [SMALL_STATE(5422)] = 162773,
  [SMALL_STATE(5423)] = 162784,
  [SMALL_STATE(5424)] = 162795,
  [SMALL_STATE(5425)] = 162804,
  [SMALL_STATE(5426)] = 162815,
  [SMALL_STATE(5427)] = 162826,
  [SMALL_STATE(5428)] = 162835,
  [SMALL_STATE(5429)] = 162846,
  [SMALL_STATE(5430)] = 162857,
  [SMALL_STATE(5431)] = 162866,
  [SMALL_STATE(5432)] = 162877,
  [SMALL_STATE(5433)] = 162888,
  [SMALL_STATE(5434)] = 162897,
  [SMALL_STATE(5435)] = 162908,
  [SMALL_STATE(5436)] = 162917,
  [SMALL_STATE(5437)] = 162928,
  [SMALL_STATE(5438)] = 162939,
  [SMALL_STATE(5439)] = 162950,
  [SMALL_STATE(5440)] = 162961,
  [SMALL_STATE(5441)] = 162972,
  [SMALL_STATE(5442)] = 162981,
  [SMALL_STATE(5443)] = 162992,
  [SMALL_STATE(5444)] = 163001,
  [SMALL_STATE(5445)] = 163012,
  [SMALL_STATE(5446)] = 163023,
  [SMALL_STATE(5447)] = 163034,
  [SMALL_STATE(5448)] = 163045,
  [SMALL_STATE(5449)] = 163054,
  [SMALL_STATE(5450)] = 163065,
  [SMALL_STATE(5451)] = 163076,
  [SMALL_STATE(5452)] = 163087,
  [SMALL_STATE(5453)] = 163098,
  [SMALL_STATE(5454)] = 163107,
  [SMALL_STATE(5455)] = 163118,
  [SMALL_STATE(5456)] = 163129,
  [SMALL_STATE(5457)] = 163140,
  [SMALL_STATE(5458)] = 163151,
  [SMALL_STATE(5459)] = 163162,
  [SMALL_STATE(5460)] = 163173,
  [SMALL_STATE(5461)] = 163184,
  [SMALL_STATE(5462)] = 163193,
  [SMALL_STATE(5463)] = 163204,
  [SMALL_STATE(5464)] = 163215,
  [SMALL_STATE(5465)] = 163226,
  [SMALL_STATE(5466)] = 163237,
  [SMALL_STATE(5467)] = 163248,
  [SMALL_STATE(5468)] = 163259,
  [SMALL_STATE(5469)] = 163270,
  [SMALL_STATE(5470)] = 163281,
  [SMALL_STATE(5471)] = 163292,
  [SMALL_STATE(5472)] = 163303,
  [SMALL_STATE(5473)] = 163314,
  [SMALL_STATE(5474)] = 163325,
  [SMALL_STATE(5475)] = 163336,
  [SMALL_STATE(5476)] = 163347,
  [SMALL_STATE(5477)] = 163358,
  [SMALL_STATE(5478)] = 163369,
  [SMALL_STATE(5479)] = 163377,
  [SMALL_STATE(5480)] = 163385,
  [SMALL_STATE(5481)] = 163393,
  [SMALL_STATE(5482)] = 163401,
  [SMALL_STATE(5483)] = 163409,
  [SMALL_STATE(5484)] = 163417,
  [SMALL_STATE(5485)] = 163425,
  [SMALL_STATE(5486)] = 163433,
  [SMALL_STATE(5487)] = 163443,
  [SMALL_STATE(5488)] = 163451,
  [SMALL_STATE(5489)] = 163459,
  [SMALL_STATE(5490)] = 163467,
  [SMALL_STATE(5491)] = 163475,
  [SMALL_STATE(5492)] = 163483,
  [SMALL_STATE(5493)] = 163491,
  [SMALL_STATE(5494)] = 163499,
  [SMALL_STATE(5495)] = 163507,
  [SMALL_STATE(5496)] = 163515,
  [SMALL_STATE(5497)] = 163525,
  [SMALL_STATE(5498)] = 163533,
  [SMALL_STATE(5499)] = 163541,
  [SMALL_STATE(5500)] = 163549,
  [SMALL_STATE(5501)] = 163557,
  [SMALL_STATE(5502)] = 163565,
  [SMALL_STATE(5503)] = 163573,
  [SMALL_STATE(5504)] = 163581,
  [SMALL_STATE(5505)] = 163589,
  [SMALL_STATE(5506)] = 163597,
  [SMALL_STATE(5507)] = 163605,
  [SMALL_STATE(5508)] = 163613,
  [SMALL_STATE(5509)] = 163621,
  [SMALL_STATE(5510)] = 163629,
  [SMALL_STATE(5511)] = 163637,
  [SMALL_STATE(5512)] = 163645,
  [SMALL_STATE(5513)] = 163653,
  [SMALL_STATE(5514)] = 163661,
  [SMALL_STATE(5515)] = 163669,
  [SMALL_STATE(5516)] = 163677,
  [SMALL_STATE(5517)] = 163685,
  [SMALL_STATE(5518)] = 163695,
  [SMALL_STATE(5519)] = 163703,
  [SMALL_STATE(5520)] = 163711,
  [SMALL_STATE(5521)] = 163719,
  [SMALL_STATE(5522)] = 163727,
  [SMALL_STATE(5523)] = 163735,
  [SMALL_STATE(5524)] = 163743,
  [SMALL_STATE(5525)] = 163751,
  [SMALL_STATE(5526)] = 163759,
  [SMALL_STATE(5527)] = 163767,
  [SMALL_STATE(5528)] = 163775,
  [SMALL_STATE(5529)] = 163783,
  [SMALL_STATE(5530)] = 163791,
  [SMALL_STATE(5531)] = 163799,
  [SMALL_STATE(5532)] = 163807,
  [SMALL_STATE(5533)] = 163815,
  [SMALL_STATE(5534)] = 163823,
  [SMALL_STATE(5535)] = 163831,
  [SMALL_STATE(5536)] = 163839,
  [SMALL_STATE(5537)] = 163847,
  [SMALL_STATE(5538)] = 163855,
  [SMALL_STATE(5539)] = 163863,
  [SMALL_STATE(5540)] = 163871,
  [SMALL_STATE(5541)] = 163879,
  [SMALL_STATE(5542)] = 163887,
  [SMALL_STATE(5543)] = 163895,
  [SMALL_STATE(5544)] = 163903,
  [SMALL_STATE(5545)] = 163911,
  [SMALL_STATE(5546)] = 163919,
  [SMALL_STATE(5547)] = 163927,
  [SMALL_STATE(5548)] = 163935,
  [SMALL_STATE(5549)] = 163943,
  [SMALL_STATE(5550)] = 163951,
  [SMALL_STATE(5551)] = 163959,
  [SMALL_STATE(5552)] = 163967,
  [SMALL_STATE(5553)] = 163975,
  [SMALL_STATE(5554)] = 163983,
  [SMALL_STATE(5555)] = 163991,
  [SMALL_STATE(5556)] = 163999,
  [SMALL_STATE(5557)] = 164007,
  [SMALL_STATE(5558)] = 164015,
  [SMALL_STATE(5559)] = 164023,
  [SMALL_STATE(5560)] = 164031,
  [SMALL_STATE(5561)] = 164039,
  [SMALL_STATE(5562)] = 164047,
  [SMALL_STATE(5563)] = 164055,
  [SMALL_STATE(5564)] = 164063,
  [SMALL_STATE(5565)] = 164071,
  [SMALL_STATE(5566)] = 164079,
  [SMALL_STATE(5567)] = 164087,
  [SMALL_STATE(5568)] = 164095,
  [SMALL_STATE(5569)] = 164103,
  [SMALL_STATE(5570)] = 164111,
  [SMALL_STATE(5571)] = 164119,
  [SMALL_STATE(5572)] = 164127,
  [SMALL_STATE(5573)] = 164135,
  [SMALL_STATE(5574)] = 164143,
  [SMALL_STATE(5575)] = 164151,
  [SMALL_STATE(5576)] = 164159,
  [SMALL_STATE(5577)] = 164167,
  [SMALL_STATE(5578)] = 164175,
  [SMALL_STATE(5579)] = 164183,
  [SMALL_STATE(5580)] = 164191,
  [SMALL_STATE(5581)] = 164199,
  [SMALL_STATE(5582)] = 164209,
  [SMALL_STATE(5583)] = 164217,
  [SMALL_STATE(5584)] = 164225,
  [SMALL_STATE(5585)] = 164233,
  [SMALL_STATE(5586)] = 164241,
  [SMALL_STATE(5587)] = 164249,
  [SMALL_STATE(5588)] = 164257,
  [SMALL_STATE(5589)] = 164265,
  [SMALL_STATE(5590)] = 164273,
  [SMALL_STATE(5591)] = 164281,
  [SMALL_STATE(5592)] = 164289,
  [SMALL_STATE(5593)] = 164297,
  [SMALL_STATE(5594)] = 164305,
  [SMALL_STATE(5595)] = 164313,
  [SMALL_STATE(5596)] = 164321,
  [SMALL_STATE(5597)] = 164329,
  [SMALL_STATE(5598)] = 164337,
  [SMALL_STATE(5599)] = 164345,
  [SMALL_STATE(5600)] = 164353,
  [SMALL_STATE(5601)] = 164361,
  [SMALL_STATE(5602)] = 164369,
  [SMALL_STATE(5603)] = 164377,
  [SMALL_STATE(5604)] = 164385,
  [SMALL_STATE(5605)] = 164393,
  [SMALL_STATE(5606)] = 164401,
  [SMALL_STATE(5607)] = 164409,
  [SMALL_STATE(5608)] = 164417,
  [SMALL_STATE(5609)] = 164425,
  [SMALL_STATE(5610)] = 164433,
  [SMALL_STATE(5611)] = 164441,
  [SMALL_STATE(5612)] = 164451,
  [SMALL_STATE(5613)] = 164459,
  [SMALL_STATE(5614)] = 164467,
  [SMALL_STATE(5615)] = 164475,
  [SMALL_STATE(5616)] = 164483,
  [SMALL_STATE(5617)] = 164491,
  [SMALL_STATE(5618)] = 164499,
  [SMALL_STATE(5619)] = 164507,
  [SMALL_STATE(5620)] = 164515,
  [SMALL_STATE(5621)] = 164523,
  [SMALL_STATE(5622)] = 164531,
  [SMALL_STATE(5623)] = 164539,
  [SMALL_STATE(5624)] = 164547,
  [SMALL_STATE(5625)] = 164555,
  [SMALL_STATE(5626)] = 164563,
  [SMALL_STATE(5627)] = 164573,
  [SMALL_STATE(5628)] = 164581,
  [SMALL_STATE(5629)] = 164589,
  [SMALL_STATE(5630)] = 164597,
  [SMALL_STATE(5631)] = 164605,
  [SMALL_STATE(5632)] = 164613,
  [SMALL_STATE(5633)] = 164621,
  [SMALL_STATE(5634)] = 164629,
  [SMALL_STATE(5635)] = 164637,
  [SMALL_STATE(5636)] = 164645,
  [SMALL_STATE(5637)] = 164653,
  [SMALL_STATE(5638)] = 164661,
  [SMALL_STATE(5639)] = 164669,
  [SMALL_STATE(5640)] = 164677,
  [SMALL_STATE(5641)] = 164685,
  [SMALL_STATE(5642)] = 164693,
  [SMALL_STATE(5643)] = 164701,
  [SMALL_STATE(5644)] = 164709,
  [SMALL_STATE(5645)] = 164717,
  [SMALL_STATE(5646)] = 164725,
  [SMALL_STATE(5647)] = 164733,
  [SMALL_STATE(5648)] = 164741,
  [SMALL_STATE(5649)] = 164749,
  [SMALL_STATE(5650)] = 164757,
  [SMALL_STATE(5651)] = 164765,
  [SMALL_STATE(5652)] = 164773,
  [SMALL_STATE(5653)] = 164781,
  [SMALL_STATE(5654)] = 164789,
  [SMALL_STATE(5655)] = 164797,
  [SMALL_STATE(5656)] = 164805,
  [SMALL_STATE(5657)] = 164813,
  [SMALL_STATE(5658)] = 164821,
  [SMALL_STATE(5659)] = 164829,
  [SMALL_STATE(5660)] = 164837,
  [SMALL_STATE(5661)] = 164845,
  [SMALL_STATE(5662)] = 164853,
  [SMALL_STATE(5663)] = 164861,
  [SMALL_STATE(5664)] = 164869,
  [SMALL_STATE(5665)] = 164877,
  [SMALL_STATE(5666)] = 164885,
  [SMALL_STATE(5667)] = 164893,
  [SMALL_STATE(5668)] = 164901,
  [SMALL_STATE(5669)] = 164911,
  [SMALL_STATE(5670)] = 164921,
  [SMALL_STATE(5671)] = 164929,
  [SMALL_STATE(5672)] = 164939,
  [SMALL_STATE(5673)] = 164947,
  [SMALL_STATE(5674)] = 164955,
  [SMALL_STATE(5675)] = 164963,
  [SMALL_STATE(5676)] = 164971,
  [SMALL_STATE(5677)] = 164979,
  [SMALL_STATE(5678)] = 164987,
  [SMALL_STATE(5679)] = 164995,
  [SMALL_STATE(5680)] = 165003,
  [SMALL_STATE(5681)] = 165011,
  [SMALL_STATE(5682)] = 165019,
  [SMALL_STATE(5683)] = 165027,
  [SMALL_STATE(5684)] = 165035,
  [SMALL_STATE(5685)] = 165043,
  [SMALL_STATE(5686)] = 165051,
  [SMALL_STATE(5687)] = 165059,
  [SMALL_STATE(5688)] = 165067,
  [SMALL_STATE(5689)] = 165075,
  [SMALL_STATE(5690)] = 165083,
  [SMALL_STATE(5691)] = 165091,
  [SMALL_STATE(5692)] = 165099,
  [SMALL_STATE(5693)] = 165107,
  [SMALL_STATE(5694)] = 165115,
  [SMALL_STATE(5695)] = 165123,
  [SMALL_STATE(5696)] = 165131,
  [SMALL_STATE(5697)] = 165139,
  [SMALL_STATE(5698)] = 165147,
  [SMALL_STATE(5699)] = 165155,
  [SMALL_STATE(5700)] = 165163,
  [SMALL_STATE(5701)] = 165171,
  [SMALL_STATE(5702)] = 165179,
  [SMALL_STATE(5703)] = 165187,
  [SMALL_STATE(5704)] = 165195,
  [SMALL_STATE(5705)] = 165203,
  [SMALL_STATE(5706)] = 165211,
  [SMALL_STATE(5707)] = 165219,
  [SMALL_STATE(5708)] = 165227,
  [SMALL_STATE(5709)] = 165235,
  [SMALL_STATE(5710)] = 165243,
  [SMALL_STATE(5711)] = 165251,
  [SMALL_STATE(5712)] = 165259,
  [SMALL_STATE(5713)] = 165267,
  [SMALL_STATE(5714)] = 165275,
  [SMALL_STATE(5715)] = 165283,
  [SMALL_STATE(5716)] = 165291,
  [SMALL_STATE(5717)] = 165299,
  [SMALL_STATE(5718)] = 165307,
  [SMALL_STATE(5719)] = 165315,
  [SMALL_STATE(5720)] = 165323,
  [SMALL_STATE(5721)] = 165331,
  [SMALL_STATE(5722)] = 165339,
  [SMALL_STATE(5723)] = 165347,
  [SMALL_STATE(5724)] = 165355,
  [SMALL_STATE(5725)] = 165363,
  [SMALL_STATE(5726)] = 165371,
  [SMALL_STATE(5727)] = 165379,
  [SMALL_STATE(5728)] = 165387,
  [SMALL_STATE(5729)] = 165395,
  [SMALL_STATE(5730)] = 165403,
  [SMALL_STATE(5731)] = 165411,
  [SMALL_STATE(5732)] = 165419,
  [SMALL_STATE(5733)] = 165427,
  [SMALL_STATE(5734)] = 165435,
  [SMALL_STATE(5735)] = 165443,
  [SMALL_STATE(5736)] = 165451,
  [SMALL_STATE(5737)] = 165459,
  [SMALL_STATE(5738)] = 165467,
  [SMALL_STATE(5739)] = 165475,
  [SMALL_STATE(5740)] = 165483,
  [SMALL_STATE(5741)] = 165491,
  [SMALL_STATE(5742)] = 165499,
  [SMALL_STATE(5743)] = 165507,
  [SMALL_STATE(5744)] = 165515,
  [SMALL_STATE(5745)] = 165523,
  [SMALL_STATE(5746)] = 165531,
  [SMALL_STATE(5747)] = 165539,
  [SMALL_STATE(5748)] = 165547,
  [SMALL_STATE(5749)] = 165555,
  [SMALL_STATE(5750)] = 165563,
  [SMALL_STATE(5751)] = 165571,
  [SMALL_STATE(5752)] = 165579,
  [SMALL_STATE(5753)] = 165587,
  [SMALL_STATE(5754)] = 165595,
  [SMALL_STATE(5755)] = 165603,
  [SMALL_STATE(5756)] = 165611,
  [SMALL_STATE(5757)] = 165619,
  [SMALL_STATE(5758)] = 165627,
  [SMALL_STATE(5759)] = 165635,
  [SMALL_STATE(5760)] = 165643,
  [SMALL_STATE(5761)] = 165651,
  [SMALL_STATE(5762)] = 165659,
  [SMALL_STATE(5763)] = 165667,
  [SMALL_STATE(5764)] = 165675,
  [SMALL_STATE(5765)] = 165683,
  [SMALL_STATE(5766)] = 165691,
  [SMALL_STATE(5767)] = 165699,
  [SMALL_STATE(5768)] = 165707,
  [SMALL_STATE(5769)] = 165715,
  [SMALL_STATE(5770)] = 165723,
  [SMALL_STATE(5771)] = 165731,
  [SMALL_STATE(5772)] = 165739,
  [SMALL_STATE(5773)] = 165747,
  [SMALL_STATE(5774)] = 165755,
  [SMALL_STATE(5775)] = 165763,
  [SMALL_STATE(5776)] = 165771,
  [SMALL_STATE(5777)] = 165779,
  [SMALL_STATE(5778)] = 165787,
  [SMALL_STATE(5779)] = 165795,
  [SMALL_STATE(5780)] = 165803,
  [SMALL_STATE(5781)] = 165811,
  [SMALL_STATE(5782)] = 165819,
  [SMALL_STATE(5783)] = 165827,
  [SMALL_STATE(5784)] = 165835,
  [SMALL_STATE(5785)] = 165843,
  [SMALL_STATE(5786)] = 165851,
  [SMALL_STATE(5787)] = 165859,
  [SMALL_STATE(5788)] = 165867,
  [SMALL_STATE(5789)] = 165875,
  [SMALL_STATE(5790)] = 165883,
  [SMALL_STATE(5791)] = 165891,
  [SMALL_STATE(5792)] = 165899,
  [SMALL_STATE(5793)] = 165907,
  [SMALL_STATE(5794)] = 165915,
  [SMALL_STATE(5795)] = 165923,
  [SMALL_STATE(5796)] = 165931,
  [SMALL_STATE(5797)] = 165939,
  [SMALL_STATE(5798)] = 165947,
  [SMALL_STATE(5799)] = 165955,
  [SMALL_STATE(5800)] = 165963,
  [SMALL_STATE(5801)] = 165971,
  [SMALL_STATE(5802)] = 165979,
  [SMALL_STATE(5803)] = 165987,
  [SMALL_STATE(5804)] = 165995,
  [SMALL_STATE(5805)] = 166003,
  [SMALL_STATE(5806)] = 166011,
  [SMALL_STATE(5807)] = 166019,
  [SMALL_STATE(5808)] = 166027,
  [SMALL_STATE(5809)] = 166035,
  [SMALL_STATE(5810)] = 166043,
  [SMALL_STATE(5811)] = 166051,
  [SMALL_STATE(5812)] = 166059,
  [SMALL_STATE(5813)] = 166067,
  [SMALL_STATE(5814)] = 166075,
  [SMALL_STATE(5815)] = 166083,
  [SMALL_STATE(5816)] = 166091,
  [SMALL_STATE(5817)] = 166099,
  [SMALL_STATE(5818)] = 166107,
  [SMALL_STATE(5819)] = 166115,
  [SMALL_STATE(5820)] = 166123,
  [SMALL_STATE(5821)] = 166131,
  [SMALL_STATE(5822)] = 166139,
  [SMALL_STATE(5823)] = 166147,
  [SMALL_STATE(5824)] = 166155,
  [SMALL_STATE(5825)] = 166163,
  [SMALL_STATE(5826)] = 166171,
  [SMALL_STATE(5827)] = 166179,
  [SMALL_STATE(5828)] = 166187,
  [SMALL_STATE(5829)] = 166195,
  [SMALL_STATE(5830)] = 166203,
  [SMALL_STATE(5831)] = 166211,
  [SMALL_STATE(5832)] = 166219,
  [SMALL_STATE(5833)] = 166227,
  [SMALL_STATE(5834)] = 166235,
  [SMALL_STATE(5835)] = 166245,
  [SMALL_STATE(5836)] = 166253,
  [SMALL_STATE(5837)] = 166261,
  [SMALL_STATE(5838)] = 166269,
  [SMALL_STATE(5839)] = 166277,
  [SMALL_STATE(5840)] = 166285,
  [SMALL_STATE(5841)] = 166293,
  [SMALL_STATE(5842)] = 166301,
  [SMALL_STATE(5843)] = 166309,
  [SMALL_STATE(5844)] = 166317,
  [SMALL_STATE(5845)] = 166325,
  [SMALL_STATE(5846)] = 166333,
  [SMALL_STATE(5847)] = 166341,
  [SMALL_STATE(5848)] = 166349,
  [SMALL_STATE(5849)] = 166357,
  [SMALL_STATE(5850)] = 166365,
  [SMALL_STATE(5851)] = 166373,
  [SMALL_STATE(5852)] = 166381,
  [SMALL_STATE(5853)] = 166389,
  [SMALL_STATE(5854)] = 166397,
  [SMALL_STATE(5855)] = 166405,
  [SMALL_STATE(5856)] = 166413,
  [SMALL_STATE(5857)] = 166421,
  [SMALL_STATE(5858)] = 166429,
  [SMALL_STATE(5859)] = 166437,
  [SMALL_STATE(5860)] = 166445,
  [SMALL_STATE(5861)] = 166453,
  [SMALL_STATE(5862)] = 166461,
  [SMALL_STATE(5863)] = 166469,
  [SMALL_STATE(5864)] = 166477,
  [SMALL_STATE(5865)] = 166485,
  [SMALL_STATE(5866)] = 166493,
  [SMALL_STATE(5867)] = 166501,
  [SMALL_STATE(5868)] = 166509,
  [SMALL_STATE(5869)] = 166517,
  [SMALL_STATE(5870)] = 166525,
  [SMALL_STATE(5871)] = 166533,
  [SMALL_STATE(5872)] = 166541,
  [SMALL_STATE(5873)] = 166549,
  [SMALL_STATE(5874)] = 166557,
  [SMALL_STATE(5875)] = 166565,
  [SMALL_STATE(5876)] = 166573,
  [SMALL_STATE(5877)] = 166581,
  [SMALL_STATE(5878)] = 166589,
  [SMALL_STATE(5879)] = 166597,
  [SMALL_STATE(5880)] = 166605,
  [SMALL_STATE(5881)] = 166613,
};

static const TSParseActionEntry ts_parse_actions[] = {
  [0] = {.entry = {.count = 0, .reusable = false}},
  [1] = {.entry = {.count = 1, .reusable = false}}, RECOVER(),
  [3] = {.entry = {.count = 1, .reusable = false}}, SHIFT_EXTRA(),
  [5] = {.entry = {.count = 1, .reusable = true}}, SHIFT_EXTRA(),
  [7] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 0, 0, 0),
  [9] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1322),
  [11] = {.entry = {.count = 1, .reusable = true}}, SHIFT(29),
  [13] = {.entry = {.count = 1, .reusable = false}}, SHIFT(696),
  [15] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1282),
  [17] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1185),
  [19] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4),
  [21] = {.entry = {.count = 1, .reusable = false}}, SHIFT(480),
  [23] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2928),
  [25] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5358),
  [27] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3633),
  [29] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1187),
  [31] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3475),
  [33] = {.entry = {.count = 1, .reusable = true}}, SHIFT(480),
  [35] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5416),
  [37] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5451),
  [39] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4724),
  [41] = {.entry = {.count = 1, .reusable = true}}, SHIFT(195),
  [43] = {.entry = {.count = 1, .reusable = true}}, SHIFT(792),
  [45] = {.entry = {.count = 1, .reusable = false}}, SHIFT(436),
  [47] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5322),
  [49] = {.entry = {.count = 1, .reusable = false}}, SHIFT(39),
  [51] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5356),
  [53] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4834),
  [55] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4536),
  [57] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5186),
  [59] = {.entry = {.count = 1, .reusable = false}}, SHIFT(297),
  [61] = {.entry = {.count = 1, .reusable = false}}, SHIFT(345),
  [63] = {.entry = {.count = 1, .reusable = false}}, SHIFT(164),
  [65] = {.entry = {.count = 1, .reusable = true}}, SHIFT(205),
  [67] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4879),
  [69] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4474),
  [71] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4411),
  [73] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3323),
  [75] = {.entry = {.count = 1, .reusable = false}}, SHIFT(734),
  [77] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3679),
  [79] = {.entry = {.count = 1, .reusable = false}}, SHIFT(99),
  [81] = {.entry = {.count = 1, .reusable = false}}, SHIFT(484),
  [83] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5671),
  [85] = {.entry = {.count = 1, .reusable = false}}, SHIFT(992),
  [87] = {.entry = {.count = 1, .reusable = true}}, SHIFT(584),
  [89] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3876),
  [91] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2117),
  [93] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5833),
  [95] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2117),
  [97] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2340),
  [99] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4028),
  [101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1327),
  [103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(709),
  [105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1186),
  [107] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5881),
  [109] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5707),
  [111] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5730),
  [113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1268),
  [115] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1248),
  [117] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2953),
  [119] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_pattern, 1, -1, 1), SHIFT(538),
  [122] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 1),
  [124] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1176),
  [126] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1156),
  [128] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pattern, 1, -1, 1),
  [130] = {.entry = {.count = 1, .reusable = false}}, SHIFT(284),
  [132] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4417),
  [134] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3018),
  [136] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 1), SHIFT(558),
  [139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(82),
  [141] = {.entry = {.count = 1, .reusable = false}}, SHIFT(559),
  [143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(172),
  [145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(64),
  [147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4935),
  [149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4493),
  [151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4495),
  [153] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3310),
  [155] = {.entry = {.count = 1, .reusable = false}}, SHIFT(724),
  [157] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3627),
  [159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(354),
  [161] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 1),
  [163] = {.entry = {.count = 1, .reusable = false}}, SHIFT(97),
  [165] = {.entry = {.count = 1, .reusable = false}}, SHIFT(562),
  [167] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__augmented_assignment_lhs, 1, 0, 1),
  [169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(441),
  [171] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1000),
  [173] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1009),
  [175] = {.entry = {.count = 1, .reusable = false}}, SHIFT(437),
  [177] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 1), SHIFT(5517),
  [180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(558),
  [182] = {.entry = {.count = 1, .reusable = false}}, SHIFT(251),
  [184] = {.entry = {.count = 1, .reusable = false}}, SHIFT(558),
  [186] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 1), SHIFT(481),
  [189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3489),
  [191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2255),
  [193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5812),
  [195] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2028),
  [197] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1691),
  [199] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2255),
  [201] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1886),
  [203] = {.entry = {.count = 1, .reusable = false}}, SHIFT(183),
  [205] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1011),
  [207] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1291),
  [209] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5657),
  [211] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5658),
  [213] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1013),
  [215] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5733),
  [217] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2939),
  [219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1401),
  [221] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_pattern, 1, -1, 1), SHIFT(636),
  [224] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 1), REDUCE(sym_pattern, 1, -1, 1),
  [227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(330),
  [229] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1217),
  [231] = {.entry = {.count = 1, .reusable = false}}, SHIFT(688),
  [233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2839),
  [235] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1209),
  [237] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1172),
  [239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1523),
  [241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(207),
  [243] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1166),
  [245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(214),
  [247] = {.entry = {.count = 1, .reusable = false}}, SHIFT(691),
  [249] = {.entry = {.count = 1, .reusable = false}}, SHIFT(72),
  [251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(674),
  [253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2349),
  [255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4299),
  [257] = {.entry = {.count = 1, .reusable = false}}, SHIFT(699),
  [259] = {.entry = {.count = 1, .reusable = false}}, SHIFT(702),
  [261] = {.entry = {.count = 1, .reusable = false}}, SHIFT(701),
  [263] = {.entry = {.count = 1, .reusable = false}}, SHIFT(695),
  [265] = {.entry = {.count = 1, .reusable = false}}, SHIFT(718),
  [267] = {.entry = {.count = 1, .reusable = false}}, SHIFT(719),
  [269] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1167),
  [271] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1226),
  [273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1925),
  [275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1884),
  [277] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1215),
  [279] = {.entry = {.count = 1, .reusable = false}}, SHIFT(689),
  [281] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1208),
  [283] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1168),
  [285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1515),
  [287] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1174),
  [289] = {.entry = {.count = 1, .reusable = false}}, SHIFT(692),
  [291] = {.entry = {.count = 1, .reusable = false}}, SHIFT(73),
  [293] = {.entry = {.count = 1, .reusable = false}}, SHIFT(700),
  [295] = {.entry = {.count = 1, .reusable = false}}, SHIFT(707),
  [297] = {.entry = {.count = 1, .reusable = false}}, SHIFT(708),
  [299] = {.entry = {.count = 1, .reusable = false}}, SHIFT(693),
  [301] = {.entry = {.count = 1, .reusable = false}}, SHIFT(721),
  [303] = {.entry = {.count = 1, .reusable = false}}, SHIFT(720),
  [305] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1173),
  [307] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1229),
  [309] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1227),
  [311] = {.entry = {.count = 1, .reusable = false}}, SHIFT(687),
  [313] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1193),
  [315] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1169),
  [317] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1170),
  [319] = {.entry = {.count = 1, .reusable = false}}, SHIFT(690),
  [321] = {.entry = {.count = 1, .reusable = false}}, SHIFT(74),
  [323] = {.entry = {.count = 1, .reusable = false}}, SHIFT(698),
  [325] = {.entry = {.count = 1, .reusable = false}}, SHIFT(703),
  [327] = {.entry = {.count = 1, .reusable = false}}, SHIFT(704),
  [329] = {.entry = {.count = 1, .reusable = false}}, SHIFT(694),
  [331] = {.entry = {.count = 1, .reusable = false}}, SHIFT(723),
  [333] = {.entry = {.count = 1, .reusable = false}}, SHIFT(716),
  [335] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1171),
  [337] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1233),
  [339] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0),
  [341] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1322),
  [344] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(696),
  [347] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0),
  [349] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1282),
  [352] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1185),
  [355] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(4),
  [358] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(480),
  [361] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2928),
  [364] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(5358),
  [367] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(3633),
  [370] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1187),
  [373] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(3475),
  [376] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(480),
  [379] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(5416),
  [382] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(5451),
  [385] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(4724),
  [388] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(195),
  [391] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(792),
  [394] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(436),
  [397] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(5322),
  [400] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(39),
  [403] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(5356),
  [406] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(4834),
  [409] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(4536),
  [412] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(5186),
  [415] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(297),
  [418] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(345),
  [421] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(164),
  [424] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(205),
  [427] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(4879),
  [430] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(4474),
  [433] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(4411),
  [436] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(3323),
  [439] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(734),
  [442] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(3679),
  [445] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(99),
  [448] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(484),
  [451] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(5671),
  [454] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(992),
  [457] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(584),
  [460] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(3876),
  [463] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2117),
  [466] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(5833),
  [469] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2117),
  [472] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2340),
  [475] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(4028),
  [478] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1327),
  [481] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(709),
  [484] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1186),
  [487] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(5881),
  [490] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(5707),
  [493] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(5730),
  [496] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_default, 2, 0, 0),
  [498] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_default, 2, 0, 0),
  [500] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_case, 4, 0, 238),
  [502] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_case, 4, 0, 238),
  [504] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_case, 3, 0, 95),
  [506] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_case, 3, 0, 95),
  [508] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_default, 3, 0, 54),
  [510] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_default, 3, 0, 54),
  [512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(741),
  [514] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 2, 0, 0),
  [516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(736),
  [518] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 1, 0, 0),
  [520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1730),
  [522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(229),
  [524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(226),
  [526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1726),
  [528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1609),
  [530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1579),
  [532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2655),
  [534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2662),
  [536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2657),
  [538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(752),
  [540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2695),
  [542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(754),
  [544] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1318),
  [546] = {.entry = {.count = 1, .reusable = false}}, SHIFT(697),
  [548] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1308),
  [550] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1184),
  [552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5),
  [554] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5214),
  [556] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1188),
  [558] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5217),
  [560] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4661),
  [562] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5221),
  [564] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3319),
  [566] = {.entry = {.count = 1, .reusable = false}}, SHIFT(728),
  [568] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3724),
  [570] = {.entry = {.count = 1, .reusable = false}}, SHIFT(96),
  [572] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1321),
  [574] = {.entry = {.count = 1, .reusable = false}}, SHIFT(715),
  [576] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1190),
  [578] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1235),
  [580] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1370),
  [582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2953),
  [584] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1203),
  [586] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1158),
  [588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(249),
  [590] = {.entry = {.count = 1, .reusable = false}}, SHIFT(285),
  [592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(507),
  [594] = {.entry = {.count = 1, .reusable = false}}, SHIFT(508),
  [596] = {.entry = {.count = 1, .reusable = false}}, SHIFT(163),
  [598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(63),
  [600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1797),
  [602] = {.entry = {.count = 1, .reusable = false}}, SHIFT(744),
  [604] = {.entry = {.count = 1, .reusable = false}}, SHIFT(121),
  [606] = {.entry = {.count = 1, .reusable = false}}, SHIFT(510),
  [608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(157),
  [610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1132),
  [612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1133),
  [614] = {.entry = {.count = 1, .reusable = false}}, SHIFT(442),
  [616] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5517),
  [618] = {.entry = {.count = 1, .reusable = false}}, SHIFT(222),
  [620] = {.entry = {.count = 1, .reusable = false}}, SHIFT(507),
  [622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(673),
  [624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5564),
  [626] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2524),
  [628] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2270),
  [630] = {.entry = {.count = 1, .reusable = false}}, SHIFT(186),
  [632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1135),
  [634] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1315),
  [636] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5877),
  [638] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5855),
  [640] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1136),
  [642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1936),
  [644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1950),
  [646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1955),
  [648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2026),
  [650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2159),
  [652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2162),
  [654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2466),
  [656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(248),
  [658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1864),
  [660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1645),
  [662] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1330),
  [664] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1347),
  [666] = {.entry = {.count = 1, .reusable = false}}, SHIFT(418),
  [668] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1191),
  [670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1503),
  [672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2066),
  [674] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4480),
  [676] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__property_name, 1, 0, 7), SHIFT(50),
  [679] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5516),
  [681] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3314),
  [683] = {.entry = {.count = 1, .reusable = false}}, SHIFT(733),
  [685] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3593),
  [687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(361),
  [689] = {.entry = {.count = 1, .reusable = false}}, SHIFT(102),
  [691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(481),
  [693] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1961),
  [695] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__property_name, 1, 0, 7),
  [697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1707),
  [699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1727),
  [701] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1259),
  [703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1500),
  [705] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 1), SHIFT(194),
  [708] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 1), SHIFT(215),
  [711] = {.entry = {.count = 1, .reusable = false}}, SHIFT(87),
  [713] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 1), SHIFT(992),
  [716] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 1), SHIFT(3870),
  [719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1691),
  [721] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2303),
  [723] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1813),
  [725] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pattern, 1, -1, 1),
  [727] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2305),
  [729] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1272),
  [731] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1320),
  [733] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1192),
  [735] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1154),
  [737] = {.entry = {.count = 1, .reusable = false}}, SHIFT(290),
  [739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(424),
  [741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4937),
  [743] = {.entry = {.count = 1, .reusable = false}}, SHIFT(425),
  [745] = {.entry = {.count = 1, .reusable = false}}, SHIFT(166),
  [747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(60),
  [749] = {.entry = {.count = 1, .reusable = false}}, SHIFT(729),
  [751] = {.entry = {.count = 1, .reusable = false}}, SHIFT(98),
  [753] = {.entry = {.count = 1, .reusable = false}}, SHIFT(448),
  [755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1000),
  [757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1009),
  [759] = {.entry = {.count = 1, .reusable = false}}, SHIFT(476),
  [761] = {.entry = {.count = 1, .reusable = false}}, SHIFT(254),
  [763] = {.entry = {.count = 1, .reusable = false}}, SHIFT(424),
  [765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(633),
  [767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3490),
  [769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2142),
  [771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5852),
  [773] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2003),
  [775] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2142),
  [777] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2004),
  [779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3910),
  [781] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3),
  [783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1011),
  [785] = {.entry = {.count = 1, .reusable = false}}, SHIFT(260),
  [787] = {.entry = {.count = 1, .reusable = false}}, SHIFT(262),
  [789] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1300),
  [791] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2339),
  [793] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2178),
  [795] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2302),
  [797] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2179),
  [799] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2236),
  [801] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1885),
  [803] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2),
  [805] = {.entry = {.count = 1, .reusable = false}}, SHIFT(268),
  [807] = {.entry = {.count = 1, .reusable = false}}, SHIFT(269),
  [809] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1460),
  [811] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1426),
  [813] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1271),
  [815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1497),
  [817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(194),
  [819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(208),
  [821] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5700),
  [823] = {.entry = {.count = 1, .reusable = false}}, SHIFT(800),
  [825] = {.entry = {.count = 1, .reusable = false}}, SHIFT(145),
  [827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3870),
  [829] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1588),
  [831] = {.entry = {.count = 1, .reusable = false}}, SHIFT(538),
  [833] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_rest_pattern, 2, 0, 33),
  [835] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_rest_pattern, 2, 0, 33),
  [837] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1306),
  [839] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1289),
  [841] = {.entry = {.count = 1, .reusable = false}}, SHIFT(483),
  [843] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1178),
  [845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1501),
  [847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(210),
  [849] = {.entry = {.count = 1, .reusable = false}}, SHIFT(727),
  [851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(337),
  [853] = {.entry = {.count = 1, .reusable = false}}, SHIFT(95),
  [855] = {.entry = {.count = 1, .reusable = false}}, SHIFT(444),
  [857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(70),
  [859] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1358),
  [861] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1366),
  [863] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1211),
  [865] = {.entry = {.count = 1, .reusable = false}}, SHIFT(743),
  [867] = {.entry = {.count = 1, .reusable = false}}, SHIFT(113),
  [869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(50),
  [871] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1343),
  [873] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1341),
  [875] = {.entry = {.count = 1, .reusable = false}}, SHIFT(513),
  [877] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1182),
  [879] = {.entry = {.count = 1, .reusable = false}}, SHIFT(732),
  [881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(346),
  [883] = {.entry = {.count = 1, .reusable = false}}, SHIFT(105),
  [885] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5486),
  [887] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_pattern, 1, -1, 1), SHIFT(483),
  [890] = {.entry = {.count = 1, .reusable = false}}, SHIFT(636),
  [892] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 1), REDUCE(sym_rest_pattern, 2, 0, 33),
  [895] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 1), SHIFT(322),
  [898] = {.entry = {.count = 1, .reusable = false}}, SHIFT(322),
  [900] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1408),
  [902] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1402),
  [904] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_pattern, 1, -1, 1), SHIFT(618),
  [907] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1239),
  [909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1121),
  [911] = {.entry = {.count = 1, .reusable = false}}, SHIFT(768),
  [913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(376),
  [915] = {.entry = {.count = 1, .reusable = false}}, SHIFT(134),
  [917] = {.entry = {.count = 1, .reusable = false}}, SHIFT(618),
  [919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1054),
  [921] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1398),
  [923] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1400),
  [925] = {.entry = {.count = 1, .reusable = false}}, SHIFT(452),
  [927] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1224),
  [929] = {.entry = {.count = 1, .reusable = false}}, SHIFT(755),
  [931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(394),
  [933] = {.entry = {.count = 1, .reusable = false}}, SHIFT(120),
  [935] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1374),
  [937] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1352),
  [939] = {.entry = {.count = 1, .reusable = false}}, SHIFT(565),
  [941] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1201),
  [943] = {.entry = {.count = 1, .reusable = false}}, SHIFT(742),
  [945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(363),
  [947] = {.entry = {.count = 1, .reusable = false}}, SHIFT(124),
  [949] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5496),
  [951] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1407),
  [953] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1403),
  [955] = {.entry = {.count = 1, .reusable = false}}, SHIFT(592),
  [957] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1238),
  [959] = {.entry = {.count = 1, .reusable = false}}, SHIFT(767),
  [961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(370),
  [963] = {.entry = {.count = 1, .reusable = false}}, SHIFT(133),
  [965] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1410),
  [967] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1414),
  [969] = {.entry = {.count = 1, .reusable = false}}, SHIFT(645),
  [971] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1241),
  [973] = {.entry = {.count = 1, .reusable = false}}, SHIFT(770),
  [975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(382),
  [977] = {.entry = {.count = 1, .reusable = false}}, SHIFT(136),
  [979] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5626),
  [981] = {.entry = {.count = 1, .reusable = false}}, SHIFT(662),
  [983] = {.entry = {.count = 1, .reusable = false}}, SHIFT(531),
  [985] = {.entry = {.count = 1, .reusable = false}}, SHIFT(503),
  [987] = {.entry = {.count = 1, .reusable = false}}, SHIFT(416),
  [989] = {.entry = {.count = 1, .reusable = false}}, SHIFT(554),
  [991] = {.entry = {.count = 1, .reusable = false}}, SHIFT(433),
  [993] = {.entry = {.count = 1, .reusable = false}}, SHIFT(581),
  [995] = {.entry = {.count = 1, .reusable = false}}, SHIFT(637),
  [997] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1244),
  [999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3265),
  [1001] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1155),
  [1003] = {.entry = {.count = 1, .reusable = false}}, SHIFT(275),
  [1005] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3274),
  [1007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(85),
  [1009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(69),
  [1011] = {.entry = {.count = 1, .reusable = false}}, SHIFT(115),
  [1013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1031),
  [1015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1032),
  [1017] = {.entry = {.count = 1, .reusable = false}}, SHIFT(447),
  [1019] = {.entry = {.count = 1, .reusable = false}}, SHIFT(231),
  [1021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3495),
  [1023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1956),
  [1025] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1958),
  [1027] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1956),
  [1029] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1803),
  [1031] = {.entry = {.count = 1, .reusable = false}}, SHIFT(187),
  [1033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1034),
  [1035] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1278),
  [1037] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5801),
  [1039] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5726),
  [1041] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1035),
  [1043] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5768),
  [1045] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3208),
  [1047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1388),
  [1049] = {.entry = {.count = 1, .reusable = false}}, SHIFT(474),
  [1051] = {.entry = {.count = 1, .reusable = false}}, SHIFT(609),
  [1053] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1346),
  [1055] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1295),
  [1057] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1177),
  [1059] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1151),
  [1061] = {.entry = {.count = 1, .reusable = false}}, SHIFT(294),
  [1063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(68),
  [1065] = {.entry = {.count = 1, .reusable = false}}, SHIFT(726),
  [1067] = {.entry = {.count = 1, .reusable = false}}, SHIFT(93),
  [1069] = {.entry = {.count = 1, .reusable = false}}, SHIFT(533),
  [1071] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2606),
  [1073] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2487),
  [1075] = {.entry = {.count = 1, .reusable = false}}, SHIFT(173),
  [1077] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1376),
  [1079] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1337),
  [1081] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1415),
  [1083] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1236),
  [1085] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1153),
  [1087] = {.entry = {.count = 1, .reusable = false}}, SHIFT(292),
  [1089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(641),
  [1091] = {.entry = {.count = 1, .reusable = false}}, SHIFT(642),
  [1093] = {.entry = {.count = 1, .reusable = false}}, SHIFT(171),
  [1095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(56),
  [1097] = {.entry = {.count = 1, .reusable = false}}, SHIFT(766),
  [1099] = {.entry = {.count = 1, .reusable = false}}, SHIFT(129),
  [1101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(643),
  [1103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(614),
  [1105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(258),
  [1107] = {.entry = {.count = 1, .reusable = false}}, SHIFT(641),
  [1109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(681),
  [1111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3491),
  [1113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2351),
  [1115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5488),
  [1117] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2271),
  [1119] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2351),
  [1121] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2525),
  [1123] = {.entry = {.count = 1, .reusable = false}}, SHIFT(190),
  [1125] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1368),
  [1127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1285),
  [1129] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1380),
  [1131] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1219),
  [1133] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1164),
  [1135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(291),
  [1137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(670),
  [1139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(77),
  [1141] = {.entry = {.count = 1, .reusable = false}}, SHIFT(671),
  [1143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(167),
  [1145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(67),
  [1147] = {.entry = {.count = 1, .reusable = false}}, SHIFT(748),
  [1149] = {.entry = {.count = 1, .reusable = false}}, SHIFT(118),
  [1151] = {.entry = {.count = 1, .reusable = false}}, SHIFT(682),
  [1153] = {.entry = {.count = 1, .reusable = false}}, SHIFT(505),
  [1155] = {.entry = {.count = 1, .reusable = false}}, SHIFT(273),
  [1157] = {.entry = {.count = 1, .reusable = false}}, SHIFT(670),
  [1159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(672),
  [1161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3488),
  [1163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2424),
  [1165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5586),
  [1167] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2425),
  [1169] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2424),
  [1171] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2249),
  [1173] = {.entry = {.count = 1, .reusable = false}}, SHIFT(185),
  [1175] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1316),
  [1177] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1372),
  [1179] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1159),
  [1181] = {.entry = {.count = 1, .reusable = false}}, SHIFT(282),
  [1183] = {.entry = {.count = 1, .reusable = false}}, SHIFT(141),
  [1185] = {.entry = {.count = 1, .reusable = false}}, SHIFT(439),
  [1187] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2603),
  [1189] = {.entry = {.count = 1, .reusable = false}}, SHIFT(193),
  [1191] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1382),
  [1193] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1280),
  [1195] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1411),
  [1197] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1243),
  [1199] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1163),
  [1201] = {.entry = {.count = 1, .reusable = false}}, SHIFT(286),
  [1203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(66),
  [1205] = {.entry = {.count = 1, .reusable = false}}, SHIFT(762),
  [1207] = {.entry = {.count = 1, .reusable = false}}, SHIFT(126),
  [1209] = {.entry = {.count = 1, .reusable = false}}, SHIFT(443),
  [1211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3507),
  [1213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2547),
  [1215] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2597),
  [1217] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2547),
  [1219] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2257),
  [1221] = {.entry = {.count = 1, .reusable = false}}, SHIFT(189),
  [1223] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1326),
  [1225] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1258),
  [1227] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1345),
  [1229] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1181),
  [1231] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1157),
  [1233] = {.entry = {.count = 1, .reusable = false}}, SHIFT(293),
  [1235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(676),
  [1237] = {.entry = {.count = 1, .reusable = false}}, SHIFT(677),
  [1239] = {.entry = {.count = 1, .reusable = false}}, SHIFT(165),
  [1241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(38),
  [1243] = {.entry = {.count = 1, .reusable = false}}, SHIFT(735),
  [1245] = {.entry = {.count = 1, .reusable = false}}, SHIFT(101),
  [1247] = {.entry = {.count = 1, .reusable = false}}, SHIFT(684),
  [1249] = {.entry = {.count = 1, .reusable = false}}, SHIFT(556),
  [1251] = {.entry = {.count = 1, .reusable = false}}, SHIFT(270),
  [1253] = {.entry = {.count = 1, .reusable = false}}, SHIFT(676),
  [1255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(449),
  [1257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3483),
  [1259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1981),
  [1261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5780),
  [1263] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1921),
  [1265] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1981),
  [1267] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2048),
  [1269] = {.entry = {.count = 1, .reusable = false}}, SHIFT(179),
  [1271] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1294),
  [1273] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1298),
  [1275] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1361),
  [1277] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1207),
  [1279] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1161),
  [1281] = {.entry = {.count = 1, .reusable = false}}, SHIFT(283),
  [1283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(71),
  [1285] = {.entry = {.count = 1, .reusable = false}}, SHIFT(745),
  [1287] = {.entry = {.count = 1, .reusable = false}}, SHIFT(109),
  [1289] = {.entry = {.count = 1, .reusable = false}}, SHIFT(429),
  [1291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3500),
  [1293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1709),
  [1295] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1672),
  [1297] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1709),
  [1299] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2221),
  [1301] = {.entry = {.count = 1, .reusable = false}}, SHIFT(184),
  [1303] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1309),
  [1305] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1293),
  [1307] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1314),
  [1309] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1189),
  [1311] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1165),
  [1313] = {.entry = {.count = 1, .reusable = false}}, SHIFT(730),
  [1315] = {.entry = {.count = 1, .reusable = false}}, SHIFT(114),
  [1317] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2353),
  [1319] = {.entry = {.count = 1, .reusable = false}}, SHIFT(182),
  [1321] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1313),
  [1323] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1292),
  [1325] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1367),
  [1327] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1200),
  [1329] = {.entry = {.count = 1, .reusable = false}}, SHIFT(296),
  [1331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(586),
  [1333] = {.entry = {.count = 1, .reusable = false}}, SHIFT(587),
  [1335] = {.entry = {.count = 1, .reusable = false}}, SHIFT(168),
  [1337] = {.entry = {.count = 1, .reusable = false}}, SHIFT(737),
  [1339] = {.entry = {.count = 1, .reusable = false}}, SHIFT(119),
  [1341] = {.entry = {.count = 1, .reusable = false}}, SHIFT(589),
  [1343] = {.entry = {.count = 1, .reusable = false}}, SHIFT(561),
  [1345] = {.entry = {.count = 1, .reusable = false}}, SHIFT(257),
  [1347] = {.entry = {.count = 1, .reusable = false}}, SHIFT(586),
  [1349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(678),
  [1351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5602),
  [1353] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2309),
  [1355] = {.entry = {.count = 1, .reusable = false}}, SHIFT(188),
  [1357] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1312),
  [1359] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1348),
  [1361] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1416),
  [1363] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1234),
  [1365] = {.entry = {.count = 1, .reusable = false}}, SHIFT(295),
  [1367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(612),
  [1369] = {.entry = {.count = 1, .reusable = false}}, SHIFT(613),
  [1371] = {.entry = {.count = 1, .reusable = false}}, SHIFT(170),
  [1373] = {.entry = {.count = 1, .reusable = false}}, SHIFT(765),
  [1375] = {.entry = {.count = 1, .reusable = false}}, SHIFT(128),
  [1377] = {.entry = {.count = 1, .reusable = false}}, SHIFT(615),
  [1379] = {.entry = {.count = 1, .reusable = false}}, SHIFT(588),
  [1381] = {.entry = {.count = 1, .reusable = false}}, SHIFT(263),
  [1383] = {.entry = {.count = 1, .reusable = false}}, SHIFT(612),
  [1385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(680),
  [1387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5727),
  [1389] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2482),
  [1391] = {.entry = {.count = 1, .reusable = false}}, SHIFT(191),
  [1393] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1359),
  [1395] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1246),
  [1397] = {.entry = {.count = 1, .reusable = false}}, SHIFT(281),
  [1399] = {.entry = {.count = 1, .reusable = false}}, SHIFT(509),
  [1401] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1868),
  [1403] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1264),
  [1405] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1340),
  [1407] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1413),
  [1409] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1240),
  [1411] = {.entry = {.count = 1, .reusable = false}}, SHIFT(276),
  [1413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(665),
  [1415] = {.entry = {.count = 1, .reusable = false}}, SHIFT(666),
  [1417] = {.entry = {.count = 1, .reusable = false}}, SHIFT(169),
  [1419] = {.entry = {.count = 1, .reusable = false}}, SHIFT(769),
  [1421] = {.entry = {.count = 1, .reusable = false}}, SHIFT(132),
  [1423] = {.entry = {.count = 1, .reusable = false}}, SHIFT(667),
  [1425] = {.entry = {.count = 1, .reusable = false}}, SHIFT(675),
  [1427] = {.entry = {.count = 1, .reusable = false}}, SHIFT(272),
  [1429] = {.entry = {.count = 1, .reusable = false}}, SHIFT(665),
  [1431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(536),
  [1433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5540),
  [1435] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2527),
  [1437] = {.entry = {.count = 1, .reusable = false}}, SHIFT(192),
  [1439] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1371),
  [1441] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1274),
  [1443] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1323),
  [1445] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1183),
  [1447] = {.entry = {.count = 1, .reusable = false}}, SHIFT(277),
  [1449] = {.entry = {.count = 1, .reusable = false}}, SHIFT(731),
  [1451] = {.entry = {.count = 1, .reusable = false}}, SHIFT(100),
  [1453] = {.entry = {.count = 1, .reusable = false}}, SHIFT(419),
  [1455] = {.entry = {.count = 1, .reusable = false}}, SHIFT(261),
  [1457] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1922),
  [1459] = {.entry = {.count = 1, .reusable = false}}, SHIFT(177),
  [1461] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1303),
  [1463] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1305),
  [1465] = {.entry = {.count = 1, .reusable = false}}, SHIFT(485),
  [1467] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_yield_expression, 1, 0, 0),
  [1469] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_yield_expression, 1, 0, 0),
  [1471] = {.entry = {.count = 1, .reusable = false}}, SHIFT(94),
  [1473] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1907),
  [1475] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1334),
  [1477] = {.entry = {.count = 1, .reusable = false}}, SHIFT(583),
  [1479] = {.entry = {.count = 1, .reusable = false}}, SHIFT(104),
  [1481] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1331),
  [1483] = {.entry = {.count = 1, .reusable = false}}, SHIFT(514),
  [1485] = {.entry = {.count = 1, .reusable = false}}, SHIFT(103),
  [1487] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2359),
  [1489] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1377),
  [1491] = {.entry = {.count = 1, .reusable = false}}, SHIFT(679),
  [1493] = {.entry = {.count = 1, .reusable = false}}, SHIFT(108),
  [1495] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2517),
  [1497] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1392),
  [1499] = {.entry = {.count = 1, .reusable = false}}, SHIFT(453),
  [1501] = {.entry = {.count = 1, .reusable = false}}, SHIFT(125),
  [1503] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2582),
  [1505] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1373),
  [1507] = {.entry = {.count = 1, .reusable = false}}, SHIFT(566),
  [1509] = {.entry = {.count = 1, .reusable = false}}, SHIFT(123),
  [1511] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2526),
  [1513] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1409),
  [1515] = {.entry = {.count = 1, .reusable = false}}, SHIFT(646),
  [1517] = {.entry = {.count = 1, .reusable = false}}, SHIFT(135),
  [1519] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2649),
  [1521] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1404),
  [1523] = {.entry = {.count = 1, .reusable = false}}, SHIFT(593),
  [1525] = {.entry = {.count = 1, .reusable = false}}, SHIFT(130),
  [1527] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2646),
  [1529] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1405),
  [1531] = {.entry = {.count = 1, .reusable = false}}, SHIFT(619),
  [1533] = {.entry = {.count = 1, .reusable = false}}, SHIFT(131),
  [1535] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2648),
  [1537] = {.entry = {.count = 1, .reusable = false}}, SHIFT(539),
  [1539] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2934),
  [1541] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1401),
  [1543] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3479),
  [1545] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4686),
  [1547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(86),
  [1549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(922),
  [1551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4449),
  [1553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4450),
  [1555] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4512),
  [1557] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5480),
  [1559] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4524),
  [1561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3936),
  [1563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3013),
  [1565] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3015),
  [1567] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3013),
  [1569] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1010),
  [1571] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1349),
  [1573] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4383),
  [1575] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3624),
  [1577] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1218),
  [1579] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3505),
  [1581] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3293),
  [1583] = {.entry = {.count = 1, .reusable = false}}, SHIFT(758),
  [1585] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3738),
  [1587] = {.entry = {.count = 1, .reusable = false}}, SHIFT(717),
  [1589] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1220),
  [1591] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5588),
  [1593] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5531),
  [1595] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5532),
  [1597] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1356),
  [1599] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1222),
  [1601] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4140),
  [1603] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1223),
  [1605] = {.entry = {.count = 1, .reusable = false}}, SHIFT(756),
  [1607] = {.entry = {.count = 1, .reusable = false}}, SHIFT(722),
  [1609] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1225),
  [1611] = {.entry = {.count = 1, .reusable = false}}, SHIFT(760),
  [1613] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4514),
  [1615] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1132),
  [1617] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1133),
  [1619] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1134),
  [1621] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1135),
  [1623] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3082),
  [1625] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3265),
  [1627] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1388),
  [1629] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3474),
  [1631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(90),
  [1633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(879),
  [1635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4466),
  [1637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4469),
  [1639] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4442),
  [1641] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1031),
  [1643] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1032),
  [1645] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5717),
  [1647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4014),
  [1649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3268),
  [1651] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3269),
  [1653] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3268),
  [1655] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1033),
  [1657] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1034),
  [1659] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1328),
  [1661] = {.entry = {.count = 1, .reusable = false}}, SHIFT(106),
  [1663] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2328),
  [1665] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2124),
  [1667] = {.entry = {.count = 1, .reusable = false}}, SHIFT(83),
  [1669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3828),
  [1671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(215),
  [1673] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2128),
  [1675] = {.entry = {.count = 1, .reusable = false}}, SHIFT(84),
  [1677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3704),
  [1679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4641),
  [1681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3802),
  [1683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3884),
  [1685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4809),
  [1687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3722),
  [1689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3732),
  [1691] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1375),
  [1693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(247),
  [1695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1932),
  [1697] = {.entry = {.count = 1, .reusable = false}}, SHIFT(107),
  [1699] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2480),
  [1701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2449),
  [1703] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_statement_block, 2, 0, 0),
  [1705] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_statement_block, 2, 0, 0),
  [1707] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object, 2, 0, 0),
  [1709] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_pattern, 2, 0, 0),
  [1711] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object, 2, 0, 0),
  [1713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(746),
  [1715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1729),
  [1717] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__module, 1, 0, 5),
  [1719] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__module, 1, 0, 5),
  [1721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19),
  [1723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1706),
  [1725] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5704),
  [1727] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5508),
  [1729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1793),
  [1731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2612),
  [1733] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, 0, 191),
  [1735] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, 0, 191),
  [1737] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 5, 0, 191),
  [1739] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 5, 0, 191),
  [1741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(818),
  [1743] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 4, 0, 150),
  [1745] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 4, 0, 150),
  [1747] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 4, 0, 150),
  [1749] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 4, 0, 150),
  [1751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(916),
  [1753] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 4, 0, 113),
  [1755] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 4, 0, 113),
  [1757] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 4, 0, 113),
  [1759] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 4, 0, 113),
  [1761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(863),
  [1763] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_internal_module, 2, 0, 6),
  [1765] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_internal_module, 2, 0, 6),
  [1767] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, 0, 169),
  [1769] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, 0, 169),
  [1771] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 5, 0, 169),
  [1773] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 5, 0, 169),
  [1775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(881),
  [1777] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_predefined_type, 1, 0, 0),
  [1779] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_predefined_type, 1, 0, 0),
  [1781] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 5, 0, 173),
  [1783] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 5, 0, 173),
  [1785] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_expression, 5, 0, 173),
  [1787] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_expression, 5, 0, 173),
  [1789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(882),
  [1791] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generator_function_declaration, 5, 0, 173),
  [1793] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generator_function_declaration, 5, 0, 173),
  [1795] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generator_function, 5, 0, 173),
  [1797] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generator_function, 5, 0, 173),
  [1799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(884),
  [1801] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_statement_block, 3, 0, 0),
  [1803] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_statement_block, 3, 0, 0),
  [1805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(233),
  [1807] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_body, 2, 0, 0),
  [1809] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_body, 2, 0, 0),
  [1811] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 3, 0, 51),
  [1813] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 3, 0, 51),
  [1815] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 3, 0, 51),
  [1817] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 3, 0, 51),
  [1819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(844),
  [1821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(225),
  [1823] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 4, 0, 114),
  [1825] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 4, 0, 114),
  [1827] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 4, 0, 114),
  [1829] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 4, 0, 114),
  [1831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(871),
  [1833] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, 0, 192),
  [1835] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, 0, 192),
  [1837] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 5, 0, 192),
  [1839] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 5, 0, 192),
  [1841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(870),
  [1843] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_statement_block, 4, 0, 0),
  [1845] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_statement_block, 4, 0, 0),
  [1847] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_body, 3, 0, 112),
  [1849] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_body, 3, 0, 112),
  [1851] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generator_function_declaration, 6, 0, 219),
  [1853] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generator_function_declaration, 6, 0, 219),
  [1855] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generator_function, 6, 0, 219),
  [1857] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generator_function, 6, 0, 219),
  [1859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(864),
  [1861] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__module, 2, 0, 30),
  [1863] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__module, 2, 0, 30),
  [1865] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 6, 0, 233),
  [1867] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 6, 0, 233),
  [1869] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 6, 0, 233),
  [1871] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 6, 0, 233),
  [1873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(895),
  [1875] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 4, 0, 123),
  [1877] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 4, 0, 123),
  [1879] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_expression, 4, 0, 123),
  [1881] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_expression, 4, 0, 123),
  [1883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(852),
  [1885] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration, 1, 0, 0),
  [1887] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration, 1, 0, 0),
  [1889] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression, 1, 0, 0),
  [1891] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression, 1, 0, 0),
  [1893] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nested_identifier, 3, 0, 77),
  [1895] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_nested_identifier, 3, 0, 77),
  [1897] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nested_identifier, 3, 0, 90),
  [1899] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_nested_identifier, 3, 0, 90),
  [1901] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1355),
  [1903] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1362),
  [1905] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1195),
  [1907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1498),
  [1909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(255),
  [1911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(216),
  [1913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3998),
  [1915] = {.entry = {.count = 1, .reusable = false}}, SHIFT(738),
  [1917] = {.entry = {.count = 1, .reusable = false}}, SHIFT(112),
  [1919] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2587),
  [1921] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string, 2, 0, 0),
  [1923] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string, 2, 0, 0),
  [1925] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string, 3, 0, 0),
  [1927] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string, 3, 0, 0),
  [1929] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1393),
  [1931] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1395),
  [1933] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1231),
  [1935] = {.entry = {.count = 1, .reusable = false}}, SHIFT(761),
  [1937] = {.entry = {.count = 1, .reusable = false}}, SHIFT(116),
  [1939] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_repeat1, 1, 0, 0), REDUCE(aux_sym_array_pattern_repeat1, 1, 0, 0),
  [1942] = {.entry = {.count = 3, .reusable = true}}, REDUCE(aux_sym_array_repeat1, 1, 0, 0), REDUCE(aux_sym_array_pattern_repeat1, 1, 0, 0), SHIFT(3263),
  [1946] = {.entry = {.count = 3, .reusable = true}}, REDUCE(aux_sym_array_repeat1, 1, 0, 0), REDUCE(aux_sym_array_pattern_repeat1, 1, 0, 0), SHIFT(3017),
  [1950] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1360),
  [1952] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1369),
  [1954] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1196),
  [1956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1499),
  [1958] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3607),
  [1960] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1197),
  [1962] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3608),
  [1964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(206),
  [1966] = {.entry = {.count = 1, .reusable = false}}, SHIFT(739),
  [1968] = {.entry = {.count = 1, .reusable = false}}, SHIFT(111),
  [1970] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2475),
  [1972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3584),
  [1974] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_array_pattern_repeat1, 1, 0, 0),
  [1976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(289),
  [1978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3497),
  [1980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(440),
  [1982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1527),
  [1984] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_accessibility_modifier, 1, 0, 0),
  [1986] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_accessibility_modifier, 1, 0, 0),
  [1988] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_override_modifier, 1, 0, 0),
  [1990] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_override_modifier, 1, 0, 0),
  [1992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3240),
  [1994] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3304),
  [1996] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2116),
  [1998] = {.entry = {.count = 1, .reusable = false}}, SHIFT(81),
  [2000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3143),
  [2002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1801),
  [2004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(977),
  [2006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2592),
  [2008] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1213),
  [2010] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1935),
  [2012] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1279),
  [2014] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1643),
  [2016] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1237),
  [2018] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1980),
  [2020] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2180),
  [2022] = {.entry = {.count = 1, .reusable = false}}, SHIFT(75),
  [2024] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_array_repeat1, 1, 0, 0),
  [2026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(478),
  [2028] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1230),
  [2030] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1338),
  [2032] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1277),
  [2034] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1344),
  [2036] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2250),
  [2038] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1269),
  [2040] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2451),
  [2042] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1301),
  [2044] = {.entry = {.count = 1, .reusable = false}}, SHIFT(79),
  [2046] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1260),
  [2048] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1265),
  [2050] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1307),
  [2052] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1242),
  [2054] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1304),
  [2056] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1288),
  [2058] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1249),
  [2060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(918),
  [2062] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2182),
  [2064] = {.entry = {.count = 1, .reusable = false}}, SHIFT(76),
  [2066] = {.entry = {.count = 1, .reusable = false}}, SHIFT(80),
  [2068] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2304),
  [2070] = {.entry = {.count = 1, .reusable = false}}, SHIFT(78),
  [2072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(54),
  [2074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(59),
  [2076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(42),
  [2078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(43),
  [2080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(46),
  [2082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(53),
  [2084] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1418),
  [2086] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1406),
  [2088] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1245),
  [2090] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3757),
  [2092] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1254),
  [2094] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3773),
  [2096] = {.entry = {.count = 1, .reusable = false}}, SHIFT(771),
  [2098] = {.entry = {.count = 1, .reusable = false}}, SHIFT(127),
  [2100] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2625),
  [2102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(40),
  [2104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(48),
  [2106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7),
  [2108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6),
  [2110] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1384),
  [2112] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1386),
  [2114] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1232),
  [2116] = {.entry = {.count = 1, .reusable = false}}, SHIFT(759),
  [2118] = {.entry = {.count = 1, .reusable = false}}, SHIFT(122),
  [2120] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1397),
  [2122] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1394),
  [2124] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1214),
  [2126] = {.entry = {.count = 1, .reusable = false}}, SHIFT(747),
  [2128] = {.entry = {.count = 1, .reusable = false}}, SHIFT(117),
  [2130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8),
  [2132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1982),
  [2134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1592),
  [2136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2252),
  [2138] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1263),
  [2140] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1255),
  [2142] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1175),
  [2144] = {.entry = {.count = 1, .reusable = false}}, SHIFT(725),
  [2146] = {.entry = {.count = 1, .reusable = false}}, SHIFT(89),
  [2148] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1799),
  [2150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2389),
  [2152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1937),
  [2154] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1431),
  [2156] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1427),
  [2158] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1261),
  [2160] = {.entry = {.count = 1, .reusable = false}}, SHIFT(791),
  [2162] = {.entry = {.count = 1, .reusable = false}}, SHIFT(140),
  [2164] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2667),
  [2166] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1450),
  [2168] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1434),
  [2170] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1275),
  [2172] = {.entry = {.count = 1, .reusable = false}}, SHIFT(782),
  [2174] = {.entry = {.count = 1, .reusable = false}}, SHIFT(143),
  [2176] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2679),
  [2178] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1439),
  [2180] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1420),
  [2182] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1276),
  [2184] = {.entry = {.count = 1, .reusable = false}}, SHIFT(793),
  [2186] = {.entry = {.count = 1, .reusable = false}}, SHIFT(139),
  [2188] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2713),
  [2190] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1443),
  [2192] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1442),
  [2194] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1256),
  [2196] = {.entry = {.count = 1, .reusable = false}}, SHIFT(805),
  [2198] = {.entry = {.count = 1, .reusable = false}}, SHIFT(142),
  [2200] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2714),
  [2202] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1452),
  [2204] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1451),
  [2206] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1270),
  [2208] = {.entry = {.count = 1, .reusable = false}}, SHIFT(798),
  [2210] = {.entry = {.count = 1, .reusable = false}}, SHIFT(144),
  [2212] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2666),
  [2214] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1423),
  [2216] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1421),
  [2218] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1251),
  [2220] = {.entry = {.count = 1, .reusable = false}}, SHIFT(784),
  [2222] = {.entry = {.count = 1, .reusable = false}}, SHIFT(149),
  [2224] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2700),
  [2226] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1432),
  [2228] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1430),
  [2230] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1252),
  [2232] = {.entry = {.count = 1, .reusable = false}}, SHIFT(804),
  [2234] = {.entry = {.count = 1, .reusable = false}}, SHIFT(146),
  [2236] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2660),
  [2238] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1438),
  [2240] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1437),
  [2242] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1273),
  [2244] = {.entry = {.count = 1, .reusable = false}}, SHIFT(775),
  [2246] = {.entry = {.count = 1, .reusable = false}}, SHIFT(137),
  [2248] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2665),
  [2250] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1363),
  [2252] = {.entry = {.count = 1, .reusable = false}}, SHIFT(110),
  [2254] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2465),
  [2256] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1447),
  [2258] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1446),
  [2260] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1250),
  [2262] = {.entry = {.count = 1, .reusable = false}}, SHIFT(806),
  [2264] = {.entry = {.count = 1, .reusable = false}}, SHIFT(148),
  [2266] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2654),
  [2268] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1454),
  [2270] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1453),
  [2272] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1267),
  [2274] = {.entry = {.count = 1, .reusable = false}}, SHIFT(799),
  [2276] = {.entry = {.count = 1, .reusable = false}}, SHIFT(138),
  [2278] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2706),
  [2280] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4781),
  [2282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(175),
  [2284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4922),
  [2286] = {.entry = {.count = 1, .reusable = false}}, SHIFT(413),
  [2288] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5837),
  [2290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3843),
  [2292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3311),
  [2294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5872),
  [2296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3633),
  [2298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3719),
  [2300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3475),
  [2302] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 1), REDUCE(sym__property_name, 1, 0, 7),
  [2305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5786),
  [2307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5485),
  [2309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5190),
  [2311] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 1), REDUCE(sym__property_name, 1, 0, 7),
  [2314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2791),
  [2316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3791),
  [2318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5881),
  [2320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5707),
  [2322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5730),
  [2324] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4405),
  [2326] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4403),
  [2328] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 1), SHIFT(2850),
  [2331] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 1), REDUCE(sym__property_name, 1, 0, 7), SHIFT(201),
  [2335] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 1), SHIFT(414),
  [2338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4501),
  [2340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4503),
  [2342] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3685),
  [2344] = {.entry = {.count = 3, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 1), REDUCE(sym__property_name, 1, 0, 7), SHIFT(4524),
  [2348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3797),
  [2350] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2734),
  [2352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5585),
  [2354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3544),
  [2356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5366),
  [2358] = {.entry = {.count = 1, .reusable = false}}, SHIFT(438),
  [2360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(181),
  [2362] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3796),
  [2364] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2731),
  [2366] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2736),
  [2368] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2764),
  [2370] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2803),
  [2372] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_type, 2, 0, 0),
  [2374] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_type, 2, 0, 0),
  [2376] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_type, 3, 0, 0),
  [2378] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_type, 3, 0, 0),
  [2380] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_type, 4, 0, 0),
  [2382] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_type, 4, 0, 0),
  [2384] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_type, 5, 0, 0),
  [2386] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_type, 5, 0, 0),
  [2388] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_type, 6, 0, 0),
  [2390] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_type, 6, 0, 0),
  [2392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5634),
  [2394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3890),
  [2396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5850),
  [2398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3624),
  [2400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3626),
  [2402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3505),
  [2404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5552),
  [2406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5851),
  [2408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5353),
  [2410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2792),
  [2412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3548),
  [2414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5588),
  [2416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5149),
  [2418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5531),
  [2420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5532),
  [2422] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5843),
  [2424] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5841),
  [2426] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 1), SHIFT(201),
  [2429] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3630),
  [2431] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 1), SHIFT(4524),
  [2434] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5599),
  [2436] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5584),
  [2438] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5604),
  [2440] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5848),
  [2442] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3725),
  [2444] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5616),
  [2446] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5567),
  [2448] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3723),
  [2450] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5790),
  [2452] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5788),
  [2454] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5608),
  [2456] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5607),
  [2458] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5492),
  [2460] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5491),
  [2462] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 2, 0, 11),
  [2464] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 2, 0, 11),
  [2466] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4523),
  [2468] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5226),
  [2470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(757),
  [2472] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5612),
  [2474] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5610),
  [2476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(751),
  [2478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(753),
  [2480] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3740),
  [2482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16),
  [2484] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5618),
  [2486] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5651),
  [2488] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5743),
  [2490] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5732),
  [2492] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5544),
  [2494] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5543),
  [2496] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 3, 0, 47),
  [2498] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 3, 0, 47),
  [2500] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_expression, 4, 0, 101),
  [2502] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_expression, 4, 0, 101),
  [2504] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_catch_clause, 6, 0, 276),
  [2506] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_catch_clause, 6, 0, 276),
  [2508] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_catch_clause, 2, 0, 11),
  [2510] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_catch_clause, 2, 0, 11),
  [2512] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 3, 0, 39),
  [2514] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 3, 0, 39),
  [2516] = {.entry = {.count = 1, .reusable = false}}, SHIFT(51),
  [2518] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_expression, 3, 0, 0),
  [2520] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_expression, 3, 0, 0),
  [2522] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_empty_statement, 1, 0, 0),
  [2524] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_empty_statement, 1, 0, 0),
  [2526] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_do_statement, 4, 0, 107),
  [2528] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_do_statement, 4, 0, 107),
  [2530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(837),
  [2532] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_catch_clause, 5, 0, 243),
  [2534] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_catch_clause, 5, 0, 243),
  [2536] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 8, 0, 274),
  [2538] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 8, 0, 274),
  [2540] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_class_declaration, 5, 0, 183),
  [2542] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_class_declaration, 5, 0, 183),
  [2544] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 4, 0, 87),
  [2546] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 4, 0, 87),
  [2548] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 4, 0, 88),
  [2550] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 4, 0, 88),
  [2552] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 4, 0, 0),
  [2554] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 4, 0, 0),
  [2556] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_class_declaration, 5, 0, 194),
  [2558] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_class_declaration, 5, 0, 194),
  [2560] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3207),
  [2562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5515),
  [2564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3463),
  [2566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(154),
  [2568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5480),
  [2570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4524),
  [2572] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_statement, 6, 0, 153),
  [2574] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_statement, 6, 0, 153),
  [2576] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 6, 0, 191),
  [2578] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 6, 0, 191),
  [2580] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 7, 0, 240),
  [2582] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 7, 0, 240),
  [2584] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_finally_clause, 2, 0, 11),
  [2586] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_finally_clause, 2, 0, 11),
  [2588] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 7, 0, 241),
  [2590] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 7, 0, 241),
  [2592] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_break_statement, 3, 0, 49),
  [2594] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_break_statement, 3, 0, 49),
  [2596] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_statement, 2, 0, 0),
  [2598] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression_statement, 2, 0, 0),
  [2600] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 8, 0, 273),
  [2602] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 8, 0, 273),
  [2604] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 7, 0, 242),
  [2606] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 7, 0, 242),
  [2608] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_body, 3, 0, 0),
  [2610] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_body, 3, 0, 0),
  [2612] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_statement, 3, 0, 34),
  [2614] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_statement, 3, 0, 34),
  [2616] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_statement, 4, 0, 94),
  [2618] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_statement, 4, 0, 94),
  [2620] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_statement, 4, 0, 0),
  [2622] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_statement, 4, 0, 0),
  [2624] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_statement, 4, 0, 87),
  [2626] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_statement, 4, 0, 87),
  [2628] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_statement, 4, 0, 34),
  [2630] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_statement, 4, 0, 34),
  [2632] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_do_statement, 5, 0, 107),
  [2634] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_do_statement, 5, 0, 107),
  [2636] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 8, 0, 275),
  [2638] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 8, 0, 275),
  [2640] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declaration, 4, 0, 0),
  [2642] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_variable_declaration, 4, 0, 0),
  [2644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5535),
  [2646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2005),
  [2648] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 4, 0, 108),
  [2650] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 4, 0, 108),
  [2652] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lexical_declaration, 4, 0, 38),
  [2654] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lexical_declaration, 4, 0, 38),
  [2656] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_break_statement, 2, 0, 0),
  [2658] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_break_statement, 2, 0, 0),
  [2660] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 4, 0, 51),
  [2662] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 4, 0, 51),
  [2664] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration, 4, 0, 98),
  [2666] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration, 4, 0, 98),
  [2668] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_statement, 3, 0, 0),
  [2670] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_statement, 3, 0, 0),
  [2672] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_class_declaration, 4, 0, 142),
  [2674] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_class_declaration, 4, 0, 142),
  [2676] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_with_statement, 3, 0, 35),
  [2678] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_with_statement, 3, 0, 35),
  [2680] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_continue_statement, 2, 0, 0),
  [2682] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_continue_statement, 2, 0, 0),
  [2684] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_class_declaration, 6, 0, 235),
  [2686] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_class_declaration, 6, 0, 235),
  [2688] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_declaration, 4, 0, 145),
  [2690] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_declaration, 4, 0, 145),
  [2692] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 5, 0, 123),
  [2694] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 5, 0, 123),
  [2696] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 9, 0, 300),
  [2698] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 9, 0, 300),
  [2700] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_continue_statement, 3, 0, 49),
  [2702] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_continue_statement, 3, 0, 49),
  [2704] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_signature, 5, 0, 172),
  [2706] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_signature, 5, 0, 172),
  [2708] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 4, 0, 99),
  [2710] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 4, 0, 99),
  [2712] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_statement, 3, 0, 0),
  [2714] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_return_statement, 3, 0, 0),
  [2716] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_body, 2, 0, 0),
  [2718] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_body, 2, 0, 0),
  [2720] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declaration, 3, 0, 0),
  [2722] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_variable_declaration, 3, 0, 0),
  [2724] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lexical_declaration, 3, 0, 38),
  [2726] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lexical_declaration, 3, 0, 38),
  [2728] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_body, 3, 0, 89),
  [2730] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_body, 3, 0, 89),
  [2732] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_statement, 3, 0, 40),
  [2734] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_statement, 3, 0, 40),
  [2736] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, 0, 113),
  [2738] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, 0, 113),
  [2740] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generator_function_declaration, 7, 0, 219),
  [2742] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generator_function_declaration, 7, 0, 219),
  [2744] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_statement, 3, 0, 46),
  [2746] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while_statement, 3, 0, 46),
  [2748] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_declaration, 4, 0, 146),
  [2750] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_declaration, 4, 0, 146),
  [2752] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_body, 2, 0, 0),
  [2754] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_body, 2, 0, 0),
  [2756] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ambient_declaration, 2, 0, 0),
  [2758] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ambient_declaration, 2, 0, 0),
  [2760] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 6, 0, 192),
  [2762] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 6, 0, 192),
  [2764] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, 0, 114),
  [2766] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, 0, 114),
  [2768] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_throw_statement, 3, 0, 0),
  [2770] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_throw_statement, 3, 0, 0),
  [2772] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_declaration, 5, 0, 186),
  [2774] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_declaration, 5, 0, 186),
  [2776] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 5, 0, 190),
  [2778] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 5, 0, 190),
  [2780] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 6, 0, 201),
  [2782] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 6, 0, 201),
  [2784] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 3, 0, 0),
  [2786] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 3, 0, 0),
  [2788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5523),
  [2790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3288),
  [2792] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 6, 0, 169),
  [2794] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 6, 0, 169),
  [2796] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 6, 0, 173),
  [2798] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 6, 0, 173),
  [2800] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_in_statement, 4, 0, 100),
  [2802] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_in_statement, 4, 0, 100),
  [2804] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generator_function_declaration, 6, 0, 173),
  [2806] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generator_function_declaration, 6, 0, 173),
  [2808] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ambient_declaration, 7, 0, 267),
  [2810] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ambient_declaration, 7, 0, 267),
  [2812] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ambient_declaration, 3, 0, 0),
  [2814] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ambient_declaration, 3, 0, 0),
  [2816] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_statement, 1, 0, 0),
  [2818] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_statement, 1, 0, 0),
  [2820] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 5, 0, 153),
  [2822] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 5, 0, 153),
  [2824] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_body, 5, 0, 230),
  [2826] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_body, 5, 0, 230),
  [2828] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_body, 5, 0, 232),
  [2830] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_body, 5, 0, 232),
  [2832] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_class_declaration, 6, 0, 228),
  [2834] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_class_declaration, 6, 0, 228),
  [2836] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_body, 4, 0, 89),
  [2838] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_body, 4, 0, 89),
  [2840] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 7, 0, 233),
  [2842] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 7, 0, 233),
  [2844] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 5, 0, 0),
  [2846] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 5, 0, 0),
  [2848] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_body, 4, 0, 230),
  [2850] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_body, 4, 0, 230),
  [2852] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_class_declaration, 7, 0, 268),
  [2854] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_class_declaration, 7, 0, 268),
  [2856] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_signature, 4, 0, 122),
  [2858] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_signature, 4, 0, 122),
  [2860] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_declaration, 3, 0, 75),
  [2862] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_declaration, 3, 0, 75),
  [2864] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_alias_declaration, 5, 0, 155),
  [2866] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_alias_declaration, 5, 0, 155),
  [2868] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_debugger_statement, 2, 0, 0),
  [2870] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_debugger_statement, 2, 0, 0),
  [2872] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_body, 4, 0, 0),
  [2874] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_body, 4, 0, 0),
  [2876] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_statement, 5, 0, 153),
  [2878] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_statement, 5, 0, 153),
  [2880] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_statement, 5, 0, 94),
  [2882] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_statement, 5, 0, 94),
  [2884] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration, 3, 0, 76),
  [2886] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration, 3, 0, 76),
  [2888] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_class_declaration, 6, 0, 234),
  [2890] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_class_declaration, 6, 0, 234),
  [2892] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_statement, 5, 0, 0),
  [2894] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_statement, 5, 0, 0),
  [2896] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_alias, 5, 0, 0),
  [2898] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_alias, 5, 0, 0),
  [2900] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_statement, 5, 0, 87),
  [2902] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_statement, 5, 0, 87),
  [2904] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, 0, 150),
  [2906] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, 0, 150),
  [2908] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_statement, 2, 0, 0),
  [2910] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_return_statement, 2, 0, 0),
  [2912] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_else_clause, 2, 0, 0),
  [2914] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_else_clause, 2, 0, 0),
  [2916] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 3, 0, 48),
  [2918] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 3, 0, 48),
  [2920] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_body, 4, 0, 232),
  [2922] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_body, 4, 0, 232),
  [2924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5654),
  [2926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3029),
  [2928] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 2, 0, 4),
  [2930] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 2, 0, 4),
  [2932] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_body, 3, 0, 0),
  [2934] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_body, 3, 0, 0),
  [2936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5538),
  [2938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1531),
  [2940] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 3, 0, 85),
  [2942] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 3, 0, 85),
  [2944] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_alias_declaration, 6, 0, 196),
  [2946] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_alias_declaration, 6, 0, 196),
  [2948] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 3, 0, 26),
  [2950] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 3, 0, 26),
  [2952] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module, 2, 0, 6),
  [2954] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module, 2, 0, 6),
  [2956] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_in_statement, 3, 0, 41),
  [2958] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_in_statement, 3, 0, 41),
  [2960] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_labeled_statement, 3, -1, 28),
  [2962] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_labeled_statement, 3, -1, 28),
  [2964] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_class_declaration, 5, 0, 182),
  [2966] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_class_declaration, 5, 0, 182),
  [2968] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 4, 0, 149),
  [2970] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 4, 0, 149),
  [2972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3260),
  [2974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1571),
  [2976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2997),
  [2978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3422),
  [2980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3266),
  [2982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2059),
  [2984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3342),
  [2986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2032),
  [2988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3002),
  [2990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1546),
  [2992] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__for_header, 7, 0, 271),
  [2994] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_header, 7, 0, 271),
  [2996] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__for_header, 6, 0, 239),
  [2998] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_header, 6, 0, 239),
  [3000] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__for_header, 5, 0, 200),
  [3002] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_header, 5, 0, 200),
  [3004] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__for_header, 7, 0, 272),
  [3006] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_header, 7, 0, 272),
  [3008] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__for_header, 5, 0, 199),
  [3010] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_header, 5, 0, 199),
  [3012] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3250),
  [3014] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3511),
  [3016] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3087),
  [3018] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3027),
  [3020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5717),
  [3022] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3175),
  [3024] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3065),
  [3026] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3100),
  [3028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3366),
  [3030] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1389),
  [3032] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3504),
  [3034] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3388),
  [3036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(92),
  [3038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(814),
  [3040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4396),
  [3042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4397),
  [3044] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4459),
  [3046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1084),
  [3048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1085),
  [3050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5722),
  [3052] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3305),
  [3054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4080),
  [3056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3369),
  [3058] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3306),
  [3060] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3369),
  [3062] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1086),
  [3064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1087),
  [3066] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5828),
  [3068] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3048),
  [3070] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5803),
  [3072] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1089),
  [3074] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5809),
  [3076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1389),
  [3078] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3317),
  [3080] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1387),
  [3082] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3471),
  [3084] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4455),
  [3086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1108),
  [3088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1109),
  [3090] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3641),
  [3092] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1110),
  [3094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1111),
  [3096] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5854),
  [3098] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3064),
  [3100] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5629),
  [3102] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1112),
  [3104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1387),
  [3106] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2920),
  [3108] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3060),
  [3110] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3061),
  [3112] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1734),
  [3114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1929),
  [3116] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1379),
  [3118] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3492),
  [3120] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1915),
  [3122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(88),
  [3124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(840),
  [3126] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4429),
  [3128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1140),
  [3130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1141),
  [3132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5678),
  [3134] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1822),
  [3136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3922),
  [3138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1938),
  [3140] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1814),
  [3142] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1938),
  [3144] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1142),
  [3146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1143),
  [3148] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5628),
  [3150] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3052),
  [3152] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5784),
  [3154] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1144),
  [3156] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5832),
  [3158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1379),
  [3160] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1510),
  [3162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1614),
  [3164] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1396),
  [3166] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3509),
  [3168] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1616),
  [3170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(91),
  [3172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(925),
  [3174] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4490),
  [3176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1066),
  [3178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1067),
  [3180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5681),
  [3182] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1522),
  [3184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4050),
  [3186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1619),
  [3188] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1513),
  [3190] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1619),
  [3192] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1068),
  [3194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1069),
  [3196] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5817),
  [3198] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3049),
  [3200] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5816),
  [3202] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1070),
  [3204] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5845),
  [3206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1396),
  [3208] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arguments, 2, 0, 0),
  [3210] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 2, 0, 0),
  [3212] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arguments, 3, 0, 0),
  [3214] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 3, 0, 0),
  [3216] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arguments, 4, 0, 0),
  [3218] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 4, 0, 0),
  [3220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3429),
  [3222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3352),
  [3224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1538),
  [3226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1162),
  [3228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3035),
  [3230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3190),
  [3232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3228),
  [3234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1999),
  [3236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1650),
  [3238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1615),
  [3240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2035),
  [3242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3396),
  [3244] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3099),
  [3246] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3514),
  [3248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2002),
  [3250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1160),
  [3252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3333),
  [3254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3182),
  [3256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3399),
  [3258] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1517),
  [3260] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1625),
  [3262] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1790),
  [3264] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1976),
  [3266] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3217),
  [3268] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3374),
  [3270] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1911),
  [3272] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3373),
  [3274] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1632),
  [3276] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3210),
  [3278] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1484),
  [3280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2823),
  [3282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1964),
  [3284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1179),
  [3286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2464),
  [3288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(197),
  [3290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1474),
  [3292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(242),
  [3294] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1738),
  [3296] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3075),
  [3298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5720),
  [3300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3156),
  [3302] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1719),
  [3304] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1740),
  [3306] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1785),
  [3308] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2163),
  [3310] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2164),
  [3312] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5781),
  [3314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(710),
  [3316] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_arguments, 3, 0, 0),
  [3318] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_arguments, 3, 0, 0),
  [3320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1934),
  [3322] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3211),
  [3324] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1482),
  [3326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1949),
  [3328] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1769),
  [3330] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3069),
  [3332] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1720),
  [3334] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1724),
  [3336] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1825),
  [3338] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2165),
  [3340] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2166),
  [3342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1180),
  [3344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1878),
  [3346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1480),
  [3348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3291),
  [3350] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3198),
  [3352] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1483),
  [3354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2021),
  [3356] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1775),
  [3358] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3081),
  [3360] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1722),
  [3362] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1777),
  [3364] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1835),
  [3366] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2151),
  [3368] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2152),
  [3370] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3204),
  [3372] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1486),
  [3374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1787),
  [3376] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1733),
  [3378] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3053),
  [3380] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1689),
  [3382] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1736),
  [3384] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1791),
  [3386] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2156),
  [3388] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2157),
  [3390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1954),
  [3392] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_arguments, 5, 0, 0),
  [3394] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_arguments, 5, 0, 0),
  [3396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1532),
  [3398] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_arguments, 4, 0, 0),
  [3400] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_arguments, 4, 0, 0),
  [3402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2158),
  [3404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2161),
  [3406] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3212),
  [3408] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1493),
  [3410] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1772),
  [3412] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3057),
  [3414] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1721),
  [3416] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1774),
  [3418] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1831),
  [3420] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2168),
  [3422] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2169),
  [3424] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3503),
  [3426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2038),
  [3428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(253),
  [3430] = {.entry = {.count = 1, .reusable = false}}, SHIFT(763),
  [3432] = {.entry = {.count = 1, .reusable = false}}, SHIFT(211),
  [3434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4462),
  [3436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4513),
  [3438] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1603),
  [3440] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3299),
  [3442] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1508),
  [3444] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_object_repeat1, 1, 0, 0), REDUCE(aux_sym_object_pattern_repeat1, 1, 0, 0),
  [3447] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2070),
  [3449] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3185),
  [3451] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1872),
  [3453] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2072),
  [3455] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2321),
  [3457] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2533),
  [3459] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2535),
  [3461] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1604),
  [3463] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4525),
  [3465] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_member_expression, 3, 0, 80),
  [3467] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_member_expression, 3, 0, 80),
  [3469] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3309),
  [3471] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_member_expression, 3, 0, 77),
  [3473] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_member_expression, 3, 0, 77),
  [3475] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_non_null_expression, 2, 0, 0),
  [3477] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_non_null_expression, 2, 0, 0),
  [3479] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_member_expression, 3, 0, 78),
  [3481] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_member_expression, 3, 0, 78),
  [3483] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_member_expression, 3, 0, 79),
  [3485] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_member_expression, 3, 0, 79),
  [3487] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_member_expression_in_type_annotation, 3, 0, 77),
  [3489] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_member_expression_in_type_annotation, 3, 0, 78),
  [3491] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript_expression, 4, 0, 147),
  [3493] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript_expression, 4, 0, 147),
  [3495] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript_expression, 5, 0, 188),
  [3497] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript_expression, 5, 0, 188),
  [3499] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 0),
  [3501] = {.entry = {.count = 1, .reusable = false}}, SHIFT(486),
  [3503] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 0),
  [3505] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_query, 2, 0, 0),
  [3507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(266),
  [3509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5373),
  [3511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(338),
  [3513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5007),
  [3515] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__augmented_assignment_lhs, 1, 0, 0),
  [3517] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_query, 2, 0, 0),
  [3519] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1006),
  [3521] = {.entry = {.count = 1, .reusable = false}}, SHIFT(420),
  [3523] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 0), REDUCE(sym__property_name, 1, 0, 7),
  [3526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(359),
  [3528] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 0), REDUCE(sym__property_name, 1, 0, 7),
  [3531] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3477),
  [3533] = {.entry = {.count = 1, .reusable = false}}, SHIFT(540),
  [3535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(271),
  [3537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5212),
  [3539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4539),
  [3541] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1083),
  [3543] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_pattern, 1, -1, 0), SHIFT(486),
  [3546] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 0), REDUCE(sym_pattern, 1, -1, 0), REDUCE(sym_primary_type, 1, 0, 14),
  [3550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1012),
  [3552] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 0), REDUCE(sym_primary_type, 1, 0, 14),
  [3555] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 0), SHIFT(5537),
  [3558] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 0), REDUCE(sym_primary_type, 1, 0, 14),
  [3561] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 0), SHIFT(1083),
  [3564] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_type, 1, 0, 14), SHIFT(5199),
  [3567] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_primary_type, 1, 0, 14),
  [3569] = {.entry = {.count = 1, .reusable = false}}, SHIFT(524),
  [3571] = {.entry = {.count = 1, .reusable = false}}, SHIFT(515),
  [3573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(347),
  [3575] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 0), SHIFT(5546),
  [3578] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 0), SHIFT(1006),
  [3581] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_decorator, 2, 0, 0),
  [3583] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_decorator, 2, 0, 0),
  [3585] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5808),
  [3587] = {.entry = {.count = 1, .reusable = false}}, SHIFT(567),
  [3589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(364),
  [3591] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_decorator_call_expression, 3, 0, 81),
  [3593] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_decorator_call_expression, 3, 0, 81),
  [3595] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4808),
  [3597] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 1), SHIFT(253),
  [3600] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_export_statement_repeat1, 2, 0, 25),
  [3602] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_export_statement_repeat1, 2, 0, 25),
  [3604] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_export_statement_repeat1, 2, 0, 25), SHIFT(3320),
  [3607] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_export_statement_repeat1, 2, 0, 25), SHIFT_REPEAT(3910),
  [3610] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_pattern, 1, -1, 0), SHIFT(540),
  [3613] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pattern, 1, -1, 0),
  [3615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(356),
  [3617] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pattern, 1, -1, 0),
  [3619] = {.entry = {.count = 1, .reusable = false}}, SHIFT(397),
  [3621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(332),
  [3623] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_rest_pattern, 2, 0, 0),
  [3625] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_rest_pattern, 2, 0, 0),
  [3627] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 1), REDUCE(sym_predefined_type, 1, 0, 0),
  [3630] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 1), REDUCE(sym_predefined_type, 1, 0, 0),
  [3633] = {.entry = {.count = 1, .reusable = false}}, SHIFT(454),
  [3635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(318),
  [3637] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_decorator_call_expression, 2, 0, 20),
  [3639] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_decorator_call_expression, 2, 0, 20),
  [3641] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_pattern, 1, -1, 0), REDUCE(sym_primary_type, 1, 0, 14),
  [3644] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_pattern, 1, -1, 0), SHIFT(397),
  [3647] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 0), REDUCE(sym_pattern, 1, -1, 0),
  [3650] = {.entry = {.count = 1, .reusable = false}}, SHIFT(647),
  [3652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(383),
  [3654] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_decorator_parenthesized_expression, 3, 0, 0),
  [3656] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_decorator_parenthesized_expression, 3, 0, 0),
  [3658] = {.entry = {.count = 1, .reusable = false}}, SHIFT(594),
  [3660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(371),
  [3662] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 0), REDUCE(sym_primary_type, 1, 0, 14), REDUCE(sym_rest_pattern, 2, 0, 0),
  [3666] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_export_statement_repeat1, 1, 0, 2),
  [3668] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_export_statement_repeat1, 1, 0, 2),
  [3670] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_decorator_member_expression, 3, 0, 77),
  [3672] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_decorator_member_expression, 3, 0, 77),
  [3674] = {.entry = {.count = 1, .reusable = false}}, SHIFT(620),
  [3676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(377),
  [3678] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 1), REDUCE(sym_predefined_type, 1, 0, 0), REDUCE(sym_rest_pattern, 2, 0, 33),
  [3682] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4995),
  [3684] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 0), REDUCE(sym_rest_pattern, 2, 0, 0),
  [3687] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_member_expression_in_type_annotation, 3, 0, 77),
  [3689] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_pattern, 1, -1, 0), SHIFT(620),
  [3692] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1124),
  [3694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1125),
  [3696] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 0), SHIFT(328),
  [3699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(328),
  [3701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(322),
  [3703] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_member_expression_in_type_annotation, 3, 0, 78),
  [3705] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3236),
  [3707] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1507),
  [3709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2840),
  [3711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1477),
  [3713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1941),
  [3715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(334),
  [3717] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2224),
  [3719] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3253),
  [3721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3135),
  [3723] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1916),
  [3725] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2229),
  [3727] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2522),
  [3729] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1962),
  [3731] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2427),
  [3733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1478),
  [3735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3793),
  [3737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1475),
  [3739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3445),
  [3741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1476),
  [3743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1549),
  [3745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1055),
  [3747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3347),
  [3749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(714),
  [3751] = {.entry = {.count = 1, .reusable = false}}, SHIFT(610),
  [3753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3284),
  [3755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1620),
  [3757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3356),
  [3759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(712),
  [3761] = {.entry = {.count = 1, .reusable = false}}, SHIFT(417),
  [3763] = {.entry = {.count = 1, .reusable = false}}, SHIFT(638),
  [3765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3458),
  [3767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1557),
  [3769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2011),
  [3771] = {.entry = {.count = 1, .reusable = false}}, SHIFT(663),
  [3773] = {.entry = {.count = 1, .reusable = false}}, SHIFT(504),
  [3775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1576),
  [3777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2047),
  [3779] = {.entry = {.count = 1, .reusable = false}}, SHIFT(555),
  [3781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2064),
  [3783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3237),
  [3785] = {.entry = {.count = 1, .reusable = false}}, SHIFT(475),
  [3787] = {.entry = {.count = 1, .reusable = false}}, SHIFT(434),
  [3789] = {.entry = {.count = 1, .reusable = false}}, SHIFT(582),
  [3791] = {.entry = {.count = 1, .reusable = false}}, SHIFT(532),
  [3793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3801),
  [3795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3819),
  [3797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3846),
  [3799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(713),
  [3801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3281),
  [3803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2827),
  [3805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(874),
  [3807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1491),
  [3809] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2226),
  [3811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3059),
  [3813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4007),
  [3815] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1725),
  [3817] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1928),
  [3819] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2467),
  [3821] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1773),
  [3823] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2783),
  [3825] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2863),
  [3827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4667),
  [3829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(174),
  [3831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4668),
  [3833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(415),
  [3835] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5593),
  [3837] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__property_name, 1, 0, 7), SHIFT(1523),
  [3840] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__property_name, 1, 0, 7), SHIFT(1727),
  [3843] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__property_name, 1, 0, 7),
  [3845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3893),
  [3847] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__property_name, 1, 0, 7), SHIFT(1798),
  [3850] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__property_name, 1, 0, 7), SHIFT(1707),
  [3853] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 25), SHIFT_REPEAT(3236),
  [3856] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 25), SHIFT_REPEAT(2827),
  [3859] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 25),
  [3861] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 25), SHIFT_REPEAT(1485),
  [3864] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 25), SHIFT_REPEAT(334),
  [3867] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 25), SHIFT_REPEAT(4466),
  [3870] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 25), SHIFT_REPEAT(4469),
  [3873] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 25), SHIFT_REPEAT(2226),
  [3876] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 25), SHIFT_REPEAT(5720),
  [3879] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 25), SHIFT_REPEAT(3059),
  [3882] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 25), SHIFT_REPEAT(4007),
  [3885] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 25), SHIFT_REPEAT(1725),
  [3888] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 25), SHIFT_REPEAT(1928),
  [3891] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 25), SHIFT_REPEAT(2467),
  [3894] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 25), SHIFT_REPEAT(1773),
  [3897] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 25), SHIFT_REPEAT(1962),
  [3900] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 25), SHIFT_REPEAT(2427),
  [3903] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 25), SHIFT_REPEAT(2783),
  [3906] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 25), SHIFT_REPEAT(2863),
  [3909] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__property_name, 1, 0, 7), SHIFT(2066),
  [3912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1768),
  [3914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1485),
  [3916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(750),
  [3918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1752),
  [3920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1487),
  [3922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1680),
  [3924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(877),
  [3926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1664),
  [3928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1490),
  [3930] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__property_name, 1, 0, 7), SHIFT(2435),
  [3933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(234),
  [3935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(749),
  [3937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1488),
  [3939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(227),
  [3941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1494),
  [3943] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3360),
  [3945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1731),
  [3947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(246),
  [3949] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2272),
  [3951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3552),
  [3953] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1917),
  [3955] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2275),
  [3957] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2436),
  [3959] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2641),
  [3961] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2650),
  [3963] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3414),
  [3965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2576),
  [3967] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2148),
  [3969] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1953),
  [3971] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2150),
  [3973] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2419),
  [3975] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2618),
  [3977] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2620),
  [3979] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3407),
  [3981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2463),
  [3983] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2138),
  [3985] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1948),
  [3987] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2140),
  [3989] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2471),
  [3991] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2619),
  [3993] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2628),
  [3995] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3351),
  [3997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1800),
  [3999] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2345),
  [4001] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1879),
  [4003] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2346),
  [4005] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2483),
  [4007] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2651),
  [4009] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2630),
  [4011] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3428),
  [4013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1708),
  [4015] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2267),
  [4017] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1891),
  [4019] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2268),
  [4021] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2430),
  [4023] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2634),
  [4025] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2635),
  [4027] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 2, 0, 13),
  [4029] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 2, 0, 13),
  [4031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(259),
  [4033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(319),
  [4035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5165),
  [4037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3551),
  [4039] = {.entry = {.count = 1, .reusable = false}}, SHIFT(999),
  [4041] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3353),
  [4043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2076),
  [4045] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2334),
  [4047] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2077),
  [4049] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2335),
  [4051] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2477),
  [4053] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2621),
  [4055] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2622),
  [4057] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_query, 2, 0, 61),
  [4059] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_query, 2, 0, 61),
  [4061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5376),
  [4063] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_query, 2, 0, 60),
  [4065] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_query, 2, 0, 60),
  [4067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5372),
  [4069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(560),
  [4071] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym__property_name, 1, 0, 7), REDUCE(aux_sym_object_repeat1, 2, 0, 31), REDUCE(aux_sym_object_pattern_repeat1, 2, 0, 32),
  [4075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5368),
  [4077] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_primary_type, 1, 0, 14),
  [4079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5617),
  [4081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(998),
  [4083] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_primary_type, 1, 0, 16),
  [4085] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_primary_type, 1, 0, 16),
  [4087] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_primary_type, 1, 0, 0),
  [4089] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_primary_type, 1, 0, 0),
  [4091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1001),
  [4093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1715),
  [4095] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_asserts, 2, 0, 0),
  [4097] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_asserts, 2, 0, 0),
  [4099] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_predefined_type, 2, 0, 69),
  [4101] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_predefined_type, 2, 0, 69),
  [4103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3695),
  [4105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2559),
  [4107] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2456),
  [4109] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2562),
  [4111] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2626),
  [4113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2724),
  [4115] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2719),
  [4117] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type, 1, 0, 17),
  [4119] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type, 1, 0, 17),
  [4121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5289),
  [4123] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_subscript_expression, 4, 0, 225),
  [4125] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_subscript_expression, 4, 0, 225),
  [4127] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_member_expression, 3, 0, 178),
  [4129] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_member_expression, 3, 0, 178),
  [4131] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_member_expression, 3, 0, 177),
  [4133] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_member_expression, 3, 0, 177),
  [4135] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tuple_type, 2, 0, 0),
  [4137] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_type, 2, 0, 0),
  [4139] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_object, 2, 0, 0), REDUCE(sym_object_type, 2, 0, 0),
  [4142] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_object, 2, 0, 0), REDUCE(sym_object_type, 2, 0, 0),
  [4145] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_member_expression, 3, 0, 140),
  [4147] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_member_expression, 3, 0, 140),
  [4149] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_type, 3, 0, 0),
  [4151] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_type, 3, 0, 0),
  [4153] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_intersection_type, 2, 0, 0),
  [4155] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_intersection_type, 2, 0, 0),
  [4157] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_union_type, 2, 0, 0),
  [4159] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_type, 2, 0, 0),
  [4161] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1071),
  [4163] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_member_expression, 3, 0, 141),
  [4165] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_member_expression, 3, 0, 141),
  [4167] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__number, 2, 0, 8),
  [4169] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__number, 2, 0, 8),
  [4171] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_literal_type, 2, 0, 0),
  [4173] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_literal_type, 2, 0, 0),
  [4175] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tuple_type, 3, 0, 0),
  [4177] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_type, 3, 0, 0),
  [4179] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call_expression, 2, 0, 20),
  [4181] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call_expression, 2, 0, 20),
  [4183] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_call_expression_in_type_annotation, 2, 0, 20),
  [4185] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_call_expression_in_type_annotation, 2, 0, 20),
  [4187] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tuple_type, 4, 0, 0),
  [4189] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_type, 4, 0, 0),
  [4191] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_type, 4, 0, 180),
  [4193] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_type, 4, 0, 180),
  [4195] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generic_type, 2, 0, 65),
  [4197] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generic_type, 2, 0, 65),
  [4199] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_literal_type, 3, 0, 0),
  [4201] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_literal_type, 3, 0, 0),
  [4203] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_nested_type_identifier, 3, 0, 135),
  [4205] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nested_type_identifier, 3, 0, 135),
  [4207] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_nested_identifier, 3, 0, 77), REDUCE(sym_nested_type_identifier, 3, 0, 135),
  [4210] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_readonly_type, 2, 0, 0),
  [4212] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_readonly_type, 2, 0, 0),
  [4214] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1072),
  [4216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1148),
  [4218] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_infer_type, 4, 0, 68),
  [4220] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_infer_type, 4, 0, 68),
  [4222] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lookup_type, 4, 0, 0),
  [4224] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lookup_type, 4, 0, 0),
  [4226] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_type, 4, 0, 181),
  [4228] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_type, 4, 0, 181),
  [4230] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_flow_maybe_type, 2, 0, 0),
  [4232] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_flow_maybe_type, 2, 0, 0),
  [4234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(989),
  [4236] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type, 1, 0, 0),
  [4238] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type, 1, 0, 0),
  [4240] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_subscript_expression, 4, 0, 147),
  [4242] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_subscript_expression, 4, 0, 147),
  [4244] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_subscript_expression, 4, 0, 223),
  [4246] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_subscript_expression, 4, 0, 223),
  [4248] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_infer_type, 2, 0, 68),
  [4250] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_infer_type, 2, 0, 68),
  [4252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1077),
  [4254] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_index_type_query, 2, 0, 0),
  [4256] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_index_type_query, 2, 0, 0),
  [4258] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_subscript_expression, 4, 0, 224),
  [4260] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_subscript_expression, 4, 0, 224),
  [4262] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tuple_type, 5, 0, 0),
  [4264] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_type, 5, 0, 0),
  [4266] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_type, 5, 0, 226),
  [4268] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_type, 5, 0, 226),
  [4270] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_type, 5, 0, 227),
  [4272] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_type, 5, 0, 227),
  [4274] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_subscript_expression, 5, 0, 262),
  [4276] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_subscript_expression, 5, 0, 262),
  [4278] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_subscript_expression, 5, 0, 263),
  [4280] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_subscript_expression, 5, 0, 263),
  [4282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1718),
  [4284] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_call_expression, 2, 0, 20),
  [4286] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_call_expression, 2, 0, 20),
  [4288] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_subscript_expression, 5, 0, 264),
  [4290] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_subscript_expression, 5, 0, 264),
  [4292] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_instantiation_expression, 2, 0, 129),
  [4294] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_instantiation_expression, 2, 0, 129),
  [4296] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_subscript_expression, 5, 0, 265),
  [4298] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_subscript_expression, 5, 0, 265),
  [4300] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_call_expression, 2, 0, 71),
  [4302] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_call_expression, 2, 0, 71),
  [4304] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_type, 6, 0, 266),
  [4306] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_type, 6, 0, 266),
  [4308] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generic_type, 2, 0, 70),
  [4310] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generic_type, 2, 0, 70),
  [4312] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_nested_identifier, 3, 0, 90), REDUCE(sym_nested_type_identifier, 3, 0, 135),
  [4315] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_type, 3, 0, 137),
  [4317] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_type, 3, 0, 137),
  [4319] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_conditional_type, 7, 0, 297),
  [4321] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_conditional_type, 7, 0, 297),
  [4323] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_call_expression_in_type_annotation, 2, 0, 71),
  [4325] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_call_expression_in_type_annotation, 2, 0, 71),
  [4327] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_member_expression_in_type_annotation, 3, 0, 138),
  [4329] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_member_expression_in_type_annotation, 3, 0, 138),
  [4331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22),
  [4333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5680),
  [4335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21),
  [4337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5842),
  [4339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5685),
  [4341] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_member_expression_in_type_annotation, 3, 0, 139),
  [4343] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_member_expression_in_type_annotation, 3, 0, 139),
  [4345] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_instantiation_expression, 2, 0, 130),
  [4347] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_instantiation_expression, 2, 0, 130),
  [4349] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_member_expression_in_type_annotation, 3, 0, 140),
  [4351] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_member_expression_in_type_annotation, 3, 0, 140),
  [4353] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_member_expression_in_type_annotation, 3, 0, 141),
  [4355] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_member_expression_in_type_annotation, 3, 0, 141),
  [4357] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_intersection_type, 3, 0, 0),
  [4359] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_intersection_type, 3, 0, 0),
  [4361] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_union_type, 3, 0, 0),
  [4363] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_type, 3, 0, 0),
  [4365] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_existential_type, 1, 0, 0),
  [4367] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_existential_type, 1, 0, 0),
  [4369] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_type, 3, 0, 0),
  [4371] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_type, 3, 0, 0),
  [4373] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_satisfies_expression, 3, 0, 0),
  [4375] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_satisfies_expression, 3, 0, 0),
  [4377] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_literal_type, 1, 0, 0),
  [4379] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_literal_type, 1, 0, 0),
  [4381] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_call_expression, 2, 0, 131),
  [4383] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_call_expression, 2, 0, 131),
  [4385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5856),
  [4387] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_member_expression, 3, 0, 77),
  [4389] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_member_expression, 3, 0, 77),
  [4391] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_instantiation_expression, 2, 0, 132),
  [4393] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_instantiation_expression, 2, 0, 132),
  [4395] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_member_expression, 3, 0, 78),
  [4397] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_member_expression, 3, 0, 78),
  [4399] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_query, 2, 0, 62),
  [4401] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_query, 2, 0, 62),
  [4403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5383),
  [4405] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_as_expression, 3, 0, 0),
  [4407] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_as_expression, 3, 0, 0),
  [4409] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_query, 2, 0, 63),
  [4411] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_query, 2, 0, 63),
  [4413] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_member_expression, 3, 0, 138),
  [4415] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_member_expression, 3, 0, 138),
  [4417] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_member_expression, 3, 0, 139),
  [4419] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_member_expression, 3, 0, 139),
  [4421] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_predicate, 3, 0, 96),
  [4423] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_predicate, 3, 0, 96),
  [4425] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_predicate, 3, 0, 189),
  [4427] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_predicate, 3, 0, 189),
  [4429] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_instantiation_expression, 2, 0, 22),
  [4431] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instantiation_expression, 2, 0, 22),
  [4433] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array, 2, 0, 0),
  [4435] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_pattern, 2, 0, 0),
  [4437] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array, 2, 0, 0),
  [4439] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array, 2, 0, 0), REDUCE(sym_tuple_type, 2, 0, 0),
  [4442] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_array, 2, 0, 0), REDUCE(sym_tuple_type, 2, 0, 0),
  [4445] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 3, 0, 58),
  [4447] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 3, 0, 58),
  [4449] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_literal_type, 1, 0, 19),
  [4451] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_literal_type, 1, 0, 19),
  [4453] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type, 1, 0, 18),
  [4455] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type, 1, 0, 18),
  [4457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5297),
  [4459] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_string, 2, 0, 0),
  [4461] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_string, 2, 0, 0),
  [4463] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_template_string, 2, 0, 0), REDUCE(sym_template_literal_type, 2, 0, 0),
  [4466] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_template_string, 2, 0, 0), REDUCE(sym_template_literal_type, 2, 0, 0),
  [4469] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_glimmer_template, 2, 0, 12),
  [4471] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_glimmer_template, 2, 0, 12),
  [4473] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 2, 0, 11),
  [4475] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 2, 0, 11),
  [4477] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_update_expression, 2, 0, 21),
  [4479] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_update_expression, 2, 0, 21),
  [4481] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arrow_function, 3, 0, 29),
  [4483] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arrow_function, 3, 0, 29),
  [4485] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object, 3, 0, 0),
  [4487] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object, 3, 0, 0),
  [4489] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_meta_property, 3, 0, 0),
  [4491] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_meta_property, 3, 0, 0),
  [4493] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array, 3, 0, 0),
  [4495] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array, 3, 0, 0),
  [4497] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_glimmer_template, 3, 0, 50),
  [4499] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_glimmer_template, 3, 0, 50),
  [4501] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 3, 0, 54),
  [4503] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 3, 0, 54),
  [4505] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 3, 0, 55),
  [4507] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 3, 0, 55),
  [4509] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_expression, 3, 0, 56),
  [4511] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_expression, 3, 0, 56),
  [4513] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 3, 0, 57),
  [4515] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 3, 0, 57),
  [4517] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_string, 3, 0, 0),
  [4519] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_string, 3, 0, 0),
  [4521] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arrow_function, 3, 0, 73),
  [4523] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arrow_function, 3, 0, 73),
  [4525] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call_expression, 3, 0, 81),
  [4527] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call_expression, 3, 0, 81),
  [4529] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 0), REDUCE(sym_primary_type, 1, 0, 16),
  [4532] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 0), REDUCE(sym_primary_type, 1, 0, 16),
  [4535] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call_expression, 3, 0, 82),
  [4537] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call_expression, 3, 0, 82),
  [4539] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arrow_function, 3, 0, 83),
  [4541] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arrow_function, 3, 0, 83),
  [4543] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 3, 0, 86),
  [4545] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 3, 0, 86),
  [4547] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object, 4, 0, 31),
  [4549] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object, 4, 0, 31),
  [4551] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object, 4, 0, 0),
  [4553] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object, 4, 0, 0),
  [4555] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array, 4, 0, 0),
  [4557] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array, 4, 0, 0),
  [4559] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 4, 0, 117),
  [4561] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 4, 0, 117),
  [4563] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arrow_function, 4, 0, 118),
  [4565] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arrow_function, 4, 0, 118),
  [4567] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_expression, 4, 0, 119),
  [4569] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_expression, 4, 0, 119),
  [4571] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arrow_function, 4, 0, 120),
  [4573] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arrow_function, 4, 0, 120),
  [4575] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arrow_function, 4, 0, 121),
  [4577] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arrow_function, 4, 0, 121),
  [4579] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generator_function, 4, 0, 119),
  [4581] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generator_function, 4, 0, 119),
  [4583] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 4, 0, 124),
  [4585] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 4, 0, 124),
  [4587] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_regex, 4, 0, 127),
  [4589] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_regex, 4, 0, 127),
  [4591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2826),
  [4593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(445),
  [4595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(470),
  [4597] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2274),
  [4599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3117),
  [4601] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2322),
  [4603] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2473),
  [4605] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call_expression, 4, 0, 148),
  [4607] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call_expression, 4, 0, 148),
  [4609] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 4, 0, 152),
  [4611] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 4, 0, 152),
  [4613] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generator_function, 5, 0, 171),
  [4615] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generator_function, 5, 0, 171),
  [4617] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 5, 0, 193),
  [4619] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 5, 0, 193),
  [4621] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object, 3, 0, 31),
  [4623] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_pattern, 3, 0, 32),
  [4625] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object, 3, 0, 31),
  [4627] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 0), REDUCE(sym_literal_type, 1, 0, 0),
  [4630] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 0), REDUCE(sym_literal_type, 1, 0, 0),
  [4633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(267),
  [4635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(327),
  [4637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5305),
  [4639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3617),
  [4641] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1113),
  [4643] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 4, 0, 151),
  [4645] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 4, 0, 151),
  [4647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(353),
  [4649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2859),
  [4651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(25),
  [4653] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2212),
  [4655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3050),
  [4657] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2213),
  [4659] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2523),
  [4661] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__property_name, 1, 0, 7), SHIFT(5162),
  [4664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1728),
  [4666] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_object, 3, 0, 31), REDUCE(sym_object_pattern, 3, 0, 32),
  [4669] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array, 2, 0, 0), REDUCE(sym_array_pattern, 2, 0, 0),
  [4672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1735),
  [4674] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_object, 2, 0, 0), REDUCE(sym_object_pattern, 2, 0, 0),
  [4677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5156),
  [4679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(414),
  [4681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3838),
  [4683] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2754),
  [4685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5559),
  [4687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1059),
  [4689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5158),
  [4691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5159),
  [4693] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_assertion, 2, 0, 0),
  [4695] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_assertion, 2, 0, 0),
  [4697] = {.entry = {.count = 1, .reusable = false}}, SHIFT(160),
  [4699] = {.entry = {.count = 1, .reusable = false}}, SHIFT(488),
  [4701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1114),
  [4703] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1199),
  [4705] = {.entry = {.count = 1, .reusable = false}}, SHIFT(487),
  [4707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4963),
  [4709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(490),
  [4711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(491),
  [4713] = {.entry = {.count = 1, .reusable = false}}, SHIFT(492),
  [4715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(492),
  [4717] = {.entry = {.count = 1, .reusable = false}}, SHIFT(493),
  [4719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(494),
  [4721] = {.entry = {.count = 1, .reusable = false}}, SHIFT(495),
  [4723] = {.entry = {.count = 1, .reusable = false}}, SHIFT(496),
  [4725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(488),
  [4727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(497),
  [4729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(487),
  [4731] = {.entry = {.count = 1, .reusable = false}}, SHIFT(498),
  [4733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(498),
  [4735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(499),
  [4737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1657),
  [4739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1115),
  [4741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(517),
  [4743] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment_expression, 3, 0, 27),
  [4745] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_yield_expression, 3, 0, 0),
  [4747] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment_expression, 3, 0, 72),
  [4749] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_binary_expression, 3, 0, 74),
  [4751] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_binary_expression, 3, 0, 74),
  [4753] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_binary_expression, 3, 0, 74), SHIFT(160),
  [4756] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_augmented_assignment_expression, 3, 0, 74),
  [4758] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment_expression, 4, 0, 125),
  [4760] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment_expression, 4, 0, 126),
  [4762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3418),
  [4764] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2551),
  [4766] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2552),
  [4768] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2844),
  [4770] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2845),
  [4772] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ternary_expression, 5, 0, 187),
  [4774] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_update_expression, 2, 0, 8),
  [4776] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_update_expression, 2, 0, 8),
  [4778] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_update_expression, 2, 0, 8), SHIFT(160),
  [4781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3411),
  [4783] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2530),
  [4785] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2531),
  [4787] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2857),
  [4789] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2842),
  [4791] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unary_expression, 2, 0, 8),
  [4793] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unary_expression, 2, 0, 8),
  [4795] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_unary_expression, 2, 0, 8), SHIFT(160),
  [4798] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_await_expression, 2, 0, 0),
  [4800] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_await_expression, 2, 0, 0),
  [4802] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_await_expression, 2, 0, 0), SHIFT(160),
  [4805] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_yield_expression, 2, 0, 0),
  [4807] = {.entry = {.count = 1, .reusable = false}}, SHIFT(431),
  [4809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1100),
  [4811] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1333),
  [4813] = {.entry = {.count = 1, .reusable = false}}, SHIFT(455),
  [4815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(451),
  [4817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(471),
  [4819] = {.entry = {.count = 1, .reusable = false}}, SHIFT(472),
  [4821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(472),
  [4823] = {.entry = {.count = 1, .reusable = false}}, SHIFT(473),
  [4825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(477),
  [4827] = {.entry = {.count = 1, .reusable = false}}, SHIFT(502),
  [4829] = {.entry = {.count = 1, .reusable = false}}, SHIFT(512),
  [4831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(431),
  [4833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(530),
  [4835] = {.entry = {.count = 1, .reusable = false}}, SHIFT(162),
  [4837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(455),
  [4839] = {.entry = {.count = 1, .reusable = false}}, SHIFT(534),
  [4841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(534),
  [4843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(608),
  [4845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2362),
  [4847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1118),
  [4849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(426),
  [4851] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_await_expression, 2, 0, 0), SHIFT(162),
  [4854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3460),
  [4856] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2548),
  [4858] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2549),
  [4860] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2837),
  [4862] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2838),
  [4864] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_pattern, 2, 0, 0),
  [4866] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_sequence_expression_repeat1, 2, 0, 0),
  [4868] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_pattern, 3, 0, 32),
  [4870] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_pattern, 2, 0, 0),
  [4872] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_binary_expression, 3, 0, 74), SHIFT(162),
  [4875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1060),
  [4877] = {.entry = {.count = 1, .reusable = false}}, SHIFT(399),
  [4879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(400),
  [4881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1216),
  [4883] = {.entry = {.count = 1, .reusable = false}}, SHIFT(398),
  [4885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(401),
  [4887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(402),
  [4889] = {.entry = {.count = 1, .reusable = false}}, SHIFT(403),
  [4891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(403),
  [4893] = {.entry = {.count = 1, .reusable = false}}, SHIFT(404),
  [4895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(405),
  [4897] = {.entry = {.count = 1, .reusable = false}}, SHIFT(406),
  [4899] = {.entry = {.count = 1, .reusable = false}}, SHIFT(407),
  [4901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(399),
  [4903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(408),
  [4905] = {.entry = {.count = 1, .reusable = false}}, SHIFT(156),
  [4907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(398),
  [4909] = {.entry = {.count = 1, .reusable = false}}, SHIFT(409),
  [4911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(409),
  [4913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(410),
  [4915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(457),
  [4917] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_regex, 3, 0, 42),
  [4919] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_regex, 3, 0, 42),
  [4921] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1688),
  [4923] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_unary_expression, 2, 0, 8), SHIFT(162),
  [4926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(790),
  [4928] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_update_expression, 2, 0, 8), SHIFT(155),
  [4931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1335),
  [4933] = {.entry = {.count = 1, .reusable = false}}, SHIFT(155),
  [4935] = {.entry = {.count = 1, .reusable = false}}, SHIFT(518),
  [4937] = {.entry = {.count = 1, .reusable = false}}, SHIFT(516),
  [4939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(519),
  [4941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(520),
  [4943] = {.entry = {.count = 1, .reusable = false}}, SHIFT(521),
  [4945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(521),
  [4947] = {.entry = {.count = 1, .reusable = false}}, SHIFT(522),
  [4949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(523),
  [4951] = {.entry = {.count = 1, .reusable = false}}, SHIFT(686),
  [4953] = {.entry = {.count = 1, .reusable = false}}, SHIFT(525),
  [4955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(518),
  [4957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(526),
  [4959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(516),
  [4961] = {.entry = {.count = 1, .reusable = false}}, SHIFT(527),
  [4963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(527),
  [4965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(528),
  [4967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(685),
  [4969] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_binary_expression, 3, 0, 74), SHIFT(155),
  [4972] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_array, 2, 0, 0), REDUCE(sym_array_pattern, 2, 0, 0), REDUCE(sym_tuple_type, 2, 0, 0),
  [4976] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_update_expression, 2, 0, 8), SHIFT(162),
  [4979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(946),
  [4981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5318),
  [4983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3341),
  [4985] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2590),
  [4987] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2532),
  [4989] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2868),
  [4991] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2829),
  [4993] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_unary_expression, 2, 0, 8), SHIFT(155),
  [4996] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_await_expression, 2, 0, 0), SHIFT(155),
  [4999] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_object, 2, 0, 0), REDUCE(sym_object_pattern, 2, 0, 0), REDUCE(sym_object_type, 2, 0, 0),
  [5003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2850),
  [5005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1798),
  [5007] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1015),
  [5009] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1017),
  [5011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1145),
  [5013] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__parameter_name, 1, 0, 9),
  [5015] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__parameter_name, 1, 0, 9),
  [5017] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__parameter_name, 1, 0, 9), REDUCE(sym_primary_type, 1, 0, 16),
  [5020] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_await_expression, 2, 0, 0), SHIFT(156),
  [5023] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_binary_expression, 3, 0, 74), SHIFT(156),
  [5026] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__initializer, 2, 0, 95),
  [5028] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__initializer, 2, 0, 95), SHIFT(516),
  [5031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5319),
  [5033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(993),
  [5035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2820),
  [5037] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2246),
  [5039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3108),
  [5041] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2247),
  [5043] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2429),
  [5045] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_update_expression, 2, 0, 8), SHIFT(156),
  [5048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(432),
  [5050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(872),
  [5052] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_unary_expression, 2, 0, 8), SHIFT(156),
  [5055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(857),
  [5057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(825),
  [5059] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_object_assignment_pattern, 3, 0, 91), REDUCE(sym_assignment_expression, 3, 0, 27),
  [5062] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_assignment_pattern, 3, 0, 91),
  [5064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(811),
  [5066] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_object_assignment_pattern, 3, 0, 91), REDUCE(sym_assignment_expression, 3, 0, 72),
  [5069] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_object_assignment_pattern, 3, 0, 72), REDUCE(sym_assignment_expression, 3, 0, 72),
  [5072] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_assignment_pattern, 3, 0, 72),
  [5074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2454),
  [5076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2574),
  [5078] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3930),
  [5080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2324),
  [5082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3997),
  [5084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5594),
  [5086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2836),
  [5088] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2307),
  [5090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3055),
  [5092] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2308),
  [5094] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2420),
  [5096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2855),
  [5098] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2264),
  [5100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3076),
  [5102] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2310),
  [5104] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2426),
  [5106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5161),
  [5108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3084),
  [5110] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2843),
  [5112] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 0), REDUCE(sym__parameter_name, 1, 0, 9),
  [5115] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 0), REDUCE(sym__parameter_name, 1, 0, 9), REDUCE(sym_primary_type, 1, 0, 16),
  [5119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4067),
  [5121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2878),
  [5123] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2316),
  [5125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3110),
  [5127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2317),
  [5129] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2418),
  [5131] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_object_pattern, 2, 0, 0), REDUCE(sym_object_type, 2, 0, 0),
  [5134] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array_pattern, 2, 0, 0), REDUCE(sym_tuple_type, 2, 0, 0),
  [5137] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__parameter_name, 2, 0, 42),
  [5139] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__parameter_name, 2, 0, 42),
  [5141] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_type, 1, 0, 16), REDUCE(sym__parameter_name, 2, 0, 42),
  [5144] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3996),
  [5146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3582),
  [5148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1020),
  [5150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2858),
  [5152] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2231),
  [5154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3056),
  [5156] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2318),
  [5158] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2474),
  [5160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3086),
  [5162] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2822),
  [5164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2828),
  [5166] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2282),
  [5168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3133),
  [5170] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2123),
  [5172] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2478),
  [5174] = {.entry = {.count = 1, .reusable = false}}, SHIFT(158),
  [5176] = {.entry = {.count = 1, .reusable = false}}, SHIFT(569),
  [5178] = {.entry = {.count = 1, .reusable = false}}, SHIFT(568),
  [5180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(570),
  [5182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(571),
  [5184] = {.entry = {.count = 1, .reusable = false}}, SHIFT(572),
  [5186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(572),
  [5188] = {.entry = {.count = 1, .reusable = false}}, SHIFT(573),
  [5190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(574),
  [5192] = {.entry = {.count = 1, .reusable = false}}, SHIFT(575),
  [5194] = {.entry = {.count = 1, .reusable = false}}, SHIFT(576),
  [5196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(569),
  [5198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(577),
  [5200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(568),
  [5202] = {.entry = {.count = 1, .reusable = false}}, SHIFT(578),
  [5204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(578),
  [5206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(579),
  [5208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(590),
  [5210] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_binary_expression, 3, 0, 74), SHIFT(158),
  [5213] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_unary_expression, 2, 0, 8), SHIFT(158),
  [5216] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_await_expression, 2, 0, 0), SHIFT(158),
  [5219] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_update_expression, 2, 0, 8), SHIFT(158),
  [5222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(280),
  [5224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2135),
  [5226] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__parameter_name, 2, 0, 45),
  [5228] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__parameter_name, 2, 0, 45),
  [5230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2871),
  [5232] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2227),
  [5234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3107),
  [5236] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2488),
  [5238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2862),
  [5240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3758),
  [5242] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2770),
  [5244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2830),
  [5246] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2285),
  [5248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3124),
  [5250] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2479),
  [5252] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array, 3, 0, 0), REDUCE(sym_computed_property_name, 3, 0, 0),
  [5255] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_computed_property_name, 3, 0, 0),
  [5257] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_array, 3, 0, 0), REDUCE(sym_computed_property_name, 3, 0, 0),
  [5260] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_computed_property_name, 3, 0, 0),
  [5262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2171),
  [5264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(950),
  [5266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(956),
  [5268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(958),
  [5270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(948),
  [5272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(954),
  [5274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(61),
  [5276] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3663),
  [5278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2469),
  [5280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5144),
  [5282] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2536),
  [5284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3528),
  [5286] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2445),
  [5288] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2537),
  [5290] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2642),
  [5292] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2730),
  [5294] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2721),
  [5296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2861),
  [5298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3817),
  [5300] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2750),
  [5302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(489),
  [5304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(311),
  [5306] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2245),
  [5308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1662),
  [5310] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__parameter_name, 3, 0, 102),
  [5312] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__parameter_name, 3, 0, 102),
  [5314] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__parameter_name, 3, 0, 106),
  [5316] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__parameter_name, 3, 0, 106),
  [5318] = {.entry = {.count = 1, .reusable = false}}, SHIFT(152),
  [5320] = {.entry = {.count = 1, .reusable = false}}, SHIFT(458),
  [5322] = {.entry = {.count = 1, .reusable = false}}, SHIFT(456),
  [5324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(459),
  [5326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(460),
  [5328] = {.entry = {.count = 1, .reusable = false}}, SHIFT(461),
  [5330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(461),
  [5332] = {.entry = {.count = 1, .reusable = false}}, SHIFT(462),
  [5334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(463),
  [5336] = {.entry = {.count = 1, .reusable = false}}, SHIFT(464),
  [5338] = {.entry = {.count = 1, .reusable = false}}, SHIFT(465),
  [5340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(458),
  [5342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(466),
  [5344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(456),
  [5346] = {.entry = {.count = 1, .reusable = false}}, SHIFT(467),
  [5348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(467),
  [5350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(468),
  [5352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(683),
  [5354] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment_pattern, 3, 0, 72),
  [5356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1524),
  [5358] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_binary_expression, 3, 0, 74), SHIFT(152),
  [5361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1210),
  [5363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3792),
  [5365] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2759),
  [5367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1212),
  [5369] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2220),
  [5371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3066),
  [5373] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2447),
  [5375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3858),
  [5377] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2767),
  [5379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2864),
  [5381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3760),
  [5383] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2771),
  [5385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3765),
  [5387] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2747),
  [5389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3872),
  [5391] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2745),
  [5393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2825),
  [5395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3859),
  [5397] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2753),
  [5399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2831),
  [5401] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2287),
  [5403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3158),
  [5405] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2481),
  [5407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2860),
  [5409] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2122),
  [5411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3047),
  [5413] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2485),
  [5415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3904),
  [5417] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2769),
  [5419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(301),
  [5421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(978),
  [5423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3821),
  [5425] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2762),
  [5427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2602),
  [5429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3103),
  [5431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3261),
  [5433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3506),
  [5435] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_unary_expression, 2, 0, 8), SHIFT(152),
  [5438] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_await_expression, 2, 0, 0), SHIFT(152),
  [5441] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_update_expression, 2, 0, 8), SHIFT(152),
  [5444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3898),
  [5446] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2768),
  [5448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1332),
  [5450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3805),
  [5452] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2772),
  [5454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4173),
  [5456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(41),
  [5458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3824),
  [5460] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2755),
  [5462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(44),
  [5464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(45),
  [5466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3755),
  [5468] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2756),
  [5470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(47),
  [5472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2834),
  [5474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3839),
  [5476] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2757),
  [5478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4227),
  [5480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4228),
  [5482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12),
  [5484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(955),
  [5486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(952),
  [5488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(52),
  [5490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(307),
  [5492] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__parameter_name, 4, 0, 158),
  [5494] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__parameter_name, 4, 0, 158),
  [5496] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__parameter_name, 4, 0, 160),
  [5498] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__parameter_name, 4, 0, 160),
  [5500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2856),
  [5502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3864),
  [5504] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2766),
  [5506] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2343),
  [5508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3070),
  [5510] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2455),
  [5512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3079),
  [5514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4257),
  [5516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3085),
  [5518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2833),
  [5520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3777),
  [5522] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2743),
  [5524] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2357),
  [5526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3098),
  [5528] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2462),
  [5530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3074),
  [5532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4438),
  [5534] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_spread_element, 2, 0, 0),
  [5536] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4395),
  [5538] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_object_pattern_repeat1, 1, 0, 0),
  [5540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(949),
  [5542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(57),
  [5544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(58),
  [5546] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__parameter_name, 5, 0, 202),
  [5548] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__parameter_name, 5, 0, 202),
  [5550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(308),
  [5552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(310),
  [5554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2818),
  [5556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3761),
  [5558] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2763),
  [5560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1841),
  [5562] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 0), REDUCE(sym__property_name, 1, 0, 0),
  [5565] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__property_name, 1, 0, 0),
  [5567] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 0), REDUCE(sym__property_name, 1, 0, 0),
  [5570] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__property_name, 1, 0, 0),
  [5572] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__extends_clause_single, 1, 0, 52),
  [5574] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 0), REDUCE(sym_literal_type, 1, 0, 0), REDUCE(sym_rest_pattern, 2, 0, 0),
  [5578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1311),
  [5580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3771),
  [5582] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2749),
  [5584] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2174),
  [5586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3068),
  [5588] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2484),
  [5590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3071),
  [5592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(305),
  [5594] = {.entry = {.count = 1, .reusable = false}}, SHIFT(596),
  [5596] = {.entry = {.count = 1, .reusable = false}}, SHIFT(595),
  [5598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(597),
  [5600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(598),
  [5602] = {.entry = {.count = 1, .reusable = false}}, SHIFT(599),
  [5604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(599),
  [5606] = {.entry = {.count = 1, .reusable = false}}, SHIFT(600),
  [5608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(601),
  [5610] = {.entry = {.count = 1, .reusable = false}}, SHIFT(602),
  [5612] = {.entry = {.count = 1, .reusable = false}}, SHIFT(603),
  [5614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(596),
  [5616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(604),
  [5618] = {.entry = {.count = 1, .reusable = false}}, SHIFT(159),
  [5620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(595),
  [5622] = {.entry = {.count = 1, .reusable = false}}, SHIFT(605),
  [5624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(605),
  [5626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(606),
  [5628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(616),
  [5630] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_binary_expression, 3, 0, 74), SHIFT(159),
  [5633] = {.entry = {.count = 1, .reusable = false}}, SHIFT(151),
  [5635] = {.entry = {.count = 1, .reusable = false}}, SHIFT(622),
  [5637] = {.entry = {.count = 1, .reusable = false}}, SHIFT(621),
  [5639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(623),
  [5641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(624),
  [5643] = {.entry = {.count = 1, .reusable = false}}, SHIFT(625),
  [5645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(625),
  [5647] = {.entry = {.count = 1, .reusable = false}}, SHIFT(626),
  [5649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(627),
  [5651] = {.entry = {.count = 1, .reusable = false}}, SHIFT(628),
  [5653] = {.entry = {.count = 1, .reusable = false}}, SHIFT(629),
  [5655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(622),
  [5657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(630),
  [5659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(621),
  [5661] = {.entry = {.count = 1, .reusable = false}}, SHIFT(631),
  [5663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(631),
  [5665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(632),
  [5667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(396),
  [5669] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_binary_expression, 3, 0, 74), SHIFT(151),
  [5672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4066),
  [5674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2853),
  [5676] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2219),
  [5678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3067),
  [5680] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1977),
  [5682] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1995),
  [5684] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2476),
  [5686] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1766),
  [5688] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2852),
  [5690] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2854),
  [5692] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_array_repeat1, 2, 0, 0),
  [5694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(810),
  [5696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(908),
  [5698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(875),
  [5700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3885),
  [5702] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pair, 3, 0, 92),
  [5704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4209),
  [5706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4208),
  [5708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5341),
  [5710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3799),
  [5712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3393),
  [5714] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_array, 2, 0, 0), REDUCE(sym_array_pattern, 2, 0, 0),
  [5717] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_unary_expression, 2, 0, 8), SHIFT(159),
  [5720] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_update_expression, 2, 0, 8), SHIFT(159),
  [5723] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_object, 3, 0, 31), REDUCE(sym_object_pattern, 3, 0, 32),
  [5726] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_object_repeat1, 2, 0, 31), REDUCE(aux_sym_object_pattern_repeat1, 2, 0, 32),
  [5729] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_unary_expression, 2, 0, 8), SHIFT(151),
  [5732] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_await_expression, 2, 0, 0), SHIFT(151),
  [5735] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_update_expression, 2, 0, 8), SHIFT(151),
  [5738] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_object, 2, 0, 0), REDUCE(sym_object_pattern, 2, 0, 0),
  [5741] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3775),
  [5743] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_object_repeat1, 1, 0, 0),
  [5745] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2616),
  [5747] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2601),
  [5749] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2640),
  [5751] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2690),
  [5753] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2738),
  [5755] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2740),
  [5757] = {.entry = {.count = 1, .reusable = false}}, SHIFT(161),
  [5759] = {.entry = {.count = 1, .reusable = false}}, SHIFT(649),
  [5761] = {.entry = {.count = 1, .reusable = false}}, SHIFT(648),
  [5763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(650),
  [5765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(651),
  [5767] = {.entry = {.count = 1, .reusable = false}}, SHIFT(652),
  [5769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(652),
  [5771] = {.entry = {.count = 1, .reusable = false}}, SHIFT(653),
  [5773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(654),
  [5775] = {.entry = {.count = 1, .reusable = false}}, SHIFT(655),
  [5777] = {.entry = {.count = 1, .reusable = false}}, SHIFT(656),
  [5779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(649),
  [5781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(657),
  [5783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(648),
  [5785] = {.entry = {.count = 1, .reusable = false}}, SHIFT(658),
  [5787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(658),
  [5789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(659),
  [5791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(668),
  [5793] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_binary_expression, 3, 0, 74), SHIFT(161),
  [5796] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_unary_expression, 2, 0, 8), SHIFT(161),
  [5799] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_await_expression, 2, 0, 0), SHIFT(161),
  [5802] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_update_expression, 2, 0, 8), SHIFT(161),
  [5805] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_await_expression, 2, 0, 0), SHIFT(159),
  [5808] = {.entry = {.count = 1, .reusable = false}}, SHIFT(542),
  [5810] = {.entry = {.count = 1, .reusable = false}}, SHIFT(541),
  [5812] = {.entry = {.count = 1, .reusable = false}}, SHIFT(545),
  [5814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(545),
  [5816] = {.entry = {.count = 1, .reusable = false}}, SHIFT(549),
  [5818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(542),
  [5820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(550),
  [5822] = {.entry = {.count = 1, .reusable = false}}, SHIFT(153),
  [5824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(541),
  [5826] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2448),
  [5828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3417),
  [5830] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2821),
  [5832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(506),
  [5834] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_class, 3, 0, 51), REDUCE(sym_class, 4, 0, 150),
  [5837] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_class, 3, 0, 51), REDUCE(sym_class, 4, 0, 150),
  [5840] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_class, 3, 0, 54), REDUCE(sym_class, 4, 0, 151),
  [5843] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_class, 3, 0, 54), REDUCE(sym_class, 4, 0, 151),
  [5846] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_class, 3, 0, 55), REDUCE(sym_class, 4, 0, 152),
  [5849] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_class, 3, 0, 55), REDUCE(sym_class, 4, 0, 152),
  [5852] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_unary_expression, 2, 0, 8), SHIFT(153),
  [5855] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_await_expression, 2, 0, 0), SHIFT(153),
  [5858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(543),
  [5860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(544),
  [5862] = {.entry = {.count = 1, .reusable = false}}, SHIFT(546),
  [5864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(547),
  [5866] = {.entry = {.count = 1, .reusable = false}}, SHIFT(548),
  [5868] = {.entry = {.count = 1, .reusable = false}}, SHIFT(551),
  [5870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(551),
  [5872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(552),
  [5874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(563),
  [5876] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_update_expression, 2, 0, 8), SHIFT(153),
  [5879] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2627),
  [5881] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2867),
  [5883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3454),
  [5885] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2613),
  [5887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3456),
  [5889] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2874),
  [5891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(557),
  [5893] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_binary_expression, 3, 0, 74), SHIFT(153),
  [5896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(585),
  [5898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(611),
  [5900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3409),
  [5902] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2870),
  [5904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(639),
  [5906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(664),
  [5908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(422),
  [5910] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_class, 4, 0, 113), REDUCE(sym_class, 5, 0, 191),
  [5913] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_class, 4, 0, 113), REDUCE(sym_class, 5, 0, 191),
  [5916] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_class, 4, 0, 114), REDUCE(sym_class, 5, 0, 192),
  [5919] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_class, 4, 0, 114), REDUCE(sym_class, 5, 0, 192),
  [5922] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_class, 4, 0, 117), REDUCE(sym_class, 5, 0, 193),
  [5925] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_class, 4, 0, 117), REDUCE(sym_class, 5, 0, 193),
  [5928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(479),
  [5930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3377),
  [5932] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2639),
  [5934] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__extends_clause_single, 2, 0, 115),
  [5936] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__initializer, 2, 0, 95), SHIFT(648),
  [5939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(640),
  [5941] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_class, 5, 0, 169), REDUCE(sym_class, 6, 0, 233),
  [5944] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_class, 5, 0, 169), REDUCE(sym_class, 6, 0, 233),
  [5947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3658),
  [5949] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_object_repeat1, 2, 0, 31),
  [5951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3279),
  [5953] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_class, 2, 0, 11), REDUCE(sym_class, 3, 0, 86),
  [5956] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_class, 2, 0, 11), REDUCE(sym_class, 3, 0, 86),
  [5959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(535),
  [5961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3406),
  [5963] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2644),
  [5965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3397),
  [5967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3433),
  [5969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3435),
  [5971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3329),
  [5973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3331),
  [5975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3324),
  [5977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3431),
  [5979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3370),
  [5981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3413),
  [5983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3444),
  [5985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3339),
  [5987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3405),
  [5989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3349),
  [5991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3357),
  [5993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3368),
  [5995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3470),
  [5997] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 8, 0, 298),
  [5999] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 8, 0, 298),
  [6001] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 6, 0, 236),
  [6003] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 6, 0, 236),
  [6005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2726),
  [6007] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 7, 0, 269),
  [6009] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 7, 0, 269),
  [6011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2701),
  [6013] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 4, 0, 123),
  [6015] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 4, 0, 123),
  [6017] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 110),
  [6019] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 110),
  [6021] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 110), SHIFT_REPEAT(2718),
  [6024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2729),
  [6026] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 6, 0, 219),
  [6028] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 6, 0, 219),
  [6030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2727),
  [6032] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 3, 0, 93),
  [6034] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 3, 0, 93),
  [6036] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 5, 0, 173),
  [6038] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 5, 0, 173),
  [6040] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 8, 0, 299),
  [6042] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 8, 0, 299),
  [6044] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 5, 0, 197),
  [6046] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 5, 0, 197),
  [6048] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 9, 0, 318),
  [6050] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 9, 0, 318),
  [6052] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 10, 0, 334),
  [6054] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 10, 0, 334),
  [6056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2694),
  [6058] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 4, 0, 156),
  [6060] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 4, 0, 156),
  [6062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(274),
  [6064] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5823),
  [6066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1083),
  [6068] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 1, 0, 0),
  [6070] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_class_body_repeat1, 1, 0, 0),
  [6072] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_body_repeat1, 1, 0, 0), SHIFT_REPEAT(2722),
  [6075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2722),
  [6077] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 7, 0, 270),
  [6079] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 7, 0, 270),
  [6081] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 9, 0, 319),
  [6083] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 9, 0, 319),
  [6085] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 3, 0, 110),
  [6087] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_class_body_repeat1, 3, 0, 110),
  [6089] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 0),
  [6091] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 0),
  [6093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2824),
  [6095] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2737),
  [6097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3798),
  [6099] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2733),
  [6101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2752),
  [6103] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_static_block, 2, 0, 11),
  [6105] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_static_block, 2, 0, 11),
  [6107] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_static_block, 3, 0, 54),
  [6109] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_static_block, 3, 0, 54),
  [6111] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1970),
  [6113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1971),
  [6115] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1786),
  [6117] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2782),
  [6119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2835),
  [6121] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2739),
  [6123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3768),
  [6125] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2758),
  [6127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(336),
  [6129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2819),
  [6131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3835),
  [6133] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2751),
  [6135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2851),
  [6137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3851),
  [6139] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2765),
  [6141] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2735),
  [6143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3058),
  [6145] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2067),
  [6147] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2068),
  [6149] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1871),
  [6151] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2847),
  [6153] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2848),
  [6155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3873),
  [6157] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_export_statement_repeat1, 2, 0, 25), SHIFT_REPEAT(4007),
  [6160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3879),
  [6162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3800),
  [6164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3866),
  [6166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3844),
  [6168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3465),
  [6170] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2611),
  [6172] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2573),
  [6174] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2875),
  [6176] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2876),
  [6178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3762),
  [6180] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2073),
  [6182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4242),
  [6184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4522),
  [6186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(890),
  [6188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(891),
  [6190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4244),
  [6192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(180),
  [6194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4261),
  [6196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4262),
  [6198] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2723),
  [6200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2841),
  [6202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3072),
  [6204] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2437),
  [6206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2849),
  [6208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3051),
  [6210] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2443),
  [6212] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2446),
  [6214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(176),
  [6216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4128),
  [6218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3958),
  [6220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(178),
  [6222] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2016),
  [6224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(868),
  [6226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4142),
  [6228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(894),
  [6230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(906),
  [6232] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2358),
  [6234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3080),
  [6236] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2360),
  [6238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3054),
  [6240] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2230),
  [6242] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2760),
  [6244] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2119),
  [6246] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2741),
  [6248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3063),
  [6250] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2314),
  [6252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3077),
  [6254] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2218),
  [6256] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2228),
  [6258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2872),
  [6260] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2744),
  [6262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3327),
  [6264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3446),
  [6266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3340),
  [6268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3326),
  [6270] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2636),
  [6272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3450),
  [6274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3459),
  [6276] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2647),
  [6278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3461),
  [6280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3468),
  [6282] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2629),
  [6284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3338),
  [6286] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2637),
  [6288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3345),
  [6290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3421),
  [6292] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2614),
  [6294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3427),
  [6296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3416),
  [6298] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2624),
  [6300] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2617),
  [6302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3325),
  [6304] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2623),
  [6306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3364),
  [6308] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2633),
  [6310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3367),
  [6312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3400),
  [6314] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2643),
  [6316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3403),
  [6318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3424),
  [6320] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2645),
  [6322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3425),
  [6324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3430),
  [6326] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2632),
  [6328] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5380),
  [6330] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5630),
  [6332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5458),
  [6334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4558),
  [6336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5315),
  [6338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4550),
  [6340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5537),
  [6342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1101),
  [6344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5196),
  [6346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4577),
  [6348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5382),
  [6350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5010),
  [6352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1006),
  [6354] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4639),
  [6356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5652),
  [6358] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3078),
  [6360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3278),
  [6362] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3173),
  [6364] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import, 1, 0, 0),
  [6366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5847),
  [6368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5375),
  [6370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5008),
  [6372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5400),
  [6374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5415),
  [6376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2939),
  [6378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5810),
  [6380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5733),
  [6382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5747),
  [6384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5748),
  [6386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5758),
  [6388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5771),
  [6390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(264),
  [6392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5379),
  [6394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4600),
  [6396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1016),
  [6398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5387),
  [6400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4601),
  [6402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5389),
  [6404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4602),
  [6406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(500),
  [6408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5794),
  [6410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5798),
  [6412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5818),
  [6414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(984),
  [6416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(553),
  [6418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5664),
  [6420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5667),
  [6422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5528),
  [6424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5558),
  [6426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(580),
  [6428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5778),
  [6430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5779),
  [6432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5792),
  [6434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5799),
  [6436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5483),
  [6438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5876),
  [6440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5509),
  [6442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5589),
  [6444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(607),
  [6446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(634),
  [6448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(660),
  [6450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(469),
  [6452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5546),
  [6454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1138),
  [6456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(411),
  [6458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(661),
  [6460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(529),
  [6462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(423),
  [6464] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 5, 0, 259),
  [6466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3720),
  [6468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(201),
  [6470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1103),
  [6472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3192),
  [6474] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3316),
  [6476] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1519),
  [6478] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 2, 0, 89),
  [6480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3678),
  [6482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(196),
  [6484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3165),
  [6486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3170),
  [6488] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1832),
  [6490] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 4, 0, 213),
  [6492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3595),
  [6494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3191),
  [6496] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 3, 0, 161),
  [6498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3726),
  [6500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3199),
  [6502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3578),
  [6504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3215),
  [6506] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 3, 0, 166),
  [6508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3601),
  [6510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3193),
  [6512] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 1, 0, 5),
  [6514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3577),
  [6516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3179),
  [6518] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3083),
  [6520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1102),
  [6522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3602),
  [6524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3206),
  [6526] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3571),
  [6528] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3186),
  [6530] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 6, 0, 296),
  [6532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3517),
  [6534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3214),
  [6536] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 2, 0, 111),
  [6538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3688),
  [6540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3177),
  [6542] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 5, 0, 253),
  [6544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3618),
  [6546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3176),
  [6548] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 4, 0, 211),
  [6550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3705),
  [6552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3197),
  [6554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3625),
  [6556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3178),
  [6558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3216),
  [6560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5346),
  [6562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3684),
  [6564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3181),
  [6566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3741),
  [6568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3218),
  [6570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3697),
  [6572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3183),
  [6574] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4990),
  [6576] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4988),
  [6578] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__import_identifier, 1, 0, 1),
  [6580] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__import_identifier, 1, 0, 1),
  [6582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3731),
  [6584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3201),
  [6586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3532),
  [6588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3202),
  [6590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3744),
  [6592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3219),
  [6594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3596),
  [6596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3203),
  [6598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3580),
  [6600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3189),
  [6602] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3486),
  [6604] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 4, 0, 211),
  [6606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3187),
  [6608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1028),
  [6610] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_type, 1, 0, 14), REDUCE(sym_type_parameter, 1, 0, 15),
  [6613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1030),
  [6615] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_type, 1, 0, 14), SHIFT(1030),
  [6618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5504),
  [6620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1022),
  [6622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1058),
  [6624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1063),
  [6626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1074),
  [6628] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 5, 0, 253),
  [6630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3195),
  [6632] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 2, 0, 89),
  [6634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3180),
  [6636] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 3, 0, 161),
  [6638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3166),
  [6640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3167),
  [6642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5384),
  [6644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5011),
  [6646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3196),
  [6648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3163),
  [6650] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 1, 0, 5),
  [6652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3194),
  [6654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1091),
  [6656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(147),
  [6658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3188),
  [6660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3162),
  [6662] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 6, 0, 253),
  [6664] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 4, 0, 161),
  [6666] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 3, 0, 89),
  [6668] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 3, 0, 89),
  [6670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(256),
  [6672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1014),
  [6674] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 6, 0, 253),
  [6676] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 3, 0, 111),
  [6678] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 6, 0, 259),
  [6680] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 2, 0, 5),
  [6682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1139),
  [6684] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 5, 0, 211),
  [6686] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 2, 0, 5),
  [6688] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 5, 0, 213),
  [6690] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 4, 0, 166),
  [6692] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 5, 0, 211),
  [6694] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 4, 0, 161),
  [6696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5352),
  [6698] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_type, 1, 0, 14), SHIFT(5199),
  [6701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5347),
  [6703] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 7, 0, 296),
  [6705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1043),
  [6707] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1046),
  [6709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1147),
  [6711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1044),
  [6713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(986),
  [6715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1057),
  [6717] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4677),
  [6719] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3298),
  [6721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5703),
  [6723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5539),
  [6725] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3619),
  [6727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5391),
  [6729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4603),
  [6731] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3420),
  [6733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1489),
  [6735] = {.entry = {.count = 1, .reusable = false}}, SHIFT(369),
  [6737] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1117),
  [6739] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3419),
  [6741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5354),
  [6743] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4775),
  [6745] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4779),
  [6747] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__call_signature, 2, 0, 24),
  [6749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(961),
  [6751] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3452),
  [6753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5497),
  [6755] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3457),
  [6757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1492),
  [6759] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__call_signature, 1, 0, 3),
  [6761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(428),
  [6763] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declarator, 1, 0, 5),
  [6765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5193),
  [6767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(392),
  [6769] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_variable_declarator, 1, 0, 5), SHIFT(5154),
  [6772] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3382),
  [6774] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4769),
  [6776] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4184),
  [6778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5766),
  [6780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4766),
  [6782] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_annotation, 2, 0, 0),
  [6784] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3381),
  [6786] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3361),
  [6788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1126),
  [6790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1023),
  [6792] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3448),
  [6794] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3395),
  [6796] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3391),
  [6798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5560),
  [6800] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3436),
  [6802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3710),
  [6804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3711),
  [6806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3522),
  [6808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3523),
  [6810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3524),
  [6812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3525),
  [6814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3526),
  [6816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3527),
  [6818] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_pattern, 4, 0, 32),
  [6820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3529),
  [6822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3531),
  [6824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1092),
  [6826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1093),
  [6828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1149),
  [6830] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_pattern, 3, 0, 0),
  [6832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(981),
  [6834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3588),
  [6836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3589),
  [6838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3717),
  [6840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3718),
  [6842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3712),
  [6844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3713),
  [6846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3585),
  [6848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3586),
  [6850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3590),
  [6852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3591),
  [6854] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_pattern, 4, 0, 0),
  [6856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3734),
  [6858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3735),
  [6860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3736),
  [6862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3737),
  [6864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(369),
  [6866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1117),
  [6868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1495),
  [6870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3742),
  [6872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3743),
  [6874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(971),
  [6876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3745),
  [6878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3746),
  [6880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3749),
  [6882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3750),
  [6884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3515),
  [6886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3516),
  [6888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1095),
  [6890] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_annotation, 2, 0, 0),
  [6892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3706),
  [6894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3707),
  [6896] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_pattern, 3, 0, 0),
  [6898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1496),
  [6900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1481),
  [6902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4967),
  [6904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3631),
  [6906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3632),
  [6908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4741),
  [6910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3635),
  [6912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3637),
  [6914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3642),
  [6916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3644),
  [6918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3519),
  [6920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3520),
  [6922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3654),
  [6924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3655),
  [6926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3661),
  [6928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3662),
  [6930] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_pattern, 4, 0, 0),
  [6932] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 7, 0, 317),
  [6934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3536),
  [6936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3537),
  [6938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3715),
  [6940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3716),
  [6942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3708),
  [6944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3709),
  [6946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3747),
  [6948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3748),
  [6950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3751),
  [6952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3752),
  [6954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3664),
  [6956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3665),
  [6958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3666),
  [6960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3667),
  [6962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3753),
  [6964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3621),
  [6966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3674),
  [6968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3675),
  [6970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3676),
  [6972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3677),
  [6974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3570),
  [6976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3572),
  [6978] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 6, 0, 289),
  [6980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3733),
  [6982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5823),
  [6984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3538),
  [6986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3539),
  [6988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3700),
  [6990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3701),
  [6992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3540),
  [6994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3543),
  [6996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3547),
  [6998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3550),
  [7000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3554),
  [7002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3555),
  [7004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3556),
  [7006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3558),
  [7008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3559),
  [7010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3560),
  [7012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3564),
  [7014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3565),
  [7016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3567),
  [7018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3568),
  [7020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3647),
  [7022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3648),
  [7024] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3171),
  [7026] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2927),
  [7028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1038),
  [7030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1040),
  [7032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1047),
  [7034] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2937),
  [7036] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3154),
  [7038] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5636),
  [7040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(27),
  [7042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5479),
  [7044] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_adding_type_annotation, 2, 0, 0),
  [7046] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2881),
  [7048] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_opting_type_annotation, 2, 0, 0),
  [7050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3901),
  [7052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1983),
  [7054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(150),
  [7056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4504),
  [7058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5494),
  [7060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2431),
  [7062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3789),
  [7064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2253),
  [7066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2145),
  [7068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2126),
  [7070] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1732),
  [7072] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1974),
  [7074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1957),
  [7076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1045),
  [7078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1651),
  [7080] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_omitting_type_annotation, 2, 0, 0),
  [7082] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2955),
  [7084] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3287),
  [7086] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5620),
  [7088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2564),
  [7090] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1509),
  [7092] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1618),
  [7094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4679),
  [7096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4508),
  [7098] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3653),
  [7100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(669),
  [7102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4312),
  [7104] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 8, 0, 317),
  [7106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(763),
  [7108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5826),
  [7110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3477),
  [7112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5866),
  [7114] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_optional_chain, 1, 0, 0),
  [7116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(278),
  [7118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5191),
  [7120] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter, 1, 0, 15),
  [7122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4320),
  [7124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3857),
  [7126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5168),
  [7128] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_construct_signature, 4, 0, 222),
  [7130] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_construct_signature, 2, 0, 128),
  [7132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5407),
  [7134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3503),
  [7136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3308),
  [7138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3309),
  [7140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(412),
  [7142] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_required_parameter, 1, 0, 10),
  [7144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3905),
  [7146] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_signature, 2, 0, 109),
  [7148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5406),
  [7150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5184),
  [7152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5204),
  [7154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4139),
  [7156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3865),
  [7158] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_extends_type_clause, 2, 0, 143),
  [7160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4418),
  [7162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5573),
  [7164] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_extends_type_clause, 2, 0, 143),
  [7166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4168),
  [7168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3899),
  [7170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5439),
  [7172] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_signature, 3, 0, 122),
  [7174] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_signature, 3, 0, 165),
  [7176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1127),
  [7178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1036),
  [7180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1037),
  [7182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1008),
  [7184] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter, 2, 0, 64),
  [7186] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_signature, 4, 0, 203),
  [7188] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_signature, 4, 0, 172),
  [7190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4286),
  [7192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3825),
  [7194] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_signature, 5, 0, 244),
  [7196] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_signature, 5, 0, 245),
  [7198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4015),
  [7200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3897),
  [7202] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_signature, 6, 0, 281),
  [7204] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_signature, 6, 0, 282),
  [7206] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_signature, 7, 0, 301),
  [7208] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_signature, 7, 0, 302),
  [7210] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_signature, 8, 0, 322),
  [7212] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_signature, 8, 0, 327),
  [7214] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_signature, 9, 0, 336),
  [7216] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_construct_signature, 3, 0, 175),
  [7218] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_construct_signature, 3, 0, 176),
  [7220] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_parameters, 2, 0, 0),
  [7222] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_parameters, 3, 0, 0),
  [7224] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_parameters, 4, 0, 0),
  [7226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4132),
  [7228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3786),
  [7230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4125),
  [7232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3861),
  [7234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4143),
  [7236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3868),
  [7238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(540),
  [7240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1042),
  [7242] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_parameters, 5, 0, 0),
  [7244] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 7, 0, 289),
  [7246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4223),
  [7248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3889),
  [7250] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_pattern, 1, -1, 0), SHIFT(540),
  [7253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4230),
  [7255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3891),
  [7257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3988),
  [7259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1424),
  [7261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4444),
  [7263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(245),
  [7265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4192),
  [7267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4194),
  [7269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4095),
  [7271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4197),
  [7273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1441),
  [7275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4271),
  [7277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1463),
  [7279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1462),
  [7281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4314),
  [7283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5498),
  [7285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(858),
  [7287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(320),
  [7289] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sequence_expression, 2, 0, 0),
  [7291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4324),
  [7293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(28),
  [7295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4808),
  [7297] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_sequence_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(489),
  [7300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4039),
  [7302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(996),
  [7304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3168),
  [7306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1425),
  [7308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1570),
  [7310] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_switch_body_repeat1, 2, 0, 0), SHIFT_REPEAT(5498),
  [7313] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_switch_body_repeat1, 2, 0, 0),
  [7315] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_switch_body_repeat1, 2, 0, 0), SHIFT_REPEAT(320),
  [7318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1119),
  [7320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1120),
  [7322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1080),
  [7324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1435),
  [7326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4207),
  [7328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1440),
  [7330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(987),
  [7332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1883),
  [7334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3892),
  [7336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1669),
  [7338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(393),
  [7340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4335),
  [7342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4003),
  [7344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4203),
  [7346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4360),
  [7348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4344),
  [7350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(995),
  [7352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3387),
  [7354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3981),
  [7356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1444),
  [7358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1428),
  [7360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3328),
  [7362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1433),
  [7364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1419),
  [7366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4349),
  [7368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1422),
  [7370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4088),
  [7372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1429),
  [7374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(711),
  [7376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(991),
  [7378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3378),
  [7380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3985),
  [7382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4032),
  [7384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1455),
  [7386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3794),
  [7388] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_object_type_repeat1, 2, 0, 0), SHIFT_REPEAT(1479),
  [7391] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_object_type_repeat1, 2, 0, 0),
  [7393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1456),
  [7395] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__tuple_type_member, 1, 0, 0),
  [7397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5201),
  [7399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4074),
  [7401] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__call_signature, 2, 0, 23),
  [7403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1458),
  [7405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3967),
  [7407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3989),
  [7409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(973),
  [7411] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constraint, 2, 0, 0),
  [7413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3990),
  [7415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2786),
  [7417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3321),
  [7419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5663),
  [7421] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_implements_clause_repeat1, 2, 0, 0),
  [7423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4820),
  [7425] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_export_statement_repeat1, 2, 0, 25), SHIFT_REPEAT(4028),
  [7428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4017),
  [7430] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_asserts_annotation, 2, 0, 0),
  [7432] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_predicate_annotation, 2, 0, 0),
  [7434] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__call_signature, 3, 0, 84),
  [7436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1436),
  [7438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1965),
  [7440] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_extends_type_clause, 2, 0, 144),
  [7442] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_extends_type_clause, 2, 0, 144),
  [7444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4133),
  [7446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4166),
  [7448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4099),
  [7450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4144),
  [7452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4138),
  [7454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4169),
  [7456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4336),
  [7458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4172),
  [7460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1655),
  [7462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2778),
  [7464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3313),
  [7466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4238),
  [7468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4110),
  [7470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2173),
  [7472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4119),
  [7474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1123),
  [7476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(983),
  [7478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1152),
  [7480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4329),
  [7482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2811),
  [7484] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_implements_clause, 2, 0, 0),
  [7486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1018),
  [7488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4231),
  [7490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4237),
  [7492] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_template_string_repeat1, 2, 0, 0), SHIFT_REPEAT(3892),
  [7495] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_template_string_repeat1, 2, 0, 0),
  [7497] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_template_string_repeat1, 2, 0, 0), SHIFT_REPEAT(393),
  [7500] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_extends_type_clause_repeat1, 2, 0, 143),
  [7502] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_extends_type_clause_repeat1, 2, 0, 143),
  [7504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1286),
  [7506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4011),
  [7508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4178),
  [7510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4179),
  [7512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(982),
  [7514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1636),
  [7516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2320),
  [7518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1445),
  [7520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3244),
  [7522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(924),
  [7524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4188),
  [7526] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_optional_parameter, 2, 0, 10),
  [7528] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 7, 0, 313),
  [7530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1247),
  [7532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5132),
  [7534] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 5, 0, 255),
  [7536] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 5, 0, 257),
  [7538] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_construct_signature, 4, 0, 220),
  [7540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2009),
  [7542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1021),
  [7544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3938),
  [7546] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 7, 0, 316),
  [7548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4076),
  [7550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(902),
  [7552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(900),
  [7554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(901),
  [7556] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 4, 0, 215),
  [7558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3000),
  [7560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4306),
  [7562] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__call_signature, 1, 0, 3), SHIFT(972),
  [7565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1987),
  [7567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4115),
  [7569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5170),
  [7571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(834),
  [7573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(833),
  [7575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(886),
  [7577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1046),
  [7579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4093),
  [7581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4091),
  [7583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4092),
  [7585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4155),
  [7587] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_extends_type_clause_repeat1, 2, 0, 144),
  [7589] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_extends_type_clause_repeat1, 2, 0, 144),
  [7591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(865),
  [7593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(880),
  [7595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(855),
  [7597] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__call_signature, 1, 0, 3), SHIFT(1056),
  [7600] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__call_signature, 2, 0, 24), SHIFT(970),
  [7603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(501),
  [7605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2774),
  [7607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4202),
  [7609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5435),
  [7611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4171),
  [7613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4165),
  [7615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4170),
  [7617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4217),
  [7619] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__call_signature, 2, 0, 24), SHIFT(1061),
  [7622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4260),
  [7624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(904),
  [7626] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 2, 0, 37),
  [7628] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 4, 0, 207),
  [7630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3541),
  [7632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2708),
  [7634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4683),
  [7636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3247),
  [7638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4021),
  [7640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3276),
  [7642] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 4, 0, 209),
  [7644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3441),
  [7646] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 5, 0, 247),
  [7648] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 4, 0, 217),
  [7650] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_construct_signature, 4, 0, 221),
  [7652] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 5, 0, 251),
  [7654] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_construct_signature, 5, 0, 261),
  [7656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1542),
  [7658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4054),
  [7660] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 2, 0, 37),
  [7662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1550),
  [7664] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declarator, 2, 0, 37),
  [7666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3469),
  [7668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4083),
  [7670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3402),
  [7672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5520),
  [7674] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_index_signature, 6, 0, 277),
  [7676] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_index_signature, 6, 0, 279),
  [7678] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_index_signature, 6, 0, 280),
  [7680] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 6, 0, 285),
  [7682] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_pattern, 1, -1, 0), SHIFT(397),
  [7685] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 6, 0, 288),
  [7687] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__call_signature, 1, 0, 3), SHIFT(1090),
  [7690] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call_signature, 1, 0, 59),
  [7692] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 7, 0, 307),
  [7694] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__call_signature, 2, 0, 24), SHIFT(969),
  [7697] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_index_signature, 8, 0, 320),
  [7699] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_index_signature, 8, 0, 321),
  [7701] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_rest_type, 2, 0, 0),
  [7703] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 6, 0, 291),
  [7705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4942),
  [7707] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_template_literal_type_repeat1, 2, 0, 0),
  [7709] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_template_literal_type_repeat1, 2, 0, 0), SHIFT_REPEAT(1021),
  [7712] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_template_literal_type_repeat1, 2, 0, 0), SHIFT_REPEAT(4115),
  [7715] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_default_type, 2, 0, 0),
  [7717] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 8, 0, 325),
  [7719] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 6, 0, 295),
  [7721] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameters, 4, 0, 0),
  [7723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5672),
  [7725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(830),
  [7727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5846),
  [7729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2789),
  [7731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(861),
  [7733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(846),
  [7735] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 8, 0, 330),
  [7737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(909),
  [7739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(907),
  [7741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5323),
  [7743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4654),
  [7745] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 8, 0, 333),
  [7747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(927),
  [7749] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 5, 0, 247),
  [7751] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declarator, 2, 0, 36),
  [7753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(389),
  [7755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(390),
  [7757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(391),
  [7759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(316),
  [7761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3294),
  [7763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5635),
  [7765] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 3, 0, 163),
  [7767] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 3, 0, 96),
  [7769] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 3, 0, 168),
  [7771] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_construct_signature, 3, 0, 174),
  [7773] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 3, 0, 163),
  [7775] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__call_signature, 1, 0, 3), SHIFT(964),
  [7778] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 3, 0, 96),
  [7780] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 5, 0, 251),
  [7782] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__call_signature, 2, 0, 24), SHIFT(1003),
  [7785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(486),
  [7787] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameters, 5, 0, 0),
  [7789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3020),
  [7791] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_index_signature, 5, 0, 252),
  [7793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5873),
  [7795] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 6, 0, 285),
  [7797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1104),
  [7799] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_mapped_type_clause, 3, 0, 204),
  [7801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(831),
  [7803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(832),
  [7805] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_index_signature, 4, 0, 205),
  [7807] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 6, 0, 288),
  [7809] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 4, 0, 207),
  [7811] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 4, 0, 209),
  [7813] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__call_signature, 1, 0, 3), SHIFT(960),
  [7816] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__call_signature, 1, 0, 3), SHIFT(1041),
  [7819] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__call_signature, 2, 0, 24), SHIFT(976),
  [7822] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__call_signature, 2, 0, 24), SHIFT(1048),
  [7825] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 9, 0, 339),
  [7827] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_index_signature, 7, 0, 304),
  [7829] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_index_signature, 7, 0, 305),
  [7831] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 7, 0, 307),
  [7833] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 7, 0, 310),
  [7835] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameters, 3, 0, 0),
  [7837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5638),
  [7839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4687),
  [7841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(878),
  [7843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1535),
  [7845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3016),
  [7847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3606),
  [7849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(842),
  [7851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4077),
  [7853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1107),
  [7855] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1511),
  [7857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4436),
  [7859] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_object_pattern_repeat1, 2, 0, 32),
  [7861] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3362),
  [7863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4399),
  [7865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4400),
  [7867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1131),
  [7869] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3372),
  [7871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4431),
  [7873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4078),
  [7875] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_optional_parameter, 3, 0, 104),
  [7877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1554),
  [7879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(342),
  [7881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2784),
  [7883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1082),
  [7885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3482),
  [7887] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1504),
  [7889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4394),
  [7891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(839),
  [7893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1113),
  [7895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3259),
  [7897] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__from_clause, 2, 0, 34),
  [7899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5701),
  [7901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3894),
  [7903] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_extends_type_clause, 3, 0, 184),
  [7905] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_extends_type_clause, 3, 0, 184),
  [7907] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_extends_type_clause, 3, 0, 185),
  [7909] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_extends_type_clause, 3, 0, 185),
  [7911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4000),
  [7913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3320),
  [7915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1005),
  [7917] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_variable_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(3606),
  [7920] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_variable_declaration_repeat1, 2, 0, 0),
  [7922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3485),
  [7924] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_required_parameter, 2, 0, 44),
  [7926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(430),
  [7928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3583),
  [7930] = {.entry = {.count = 1, .reusable = false}}, SHIFT(244),
  [7932] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0),
  [7934] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(4431),
  [7937] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter, 2, 0, 67),
  [7939] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_implements_clause_repeat1, 2, 0, 0), SHIFT_REPEAT(1018),
  [7942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3004),
  [7944] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_string_repeat2, 2, 0, 0),
  [7946] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_repeat2, 2, 0, 0), SHIFT_REPEAT(4436),
  [7949] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3581),
  [7951] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5505),
  [7953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4303),
  [7955] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_substitution, 3, 0, 0),
  [7957] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_extends_type_clause_repeat1, 2, 0, 229),
  [7959] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_extends_type_clause_repeat1, 2, 0, 229), SHIFT_REPEAT(4418),
  [7962] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_extends_type_clause_repeat1, 2, 0, 229),
  [7964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3280),
  [7966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(859),
  [7968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(435),
  [7970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1985),
  [7972] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_pattern, 1, -1, 0), SHIFT(486),
  [7975] = {.entry = {.count = 1, .reusable = false}}, SHIFT(705),
  [7977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4457),
  [7979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4458),
  [7981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3508),
  [7983] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter, 3, 0, 134),
  [7985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3473),
  [7987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1065),
  [7989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4675),
  [7991] = {.entry = {.count = 1, .reusable = false}}, SHIFT(706),
  [7993] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_extends_clause, 2, 0, 53),
  [7995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(355),
  [7997] = {.entry = {.count = 1, .reusable = false}}, SHIFT(243),
  [7999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4430),
  [8001] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_sequence_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(432),
  [8004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(860),
  [8006] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2917),
  [8008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4486),
  [8010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3380),
  [8012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4491),
  [8014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1027),
  [8016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1050),
  [8018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4492),
  [8020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2036),
  [8022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3432),
  [8024] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_mapped_type_clause, 5, 0, 278),
  [8026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1053),
  [8028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1099),
  [8030] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_extends_clause, 3, 0, 116),
  [8032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4771),
  [8034] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_require_clause, 6, 0, 237),
  [8036] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2918),
  [8038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3493),
  [8040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4129),
  [8042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3487),
  [8044] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1518),
  [8046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4497),
  [8048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4498),
  [8050] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1525),
  [8052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3302),
  [8054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1075),
  [8056] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3161),
  [8058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4506),
  [8060] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_extends_clause_repeat1, 2, 0, 170),
  [8062] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_extends_clause_repeat1, 2, 0, 170), SHIFT_REPEAT(355),
  [8065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4510),
  [8067] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_template_string_repeat1, 1, 0, 0),
  [8069] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_template_string_repeat1, 1, 0, 0), REDUCE(aux_sym_template_literal_type_repeat1, 1, 0, 0),
  [8072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1079),
  [8074] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3205),
  [8076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1088),
  [8078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3629),
  [8080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3379),
  [8082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4446),
  [8084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3973),
  [8086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3999),
  [8088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1137),
  [8090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(999),
  [8092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1146),
  [8094] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_enum_body_repeat1, 2, 0, 89),
  [8096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3848),
  [8098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1002),
  [8100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1660),
  [8102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(942),
  [8104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1986),
  [8106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3579),
  [8108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1015),
  [8110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1017),
  [8112] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 10, 0, 341),
  [8114] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 7, 0, 311),
  [8116] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 7, 0, 315),
  [8118] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 4, 0, 218),
  [8120] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pair_pattern, 3, 0, 92),
  [8122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5274),
  [8124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5303),
  [8126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(849),
  [8128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(990),
  [8130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2914),
  [8132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2992),
  [8134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2915),
  [8136] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 7, 0, 312),
  [8138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4483),
  [8140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(944),
  [8142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1544),
  [8144] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 5, 0, 254),
  [8146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1071),
  [8148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1072),
  [8150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(985),
  [8152] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_sequence_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(400),
  [8155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2883),
  [8157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2994),
  [8159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2885),
  [8161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(198),
  [8163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4810),
  [8165] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_array_pattern_repeat1, 2, 0, 0),
  [8167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(936),
  [8169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2604),
  [8171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2888),
  [8173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2996),
  [8175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2889),
  [8177] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 7, 0, 314),
  [8179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2186),
  [8181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3335),
  [8183] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 5, 0, 256),
  [8185] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 5, 0, 258),
  [8187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2892),
  [8189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2999),
  [8191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2893),
  [8193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3410),
  [8195] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_repeat1, 2, 0, 0), SHIFT_REPEAT(280),
  [8198] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 4, 0, 214),
  [8200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5349),
  [8202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(199),
  [8204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3860),
  [8206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(938),
  [8208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3401),
  [8210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(980),
  [8212] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declarator, 3, 0, 97),
  [8214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3095),
  [8216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2987),
  [8218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3096),
  [8220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3109),
  [8222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2988),
  [8224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3111),
  [8226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3126),
  [8228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2989),
  [8230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3127),
  [8232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3105),
  [8234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2990),
  [8236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3148),
  [8238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1317),
  [8240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(362),
  [8242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1319),
  [8244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(941),
  [8246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3134),
  [8248] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_pattern_repeat1, 2, 0, 0), SHIFT_REPEAT(255),
  [8251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4160),
  [8253] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_glimmer_template_repeat1, 2, 0, 0), SHIFT_REPEAT(4613),
  [8256] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_glimmer_template_repeat1, 2, 0, 0),
  [8258] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 6, 0, 283),
  [8260] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 6, 0, 284),
  [8262] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 6, 0, 286),
  [8264] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 6, 0, 287),
  [8266] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_method_signature, 6, 0, 281),
  [8268] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4613),
  [8270] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1663),
  [8272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(997),
  [8274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4974),
  [8276] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__import_identifier, 1, 0, 0),
  [8278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3232),
  [8280] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_method_signature, 6, 0, 282),
  [8282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(940),
  [8284] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 6, 0, 290),
  [8286] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 8, 0, 323),
  [8288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3510),
  [8290] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 8, 0, 324),
  [8292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(937),
  [8294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4177),
  [8296] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_specifier, 2, 0, 89),
  [8298] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_clause, 3, 0, 0),
  [8300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2326),
  [8302] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 8, 0, 326),
  [8304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(252),
  [8306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5254),
  [8308] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 6, 0, 292),
  [8310] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 6, 0, 293),
  [8312] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 6, 0, 294),
  [8314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3390),
  [8316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4130),
  [8318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4995),
  [8320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2777),
  [8322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4204),
  [8324] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 8, 0, 328),
  [8326] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_parameters, 4, 0, 0),
  [8328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1516),
  [8330] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__module_export_name, 1, 0, 0),
  [8332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5371),
  [8334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3887),
  [8336] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_parameters_repeat1, 2, 0, 0), SHIFT_REPEAT(4948),
  [8339] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_type_parameters_repeat1, 2, 0, 0),
  [8341] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_formal_parameters_repeat1, 2, 0, 0), SHIFT_REPEAT(212),
  [8344] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_formal_parameters_repeat1, 2, 0, 0),
  [8346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(31),
  [8348] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_repeat1, 2, 0, 0), SHIFT_REPEAT(289),
  [8351] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 8, 0, 329),
  [8353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2790),
  [8355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(829),
  [8357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1873),
  [8359] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 8, 0, 331),
  [8361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4488),
  [8363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4367),
  [8365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(250),
  [8367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5285),
  [8369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2779),
  [8371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4243),
  [8373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2780),
  [8375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4245),
  [8377] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_clause, 4, 0, 0),
  [8379] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_export_clause_repeat1, 2, 0, 0), SHIFT_REPEAT(3472),
  [8382] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_export_clause_repeat1, 2, 0, 0),
  [8384] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 8, 0, 332),
  [8386] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_heritage, 1, 0, 0),
  [8388] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 5, 0, 260),
  [8390] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_clause, 2, 0, 0),
  [8392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3398),
  [8394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4655),
  [8396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3960),
  [8398] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_specifier, 1, 0, 5),
  [8400] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_parameters, 5, 0, 0),
  [8402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5397),
  [8404] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 2, 0, 36),
  [8406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4783),
  [8408] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 5, 0, 246),
  [8410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4456),
  [8412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5116),
  [8414] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5139),
  [8416] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5339),
  [8418] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5340),
  [8420] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_named_imports_repeat1, 2, 0, 0), SHIFT_REPEAT(3355),
  [8423] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_named_imports_repeat1, 2, 0, 0),
  [8425] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declarator, 3, 0, 96),
  [8427] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_body_repeat1, 2, 0, 231), SHIFT_REPEAT(2814),
  [8430] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_enum_body_repeat1, 2, 0, 231),
  [8432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5154),
  [8434] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2222),
  [8436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5361),
  [8438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1204),
  [8440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(331),
  [8442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1194),
  [8444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2134),
  [8446] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5140),
  [8448] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 3, 0, 162),
  [8450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5404),
  [8452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(843),
  [8454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3330),
  [8456] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 4, 0, 216),
  [8458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3322),
  [8460] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_method_signature, 3, 0, 122),
  [8462] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 3, 0, 164),
  [8464] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 3, 0, 97),
  [8466] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 5, 0, 248),
  [8468] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 3, 0, 167),
  [8470] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4817),
  [8472] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2225),
  [8474] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 5, 0, 249),
  [8476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(914),
  [8478] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_extends_clause_repeat1, 2, 0, 53),
  [8480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(202),
  [8482] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_implements_clause, 3, 0, 0),
  [8484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5279),
  [8486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(203),
  [8488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3714),
  [8490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1676),
  [8492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3609),
  [8494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3610),
  [8496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1677),
  [8498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(943),
  [8500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3017),
  [8502] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 5, 0, 250),
  [8504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4525),
  [8506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5342),
  [8508] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4632),
  [8510] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1653),
  [8512] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_tuple_type_repeat1, 2, 0, 0), SHIFT_REPEAT(945),
  [8515] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_tuple_type_repeat1, 2, 0, 0),
  [8517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5344),
  [8519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5345),
  [8521] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_type, 3, 0, 0),
  [8523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(204),
  [8525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2775),
  [8527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(897),
  [8529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2776),
  [8531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(921),
  [8533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3348),
  [8535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(200),
  [8537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2137),
  [8539] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_clause, 5, 0, 0),
  [8541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(935),
  [8543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3263),
  [8545] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_object_repeat1, 2, 0, 0), SHIFT_REPEAT(2469),
  [8548] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_object_repeat1, 2, 0, 0),
  [8550] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_object_pattern_repeat1, 2, 0, 0), SHIFT_REPEAT(2324),
  [8553] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_object_pattern_repeat1, 2, 0, 0),
  [8555] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4885),
  [8557] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5650),
  [8559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3303),
  [8561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5549),
  [8563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5521),
  [8565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(988),
  [8567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1679),
  [8569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1029),
  [8571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3612),
  [8573] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_method_signature, 5, 0, 244),
  [8575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2963),
  [8577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2959),
  [8579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2965),
  [8581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2970),
  [8583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2960),
  [8585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2971),
  [8587] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_method_signature, 5, 0, 245),
  [8589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2975),
  [8591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2945),
  [8593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2976),
  [8595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2983),
  [8597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2961),
  [8599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2986),
  [8601] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 4, 0, 206),
  [8603] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 4, 0, 208),
  [8605] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 9, 0, 335),
  [8607] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 9, 0, 337),
  [8609] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 4, 0, 210),
  [8611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(939),
  [8613] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 9, 0, 338),
  [8615] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 7, 0, 303),
  [8617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(979),
  [8619] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 7, 0, 306),
  [8621] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 7, 0, 308),
  [8623] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 7, 0, 309),
  [8625] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 9, 0, 340),
  [8627] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_method_signature, 7, 0, 301),
  [8629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(994),
  [8631] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_method_signature, 4, 0, 172),
  [8633] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_method_signature, 4, 0, 203),
  [8635] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 4, 0, 212),
  [8637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4437),
  [8639] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_pattern, 1, -1, 0), SHIFT(620),
  [8642] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_parameters, 3, 0, 0),
  [8644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3896),
  [8646] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_specifier, 3, 0, 157),
  [8648] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_specifier, 3, 0, 154),
  [8650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(815),
  [8652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(813),
  [8654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(823),
  [8656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(817),
  [8658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(835),
  [8660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(323),
  [8662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2012),
  [8664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2013),
  [8666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2785),
  [8668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2014),
  [8670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2015),
  [8672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2019),
  [8674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2020),
  [8676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2024),
  [8678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2025),
  [8680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1198),
  [8682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1202),
  [8684] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_optional_parameter, 4, 0, 159),
  [8686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1205),
  [8688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1206),
  [8690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2155),
  [8692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(892),
  [8694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(889),
  [8696] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_specifier, 2, 0, 89),
  [8698] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_enum_body_repeat1, 2, 0, 0),
  [8700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1385),
  [8702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1390),
  [8704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(905),
  [8706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(317),
  [8708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4212),
  [8710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5590),
  [8712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1296),
  [8714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1283),
  [8716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(896),
  [8718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2890),
  [8720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2891),
  [8722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4065),
  [8724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4064),
  [8726] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_parameter, 2, 0, 37),
  [8728] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_optional_type, 2, 0, 0),
  [8730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1287),
  [8732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1290),
  [8734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2788),
  [8736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(335),
  [8738] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter, 3, 0, 136),
  [8740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3769),
  [8742] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter, 3, 0, 133),
  [8744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4070),
  [8746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4069),
  [8748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4072),
  [8750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4071),
  [8752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(312),
  [8754] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_required_parameter, 2, 0, 43),
  [8756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4885),
  [8758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1574),
  [8760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1575),
  [8762] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter, 4, 0, 179),
  [8764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(809),
  [8766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(928),
  [8768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1602),
  [8770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1607),
  [8772] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_optional_tuple_parameter, 3, 0, 96),
  [8774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1610),
  [8776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1611),
  [8778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(854),
  [8780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1339),
  [8782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1342),
  [8784] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_assignment, 2, 0, 36),
  [8786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3907),
  [8788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4146),
  [8790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4151),
  [8792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4416),
  [8794] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_clause, 1, 0, 0),
  [8796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2900),
  [8798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2884),
  [8800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1994),
  [8802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1996),
  [8804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1997),
  [8806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1998),
  [8808] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_specifier, 4, 0, 195),
  [8810] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter, 2, 0, 66),
  [8812] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_specifier, 4, 0, 198),
  [8814] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_specifier, 4, 0, 195),
  [8816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3141),
  [8818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3146),
  [8820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3088),
  [8822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3115),
  [8824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3119),
  [8826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3120),
  [8828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3234),
  [8830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3241),
  [8832] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_optional_parameter, 3, 0, 103),
  [8834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3245),
  [8836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3246),
  [8838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4136),
  [8840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5859),
  [8842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3249),
  [8844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3292),
  [8846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1627),
  [8848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1630),
  [8850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2933),
  [8852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2929),
  [8854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1635),
  [8856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1638),
  [8858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2967),
  [8860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2968),
  [8862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1649),
  [8864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1529),
  [8866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(917),
  [8868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(915),
  [8870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1124),
  [8872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1106),
  [8874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4164),
  [8876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5867),
  [8878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2972),
  [8880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2973),
  [8882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1534),
  [8884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1539),
  [8886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2981),
  [8888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2982),
  [8890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4610),
  [8892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3097),
  [8894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3101),
  [8896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3113),
  [8898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3114),
  [8900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3160),
  [8902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3130),
  [8904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1989),
  [8906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1990),
  [8908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2936),
  [8910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2921),
  [8912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(822),
  [8914] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_required_parameter, 3, 0, 105),
  [8916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1365),
  [8918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1350),
  [8920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1336),
  [8922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1310),
  [8924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2923),
  [8926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2925),
  [8928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(910),
  [8930] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_specifier, 1, 0, 5),
  [8932] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_specifier, 3, 0, 154),
  [8934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1354),
  [8936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1378),
  [8938] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_attribute, 2, 0, 0),
  [8940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(913),
  [8942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2886),
  [8944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2887),
  [8946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(828),
  [8948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(816),
  [8950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3968),
  [8952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5481),
  [8954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(321),
  [8956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3534),
  [8958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3041),
  [8960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4191),
  [8962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2907),
  [8964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(524),
  [8966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5476),
  [8968] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5611),
  [8970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(378),
  [8972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4784),
  [8974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(379),
  [8976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(380),
  [8978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(381),
  [8980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3535),
  [8982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5714),
  [8984] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5668),
  [8986] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_named_imports, 4, 0, 0),
  [8988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10),
  [8990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3453),
  [8992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1081),
  [8994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(638),
  [8996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(947),
  [8998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5188),
  [9000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3230),
  [9002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3653),
  [9004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1567),
  [9006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(241),
  [9008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2902),
  [9010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(975),
  [9012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1004),
  [9014] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_import, 3, 0, 0),
  [9016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3243),
  [9018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2115),
  [9020] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5581),
  [9022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(957),
  [9024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2049),
  [9026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3443),
  [9028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5650),
  [9030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1991),
  [9032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1583),
  [9034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(329),
  [9036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2050),
  [9038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1584),
  [9040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2051),
  [9042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2052),
  [9044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3549),
  [9046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5157),
  [9048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1585),
  [9050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1056),
  [9052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1586),
  [9054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2930),
  [9056] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_named_imports, 2, 0, 0),
  [9058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(384),
  [9060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1122),
  [9062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(385),
  [9064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(386),
  [9066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(387),
  [9068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3136),
  [9070] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_clause, 3, 0, 0),
  [9072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2904),
  [9074] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_named_imports, 3, 0, 0),
  [9076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2053),
  [9078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2054),
  [9080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3363),
  [9082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(663),
  [9084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1094),
  [9086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2055),
  [9088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2056),
  [9090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1589),
  [9092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1988),
  [9094] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_named_imports, 5, 0, 0),
  [9096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2057),
  [9098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4484),
  [9100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1564),
  [9102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(339),
  [9104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1561),
  [9106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(344),
  [9108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(967),
  [9110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3104),
  [9112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2058),
  [9114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4319),
  [9116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(397),
  [9118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2911),
  [9120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2899),
  [9122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5512),
  [9124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(417),
  [9126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1824),
  [9128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5571),
  [9130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(340),
  [9132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4321),
  [9134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5718),
  [9136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2912),
  [9138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3970),
  [9140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1590),
  [9142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(454),
  [9144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5864),
  [9146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(287),
  [9148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(446),
  [9150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1026),
  [9152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(970),
  [9154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1593),
  [9156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(341),
  [9158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(315),
  [9160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(365),
  [9162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(962),
  [9164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5362),
  [9166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(366),
  [9168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(367),
  [9170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(368),
  [9172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(324),
  [9174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2348),
  [9176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(325),
  [9178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(326),
  [9180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1076),
  [9182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(951),
  [9184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(352),
  [9186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1551),
  [9188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(789),
  [9190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(343),
  [9192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5304),
  [9194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(582),
  [9196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(475),
  [9198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(964),
  [9200] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_heritage, 2, 0, 0),
  [9202] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5669),
  [9204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2901),
  [9206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4473),
  [9208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3881),
  [9210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1105),
  [9212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(960),
  [9214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1116),
  [9216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5587),
  [9218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5645),
  [9220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5233),
  [9222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3476),
  [9224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5386),
  [9226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1039),
  [9228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2932),
  [9230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(388),
  [9232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1565),
  [9234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3408),
  [9236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2896),
  [9238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2897),
  [9240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3498),
  [9242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4789),
  [9244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(801),
  [9246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5577),
  [9248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3386),
  [9250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(959),
  [9252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4439),
  [9254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3153),
  [9256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1041),
  [9258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1024),
  [9260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1019),
  [9262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5653),
  [9264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1577),
  [9266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2905),
  [9268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(976),
  [9270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1578),
  [9272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2432),
  [9274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2631),
  [9276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4825),
  [9278] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5834),
  [9280] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_export, 3, 0, 0),
  [9282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2906),
  [9284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2908),
  [9286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2909),
  [9288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5522),
  [9290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2008),
  [9292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(963),
  [9294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1716),
  [9296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1541),
  [9298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1048),
  [9300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1049),
  [9302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1025),
  [9304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1717),
  [9306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1051),
  [9308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1061),
  [9310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2910),
  [9312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1062),
  [9314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2913),
  [9316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1052),
  [9318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2898),
  [9320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1128),
  [9322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1129),
  [9324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1090),
  [9326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1661),
  [9328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1560),
  [9330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(240),
  [9332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(773),
  [9334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1096),
  [9336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3512),
  [9338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2903),
  [9340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1097),
  [9342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2895),
  [9344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5195),
  [9346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2916),
  [9348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1597),
  [9350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3242),
  [9352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3376),
  [9354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1566),
  [9356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5879),
  [9358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3467),
  [9360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3499),
  [9362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3007),
  [9364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3258),
  [9366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(372),
  [9368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5209),
  [9370] = {.entry = {.count = 1, .reusable = true}},  ACCEPT_INPUT(),
  [9372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(373),
  [9374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2943),
  [9376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3150),
  [9378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3116),
  [9380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3008),
  [9382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(969),
  [9384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3009),
  [9386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3118),
  [9388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3122),
  [9390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3132),
  [9392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3011),
  [9394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(374),
  [9396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3019),
  [9398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1130),
  [9400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3137),
  [9402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2065),
  [9404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2069),
  [9406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(375),
  [9408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3021),
  [9410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2071),
  [9412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3022),
  [9414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3140),
  [9416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3023),
  [9418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2074),
  [9420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(965),
  [9422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3024),
  [9424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2075),
  [9426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3026),
  [9428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3142),
  [9430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3144),
  [9432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2078),
  [9434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1064),
  [9436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2079),
  [9438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3213),
  [9440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3147),
  [9442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1568),
  [9444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2080),
  [9446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2081),
  [9448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1880),
  [9450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1098),
  [9452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1569),
  [9454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3151),
  [9456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3152),
  [9458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4496),
  [9460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3155),
  [9462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(348),
  [9464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2043),
  [9466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(515),
  [9468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3455),
  [9470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(972),
  [9472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(349),
  [9474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3157),
  [9476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(350),
  [9478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(351),
  [9480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3089),
  [9482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3090),
  [9484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3028),
  [9486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3091),
  [9488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(610),
  [9490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3034),
  [9492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3092),
  [9494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(532),
  [9496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4460),
  [9498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(504),
  [9500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3371),
  [9502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3093),
  [9504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3094),
  [9506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3038),
  [9508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3039),
  [9510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1299),
  [9512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3296),
  [9514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3040),
  [9516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5514),
  [9518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3043),
  [9520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3044),
  [9522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(567),
  [9524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1562),
  [9526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4494),
  [9528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3045),
  [9530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1007),
  [9532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1078),
  [9534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2946),
  [9536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2663),
  [9538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(357),
  [9540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5819),
  [9542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(594),
  [9544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4389),
  [9546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2947),
  [9548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(434),
  [9550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1003),
  [9552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1788),
  [9554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2176),
  [9556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(620),
  [9558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(421),
  [9560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5712),
  [9562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1150),
  [9564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(647),
  [9566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(974),
  [9568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(358),
  [9570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1710),
  [9572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(395),
  [9574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(360),
  [9576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1520),
  [9578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5264),
  [9580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(966),
  [9582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5381),
  [9584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4467),
  [9586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3730),
  [9588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1711),
  [9590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1329),
  [9592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4345),
  [9594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1582),
  [9596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1528),
  [9598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5312),
  [9600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(333),
  [9602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5686),
  [9604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4348),
  [9606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5641),
  [9608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1073),
  [9610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1221),
  [9612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(953),
  [9614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3392),
  [9616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(968),
  [9618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1559),
  [9620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2894),
  [9622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4516),
  [9624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(555),
  [9626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2879),
  [9628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5499),
};

enum ts_external_scanner_symbol_identifiers {
  ts_external_token__automatic_semicolon = 0,
  ts_external_token__template_chars = 1,
  ts_external_token__ternary_qmark = 2,
  ts_external_token_html_comment = 3,
  ts_external_token_PIPE_PIPE = 4,
  ts_external_token_escape_sequence = 5,
  ts_external_token_regex_pattern = 6,
  ts_external_token_jsx_text = 7,
  ts_external_token__function_signature_automatic_semicolon = 8,
  ts_external_token___error_recovery = 9,
};

static const TSSymbol ts_external_scanner_symbol_map[EXTERNAL_TOKEN_COUNT] = {
  [ts_external_token__automatic_semicolon] = sym__automatic_semicolon,
  [ts_external_token__template_chars] = sym__template_chars,
  [ts_external_token__ternary_qmark] = sym__ternary_qmark,
  [ts_external_token_html_comment] = sym_html_comment,
  [ts_external_token_PIPE_PIPE] = anon_sym_PIPE_PIPE,
  [ts_external_token_escape_sequence] = sym_escape_sequence,
  [ts_external_token_regex_pattern] = sym_regex_pattern,
  [ts_external_token_jsx_text] = sym_jsx_text,
  [ts_external_token__function_signature_automatic_semicolon] = sym__function_signature_automatic_semicolon,
  [ts_external_token___error_recovery] = sym___error_recovery,
};

static const bool ts_external_scanner_states[11][EXTERNAL_TOKEN_COUNT] = {
  [1] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token__template_chars] = true,
    [ts_external_token__ternary_qmark] = true,
    [ts_external_token_html_comment] = true,
    [ts_external_token_PIPE_PIPE] = true,
    [ts_external_token_escape_sequence] = true,
    [ts_external_token_jsx_text] = true,
    [ts_external_token__function_signature_automatic_semicolon] = true,
    [ts_external_token___error_recovery] = true,
  },
  [2] = {
    [ts_external_token_html_comment] = true,
  },
  [3] = {
    [ts_external_token__ternary_qmark] = true,
    [ts_external_token_html_comment] = true,
    [ts_external_token_PIPE_PIPE] = true,
  },
  [4] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token__ternary_qmark] = true,
    [ts_external_token_html_comment] = true,
    [ts_external_token_PIPE_PIPE] = true,
  },
  [5] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token_html_comment] = true,
  },
  [6] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token_html_comment] = true,
    [ts_external_token__function_signature_automatic_semicolon] = true,
  },
  [7] = {
    [ts_external_token__template_chars] = true,
    [ts_external_token_html_comment] = true,
    [ts_external_token_escape_sequence] = true,
  },
  [8] = {
    [ts_external_token__template_chars] = true,
    [ts_external_token_html_comment] = true,
  },
  [9] = {
    [ts_external_token_html_comment] = true,
    [ts_external_token_escape_sequence] = true,
  },
  [10] = {
    [ts_external_token_html_comment] = true,
    [ts_external_token_regex_pattern] = true,
  },
};

#ifdef __cplusplus
extern "C" {
#endif
void *tree_sitter_typescript_external_scanner_create(void);
void tree_sitter_typescript_external_scanner_destroy(void *);
bool tree_sitter_typescript_external_scanner_scan(void *, TSLexer *, const bool *);
unsigned tree_sitter_typescript_external_scanner_serialize(void *, char *);
void tree_sitter_typescript_external_scanner_deserialize(void *, const char *, unsigned);

#ifdef TREE_SITTER_HIDE_SYMBOLS
#define TS_PUBLIC
#elif defined(_WIN32)
#define TS_PUBLIC __declspec(dllexport)
#else
#define TS_PUBLIC __attribute__((visibility("default")))
#endif

TS_PUBLIC const TSLanguage *tree_sitter_typescript(void) {
  static const TSLanguage language = {
    .version = LANGUAGE_VERSION,
    .symbol_count = SYMBOL_COUNT,
    .alias_count = ALIAS_COUNT,
    .token_count = TOKEN_COUNT,
    .external_token_count = EXTERNAL_TOKEN_COUNT,
    .state_count = STATE_COUNT,
    .large_state_count = LARGE_STATE_COUNT,
    .production_id_count = PRODUCTION_ID_COUNT,
    .field_count = FIELD_COUNT,
    .max_alias_sequence_length = MAX_ALIAS_SEQUENCE_LENGTH,
    .parse_table = &ts_parse_table[0][0],
    .small_parse_table = ts_small_parse_table,
    .small_parse_table_map = ts_small_parse_table_map,
    .parse_actions = ts_parse_actions,
    .symbol_names = ts_symbol_names,
    .field_names = ts_field_names,
    .field_map_slices = ts_field_map_slices,
    .field_map_entries = ts_field_map_entries,
    .symbol_metadata = ts_symbol_metadata,
    .public_symbol_map = ts_symbol_map,
    .alias_map = ts_non_terminal_alias_map,
    .alias_sequences = &ts_alias_sequences[0][0],
    .lex_modes = ts_lex_modes,
    .lex_fn = ts_lex,
    .keyword_lex_fn = ts_lex_keywords,
    .keyword_capture_token = sym_identifier,
    .external_scanner = {
      &ts_external_scanner_states[0][0],
      ts_external_scanner_symbol_map,
      tree_sitter_typescript_external_scanner_create,
      tree_sitter_typescript_external_scanner_destroy,
      tree_sitter_typescript_external_scanner_scan,
      tree_sitter_typescript_external_scanner_serialize,
      tree_sitter_typescript_external_scanner_deserialize,
    },
    .primary_state_ids = ts_primary_state_ids,
  };
  return &language;
}
#ifdef __cplusplus
}
#endif
